/*
Package exampleoc is a generated package which contains definitions
of structs which generate gNMI paths for a YANG schema. The generated paths are
based on a compressed form of the schema.

This package was generated by /usr/local/google/home/wenbli/gocode/src/github.com/openconfig/ygot/genutil/names.go
using the following YANG input files:
	- public/release/models/network-instance/openconfig-network-instance.yang
	- public/release/models/optical-transport/openconfig-optical-amplifier.yang
	- public/release/models/optical-transport/openconfig-terminal-device.yang
	- public/release/models/optical-transport/openconfig-transport-line-protection.yang
	- public/release/models/platform/openconfig-platform.yang
	- public/release/models/policy/openconfig-routing-policy.yang
	- public/release/models/lacp/openconfig-lacp.yang
	- public/release/models/system/openconfig-system.yang
	- public/release/models/lldp/openconfig-lldp.yang
	- public/release/models/stp/openconfig-spanning-tree.yang
	- public/release/models/interfaces/openconfig-interfaces.yang
	- public/release/models/interfaces/openconfig-if-ip.yang
	- public/release/models/interfaces/openconfig-if-aggregate.yang
	- public/release/models/interfaces/openconfig-if-ethernet.yang
	- public/release/models/interfaces/openconfig-if-ip-ext.yang
	- public/release/models/relay-agent/openconfig-relay-agent.yang
	- public/release/models/lldp/openconfig-lldp.yang
Imported modules were sourced from:
	- public/...
	- deps/...
*/
package exampleoc

import (
	"github.com/openconfig/ygot/ygot"
)

// AclPath represents the /openconfig-acl/acl YANG schema element.
type AclPath struct {
	*ygot.NodePath
}

// AclPathAny represents the wildcard version of the /openconfig-acl/acl YANG schema element.
type AclPathAny struct {
	*ygot.NodePath
}

// Acl_CounterCapabilityPath represents the /openconfig-acl/acl/state/counter-capability YANG schema element.
type Acl_CounterCapabilityPath struct {
	*ygot.NodePath
}

// Acl_CounterCapabilityPathAny represents the wildcard version of the /openconfig-acl/acl/state/counter-capability YANG schema element.
type Acl_CounterCapabilityPathAny struct {
	*ygot.NodePath
}

// AclSetAny returns from AclPath the path struct for its child "acl-set".
func (n *AclPath) AclSetAny() *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": "*", "type": "*"},
			n,
		),
	}
}

// AclSetAny returns from AclPathAny the path struct for its child "acl-set".
func (n *AclPathAny) AclSetAny() *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": "*", "type": "*"},
			n,
		),
	}
}

// AclSetAnyType returns from AclPath the path struct for its child "acl-set".
// Name: string
func (n *AclPath) AclSetAnyType(Name string) *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": Name, "type": "*"},
			n,
		),
	}
}

// AclSetAnyType returns from AclPathAny the path struct for its child "acl-set".
// Name: string
func (n *AclPathAny) AclSetAnyType(Name string) *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": Name, "type": "*"},
			n,
		),
	}
}

// AclSetAnyName returns from AclPath the path struct for its child "acl-set".
// Type: E_Acl_ACL_TYPE
func (n *AclPath) AclSetAnyName(Type E_Acl_ACL_TYPE) *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": "*", "type": Type},
			n,
		),
	}
}

// AclSetAnyName returns from AclPathAny the path struct for its child "acl-set".
// Type: E_Acl_ACL_TYPE
func (n *AclPathAny) AclSetAnyName(Type E_Acl_ACL_TYPE) *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": "*", "type": Type},
			n,
		),
	}
}

// AclSet returns from AclPath the path struct for its child "acl-set".
// Name: string
// Type: E_Acl_ACL_TYPE
func (n *AclPath) AclSet(Name string, Type E_Acl_ACL_TYPE) *Acl_AclSetPath {
	return &Acl_AclSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": Name, "type": Type},
			n,
		),
	}
}

// AclSet returns from AclPathAny the path struct for its child "acl-set".
// Name: string
// Type: E_Acl_ACL_TYPE
func (n *AclPathAny) AclSet(Name string, Type E_Acl_ACL_TYPE) *Acl_AclSetPathAny {
	return &Acl_AclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-sets", "acl-set"},
			map[string]interface{}{"name": Name, "type": Type},
			n,
		),
	}
}

// CounterCapability returns from AclPath the path struct for its child "counter-capability".
func (n *AclPath) CounterCapability() *Acl_CounterCapabilityPath {
	return &Acl_CounterCapabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counter-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// CounterCapability returns from AclPathAny the path struct for its child "counter-capability".
func (n *AclPathAny) CounterCapability() *Acl_CounterCapabilityPathAny {
	return &Acl_CounterCapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counter-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from AclPath the path struct for its child "interface".
func (n *AclPath) InterfaceAny() *Acl_InterfacePathAny {
	return &Acl_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from AclPathAny the path struct for its child "interface".
func (n *AclPathAny) InterfaceAny() *Acl_InterfacePathAny {
	return &Acl_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Interface returns from AclPath the path struct for its child "interface".
// Id: string
func (n *AclPath) Interface(Id string) *Acl_InterfacePath {
	return &Acl_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Interface returns from AclPathAny the path struct for its child "interface".
// Id: string
func (n *AclPathAny) Interface(Id string) *Acl_InterfacePathAny {
	return &Acl_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Acl_AclSetPath represents the /openconfig-acl/acl/acl-sets/acl-set YANG schema element.
type Acl_AclSetPath struct {
	*ygot.NodePath
}

// Acl_AclSetPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set YANG schema element.
type Acl_AclSetPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_DescriptionPath represents the /openconfig-acl/acl/acl-sets/acl-set/config/description YANG schema element.
type Acl_AclSet_DescriptionPath struct {
	*ygot.NodePath
}

// Acl_AclSet_DescriptionPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/config/description YANG schema element.
type Acl_AclSet_DescriptionPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_NamePath represents the /openconfig-acl/acl/acl-sets/acl-set/config/name YANG schema element.
type Acl_AclSet_NamePath struct {
	*ygot.NodePath
}

// Acl_AclSet_NamePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/config/name YANG schema element.
type Acl_AclSet_NamePathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_TypePath represents the /openconfig-acl/acl/acl-sets/acl-set/config/type YANG schema element.
type Acl_AclSet_TypePath struct {
	*ygot.NodePath
}

// Acl_AclSet_TypePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/config/type YANG schema element.
type Acl_AclSet_TypePathAny struct {
	*ygot.NodePath
}

// AclEntryAny returns from Acl_AclSetPath the path struct for its child "acl-entry".
func (n *Acl_AclSetPath) AclEntryAny() *Acl_AclSet_AclEntryPathAny {
	return &Acl_AclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntryAny returns from Acl_AclSetPathAny the path struct for its child "acl-entry".
func (n *Acl_AclSetPathAny) AclEntryAny() *Acl_AclSet_AclEntryPathAny {
	return &Acl_AclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntry returns from Acl_AclSetPath the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_AclSetPath) AclEntry(SequenceId uint32) *Acl_AclSet_AclEntryPath {
	return &Acl_AclSet_AclEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// AclEntry returns from Acl_AclSetPathAny the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_AclSetPathAny) AclEntry(SequenceId uint32) *Acl_AclSet_AclEntryPathAny {
	return &Acl_AclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// Description returns from Acl_AclSetPath the path struct for its child "description".
func (n *Acl_AclSetPath) Description() *Acl_AclSet_DescriptionPath {
	return &Acl_AclSet_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Acl_AclSetPathAny the path struct for its child "description".
func (n *Acl_AclSetPathAny) Description() *Acl_AclSet_DescriptionPathAny {
	return &Acl_AclSet_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Acl_AclSetPath the path struct for its child "name".
func (n *Acl_AclSetPath) Name() *Acl_AclSet_NamePath {
	return &Acl_AclSet_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Acl_AclSetPathAny the path struct for its child "name".
func (n *Acl_AclSetPathAny) Name() *Acl_AclSet_NamePathAny {
	return &Acl_AclSet_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_AclSetPath the path struct for its child "type".
func (n *Acl_AclSetPath) Type() *Acl_AclSet_TypePath {
	return &Acl_AclSet_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_AclSetPathAny the path struct for its child "type".
func (n *Acl_AclSetPathAny) Type() *Acl_AclSet_TypePathAny {
	return &Acl_AclSet_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntryPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry YANG schema element.
type Acl_AclSet_AclEntryPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntryPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry YANG schema element.
type Acl_AclSet_AclEntryPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_DescriptionPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/config/description YANG schema element.
type Acl_AclSet_AclEntry_DescriptionPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_DescriptionPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/config/description YANG schema element.
type Acl_AclSet_AclEntry_DescriptionPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_MatchedOctetsPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_AclSet_AclEntry_MatchedOctetsPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_MatchedOctetsPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_AclSet_AclEntry_MatchedOctetsPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_MatchedPacketsPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_AclSet_AclEntry_MatchedPacketsPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_MatchedPacketsPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_AclSet_AclEntry_MatchedPacketsPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_SequenceIdPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/config/sequence-id YANG schema element.
type Acl_AclSet_AclEntry_SequenceIdPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_SequenceIdPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/config/sequence-id YANG schema element.
type Acl_AclSet_AclEntry_SequenceIdPathAny struct {
	*ygot.NodePath
}

// Actions returns from Acl_AclSet_AclEntryPath the path struct for its child "actions".
func (n *Acl_AclSet_AclEntryPath) Actions() *Acl_AclSet_AclEntry_ActionsPath {
	return &Acl_AclSet_AclEntry_ActionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"actions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Actions returns from Acl_AclSet_AclEntryPathAny the path struct for its child "actions".
func (n *Acl_AclSet_AclEntryPathAny) Actions() *Acl_AclSet_AclEntry_ActionsPathAny {
	return &Acl_AclSet_AclEntry_ActionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"actions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Acl_AclSet_AclEntryPath the path struct for its child "description".
func (n *Acl_AclSet_AclEntryPath) Description() *Acl_AclSet_AclEntry_DescriptionPath {
	return &Acl_AclSet_AclEntry_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Acl_AclSet_AclEntryPathAny the path struct for its child "description".
func (n *Acl_AclSet_AclEntryPathAny) Description() *Acl_AclSet_AclEntry_DescriptionPathAny {
	return &Acl_AclSet_AclEntry_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputInterface returns from Acl_AclSet_AclEntryPath the path struct for its child "input-interface".
func (n *Acl_AclSet_AclEntryPath) InputInterface() *Acl_AclSet_AclEntry_InputInterfacePath {
	return &Acl_AclSet_AclEntry_InputInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"input-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputInterface returns from Acl_AclSet_AclEntryPathAny the path struct for its child "input-interface".
func (n *Acl_AclSet_AclEntryPathAny) InputInterface() *Acl_AclSet_AclEntry_InputInterfacePathAny {
	return &Acl_AclSet_AclEntry_InputInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from Acl_AclSet_AclEntryPath the path struct for its child "ipv4".
func (n *Acl_AclSet_AclEntryPath) Ipv4() *Acl_AclSet_AclEntry_Ipv4Path {
	return &Acl_AclSet_AclEntry_Ipv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from Acl_AclSet_AclEntryPathAny the path struct for its child "ipv4".
func (n *Acl_AclSet_AclEntryPathAny) Ipv4() *Acl_AclSet_AclEntry_Ipv4PathAny {
	return &Acl_AclSet_AclEntry_Ipv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Acl_AclSet_AclEntryPath the path struct for its child "ipv6".
func (n *Acl_AclSet_AclEntryPath) Ipv6() *Acl_AclSet_AclEntry_Ipv6Path {
	return &Acl_AclSet_AclEntry_Ipv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Acl_AclSet_AclEntryPathAny the path struct for its child "ipv6".
func (n *Acl_AclSet_AclEntryPathAny) Ipv6() *Acl_AclSet_AclEntry_Ipv6PathAny {
	return &Acl_AclSet_AclEntry_Ipv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2 returns from Acl_AclSet_AclEntryPath the path struct for its child "l2".
func (n *Acl_AclSet_AclEntryPath) L2() *Acl_AclSet_AclEntry_L2Path {
	return &Acl_AclSet_AclEntry_L2Path{
		NodePath: ygot.NewNodePath(
			[]string{"l2"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2 returns from Acl_AclSet_AclEntryPathAny the path struct for its child "l2".
func (n *Acl_AclSet_AclEntryPathAny) L2() *Acl_AclSet_AclEntry_L2PathAny {
	return &Acl_AclSet_AclEntry_L2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from Acl_AclSet_AclEntryPath the path struct for its child "matched-octets".
func (n *Acl_AclSet_AclEntryPath) MatchedOctets() *Acl_AclSet_AclEntry_MatchedOctetsPath {
	return &Acl_AclSet_AclEntry_MatchedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from Acl_AclSet_AclEntryPathAny the path struct for its child "matched-octets".
func (n *Acl_AclSet_AclEntryPathAny) MatchedOctets() *Acl_AclSet_AclEntry_MatchedOctetsPathAny {
	return &Acl_AclSet_AclEntry_MatchedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_AclSet_AclEntryPath the path struct for its child "matched-packets".
func (n *Acl_AclSet_AclEntryPath) MatchedPackets() *Acl_AclSet_AclEntry_MatchedPacketsPath {
	return &Acl_AclSet_AclEntry_MatchedPacketsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_AclSet_AclEntryPathAny the path struct for its child "matched-packets".
func (n *Acl_AclSet_AclEntryPathAny) MatchedPackets() *Acl_AclSet_AclEntry_MatchedPacketsPathAny {
	return &Acl_AclSet_AclEntry_MatchedPacketsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_AclSet_AclEntryPath the path struct for its child "sequence-id".
func (n *Acl_AclSet_AclEntryPath) SequenceId() *Acl_AclSet_AclEntry_SequenceIdPath {
	return &Acl_AclSet_AclEntry_SequenceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_AclSet_AclEntryPathAny the path struct for its child "sequence-id".
func (n *Acl_AclSet_AclEntryPathAny) SequenceId() *Acl_AclSet_AclEntry_SequenceIdPathAny {
	return &Acl_AclSet_AclEntry_SequenceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Acl_AclSet_AclEntryPath the path struct for its child "transport".
func (n *Acl_AclSet_AclEntryPath) Transport() *Acl_AclSet_AclEntry_TransportPath {
	return &Acl_AclSet_AclEntry_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Acl_AclSet_AclEntryPathAny the path struct for its child "transport".
func (n *Acl_AclSet_AclEntryPathAny) Transport() *Acl_AclSet_AclEntry_TransportPathAny {
	return &Acl_AclSet_AclEntry_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_ActionsPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions YANG schema element.
type Acl_AclSet_AclEntry_ActionsPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_ActionsPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions YANG schema element.
type Acl_AclSet_AclEntry_ActionsPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Actions_ForwardingActionPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions/config/forwarding-action YANG schema element.
type Acl_AclSet_AclEntry_Actions_ForwardingActionPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Actions_ForwardingActionPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions/config/forwarding-action YANG schema element.
type Acl_AclSet_AclEntry_Actions_ForwardingActionPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Actions_LogActionPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions/config/log-action YANG schema element.
type Acl_AclSet_AclEntry_Actions_LogActionPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Actions_LogActionPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/actions/config/log-action YANG schema element.
type Acl_AclSet_AclEntry_Actions_LogActionPathAny struct {
	*ygot.NodePath
}

// ForwardingAction returns from Acl_AclSet_AclEntry_ActionsPath the path struct for its child "forwarding-action".
func (n *Acl_AclSet_AclEntry_ActionsPath) ForwardingAction() *Acl_AclSet_AclEntry_Actions_ForwardingActionPath {
	return &Acl_AclSet_AclEntry_Actions_ForwardingActionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAction returns from Acl_AclSet_AclEntry_ActionsPathAny the path struct for its child "forwarding-action".
func (n *Acl_AclSet_AclEntry_ActionsPathAny) ForwardingAction() *Acl_AclSet_AclEntry_Actions_ForwardingActionPathAny {
	return &Acl_AclSet_AclEntry_Actions_ForwardingActionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogAction returns from Acl_AclSet_AclEntry_ActionsPath the path struct for its child "log-action".
func (n *Acl_AclSet_AclEntry_ActionsPath) LogAction() *Acl_AclSet_AclEntry_Actions_LogActionPath {
	return &Acl_AclSet_AclEntry_Actions_LogActionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogAction returns from Acl_AclSet_AclEntry_ActionsPathAny the path struct for its child "log-action".
func (n *Acl_AclSet_AclEntry_ActionsPathAny) LogAction() *Acl_AclSet_AclEntry_Actions_LogActionPathAny {
	return &Acl_AclSet_AclEntry_Actions_LogActionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_InputInterfacePath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface YANG schema element.
type Acl_AclSet_AclEntry_InputInterfacePath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterfacePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface YANG schema element.
type Acl_AclSet_AclEntry_InputInterfacePathAny struct {
	*ygot.NodePath
}

// InterfaceRef returns from Acl_AclSet_AclEntry_InputInterfacePath the path struct for its child "interface-ref".
func (n *Acl_AclSet_AclEntry_InputInterfacePath) InterfaceRef() *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Acl_AclSet_AclEntry_InputInterfacePathAny the path struct for its child "interface-ref".
func (n *Acl_AclSet_AclEntry_InputInterfacePathAny) InterfaceRef() *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref/config/interface YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref/config/interface YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref/config/subinterface YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/input-interface/interface-ref/config/subinterface YANG schema element.
type Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath the path struct for its child "interface".
func (n *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath) Interface() *Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePath {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny the path struct for its child "interface".
func (n *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny) Interface() *Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePathAny {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath the path struct for its child "subinterface".
func (n *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPath) Subinterface() *Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePath {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Acl_AclSet_AclEntry_InputInterface_InterfaceRefPathAny) Subinterface() *Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePathAny {
	return &Acl_AclSet_AclEntry_InputInterface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_Ipv4Path represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4 YANG schema element.
type Acl_AclSet_AclEntry_Ipv4Path struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4PathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4 YANG schema element.
type Acl_AclSet_AclEntry_Ipv4PathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_DestinationAddressPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/destination-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_DestinationAddressPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_DestinationAddressPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/destination-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_DestinationAddressPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_DscpPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/dscp YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_DscpPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_DscpPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/dscp YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_DscpPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_HopLimitPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/hop-limit YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_HopLimitPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_HopLimitPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/hop-limit YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_HopLimitPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_ProtocolPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/protocol YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_ProtocolPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_ProtocolPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/protocol YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_ProtocolPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_SourceAddressPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/source-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_SourceAddressPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv4_SourceAddressPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv4/config/source-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv4_SourceAddressPathAny struct {
	*ygot.NodePath
}

// DestinationAddress returns from Acl_AclSet_AclEntry_Ipv4Path the path struct for its child "destination-address".
func (n *Acl_AclSet_AclEntry_Ipv4Path) DestinationAddress() *Acl_AclSet_AclEntry_Ipv4_DestinationAddressPath {
	return &Acl_AclSet_AclEntry_Ipv4_DestinationAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationAddress returns from Acl_AclSet_AclEntry_Ipv4PathAny the path struct for its child "destination-address".
func (n *Acl_AclSet_AclEntry_Ipv4PathAny) DestinationAddress() *Acl_AclSet_AclEntry_Ipv4_DestinationAddressPathAny {
	return &Acl_AclSet_AclEntry_Ipv4_DestinationAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from Acl_AclSet_AclEntry_Ipv4Path the path struct for its child "dscp".
func (n *Acl_AclSet_AclEntry_Ipv4Path) Dscp() *Acl_AclSet_AclEntry_Ipv4_DscpPath {
	return &Acl_AclSet_AclEntry_Ipv4_DscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from Acl_AclSet_AclEntry_Ipv4PathAny the path struct for its child "dscp".
func (n *Acl_AclSet_AclEntry_Ipv4PathAny) Dscp() *Acl_AclSet_AclEntry_Ipv4_DscpPathAny {
	return &Acl_AclSet_AclEntry_Ipv4_DscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from Acl_AclSet_AclEntry_Ipv4Path the path struct for its child "hop-limit".
func (n *Acl_AclSet_AclEntry_Ipv4Path) HopLimit() *Acl_AclSet_AclEntry_Ipv4_HopLimitPath {
	return &Acl_AclSet_AclEntry_Ipv4_HopLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from Acl_AclSet_AclEntry_Ipv4PathAny the path struct for its child "hop-limit".
func (n *Acl_AclSet_AclEntry_Ipv4PathAny) HopLimit() *Acl_AclSet_AclEntry_Ipv4_HopLimitPathAny {
	return &Acl_AclSet_AclEntry_Ipv4_HopLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from Acl_AclSet_AclEntry_Ipv4Path the path struct for its child "protocol".
func (n *Acl_AclSet_AclEntry_Ipv4Path) Protocol() *Acl_AclSet_AclEntry_Ipv4_ProtocolPath {
	return &Acl_AclSet_AclEntry_Ipv4_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from Acl_AclSet_AclEntry_Ipv4PathAny the path struct for its child "protocol".
func (n *Acl_AclSet_AclEntry_Ipv4PathAny) Protocol() *Acl_AclSet_AclEntry_Ipv4_ProtocolPathAny {
	return &Acl_AclSet_AclEntry_Ipv4_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from Acl_AclSet_AclEntry_Ipv4Path the path struct for its child "source-address".
func (n *Acl_AclSet_AclEntry_Ipv4Path) SourceAddress() *Acl_AclSet_AclEntry_Ipv4_SourceAddressPath {
	return &Acl_AclSet_AclEntry_Ipv4_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from Acl_AclSet_AclEntry_Ipv4PathAny the path struct for its child "source-address".
func (n *Acl_AclSet_AclEntry_Ipv4PathAny) SourceAddress() *Acl_AclSet_AclEntry_Ipv4_SourceAddressPathAny {
	return &Acl_AclSet_AclEntry_Ipv4_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_Ipv6Path represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6 YANG schema element.
type Acl_AclSet_AclEntry_Ipv6Path struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6PathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6 YANG schema element.
type Acl_AclSet_AclEntry_Ipv6PathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DestinationAddressPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/destination-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DestinationAddressPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DestinationAddressPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/destination-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DestinationAddressPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/destination-flow-label YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/destination-flow-label YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DscpPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/dscp YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DscpPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_DscpPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/dscp YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_DscpPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_HopLimitPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/hop-limit YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_HopLimitPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_HopLimitPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/hop-limit YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_HopLimitPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_ProtocolPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/protocol YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_ProtocolPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_ProtocolPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/protocol YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_ProtocolPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_SourceAddressPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/source-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_SourceAddressPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_SourceAddressPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/source-address YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_SourceAddressPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/source-flow-label YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/ipv6/config/source-flow-label YANG schema element.
type Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPathAny struct {
	*ygot.NodePath
}

// DestinationAddress returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "destination-address".
func (n *Acl_AclSet_AclEntry_Ipv6Path) DestinationAddress() *Acl_AclSet_AclEntry_Ipv6_DestinationAddressPath {
	return &Acl_AclSet_AclEntry_Ipv6_DestinationAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationAddress returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "destination-address".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) DestinationAddress() *Acl_AclSet_AclEntry_Ipv6_DestinationAddressPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_DestinationAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationFlowLabel returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "destination-flow-label".
func (n *Acl_AclSet_AclEntry_Ipv6Path) DestinationFlowLabel() *Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPath {
	return &Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationFlowLabel returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "destination-flow-label".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) DestinationFlowLabel() *Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_DestinationFlowLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "dscp".
func (n *Acl_AclSet_AclEntry_Ipv6Path) Dscp() *Acl_AclSet_AclEntry_Ipv6_DscpPath {
	return &Acl_AclSet_AclEntry_Ipv6_DscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "dscp".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) Dscp() *Acl_AclSet_AclEntry_Ipv6_DscpPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_DscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "hop-limit".
func (n *Acl_AclSet_AclEntry_Ipv6Path) HopLimit() *Acl_AclSet_AclEntry_Ipv6_HopLimitPath {
	return &Acl_AclSet_AclEntry_Ipv6_HopLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "hop-limit".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) HopLimit() *Acl_AclSet_AclEntry_Ipv6_HopLimitPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_HopLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "protocol".
func (n *Acl_AclSet_AclEntry_Ipv6Path) Protocol() *Acl_AclSet_AclEntry_Ipv6_ProtocolPath {
	return &Acl_AclSet_AclEntry_Ipv6_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "protocol".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) Protocol() *Acl_AclSet_AclEntry_Ipv6_ProtocolPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "source-address".
func (n *Acl_AclSet_AclEntry_Ipv6Path) SourceAddress() *Acl_AclSet_AclEntry_Ipv6_SourceAddressPath {
	return &Acl_AclSet_AclEntry_Ipv6_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "source-address".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) SourceAddress() *Acl_AclSet_AclEntry_Ipv6_SourceAddressPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceFlowLabel returns from Acl_AclSet_AclEntry_Ipv6Path the path struct for its child "source-flow-label".
func (n *Acl_AclSet_AclEntry_Ipv6Path) SourceFlowLabel() *Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPath {
	return &Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceFlowLabel returns from Acl_AclSet_AclEntry_Ipv6PathAny the path struct for its child "source-flow-label".
func (n *Acl_AclSet_AclEntry_Ipv6PathAny) SourceFlowLabel() *Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPathAny {
	return &Acl_AclSet_AclEntry_Ipv6_SourceFlowLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_L2Path represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2 YANG schema element.
type Acl_AclSet_AclEntry_L2Path struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2PathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2 YANG schema element.
type Acl_AclSet_AclEntry_L2PathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_DestinationMacPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/destination-mac YANG schema element.
type Acl_AclSet_AclEntry_L2_DestinationMacPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_DestinationMacPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/destination-mac YANG schema element.
type Acl_AclSet_AclEntry_L2_DestinationMacPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_DestinationMacMaskPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/destination-mac-mask YANG schema element.
type Acl_AclSet_AclEntry_L2_DestinationMacMaskPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_DestinationMacMaskPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/destination-mac-mask YANG schema element.
type Acl_AclSet_AclEntry_L2_DestinationMacMaskPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_EthertypePath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/ethertype YANG schema element.
type Acl_AclSet_AclEntry_L2_EthertypePath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_EthertypePathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/ethertype YANG schema element.
type Acl_AclSet_AclEntry_L2_EthertypePathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_SourceMacPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/source-mac YANG schema element.
type Acl_AclSet_AclEntry_L2_SourceMacPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_SourceMacPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/source-mac YANG schema element.
type Acl_AclSet_AclEntry_L2_SourceMacPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_SourceMacMaskPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/source-mac-mask YANG schema element.
type Acl_AclSet_AclEntry_L2_SourceMacMaskPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_L2_SourceMacMaskPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/l2/config/source-mac-mask YANG schema element.
type Acl_AclSet_AclEntry_L2_SourceMacMaskPathAny struct {
	*ygot.NodePath
}

// DestinationMac returns from Acl_AclSet_AclEntry_L2Path the path struct for its child "destination-mac".
func (n *Acl_AclSet_AclEntry_L2Path) DestinationMac() *Acl_AclSet_AclEntry_L2_DestinationMacPath {
	return &Acl_AclSet_AclEntry_L2_DestinationMacPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMac returns from Acl_AclSet_AclEntry_L2PathAny the path struct for its child "destination-mac".
func (n *Acl_AclSet_AclEntry_L2PathAny) DestinationMac() *Acl_AclSet_AclEntry_L2_DestinationMacPathAny {
	return &Acl_AclSet_AclEntry_L2_DestinationMacPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMacMask returns from Acl_AclSet_AclEntry_L2Path the path struct for its child "destination-mac-mask".
func (n *Acl_AclSet_AclEntry_L2Path) DestinationMacMask() *Acl_AclSet_AclEntry_L2_DestinationMacMaskPath {
	return &Acl_AclSet_AclEntry_L2_DestinationMacMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMacMask returns from Acl_AclSet_AclEntry_L2PathAny the path struct for its child "destination-mac-mask".
func (n *Acl_AclSet_AclEntry_L2PathAny) DestinationMacMask() *Acl_AclSet_AclEntry_L2_DestinationMacMaskPathAny {
	return &Acl_AclSet_AclEntry_L2_DestinationMacMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethertype returns from Acl_AclSet_AclEntry_L2Path the path struct for its child "ethertype".
func (n *Acl_AclSet_AclEntry_L2Path) Ethertype() *Acl_AclSet_AclEntry_L2_EthertypePath {
	return &Acl_AclSet_AclEntry_L2_EthertypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethertype"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethertype returns from Acl_AclSet_AclEntry_L2PathAny the path struct for its child "ethertype".
func (n *Acl_AclSet_AclEntry_L2PathAny) Ethertype() *Acl_AclSet_AclEntry_L2_EthertypePathAny {
	return &Acl_AclSet_AclEntry_L2_EthertypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethertype"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMac returns from Acl_AclSet_AclEntry_L2Path the path struct for its child "source-mac".
func (n *Acl_AclSet_AclEntry_L2Path) SourceMac() *Acl_AclSet_AclEntry_L2_SourceMacPath {
	return &Acl_AclSet_AclEntry_L2_SourceMacPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMac returns from Acl_AclSet_AclEntry_L2PathAny the path struct for its child "source-mac".
func (n *Acl_AclSet_AclEntry_L2PathAny) SourceMac() *Acl_AclSet_AclEntry_L2_SourceMacPathAny {
	return &Acl_AclSet_AclEntry_L2_SourceMacPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMacMask returns from Acl_AclSet_AclEntry_L2Path the path struct for its child "source-mac-mask".
func (n *Acl_AclSet_AclEntry_L2Path) SourceMacMask() *Acl_AclSet_AclEntry_L2_SourceMacMaskPath {
	return &Acl_AclSet_AclEntry_L2_SourceMacMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMacMask returns from Acl_AclSet_AclEntry_L2PathAny the path struct for its child "source-mac-mask".
func (n *Acl_AclSet_AclEntry_L2PathAny) SourceMacMask() *Acl_AclSet_AclEntry_L2_SourceMacMaskPathAny {
	return &Acl_AclSet_AclEntry_L2_SourceMacMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_AclSet_AclEntry_TransportPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport YANG schema element.
type Acl_AclSet_AclEntry_TransportPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_TransportPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport YANG schema element.
type Acl_AclSet_AclEntry_TransportPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_DestinationPortPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/destination-port YANG schema element.
type Acl_AclSet_AclEntry_Transport_DestinationPortPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_DestinationPortPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/destination-port YANG schema element.
type Acl_AclSet_AclEntry_Transport_DestinationPortPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_SourcePortPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/source-port YANG schema element.
type Acl_AclSet_AclEntry_Transport_SourcePortPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_SourcePortPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/source-port YANG schema element.
type Acl_AclSet_AclEntry_Transport_SourcePortPathAny struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_TcpFlagsPath represents the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/tcp-flags YANG schema element.
type Acl_AclSet_AclEntry_Transport_TcpFlagsPath struct {
	*ygot.NodePath
}

// Acl_AclSet_AclEntry_Transport_TcpFlagsPathAny represents the wildcard version of the /openconfig-acl/acl/acl-sets/acl-set/acl-entries/acl-entry/transport/config/tcp-flags YANG schema element.
type Acl_AclSet_AclEntry_Transport_TcpFlagsPathAny struct {
	*ygot.NodePath
}

// DestinationPort returns from Acl_AclSet_AclEntry_TransportPath the path struct for its child "destination-port".
func (n *Acl_AclSet_AclEntry_TransportPath) DestinationPort() *Acl_AclSet_AclEntry_Transport_DestinationPortPath {
	return &Acl_AclSet_AclEntry_Transport_DestinationPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationPort returns from Acl_AclSet_AclEntry_TransportPathAny the path struct for its child "destination-port".
func (n *Acl_AclSet_AclEntry_TransportPathAny) DestinationPort() *Acl_AclSet_AclEntry_Transport_DestinationPortPathAny {
	return &Acl_AclSet_AclEntry_Transport_DestinationPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourcePort returns from Acl_AclSet_AclEntry_TransportPath the path struct for its child "source-port".
func (n *Acl_AclSet_AclEntry_TransportPath) SourcePort() *Acl_AclSet_AclEntry_Transport_SourcePortPath {
	return &Acl_AclSet_AclEntry_Transport_SourcePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourcePort returns from Acl_AclSet_AclEntry_TransportPathAny the path struct for its child "source-port".
func (n *Acl_AclSet_AclEntry_TransportPathAny) SourcePort() *Acl_AclSet_AclEntry_Transport_SourcePortPathAny {
	return &Acl_AclSet_AclEntry_Transport_SourcePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpFlags returns from Acl_AclSet_AclEntry_TransportPath the path struct for its child "tcp-flags".
func (n *Acl_AclSet_AclEntry_TransportPath) TcpFlags() *Acl_AclSet_AclEntry_Transport_TcpFlagsPath {
	return &Acl_AclSet_AclEntry_Transport_TcpFlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpFlags returns from Acl_AclSet_AclEntry_TransportPathAny the path struct for its child "tcp-flags".
func (n *Acl_AclSet_AclEntry_TransportPathAny) TcpFlags() *Acl_AclSet_AclEntry_Transport_TcpFlagsPathAny {
	return &Acl_AclSet_AclEntry_Transport_TcpFlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_InterfacePath represents the /openconfig-acl/acl/interfaces/interface YANG schema element.
type Acl_InterfacePath struct {
	*ygot.NodePath
}

// Acl_InterfacePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface YANG schema element.
type Acl_InterfacePathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IdPath represents the /openconfig-acl/acl/interfaces/interface/config/id YANG schema element.
type Acl_Interface_IdPath struct {
	*ygot.NodePath
}

// Acl_Interface_IdPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/config/id YANG schema element.
type Acl_Interface_IdPathAny struct {
	*ygot.NodePath
}

// EgressAclSetAny returns from Acl_InterfacePath the path struct for its child "egress-acl-set".
func (n *Acl_InterfacePath) EgressAclSetAny() *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": "*"},
			n,
		),
	}
}

// EgressAclSetAny returns from Acl_InterfacePathAny the path struct for its child "egress-acl-set".
func (n *Acl_InterfacePathAny) EgressAclSetAny() *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": "*"},
			n,
		),
	}
}

// EgressAclSetAnyType returns from Acl_InterfacePath the path struct for its child "egress-acl-set".
// SetName: string
func (n *Acl_InterfacePath) EgressAclSetAnyType(SetName string) *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": "*"},
			n,
		),
	}
}

// EgressAclSetAnyType returns from Acl_InterfacePathAny the path struct for its child "egress-acl-set".
// SetName: string
func (n *Acl_InterfacePathAny) EgressAclSetAnyType(SetName string) *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": "*"},
			n,
		),
	}
}

// EgressAclSetAnySetName returns from Acl_InterfacePath the path struct for its child "egress-acl-set".
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePath) EgressAclSetAnySetName(Type E_Acl_ACL_TYPE) *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": Type},
			n,
		),
	}
}

// EgressAclSetAnySetName returns from Acl_InterfacePathAny the path struct for its child "egress-acl-set".
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePathAny) EgressAclSetAnySetName(Type E_Acl_ACL_TYPE) *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": Type},
			n,
		),
	}
}

// EgressAclSet returns from Acl_InterfacePath the path struct for its child "egress-acl-set".
// SetName: string
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePath) EgressAclSet(SetName string, Type E_Acl_ACL_TYPE) *Acl_Interface_EgressAclSetPath {
	return &Acl_Interface_EgressAclSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": Type},
			n,
		),
	}
}

// EgressAclSet returns from Acl_InterfacePathAny the path struct for its child "egress-acl-set".
// SetName: string
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePathAny) EgressAclSet(SetName string, Type E_Acl_ACL_TYPE) *Acl_Interface_EgressAclSetPathAny {
	return &Acl_Interface_EgressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-acl-sets", "egress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": Type},
			n,
		),
	}
}

// Id returns from Acl_InterfacePath the path struct for its child "id".
func (n *Acl_InterfacePath) Id() *Acl_Interface_IdPath {
	return &Acl_Interface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from Acl_InterfacePathAny the path struct for its child "id".
func (n *Acl_InterfacePathAny) Id() *Acl_Interface_IdPathAny {
	return &Acl_Interface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IngressAclSetAny returns from Acl_InterfacePath the path struct for its child "ingress-acl-set".
func (n *Acl_InterfacePath) IngressAclSetAny() *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": "*"},
			n,
		),
	}
}

// IngressAclSetAny returns from Acl_InterfacePathAny the path struct for its child "ingress-acl-set".
func (n *Acl_InterfacePathAny) IngressAclSetAny() *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": "*"},
			n,
		),
	}
}

// IngressAclSetAnyType returns from Acl_InterfacePath the path struct for its child "ingress-acl-set".
// SetName: string
func (n *Acl_InterfacePath) IngressAclSetAnyType(SetName string) *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": "*"},
			n,
		),
	}
}

// IngressAclSetAnyType returns from Acl_InterfacePathAny the path struct for its child "ingress-acl-set".
// SetName: string
func (n *Acl_InterfacePathAny) IngressAclSetAnyType(SetName string) *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": "*"},
			n,
		),
	}
}

// IngressAclSetAnySetName returns from Acl_InterfacePath the path struct for its child "ingress-acl-set".
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePath) IngressAclSetAnySetName(Type E_Acl_ACL_TYPE) *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": Type},
			n,
		),
	}
}

// IngressAclSetAnySetName returns from Acl_InterfacePathAny the path struct for its child "ingress-acl-set".
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePathAny) IngressAclSetAnySetName(Type E_Acl_ACL_TYPE) *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": "*", "type": Type},
			n,
		),
	}
}

// IngressAclSet returns from Acl_InterfacePath the path struct for its child "ingress-acl-set".
// SetName: string
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePath) IngressAclSet(SetName string, Type E_Acl_ACL_TYPE) *Acl_Interface_IngressAclSetPath {
	return &Acl_Interface_IngressAclSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": Type},
			n,
		),
	}
}

// IngressAclSet returns from Acl_InterfacePathAny the path struct for its child "ingress-acl-set".
// SetName: string
// Type: E_Acl_ACL_TYPE
func (n *Acl_InterfacePathAny) IngressAclSet(SetName string, Type E_Acl_ACL_TYPE) *Acl_Interface_IngressAclSetPathAny {
	return &Acl_Interface_IngressAclSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-acl-sets", "ingress-acl-set"},
			map[string]interface{}{"set-name": SetName, "type": Type},
			n,
		),
	}
}

// InterfaceRef returns from Acl_InterfacePath the path struct for its child "interface-ref".
func (n *Acl_InterfacePath) InterfaceRef() *Acl_Interface_InterfaceRefPath {
	return &Acl_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Acl_InterfacePathAny the path struct for its child "interface-ref".
func (n *Acl_InterfacePathAny) InterfaceRef() *Acl_Interface_InterfaceRefPathAny {
	return &Acl_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_Interface_EgressAclSetPath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set YANG schema element.
type Acl_Interface_EgressAclSetPath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSetPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set YANG schema element.
type Acl_Interface_EgressAclSetPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_SetNamePath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/config/set-name YANG schema element.
type Acl_Interface_EgressAclSet_SetNamePath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_SetNamePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/config/set-name YANG schema element.
type Acl_Interface_EgressAclSet_SetNamePathAny struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_TypePath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/config/type YANG schema element.
type Acl_Interface_EgressAclSet_TypePath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_TypePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/config/type YANG schema element.
type Acl_Interface_EgressAclSet_TypePathAny struct {
	*ygot.NodePath
}

// AclEntryAny returns from Acl_Interface_EgressAclSetPath the path struct for its child "acl-entry".
func (n *Acl_Interface_EgressAclSetPath) AclEntryAny() *Acl_Interface_EgressAclSet_AclEntryPathAny {
	return &Acl_Interface_EgressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntryAny returns from Acl_Interface_EgressAclSetPathAny the path struct for its child "acl-entry".
func (n *Acl_Interface_EgressAclSetPathAny) AclEntryAny() *Acl_Interface_EgressAclSet_AclEntryPathAny {
	return &Acl_Interface_EgressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntry returns from Acl_Interface_EgressAclSetPath the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_Interface_EgressAclSetPath) AclEntry(SequenceId uint32) *Acl_Interface_EgressAclSet_AclEntryPath {
	return &Acl_Interface_EgressAclSet_AclEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// AclEntry returns from Acl_Interface_EgressAclSetPathAny the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_Interface_EgressAclSetPathAny) AclEntry(SequenceId uint32) *Acl_Interface_EgressAclSet_AclEntryPathAny {
	return &Acl_Interface_EgressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// SetName returns from Acl_Interface_EgressAclSetPath the path struct for its child "set-name".
func (n *Acl_Interface_EgressAclSetPath) SetName() *Acl_Interface_EgressAclSet_SetNamePath {
	return &Acl_Interface_EgressAclSet_SetNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetName returns from Acl_Interface_EgressAclSetPathAny the path struct for its child "set-name".
func (n *Acl_Interface_EgressAclSetPathAny) SetName() *Acl_Interface_EgressAclSet_SetNamePathAny {
	return &Acl_Interface_EgressAclSet_SetNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_Interface_EgressAclSetPath the path struct for its child "type".
func (n *Acl_Interface_EgressAclSetPath) Type() *Acl_Interface_EgressAclSet_TypePath {
	return &Acl_Interface_EgressAclSet_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_Interface_EgressAclSetPathAny the path struct for its child "type".
func (n *Acl_Interface_EgressAclSetPathAny) Type() *Acl_Interface_EgressAclSet_TypePathAny {
	return &Acl_Interface_EgressAclSet_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_Interface_EgressAclSet_AclEntryPath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry YANG schema element.
type Acl_Interface_EgressAclSet_AclEntryPath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntryPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry YANG schema element.
type Acl_Interface_EgressAclSet_AclEntryPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_SequenceIdPath represents the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/sequence-id YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_SequenceIdPath struct {
	*ygot.NodePath
}

// Acl_Interface_EgressAclSet_AclEntry_SequenceIdPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/egress-acl-sets/egress-acl-set/acl-entries/acl-entry/state/sequence-id YANG schema element.
type Acl_Interface_EgressAclSet_AclEntry_SequenceIdPathAny struct {
	*ygot.NodePath
}

// MatchedOctets returns from Acl_Interface_EgressAclSet_AclEntryPath the path struct for its child "matched-octets".
func (n *Acl_Interface_EgressAclSet_AclEntryPath) MatchedOctets() *Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPath {
	return &Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from Acl_Interface_EgressAclSet_AclEntryPathAny the path struct for its child "matched-octets".
func (n *Acl_Interface_EgressAclSet_AclEntryPathAny) MatchedOctets() *Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPathAny {
	return &Acl_Interface_EgressAclSet_AclEntry_MatchedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_Interface_EgressAclSet_AclEntryPath the path struct for its child "matched-packets".
func (n *Acl_Interface_EgressAclSet_AclEntryPath) MatchedPackets() *Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPath {
	return &Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_Interface_EgressAclSet_AclEntryPathAny the path struct for its child "matched-packets".
func (n *Acl_Interface_EgressAclSet_AclEntryPathAny) MatchedPackets() *Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPathAny {
	return &Acl_Interface_EgressAclSet_AclEntry_MatchedPacketsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_Interface_EgressAclSet_AclEntryPath the path struct for its child "sequence-id".
func (n *Acl_Interface_EgressAclSet_AclEntryPath) SequenceId() *Acl_Interface_EgressAclSet_AclEntry_SequenceIdPath {
	return &Acl_Interface_EgressAclSet_AclEntry_SequenceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_Interface_EgressAclSet_AclEntryPathAny the path struct for its child "sequence-id".
func (n *Acl_Interface_EgressAclSet_AclEntryPathAny) SequenceId() *Acl_Interface_EgressAclSet_AclEntry_SequenceIdPathAny {
	return &Acl_Interface_EgressAclSet_AclEntry_SequenceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_Interface_IngressAclSetPath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set YANG schema element.
type Acl_Interface_IngressAclSetPath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSetPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set YANG schema element.
type Acl_Interface_IngressAclSetPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_SetNamePath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/config/set-name YANG schema element.
type Acl_Interface_IngressAclSet_SetNamePath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_SetNamePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/config/set-name YANG schema element.
type Acl_Interface_IngressAclSet_SetNamePathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_TypePath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/config/type YANG schema element.
type Acl_Interface_IngressAclSet_TypePath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_TypePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/config/type YANG schema element.
type Acl_Interface_IngressAclSet_TypePathAny struct {
	*ygot.NodePath
}

// AclEntryAny returns from Acl_Interface_IngressAclSetPath the path struct for its child "acl-entry".
func (n *Acl_Interface_IngressAclSetPath) AclEntryAny() *Acl_Interface_IngressAclSet_AclEntryPathAny {
	return &Acl_Interface_IngressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntryAny returns from Acl_Interface_IngressAclSetPathAny the path struct for its child "acl-entry".
func (n *Acl_Interface_IngressAclSetPathAny) AclEntryAny() *Acl_Interface_IngressAclSet_AclEntryPathAny {
	return &Acl_Interface_IngressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// AclEntry returns from Acl_Interface_IngressAclSetPath the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_Interface_IngressAclSetPath) AclEntry(SequenceId uint32) *Acl_Interface_IngressAclSet_AclEntryPath {
	return &Acl_Interface_IngressAclSet_AclEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// AclEntry returns from Acl_Interface_IngressAclSetPathAny the path struct for its child "acl-entry".
// SequenceId: uint32
func (n *Acl_Interface_IngressAclSetPathAny) AclEntry(SequenceId uint32) *Acl_Interface_IngressAclSet_AclEntryPathAny {
	return &Acl_Interface_IngressAclSet_AclEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"acl-entries", "acl-entry"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// SetName returns from Acl_Interface_IngressAclSetPath the path struct for its child "set-name".
func (n *Acl_Interface_IngressAclSetPath) SetName() *Acl_Interface_IngressAclSet_SetNamePath {
	return &Acl_Interface_IngressAclSet_SetNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetName returns from Acl_Interface_IngressAclSetPathAny the path struct for its child "set-name".
func (n *Acl_Interface_IngressAclSetPathAny) SetName() *Acl_Interface_IngressAclSet_SetNamePathAny {
	return &Acl_Interface_IngressAclSet_SetNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_Interface_IngressAclSetPath the path struct for its child "type".
func (n *Acl_Interface_IngressAclSetPath) Type() *Acl_Interface_IngressAclSet_TypePath {
	return &Acl_Interface_IngressAclSet_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Acl_Interface_IngressAclSetPathAny the path struct for its child "type".
func (n *Acl_Interface_IngressAclSetPathAny) Type() *Acl_Interface_IngressAclSet_TypePathAny {
	return &Acl_Interface_IngressAclSet_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_Interface_IngressAclSet_AclEntryPath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry YANG schema element.
type Acl_Interface_IngressAclSet_AclEntryPath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntryPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry YANG schema element.
type Acl_Interface_IngressAclSet_AclEntryPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/matched-octets YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/matched-packets YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_SequenceIdPath represents the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/sequence-id YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_SequenceIdPath struct {
	*ygot.NodePath
}

// Acl_Interface_IngressAclSet_AclEntry_SequenceIdPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/ingress-acl-sets/ingress-acl-set/acl-entries/acl-entry/state/sequence-id YANG schema element.
type Acl_Interface_IngressAclSet_AclEntry_SequenceIdPathAny struct {
	*ygot.NodePath
}

// MatchedOctets returns from Acl_Interface_IngressAclSet_AclEntryPath the path struct for its child "matched-octets".
func (n *Acl_Interface_IngressAclSet_AclEntryPath) MatchedOctets() *Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPath {
	return &Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from Acl_Interface_IngressAclSet_AclEntryPathAny the path struct for its child "matched-octets".
func (n *Acl_Interface_IngressAclSet_AclEntryPathAny) MatchedOctets() *Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPathAny {
	return &Acl_Interface_IngressAclSet_AclEntry_MatchedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_Interface_IngressAclSet_AclEntryPath the path struct for its child "matched-packets".
func (n *Acl_Interface_IngressAclSet_AclEntryPath) MatchedPackets() *Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPath {
	return &Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPackets returns from Acl_Interface_IngressAclSet_AclEntryPathAny the path struct for its child "matched-packets".
func (n *Acl_Interface_IngressAclSet_AclEntryPathAny) MatchedPackets() *Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPathAny {
	return &Acl_Interface_IngressAclSet_AclEntry_MatchedPacketsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_Interface_IngressAclSet_AclEntryPath the path struct for its child "sequence-id".
func (n *Acl_Interface_IngressAclSet_AclEntryPath) SequenceId() *Acl_Interface_IngressAclSet_AclEntry_SequenceIdPath {
	return &Acl_Interface_IngressAclSet_AclEntry_SequenceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from Acl_Interface_IngressAclSet_AclEntryPathAny the path struct for its child "sequence-id".
func (n *Acl_Interface_IngressAclSet_AclEntryPathAny) SequenceId() *Acl_Interface_IngressAclSet_AclEntry_SequenceIdPathAny {
	return &Acl_Interface_IngressAclSet_AclEntry_SequenceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Acl_Interface_InterfaceRefPath represents the /openconfig-acl/acl/interfaces/interface/interface-ref YANG schema element.
type Acl_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// Acl_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/interface-ref YANG schema element.
type Acl_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Acl_Interface_InterfaceRef_InterfacePath represents the /openconfig-acl/acl/interfaces/interface/interface-ref/config/interface YANG schema element.
type Acl_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Acl_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/interface-ref/config/interface YANG schema element.
type Acl_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Acl_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-acl/acl/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type Acl_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Acl_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-acl/acl/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type Acl_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Acl_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *Acl_Interface_InterfaceRefPath) Interface() *Acl_Interface_InterfaceRef_InterfacePath {
	return &Acl_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Acl_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *Acl_Interface_InterfaceRefPathAny) Interface() *Acl_Interface_InterfaceRef_InterfacePathAny {
	return &Acl_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Acl_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *Acl_Interface_InterfaceRefPath) Subinterface() *Acl_Interface_InterfaceRef_SubinterfacePath {
	return &Acl_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Acl_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Acl_Interface_InterfaceRefPathAny) Subinterface() *Acl_Interface_InterfaceRef_SubinterfacePathAny {
	return &Acl_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApsPath represents the /openconfig-transport-line-protection/aps YANG schema element.
type ApsPath struct {
	*ygot.NodePath
}

// ApsPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps YANG schema element.
type ApsPathAny struct {
	*ygot.NodePath
}

// ApsModuleAny returns from ApsPath the path struct for its child "aps-module".
func (n *ApsPath) ApsModuleAny() *Aps_ApsModulePathAny {
	return &Aps_ApsModulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aps-modules", "aps-module"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// ApsModuleAny returns from ApsPathAny the path struct for its child "aps-module".
func (n *ApsPathAny) ApsModuleAny() *Aps_ApsModulePathAny {
	return &Aps_ApsModulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aps-modules", "aps-module"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// ApsModule returns from ApsPath the path struct for its child "aps-module".
// Name: string
func (n *ApsPath) ApsModule(Name string) *Aps_ApsModulePath {
	return &Aps_ApsModulePath{
		NodePath: ygot.NewNodePath(
			[]string{"aps-modules", "aps-module"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// ApsModule returns from ApsPathAny the path struct for its child "aps-module".
// Name: string
func (n *ApsPathAny) ApsModule(Name string) *Aps_ApsModulePathAny {
	return &Aps_ApsModulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aps-modules", "aps-module"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Aps_ApsModulePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module YANG schema element.
type Aps_ApsModulePath struct {
	*ygot.NodePath
}

// Aps_ApsModulePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module YANG schema element.
type Aps_ApsModulePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_ActivePathPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/state/active-path YANG schema element.
type Aps_ApsModule_ActivePathPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_ActivePathPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/state/active-path YANG schema element.
type Aps_ApsModule_ActivePathPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_ForceToPortPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/force-to-port YANG schema element.
type Aps_ApsModule_ForceToPortPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_ForceToPortPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/force-to-port YANG schema element.
type Aps_ApsModule_ForceToPortPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_HoldOffTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/hold-off-time YANG schema element.
type Aps_ApsModule_HoldOffTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_HoldOffTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/hold-off-time YANG schema element.
type Aps_ApsModule_HoldOffTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_NamePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/name YANG schema element.
type Aps_ApsModule_NamePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_NamePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/name YANG schema element.
type Aps_ApsModule_NamePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_PrimarySwitchHysteresisPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/primary-switch-hysteresis YANG schema element.
type Aps_ApsModule_PrimarySwitchHysteresisPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_PrimarySwitchHysteresisPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/primary-switch-hysteresis YANG schema element.
type Aps_ApsModule_PrimarySwitchHysteresisPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_PrimarySwitchThresholdPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/primary-switch-threshold YANG schema element.
type Aps_ApsModule_PrimarySwitchThresholdPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_PrimarySwitchThresholdPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/primary-switch-threshold YANG schema element.
type Aps_ApsModule_PrimarySwitchThresholdPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_RelativeSwitchThresholdPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/relative-switch-threshold YANG schema element.
type Aps_ApsModule_RelativeSwitchThresholdPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_RelativeSwitchThresholdPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/relative-switch-threshold YANG schema element.
type Aps_ApsModule_RelativeSwitchThresholdPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_RelativeSwitchThresholdOffsetPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/relative-switch-threshold-offset YANG schema element.
type Aps_ApsModule_RelativeSwitchThresholdOffsetPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_RelativeSwitchThresholdOffsetPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/relative-switch-threshold-offset YANG schema element.
type Aps_ApsModule_RelativeSwitchThresholdOffsetPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_RevertivePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/revertive YANG schema element.
type Aps_ApsModule_RevertivePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_RevertivePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/revertive YANG schema element.
type Aps_ApsModule_RevertivePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_SecondarySwitchThresholdPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/secondary-switch-threshold YANG schema element.
type Aps_ApsModule_SecondarySwitchThresholdPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_SecondarySwitchThresholdPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/secondary-switch-threshold YANG schema element.
type Aps_ApsModule_SecondarySwitchThresholdPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_WaitToRestoreTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/wait-to-restore-time YANG schema element.
type Aps_ApsModule_WaitToRestoreTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_WaitToRestoreTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/config/wait-to-restore-time YANG schema element.
type Aps_ApsModule_WaitToRestoreTimePathAny struct {
	*ygot.NodePath
}

// ActivePath returns from Aps_ApsModulePath the path struct for its child "active-path".
func (n *Aps_ApsModulePath) ActivePath() *Aps_ApsModule_ActivePathPath {
	return &Aps_ApsModule_ActivePathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActivePath returns from Aps_ApsModulePathAny the path struct for its child "active-path".
func (n *Aps_ApsModulePathAny) ActivePath() *Aps_ApsModule_ActivePathPathAny {
	return &Aps_ApsModule_ActivePathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForceToPort returns from Aps_ApsModulePath the path struct for its child "force-to-port".
func (n *Aps_ApsModulePath) ForceToPort() *Aps_ApsModule_ForceToPortPath {
	return &Aps_ApsModule_ForceToPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "force-to-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForceToPort returns from Aps_ApsModulePathAny the path struct for its child "force-to-port".
func (n *Aps_ApsModulePathAny) ForceToPort() *Aps_ApsModule_ForceToPortPathAny {
	return &Aps_ApsModule_ForceToPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "force-to-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldOffTime returns from Aps_ApsModulePath the path struct for its child "hold-off-time".
func (n *Aps_ApsModulePath) HoldOffTime() *Aps_ApsModule_HoldOffTimePath {
	return &Aps_ApsModule_HoldOffTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-off-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldOffTime returns from Aps_ApsModulePathAny the path struct for its child "hold-off-time".
func (n *Aps_ApsModulePathAny) HoldOffTime() *Aps_ApsModule_HoldOffTimePathAny {
	return &Aps_ApsModule_HoldOffTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-off-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Aps_ApsModulePath the path struct for its child "name".
func (n *Aps_ApsModulePath) Name() *Aps_ApsModule_NamePath {
	return &Aps_ApsModule_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Aps_ApsModulePathAny the path struct for its child "name".
func (n *Aps_ApsModulePathAny) Name() *Aps_ApsModule_NamePathAny {
	return &Aps_ApsModule_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ports returns from Aps_ApsModulePath the path struct for its child "ports".
func (n *Aps_ApsModulePath) Ports() *Aps_ApsModule_PortsPath {
	return &Aps_ApsModule_PortsPath{
		NodePath: ygot.NewNodePath(
			[]string{"ports"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ports returns from Aps_ApsModulePathAny the path struct for its child "ports".
func (n *Aps_ApsModulePathAny) Ports() *Aps_ApsModule_PortsPathAny {
	return &Aps_ApsModule_PortsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ports"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrimarySwitchHysteresis returns from Aps_ApsModulePath the path struct for its child "primary-switch-hysteresis".
func (n *Aps_ApsModulePath) PrimarySwitchHysteresis() *Aps_ApsModule_PrimarySwitchHysteresisPath {
	return &Aps_ApsModule_PrimarySwitchHysteresisPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "primary-switch-hysteresis"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrimarySwitchHysteresis returns from Aps_ApsModulePathAny the path struct for its child "primary-switch-hysteresis".
func (n *Aps_ApsModulePathAny) PrimarySwitchHysteresis() *Aps_ApsModule_PrimarySwitchHysteresisPathAny {
	return &Aps_ApsModule_PrimarySwitchHysteresisPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "primary-switch-hysteresis"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrimarySwitchThreshold returns from Aps_ApsModulePath the path struct for its child "primary-switch-threshold".
func (n *Aps_ApsModulePath) PrimarySwitchThreshold() *Aps_ApsModule_PrimarySwitchThresholdPath {
	return &Aps_ApsModule_PrimarySwitchThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "primary-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrimarySwitchThreshold returns from Aps_ApsModulePathAny the path struct for its child "primary-switch-threshold".
func (n *Aps_ApsModulePathAny) PrimarySwitchThreshold() *Aps_ApsModule_PrimarySwitchThresholdPathAny {
	return &Aps_ApsModule_PrimarySwitchThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "primary-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelativeSwitchThreshold returns from Aps_ApsModulePath the path struct for its child "relative-switch-threshold".
func (n *Aps_ApsModulePath) RelativeSwitchThreshold() *Aps_ApsModule_RelativeSwitchThresholdPath {
	return &Aps_ApsModule_RelativeSwitchThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "relative-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelativeSwitchThreshold returns from Aps_ApsModulePathAny the path struct for its child "relative-switch-threshold".
func (n *Aps_ApsModulePathAny) RelativeSwitchThreshold() *Aps_ApsModule_RelativeSwitchThresholdPathAny {
	return &Aps_ApsModule_RelativeSwitchThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "relative-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelativeSwitchThresholdOffset returns from Aps_ApsModulePath the path struct for its child "relative-switch-threshold-offset".
func (n *Aps_ApsModulePath) RelativeSwitchThresholdOffset() *Aps_ApsModule_RelativeSwitchThresholdOffsetPath {
	return &Aps_ApsModule_RelativeSwitchThresholdOffsetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "relative-switch-threshold-offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelativeSwitchThresholdOffset returns from Aps_ApsModulePathAny the path struct for its child "relative-switch-threshold-offset".
func (n *Aps_ApsModulePathAny) RelativeSwitchThresholdOffset() *Aps_ApsModule_RelativeSwitchThresholdOffsetPathAny {
	return &Aps_ApsModule_RelativeSwitchThresholdOffsetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "relative-switch-threshold-offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// Revertive returns from Aps_ApsModulePath the path struct for its child "revertive".
func (n *Aps_ApsModulePath) Revertive() *Aps_ApsModule_RevertivePath {
	return &Aps_ApsModule_RevertivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "revertive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Revertive returns from Aps_ApsModulePathAny the path struct for its child "revertive".
func (n *Aps_ApsModulePathAny) Revertive() *Aps_ApsModule_RevertivePathAny {
	return &Aps_ApsModule_RevertivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "revertive"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondarySwitchThreshold returns from Aps_ApsModulePath the path struct for its child "secondary-switch-threshold".
func (n *Aps_ApsModulePath) SecondarySwitchThreshold() *Aps_ApsModule_SecondarySwitchThresholdPath {
	return &Aps_ApsModule_SecondarySwitchThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secondary-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondarySwitchThreshold returns from Aps_ApsModulePathAny the path struct for its child "secondary-switch-threshold".
func (n *Aps_ApsModulePathAny) SecondarySwitchThreshold() *Aps_ApsModule_SecondarySwitchThresholdPathAny {
	return &Aps_ApsModule_SecondarySwitchThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secondary-switch-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// WaitToRestoreTime returns from Aps_ApsModulePath the path struct for its child "wait-to-restore-time".
func (n *Aps_ApsModulePath) WaitToRestoreTime() *Aps_ApsModule_WaitToRestoreTimePath {
	return &Aps_ApsModule_WaitToRestoreTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "wait-to-restore-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// WaitToRestoreTime returns from Aps_ApsModulePathAny the path struct for its child "wait-to-restore-time".
func (n *Aps_ApsModulePathAny) WaitToRestoreTime() *Aps_ApsModule_WaitToRestoreTimePathAny {
	return &Aps_ApsModule_WaitToRestoreTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "wait-to-restore-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_PortsPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports YANG schema element.
type Aps_ApsModule_PortsPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_PortsPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports YANG schema element.
type Aps_ApsModule_PortsPathAny struct {
	*ygot.NodePath
}

// CommonIn returns from Aps_ApsModule_PortsPath the path struct for its child "common-in".
func (n *Aps_ApsModule_PortsPath) CommonIn() *Aps_ApsModule_Ports_CommonInPath {
	return &Aps_ApsModule_Ports_CommonInPath{
		NodePath: ygot.NewNodePath(
			[]string{"common-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommonIn returns from Aps_ApsModule_PortsPathAny the path struct for its child "common-in".
func (n *Aps_ApsModule_PortsPathAny) CommonIn() *Aps_ApsModule_Ports_CommonInPathAny {
	return &Aps_ApsModule_Ports_CommonInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"common-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommonOutput returns from Aps_ApsModule_PortsPath the path struct for its child "common-output".
func (n *Aps_ApsModule_PortsPath) CommonOutput() *Aps_ApsModule_Ports_CommonOutputPath {
	return &Aps_ApsModule_Ports_CommonOutputPath{
		NodePath: ygot.NewNodePath(
			[]string{"common-output"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommonOutput returns from Aps_ApsModule_PortsPathAny the path struct for its child "common-output".
func (n *Aps_ApsModule_PortsPathAny) CommonOutput() *Aps_ApsModule_Ports_CommonOutputPathAny {
	return &Aps_ApsModule_Ports_CommonOutputPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"common-output"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePrimaryIn returns from Aps_ApsModule_PortsPath the path struct for its child "line-primary-in".
func (n *Aps_ApsModule_PortsPath) LinePrimaryIn() *Aps_ApsModule_Ports_LinePrimaryInPath {
	return &Aps_ApsModule_Ports_LinePrimaryInPath{
		NodePath: ygot.NewNodePath(
			[]string{"line-primary-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePrimaryIn returns from Aps_ApsModule_PortsPathAny the path struct for its child "line-primary-in".
func (n *Aps_ApsModule_PortsPathAny) LinePrimaryIn() *Aps_ApsModule_Ports_LinePrimaryInPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"line-primary-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePrimaryOut returns from Aps_ApsModule_PortsPath the path struct for its child "line-primary-out".
func (n *Aps_ApsModule_PortsPath) LinePrimaryOut() *Aps_ApsModule_Ports_LinePrimaryOutPath {
	return &Aps_ApsModule_Ports_LinePrimaryOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"line-primary-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePrimaryOut returns from Aps_ApsModule_PortsPathAny the path struct for its child "line-primary-out".
func (n *Aps_ApsModule_PortsPathAny) LinePrimaryOut() *Aps_ApsModule_Ports_LinePrimaryOutPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"line-primary-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LineSecondaryIn returns from Aps_ApsModule_PortsPath the path struct for its child "line-secondary-in".
func (n *Aps_ApsModule_PortsPath) LineSecondaryIn() *Aps_ApsModule_Ports_LineSecondaryInPath {
	return &Aps_ApsModule_Ports_LineSecondaryInPath{
		NodePath: ygot.NewNodePath(
			[]string{"line-secondary-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LineSecondaryIn returns from Aps_ApsModule_PortsPathAny the path struct for its child "line-secondary-in".
func (n *Aps_ApsModule_PortsPathAny) LineSecondaryIn() *Aps_ApsModule_Ports_LineSecondaryInPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"line-secondary-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LineSecondaryOut returns from Aps_ApsModule_PortsPath the path struct for its child "line-secondary-out".
func (n *Aps_ApsModule_PortsPath) LineSecondaryOut() *Aps_ApsModule_Ports_LineSecondaryOutPath {
	return &Aps_ApsModule_Ports_LineSecondaryOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"line-secondary-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LineSecondaryOut returns from Aps_ApsModule_PortsPathAny the path struct for its child "line-secondary-out".
func (n *Aps_ApsModule_PortsPathAny) LineSecondaryOut() *Aps_ApsModule_Ports_LineSecondaryOutPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"line-secondary-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_CommonInPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in YANG schema element.
type Aps_ApsModule_Ports_CommonInPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonInPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in YANG schema element.
type Aps_ApsModule_Ports_CommonInPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonIn_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonIn_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_EnabledPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_CommonIn_EnabledPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_EnabledPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_CommonIn_EnabledPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonIn_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonIn_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_CommonInPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_CommonInPath) Attenuation() *Aps_ApsModule_Ports_CommonIn_AttenuationPath {
	return &Aps_ApsModule_Ports_CommonIn_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_CommonInPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_CommonInPathAny) Attenuation() *Aps_ApsModule_Ports_CommonIn_AttenuationPathAny {
	return &Aps_ApsModule_Ports_CommonIn_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_CommonInPath the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_CommonInPath) Enabled() *Aps_ApsModule_Ports_CommonIn_EnabledPath {
	return &Aps_ApsModule_Ports_CommonIn_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_CommonInPathAny the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_CommonInPathAny) Enabled() *Aps_ApsModule_Ports_CommonIn_EnabledPathAny {
	return &Aps_ApsModule_Ports_CommonIn_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_CommonInPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_CommonInPath) OpticalPower() *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_CommonInPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_CommonInPathAny) OpticalPower() *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_CommonInPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_CommonInPath) TargetAttenuation() *Aps_ApsModule_Ports_CommonIn_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_CommonIn_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_CommonInPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_CommonInPathAny) TargetAttenuation() *Aps_ApsModule_Ports_CommonIn_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_CommonIn_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_CommonIn_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) Max() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) Min() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_CommonIn_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_CommonIn_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_CommonOutputPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output YANG schema element.
type Aps_ApsModule_Ports_CommonOutputPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutputPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output YANG schema element.
type Aps_ApsModule_Ports_CommonOutputPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_CommonOutputPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_CommonOutputPath) Attenuation() *Aps_ApsModule_Ports_CommonOutput_AttenuationPath {
	return &Aps_ApsModule_Ports_CommonOutput_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_CommonOutputPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_CommonOutputPathAny) Attenuation() *Aps_ApsModule_Ports_CommonOutput_AttenuationPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_CommonOutputPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_CommonOutputPath) OpticalPower() *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_CommonOutputPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_CommonOutputPathAny) OpticalPower() *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_CommonOutputPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_CommonOutputPath) TargetAttenuation() *Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_CommonOutputPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_CommonOutputPathAny) TargetAttenuation() *Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/common-output/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) Max() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) Min() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_CommonOutput_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_CommonOutput_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LinePrimaryInPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryInPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryInPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryInPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_EnabledPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_EnabledPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_EnabledPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_EnabledPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_LinePrimaryInPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryInPath) Attenuation() *Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_LinePrimaryInPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryInPathAny) Attenuation() *Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_LinePrimaryInPath the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_LinePrimaryInPath) Enabled() *Aps_ApsModule_Ports_LinePrimaryIn_EnabledPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_LinePrimaryInPathAny the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_LinePrimaryInPathAny) Enabled() *Aps_ApsModule_Ports_LinePrimaryIn_EnabledPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LinePrimaryInPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LinePrimaryInPath) OpticalPower() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LinePrimaryInPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LinePrimaryInPathAny) OpticalPower() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LinePrimaryInPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryInPath) TargetAttenuation() *Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LinePrimaryInPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryInPathAny) TargetAttenuation() *Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) Max() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) Min() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_LinePrimaryIn_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LinePrimaryOutPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOutPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOutPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOutPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_LinePrimaryOutPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPath) Attenuation() *Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_LinePrimaryOutPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPathAny) Attenuation() *Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LinePrimaryOutPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPath) OpticalPower() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LinePrimaryOutPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPathAny) OpticalPower() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LinePrimaryOutPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPath) TargetAttenuation() *Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LinePrimaryOutPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LinePrimaryOutPathAny) TargetAttenuation() *Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-primary-out/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) Max() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) Min() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_LinePrimaryOut_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LineSecondaryInPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryInPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryInPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryInPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_EnabledPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_EnabledPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_EnabledPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/config/enabled YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_EnabledPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_LineSecondaryInPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryInPath) Attenuation() *Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_LineSecondaryInPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryInPathAny) Attenuation() *Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_LineSecondaryInPath the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_LineSecondaryInPath) Enabled() *Aps_ApsModule_Ports_LineSecondaryIn_EnabledPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Aps_ApsModule_Ports_LineSecondaryInPathAny the path struct for its child "enabled".
func (n *Aps_ApsModule_Ports_LineSecondaryInPathAny) Enabled() *Aps_ApsModule_Ports_LineSecondaryIn_EnabledPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LineSecondaryInPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LineSecondaryInPath) OpticalPower() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LineSecondaryInPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LineSecondaryInPathAny) OpticalPower() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LineSecondaryInPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryInPath) TargetAttenuation() *Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LineSecondaryInPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryInPathAny) TargetAttenuation() *Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-in/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) Max() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) Min() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_LineSecondaryIn_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LineSecondaryOutPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOutPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOutPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOutPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/config/target-attenuation YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPathAny struct {
	*ygot.NodePath
}

// Attenuation returns from Aps_ApsModule_Ports_LineSecondaryOutPath the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPath) Attenuation() *Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attenuation returns from Aps_ApsModule_Ports_LineSecondaryOutPathAny the path struct for its child "attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPathAny) Attenuation() *Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_AttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LineSecondaryOutPath the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPath) OpticalPower() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPower returns from Aps_ApsModule_Ports_LineSecondaryOutPathAny the path struct for its child "optical-power".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPathAny) OpticalPower() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LineSecondaryOutPath the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPath) TargetAttenuation() *Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAttenuation returns from Aps_ApsModule_Ports_LineSecondaryOutPathAny the path struct for its child "target-attenuation".
func (n *Aps_ApsModule_Ports_LineSecondaryOutPathAny) TargetAttenuation() *Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_TargetAttenuationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-attenuation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/avg YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/instant YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/interval YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/max YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/max-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/min YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPathAny struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePath represents the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePath struct {
	*ygot.NodePath
}

// Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePathAny represents the wildcard version of the /openconfig-transport-line-protection/aps/aps-modules/aps-module/ports/line-secondary-out/state/optical-power/min-time YANG schema element.
type Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) Avg() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "avg".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) Avg() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) Instant() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "instant".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) Instant() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) Interval() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "interval".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) Interval() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) Max() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "max".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) Max() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) MaxTime() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "max-time".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) MaxTime() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) Min() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "min".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) Min() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPath) MinTime() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePath {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny the path struct for its child "min-time".
func (n *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPowerPathAny) MinTime() *Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePathAny {
	return &Aps_ApsModule_Ports_LineSecondaryOut_OpticalPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// BgpPath represents the /openconfig-bgp/bgp YANG schema element.
type BgpPath struct {
	*ygot.NodePath
}

// BgpPathAny represents the wildcard version of the /openconfig-bgp/bgp YANG schema element.
type BgpPathAny struct {
	*ygot.NodePath
}

// Global returns from BgpPath the path struct for its child "global".
func (n *BgpPath) Global() *Bgp_GlobalPath {
	return &Bgp_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from BgpPathAny the path struct for its child "global".
func (n *BgpPathAny) Global() *Bgp_GlobalPathAny {
	return &Bgp_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from BgpPath the path struct for its child "neighbor".
func (n *BgpPath) NeighborAny() *Bgp_NeighborPathAny {
	return &Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from BgpPathAny the path struct for its child "neighbor".
func (n *BgpPathAny) NeighborAny() *Bgp_NeighborPathAny {
	return &Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from BgpPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *BgpPath) Neighbor(NeighborAddress string) *Bgp_NeighborPath {
	return &Bgp_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from BgpPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *BgpPathAny) Neighbor(NeighborAddress string) *Bgp_NeighborPathAny {
	return &Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// PeerGroupAny returns from BgpPath the path struct for its child "peer-group".
func (n *BgpPath) PeerGroupAny() *Bgp_PeerGroupPathAny {
	return &Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": "*"},
			n,
		),
	}
}

// PeerGroupAny returns from BgpPathAny the path struct for its child "peer-group".
func (n *BgpPathAny) PeerGroupAny() *Bgp_PeerGroupPathAny {
	return &Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": "*"},
			n,
		),
	}
}

// PeerGroup returns from BgpPath the path struct for its child "peer-group".
// PeerGroupName: string
func (n *BgpPath) PeerGroup(PeerGroupName string) *Bgp_PeerGroupPath {
	return &Bgp_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": PeerGroupName},
			n,
		),
	}
}

// PeerGroup returns from BgpPathAny the path struct for its child "peer-group".
// PeerGroupName: string
func (n *BgpPathAny) PeerGroup(PeerGroupName string) *Bgp_PeerGroupPathAny {
	return &Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": PeerGroupName},
			n,
		),
	}
}

// Rib returns from BgpPath the path struct for its child "rib".
func (n *BgpPath) Rib() *Bgp_RibPath {
	return &Bgp_RibPath{
		NodePath: ygot.NewNodePath(
			[]string{"rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rib returns from BgpPathAny the path struct for its child "rib".
func (n *BgpPathAny) Rib() *Bgp_RibPathAny {
	return &Bgp_RibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_GlobalPath represents the /openconfig-bgp/bgp/global YANG schema element.
type Bgp_GlobalPath struct {
	*ygot.NodePath
}

// Bgp_GlobalPathAny represents the wildcard version of the /openconfig-bgp/bgp/global YANG schema element.
type Bgp_GlobalPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AsPath represents the /openconfig-bgp/bgp/global/config/as YANG schema element.
type Bgp_Global_AsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/config/as YANG schema element.
type Bgp_Global_AsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouterIdPath represents the /openconfig-bgp/bgp/global/config/router-id YANG schema element.
type Bgp_Global_RouterIdPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouterIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/config/router-id YANG schema element.
type Bgp_Global_RouterIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_TotalPathsPath represents the /openconfig-bgp/bgp/global/state/total-paths YANG schema element.
type Bgp_Global_TotalPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_TotalPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/state/total-paths YANG schema element.
type Bgp_Global_TotalPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_TotalPrefixesPath represents the /openconfig-bgp/bgp/global/state/total-prefixes YANG schema element.
type Bgp_Global_TotalPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_TotalPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/state/total-prefixes YANG schema element.
type Bgp_Global_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from Bgp_GlobalPath the path struct for its child "afi-safi".
func (n *Bgp_GlobalPath) AfiSafiAny() *Bgp_Global_AfiSafiPathAny {
	return &Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from Bgp_GlobalPathAny the path struct for its child "afi-safi".
func (n *Bgp_GlobalPathAny) AfiSafiAny() *Bgp_Global_AfiSafiPathAny {
	return &Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from Bgp_GlobalPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_GlobalPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Global_AfiSafiPath {
	return &Bgp_Global_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from Bgp_GlobalPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_GlobalPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Global_AfiSafiPathAny {
	return &Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// As returns from Bgp_GlobalPath the path struct for its child "as".
func (n *Bgp_GlobalPath) As() *Bgp_Global_AsPath {
	return &Bgp_Global_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from Bgp_GlobalPathAny the path struct for its child "as".
func (n *Bgp_GlobalPathAny) As() *Bgp_Global_AsPathAny {
	return &Bgp_Global_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Confederation returns from Bgp_GlobalPath the path struct for its child "confederation".
func (n *Bgp_GlobalPath) Confederation() *Bgp_Global_ConfederationPath {
	return &Bgp_Global_ConfederationPath{
		NodePath: ygot.NewNodePath(
			[]string{"confederation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Confederation returns from Bgp_GlobalPathAny the path struct for its child "confederation".
func (n *Bgp_GlobalPathAny) Confederation() *Bgp_Global_ConfederationPathAny {
	return &Bgp_Global_ConfederationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"confederation"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultRouteDistance returns from Bgp_GlobalPath the path struct for its child "default-route-distance".
func (n *Bgp_GlobalPath) DefaultRouteDistance() *Bgp_Global_DefaultRouteDistancePath {
	return &Bgp_Global_DefaultRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"default-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultRouteDistance returns from Bgp_GlobalPathAny the path struct for its child "default-route-distance".
func (n *Bgp_GlobalPathAny) DefaultRouteDistance() *Bgp_Global_DefaultRouteDistancePathAny {
	return &Bgp_Global_DefaultRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"default-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicNeighborPrefixAny returns from Bgp_GlobalPath the path struct for its child "dynamic-neighbor-prefix".
func (n *Bgp_GlobalPath) DynamicNeighborPrefixAny() *Bgp_Global_DynamicNeighborPrefixPathAny {
	return &Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// DynamicNeighborPrefixAny returns from Bgp_GlobalPathAny the path struct for its child "dynamic-neighbor-prefix".
func (n *Bgp_GlobalPathAny) DynamicNeighborPrefixAny() *Bgp_Global_DynamicNeighborPrefixPathAny {
	return &Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// DynamicNeighborPrefix returns from Bgp_GlobalPath the path struct for its child "dynamic-neighbor-prefix".
// Prefix: string
func (n *Bgp_GlobalPath) DynamicNeighborPrefix(Prefix string) *Bgp_Global_DynamicNeighborPrefixPath {
	return &Bgp_Global_DynamicNeighborPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// DynamicNeighborPrefix returns from Bgp_GlobalPathAny the path struct for its child "dynamic-neighbor-prefix".
// Prefix: string
func (n *Bgp_GlobalPathAny) DynamicNeighborPrefix(Prefix string) *Bgp_Global_DynamicNeighborPrefixPathAny {
	return &Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_GlobalPath the path struct for its child "graceful-restart".
func (n *Bgp_GlobalPath) GracefulRestart() *Bgp_Global_GracefulRestartPath {
	return &Bgp_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_GlobalPathAny the path struct for its child "graceful-restart".
func (n *Bgp_GlobalPathAny) GracefulRestart() *Bgp_Global_GracefulRestartPathAny {
	return &Bgp_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from Bgp_GlobalPath the path struct for its child "route-selection-options".
func (n *Bgp_GlobalPath) RouteSelectionOptions() *Bgp_Global_RouteSelectionOptionsPath {
	return &Bgp_Global_RouteSelectionOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from Bgp_GlobalPathAny the path struct for its child "route-selection-options".
func (n *Bgp_GlobalPathAny) RouteSelectionOptions() *Bgp_Global_RouteSelectionOptionsPathAny {
	return &Bgp_Global_RouteSelectionOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from Bgp_GlobalPath the path struct for its child "router-id".
func (n *Bgp_GlobalPath) RouterId() *Bgp_Global_RouterIdPath {
	return &Bgp_Global_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from Bgp_GlobalPathAny the path struct for its child "router-id".
func (n *Bgp_GlobalPathAny) RouterId() *Bgp_Global_RouterIdPathAny {
	return &Bgp_Global_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_GlobalPath the path struct for its child "total-paths".
func (n *Bgp_GlobalPath) TotalPaths() *Bgp_Global_TotalPathsPath {
	return &Bgp_Global_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_GlobalPathAny the path struct for its child "total-paths".
func (n *Bgp_GlobalPathAny) TotalPaths() *Bgp_Global_TotalPathsPathAny {
	return &Bgp_Global_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_GlobalPath the path struct for its child "total-prefixes".
func (n *Bgp_GlobalPath) TotalPrefixes() *Bgp_Global_TotalPrefixesPath {
	return &Bgp_Global_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_GlobalPathAny the path struct for its child "total-prefixes".
func (n *Bgp_GlobalPathAny) TotalPrefixes() *Bgp_Global_TotalPrefixesPathAny {
	return &Bgp_Global_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_GlobalPath the path struct for its child "use-multiple-paths".
func (n *Bgp_GlobalPath) UseMultiplePaths() *Bgp_Global_UseMultiplePathsPath {
	return &Bgp_Global_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_GlobalPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_GlobalPathAny) UseMultiplePaths() *Bgp_Global_UseMultiplePathsPathAny {
	return &Bgp_Global_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafiPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi YANG schema element.
type Bgp_Global_AfiSafiPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafiPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi YANG schema element.
type Bgp_Global_AfiSafiPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AfiSafiNamePath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_Global_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_Global_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_EnabledPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_TotalPathsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/state/total-paths YANG schema element.
type Bgp_Global_AfiSafi_TotalPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_TotalPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/state/total-paths YANG schema element.
type Bgp_Global_AfiSafi_TotalPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_TotalPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/state/total-prefixes YANG schema element.
type Bgp_Global_AfiSafi_TotalPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_TotalPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/state/total-prefixes YANG schema element.
type Bgp_Global_AfiSafi_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AddPaths returns from Bgp_Global_AfiSafiPath the path struct for its child "add-paths".
func (n *Bgp_Global_AfiSafiPath) AddPaths() *Bgp_Global_AfiSafi_AddPathsPath {
	return &Bgp_Global_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from Bgp_Global_AfiSafiPathAny the path struct for its child "add-paths".
func (n *Bgp_Global_AfiSafiPathAny) AddPaths() *Bgp_Global_AfiSafi_AddPathsPathAny {
	return &Bgp_Global_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_Global_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *Bgp_Global_AfiSafiPath) AfiSafiName() *Bgp_Global_AfiSafi_AfiSafiNamePath {
	return &Bgp_Global_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_Global_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *Bgp_Global_AfiSafiPathAny) AfiSafiName() *Bgp_Global_AfiSafi_AfiSafiNamePathAny {
	return &Bgp_Global_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_AfiSafiPath the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafiPath) Enabled() *Bgp_Global_AfiSafi_EnabledPath {
	return &Bgp_Global_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_AfiSafiPathAny the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafiPathAny) Enabled() *Bgp_Global_AfiSafi_EnabledPathAny {
	return &Bgp_Global_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_Global_AfiSafiPath the path struct for its child "graceful-restart".
func (n *Bgp_Global_AfiSafiPath) GracefulRestart() *Bgp_Global_AfiSafi_GracefulRestartPath {
	return &Bgp_Global_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_Global_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *Bgp_Global_AfiSafiPathAny) GracefulRestart() *Bgp_Global_AfiSafi_GracefulRestartPathAny {
	return &Bgp_Global_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_Global_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_Global_AfiSafiPath) Ipv4LabeledUnicast() *Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_Global_AfiSafiPathAny) Ipv4LabeledUnicast() *Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Global_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *Bgp_Global_AfiSafiPath) Ipv4Unicast() *Bgp_Global_AfiSafi_Ipv4UnicastPath {
	return &Bgp_Global_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *Bgp_Global_AfiSafiPathAny) Ipv4Unicast() *Bgp_Global_AfiSafi_Ipv4UnicastPathAny {
	return &Bgp_Global_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_Global_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_Global_AfiSafiPath) Ipv6LabeledUnicast() *Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_Global_AfiSafiPathAny) Ipv6LabeledUnicast() *Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Global_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *Bgp_Global_AfiSafiPath) Ipv6Unicast() *Bgp_Global_AfiSafi_Ipv6UnicastPath {
	return &Bgp_Global_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *Bgp_Global_AfiSafiPathAny) Ipv6Unicast() *Bgp_Global_AfiSafi_Ipv6UnicastPathAny {
	return &Bgp_Global_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_Global_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *Bgp_Global_AfiSafiPath) L2VpnEvpn() *Bgp_Global_AfiSafi_L2VpnEvpnPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *Bgp_Global_AfiSafiPathAny) L2VpnEvpn() *Bgp_Global_AfiSafi_L2VpnEvpnPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_Global_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *Bgp_Global_AfiSafiPath) L2VpnVpls() *Bgp_Global_AfiSafi_L2VpnVplsPath {
	return &Bgp_Global_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *Bgp_Global_AfiSafiPathAny) L2VpnVpls() *Bgp_Global_AfiSafi_L2VpnVplsPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_Global_AfiSafiPath) L3VpnIpv4Multicast() *Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_Global_AfiSafiPathAny) L3VpnIpv4Multicast() *Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_Global_AfiSafiPath) L3VpnIpv4Unicast() *Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_Global_AfiSafiPathAny) L3VpnIpv4Unicast() *Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_Global_AfiSafiPath) L3VpnIpv6Multicast() *Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_Global_AfiSafiPathAny) L3VpnIpv6Multicast() *Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_Global_AfiSafiPath) L3VpnIpv6Unicast() *Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_Global_AfiSafiPathAny) L3VpnIpv6Unicast() *Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from Bgp_Global_AfiSafiPath the path struct for its child "route-selection-options".
func (n *Bgp_Global_AfiSafiPath) RouteSelectionOptions() *Bgp_Global_AfiSafi_RouteSelectionOptionsPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from Bgp_Global_AfiSafiPathAny the path struct for its child "route-selection-options".
func (n *Bgp_Global_AfiSafiPathAny) RouteSelectionOptions() *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_Global_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *Bgp_Global_AfiSafiPath) SrtePolicyIpv4() *Bgp_Global_AfiSafi_SrtePolicyIpv4Path {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_Global_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *Bgp_Global_AfiSafiPathAny) SrtePolicyIpv4() *Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_Global_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *Bgp_Global_AfiSafiPath) SrtePolicyIpv6() *Bgp_Global_AfiSafi_SrtePolicyIpv6Path {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_Global_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *Bgp_Global_AfiSafiPathAny) SrtePolicyIpv6() *Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_Global_AfiSafiPath the path struct for its child "total-paths".
func (n *Bgp_Global_AfiSafiPath) TotalPaths() *Bgp_Global_AfiSafi_TotalPathsPath {
	return &Bgp_Global_AfiSafi_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_Global_AfiSafiPathAny the path struct for its child "total-paths".
func (n *Bgp_Global_AfiSafiPathAny) TotalPaths() *Bgp_Global_AfiSafi_TotalPathsPathAny {
	return &Bgp_Global_AfiSafi_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_Global_AfiSafiPath the path struct for its child "total-prefixes".
func (n *Bgp_Global_AfiSafiPath) TotalPrefixes() *Bgp_Global_AfiSafi_TotalPrefixesPath {
	return &Bgp_Global_AfiSafi_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_Global_AfiSafiPathAny the path struct for its child "total-prefixes".
func (n *Bgp_Global_AfiSafiPathAny) TotalPrefixes() *Bgp_Global_AfiSafi_TotalPrefixesPathAny {
	return &Bgp_Global_AfiSafi_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_Global_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *Bgp_Global_AfiSafiPath) UseMultiplePaths() *Bgp_Global_AfiSafi_UseMultiplePathsPath {
	return &Bgp_Global_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_Global_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_Global_AfiSafiPathAny) UseMultiplePaths() *Bgp_Global_AfiSafi_UseMultiplePathsPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_AddPathsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_Global_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_Global_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_ReceivePath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_SendPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *Bgp_Global_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *Bgp_Global_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *Bgp_Global_AfiSafi_AddPathsPath) Receive() *Bgp_Global_AfiSafi_AddPaths_ReceivePath {
	return &Bgp_Global_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *Bgp_Global_AfiSafi_AddPathsPathAny) Receive() *Bgp_Global_AfiSafi_AddPaths_ReceivePathAny {
	return &Bgp_Global_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *Bgp_Global_AfiSafi_AddPathsPath) Send() *Bgp_Global_AfiSafi_AddPaths_SendPath {
	return &Bgp_Global_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *Bgp_Global_AfiSafi_AddPathsPathAny) Send() *Bgp_Global_AfiSafi_AddPaths_SendPathAny {
	return &Bgp_Global_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *Bgp_Global_AfiSafi_AddPathsPath) SendMax() *Bgp_Global_AfiSafi_AddPaths_SendMaxPath {
	return &Bgp_Global_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *Bgp_Global_AfiSafi_AddPathsPathAny) SendMax() *Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny {
	return &Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_GracefulRestartPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_Global_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_Global_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_Global_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafi_GracefulRestartPath) Enabled() *Bgp_Global_AfiSafi_GracefulRestart_EnabledPath {
	return &Bgp_Global_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafi_GracefulRestartPathAny) Enabled() *Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny {
	return &Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv4UnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv4UnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Global_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_Global_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Global_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_Global_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv6UnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Global_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv6UnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Global_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_Global_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Global_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_Global_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L2VpnEvpnPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L2VpnEvpnPath) PrefixLimit() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L2VpnVplsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L2VpnVplsPath) PrefixLimit() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_RouteSelectionOptionsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptionsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/advertise-inactive-routes YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/advertise-inactive-routes YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/always-compare-med YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/always-compare-med YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/enable-aigp YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/enable-aigp YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/external-compare-router-id YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/external-compare-router-id YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-as-path-length YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-as-path-length YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny struct {
	*ygot.NodePath
}

// AdvertiseInactiveRoutes returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "advertise-inactive-routes".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) AdvertiseInactiveRoutes() *Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertiseInactiveRoutes returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "advertise-inactive-routes".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) AdvertiseInactiveRoutes() *Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "always-compare-med".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) AlwaysCompareMed() *Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "always-compare-med".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) AlwaysCompareMed() *Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "enable-aigp".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) EnableAigp() *Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "enable-aigp".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) EnableAigp() *Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "external-compare-router-id".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) ExternalCompareRouterId() *Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "external-compare-router-id".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) ExternalCompareRouterId() *Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "ignore-as-path-length".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) IgnoreAsPathLength() *Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "ignore-as-path-length".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) IgnoreAsPathLength() *Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "ignore-next-hop-igp-metric".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPath) IgnoreNextHopIgpMetric() *Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "ignore-next-hop-igp-metric".
func (n *Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) IgnoreNextHopIgpMetric() *Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny {
	return &Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Global_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_UseMultiplePathsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPath) Ebgp() *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Ebgp() *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPath) Enabled() *Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Enabled() *Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPath) Ibgp() *Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Ibgp() *Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath) MaximumPaths() *Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny) MaximumPaths() *Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath) MaximumPaths() *Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny) MaximumPaths() *Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_ConfederationPath represents the /openconfig-bgp/bgp/global/confederation YANG schema element.
type Bgp_Global_ConfederationPath struct {
	*ygot.NodePath
}

// Bgp_Global_ConfederationPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/confederation YANG schema element.
type Bgp_Global_ConfederationPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_Confederation_IdentifierPath represents the /openconfig-bgp/bgp/global/confederation/config/identifier YANG schema element.
type Bgp_Global_Confederation_IdentifierPath struct {
	*ygot.NodePath
}

// Bgp_Global_Confederation_IdentifierPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/confederation/config/identifier YANG schema element.
type Bgp_Global_Confederation_IdentifierPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_Confederation_MemberAsPath represents the /openconfig-bgp/bgp/global/confederation/config/member-as YANG schema element.
type Bgp_Global_Confederation_MemberAsPath struct {
	*ygot.NodePath
}

// Bgp_Global_Confederation_MemberAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/confederation/config/member-as YANG schema element.
type Bgp_Global_Confederation_MemberAsPathAny struct {
	*ygot.NodePath
}

// Identifier returns from Bgp_Global_ConfederationPath the path struct for its child "identifier".
func (n *Bgp_Global_ConfederationPath) Identifier() *Bgp_Global_Confederation_IdentifierPath {
	return &Bgp_Global_Confederation_IdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from Bgp_Global_ConfederationPathAny the path struct for its child "identifier".
func (n *Bgp_Global_ConfederationPathAny) Identifier() *Bgp_Global_Confederation_IdentifierPathAny {
	return &Bgp_Global_Confederation_IdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemberAs returns from Bgp_Global_ConfederationPath the path struct for its child "member-as".
func (n *Bgp_Global_ConfederationPath) MemberAs() *Bgp_Global_Confederation_MemberAsPath {
	return &Bgp_Global_Confederation_MemberAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "member-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemberAs returns from Bgp_Global_ConfederationPathAny the path struct for its child "member-as".
func (n *Bgp_Global_ConfederationPathAny) MemberAs() *Bgp_Global_Confederation_MemberAsPathAny {
	return &Bgp_Global_Confederation_MemberAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "member-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_DefaultRouteDistancePath represents the /openconfig-bgp/bgp/global/default-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistancePath struct {
	*ygot.NodePath
}

// Bgp_Global_DefaultRouteDistancePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/default-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistancePathAny struct {
	*ygot.NodePath
}

// Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath represents the /openconfig-bgp/bgp/global/default-route-distance/config/external-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath struct {
	*ygot.NodePath
}

// Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/default-route-distance/config/external-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny struct {
	*ygot.NodePath
}

// Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath represents the /openconfig-bgp/bgp/global/default-route-distance/config/internal-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath struct {
	*ygot.NodePath
}

// Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/default-route-distance/config/internal-route-distance YANG schema element.
type Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny struct {
	*ygot.NodePath
}

// ExternalRouteDistance returns from Bgp_Global_DefaultRouteDistancePath the path struct for its child "external-route-distance".
func (n *Bgp_Global_DefaultRouteDistancePath) ExternalRouteDistance() *Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath {
	return &Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteDistance returns from Bgp_Global_DefaultRouteDistancePathAny the path struct for its child "external-route-distance".
func (n *Bgp_Global_DefaultRouteDistancePathAny) ExternalRouteDistance() *Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny {
	return &Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRouteDistance returns from Bgp_Global_DefaultRouteDistancePath the path struct for its child "internal-route-distance".
func (n *Bgp_Global_DefaultRouteDistancePath) InternalRouteDistance() *Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath {
	return &Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRouteDistance returns from Bgp_Global_DefaultRouteDistancePathAny the path struct for its child "internal-route-distance".
func (n *Bgp_Global_DefaultRouteDistancePathAny) InternalRouteDistance() *Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny {
	return &Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_DynamicNeighborPrefixPath represents the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix YANG schema element.
type Bgp_Global_DynamicNeighborPrefixPath struct {
	*ygot.NodePath
}

// Bgp_Global_DynamicNeighborPrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix YANG schema element.
type Bgp_Global_DynamicNeighborPrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_DynamicNeighborPrefix_PeerGroupPath represents the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/peer-group YANG schema element.
type Bgp_Global_DynamicNeighborPrefix_PeerGroupPath struct {
	*ygot.NodePath
}

// Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/peer-group YANG schema element.
type Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_DynamicNeighborPrefix_PrefixPath represents the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/prefix YANG schema element.
type Bgp_Global_DynamicNeighborPrefix_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Global_DynamicNeighborPrefix_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/prefix YANG schema element.
type Bgp_Global_DynamicNeighborPrefix_PrefixPathAny struct {
	*ygot.NodePath
}

// PeerGroup returns from Bgp_Global_DynamicNeighborPrefixPath the path struct for its child "peer-group".
func (n *Bgp_Global_DynamicNeighborPrefixPath) PeerGroup() *Bgp_Global_DynamicNeighborPrefix_PeerGroupPath {
	return &Bgp_Global_DynamicNeighborPrefix_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from Bgp_Global_DynamicNeighborPrefixPathAny the path struct for its child "peer-group".
func (n *Bgp_Global_DynamicNeighborPrefixPathAny) PeerGroup() *Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny {
	return &Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Global_DynamicNeighborPrefixPath the path struct for its child "prefix".
func (n *Bgp_Global_DynamicNeighborPrefixPath) Prefix() *Bgp_Global_DynamicNeighborPrefix_PrefixPath {
	return &Bgp_Global_DynamicNeighborPrefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Global_DynamicNeighborPrefixPathAny the path struct for its child "prefix".
func (n *Bgp_Global_DynamicNeighborPrefixPathAny) Prefix() *Bgp_Global_DynamicNeighborPrefix_PrefixPathAny {
	return &Bgp_Global_DynamicNeighborPrefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_GracefulRestartPath represents the /openconfig-bgp/bgp/global/graceful-restart YANG schema element.
type Bgp_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/graceful-restart YANG schema element.
type Bgp_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/global/graceful-restart/config/enabled YANG schema element.
type Bgp_Global_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/graceful-restart/config/enabled YANG schema element.
type Bgp_Global_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_HelperOnlyPath represents the /openconfig-bgp/bgp/global/graceful-restart/config/helper-only YANG schema element.
type Bgp_Global_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/graceful-restart/config/helper-only YANG schema element.
type Bgp_Global_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_RestartTimePath represents the /openconfig-bgp/bgp/global/graceful-restart/config/restart-time YANG schema element.
type Bgp_Global_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/graceful-restart/config/restart-time YANG schema element.
type Bgp_Global_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_StaleRoutesTimePath represents the /openconfig-bgp/bgp/global/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_Global_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// Bgp_Global_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/global/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_Global_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_Global_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_Global_GracefulRestartPath) Enabled() *Bgp_Global_GracefulRestart_EnabledPath {
	return &Bgp_Global_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_Global_GracefulRestartPathAny) Enabled() *Bgp_Global_GracefulRestart_EnabledPathAny {
	return &Bgp_Global_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_Global_GracefulRestartPath the path struct for its child "helper-only".
func (n *Bgp_Global_GracefulRestartPath) HelperOnly() *Bgp_Global_GracefulRestart_HelperOnlyPath {
	return &Bgp_Global_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_Global_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *Bgp_Global_GracefulRestartPathAny) HelperOnly() *Bgp_Global_GracefulRestart_HelperOnlyPathAny {
	return &Bgp_Global_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_Global_GracefulRestartPath the path struct for its child "restart-time".
func (n *Bgp_Global_GracefulRestartPath) RestartTime() *Bgp_Global_GracefulRestart_RestartTimePath {
	return &Bgp_Global_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_Global_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *Bgp_Global_GracefulRestartPathAny) RestartTime() *Bgp_Global_GracefulRestart_RestartTimePathAny {
	return &Bgp_Global_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_Global_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *Bgp_Global_GracefulRestartPath) StaleRoutesTime() *Bgp_Global_GracefulRestart_StaleRoutesTimePath {
	return &Bgp_Global_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_Global_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *Bgp_Global_GracefulRestartPathAny) StaleRoutesTime() *Bgp_Global_GracefulRestart_StaleRoutesTimePathAny {
	return &Bgp_Global_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_RouteSelectionOptionsPath represents the /openconfig-bgp/bgp/global/route-selection-options YANG schema element.
type Bgp_Global_RouteSelectionOptionsPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options YANG schema element.
type Bgp_Global_RouteSelectionOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/advertise-inactive-routes YANG schema element.
type Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/advertise-inactive-routes YANG schema element.
type Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/always-compare-med YANG schema element.
type Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/always-compare-med YANG schema element.
type Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_EnableAigpPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/enable-aigp YANG schema element.
type Bgp_Global_RouteSelectionOptions_EnableAigpPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_EnableAigpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/enable-aigp YANG schema element.
type Bgp_Global_RouteSelectionOptions_EnableAigpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/external-compare-router-id YANG schema element.
type Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/external-compare-router-id YANG schema element.
type Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/ignore-as-path-length YANG schema element.
type Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/ignore-as-path-length YANG schema element.
type Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath represents the /openconfig-bgp/bgp/global/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath struct {
	*ygot.NodePath
}

// Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny struct {
	*ygot.NodePath
}

// AdvertiseInactiveRoutes returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "advertise-inactive-routes".
func (n *Bgp_Global_RouteSelectionOptionsPath) AdvertiseInactiveRoutes() *Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath {
	return &Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertiseInactiveRoutes returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "advertise-inactive-routes".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) AdvertiseInactiveRoutes() *Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny {
	return &Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "always-compare-med".
func (n *Bgp_Global_RouteSelectionOptionsPath) AlwaysCompareMed() *Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath {
	return &Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "always-compare-med".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) AlwaysCompareMed() *Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny {
	return &Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "enable-aigp".
func (n *Bgp_Global_RouteSelectionOptionsPath) EnableAigp() *Bgp_Global_RouteSelectionOptions_EnableAigpPath {
	return &Bgp_Global_RouteSelectionOptions_EnableAigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "enable-aigp".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) EnableAigp() *Bgp_Global_RouteSelectionOptions_EnableAigpPathAny {
	return &Bgp_Global_RouteSelectionOptions_EnableAigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "external-compare-router-id".
func (n *Bgp_Global_RouteSelectionOptionsPath) ExternalCompareRouterId() *Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath {
	return &Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "external-compare-router-id".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) ExternalCompareRouterId() *Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny {
	return &Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "ignore-as-path-length".
func (n *Bgp_Global_RouteSelectionOptionsPath) IgnoreAsPathLength() *Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath {
	return &Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "ignore-as-path-length".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) IgnoreAsPathLength() *Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny {
	return &Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from Bgp_Global_RouteSelectionOptionsPath the path struct for its child "ignore-next-hop-igp-metric".
func (n *Bgp_Global_RouteSelectionOptionsPath) IgnoreNextHopIgpMetric() *Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath {
	return &Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "ignore-next-hop-igp-metric".
func (n *Bgp_Global_RouteSelectionOptionsPathAny) IgnoreNextHopIgpMetric() *Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny {
	return &Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_UseMultiplePathsPath represents the /openconfig-bgp/bgp/global/use-multiple-paths YANG schema element.
type Bgp_Global_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths YANG schema element.
type Bgp_Global_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Global_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Global_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_Global_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_Global_UseMultiplePathsPath) Ebgp() *Bgp_Global_UseMultiplePaths_EbgpPath {
	return &Bgp_Global_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_Global_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_Global_UseMultiplePathsPathAny) Ebgp() *Bgp_Global_UseMultiplePaths_EbgpPathAny {
	return &Bgp_Global_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_Global_UseMultiplePathsPath) Enabled() *Bgp_Global_UseMultiplePaths_EnabledPath {
	return &Bgp_Global_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Global_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_Global_UseMultiplePathsPathAny) Enabled() *Bgp_Global_UseMultiplePaths_EnabledPathAny {
	return &Bgp_Global_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_Global_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *Bgp_Global_UseMultiplePathsPath) Ibgp() *Bgp_Global_UseMultiplePaths_IbgpPath {
	return &Bgp_Global_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_Global_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *Bgp_Global_UseMultiplePathsPathAny) Ibgp() *Bgp_Global_UseMultiplePaths_IbgpPathAny {
	return &Bgp_Global_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp YANG schema element.
type Bgp_Global_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp YANG schema element.
type Bgp_Global_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_Global_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_Global_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_Global_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_Global_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_Global_UseMultiplePaths_EbgpPath) MaximumPaths() *Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_Global_UseMultiplePaths_EbgpPathAny) MaximumPaths() *Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Global_UseMultiplePaths_IbgpPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/ibgp YANG schema element.
type Bgp_Global_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/ibgp YANG schema element.
type Bgp_Global_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-bgp/bgp/global/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/global/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from Bgp_Global_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_Global_UseMultiplePaths_IbgpPath) MaximumPaths() *Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_Global_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_Global_UseMultiplePaths_IbgpPathAny) MaximumPaths() *Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_NeighborPath represents the /openconfig-bgp/bgp/neighbors/neighbor YANG schema element.
type Bgp_NeighborPath struct {
	*ygot.NodePath
}

// Bgp_NeighborPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor YANG schema element.
type Bgp_NeighborPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AuthPasswordPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/auth-password YANG schema element.
type Bgp_Neighbor_AuthPasswordPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AuthPasswordPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/auth-password YANG schema element.
type Bgp_Neighbor_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_DescriptionPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/description YANG schema element.
type Bgp_Neighbor_DescriptionPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_DescriptionPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/description YANG schema element.
type Bgp_Neighbor_DescriptionPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_DynamicallyConfiguredPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/dynamically-configured YANG schema element.
type Bgp_Neighbor_DynamicallyConfiguredPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_DynamicallyConfiguredPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/dynamically-configured YANG schema element.
type Bgp_Neighbor_DynamicallyConfiguredPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/enabled YANG schema element.
type Bgp_Neighbor_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/enabled YANG schema element.
type Bgp_Neighbor_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EstablishedTransitionsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/established-transitions YANG schema element.
type Bgp_Neighbor_EstablishedTransitionsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EstablishedTransitionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/established-transitions YANG schema element.
type Bgp_Neighbor_EstablishedTransitionsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LastEstablishedPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/last-established YANG schema element.
type Bgp_Neighbor_LastEstablishedPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LastEstablishedPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/last-established YANG schema element.
type Bgp_Neighbor_LastEstablishedPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LocalAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/local-as YANG schema element.
type Bgp_Neighbor_LocalAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LocalAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/local-as YANG schema element.
type Bgp_Neighbor_LocalAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_NeighborAddressPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/neighbor-address YANG schema element.
type Bgp_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/neighbor-address YANG schema element.
type Bgp_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-as YANG schema element.
type Bgp_Neighbor_PeerAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-as YANG schema element.
type Bgp_Neighbor_PeerAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerGroupPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-group YANG schema element.
type Bgp_Neighbor_PeerGroupPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerGroupPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-group YANG schema element.
type Bgp_Neighbor_PeerGroupPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerTypePath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-type YANG schema element.
type Bgp_Neighbor_PeerTypePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_PeerTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/peer-type YANG schema element.
type Bgp_Neighbor_PeerTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RemovePrivateAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/remove-private-as YANG schema element.
type Bgp_Neighbor_RemovePrivateAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RemovePrivateAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/remove-private-as YANG schema element.
type Bgp_Neighbor_RemovePrivateAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteFlapDampingPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/route-flap-damping YANG schema element.
type Bgp_Neighbor_RouteFlapDampingPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteFlapDampingPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/route-flap-damping YANG schema element.
type Bgp_Neighbor_RouteFlapDampingPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SendCommunityPath represents the /openconfig-bgp/bgp/neighbors/neighbor/config/send-community YANG schema element.
type Bgp_Neighbor_SendCommunityPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SendCommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/config/send-community YANG schema element.
type Bgp_Neighbor_SendCommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SessionStatePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/session-state YANG schema element.
type Bgp_Neighbor_SessionStatePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SessionStatePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/session-state YANG schema element.
type Bgp_Neighbor_SessionStatePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SupportedCapabilitiesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/supported-capabilities YANG schema element.
type Bgp_Neighbor_SupportedCapabilitiesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_SupportedCapabilitiesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/supported-capabilities YANG schema element.
type Bgp_Neighbor_SupportedCapabilitiesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from Bgp_NeighborPath the path struct for its child "afi-safi".
func (n *Bgp_NeighborPath) AfiSafiAny() *Bgp_Neighbor_AfiSafiPathAny {
	return &Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from Bgp_NeighborPathAny the path struct for its child "afi-safi".
func (n *Bgp_NeighborPathAny) AfiSafiAny() *Bgp_Neighbor_AfiSafiPathAny {
	return &Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from Bgp_NeighborPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_NeighborPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Neighbor_AfiSafiPath {
	return &Bgp_Neighbor_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from Bgp_NeighborPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_NeighborPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Neighbor_AfiSafiPathAny {
	return &Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_NeighborPath the path struct for its child "apply-policy".
func (n *Bgp_NeighborPath) ApplyPolicy() *Bgp_Neighbor_ApplyPolicyPath {
	return &Bgp_Neighbor_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_NeighborPathAny the path struct for its child "apply-policy".
func (n *Bgp_NeighborPathAny) ApplyPolicy() *Bgp_Neighbor_ApplyPolicyPathAny {
	return &Bgp_Neighbor_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from Bgp_NeighborPath the path struct for its child "as-path-options".
func (n *Bgp_NeighborPath) AsPathOptions() *Bgp_Neighbor_AsPathOptionsPath {
	return &Bgp_Neighbor_AsPathOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from Bgp_NeighborPathAny the path struct for its child "as-path-options".
func (n *Bgp_NeighborPathAny) AsPathOptions() *Bgp_Neighbor_AsPathOptionsPathAny {
	return &Bgp_Neighbor_AsPathOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from Bgp_NeighborPath the path struct for its child "auth-password".
func (n *Bgp_NeighborPath) AuthPassword() *Bgp_Neighbor_AuthPasswordPath {
	return &Bgp_Neighbor_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from Bgp_NeighborPathAny the path struct for its child "auth-password".
func (n *Bgp_NeighborPathAny) AuthPassword() *Bgp_Neighbor_AuthPasswordPathAny {
	return &Bgp_Neighbor_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Bgp_NeighborPath the path struct for its child "description".
func (n *Bgp_NeighborPath) Description() *Bgp_Neighbor_DescriptionPath {
	return &Bgp_Neighbor_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Bgp_NeighborPathAny the path struct for its child "description".
func (n *Bgp_NeighborPathAny) Description() *Bgp_Neighbor_DescriptionPathAny {
	return &Bgp_Neighbor_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicallyConfigured returns from Bgp_NeighborPath the path struct for its child "dynamically-configured".
func (n *Bgp_NeighborPath) DynamicallyConfigured() *Bgp_Neighbor_DynamicallyConfiguredPath {
	return &Bgp_Neighbor_DynamicallyConfiguredPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dynamically-configured"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicallyConfigured returns from Bgp_NeighborPathAny the path struct for its child "dynamically-configured".
func (n *Bgp_NeighborPathAny) DynamicallyConfigured() *Bgp_Neighbor_DynamicallyConfiguredPathAny {
	return &Bgp_Neighbor_DynamicallyConfiguredPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dynamically-configured"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from Bgp_NeighborPath the path struct for its child "ebgp-multihop".
func (n *Bgp_NeighborPath) EbgpMultihop() *Bgp_Neighbor_EbgpMultihopPath {
	return &Bgp_Neighbor_EbgpMultihopPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from Bgp_NeighborPathAny the path struct for its child "ebgp-multihop".
func (n *Bgp_NeighborPathAny) EbgpMultihop() *Bgp_Neighbor_EbgpMultihopPathAny {
	return &Bgp_Neighbor_EbgpMultihopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_NeighborPath the path struct for its child "enabled".
func (n *Bgp_NeighborPath) Enabled() *Bgp_Neighbor_EnabledPath {
	return &Bgp_Neighbor_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_NeighborPathAny the path struct for its child "enabled".
func (n *Bgp_NeighborPathAny) Enabled() *Bgp_Neighbor_EnabledPathAny {
	return &Bgp_Neighbor_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from Bgp_NeighborPath the path struct for its child "error-handling".
func (n *Bgp_NeighborPath) ErrorHandling() *Bgp_Neighbor_ErrorHandlingPath {
	return &Bgp_Neighbor_ErrorHandlingPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from Bgp_NeighborPathAny the path struct for its child "error-handling".
func (n *Bgp_NeighborPathAny) ErrorHandling() *Bgp_Neighbor_ErrorHandlingPathAny {
	return &Bgp_Neighbor_ErrorHandlingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// EstablishedTransitions returns from Bgp_NeighborPath the path struct for its child "established-transitions".
func (n *Bgp_NeighborPath) EstablishedTransitions() *Bgp_Neighbor_EstablishedTransitionsPath {
	return &Bgp_Neighbor_EstablishedTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "established-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// EstablishedTransitions returns from Bgp_NeighborPathAny the path struct for its child "established-transitions".
func (n *Bgp_NeighborPathAny) EstablishedTransitions() *Bgp_Neighbor_EstablishedTransitionsPathAny {
	return &Bgp_Neighbor_EstablishedTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "established-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_NeighborPath the path struct for its child "graceful-restart".
func (n *Bgp_NeighborPath) GracefulRestart() *Bgp_Neighbor_GracefulRestartPath {
	return &Bgp_Neighbor_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_NeighborPathAny the path struct for its child "graceful-restart".
func (n *Bgp_NeighborPathAny) GracefulRestart() *Bgp_Neighbor_GracefulRestartPathAny {
	return &Bgp_Neighbor_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablished returns from Bgp_NeighborPath the path struct for its child "last-established".
func (n *Bgp_NeighborPath) LastEstablished() *Bgp_Neighbor_LastEstablishedPath {
	return &Bgp_Neighbor_LastEstablishedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablished returns from Bgp_NeighborPathAny the path struct for its child "last-established".
func (n *Bgp_NeighborPathAny) LastEstablished() *Bgp_Neighbor_LastEstablishedPathAny {
	return &Bgp_Neighbor_LastEstablishedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from Bgp_NeighborPath the path struct for its child "local-as".
func (n *Bgp_NeighborPath) LocalAs() *Bgp_Neighbor_LocalAsPath {
	return &Bgp_Neighbor_LocalAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from Bgp_NeighborPathAny the path struct for its child "local-as".
func (n *Bgp_NeighborPathAny) LocalAs() *Bgp_Neighbor_LocalAsPathAny {
	return &Bgp_Neighbor_LocalAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from Bgp_NeighborPath the path struct for its child "logging-options".
func (n *Bgp_NeighborPath) LoggingOptions() *Bgp_Neighbor_LoggingOptionsPath {
	return &Bgp_Neighbor_LoggingOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from Bgp_NeighborPathAny the path struct for its child "logging-options".
func (n *Bgp_NeighborPathAny) LoggingOptions() *Bgp_Neighbor_LoggingOptionsPathAny {
	return &Bgp_Neighbor_LoggingOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from Bgp_NeighborPath the path struct for its child "messages".
func (n *Bgp_NeighborPath) Messages() *Bgp_Neighbor_MessagesPath {
	return &Bgp_Neighbor_MessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from Bgp_NeighborPathAny the path struct for its child "messages".
func (n *Bgp_NeighborPathAny) Messages() *Bgp_Neighbor_MessagesPathAny {
	return &Bgp_Neighbor_MessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_NeighborPath the path struct for its child "neighbor-address".
func (n *Bgp_NeighborPath) NeighborAddress() *Bgp_Neighbor_NeighborAddressPath {
	return &Bgp_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_NeighborPathAny the path struct for its child "neighbor-address".
func (n *Bgp_NeighborPathAny) NeighborAddress() *Bgp_Neighbor_NeighborAddressPathAny {
	return &Bgp_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from Bgp_NeighborPath the path struct for its child "peer-as".
func (n *Bgp_NeighborPath) PeerAs() *Bgp_Neighbor_PeerAsPath {
	return &Bgp_Neighbor_PeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from Bgp_NeighborPathAny the path struct for its child "peer-as".
func (n *Bgp_NeighborPathAny) PeerAs() *Bgp_Neighbor_PeerAsPathAny {
	return &Bgp_Neighbor_PeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from Bgp_NeighborPath the path struct for its child "peer-group".
func (n *Bgp_NeighborPath) PeerGroup() *Bgp_Neighbor_PeerGroupPath {
	return &Bgp_Neighbor_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from Bgp_NeighborPathAny the path struct for its child "peer-group".
func (n *Bgp_NeighborPathAny) PeerGroup() *Bgp_Neighbor_PeerGroupPathAny {
	return &Bgp_Neighbor_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from Bgp_NeighborPath the path struct for its child "peer-type".
func (n *Bgp_NeighborPath) PeerType() *Bgp_Neighbor_PeerTypePath {
	return &Bgp_Neighbor_PeerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from Bgp_NeighborPathAny the path struct for its child "peer-type".
func (n *Bgp_NeighborPathAny) PeerType() *Bgp_Neighbor_PeerTypePathAny {
	return &Bgp_Neighbor_PeerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Queues returns from Bgp_NeighborPath the path struct for its child "queues".
func (n *Bgp_NeighborPath) Queues() *Bgp_Neighbor_QueuesPath {
	return &Bgp_Neighbor_QueuesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "queues"},
			map[string]interface{}{},
			n,
		),
	}
}

// Queues returns from Bgp_NeighborPathAny the path struct for its child "queues".
func (n *Bgp_NeighborPathAny) Queues() *Bgp_Neighbor_QueuesPathAny {
	return &Bgp_Neighbor_QueuesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "queues"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from Bgp_NeighborPath the path struct for its child "remove-private-as".
func (n *Bgp_NeighborPath) RemovePrivateAs() *Bgp_Neighbor_RemovePrivateAsPath {
	return &Bgp_Neighbor_RemovePrivateAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from Bgp_NeighborPathAny the path struct for its child "remove-private-as".
func (n *Bgp_NeighborPathAny) RemovePrivateAs() *Bgp_Neighbor_RemovePrivateAsPathAny {
	return &Bgp_Neighbor_RemovePrivateAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from Bgp_NeighborPath the path struct for its child "route-flap-damping".
func (n *Bgp_NeighborPath) RouteFlapDamping() *Bgp_Neighbor_RouteFlapDampingPath {
	return &Bgp_Neighbor_RouteFlapDampingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from Bgp_NeighborPathAny the path struct for its child "route-flap-damping".
func (n *Bgp_NeighborPathAny) RouteFlapDamping() *Bgp_Neighbor_RouteFlapDampingPathAny {
	return &Bgp_Neighbor_RouteFlapDampingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from Bgp_NeighborPath the path struct for its child "route-reflector".
func (n *Bgp_NeighborPath) RouteReflector() *Bgp_Neighbor_RouteReflectorPath {
	return &Bgp_Neighbor_RouteReflectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from Bgp_NeighborPathAny the path struct for its child "route-reflector".
func (n *Bgp_NeighborPathAny) RouteReflector() *Bgp_Neighbor_RouteReflectorPathAny {
	return &Bgp_Neighbor_RouteReflectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from Bgp_NeighborPath the path struct for its child "send-community".
func (n *Bgp_NeighborPath) SendCommunity() *Bgp_Neighbor_SendCommunityPath {
	return &Bgp_Neighbor_SendCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from Bgp_NeighborPathAny the path struct for its child "send-community".
func (n *Bgp_NeighborPathAny) SendCommunity() *Bgp_Neighbor_SendCommunityPathAny {
	return &Bgp_Neighbor_SendCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionState returns from Bgp_NeighborPath the path struct for its child "session-state".
func (n *Bgp_NeighborPath) SessionState() *Bgp_Neighbor_SessionStatePath {
	return &Bgp_Neighbor_SessionStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionState returns from Bgp_NeighborPathAny the path struct for its child "session-state".
func (n *Bgp_NeighborPathAny) SessionState() *Bgp_Neighbor_SessionStatePathAny {
	return &Bgp_Neighbor_SessionStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// SupportedCapabilities returns from Bgp_NeighborPath the path struct for its child "supported-capabilities".
func (n *Bgp_NeighborPath) SupportedCapabilities() *Bgp_Neighbor_SupportedCapabilitiesPath {
	return &Bgp_Neighbor_SupportedCapabilitiesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// SupportedCapabilities returns from Bgp_NeighborPathAny the path struct for its child "supported-capabilities".
func (n *Bgp_NeighborPathAny) SupportedCapabilities() *Bgp_Neighbor_SupportedCapabilitiesPathAny {
	return &Bgp_Neighbor_SupportedCapabilitiesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from Bgp_NeighborPath the path struct for its child "timers".
func (n *Bgp_NeighborPath) Timers() *Bgp_Neighbor_TimersPath {
	return &Bgp_Neighbor_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from Bgp_NeighborPathAny the path struct for its child "timers".
func (n *Bgp_NeighborPathAny) Timers() *Bgp_Neighbor_TimersPathAny {
	return &Bgp_Neighbor_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Bgp_NeighborPath the path struct for its child "transport".
func (n *Bgp_NeighborPath) Transport() *Bgp_Neighbor_TransportPath {
	return &Bgp_Neighbor_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Bgp_NeighborPathAny the path struct for its child "transport".
func (n *Bgp_NeighborPathAny) Transport() *Bgp_Neighbor_TransportPathAny {
	return &Bgp_Neighbor_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_NeighborPath the path struct for its child "use-multiple-paths".
func (n *Bgp_NeighborPath) UseMultiplePaths() *Bgp_Neighbor_UseMultiplePathsPath {
	return &Bgp_Neighbor_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_NeighborPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_NeighborPathAny) UseMultiplePaths() *Bgp_Neighbor_UseMultiplePathsPathAny {
	return &Bgp_Neighbor_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafiPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi YANG schema element.
type Bgp_Neighbor_AfiSafiPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafiPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi YANG schema element.
type Bgp_Neighbor_AfiSafiPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ActivePath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/active YANG schema element.
type Bgp_Neighbor_AfiSafi_ActivePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ActivePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/active YANG schema element.
type Bgp_Neighbor_AfiSafi_ActivePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AfiSafiNamePath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_Neighbor_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// Active returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "active".
func (n *Bgp_Neighbor_AfiSafiPath) Active() *Bgp_Neighbor_AfiSafi_ActivePath {
	return &Bgp_Neighbor_AfiSafi_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "active".
func (n *Bgp_Neighbor_AfiSafiPathAny) Active() *Bgp_Neighbor_AfiSafi_ActivePathAny {
	return &Bgp_Neighbor_AfiSafi_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "add-paths".
func (n *Bgp_Neighbor_AfiSafiPath) AddPaths() *Bgp_Neighbor_AfiSafi_AddPathsPath {
	return &Bgp_Neighbor_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "add-paths".
func (n *Bgp_Neighbor_AfiSafiPathAny) AddPaths() *Bgp_Neighbor_AfiSafi_AddPathsPathAny {
	return &Bgp_Neighbor_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *Bgp_Neighbor_AfiSafiPath) AfiSafiName() *Bgp_Neighbor_AfiSafi_AfiSafiNamePath {
	return &Bgp_Neighbor_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *Bgp_Neighbor_AfiSafiPathAny) AfiSafiName() *Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny {
	return &Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "apply-policy".
func (n *Bgp_Neighbor_AfiSafiPath) ApplyPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicyPath {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "apply-policy".
func (n *Bgp_Neighbor_AfiSafiPathAny) ApplyPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafiPath) Enabled() *Bgp_Neighbor_AfiSafi_EnabledPath {
	return &Bgp_Neighbor_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafiPathAny) Enabled() *Bgp_Neighbor_AfiSafi_EnabledPathAny {
	return &Bgp_Neighbor_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "graceful-restart".
func (n *Bgp_Neighbor_AfiSafiPath) GracefulRestart() *Bgp_Neighbor_AfiSafi_GracefulRestartPath {
	return &Bgp_Neighbor_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *Bgp_Neighbor_AfiSafiPathAny) GracefulRestart() *Bgp_Neighbor_AfiSafi_GracefulRestartPathAny {
	return &Bgp_Neighbor_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) Ipv4LabeledUnicast() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) Ipv4LabeledUnicast() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) Ipv4Unicast() *Bgp_Neighbor_AfiSafi_Ipv4UnicastPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) Ipv4Unicast() *Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) Ipv6LabeledUnicast() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) Ipv6LabeledUnicast() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) Ipv6Unicast() *Bgp_Neighbor_AfiSafi_Ipv6UnicastPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) Ipv6Unicast() *Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *Bgp_Neighbor_AfiSafiPath) L2VpnEvpn() *Bgp_Neighbor_AfiSafi_L2VpnEvpnPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *Bgp_Neighbor_AfiSafiPathAny) L2VpnEvpn() *Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *Bgp_Neighbor_AfiSafiPath) L2VpnVpls() *Bgp_Neighbor_AfiSafi_L2VpnVplsPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *Bgp_Neighbor_AfiSafiPathAny) L2VpnVpls() *Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_Neighbor_AfiSafiPath) L3VpnIpv4Multicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv4Multicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) L3VpnIpv4Unicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv4Unicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_Neighbor_AfiSafiPath) L3VpnIpv6Multicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv6Multicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_Neighbor_AfiSafiPath) L3VpnIpv6Unicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv6Unicast() *Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefixes returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "prefixes".
func (n *Bgp_Neighbor_AfiSafiPath) Prefixes() *Bgp_Neighbor_AfiSafi_PrefixesPath {
	return &Bgp_Neighbor_AfiSafi_PrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefixes returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "prefixes".
func (n *Bgp_Neighbor_AfiSafiPathAny) Prefixes() *Bgp_Neighbor_AfiSafi_PrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_PrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *Bgp_Neighbor_AfiSafiPath) SrtePolicyIpv4() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *Bgp_Neighbor_AfiSafiPathAny) SrtePolicyIpv4() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *Bgp_Neighbor_AfiSafiPath) SrtePolicyIpv6() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *Bgp_Neighbor_AfiSafiPathAny) SrtePolicyIpv6() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_Neighbor_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *Bgp_Neighbor_AfiSafiPath) UseMultiplePaths() *Bgp_Neighbor_AfiSafi_UseMultiplePathsPath {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_Neighbor_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_Neighbor_AfiSafiPathAny) UseMultiplePaths() *Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_AddPathsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_SendPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPath) Receive() *Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath {
	return &Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPathAny) Receive() *Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny {
	return &Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPath) Send() *Bgp_Neighbor_AfiSafi_AddPaths_SendPath {
	return &Bgp_Neighbor_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPathAny) Send() *Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny {
	return &Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPath) SendMax() *Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath {
	return &Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *Bgp_Neighbor_AfiSafi_AddPathsPathAny) SendMax() *Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny {
	return &Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_ApplyPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPath) DefaultExportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) DefaultExportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPath) DefaultImportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) DefaultImportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "export-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPath) ExportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) ExportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "import-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPath) ImportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) ImportPolicy() *Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_GracefulRestartPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/advertised YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/advertised YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/received YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/received YANG schema element.
type Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny struct {
	*ygot.NodePath
}

// Advertised returns from Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "advertised".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPath) Advertised() *Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertised"},
			map[string]interface{}{},
			n,
		),
	}
}

// Advertised returns from Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "advertised".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Advertised() *Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertised"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPath) Enabled() *Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Enabled() *Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "received".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPath) Received() *Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "received".
func (n *Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Received() *Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny {
	return &Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv4UnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv4UnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Neighbor_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_Neighbor_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv6UnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv6UnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Neighbor_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_Neighbor_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpnPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpnPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L2VpnVplsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVplsPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_PrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_PrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_PrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_PrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/installed YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/installed YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received-pre-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received-pre-policy YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_SentPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/sent YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_SentPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/sent YANG schema element.
type Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny struct {
	*ygot.NodePath
}

// Installed returns from Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "installed".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPath) Installed() *Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath {
	return &Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath{
		NodePath: ygot.NewNodePath(
			[]string{"installed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Installed returns from Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "installed".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPathAny) Installed() *Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny {
	return &Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"installed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "received".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPath) Received() *Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath {
	return &Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "received".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPathAny) Received() *Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny {
	return &Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedPrePolicy returns from Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "received-pre-policy".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPath) ReceivedPrePolicy() *Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath {
	return &Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"received-pre-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedPrePolicy returns from Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "received-pre-policy".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPathAny) ReceivedPrePolicy() *Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny {
	return &Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received-pre-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "sent".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPath) Sent() *Bgp_Neighbor_AfiSafi_Prefixes_SentPath {
	return &Bgp_Neighbor_AfiSafi_Prefixes_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "sent".
func (n *Bgp_Neighbor_AfiSafi_PrefixesPathAny) Sent() *Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny {
	return &Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_UseMultiplePathsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_Neighbor_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePathsPath) Ebgp() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny) Ebgp() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePathsPath) Enabled() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny) Enabled() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_ApplyPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/default-export-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/default-export-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/default-import-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/default-import-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_ExportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/export-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/export-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_ImportPolicyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/import-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/apply-policy/config/import-policy YANG schema element.
type Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from Bgp_Neighbor_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *Bgp_Neighbor_ApplyPolicyPath) DefaultExportPolicy() *Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath {
	return &Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *Bgp_Neighbor_ApplyPolicyPathAny) DefaultExportPolicy() *Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny {
	return &Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_Neighbor_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *Bgp_Neighbor_ApplyPolicyPath) DefaultImportPolicy() *Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath {
	return &Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *Bgp_Neighbor_ApplyPolicyPathAny) DefaultImportPolicy() *Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny {
	return &Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_Neighbor_ApplyPolicyPath the path struct for its child "export-policy".
func (n *Bgp_Neighbor_ApplyPolicyPath) ExportPolicy() *Bgp_Neighbor_ApplyPolicy_ExportPolicyPath {
	return &Bgp_Neighbor_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *Bgp_Neighbor_ApplyPolicyPathAny) ExportPolicy() *Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny {
	return &Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_Neighbor_ApplyPolicyPath the path struct for its child "import-policy".
func (n *Bgp_Neighbor_ApplyPolicyPath) ImportPolicy() *Bgp_Neighbor_ApplyPolicy_ImportPolicyPath {
	return &Bgp_Neighbor_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *Bgp_Neighbor_ApplyPolicyPathAny) ImportPolicy() *Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny {
	return &Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_AsPathOptionsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options YANG schema element.
type Bgp_Neighbor_AsPathOptionsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options YANG schema element.
type Bgp_Neighbor_AsPathOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_AllowOwnAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/allow-own-as YANG schema element.
type Bgp_Neighbor_AsPathOptions_AllowOwnAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/allow-own-as YANG schema element.
type Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath represents the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/disable-peer-as-filter YANG schema element.
type Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/disable-peer-as-filter YANG schema element.
type Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/replace-peer-as YANG schema element.
type Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/as-path-options/config/replace-peer-as YANG schema element.
type Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny struct {
	*ygot.NodePath
}

// AllowOwnAs returns from Bgp_Neighbor_AsPathOptionsPath the path struct for its child "allow-own-as".
func (n *Bgp_Neighbor_AsPathOptionsPath) AllowOwnAs() *Bgp_Neighbor_AsPathOptions_AllowOwnAsPath {
	return &Bgp_Neighbor_AsPathOptions_AllowOwnAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowOwnAs returns from Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "allow-own-as".
func (n *Bgp_Neighbor_AsPathOptionsPathAny) AllowOwnAs() *Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny {
	return &Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from Bgp_Neighbor_AsPathOptionsPath the path struct for its child "disable-peer-as-filter".
func (n *Bgp_Neighbor_AsPathOptionsPath) DisablePeerAsFilter() *Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath {
	return &Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "disable-peer-as-filter".
func (n *Bgp_Neighbor_AsPathOptionsPathAny) DisablePeerAsFilter() *Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny {
	return &Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from Bgp_Neighbor_AsPathOptionsPath the path struct for its child "replace-peer-as".
func (n *Bgp_Neighbor_AsPathOptionsPath) ReplacePeerAs() *Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath {
	return &Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "replace-peer-as".
func (n *Bgp_Neighbor_AsPathOptionsPathAny) ReplacePeerAs() *Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny {
	return &Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_EbgpMultihopPath represents the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop YANG schema element.
type Bgp_Neighbor_EbgpMultihopPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EbgpMultihopPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop YANG schema element.
type Bgp_Neighbor_EbgpMultihopPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EbgpMultihop_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop/config/enabled YANG schema element.
type Bgp_Neighbor_EbgpMultihop_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EbgpMultihop_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop/config/enabled YANG schema element.
type Bgp_Neighbor_EbgpMultihop_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EbgpMultihop_MultihopTtlPath represents the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop/config/multihop-ttl YANG schema element.
type Bgp_Neighbor_EbgpMultihop_MultihopTtlPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/ebgp-multihop/config/multihop-ttl YANG schema element.
type Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_Neighbor_EbgpMultihopPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_EbgpMultihopPath) Enabled() *Bgp_Neighbor_EbgpMultihop_EnabledPath {
	return &Bgp_Neighbor_EbgpMultihop_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_EbgpMultihopPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_EbgpMultihopPathAny) Enabled() *Bgp_Neighbor_EbgpMultihop_EnabledPathAny {
	return &Bgp_Neighbor_EbgpMultihop_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from Bgp_Neighbor_EbgpMultihopPath the path struct for its child "multihop-ttl".
func (n *Bgp_Neighbor_EbgpMultihopPath) MultihopTtl() *Bgp_Neighbor_EbgpMultihop_MultihopTtlPath {
	return &Bgp_Neighbor_EbgpMultihop_MultihopTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from Bgp_Neighbor_EbgpMultihopPathAny the path struct for its child "multihop-ttl".
func (n *Bgp_Neighbor_EbgpMultihopPathAny) MultihopTtl() *Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny {
	return &Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_ErrorHandlingPath represents the /openconfig-bgp/bgp/neighbors/neighbor/error-handling YANG schema element.
type Bgp_Neighbor_ErrorHandlingPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ErrorHandlingPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/error-handling YANG schema element.
type Bgp_Neighbor_ErrorHandlingPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/error-handling/state/erroneous-update-messages YANG schema element.
type Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/error-handling/state/erroneous-update-messages YANG schema element.
type Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath represents the /openconfig-bgp/bgp/neighbors/neighbor/error-handling/config/treat-as-withdraw YANG schema element.
type Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/error-handling/config/treat-as-withdraw YANG schema element.
type Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny struct {
	*ygot.NodePath
}

// ErroneousUpdateMessages returns from Bgp_Neighbor_ErrorHandlingPath the path struct for its child "erroneous-update-messages".
func (n *Bgp_Neighbor_ErrorHandlingPath) ErroneousUpdateMessages() *Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath {
	return &Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "erroneous-update-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroneousUpdateMessages returns from Bgp_Neighbor_ErrorHandlingPathAny the path struct for its child "erroneous-update-messages".
func (n *Bgp_Neighbor_ErrorHandlingPathAny) ErroneousUpdateMessages() *Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny {
	return &Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "erroneous-update-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from Bgp_Neighbor_ErrorHandlingPath the path struct for its child "treat-as-withdraw".
func (n *Bgp_Neighbor_ErrorHandlingPath) TreatAsWithdraw() *Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath {
	return &Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from Bgp_Neighbor_ErrorHandlingPathAny the path struct for its child "treat-as-withdraw".
func (n *Bgp_Neighbor_ErrorHandlingPathAny) TreatAsWithdraw() *Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny {
	return &Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_GracefulRestartPath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart YANG schema element.
type Bgp_Neighbor_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart YANG schema element.
type Bgp_Neighbor_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/enabled YANG schema element.
type Bgp_Neighbor_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/enabled YANG schema element.
type Bgp_Neighbor_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_HelperOnlyPath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/helper-only YANG schema element.
type Bgp_Neighbor_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/helper-only YANG schema element.
type Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_LocalRestartingPath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/local-restarting YANG schema element.
type Bgp_Neighbor_GracefulRestart_LocalRestartingPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/local-restarting YANG schema element.
type Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_ModePath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/mode YANG schema element.
type Bgp_Neighbor_GracefulRestart_ModePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_ModePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/mode YANG schema element.
type Bgp_Neighbor_GracefulRestart_ModePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_PeerRestartTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/peer-restart-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_PeerRestartTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/peer-restart-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_PeerRestartingPath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/peer-restarting YANG schema element.
type Bgp_Neighbor_GracefulRestart_PeerRestartingPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/state/peer-restarting YANG schema element.
type Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_RestartTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/restart-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/restart-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_GracefulRestartPath) Enabled() *Bgp_Neighbor_GracefulRestart_EnabledPath {
	return &Bgp_Neighbor_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_GracefulRestartPathAny) Enabled() *Bgp_Neighbor_GracefulRestart_EnabledPathAny {
	return &Bgp_Neighbor_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "helper-only".
func (n *Bgp_Neighbor_GracefulRestartPath) HelperOnly() *Bgp_Neighbor_GracefulRestart_HelperOnlyPath {
	return &Bgp_Neighbor_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *Bgp_Neighbor_GracefulRestartPathAny) HelperOnly() *Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny {
	return &Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRestarting returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "local-restarting".
func (n *Bgp_Neighbor_GracefulRestartPath) LocalRestarting() *Bgp_Neighbor_GracefulRestart_LocalRestartingPath {
	return &Bgp_Neighbor_GracefulRestart_LocalRestartingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRestarting returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "local-restarting".
func (n *Bgp_Neighbor_GracefulRestartPathAny) LocalRestarting() *Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny {
	return &Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "mode".
func (n *Bgp_Neighbor_GracefulRestartPath) Mode() *Bgp_Neighbor_GracefulRestart_ModePath {
	return &Bgp_Neighbor_GracefulRestart_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "mode".
func (n *Bgp_Neighbor_GracefulRestartPathAny) Mode() *Bgp_Neighbor_GracefulRestart_ModePathAny {
	return &Bgp_Neighbor_GracefulRestart_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestartTime returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "peer-restart-time".
func (n *Bgp_Neighbor_GracefulRestartPath) PeerRestartTime() *Bgp_Neighbor_GracefulRestart_PeerRestartTimePath {
	return &Bgp_Neighbor_GracefulRestart_PeerRestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestartTime returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "peer-restart-time".
func (n *Bgp_Neighbor_GracefulRestartPathAny) PeerRestartTime() *Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny {
	return &Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestarting returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "peer-restarting".
func (n *Bgp_Neighbor_GracefulRestartPath) PeerRestarting() *Bgp_Neighbor_GracefulRestart_PeerRestartingPath {
	return &Bgp_Neighbor_GracefulRestart_PeerRestartingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestarting returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "peer-restarting".
func (n *Bgp_Neighbor_GracefulRestartPathAny) PeerRestarting() *Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny {
	return &Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "restart-time".
func (n *Bgp_Neighbor_GracefulRestartPath) RestartTime() *Bgp_Neighbor_GracefulRestart_RestartTimePath {
	return &Bgp_Neighbor_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *Bgp_Neighbor_GracefulRestartPathAny) RestartTime() *Bgp_Neighbor_GracefulRestart_RestartTimePathAny {
	return &Bgp_Neighbor_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_Neighbor_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *Bgp_Neighbor_GracefulRestartPath) StaleRoutesTime() *Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath {
	return &Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *Bgp_Neighbor_GracefulRestartPathAny) StaleRoutesTime() *Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny {
	return &Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_LoggingOptionsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/logging-options YANG schema element.
type Bgp_Neighbor_LoggingOptionsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LoggingOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/logging-options YANG schema element.
type Bgp_Neighbor_LoggingOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/logging-options/config/log-neighbor-state-changes YANG schema element.
type Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/logging-options/config/log-neighbor-state-changes YANG schema element.
type Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny struct {
	*ygot.NodePath
}

// LogNeighborStateChanges returns from Bgp_Neighbor_LoggingOptionsPath the path struct for its child "log-neighbor-state-changes".
func (n *Bgp_Neighbor_LoggingOptionsPath) LogNeighborStateChanges() *Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath {
	return &Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogNeighborStateChanges returns from Bgp_Neighbor_LoggingOptionsPathAny the path struct for its child "log-neighbor-state-changes".
func (n *Bgp_Neighbor_LoggingOptionsPathAny) LogNeighborStateChanges() *Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny {
	return &Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_MessagesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages YANG schema element.
type Bgp_Neighbor_MessagesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_MessagesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages YANG schema element.
type Bgp_Neighbor_MessagesPathAny struct {
	*ygot.NodePath
}

// Received returns from Bgp_Neighbor_MessagesPath the path struct for its child "received".
func (n *Bgp_Neighbor_MessagesPath) Received() *Bgp_Neighbor_Messages_ReceivedPath {
	return &Bgp_Neighbor_Messages_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from Bgp_Neighbor_MessagesPathAny the path struct for its child "received".
func (n *Bgp_Neighbor_MessagesPathAny) Received() *Bgp_Neighbor_Messages_ReceivedPathAny {
	return &Bgp_Neighbor_Messages_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from Bgp_Neighbor_MessagesPath the path struct for its child "sent".
func (n *Bgp_Neighbor_MessagesPath) Sent() *Bgp_Neighbor_Messages_SentPath {
	return &Bgp_Neighbor_Messages_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from Bgp_Neighbor_MessagesPathAny the path struct for its child "sent".
func (n *Bgp_Neighbor_MessagesPathAny) Sent() *Bgp_Neighbor_Messages_SentPathAny {
	return &Bgp_Neighbor_Messages_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_Messages_ReceivedPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received YANG schema element.
type Bgp_Neighbor_Messages_ReceivedPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_ReceivedPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received YANG schema element.
type Bgp_Neighbor_Messages_ReceivedPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_NOTIFICATIONPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/NOTIFICATION YANG schema element.
type Bgp_Neighbor_Messages_Received_NOTIFICATIONPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/NOTIFICATION YANG schema element.
type Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_UPDATEPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/UPDATE YANG schema element.
type Bgp_Neighbor_Messages_Received_UPDATEPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_UPDATEPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/UPDATE YANG schema element.
type Bgp_Neighbor_Messages_Received_UPDATEPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-error-code YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-error-code YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-error-subcode YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-error-subcode YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-time YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/received/last-notification-time YANG schema element.
type Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny struct {
	*ygot.NodePath
}

// NOTIFICATION returns from Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "NOTIFICATION".
func (n *Bgp_Neighbor_Messages_ReceivedPath) NOTIFICATION() *Bgp_Neighbor_Messages_Received_NOTIFICATIONPath {
	return &Bgp_Neighbor_Messages_Received_NOTIFICATIONPath{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// NOTIFICATION returns from Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "NOTIFICATION".
func (n *Bgp_Neighbor_Messages_ReceivedPathAny) NOTIFICATION() *Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny {
	return &Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "UPDATE".
func (n *Bgp_Neighbor_Messages_ReceivedPath) UPDATE() *Bgp_Neighbor_Messages_Received_UPDATEPath {
	return &Bgp_Neighbor_Messages_Received_UPDATEPath{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "UPDATE".
func (n *Bgp_Neighbor_Messages_ReceivedPathAny) UPDATE() *Bgp_Neighbor_Messages_Received_UPDATEPathAny {
	return &Bgp_Neighbor_Messages_Received_UPDATEPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-error-code".
func (n *Bgp_Neighbor_Messages_ReceivedPath) LastNotificationErrorCode() *Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath {
	return &Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-error-code".
func (n *Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationErrorCode() *Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny {
	return &Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-error-subcode".
func (n *Bgp_Neighbor_Messages_ReceivedPath) LastNotificationErrorSubcode() *Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath {
	return &Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-error-subcode".
func (n *Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationErrorSubcode() *Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny {
	return &Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-time".
func (n *Bgp_Neighbor_Messages_ReceivedPath) LastNotificationTime() *Bgp_Neighbor_Messages_Received_LastNotificationTimePath {
	return &Bgp_Neighbor_Messages_Received_LastNotificationTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-time".
func (n *Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationTime() *Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny {
	return &Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_Messages_SentPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent YANG schema element.
type Bgp_Neighbor_Messages_SentPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_SentPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent YANG schema element.
type Bgp_Neighbor_Messages_SentPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/NOTIFICATION YANG schema element.
type Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/NOTIFICATION YANG schema element.
type Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_UPDATEPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/UPDATE YANG schema element.
type Bgp_Neighbor_Messages_Sent_UPDATEPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_UPDATEPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/UPDATE YANG schema element.
type Bgp_Neighbor_Messages_Sent_UPDATEPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-code YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-code YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-subcode YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-subcode YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-time YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/messages/sent/last-notification-time YANG schema element.
type Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny struct {
	*ygot.NodePath
}

// NOTIFICATION returns from Bgp_Neighbor_Messages_SentPath the path struct for its child "NOTIFICATION".
func (n *Bgp_Neighbor_Messages_SentPath) NOTIFICATION() *Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath {
	return &Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// NOTIFICATION returns from Bgp_Neighbor_Messages_SentPathAny the path struct for its child "NOTIFICATION".
func (n *Bgp_Neighbor_Messages_SentPathAny) NOTIFICATION() *Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny {
	return &Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from Bgp_Neighbor_Messages_SentPath the path struct for its child "UPDATE".
func (n *Bgp_Neighbor_Messages_SentPath) UPDATE() *Bgp_Neighbor_Messages_Sent_UPDATEPath {
	return &Bgp_Neighbor_Messages_Sent_UPDATEPath{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from Bgp_Neighbor_Messages_SentPathAny the path struct for its child "UPDATE".
func (n *Bgp_Neighbor_Messages_SentPathAny) UPDATE() *Bgp_Neighbor_Messages_Sent_UPDATEPathAny {
	return &Bgp_Neighbor_Messages_Sent_UPDATEPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-error-code".
func (n *Bgp_Neighbor_Messages_SentPath) LastNotificationErrorCode() *Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-error-code".
func (n *Bgp_Neighbor_Messages_SentPathAny) LastNotificationErrorCode() *Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-error-subcode".
func (n *Bgp_Neighbor_Messages_SentPath) LastNotificationErrorSubcode() *Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-error-subcode".
func (n *Bgp_Neighbor_Messages_SentPathAny) LastNotificationErrorSubcode() *Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-time".
func (n *Bgp_Neighbor_Messages_SentPath) LastNotificationTime() *Bgp_Neighbor_Messages_Sent_LastNotificationTimePath {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-time".
func (n *Bgp_Neighbor_Messages_SentPathAny) LastNotificationTime() *Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny {
	return &Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_QueuesPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/queues YANG schema element.
type Bgp_Neighbor_QueuesPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_QueuesPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/queues YANG schema element.
type Bgp_Neighbor_QueuesPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Queues_InputPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/queues/input YANG schema element.
type Bgp_Neighbor_Queues_InputPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Queues_InputPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/queues/input YANG schema element.
type Bgp_Neighbor_Queues_InputPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Queues_OutputPath represents the /openconfig-bgp/bgp/neighbors/neighbor/state/queues/output YANG schema element.
type Bgp_Neighbor_Queues_OutputPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Queues_OutputPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/state/queues/output YANG schema element.
type Bgp_Neighbor_Queues_OutputPathAny struct {
	*ygot.NodePath
}

// Input returns from Bgp_Neighbor_QueuesPath the path struct for its child "input".
func (n *Bgp_Neighbor_QueuesPath) Input() *Bgp_Neighbor_Queues_InputPath {
	return &Bgp_Neighbor_Queues_InputPath{
		NodePath: ygot.NewNodePath(
			[]string{"input"},
			map[string]interface{}{},
			n,
		),
	}
}

// Input returns from Bgp_Neighbor_QueuesPathAny the path struct for its child "input".
func (n *Bgp_Neighbor_QueuesPathAny) Input() *Bgp_Neighbor_Queues_InputPathAny {
	return &Bgp_Neighbor_Queues_InputPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input"},
			map[string]interface{}{},
			n,
		),
	}
}

// Output returns from Bgp_Neighbor_QueuesPath the path struct for its child "output".
func (n *Bgp_Neighbor_QueuesPath) Output() *Bgp_Neighbor_Queues_OutputPath {
	return &Bgp_Neighbor_Queues_OutputPath{
		NodePath: ygot.NewNodePath(
			[]string{"output"},
			map[string]interface{}{},
			n,
		),
	}
}

// Output returns from Bgp_Neighbor_QueuesPathAny the path struct for its child "output".
func (n *Bgp_Neighbor_QueuesPathAny) Output() *Bgp_Neighbor_Queues_OutputPathAny {
	return &Bgp_Neighbor_Queues_OutputPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"output"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_RouteReflectorPath represents the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector YANG schema element.
type Bgp_Neighbor_RouteReflectorPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteReflectorPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector YANG schema element.
type Bgp_Neighbor_RouteReflectorPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteReflector_RouteReflectorClientPath represents the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector/config/route-reflector-client YANG schema element.
type Bgp_Neighbor_RouteReflector_RouteReflectorClientPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector/config/route-reflector-client YANG schema element.
type Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath represents the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector/config/route-reflector-cluster-id YANG schema element.
type Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/route-reflector/config/route-reflector-cluster-id YANG schema element.
type Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny struct {
	*ygot.NodePath
}

// RouteReflectorClient returns from Bgp_Neighbor_RouteReflectorPath the path struct for its child "route-reflector-client".
func (n *Bgp_Neighbor_RouteReflectorPath) RouteReflectorClient() *Bgp_Neighbor_RouteReflector_RouteReflectorClientPath {
	return &Bgp_Neighbor_RouteReflector_RouteReflectorClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClient returns from Bgp_Neighbor_RouteReflectorPathAny the path struct for its child "route-reflector-client".
func (n *Bgp_Neighbor_RouteReflectorPathAny) RouteReflectorClient() *Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny {
	return &Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from Bgp_Neighbor_RouteReflectorPath the path struct for its child "route-reflector-cluster-id".
func (n *Bgp_Neighbor_RouteReflectorPath) RouteReflectorClusterId() *Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath {
	return &Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from Bgp_Neighbor_RouteReflectorPathAny the path struct for its child "route-reflector-cluster-id".
func (n *Bgp_Neighbor_RouteReflectorPathAny) RouteReflectorClusterId() *Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny {
	return &Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_TimersPath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers YANG schema element.
type Bgp_Neighbor_TimersPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_TimersPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers YANG schema element.
type Bgp_Neighbor_TimersPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_ConnectRetryPath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/connect-retry YANG schema element.
type Bgp_Neighbor_Timers_ConnectRetryPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_ConnectRetryPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/connect-retry YANG schema element.
type Bgp_Neighbor_Timers_ConnectRetryPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_HoldTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/hold-time YANG schema element.
type Bgp_Neighbor_Timers_HoldTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_HoldTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/hold-time YANG schema element.
type Bgp_Neighbor_Timers_HoldTimePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_KeepaliveIntervalPath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/keepalive-interval YANG schema element.
type Bgp_Neighbor_Timers_KeepaliveIntervalPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_KeepaliveIntervalPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/keepalive-interval YANG schema element.
type Bgp_Neighbor_Timers_KeepaliveIntervalPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/minimum-advertisement-interval YANG schema element.
type Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers/config/minimum-advertisement-interval YANG schema element.
type Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_NegotiatedHoldTimePath represents the /openconfig-bgp/bgp/neighbors/neighbor/timers/state/negotiated-hold-time YANG schema element.
type Bgp_Neighbor_Timers_NegotiatedHoldTimePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/timers/state/negotiated-hold-time YANG schema element.
type Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny struct {
	*ygot.NodePath
}

// ConnectRetry returns from Bgp_Neighbor_TimersPath the path struct for its child "connect-retry".
func (n *Bgp_Neighbor_TimersPath) ConnectRetry() *Bgp_Neighbor_Timers_ConnectRetryPath {
	return &Bgp_Neighbor_Timers_ConnectRetryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectRetry returns from Bgp_Neighbor_TimersPathAny the path struct for its child "connect-retry".
func (n *Bgp_Neighbor_TimersPathAny) ConnectRetry() *Bgp_Neighbor_Timers_ConnectRetryPathAny {
	return &Bgp_Neighbor_Timers_ConnectRetryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Bgp_Neighbor_TimersPath the path struct for its child "hold-time".
func (n *Bgp_Neighbor_TimersPath) HoldTime() *Bgp_Neighbor_Timers_HoldTimePath {
	return &Bgp_Neighbor_Timers_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Bgp_Neighbor_TimersPathAny the path struct for its child "hold-time".
func (n *Bgp_Neighbor_TimersPathAny) HoldTime() *Bgp_Neighbor_Timers_HoldTimePathAny {
	return &Bgp_Neighbor_Timers_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from Bgp_Neighbor_TimersPath the path struct for its child "keepalive-interval".
func (n *Bgp_Neighbor_TimersPath) KeepaliveInterval() *Bgp_Neighbor_Timers_KeepaliveIntervalPath {
	return &Bgp_Neighbor_Timers_KeepaliveIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from Bgp_Neighbor_TimersPathAny the path struct for its child "keepalive-interval".
func (n *Bgp_Neighbor_TimersPathAny) KeepaliveInterval() *Bgp_Neighbor_Timers_KeepaliveIntervalPathAny {
	return &Bgp_Neighbor_Timers_KeepaliveIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from Bgp_Neighbor_TimersPath the path struct for its child "minimum-advertisement-interval".
func (n *Bgp_Neighbor_TimersPath) MinimumAdvertisementInterval() *Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath {
	return &Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from Bgp_Neighbor_TimersPathAny the path struct for its child "minimum-advertisement-interval".
func (n *Bgp_Neighbor_TimersPathAny) MinimumAdvertisementInterval() *Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny {
	return &Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedHoldTime returns from Bgp_Neighbor_TimersPath the path struct for its child "negotiated-hold-time".
func (n *Bgp_Neighbor_TimersPath) NegotiatedHoldTime() *Bgp_Neighbor_Timers_NegotiatedHoldTimePath {
	return &Bgp_Neighbor_Timers_NegotiatedHoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedHoldTime returns from Bgp_Neighbor_TimersPathAny the path struct for its child "negotiated-hold-time".
func (n *Bgp_Neighbor_TimersPathAny) NegotiatedHoldTime() *Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny {
	return &Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_TransportPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport YANG schema element.
type Bgp_Neighbor_TransportPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_TransportPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport YANG schema element.
type Bgp_Neighbor_TransportPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_LocalAddressPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/local-address YANG schema element.
type Bgp_Neighbor_Transport_LocalAddressPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_LocalAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/local-address YANG schema element.
type Bgp_Neighbor_Transport_LocalAddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_LocalPortPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/local-port YANG schema element.
type Bgp_Neighbor_Transport_LocalPortPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_LocalPortPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/local-port YANG schema element.
type Bgp_Neighbor_Transport_LocalPortPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_MtuDiscoveryPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/mtu-discovery YANG schema element.
type Bgp_Neighbor_Transport_MtuDiscoveryPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_MtuDiscoveryPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/mtu-discovery YANG schema element.
type Bgp_Neighbor_Transport_MtuDiscoveryPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_PassiveModePath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/passive-mode YANG schema element.
type Bgp_Neighbor_Transport_PassiveModePath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_PassiveModePathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/passive-mode YANG schema element.
type Bgp_Neighbor_Transport_PassiveModePathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_RemoteAddressPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/remote-address YANG schema element.
type Bgp_Neighbor_Transport_RemoteAddressPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_RemoteAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/remote-address YANG schema element.
type Bgp_Neighbor_Transport_RemoteAddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_RemotePortPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/remote-port YANG schema element.
type Bgp_Neighbor_Transport_RemotePortPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_RemotePortPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/state/remote-port YANG schema element.
type Bgp_Neighbor_Transport_RemotePortPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_TcpMssPath represents the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/tcp-mss YANG schema element.
type Bgp_Neighbor_Transport_TcpMssPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_Transport_TcpMssPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/transport/config/tcp-mss YANG schema element.
type Bgp_Neighbor_Transport_TcpMssPathAny struct {
	*ygot.NodePath
}

// LocalAddress returns from Bgp_Neighbor_TransportPath the path struct for its child "local-address".
func (n *Bgp_Neighbor_TransportPath) LocalAddress() *Bgp_Neighbor_Transport_LocalAddressPath {
	return &Bgp_Neighbor_Transport_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from Bgp_Neighbor_TransportPathAny the path struct for its child "local-address".
func (n *Bgp_Neighbor_TransportPathAny) LocalAddress() *Bgp_Neighbor_Transport_LocalAddressPathAny {
	return &Bgp_Neighbor_Transport_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPort returns from Bgp_Neighbor_TransportPath the path struct for its child "local-port".
func (n *Bgp_Neighbor_TransportPath) LocalPort() *Bgp_Neighbor_Transport_LocalPortPath {
	return &Bgp_Neighbor_Transport_LocalPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPort returns from Bgp_Neighbor_TransportPathAny the path struct for its child "local-port".
func (n *Bgp_Neighbor_TransportPathAny) LocalPort() *Bgp_Neighbor_Transport_LocalPortPathAny {
	return &Bgp_Neighbor_Transport_LocalPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from Bgp_Neighbor_TransportPath the path struct for its child "mtu-discovery".
func (n *Bgp_Neighbor_TransportPath) MtuDiscovery() *Bgp_Neighbor_Transport_MtuDiscoveryPath {
	return &Bgp_Neighbor_Transport_MtuDiscoveryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from Bgp_Neighbor_TransportPathAny the path struct for its child "mtu-discovery".
func (n *Bgp_Neighbor_TransportPathAny) MtuDiscovery() *Bgp_Neighbor_Transport_MtuDiscoveryPathAny {
	return &Bgp_Neighbor_Transport_MtuDiscoveryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from Bgp_Neighbor_TransportPath the path struct for its child "passive-mode".
func (n *Bgp_Neighbor_TransportPath) PassiveMode() *Bgp_Neighbor_Transport_PassiveModePath {
	return &Bgp_Neighbor_Transport_PassiveModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from Bgp_Neighbor_TransportPathAny the path struct for its child "passive-mode".
func (n *Bgp_Neighbor_TransportPathAny) PassiveMode() *Bgp_Neighbor_Transport_PassiveModePathAny {
	return &Bgp_Neighbor_Transport_PassiveModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from Bgp_Neighbor_TransportPath the path struct for its child "remote-address".
func (n *Bgp_Neighbor_TransportPath) RemoteAddress() *Bgp_Neighbor_Transport_RemoteAddressPath {
	return &Bgp_Neighbor_Transport_RemoteAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from Bgp_Neighbor_TransportPathAny the path struct for its child "remote-address".
func (n *Bgp_Neighbor_TransportPathAny) RemoteAddress() *Bgp_Neighbor_Transport_RemoteAddressPathAny {
	return &Bgp_Neighbor_Transport_RemoteAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from Bgp_Neighbor_TransportPath the path struct for its child "remote-port".
func (n *Bgp_Neighbor_TransportPath) RemotePort() *Bgp_Neighbor_Transport_RemotePortPath {
	return &Bgp_Neighbor_Transport_RemotePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from Bgp_Neighbor_TransportPathAny the path struct for its child "remote-port".
func (n *Bgp_Neighbor_TransportPathAny) RemotePort() *Bgp_Neighbor_Transport_RemotePortPathAny {
	return &Bgp_Neighbor_Transport_RemotePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from Bgp_Neighbor_TransportPath the path struct for its child "tcp-mss".
func (n *Bgp_Neighbor_TransportPath) TcpMss() *Bgp_Neighbor_Transport_TcpMssPath {
	return &Bgp_Neighbor_Transport_TcpMssPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from Bgp_Neighbor_TransportPathAny the path struct for its child "tcp-mss".
func (n *Bgp_Neighbor_TransportPathAny) TcpMss() *Bgp_Neighbor_Transport_TcpMssPathAny {
	return &Bgp_Neighbor_Transport_TcpMssPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_UseMultiplePathsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths YANG schema element.
type Bgp_Neighbor_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths YANG schema element.
type Bgp_Neighbor_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/config/enabled YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_Neighbor_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_Neighbor_UseMultiplePathsPath) Ebgp() *Bgp_Neighbor_UseMultiplePaths_EbgpPath {
	return &Bgp_Neighbor_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_Neighbor_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_Neighbor_UseMultiplePathsPathAny) Ebgp() *Bgp_Neighbor_UseMultiplePaths_EbgpPathAny {
	return &Bgp_Neighbor_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_Neighbor_UseMultiplePathsPath) Enabled() *Bgp_Neighbor_UseMultiplePaths_EnabledPath {
	return &Bgp_Neighbor_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_Neighbor_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_Neighbor_UseMultiplePathsPathAny) Enabled() *Bgp_Neighbor_UseMultiplePaths_EnabledPathAny {
	return &Bgp_Neighbor_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Neighbor_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/ebgp YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/ebgp YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/neighbors/neighbor/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_Neighbor_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_Neighbor_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_Neighbor_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_Neighbor_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroupPath represents the /openconfig-bgp/bgp/peer-groups/peer-group YANG schema element.
type Bgp_PeerGroupPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroupPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group YANG schema element.
type Bgp_PeerGroupPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AuthPasswordPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/auth-password YANG schema element.
type Bgp_PeerGroup_AuthPasswordPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AuthPasswordPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/auth-password YANG schema element.
type Bgp_PeerGroup_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_DescriptionPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/description YANG schema element.
type Bgp_PeerGroup_DescriptionPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_DescriptionPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/description YANG schema element.
type Bgp_PeerGroup_DescriptionPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_LocalAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/local-as YANG schema element.
type Bgp_PeerGroup_LocalAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_LocalAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/local-as YANG schema element.
type Bgp_PeerGroup_LocalAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-as YANG schema element.
type Bgp_PeerGroup_PeerAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-as YANG schema element.
type Bgp_PeerGroup_PeerAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerGroupNamePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-group-name YANG schema element.
type Bgp_PeerGroup_PeerGroupNamePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerGroupNamePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-group-name YANG schema element.
type Bgp_PeerGroup_PeerGroupNamePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerTypePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-type YANG schema element.
type Bgp_PeerGroup_PeerTypePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_PeerTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/peer-type YANG schema element.
type Bgp_PeerGroup_PeerTypePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RemovePrivateAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/remove-private-as YANG schema element.
type Bgp_PeerGroup_RemovePrivateAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RemovePrivateAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/remove-private-as YANG schema element.
type Bgp_PeerGroup_RemovePrivateAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteFlapDampingPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/route-flap-damping YANG schema element.
type Bgp_PeerGroup_RouteFlapDampingPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteFlapDampingPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/route-flap-damping YANG schema element.
type Bgp_PeerGroup_RouteFlapDampingPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_SendCommunityPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/config/send-community YANG schema element.
type Bgp_PeerGroup_SendCommunityPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_SendCommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/config/send-community YANG schema element.
type Bgp_PeerGroup_SendCommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TotalPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/state/total-paths YANG schema element.
type Bgp_PeerGroup_TotalPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TotalPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/state/total-paths YANG schema element.
type Bgp_PeerGroup_TotalPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TotalPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/state/total-prefixes YANG schema element.
type Bgp_PeerGroup_TotalPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TotalPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/state/total-prefixes YANG schema element.
type Bgp_PeerGroup_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from Bgp_PeerGroupPath the path struct for its child "afi-safi".
func (n *Bgp_PeerGroupPath) AfiSafiAny() *Bgp_PeerGroup_AfiSafiPathAny {
	return &Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from Bgp_PeerGroupPathAny the path struct for its child "afi-safi".
func (n *Bgp_PeerGroupPathAny) AfiSafiAny() *Bgp_PeerGroup_AfiSafiPathAny {
	return &Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from Bgp_PeerGroupPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_PeerGroupPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_PeerGroup_AfiSafiPath {
	return &Bgp_PeerGroup_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from Bgp_PeerGroupPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_PeerGroupPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_PeerGroup_AfiSafiPathAny {
	return &Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_PeerGroupPath the path struct for its child "apply-policy".
func (n *Bgp_PeerGroupPath) ApplyPolicy() *Bgp_PeerGroup_ApplyPolicyPath {
	return &Bgp_PeerGroup_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_PeerGroupPathAny the path struct for its child "apply-policy".
func (n *Bgp_PeerGroupPathAny) ApplyPolicy() *Bgp_PeerGroup_ApplyPolicyPathAny {
	return &Bgp_PeerGroup_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from Bgp_PeerGroupPath the path struct for its child "as-path-options".
func (n *Bgp_PeerGroupPath) AsPathOptions() *Bgp_PeerGroup_AsPathOptionsPath {
	return &Bgp_PeerGroup_AsPathOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from Bgp_PeerGroupPathAny the path struct for its child "as-path-options".
func (n *Bgp_PeerGroupPathAny) AsPathOptions() *Bgp_PeerGroup_AsPathOptionsPathAny {
	return &Bgp_PeerGroup_AsPathOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from Bgp_PeerGroupPath the path struct for its child "auth-password".
func (n *Bgp_PeerGroupPath) AuthPassword() *Bgp_PeerGroup_AuthPasswordPath {
	return &Bgp_PeerGroup_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from Bgp_PeerGroupPathAny the path struct for its child "auth-password".
func (n *Bgp_PeerGroupPathAny) AuthPassword() *Bgp_PeerGroup_AuthPasswordPathAny {
	return &Bgp_PeerGroup_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Bgp_PeerGroupPath the path struct for its child "description".
func (n *Bgp_PeerGroupPath) Description() *Bgp_PeerGroup_DescriptionPath {
	return &Bgp_PeerGroup_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Bgp_PeerGroupPathAny the path struct for its child "description".
func (n *Bgp_PeerGroupPathAny) Description() *Bgp_PeerGroup_DescriptionPathAny {
	return &Bgp_PeerGroup_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from Bgp_PeerGroupPath the path struct for its child "ebgp-multihop".
func (n *Bgp_PeerGroupPath) EbgpMultihop() *Bgp_PeerGroup_EbgpMultihopPath {
	return &Bgp_PeerGroup_EbgpMultihopPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from Bgp_PeerGroupPathAny the path struct for its child "ebgp-multihop".
func (n *Bgp_PeerGroupPathAny) EbgpMultihop() *Bgp_PeerGroup_EbgpMultihopPathAny {
	return &Bgp_PeerGroup_EbgpMultihopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from Bgp_PeerGroupPath the path struct for its child "error-handling".
func (n *Bgp_PeerGroupPath) ErrorHandling() *Bgp_PeerGroup_ErrorHandlingPath {
	return &Bgp_PeerGroup_ErrorHandlingPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from Bgp_PeerGroupPathAny the path struct for its child "error-handling".
func (n *Bgp_PeerGroupPathAny) ErrorHandling() *Bgp_PeerGroup_ErrorHandlingPathAny {
	return &Bgp_PeerGroup_ErrorHandlingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_PeerGroupPath the path struct for its child "graceful-restart".
func (n *Bgp_PeerGroupPath) GracefulRestart() *Bgp_PeerGroup_GracefulRestartPath {
	return &Bgp_PeerGroup_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_PeerGroupPathAny the path struct for its child "graceful-restart".
func (n *Bgp_PeerGroupPathAny) GracefulRestart() *Bgp_PeerGroup_GracefulRestartPathAny {
	return &Bgp_PeerGroup_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from Bgp_PeerGroupPath the path struct for its child "local-as".
func (n *Bgp_PeerGroupPath) LocalAs() *Bgp_PeerGroup_LocalAsPath {
	return &Bgp_PeerGroup_LocalAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from Bgp_PeerGroupPathAny the path struct for its child "local-as".
func (n *Bgp_PeerGroupPathAny) LocalAs() *Bgp_PeerGroup_LocalAsPathAny {
	return &Bgp_PeerGroup_LocalAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from Bgp_PeerGroupPath the path struct for its child "logging-options".
func (n *Bgp_PeerGroupPath) LoggingOptions() *Bgp_PeerGroup_LoggingOptionsPath {
	return &Bgp_PeerGroup_LoggingOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from Bgp_PeerGroupPathAny the path struct for its child "logging-options".
func (n *Bgp_PeerGroupPathAny) LoggingOptions() *Bgp_PeerGroup_LoggingOptionsPathAny {
	return &Bgp_PeerGroup_LoggingOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from Bgp_PeerGroupPath the path struct for its child "peer-as".
func (n *Bgp_PeerGroupPath) PeerAs() *Bgp_PeerGroup_PeerAsPath {
	return &Bgp_PeerGroup_PeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from Bgp_PeerGroupPathAny the path struct for its child "peer-as".
func (n *Bgp_PeerGroupPathAny) PeerAs() *Bgp_PeerGroup_PeerAsPathAny {
	return &Bgp_PeerGroup_PeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroupName returns from Bgp_PeerGroupPath the path struct for its child "peer-group-name".
func (n *Bgp_PeerGroupPath) PeerGroupName() *Bgp_PeerGroup_PeerGroupNamePath {
	return &Bgp_PeerGroup_PeerGroupNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroupName returns from Bgp_PeerGroupPathAny the path struct for its child "peer-group-name".
func (n *Bgp_PeerGroupPathAny) PeerGroupName() *Bgp_PeerGroup_PeerGroupNamePathAny {
	return &Bgp_PeerGroup_PeerGroupNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from Bgp_PeerGroupPath the path struct for its child "peer-type".
func (n *Bgp_PeerGroupPath) PeerType() *Bgp_PeerGroup_PeerTypePath {
	return &Bgp_PeerGroup_PeerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from Bgp_PeerGroupPathAny the path struct for its child "peer-type".
func (n *Bgp_PeerGroupPathAny) PeerType() *Bgp_PeerGroup_PeerTypePathAny {
	return &Bgp_PeerGroup_PeerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from Bgp_PeerGroupPath the path struct for its child "remove-private-as".
func (n *Bgp_PeerGroupPath) RemovePrivateAs() *Bgp_PeerGroup_RemovePrivateAsPath {
	return &Bgp_PeerGroup_RemovePrivateAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from Bgp_PeerGroupPathAny the path struct for its child "remove-private-as".
func (n *Bgp_PeerGroupPathAny) RemovePrivateAs() *Bgp_PeerGroup_RemovePrivateAsPathAny {
	return &Bgp_PeerGroup_RemovePrivateAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from Bgp_PeerGroupPath the path struct for its child "route-flap-damping".
func (n *Bgp_PeerGroupPath) RouteFlapDamping() *Bgp_PeerGroup_RouteFlapDampingPath {
	return &Bgp_PeerGroup_RouteFlapDampingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from Bgp_PeerGroupPathAny the path struct for its child "route-flap-damping".
func (n *Bgp_PeerGroupPathAny) RouteFlapDamping() *Bgp_PeerGroup_RouteFlapDampingPathAny {
	return &Bgp_PeerGroup_RouteFlapDampingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from Bgp_PeerGroupPath the path struct for its child "route-reflector".
func (n *Bgp_PeerGroupPath) RouteReflector() *Bgp_PeerGroup_RouteReflectorPath {
	return &Bgp_PeerGroup_RouteReflectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from Bgp_PeerGroupPathAny the path struct for its child "route-reflector".
func (n *Bgp_PeerGroupPathAny) RouteReflector() *Bgp_PeerGroup_RouteReflectorPathAny {
	return &Bgp_PeerGroup_RouteReflectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from Bgp_PeerGroupPath the path struct for its child "send-community".
func (n *Bgp_PeerGroupPath) SendCommunity() *Bgp_PeerGroup_SendCommunityPath {
	return &Bgp_PeerGroup_SendCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from Bgp_PeerGroupPathAny the path struct for its child "send-community".
func (n *Bgp_PeerGroupPathAny) SendCommunity() *Bgp_PeerGroup_SendCommunityPathAny {
	return &Bgp_PeerGroup_SendCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from Bgp_PeerGroupPath the path struct for its child "timers".
func (n *Bgp_PeerGroupPath) Timers() *Bgp_PeerGroup_TimersPath {
	return &Bgp_PeerGroup_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from Bgp_PeerGroupPathAny the path struct for its child "timers".
func (n *Bgp_PeerGroupPathAny) Timers() *Bgp_PeerGroup_TimersPathAny {
	return &Bgp_PeerGroup_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_PeerGroupPath the path struct for its child "total-paths".
func (n *Bgp_PeerGroupPath) TotalPaths() *Bgp_PeerGroup_TotalPathsPath {
	return &Bgp_PeerGroup_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from Bgp_PeerGroupPathAny the path struct for its child "total-paths".
func (n *Bgp_PeerGroupPathAny) TotalPaths() *Bgp_PeerGroup_TotalPathsPathAny {
	return &Bgp_PeerGroup_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_PeerGroupPath the path struct for its child "total-prefixes".
func (n *Bgp_PeerGroupPath) TotalPrefixes() *Bgp_PeerGroup_TotalPrefixesPath {
	return &Bgp_PeerGroup_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from Bgp_PeerGroupPathAny the path struct for its child "total-prefixes".
func (n *Bgp_PeerGroupPathAny) TotalPrefixes() *Bgp_PeerGroup_TotalPrefixesPathAny {
	return &Bgp_PeerGroup_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Bgp_PeerGroupPath the path struct for its child "transport".
func (n *Bgp_PeerGroupPath) Transport() *Bgp_PeerGroup_TransportPath {
	return &Bgp_PeerGroup_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from Bgp_PeerGroupPathAny the path struct for its child "transport".
func (n *Bgp_PeerGroupPathAny) Transport() *Bgp_PeerGroup_TransportPathAny {
	return &Bgp_PeerGroup_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_PeerGroupPath the path struct for its child "use-multiple-paths".
func (n *Bgp_PeerGroupPath) UseMultiplePaths() *Bgp_PeerGroup_UseMultiplePathsPath {
	return &Bgp_PeerGroup_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_PeerGroupPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_PeerGroupPathAny) UseMultiplePaths() *Bgp_PeerGroup_UseMultiplePathsPathAny {
	return &Bgp_PeerGroup_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafiPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi YANG schema element.
type Bgp_PeerGroup_AfiSafiPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafiPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi YANG schema element.
type Bgp_PeerGroup_AfiSafiPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AfiSafiNamePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_PeerGroup_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// AddPaths returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "add-paths".
func (n *Bgp_PeerGroup_AfiSafiPath) AddPaths() *Bgp_PeerGroup_AfiSafi_AddPathsPath {
	return &Bgp_PeerGroup_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "add-paths".
func (n *Bgp_PeerGroup_AfiSafiPathAny) AddPaths() *Bgp_PeerGroup_AfiSafi_AddPathsPathAny {
	return &Bgp_PeerGroup_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *Bgp_PeerGroup_AfiSafiPath) AfiSafiName() *Bgp_PeerGroup_AfiSafi_AfiSafiNamePath {
	return &Bgp_PeerGroup_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *Bgp_PeerGroup_AfiSafiPathAny) AfiSafiName() *Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny {
	return &Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "apply-policy".
func (n *Bgp_PeerGroup_AfiSafiPath) ApplyPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "apply-policy".
func (n *Bgp_PeerGroup_AfiSafiPathAny) ApplyPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafiPath) Enabled() *Bgp_PeerGroup_AfiSafi_EnabledPath {
	return &Bgp_PeerGroup_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafiPathAny) Enabled() *Bgp_PeerGroup_AfiSafi_EnabledPathAny {
	return &Bgp_PeerGroup_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "graceful-restart".
func (n *Bgp_PeerGroup_AfiSafiPath) GracefulRestart() *Bgp_PeerGroup_AfiSafi_GracefulRestartPath {
	return &Bgp_PeerGroup_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *Bgp_PeerGroup_AfiSafiPathAny) GracefulRestart() *Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny {
	return &Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) Ipv4LabeledUnicast() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) Ipv4LabeledUnicast() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) Ipv4Unicast() *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) Ipv4Unicast() *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) Ipv6LabeledUnicast() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) Ipv6LabeledUnicast() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) Ipv6Unicast() *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) Ipv6Unicast() *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *Bgp_PeerGroup_AfiSafiPath) L2VpnEvpn() *Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L2VpnEvpn() *Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *Bgp_PeerGroup_AfiSafiPath) L2VpnVpls() *Bgp_PeerGroup_AfiSafi_L2VpnVplsPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L2VpnVpls() *Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_PeerGroup_AfiSafiPath) L3VpnIpv4Multicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv4Multicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) L3VpnIpv4Unicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv4Unicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_PeerGroup_AfiSafiPath) L3VpnIpv6Multicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv6Multicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_PeerGroup_AfiSafiPath) L3VpnIpv6Unicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv6Unicast() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *Bgp_PeerGroup_AfiSafiPath) SrtePolicyIpv4() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *Bgp_PeerGroup_AfiSafiPathAny) SrtePolicyIpv4() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *Bgp_PeerGroup_AfiSafiPath) SrtePolicyIpv6() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *Bgp_PeerGroup_AfiSafiPathAny) SrtePolicyIpv6() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_PeerGroup_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *Bgp_PeerGroup_AfiSafiPath) UseMultiplePaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *Bgp_PeerGroup_AfiSafiPathAny) UseMultiplePaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_AddPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_SendPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPath) Receive() *Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPathAny) Receive() *Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPath) Send() *Bgp_PeerGroup_AfiSafi_AddPaths_SendPath {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPathAny) Send() *Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPath) SendMax() *Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *Bgp_PeerGroup_AfiSafi_AddPathsPathAny) SendMax() *Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny {
	return &Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) DefaultExportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) DefaultExportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) DefaultImportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) DefaultImportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "export-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) ExportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) ExportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "import-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) ImportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) ImportPolicy() *Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny {
	return &Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_GracefulRestartPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_PeerGroup_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart YANG schema element.
type Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_PeerGroup_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafi_GracefulRestartPath) Enabled() *Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath {
	return &Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny) Enabled() *Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny {
	return &Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L2VpnVplsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVplsPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Ebgp() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Ebgp() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Enabled() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Enabled() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Ibgp() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Ibgp() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath) MaximumPaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny) MaximumPaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath) MaximumPaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny) MaximumPaths() *Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_ApplyPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/default-export-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/default-export-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/default-import-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/default-import-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/export-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/export-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/import-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/apply-policy/config/import-policy YANG schema element.
type Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPath) DefaultExportPolicy() *Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath {
	return &Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPathAny) DefaultExportPolicy() *Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny {
	return &Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPath) DefaultImportPolicy() *Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath {
	return &Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPathAny) DefaultImportPolicy() *Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny {
	return &Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "export-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPath) ExportPolicy() *Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath {
	return &Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPathAny) ExportPolicy() *Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny {
	return &Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "import-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPath) ImportPolicy() *Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath {
	return &Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *Bgp_PeerGroup_ApplyPolicyPathAny) ImportPolicy() *Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny {
	return &Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_AsPathOptionsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options YANG schema element.
type Bgp_PeerGroup_AsPathOptionsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options YANG schema element.
type Bgp_PeerGroup_AsPathOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/allow-own-as YANG schema element.
type Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/allow-own-as YANG schema element.
type Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/disable-peer-as-filter YANG schema element.
type Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/disable-peer-as-filter YANG schema element.
type Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/replace-peer-as YANG schema element.
type Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/as-path-options/config/replace-peer-as YANG schema element.
type Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny struct {
	*ygot.NodePath
}

// AllowOwnAs returns from Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "allow-own-as".
func (n *Bgp_PeerGroup_AsPathOptionsPath) AllowOwnAs() *Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath {
	return &Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowOwnAs returns from Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "allow-own-as".
func (n *Bgp_PeerGroup_AsPathOptionsPathAny) AllowOwnAs() *Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny {
	return &Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "disable-peer-as-filter".
func (n *Bgp_PeerGroup_AsPathOptionsPath) DisablePeerAsFilter() *Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath {
	return &Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "disable-peer-as-filter".
func (n *Bgp_PeerGroup_AsPathOptionsPathAny) DisablePeerAsFilter() *Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny {
	return &Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "replace-peer-as".
func (n *Bgp_PeerGroup_AsPathOptionsPath) ReplacePeerAs() *Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath {
	return &Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "replace-peer-as".
func (n *Bgp_PeerGroup_AsPathOptionsPathAny) ReplacePeerAs() *Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny {
	return &Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_EbgpMultihopPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop YANG schema element.
type Bgp_PeerGroup_EbgpMultihopPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_EbgpMultihopPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop YANG schema element.
type Bgp_PeerGroup_EbgpMultihopPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_EbgpMultihop_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop/config/enabled YANG schema element.
type Bgp_PeerGroup_EbgpMultihop_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_EbgpMultihop_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop/config/enabled YANG schema element.
type Bgp_PeerGroup_EbgpMultihop_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop/config/multihop-ttl YANG schema element.
type Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/ebgp-multihop/config/multihop-ttl YANG schema element.
type Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_PeerGroup_EbgpMultihopPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_EbgpMultihopPath) Enabled() *Bgp_PeerGroup_EbgpMultihop_EnabledPath {
	return &Bgp_PeerGroup_EbgpMultihop_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_EbgpMultihopPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_EbgpMultihopPathAny) Enabled() *Bgp_PeerGroup_EbgpMultihop_EnabledPathAny {
	return &Bgp_PeerGroup_EbgpMultihop_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from Bgp_PeerGroup_EbgpMultihopPath the path struct for its child "multihop-ttl".
func (n *Bgp_PeerGroup_EbgpMultihopPath) MultihopTtl() *Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath {
	return &Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from Bgp_PeerGroup_EbgpMultihopPathAny the path struct for its child "multihop-ttl".
func (n *Bgp_PeerGroup_EbgpMultihopPathAny) MultihopTtl() *Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny {
	return &Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_ErrorHandlingPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/error-handling YANG schema element.
type Bgp_PeerGroup_ErrorHandlingPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ErrorHandlingPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/error-handling YANG schema element.
type Bgp_PeerGroup_ErrorHandlingPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/error-handling/config/treat-as-withdraw YANG schema element.
type Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/error-handling/config/treat-as-withdraw YANG schema element.
type Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny struct {
	*ygot.NodePath
}

// TreatAsWithdraw returns from Bgp_PeerGroup_ErrorHandlingPath the path struct for its child "treat-as-withdraw".
func (n *Bgp_PeerGroup_ErrorHandlingPath) TreatAsWithdraw() *Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath {
	return &Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from Bgp_PeerGroup_ErrorHandlingPathAny the path struct for its child "treat-as-withdraw".
func (n *Bgp_PeerGroup_ErrorHandlingPathAny) TreatAsWithdraw() *Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny {
	return &Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_GracefulRestartPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart YANG schema element.
type Bgp_PeerGroup_GracefulRestartPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestartPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart YANG schema element.
type Bgp_PeerGroup_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/enabled YANG schema element.
type Bgp_PeerGroup_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/enabled YANG schema element.
type Bgp_PeerGroup_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_HelperOnlyPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/helper-only YANG schema element.
type Bgp_PeerGroup_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/helper-only YANG schema element.
type Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_RestartTimePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/restart-time YANG schema element.
type Bgp_PeerGroup_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/restart-time YANG schema element.
type Bgp_PeerGroup_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/graceful-restart/config/stale-routes-time YANG schema element.
type Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from Bgp_PeerGroup_GracefulRestartPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_GracefulRestartPath) Enabled() *Bgp_PeerGroup_GracefulRestart_EnabledPath {
	return &Bgp_PeerGroup_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_GracefulRestartPathAny) Enabled() *Bgp_PeerGroup_GracefulRestart_EnabledPathAny {
	return &Bgp_PeerGroup_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_PeerGroup_GracefulRestartPath the path struct for its child "helper-only".
func (n *Bgp_PeerGroup_GracefulRestartPath) HelperOnly() *Bgp_PeerGroup_GracefulRestart_HelperOnlyPath {
	return &Bgp_PeerGroup_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *Bgp_PeerGroup_GracefulRestartPathAny) HelperOnly() *Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny {
	return &Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_PeerGroup_GracefulRestartPath the path struct for its child "restart-time".
func (n *Bgp_PeerGroup_GracefulRestartPath) RestartTime() *Bgp_PeerGroup_GracefulRestart_RestartTimePath {
	return &Bgp_PeerGroup_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *Bgp_PeerGroup_GracefulRestartPathAny) RestartTime() *Bgp_PeerGroup_GracefulRestart_RestartTimePathAny {
	return &Bgp_PeerGroup_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_PeerGroup_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *Bgp_PeerGroup_GracefulRestartPath) StaleRoutesTime() *Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath {
	return &Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *Bgp_PeerGroup_GracefulRestartPathAny) StaleRoutesTime() *Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny {
	return &Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_LoggingOptionsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/logging-options YANG schema element.
type Bgp_PeerGroup_LoggingOptionsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_LoggingOptionsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/logging-options YANG schema element.
type Bgp_PeerGroup_LoggingOptionsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/logging-options/config/log-neighbor-state-changes YANG schema element.
type Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/logging-options/config/log-neighbor-state-changes YANG schema element.
type Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny struct {
	*ygot.NodePath
}

// LogNeighborStateChanges returns from Bgp_PeerGroup_LoggingOptionsPath the path struct for its child "log-neighbor-state-changes".
func (n *Bgp_PeerGroup_LoggingOptionsPath) LogNeighborStateChanges() *Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath {
	return &Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogNeighborStateChanges returns from Bgp_PeerGroup_LoggingOptionsPathAny the path struct for its child "log-neighbor-state-changes".
func (n *Bgp_PeerGroup_LoggingOptionsPathAny) LogNeighborStateChanges() *Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny {
	return &Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_RouteReflectorPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector YANG schema element.
type Bgp_PeerGroup_RouteReflectorPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteReflectorPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector YANG schema element.
type Bgp_PeerGroup_RouteReflectorPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-client YANG schema element.
type Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-client YANG schema element.
type Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-cluster-id YANG schema element.
type Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-cluster-id YANG schema element.
type Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny struct {
	*ygot.NodePath
}

// RouteReflectorClient returns from Bgp_PeerGroup_RouteReflectorPath the path struct for its child "route-reflector-client".
func (n *Bgp_PeerGroup_RouteReflectorPath) RouteReflectorClient() *Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath {
	return &Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClient returns from Bgp_PeerGroup_RouteReflectorPathAny the path struct for its child "route-reflector-client".
func (n *Bgp_PeerGroup_RouteReflectorPathAny) RouteReflectorClient() *Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny {
	return &Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from Bgp_PeerGroup_RouteReflectorPath the path struct for its child "route-reflector-cluster-id".
func (n *Bgp_PeerGroup_RouteReflectorPath) RouteReflectorClusterId() *Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath {
	return &Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from Bgp_PeerGroup_RouteReflectorPathAny the path struct for its child "route-reflector-cluster-id".
func (n *Bgp_PeerGroup_RouteReflectorPathAny) RouteReflectorClusterId() *Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny {
	return &Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_TimersPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/timers YANG schema element.
type Bgp_PeerGroup_TimersPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TimersPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/timers YANG schema element.
type Bgp_PeerGroup_TimersPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_ConnectRetryPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/connect-retry YANG schema element.
type Bgp_PeerGroup_Timers_ConnectRetryPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_ConnectRetryPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/connect-retry YANG schema element.
type Bgp_PeerGroup_Timers_ConnectRetryPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_HoldTimePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/hold-time YANG schema element.
type Bgp_PeerGroup_Timers_HoldTimePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_HoldTimePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/hold-time YANG schema element.
type Bgp_PeerGroup_Timers_HoldTimePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_KeepaliveIntervalPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/keepalive-interval YANG schema element.
type Bgp_PeerGroup_Timers_KeepaliveIntervalPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/keepalive-interval YANG schema element.
type Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/minimum-advertisement-interval YANG schema element.
type Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/timers/config/minimum-advertisement-interval YANG schema element.
type Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// ConnectRetry returns from Bgp_PeerGroup_TimersPath the path struct for its child "connect-retry".
func (n *Bgp_PeerGroup_TimersPath) ConnectRetry() *Bgp_PeerGroup_Timers_ConnectRetryPath {
	return &Bgp_PeerGroup_Timers_ConnectRetryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectRetry returns from Bgp_PeerGroup_TimersPathAny the path struct for its child "connect-retry".
func (n *Bgp_PeerGroup_TimersPathAny) ConnectRetry() *Bgp_PeerGroup_Timers_ConnectRetryPathAny {
	return &Bgp_PeerGroup_Timers_ConnectRetryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Bgp_PeerGroup_TimersPath the path struct for its child "hold-time".
func (n *Bgp_PeerGroup_TimersPath) HoldTime() *Bgp_PeerGroup_Timers_HoldTimePath {
	return &Bgp_PeerGroup_Timers_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Bgp_PeerGroup_TimersPathAny the path struct for its child "hold-time".
func (n *Bgp_PeerGroup_TimersPathAny) HoldTime() *Bgp_PeerGroup_Timers_HoldTimePathAny {
	return &Bgp_PeerGroup_Timers_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from Bgp_PeerGroup_TimersPath the path struct for its child "keepalive-interval".
func (n *Bgp_PeerGroup_TimersPath) KeepaliveInterval() *Bgp_PeerGroup_Timers_KeepaliveIntervalPath {
	return &Bgp_PeerGroup_Timers_KeepaliveIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from Bgp_PeerGroup_TimersPathAny the path struct for its child "keepalive-interval".
func (n *Bgp_PeerGroup_TimersPathAny) KeepaliveInterval() *Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny {
	return &Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from Bgp_PeerGroup_TimersPath the path struct for its child "minimum-advertisement-interval".
func (n *Bgp_PeerGroup_TimersPath) MinimumAdvertisementInterval() *Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath {
	return &Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from Bgp_PeerGroup_TimersPathAny the path struct for its child "minimum-advertisement-interval".
func (n *Bgp_PeerGroup_TimersPathAny) MinimumAdvertisementInterval() *Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny {
	return &Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_TransportPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/transport YANG schema element.
type Bgp_PeerGroup_TransportPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_TransportPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/transport YANG schema element.
type Bgp_PeerGroup_TransportPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_LocalAddressPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/local-address YANG schema element.
type Bgp_PeerGroup_Transport_LocalAddressPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_LocalAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/local-address YANG schema element.
type Bgp_PeerGroup_Transport_LocalAddressPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_MtuDiscoveryPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/mtu-discovery YANG schema element.
type Bgp_PeerGroup_Transport_MtuDiscoveryPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_MtuDiscoveryPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/mtu-discovery YANG schema element.
type Bgp_PeerGroup_Transport_MtuDiscoveryPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_PassiveModePath represents the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/passive-mode YANG schema element.
type Bgp_PeerGroup_Transport_PassiveModePath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_PassiveModePathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/passive-mode YANG schema element.
type Bgp_PeerGroup_Transport_PassiveModePathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_TcpMssPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/tcp-mss YANG schema element.
type Bgp_PeerGroup_Transport_TcpMssPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_Transport_TcpMssPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/transport/config/tcp-mss YANG schema element.
type Bgp_PeerGroup_Transport_TcpMssPathAny struct {
	*ygot.NodePath
}

// LocalAddress returns from Bgp_PeerGroup_TransportPath the path struct for its child "local-address".
func (n *Bgp_PeerGroup_TransportPath) LocalAddress() *Bgp_PeerGroup_Transport_LocalAddressPath {
	return &Bgp_PeerGroup_Transport_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from Bgp_PeerGroup_TransportPathAny the path struct for its child "local-address".
func (n *Bgp_PeerGroup_TransportPathAny) LocalAddress() *Bgp_PeerGroup_Transport_LocalAddressPathAny {
	return &Bgp_PeerGroup_Transport_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from Bgp_PeerGroup_TransportPath the path struct for its child "mtu-discovery".
func (n *Bgp_PeerGroup_TransportPath) MtuDiscovery() *Bgp_PeerGroup_Transport_MtuDiscoveryPath {
	return &Bgp_PeerGroup_Transport_MtuDiscoveryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from Bgp_PeerGroup_TransportPathAny the path struct for its child "mtu-discovery".
func (n *Bgp_PeerGroup_TransportPathAny) MtuDiscovery() *Bgp_PeerGroup_Transport_MtuDiscoveryPathAny {
	return &Bgp_PeerGroup_Transport_MtuDiscoveryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from Bgp_PeerGroup_TransportPath the path struct for its child "passive-mode".
func (n *Bgp_PeerGroup_TransportPath) PassiveMode() *Bgp_PeerGroup_Transport_PassiveModePath {
	return &Bgp_PeerGroup_Transport_PassiveModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from Bgp_PeerGroup_TransportPathAny the path struct for its child "passive-mode".
func (n *Bgp_PeerGroup_TransportPathAny) PassiveMode() *Bgp_PeerGroup_Transport_PassiveModePathAny {
	return &Bgp_PeerGroup_Transport_PassiveModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from Bgp_PeerGroup_TransportPath the path struct for its child "tcp-mss".
func (n *Bgp_PeerGroup_TransportPath) TcpMss() *Bgp_PeerGroup_Transport_TcpMssPath {
	return &Bgp_PeerGroup_Transport_TcpMssPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from Bgp_PeerGroup_TransportPathAny the path struct for its child "tcp-mss".
func (n *Bgp_PeerGroup_TransportPathAny) TcpMss() *Bgp_PeerGroup_Transport_TcpMssPathAny {
	return &Bgp_PeerGroup_Transport_TcpMssPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_UseMultiplePathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_EnabledPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/config/enabled YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/config/enabled YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *Bgp_PeerGroup_UseMultiplePathsPath) Ebgp() *Bgp_PeerGroup_UseMultiplePaths_EbgpPath {
	return &Bgp_PeerGroup_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *Bgp_PeerGroup_UseMultiplePathsPathAny) Ebgp() *Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "enabled".
func (n *Bgp_PeerGroup_UseMultiplePathsPath) Enabled() *Bgp_PeerGroup_UseMultiplePaths_EnabledPath {
	return &Bgp_PeerGroup_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *Bgp_PeerGroup_UseMultiplePathsPathAny) Enabled() *Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *Bgp_PeerGroup_UseMultiplePathsPath) Ibgp() *Bgp_PeerGroup_UseMultiplePaths_IbgpPath {
	return &Bgp_PeerGroup_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *Bgp_PeerGroup_UseMultiplePathsPathAny) Ibgp() *Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_UseMultiplePaths_EbgpPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from Bgp_PeerGroup_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *Bgp_PeerGroup_UseMultiplePaths_EbgpPath) AllowMultipleAs() *Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_UseMultiplePaths_EbgpPath) MaximumPaths() *Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny) MaximumPaths() *Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_PeerGroup_UseMultiplePaths_IbgpPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ibgp YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ibgp YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-bgp/bgp/peer-groups/peer-group/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from Bgp_PeerGroup_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_UseMultiplePaths_IbgpPath) MaximumPaths() *Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny) MaximumPaths() *Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_RibPath represents the /openconfig-bgp/bgp/rib YANG schema element.
type Bgp_RibPath struct {
	*ygot.NodePath
}

// Bgp_RibPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib YANG schema element.
type Bgp_RibPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from Bgp_RibPath the path struct for its child "afi-safi".
func (n *Bgp_RibPath) AfiSafiAny() *Bgp_Rib_AfiSafiPathAny {
	return &Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from Bgp_RibPathAny the path struct for its child "afi-safi".
func (n *Bgp_RibPathAny) AfiSafiAny() *Bgp_Rib_AfiSafiPathAny {
	return &Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from Bgp_RibPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_RibPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Rib_AfiSafiPath {
	return &Bgp_Rib_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from Bgp_RibPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *Bgp_RibPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *Bgp_Rib_AfiSafiPathAny {
	return &Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AttrSetAny returns from Bgp_RibPath the path struct for its child "attr-set".
func (n *Bgp_RibPath) AttrSetAny() *Bgp_Rib_AttrSetPathAny {
	return &Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// AttrSetAny returns from Bgp_RibPathAny the path struct for its child "attr-set".
func (n *Bgp_RibPathAny) AttrSetAny() *Bgp_Rib_AttrSetPathAny {
	return &Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// AttrSet returns from Bgp_RibPath the path struct for its child "attr-set".
// Index: uint64
func (n *Bgp_RibPath) AttrSet(Index uint64) *Bgp_Rib_AttrSetPath {
	return &Bgp_Rib_AttrSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// AttrSet returns from Bgp_RibPathAny the path struct for its child "attr-set".
// Index: uint64
func (n *Bgp_RibPathAny) AttrSet(Index uint64) *Bgp_Rib_AttrSetPathAny {
	return &Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// CommunityAny returns from Bgp_RibPath the path struct for its child "community".
func (n *Bgp_RibPath) CommunityAny() *Bgp_Rib_CommunityPathAny {
	return &Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// CommunityAny returns from Bgp_RibPathAny the path struct for its child "community".
func (n *Bgp_RibPathAny) CommunityAny() *Bgp_Rib_CommunityPathAny {
	return &Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Community returns from Bgp_RibPath the path struct for its child "community".
// Index: uint64
func (n *Bgp_RibPath) Community(Index uint64) *Bgp_Rib_CommunityPath {
	return &Bgp_Rib_CommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Community returns from Bgp_RibPathAny the path struct for its child "community".
// Index: uint64
func (n *Bgp_RibPathAny) Community(Index uint64) *Bgp_Rib_CommunityPathAny {
	return &Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExtCommunityAny returns from Bgp_RibPath the path struct for its child "ext-community".
func (n *Bgp_RibPath) ExtCommunityAny() *Bgp_Rib_ExtCommunityPathAny {
	return &Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExtCommunityAny returns from Bgp_RibPathAny the path struct for its child "ext-community".
func (n *Bgp_RibPathAny) ExtCommunityAny() *Bgp_Rib_ExtCommunityPathAny {
	return &Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExtCommunity returns from Bgp_RibPath the path struct for its child "ext-community".
// Index: uint64
func (n *Bgp_RibPath) ExtCommunity(Index uint64) *Bgp_Rib_ExtCommunityPath {
	return &Bgp_Rib_ExtCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExtCommunity returns from Bgp_RibPathAny the path struct for its child "ext-community".
// Index: uint64
func (n *Bgp_RibPathAny) ExtCommunity(Index uint64) *Bgp_Rib_ExtCommunityPathAny {
	return &Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Bgp_Rib_AfiSafiPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi YANG schema element.
type Bgp_Rib_AfiSafiPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafiPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi YANG schema element.
type Bgp_Rib_AfiSafiPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_AfiSafiNamePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/state/afi-safi-name YANG schema element.
type Bgp_Rib_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/state/afi-safi-name YANG schema element.
type Bgp_Rib_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// AfiSafiName returns from Bgp_Rib_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *Bgp_Rib_AfiSafiPath) AfiSafiName() *Bgp_Rib_AfiSafi_AfiSafiNamePath {
	return &Bgp_Rib_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from Bgp_Rib_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *Bgp_Rib_AfiSafiPathAny) AfiSafiName() *Bgp_Rib_AfiSafi_AfiSafiNamePathAny {
	return &Bgp_Rib_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SrtePolicy returns from Bgp_Rib_AfiSafiPath the path struct for its child "ipv4-srte-policy".
func (n *Bgp_Rib_AfiSafiPath) Ipv4SrtePolicy() *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SrtePolicy returns from Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv4-srte-policy".
func (n *Bgp_Rib_AfiSafiPathAny) Ipv4SrtePolicy() *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Rib_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *Bgp_Rib_AfiSafiPath) Ipv4Unicast() *Bgp_Rib_AfiSafi_Ipv4UnicastPath {
	return &Bgp_Rib_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *Bgp_Rib_AfiSafiPathAny) Ipv4Unicast() *Bgp_Rib_AfiSafi_Ipv4UnicastPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SrtePolicy returns from Bgp_Rib_AfiSafiPath the path struct for its child "ipv6-srte-policy".
func (n *Bgp_Rib_AfiSafiPath) Ipv6SrtePolicy() *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SrtePolicy returns from Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv6-srte-policy".
func (n *Bgp_Rib_AfiSafiPathAny) Ipv6SrtePolicy() *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Rib_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *Bgp_Rib_AfiSafiPath) Ipv6Unicast() *Bgp_Rib_AfiSafi_Ipv6UnicastPath {
	return &Bgp_Rib_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *Bgp_Rib_AfiSafiPathAny) Ipv6Unicast() *Bgp_Rib_AfiSafi_Ipv6UnicastPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny struct {
	*ygot.NodePath
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) LocRib() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) LocRib() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) NeighborAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) NeighborAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) BestPath() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4UnicastPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPath) LocRib() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) LocRib() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPath) NeighborAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) NeighborAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPath) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// WithPrefix sets Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "prefix" to the specified value.
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithPrefix(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "prefix", Prefix)
	return n
}

// WithOrigin sets Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "origin" to the specified value.
// Origin: [UnionString, E_PolicyTypes_INSTALL_PROTOCOL_TYPE]
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithOrigin(Origin Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_Origin_Union) *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "origin", Origin)
	return n
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/origin YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/origin YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "origin".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) Origin() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "origin".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) Origin() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) BestPath() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny struct {
	*ygot.NodePath
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) LocRib() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) LocRib() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) NeighborAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) NeighborAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) BestPath() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithEndpoint(Endpoint string) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithColor(Color uint32) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "color".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Color() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Endpoint() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6UnicastPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPath) LocRib() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "loc-rib".
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) LocRib() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPath) NeighborAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "neighbor".
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) NeighborAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPath) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) Neighbor(NeighborAddress string) *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// WithPrefix sets Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "prefix" to the specified value.
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithPrefix(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "prefix", Prefix)
	return n
}

// WithOrigin sets Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "origin" to the specified value.
// Origin: [UnionString, E_PolicyTypes_INSTALL_PROTOCOL_TYPE]
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithOrigin(Origin Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_Origin_Union) *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "origin", Origin)
	return n
}

// WithPathId sets Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithPathId(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/origin YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/origin YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "origin".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) Origin() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "origin".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) Origin() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibInPost() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibInPre() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibOutPost() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibOutPre() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "neighbor-address".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) NeighborAddress() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) BestPath() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPathId(Prefix string) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPrefix(PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) Route(Prefix string, PathId uint32) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "prefix".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) Prefix() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSetPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set YANG schema element.
type Bgp_Rib_AttrSetPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSetPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set YANG schema element.
type Bgp_Rib_AttrSetPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AigpPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/aigp YANG schema element.
type Bgp_Rib_AttrSet_AigpPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AigpPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/aigp YANG schema element.
type Bgp_Rib_AttrSet_AigpPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AtomicAggregatePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/atomic-aggregate YANG schema element.
type Bgp_Rib_AttrSet_AtomicAggregatePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AtomicAggregatePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/atomic-aggregate YANG schema element.
type Bgp_Rib_AttrSet_AtomicAggregatePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_ClusterListPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/cluster-list YANG schema element.
type Bgp_Rib_AttrSet_ClusterListPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_ClusterListPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/cluster-list YANG schema element.
type Bgp_Rib_AttrSet_ClusterListPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_IndexPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/index YANG schema element.
type Bgp_Rib_AttrSet_IndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_IndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/index YANG schema element.
type Bgp_Rib_AttrSet_IndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_LocalPrefPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/local-pref YANG schema element.
type Bgp_Rib_AttrSet_LocalPrefPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_LocalPrefPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/local-pref YANG schema element.
type Bgp_Rib_AttrSet_LocalPrefPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_MedPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/med YANG schema element.
type Bgp_Rib_AttrSet_MedPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_MedPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/med YANG schema element.
type Bgp_Rib_AttrSet_MedPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_NextHopPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/next-hop YANG schema element.
type Bgp_Rib_AttrSet_NextHopPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_NextHopPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/next-hop YANG schema element.
type Bgp_Rib_AttrSet_NextHopPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_OriginPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/origin YANG schema element.
type Bgp_Rib_AttrSet_OriginPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_OriginPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/origin YANG schema element.
type Bgp_Rib_AttrSet_OriginPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_OriginatorIdPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/originator-id YANG schema element.
type Bgp_Rib_AttrSet_OriginatorIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_OriginatorIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/state/originator-id YANG schema element.
type Bgp_Rib_AttrSet_OriginatorIdPathAny struct {
	*ygot.NodePath
}

// Aggregator returns from Bgp_Rib_AttrSetPath the path struct for its child "aggregator".
func (n *Bgp_Rib_AttrSetPath) Aggregator() *Bgp_Rib_AttrSet_AggregatorPath {
	return &Bgp_Rib_AttrSet_AggregatorPath{
		NodePath: ygot.NewNodePath(
			[]string{"aggregator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregator returns from Bgp_Rib_AttrSetPathAny the path struct for its child "aggregator".
func (n *Bgp_Rib_AttrSetPathAny) Aggregator() *Bgp_Rib_AttrSet_AggregatorPathAny {
	return &Bgp_Rib_AttrSet_AggregatorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aigp returns from Bgp_Rib_AttrSetPath the path struct for its child "aigp".
func (n *Bgp_Rib_AttrSetPath) Aigp() *Bgp_Rib_AttrSet_AigpPath {
	return &Bgp_Rib_AttrSet_AigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aigp returns from Bgp_Rib_AttrSetPathAny the path struct for its child "aigp".
func (n *Bgp_Rib_AttrSetPathAny) Aigp() *Bgp_Rib_AttrSet_AigpPathAny {
	return &Bgp_Rib_AttrSet_AigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// AtomicAggregate returns from Bgp_Rib_AttrSetPath the path struct for its child "atomic-aggregate".
func (n *Bgp_Rib_AttrSetPath) AtomicAggregate() *Bgp_Rib_AttrSet_AtomicAggregatePath {
	return &Bgp_Rib_AttrSet_AtomicAggregatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "atomic-aggregate"},
			map[string]interface{}{},
			n,
		),
	}
}

// AtomicAggregate returns from Bgp_Rib_AttrSetPathAny the path struct for its child "atomic-aggregate".
func (n *Bgp_Rib_AttrSetPathAny) AtomicAggregate() *Bgp_Rib_AttrSet_AtomicAggregatePathAny {
	return &Bgp_Rib_AttrSet_AtomicAggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "atomic-aggregate"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClusterList returns from Bgp_Rib_AttrSetPath the path struct for its child "cluster-list".
func (n *Bgp_Rib_AttrSetPath) ClusterList() *Bgp_Rib_AttrSet_ClusterListPath {
	return &Bgp_Rib_AttrSet_ClusterListPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cluster-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClusterList returns from Bgp_Rib_AttrSetPathAny the path struct for its child "cluster-list".
func (n *Bgp_Rib_AttrSetPathAny) ClusterList() *Bgp_Rib_AttrSet_ClusterListPathAny {
	return &Bgp_Rib_AttrSet_ClusterListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cluster-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_AttrSetPath the path struct for its child "index".
func (n *Bgp_Rib_AttrSetPath) Index() *Bgp_Rib_AttrSet_IndexPath {
	return &Bgp_Rib_AttrSet_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_AttrSetPathAny the path struct for its child "index".
func (n *Bgp_Rib_AttrSetPathAny) Index() *Bgp_Rib_AttrSet_IndexPathAny {
	return &Bgp_Rib_AttrSet_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPref returns from Bgp_Rib_AttrSetPath the path struct for its child "local-pref".
func (n *Bgp_Rib_AttrSetPath) LocalPref() *Bgp_Rib_AttrSet_LocalPrefPath {
	return &Bgp_Rib_AttrSet_LocalPrefPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-pref"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPref returns from Bgp_Rib_AttrSetPathAny the path struct for its child "local-pref".
func (n *Bgp_Rib_AttrSetPathAny) LocalPref() *Bgp_Rib_AttrSet_LocalPrefPathAny {
	return &Bgp_Rib_AttrSet_LocalPrefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-pref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Med returns from Bgp_Rib_AttrSetPath the path struct for its child "med".
func (n *Bgp_Rib_AttrSetPath) Med() *Bgp_Rib_AttrSet_MedPath {
	return &Bgp_Rib_AttrSet_MedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "med"},
			map[string]interface{}{},
			n,
		),
	}
}

// Med returns from Bgp_Rib_AttrSetPathAny the path struct for its child "med".
func (n *Bgp_Rib_AttrSetPathAny) Med() *Bgp_Rib_AttrSet_MedPathAny {
	return &Bgp_Rib_AttrSet_MedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "med"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from Bgp_Rib_AttrSetPath the path struct for its child "next-hop".
func (n *Bgp_Rib_AttrSetPath) NextHop() *Bgp_Rib_AttrSet_NextHopPath {
	return &Bgp_Rib_AttrSet_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from Bgp_Rib_AttrSetPathAny the path struct for its child "next-hop".
func (n *Bgp_Rib_AttrSetPathAny) NextHop() *Bgp_Rib_AttrSet_NextHopPathAny {
	return &Bgp_Rib_AttrSet_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AttrSetPath the path struct for its child "origin".
func (n *Bgp_Rib_AttrSetPath) Origin() *Bgp_Rib_AttrSet_OriginPath {
	return &Bgp_Rib_AttrSet_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Bgp_Rib_AttrSetPathAny the path struct for its child "origin".
func (n *Bgp_Rib_AttrSetPathAny) Origin() *Bgp_Rib_AttrSet_OriginPathAny {
	return &Bgp_Rib_AttrSet_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorId returns from Bgp_Rib_AttrSetPath the path struct for its child "originator-id".
func (n *Bgp_Rib_AttrSetPath) OriginatorId() *Bgp_Rib_AttrSet_OriginatorIdPath {
	return &Bgp_Rib_AttrSet_OriginatorIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorId returns from Bgp_Rib_AttrSetPathAny the path struct for its child "originator-id".
func (n *Bgp_Rib_AttrSetPathAny) OriginatorId() *Bgp_Rib_AttrSet_OriginatorIdPathAny {
	return &Bgp_Rib_AttrSet_OriginatorIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelEncapsulation returns from Bgp_Rib_AttrSetPath the path struct for its child "tunnel-encapsulation".
func (n *Bgp_Rib_AttrSetPath) TunnelEncapsulation() *Bgp_Rib_AttrSet_TunnelEncapsulationPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulationPath{
		NodePath: ygot.NewNodePath(
			[]string{"tunnel-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelEncapsulation returns from Bgp_Rib_AttrSetPathAny the path struct for its child "tunnel-encapsulation".
func (n *Bgp_Rib_AttrSetPathAny) TunnelEncapsulation() *Bgp_Rib_AttrSet_TunnelEncapsulationPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnel-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_AggregatorPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator YANG schema element.
type Bgp_Rib_AttrSet_AggregatorPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AggregatorPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator YANG schema element.
type Bgp_Rib_AttrSet_AggregatorPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_AddressPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/address YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_AddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_AddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/address YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_AddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_AsPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/as YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_AsPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_AsPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/as YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_AsPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_As4Path represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/as4 YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_As4Path struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_Aggregator_As4PathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/aggregator/state/as4 YANG schema element.
type Bgp_Rib_AttrSet_Aggregator_As4PathAny struct {
	*ygot.NodePath
}

// Address returns from Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "address".
func (n *Bgp_Rib_AttrSet_AggregatorPath) Address() *Bgp_Rib_AttrSet_Aggregator_AddressPath {
	return &Bgp_Rib_AttrSet_Aggregator_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "address".
func (n *Bgp_Rib_AttrSet_AggregatorPathAny) Address() *Bgp_Rib_AttrSet_Aggregator_AddressPathAny {
	return &Bgp_Rib_AttrSet_Aggregator_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "as".
func (n *Bgp_Rib_AttrSet_AggregatorPath) As() *Bgp_Rib_AttrSet_Aggregator_AsPath {
	return &Bgp_Rib_AttrSet_Aggregator_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "as".
func (n *Bgp_Rib_AttrSet_AggregatorPathAny) As() *Bgp_Rib_AttrSet_Aggregator_AsPathAny {
	return &Bgp_Rib_AttrSet_Aggregator_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As4 returns from Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "as4".
func (n *Bgp_Rib_AttrSet_AggregatorPath) As4() *Bgp_Rib_AttrSet_Aggregator_As4Path {
	return &Bgp_Rib_AttrSet_Aggregator_As4Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as4"},
			map[string]interface{}{},
			n,
		),
	}
}

// As4 returns from Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "as4".
func (n *Bgp_Rib_AttrSet_AggregatorPathAny) As4() *Bgp_Rib_AttrSet_Aggregator_As4PathAny {
	return &Bgp_Rib_AttrSet_Aggregator_As4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_As4SegmentPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment YANG schema element.
type Bgp_Rib_AttrSet_As4SegmentPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_As4SegmentPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment YANG schema element.
type Bgp_Rib_AttrSet_As4SegmentPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_As4Segment_MemberPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/member YANG schema element.
type Bgp_Rib_AttrSet_As4Segment_MemberPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_As4Segment_MemberPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/member YANG schema element.
type Bgp_Rib_AttrSet_As4Segment_MemberPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_As4Segment_TypePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_As4Segment_TypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_As4Segment_TypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_As4Segment_TypePathAny struct {
	*ygot.NodePath
}

// Member returns from Bgp_Rib_AttrSet_As4SegmentPath the path struct for its child "member".
func (n *Bgp_Rib_AttrSet_As4SegmentPath) Member() *Bgp_Rib_AttrSet_As4Segment_MemberPath {
	return &Bgp_Rib_AttrSet_As4Segment_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from Bgp_Rib_AttrSet_As4SegmentPathAny the path struct for its child "member".
func (n *Bgp_Rib_AttrSet_As4SegmentPathAny) Member() *Bgp_Rib_AttrSet_As4Segment_MemberPathAny {
	return &Bgp_Rib_AttrSet_As4Segment_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_As4SegmentPath the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_As4SegmentPath) Type() *Bgp_Rib_AttrSet_As4Segment_TypePath {
	return &Bgp_Rib_AttrSet_As4Segment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_As4SegmentPathAny the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_As4SegmentPathAny) Type() *Bgp_Rib_AttrSet_As4Segment_TypePathAny {
	return &Bgp_Rib_AttrSet_As4Segment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_AsSegmentPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment YANG schema element.
type Bgp_Rib_AttrSet_AsSegmentPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AsSegmentPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment YANG schema element.
type Bgp_Rib_AttrSet_AsSegmentPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AsSegment_MemberPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/member YANG schema element.
type Bgp_Rib_AttrSet_AsSegment_MemberPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AsSegment_MemberPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/member YANG schema element.
type Bgp_Rib_AttrSet_AsSegment_MemberPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AsSegment_TypePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_AsSegment_TypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_AsSegment_TypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_AsSegment_TypePathAny struct {
	*ygot.NodePath
}

// Member returns from Bgp_Rib_AttrSet_AsSegmentPath the path struct for its child "member".
func (n *Bgp_Rib_AttrSet_AsSegmentPath) Member() *Bgp_Rib_AttrSet_AsSegment_MemberPath {
	return &Bgp_Rib_AttrSet_AsSegment_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from Bgp_Rib_AttrSet_AsSegmentPathAny the path struct for its child "member".
func (n *Bgp_Rib_AttrSet_AsSegmentPathAny) Member() *Bgp_Rib_AttrSet_AsSegment_MemberPathAny {
	return &Bgp_Rib_AttrSet_AsSegment_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_AsSegmentPath the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_AsSegmentPath) Type() *Bgp_Rib_AttrSet_AsSegment_TypePath {
	return &Bgp_Rib_AttrSet_AsSegment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_AsSegmentPathAny the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_AsSegmentPathAny) Type() *Bgp_Rib_AttrSet_AsSegment_TypePathAny {
	return &Bgp_Rib_AttrSet_AsSegment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulationPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulationPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulationPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulationPathAny struct {
	*ygot.NodePath
}

// TunnelAny returns from Bgp_Rib_AttrSet_TunnelEncapsulationPath the path struct for its child "tunnel".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulationPath) TunnelAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// TunnelAny returns from Bgp_Rib_AttrSet_TunnelEncapsulationPathAny the path struct for its child "tunnel".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulationPathAny) TunnelAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Tunnel returns from Bgp_Rib_AttrSet_TunnelEncapsulationPath the path struct for its child "tunnel".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE
func (n *Bgp_Rib_AttrSet_TunnelEncapsulationPath) Tunnel(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE) *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Tunnel returns from Bgp_Rib_AttrSet_TunnelEncapsulationPathAny the path struct for its child "tunnel".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE
func (n *Bgp_Rib_AttrSet_TunnelEncapsulationPathAny) Tunnel(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE) *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny struct {
	*ygot.NodePath
}

// SubtlvAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "subtlv".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) SubtlvAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "subtlv".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) SubtlvAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "subtlv".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) Subtlv(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "subtlv".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) Subtlv(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/binding-sid YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/binding-sid YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/colors YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/colors YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/preference YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/preference YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// BindingSid returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "binding-sid".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) BindingSid() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "binding-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// BindingSid returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "binding-sid".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) BindingSid() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "binding-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Colors returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "colors".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Colors() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "colors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Colors returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "colors".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Colors() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "colors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "preference".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Preference() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "preference".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Preference() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteEndpointAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "remote-endpoint".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) RemoteEndpointAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": "*"},
			n,
		),
	}
}

// RemoteEndpointAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "remote-endpoint".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) RemoteEndpointAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": "*"},
			n,
		),
	}
}

// RemoteEndpoint returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "remote-endpoint".
// Endpoint: string
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) RemoteEndpoint(Endpoint string) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": Endpoint},
			n,
		),
	}
}

// RemoteEndpoint returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "remote-endpoint".
// Endpoint: string
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) RemoteEndpoint(Endpoint string) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": Endpoint},
			n,
		),
	}
}

// SegmentListAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "segment-list".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) SegmentListAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// SegmentListAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "segment-list".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) SegmentListAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// SegmentList returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "segment-list".
// InstanceId: uint64
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) SegmentList(InstanceId uint64) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// SegmentList returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "segment-list".
// InstanceId: uint64
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) SegmentList(InstanceId uint64) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/as YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/as YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/endpoint YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/endpoint YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny struct {
	*ygot.NodePath
}

// As returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath the path struct for its child "as".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath) As() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny the path struct for its child "as".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny) As() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath the path struct for its child "endpoint".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath) Endpoint() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny the path struct for its child "endpoint".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny) Endpoint() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/instance-id YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/instance-id YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/weight YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/weight YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny struct {
	*ygot.NodePath
}

// InstanceId returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "instance-id".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) InstanceId() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceId returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "instance-id".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) InstanceId() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "segment".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) SegmentAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// SegmentAny returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "segment".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) SegmentAny() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Segment returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "segment".
// Index: uint64
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) Segment(Index uint64) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Segment returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "segment".
// Index: uint64
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) Segment(Index uint64) *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Weight returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "weight".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) Weight() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "weight".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) Weight() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/index YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/index YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-interface-id YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-interface-id YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv4-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv4-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv6-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv6-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-bos YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-bos YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-tc YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-tc YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-ttl YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-ttl YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv4-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv4-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv6-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv6-address YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/sid YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/sid YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath represents the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath struct {
	*ygot.NodePath
}

// Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/type YANG schema element.
type Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny struct {
	*ygot.NodePath
}

// Index returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "index".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Index() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "index".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Index() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalInterfaceId returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-interface-id".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalInterfaceId() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalInterfaceId returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-interface-id".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalInterfaceId() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv4Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-ipv4-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalIpv4Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv4Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-ipv4-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalIpv4Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-ipv6-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalIpv6Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-ipv6-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalIpv6Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsBos returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-bos".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsBos() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-bos"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsBos returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-bos".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsBos() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-bos"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-tc".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsTc() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-tc".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsTc() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-ttl".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsTtl() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-ttl".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsTtl() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv4Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "remote-ipv4-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) RemoteIpv4Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv4Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "remote-ipv4-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) RemoteIpv4Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv6Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "remote-ipv6-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) RemoteIpv6Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv6Address returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "remote-ipv6-address".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) RemoteIpv6Address() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sid returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "sid".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Sid() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sid returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "sid".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Sid() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "type".
func (n *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Type() *Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny {
	return &Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_CommunityPath represents the /openconfig-bgp/bgp/rib/communities/community YANG schema element.
type Bgp_Rib_CommunityPath struct {
	*ygot.NodePath
}

// Bgp_Rib_CommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/communities/community YANG schema element.
type Bgp_Rib_CommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_Community_CommunityPath represents the /openconfig-bgp/bgp/rib/communities/community/state/community YANG schema element.
type Bgp_Rib_Community_CommunityPath struct {
	*ygot.NodePath
}

// Bgp_Rib_Community_CommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/communities/community/state/community YANG schema element.
type Bgp_Rib_Community_CommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_Community_IndexPath represents the /openconfig-bgp/bgp/rib/communities/community/state/index YANG schema element.
type Bgp_Rib_Community_IndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_Community_IndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/communities/community/state/index YANG schema element.
type Bgp_Rib_Community_IndexPathAny struct {
	*ygot.NodePath
}

// Community returns from Bgp_Rib_CommunityPath the path struct for its child "community".
func (n *Bgp_Rib_CommunityPath) Community() *Bgp_Rib_Community_CommunityPath {
	return &Bgp_Rib_Community_CommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Community returns from Bgp_Rib_CommunityPathAny the path struct for its child "community".
func (n *Bgp_Rib_CommunityPathAny) Community() *Bgp_Rib_Community_CommunityPathAny {
	return &Bgp_Rib_Community_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_CommunityPath the path struct for its child "index".
func (n *Bgp_Rib_CommunityPath) Index() *Bgp_Rib_Community_IndexPath {
	return &Bgp_Rib_Community_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_CommunityPathAny the path struct for its child "index".
func (n *Bgp_Rib_CommunityPathAny) Index() *Bgp_Rib_Community_IndexPathAny {
	return &Bgp_Rib_Community_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp_Rib_ExtCommunityPath represents the /openconfig-bgp/bgp/rib/ext-communities/ext-community YANG schema element.
type Bgp_Rib_ExtCommunityPath struct {
	*ygot.NodePath
}

// Bgp_Rib_ExtCommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/ext-communities/ext-community YANG schema element.
type Bgp_Rib_ExtCommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_ExtCommunity_ExtCommunityPath represents the /openconfig-bgp/bgp/rib/ext-communities/ext-community/state/ext-community YANG schema element.
type Bgp_Rib_ExtCommunity_ExtCommunityPath struct {
	*ygot.NodePath
}

// Bgp_Rib_ExtCommunity_ExtCommunityPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/ext-communities/ext-community/state/ext-community YANG schema element.
type Bgp_Rib_ExtCommunity_ExtCommunityPathAny struct {
	*ygot.NodePath
}

// Bgp_Rib_ExtCommunity_IndexPath represents the /openconfig-bgp/bgp/rib/ext-communities/ext-community/state/index YANG schema element.
type Bgp_Rib_ExtCommunity_IndexPath struct {
	*ygot.NodePath
}

// Bgp_Rib_ExtCommunity_IndexPathAny represents the wildcard version of the /openconfig-bgp/bgp/rib/ext-communities/ext-community/state/index YANG schema element.
type Bgp_Rib_ExtCommunity_IndexPathAny struct {
	*ygot.NodePath
}

// ExtCommunity returns from Bgp_Rib_ExtCommunityPath the path struct for its child "ext-community".
func (n *Bgp_Rib_ExtCommunityPath) ExtCommunity() *Bgp_Rib_ExtCommunity_ExtCommunityPath {
	return &Bgp_Rib_ExtCommunity_ExtCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunity returns from Bgp_Rib_ExtCommunityPathAny the path struct for its child "ext-community".
func (n *Bgp_Rib_ExtCommunityPathAny) ExtCommunity() *Bgp_Rib_ExtCommunity_ExtCommunityPathAny {
	return &Bgp_Rib_ExtCommunity_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_ExtCommunityPath the path struct for its child "index".
func (n *Bgp_Rib_ExtCommunityPath) Index() *Bgp_Rib_ExtCommunity_IndexPath {
	return &Bgp_Rib_ExtCommunity_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Bgp_Rib_ExtCommunityPathAny the path struct for its child "index".
func (n *Bgp_Rib_ExtCommunityPathAny) Index() *Bgp_Rib_ExtCommunity_IndexPathAny {
	return &Bgp_Rib_ExtCommunity_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ComponentPath represents the /openconfig-platform/components/component YANG schema element.
type ComponentPath struct {
	*ygot.NodePath
}

// ComponentPathAny represents the wildcard version of the /openconfig-platform/components/component YANG schema element.
type ComponentPathAny struct {
	*ygot.NodePath
}

// Component_AllocatedPowerPath represents the /openconfig-platform/components/component/state/allocated-power YANG schema element.
type Component_AllocatedPowerPath struct {
	*ygot.NodePath
}

// Component_AllocatedPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/state/allocated-power YANG schema element.
type Component_AllocatedPowerPathAny struct {
	*ygot.NodePath
}

// Component_DescriptionPath represents the /openconfig-platform/components/component/state/description YANG schema element.
type Component_DescriptionPath struct {
	*ygot.NodePath
}

// Component_DescriptionPathAny represents the wildcard version of the /openconfig-platform/components/component/state/description YANG schema element.
type Component_DescriptionPathAny struct {
	*ygot.NodePath
}

// Component_EmptyPath represents the /openconfig-platform/components/component/state/empty YANG schema element.
type Component_EmptyPath struct {
	*ygot.NodePath
}

// Component_EmptyPathAny represents the wildcard version of the /openconfig-platform/components/component/state/empty YANG schema element.
type Component_EmptyPathAny struct {
	*ygot.NodePath
}

// Component_EquipmentFailurePath represents the /openconfig-platform/components/component/state/equipment-failure YANG schema element.
type Component_EquipmentFailurePath struct {
	*ygot.NodePath
}

// Component_EquipmentFailurePathAny represents the wildcard version of the /openconfig-platform/components/component/state/equipment-failure YANG schema element.
type Component_EquipmentFailurePathAny struct {
	*ygot.NodePath
}

// Component_EquipmentMismatchPath represents the /openconfig-platform/components/component/state/equipment-mismatch YANG schema element.
type Component_EquipmentMismatchPath struct {
	*ygot.NodePath
}

// Component_EquipmentMismatchPathAny represents the wildcard version of the /openconfig-platform/components/component/state/equipment-mismatch YANG schema element.
type Component_EquipmentMismatchPathAny struct {
	*ygot.NodePath
}

// Component_FirmwareVersionPath represents the /openconfig-platform/components/component/state/firmware-version YANG schema element.
type Component_FirmwareVersionPath struct {
	*ygot.NodePath
}

// Component_FirmwareVersionPathAny represents the wildcard version of the /openconfig-platform/components/component/state/firmware-version YANG schema element.
type Component_FirmwareVersionPathAny struct {
	*ygot.NodePath
}

// Component_HardwareVersionPath represents the /openconfig-platform/components/component/state/hardware-version YANG schema element.
type Component_HardwareVersionPath struct {
	*ygot.NodePath
}

// Component_HardwareVersionPathAny represents the wildcard version of the /openconfig-platform/components/component/state/hardware-version YANG schema element.
type Component_HardwareVersionPathAny struct {
	*ygot.NodePath
}

// Component_IdPath represents the /openconfig-platform/components/component/state/id YANG schema element.
type Component_IdPath struct {
	*ygot.NodePath
}

// Component_IdPathAny represents the wildcard version of the /openconfig-platform/components/component/state/id YANG schema element.
type Component_IdPathAny struct {
	*ygot.NodePath
}

// Component_LocationPath represents the /openconfig-platform/components/component/state/location YANG schema element.
type Component_LocationPath struct {
	*ygot.NodePath
}

// Component_LocationPathAny represents the wildcard version of the /openconfig-platform/components/component/state/location YANG schema element.
type Component_LocationPathAny struct {
	*ygot.NodePath
}

// Component_MfgDatePath represents the /openconfig-platform/components/component/state/mfg-date YANG schema element.
type Component_MfgDatePath struct {
	*ygot.NodePath
}

// Component_MfgDatePathAny represents the wildcard version of the /openconfig-platform/components/component/state/mfg-date YANG schema element.
type Component_MfgDatePathAny struct {
	*ygot.NodePath
}

// Component_MfgNamePath represents the /openconfig-platform/components/component/state/mfg-name YANG schema element.
type Component_MfgNamePath struct {
	*ygot.NodePath
}

// Component_MfgNamePathAny represents the wildcard version of the /openconfig-platform/components/component/state/mfg-name YANG schema element.
type Component_MfgNamePathAny struct {
	*ygot.NodePath
}

// Component_NamePath represents the /openconfig-platform/components/component/config/name YANG schema element.
type Component_NamePath struct {
	*ygot.NodePath
}

// Component_NamePathAny represents the wildcard version of the /openconfig-platform/components/component/config/name YANG schema element.
type Component_NamePathAny struct {
	*ygot.NodePath
}

// Component_OperStatusPath represents the /openconfig-platform/components/component/state/oper-status YANG schema element.
type Component_OperStatusPath struct {
	*ygot.NodePath
}

// Component_OperStatusPathAny represents the wildcard version of the /openconfig-platform/components/component/state/oper-status YANG schema element.
type Component_OperStatusPathAny struct {
	*ygot.NodePath
}

// Component_ParentPath represents the /openconfig-platform/components/component/state/parent YANG schema element.
type Component_ParentPath struct {
	*ygot.NodePath
}

// Component_ParentPathAny represents the wildcard version of the /openconfig-platform/components/component/state/parent YANG schema element.
type Component_ParentPathAny struct {
	*ygot.NodePath
}

// Component_PartNoPath represents the /openconfig-platform/components/component/state/part-no YANG schema element.
type Component_PartNoPath struct {
	*ygot.NodePath
}

// Component_PartNoPathAny represents the wildcard version of the /openconfig-platform/components/component/state/part-no YANG schema element.
type Component_PartNoPathAny struct {
	*ygot.NodePath
}

// Component_RemovablePath represents the /openconfig-platform/components/component/state/removable YANG schema element.
type Component_RemovablePath struct {
	*ygot.NodePath
}

// Component_RemovablePathAny represents the wildcard version of the /openconfig-platform/components/component/state/removable YANG schema element.
type Component_RemovablePathAny struct {
	*ygot.NodePath
}

// Component_SerialNoPath represents the /openconfig-platform/components/component/state/serial-no YANG schema element.
type Component_SerialNoPath struct {
	*ygot.NodePath
}

// Component_SerialNoPathAny represents the wildcard version of the /openconfig-platform/components/component/state/serial-no YANG schema element.
type Component_SerialNoPathAny struct {
	*ygot.NodePath
}

// Component_SoftwareVersionPath represents the /openconfig-platform/components/component/state/software-version YANG schema element.
type Component_SoftwareVersionPath struct {
	*ygot.NodePath
}

// Component_SoftwareVersionPathAny represents the wildcard version of the /openconfig-platform/components/component/state/software-version YANG schema element.
type Component_SoftwareVersionPathAny struct {
	*ygot.NodePath
}

// Component_TypePath represents the /openconfig-platform/components/component/state/type YANG schema element.
type Component_TypePath struct {
	*ygot.NodePath
}

// Component_TypePathAny represents the wildcard version of the /openconfig-platform/components/component/state/type YANG schema element.
type Component_TypePathAny struct {
	*ygot.NodePath
}

// Component_UsedPowerPath represents the /openconfig-platform/components/component/state/used-power YANG schema element.
type Component_UsedPowerPath struct {
	*ygot.NodePath
}

// Component_UsedPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/state/used-power YANG schema element.
type Component_UsedPowerPathAny struct {
	*ygot.NodePath
}

// AllocatedPower returns from ComponentPath the path struct for its child "allocated-power".
func (n *ComponentPath) AllocatedPower() *Component_AllocatedPowerPath {
	return &Component_AllocatedPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "allocated-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllocatedPower returns from ComponentPathAny the path struct for its child "allocated-power".
func (n *ComponentPathAny) AllocatedPower() *Component_AllocatedPowerPathAny {
	return &Component_AllocatedPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "allocated-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Backplane returns from ComponentPath the path struct for its child "backplane".
func (n *ComponentPath) Backplane() *Component_BackplanePath {
	return &Component_BackplanePath{
		NodePath: ygot.NewNodePath(
			[]string{"backplane"},
			map[string]interface{}{},
			n,
		),
	}
}

// Backplane returns from ComponentPathAny the path struct for its child "backplane".
func (n *ComponentPathAny) Backplane() *Component_BackplanePathAny {
	return &Component_BackplanePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"backplane"},
			map[string]interface{}{},
			n,
		),
	}
}

// Chassis returns from ComponentPath the path struct for its child "chassis".
func (n *ComponentPath) Chassis() *Component_ChassisPath {
	return &Component_ChassisPath{
		NodePath: ygot.NewNodePath(
			[]string{"chassis"},
			map[string]interface{}{},
			n,
		),
	}
}

// Chassis returns from ComponentPathAny the path struct for its child "chassis".
func (n *ComponentPathAny) Chassis() *Component_ChassisPathAny {
	return &Component_ChassisPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"chassis"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cpu returns from ComponentPath the path struct for its child "cpu".
func (n *ComponentPath) Cpu() *Component_CpuPath {
	return &Component_CpuPath{
		NodePath: ygot.NewNodePath(
			[]string{"cpu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cpu returns from ComponentPathAny the path struct for its child "cpu".
func (n *ComponentPathAny) Cpu() *Component_CpuPathAny {
	return &Component_CpuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"cpu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from ComponentPath the path struct for its child "description".
func (n *ComponentPath) Description() *Component_DescriptionPath {
	return &Component_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from ComponentPathAny the path struct for its child "description".
func (n *ComponentPathAny) Description() *Component_DescriptionPathAny {
	return &Component_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Empty returns from ComponentPath the path struct for its child "empty".
func (n *ComponentPath) Empty() *Component_EmptyPath {
	return &Component_EmptyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "empty"},
			map[string]interface{}{},
			n,
		),
	}
}

// Empty returns from ComponentPathAny the path struct for its child "empty".
func (n *ComponentPathAny) Empty() *Component_EmptyPathAny {
	return &Component_EmptyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "empty"},
			map[string]interface{}{},
			n,
		),
	}
}

// EquipmentFailure returns from ComponentPath the path struct for its child "equipment-failure".
func (n *ComponentPath) EquipmentFailure() *Component_EquipmentFailurePath {
	return &Component_EquipmentFailurePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "equipment-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// EquipmentFailure returns from ComponentPathAny the path struct for its child "equipment-failure".
func (n *ComponentPathAny) EquipmentFailure() *Component_EquipmentFailurePathAny {
	return &Component_EquipmentFailurePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "equipment-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// EquipmentMismatch returns from ComponentPath the path struct for its child "equipment-mismatch".
func (n *ComponentPath) EquipmentMismatch() *Component_EquipmentMismatchPath {
	return &Component_EquipmentMismatchPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "equipment-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// EquipmentMismatch returns from ComponentPathAny the path struct for its child "equipment-mismatch".
func (n *ComponentPathAny) EquipmentMismatch() *Component_EquipmentMismatchPathAny {
	return &Component_EquipmentMismatchPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "equipment-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fabric returns from ComponentPath the path struct for its child "fabric".
func (n *ComponentPath) Fabric() *Component_FabricPath {
	return &Component_FabricPath{
		NodePath: ygot.NewNodePath(
			[]string{"fabric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fabric returns from ComponentPathAny the path struct for its child "fabric".
func (n *ComponentPathAny) Fabric() *Component_FabricPathAny {
	return &Component_FabricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"fabric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fan returns from ComponentPath the path struct for its child "fan".
func (n *ComponentPath) Fan() *Component_FanPath {
	return &Component_FanPath{
		NodePath: ygot.NewNodePath(
			[]string{"fan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fan returns from ComponentPathAny the path struct for its child "fan".
func (n *ComponentPathAny) Fan() *Component_FanPathAny {
	return &Component_FanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"fan"},
			map[string]interface{}{},
			n,
		),
	}
}

// FirmwareVersion returns from ComponentPath the path struct for its child "firmware-version".
func (n *ComponentPath) FirmwareVersion() *Component_FirmwareVersionPath {
	return &Component_FirmwareVersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "firmware-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// FirmwareVersion returns from ComponentPathAny the path struct for its child "firmware-version".
func (n *ComponentPathAny) FirmwareVersion() *Component_FirmwareVersionPathAny {
	return &Component_FirmwareVersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "firmware-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// HardwareVersion returns from ComponentPath the path struct for its child "hardware-version".
func (n *ComponentPath) HardwareVersion() *Component_HardwareVersionPath {
	return &Component_HardwareVersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// HardwareVersion returns from ComponentPathAny the path struct for its child "hardware-version".
func (n *ComponentPathAny) HardwareVersion() *Component_HardwareVersionPathAny {
	return &Component_HardwareVersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from ComponentPath the path struct for its child "id".
func (n *ComponentPath) Id() *Component_IdPath {
	return &Component_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from ComponentPathAny the path struct for its child "id".
func (n *ComponentPathAny) Id() *Component_IdPathAny {
	return &Component_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IntegratedCircuit returns from ComponentPath the path struct for its child "integrated-circuit".
func (n *ComponentPath) IntegratedCircuit() *Component_IntegratedCircuitPath {
	return &Component_IntegratedCircuitPath{
		NodePath: ygot.NewNodePath(
			[]string{"integrated-circuit"},
			map[string]interface{}{},
			n,
		),
	}
}

// IntegratedCircuit returns from ComponentPathAny the path struct for its child "integrated-circuit".
func (n *ComponentPathAny) IntegratedCircuit() *Component_IntegratedCircuitPathAny {
	return &Component_IntegratedCircuitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"integrated-circuit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Location returns from ComponentPath the path struct for its child "location".
func (n *ComponentPath) Location() *Component_LocationPath {
	return &Component_LocationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "location"},
			map[string]interface{}{},
			n,
		),
	}
}

// Location returns from ComponentPathAny the path struct for its child "location".
func (n *ComponentPathAny) Location() *Component_LocationPathAny {
	return &Component_LocationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "location"},
			map[string]interface{}{},
			n,
		),
	}
}

// Memory returns from ComponentPath the path struct for its child "memory".
func (n *ComponentPath) Memory() *Component_MemoryPath {
	return &Component_MemoryPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory"},
			map[string]interface{}{},
			n,
		),
	}
}

// Memory returns from ComponentPathAny the path struct for its child "memory".
func (n *ComponentPathAny) Memory() *Component_MemoryPathAny {
	return &Component_MemoryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory"},
			map[string]interface{}{},
			n,
		),
	}
}

// MfgDate returns from ComponentPath the path struct for its child "mfg-date".
func (n *ComponentPath) MfgDate() *Component_MfgDatePath {
	return &Component_MfgDatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mfg-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// MfgDate returns from ComponentPathAny the path struct for its child "mfg-date".
func (n *ComponentPathAny) MfgDate() *Component_MfgDatePathAny {
	return &Component_MfgDatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mfg-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// MfgName returns from ComponentPath the path struct for its child "mfg-name".
func (n *ComponentPath) MfgName() *Component_MfgNamePath {
	return &Component_MfgNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mfg-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// MfgName returns from ComponentPathAny the path struct for its child "mfg-name".
func (n *ComponentPathAny) MfgName() *Component_MfgNamePathAny {
	return &Component_MfgNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mfg-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from ComponentPath the path struct for its child "name".
func (n *ComponentPath) Name() *Component_NamePath {
	return &Component_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from ComponentPathAny the path struct for its child "name".
func (n *ComponentPathAny) Name() *Component_NamePathAny {
	return &Component_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from ComponentPath the path struct for its child "oper-status".
func (n *ComponentPath) OperStatus() *Component_OperStatusPath {
	return &Component_OperStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from ComponentPathAny the path struct for its child "oper-status".
func (n *ComponentPathAny) OperStatus() *Component_OperStatusPathAny {
	return &Component_OperStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalChannel returns from ComponentPath the path struct for its child "optical-channel".
func (n *ComponentPath) OpticalChannel() *Component_OpticalChannelPath {
	return &Component_OpticalChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"optical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalChannel returns from ComponentPathAny the path struct for its child "optical-channel".
func (n *ComponentPathAny) OpticalChannel() *Component_OpticalChannelPathAny {
	return &Component_OpticalChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"optical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// Parent returns from ComponentPath the path struct for its child "parent".
func (n *ComponentPath) Parent() *Component_ParentPath {
	return &Component_ParentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "parent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Parent returns from ComponentPathAny the path struct for its child "parent".
func (n *ComponentPathAny) Parent() *Component_ParentPathAny {
	return &Component_ParentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "parent"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartNo returns from ComponentPath the path struct for its child "part-no".
func (n *ComponentPath) PartNo() *Component_PartNoPath {
	return &Component_PartNoPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "part-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartNo returns from ComponentPathAny the path struct for its child "part-no".
func (n *ComponentPathAny) PartNo() *Component_PartNoPathAny {
	return &Component_PartNoPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "part-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from ComponentPath the path struct for its child "port".
func (n *ComponentPath) Port() *Component_PortPath {
	return &Component_PortPath{
		NodePath: ygot.NewNodePath(
			[]string{"port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from ComponentPathAny the path struct for its child "port".
func (n *ComponentPathAny) Port() *Component_PortPathAny {
	return &Component_PortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"port"},
			map[string]interface{}{},
			n,
		),
	}
}

// PowerSupply returns from ComponentPath the path struct for its child "power-supply".
func (n *ComponentPath) PowerSupply() *Component_PowerSupplyPath {
	return &Component_PowerSupplyPath{
		NodePath: ygot.NewNodePath(
			[]string{"power-supply"},
			map[string]interface{}{},
			n,
		),
	}
}

// PowerSupply returns from ComponentPathAny the path struct for its child "power-supply".
func (n *ComponentPathAny) PowerSupply() *Component_PowerSupplyPathAny {
	return &Component_PowerSupplyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"power-supply"},
			map[string]interface{}{},
			n,
		),
	}
}

// PropertyAny returns from ComponentPath the path struct for its child "property".
func (n *ComponentPath) PropertyAny() *Component_PropertyPathAny {
	return &Component_PropertyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"properties", "property"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// PropertyAny returns from ComponentPathAny the path struct for its child "property".
func (n *ComponentPathAny) PropertyAny() *Component_PropertyPathAny {
	return &Component_PropertyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"properties", "property"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Property returns from ComponentPath the path struct for its child "property".
// Name: string
func (n *ComponentPath) Property(Name string) *Component_PropertyPath {
	return &Component_PropertyPath{
		NodePath: ygot.NewNodePath(
			[]string{"properties", "property"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Property returns from ComponentPathAny the path struct for its child "property".
// Name: string
func (n *ComponentPathAny) Property(Name string) *Component_PropertyPathAny {
	return &Component_PropertyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"properties", "property"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Removable returns from ComponentPath the path struct for its child "removable".
func (n *ComponentPath) Removable() *Component_RemovablePath {
	return &Component_RemovablePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "removable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Removable returns from ComponentPathAny the path struct for its child "removable".
func (n *ComponentPathAny) Removable() *Component_RemovablePathAny {
	return &Component_RemovablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "removable"},
			map[string]interface{}{},
			n,
		),
	}
}

// SerialNo returns from ComponentPath the path struct for its child "serial-no".
func (n *ComponentPath) SerialNo() *Component_SerialNoPath {
	return &Component_SerialNoPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "serial-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// SerialNo returns from ComponentPathAny the path struct for its child "serial-no".
func (n *ComponentPathAny) SerialNo() *Component_SerialNoPathAny {
	return &Component_SerialNoPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "serial-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftwareVersion returns from ComponentPath the path struct for its child "software-version".
func (n *ComponentPath) SoftwareVersion() *Component_SoftwareVersionPath {
	return &Component_SoftwareVersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "software-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftwareVersion returns from ComponentPathAny the path struct for its child "software-version".
func (n *ComponentPathAny) SoftwareVersion() *Component_SoftwareVersionPathAny {
	return &Component_SoftwareVersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "software-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Storage returns from ComponentPath the path struct for its child "storage".
func (n *ComponentPath) Storage() *Component_StoragePath {
	return &Component_StoragePath{
		NodePath: ygot.NewNodePath(
			[]string{"storage"},
			map[string]interface{}{},
			n,
		),
	}
}

// Storage returns from ComponentPathAny the path struct for its child "storage".
func (n *ComponentPathAny) Storage() *Component_StoragePathAny {
	return &Component_StoragePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"storage"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubcomponentAny returns from ComponentPath the path struct for its child "subcomponent".
func (n *ComponentPath) SubcomponentAny() *Component_SubcomponentPathAny {
	return &Component_SubcomponentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subcomponents", "subcomponent"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// SubcomponentAny returns from ComponentPathAny the path struct for its child "subcomponent".
func (n *ComponentPathAny) SubcomponentAny() *Component_SubcomponentPathAny {
	return &Component_SubcomponentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subcomponents", "subcomponent"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Subcomponent returns from ComponentPath the path struct for its child "subcomponent".
// Name: string
func (n *ComponentPath) Subcomponent(Name string) *Component_SubcomponentPath {
	return &Component_SubcomponentPath{
		NodePath: ygot.NewNodePath(
			[]string{"subcomponents", "subcomponent"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Subcomponent returns from ComponentPathAny the path struct for its child "subcomponent".
// Name: string
func (n *ComponentPathAny) Subcomponent(Name string) *Component_SubcomponentPathAny {
	return &Component_SubcomponentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subcomponents", "subcomponent"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Temperature returns from ComponentPath the path struct for its child "temperature".
func (n *ComponentPath) Temperature() *Component_TemperaturePath {
	return &Component_TemperaturePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "temperature"},
			map[string]interface{}{},
			n,
		),
	}
}

// Temperature returns from ComponentPathAny the path struct for its child "temperature".
func (n *ComponentPathAny) Temperature() *Component_TemperaturePathAny {
	return &Component_TemperaturePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "temperature"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from ComponentPath the path struct for its child "transceiver".
func (n *ComponentPath) Transceiver() *Component_TransceiverPath {
	return &Component_TransceiverPath{
		NodePath: ygot.NewNodePath(
			[]string{"transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from ComponentPathAny the path struct for its child "transceiver".
func (n *ComponentPathAny) Transceiver() *Component_TransceiverPathAny {
	return &Component_TransceiverPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from ComponentPath the path struct for its child "type".
func (n *ComponentPath) Type() *Component_TypePath {
	return &Component_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from ComponentPathAny the path struct for its child "type".
func (n *ComponentPathAny) Type() *Component_TypePathAny {
	return &Component_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UsedPower returns from ComponentPath the path struct for its child "used-power".
func (n *ComponentPath) UsedPower() *Component_UsedPowerPath {
	return &Component_UsedPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "used-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// UsedPower returns from ComponentPathAny the path struct for its child "used-power".
func (n *ComponentPathAny) UsedPower() *Component_UsedPowerPathAny {
	return &Component_UsedPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "used-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_BackplanePath represents the /openconfig-platform/components/component/backplane YANG schema element.
type Component_BackplanePath struct {
	*ygot.NodePath
}

// Component_BackplanePathAny represents the wildcard version of the /openconfig-platform/components/component/backplane YANG schema element.
type Component_BackplanePathAny struct {
	*ygot.NodePath
}

// Component_ChassisPath represents the /openconfig-platform/components/component/chassis YANG schema element.
type Component_ChassisPath struct {
	*ygot.NodePath
}

// Component_ChassisPathAny represents the wildcard version of the /openconfig-platform/components/component/chassis YANG schema element.
type Component_ChassisPathAny struct {
	*ygot.NodePath
}

// Component_CpuPath represents the /openconfig-platform/components/component/cpu YANG schema element.
type Component_CpuPath struct {
	*ygot.NodePath
}

// Component_CpuPathAny represents the wildcard version of the /openconfig-platform/components/component/cpu YANG schema element.
type Component_CpuPathAny struct {
	*ygot.NodePath
}

// Component_FabricPath represents the /openconfig-platform/components/component/fabric YANG schema element.
type Component_FabricPath struct {
	*ygot.NodePath
}

// Component_FabricPathAny represents the wildcard version of the /openconfig-platform/components/component/fabric YANG schema element.
type Component_FabricPathAny struct {
	*ygot.NodePath
}

// Component_FanPath represents the /openconfig-platform/components/component/fan YANG schema element.
type Component_FanPath struct {
	*ygot.NodePath
}

// Component_FanPathAny represents the wildcard version of the /openconfig-platform/components/component/fan YANG schema element.
type Component_FanPathAny struct {
	*ygot.NodePath
}

// Component_IntegratedCircuitPath represents the /openconfig-platform/components/component/integrated-circuit YANG schema element.
type Component_IntegratedCircuitPath struct {
	*ygot.NodePath
}

// Component_IntegratedCircuitPathAny represents the wildcard version of the /openconfig-platform/components/component/integrated-circuit YANG schema element.
type Component_IntegratedCircuitPathAny struct {
	*ygot.NodePath
}

// Component_MemoryPath represents the /openconfig-platform/components/component/state/memory YANG schema element.
type Component_MemoryPath struct {
	*ygot.NodePath
}

// Component_MemoryPathAny represents the wildcard version of the /openconfig-platform/components/component/state/memory YANG schema element.
type Component_MemoryPathAny struct {
	*ygot.NodePath
}

// Component_Memory_AvailablePath represents the /openconfig-platform/components/component/state/memory/available YANG schema element.
type Component_Memory_AvailablePath struct {
	*ygot.NodePath
}

// Component_Memory_AvailablePathAny represents the wildcard version of the /openconfig-platform/components/component/state/memory/available YANG schema element.
type Component_Memory_AvailablePathAny struct {
	*ygot.NodePath
}

// Component_Memory_UtilizedPath represents the /openconfig-platform/components/component/state/memory/utilized YANG schema element.
type Component_Memory_UtilizedPath struct {
	*ygot.NodePath
}

// Component_Memory_UtilizedPathAny represents the wildcard version of the /openconfig-platform/components/component/state/memory/utilized YANG schema element.
type Component_Memory_UtilizedPathAny struct {
	*ygot.NodePath
}

// Available returns from Component_MemoryPath the path struct for its child "available".
func (n *Component_MemoryPath) Available() *Component_Memory_AvailablePath {
	return &Component_Memory_AvailablePath{
		NodePath: ygot.NewNodePath(
			[]string{"available"},
			map[string]interface{}{},
			n,
		),
	}
}

// Available returns from Component_MemoryPathAny the path struct for its child "available".
func (n *Component_MemoryPathAny) Available() *Component_Memory_AvailablePathAny {
	return &Component_Memory_AvailablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"available"},
			map[string]interface{}{},
			n,
		),
	}
}

// Utilized returns from Component_MemoryPath the path struct for its child "utilized".
func (n *Component_MemoryPath) Utilized() *Component_Memory_UtilizedPath {
	return &Component_Memory_UtilizedPath{
		NodePath: ygot.NewNodePath(
			[]string{"utilized"},
			map[string]interface{}{},
			n,
		),
	}
}

// Utilized returns from Component_MemoryPathAny the path struct for its child "utilized".
func (n *Component_MemoryPathAny) Utilized() *Component_Memory_UtilizedPathAny {
	return &Component_Memory_UtilizedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"utilized"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannelPath represents the /openconfig-platform/components/component/optical-channel YANG schema element.
type Component_OpticalChannelPath struct {
	*ygot.NodePath
}

// Component_OpticalChannelPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel YANG schema element.
type Component_OpticalChannelPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_FrequencyPath represents the /openconfig-platform/components/component/optical-channel/config/frequency YANG schema element.
type Component_OpticalChannel_FrequencyPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_FrequencyPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/config/frequency YANG schema element.
type Component_OpticalChannel_FrequencyPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_GroupIdPath represents the /openconfig-platform/components/component/optical-channel/state/group-id YANG schema element.
type Component_OpticalChannel_GroupIdPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_GroupIdPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/group-id YANG schema element.
type Component_OpticalChannel_GroupIdPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LinePortPath represents the /openconfig-platform/components/component/optical-channel/config/line-port YANG schema element.
type Component_OpticalChannel_LinePortPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LinePortPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/config/line-port YANG schema element.
type Component_OpticalChannel_LinePortPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OperationalModePath represents the /openconfig-platform/components/component/optical-channel/config/operational-mode YANG schema element.
type Component_OpticalChannel_OperationalModePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OperationalModePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/config/operational-mode YANG schema element.
type Component_OpticalChannel_OperationalModePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_TargetOutputPowerPath represents the /openconfig-platform/components/component/optical-channel/config/target-output-power YANG schema element.
type Component_OpticalChannel_TargetOutputPowerPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_TargetOutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/config/target-output-power YANG schema element.
type Component_OpticalChannel_TargetOutputPowerPathAny struct {
	*ygot.NodePath
}

// ChromaticDispersion returns from Component_OpticalChannelPath the path struct for its child "chromatic-dispersion".
func (n *Component_OpticalChannelPath) ChromaticDispersion() *Component_OpticalChannel_ChromaticDispersionPath {
	return &Component_OpticalChannel_ChromaticDispersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chromatic-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChromaticDispersion returns from Component_OpticalChannelPathAny the path struct for its child "chromatic-dispersion".
func (n *Component_OpticalChannelPathAny) ChromaticDispersion() *Component_OpticalChannel_ChromaticDispersionPathAny {
	return &Component_OpticalChannel_ChromaticDispersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chromatic-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// Frequency returns from Component_OpticalChannelPath the path struct for its child "frequency".
func (n *Component_OpticalChannelPath) Frequency() *Component_OpticalChannel_FrequencyPath {
	return &Component_OpticalChannel_FrequencyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// Frequency returns from Component_OpticalChannelPathAny the path struct for its child "frequency".
func (n *Component_OpticalChannelPathAny) Frequency() *Component_OpticalChannel_FrequencyPathAny {
	return &Component_OpticalChannel_FrequencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// GroupId returns from Component_OpticalChannelPath the path struct for its child "group-id".
func (n *Component_OpticalChannelPath) GroupId() *Component_OpticalChannel_GroupIdPath {
	return &Component_OpticalChannel_GroupIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// GroupId returns from Component_OpticalChannelPathAny the path struct for its child "group-id".
func (n *Component_OpticalChannelPathAny) GroupId() *Component_OpticalChannel_GroupIdPathAny {
	return &Component_OpticalChannel_GroupIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_OpticalChannelPath the path struct for its child "input-power".
func (n *Component_OpticalChannelPath) InputPower() *Component_OpticalChannel_InputPowerPath {
	return &Component_OpticalChannel_InputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_OpticalChannelPathAny the path struct for its child "input-power".
func (n *Component_OpticalChannelPathAny) InputPower() *Component_OpticalChannel_InputPowerPathAny {
	return &Component_OpticalChannel_InputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_OpticalChannelPath the path struct for its child "laser-bias-current".
func (n *Component_OpticalChannelPath) LaserBiasCurrent() *Component_OpticalChannel_LaserBiasCurrentPath {
	return &Component_OpticalChannel_LaserBiasCurrentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_OpticalChannelPathAny the path struct for its child "laser-bias-current".
func (n *Component_OpticalChannelPathAny) LaserBiasCurrent() *Component_OpticalChannel_LaserBiasCurrentPathAny {
	return &Component_OpticalChannel_LaserBiasCurrentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePort returns from Component_OpticalChannelPath the path struct for its child "line-port".
func (n *Component_OpticalChannelPath) LinePort() *Component_OpticalChannel_LinePortPath {
	return &Component_OpticalChannel_LinePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "line-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinePort returns from Component_OpticalChannelPathAny the path struct for its child "line-port".
func (n *Component_OpticalChannelPathAny) LinePort() *Component_OpticalChannel_LinePortPathAny {
	return &Component_OpticalChannel_LinePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "line-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperationalMode returns from Component_OpticalChannelPath the path struct for its child "operational-mode".
func (n *Component_OpticalChannelPath) OperationalMode() *Component_OpticalChannel_OperationalModePath {
	return &Component_OpticalChannel_OperationalModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "operational-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperationalMode returns from Component_OpticalChannelPathAny the path struct for its child "operational-mode".
func (n *Component_OpticalChannelPathAny) OperationalMode() *Component_OpticalChannel_OperationalModePathAny {
	return &Component_OpticalChannel_OperationalModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "operational-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_OpticalChannelPath the path struct for its child "output-power".
func (n *Component_OpticalChannelPath) OutputPower() *Component_OpticalChannel_OutputPowerPath {
	return &Component_OpticalChannel_OutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_OpticalChannelPathAny the path struct for its child "output-power".
func (n *Component_OpticalChannelPathAny) OutputPower() *Component_OpticalChannel_OutputPowerPathAny {
	return &Component_OpticalChannel_OutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolarizationDependentLoss returns from Component_OpticalChannelPath the path struct for its child "polarization-dependent-loss".
func (n *Component_OpticalChannelPath) PolarizationDependentLoss() *Component_OpticalChannel_PolarizationDependentLossPath {
	return &Component_OpticalChannel_PolarizationDependentLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "polarization-dependent-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolarizationDependentLoss returns from Component_OpticalChannelPathAny the path struct for its child "polarization-dependent-loss".
func (n *Component_OpticalChannelPathAny) PolarizationDependentLoss() *Component_OpticalChannel_PolarizationDependentLossPathAny {
	return &Component_OpticalChannel_PolarizationDependentLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "polarization-dependent-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolarizationModeDispersion returns from Component_OpticalChannelPath the path struct for its child "polarization-mode-dispersion".
func (n *Component_OpticalChannelPath) PolarizationModeDispersion() *Component_OpticalChannel_PolarizationModeDispersionPath {
	return &Component_OpticalChannel_PolarizationModeDispersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "polarization-mode-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolarizationModeDispersion returns from Component_OpticalChannelPathAny the path struct for its child "polarization-mode-dispersion".
func (n *Component_OpticalChannelPathAny) PolarizationModeDispersion() *Component_OpticalChannel_PolarizationModeDispersionPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "polarization-mode-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondOrderPolarizationModeDispersion returns from Component_OpticalChannelPath the path struct for its child "second-order-polarization-mode-dispersion".
func (n *Component_OpticalChannelPath) SecondOrderPolarizationModeDispersion() *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "second-order-polarization-mode-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondOrderPolarizationModeDispersion returns from Component_OpticalChannelPathAny the path struct for its child "second-order-polarization-mode-dispersion".
func (n *Component_OpticalChannelPathAny) SecondOrderPolarizationModeDispersion() *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "second-order-polarization-mode-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from Component_OpticalChannelPath the path struct for its child "target-output-power".
func (n *Component_OpticalChannelPath) TargetOutputPower() *Component_OpticalChannel_TargetOutputPowerPath {
	return &Component_OpticalChannel_TargetOutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from Component_OpticalChannelPathAny the path struct for its child "target-output-power".
func (n *Component_OpticalChannelPathAny) TargetOutputPower() *Component_OpticalChannel_TargetOutputPowerPathAny {
	return &Component_OpticalChannel_TargetOutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_ChromaticDispersionPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion YANG schema element.
type Component_OpticalChannel_ChromaticDispersionPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersionPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion YANG schema element.
type Component_OpticalChannel_ChromaticDispersionPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/avg YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/avg YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/instant YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/instant YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/interval YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/interval YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/max YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/max YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/max-time YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/max-time YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MinPath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/min YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/min YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/min-time YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_ChromaticDispersion_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/chromatic-dispersion/min-time YANG schema element.
type Component_OpticalChannel_ChromaticDispersion_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "avg".
func (n *Component_OpticalChannel_ChromaticDispersionPath) Avg() *Component_OpticalChannel_ChromaticDispersion_AvgPath {
	return &Component_OpticalChannel_ChromaticDispersion_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) Avg() *Component_OpticalChannel_ChromaticDispersion_AvgPathAny {
	return &Component_OpticalChannel_ChromaticDispersion_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "instant".
func (n *Component_OpticalChannel_ChromaticDispersionPath) Instant() *Component_OpticalChannel_ChromaticDispersion_InstantPath {
	return &Component_OpticalChannel_ChromaticDispersion_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) Instant() *Component_OpticalChannel_ChromaticDispersion_InstantPathAny {
	return &Component_OpticalChannel_ChromaticDispersion_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "interval".
func (n *Component_OpticalChannel_ChromaticDispersionPath) Interval() *Component_OpticalChannel_ChromaticDispersion_IntervalPath {
	return &Component_OpticalChannel_ChromaticDispersion_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) Interval() *Component_OpticalChannel_ChromaticDispersion_IntervalPathAny {
	return &Component_OpticalChannel_ChromaticDispersion_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "max".
func (n *Component_OpticalChannel_ChromaticDispersionPath) Max() *Component_OpticalChannel_ChromaticDispersion_MaxPath {
	return &Component_OpticalChannel_ChromaticDispersion_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) Max() *Component_OpticalChannel_ChromaticDispersion_MaxPathAny {
	return &Component_OpticalChannel_ChromaticDispersion_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_ChromaticDispersionPath) MaxTime() *Component_OpticalChannel_ChromaticDispersion_MaxTimePath {
	return &Component_OpticalChannel_ChromaticDispersion_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) MaxTime() *Component_OpticalChannel_ChromaticDispersion_MaxTimePathAny {
	return &Component_OpticalChannel_ChromaticDispersion_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "min".
func (n *Component_OpticalChannel_ChromaticDispersionPath) Min() *Component_OpticalChannel_ChromaticDispersion_MinPath {
	return &Component_OpticalChannel_ChromaticDispersion_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) Min() *Component_OpticalChannel_ChromaticDispersion_MinPathAny {
	return &Component_OpticalChannel_ChromaticDispersion_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_ChromaticDispersionPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_ChromaticDispersionPath) MinTime() *Component_OpticalChannel_ChromaticDispersion_MinTimePath {
	return &Component_OpticalChannel_ChromaticDispersion_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_ChromaticDispersionPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_ChromaticDispersionPathAny) MinTime() *Component_OpticalChannel_ChromaticDispersion_MinTimePathAny {
	return &Component_OpticalChannel_ChromaticDispersion_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_InputPowerPath represents the /openconfig-platform/components/component/optical-channel/state/input-power YANG schema element.
type Component_OpticalChannel_InputPowerPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power YANG schema element.
type Component_OpticalChannel_InputPowerPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/input-power/avg YANG schema element.
type Component_OpticalChannel_InputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/avg YANG schema element.
type Component_OpticalChannel_InputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/input-power/instant YANG schema element.
type Component_OpticalChannel_InputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/instant YANG schema element.
type Component_OpticalChannel_InputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/input-power/interval YANG schema element.
type Component_OpticalChannel_InputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/interval YANG schema element.
type Component_OpticalChannel_InputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/input-power/max YANG schema element.
type Component_OpticalChannel_InputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/max YANG schema element.
type Component_OpticalChannel_InputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/input-power/max-time YANG schema element.
type Component_OpticalChannel_InputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/max-time YANG schema element.
type Component_OpticalChannel_InputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MinPath represents the /openconfig-platform/components/component/optical-channel/state/input-power/min YANG schema element.
type Component_OpticalChannel_InputPower_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/min YANG schema element.
type Component_OpticalChannel_InputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/input-power/min-time YANG schema element.
type Component_OpticalChannel_InputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_InputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/input-power/min-time YANG schema element.
type Component_OpticalChannel_InputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_InputPowerPath the path struct for its child "avg".
func (n *Component_OpticalChannel_InputPowerPath) Avg() *Component_OpticalChannel_InputPower_AvgPath {
	return &Component_OpticalChannel_InputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_InputPowerPathAny) Avg() *Component_OpticalChannel_InputPower_AvgPathAny {
	return &Component_OpticalChannel_InputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_InputPowerPath the path struct for its child "instant".
func (n *Component_OpticalChannel_InputPowerPath) Instant() *Component_OpticalChannel_InputPower_InstantPath {
	return &Component_OpticalChannel_InputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_InputPowerPathAny) Instant() *Component_OpticalChannel_InputPower_InstantPathAny {
	return &Component_OpticalChannel_InputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_InputPowerPath the path struct for its child "interval".
func (n *Component_OpticalChannel_InputPowerPath) Interval() *Component_OpticalChannel_InputPower_IntervalPath {
	return &Component_OpticalChannel_InputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_InputPowerPathAny) Interval() *Component_OpticalChannel_InputPower_IntervalPathAny {
	return &Component_OpticalChannel_InputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_InputPowerPath the path struct for its child "max".
func (n *Component_OpticalChannel_InputPowerPath) Max() *Component_OpticalChannel_InputPower_MaxPath {
	return &Component_OpticalChannel_InputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_InputPowerPathAny) Max() *Component_OpticalChannel_InputPower_MaxPathAny {
	return &Component_OpticalChannel_InputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_InputPowerPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_InputPowerPath) MaxTime() *Component_OpticalChannel_InputPower_MaxTimePath {
	return &Component_OpticalChannel_InputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_InputPowerPathAny) MaxTime() *Component_OpticalChannel_InputPower_MaxTimePathAny {
	return &Component_OpticalChannel_InputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_InputPowerPath the path struct for its child "min".
func (n *Component_OpticalChannel_InputPowerPath) Min() *Component_OpticalChannel_InputPower_MinPath {
	return &Component_OpticalChannel_InputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_InputPowerPathAny) Min() *Component_OpticalChannel_InputPower_MinPathAny {
	return &Component_OpticalChannel_InputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_InputPowerPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_InputPowerPath) MinTime() *Component_OpticalChannel_InputPower_MinTimePath {
	return &Component_OpticalChannel_InputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_InputPowerPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_InputPowerPathAny) MinTime() *Component_OpticalChannel_InputPower_MinTimePathAny {
	return &Component_OpticalChannel_InputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_LaserBiasCurrentPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current YANG schema element.
type Component_OpticalChannel_LaserBiasCurrentPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrentPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current YANG schema element.
type Component_OpticalChannel_LaserBiasCurrentPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/avg YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/avg YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/instant YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/instant YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/interval YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/interval YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/max YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/max YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/max-time YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/max-time YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MinPath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/min YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/min YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/min-time YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_LaserBiasCurrent_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/laser-bias-current/min-time YANG schema element.
type Component_OpticalChannel_LaserBiasCurrent_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "avg".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) Avg() *Component_OpticalChannel_LaserBiasCurrent_AvgPath {
	return &Component_OpticalChannel_LaserBiasCurrent_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) Avg() *Component_OpticalChannel_LaserBiasCurrent_AvgPathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "instant".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) Instant() *Component_OpticalChannel_LaserBiasCurrent_InstantPath {
	return &Component_OpticalChannel_LaserBiasCurrent_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) Instant() *Component_OpticalChannel_LaserBiasCurrent_InstantPathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "interval".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) Interval() *Component_OpticalChannel_LaserBiasCurrent_IntervalPath {
	return &Component_OpticalChannel_LaserBiasCurrent_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) Interval() *Component_OpticalChannel_LaserBiasCurrent_IntervalPathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "max".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) Max() *Component_OpticalChannel_LaserBiasCurrent_MaxPath {
	return &Component_OpticalChannel_LaserBiasCurrent_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) Max() *Component_OpticalChannel_LaserBiasCurrent_MaxPathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) MaxTime() *Component_OpticalChannel_LaserBiasCurrent_MaxTimePath {
	return &Component_OpticalChannel_LaserBiasCurrent_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) MaxTime() *Component_OpticalChannel_LaserBiasCurrent_MaxTimePathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "min".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) Min() *Component_OpticalChannel_LaserBiasCurrent_MinPath {
	return &Component_OpticalChannel_LaserBiasCurrent_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) Min() *Component_OpticalChannel_LaserBiasCurrent_MinPathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_LaserBiasCurrentPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_LaserBiasCurrentPath) MinTime() *Component_OpticalChannel_LaserBiasCurrent_MinTimePath {
	return &Component_OpticalChannel_LaserBiasCurrent_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_LaserBiasCurrentPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_LaserBiasCurrentPathAny) MinTime() *Component_OpticalChannel_LaserBiasCurrent_MinTimePathAny {
	return &Component_OpticalChannel_LaserBiasCurrent_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_OutputPowerPath represents the /openconfig-platform/components/component/optical-channel/state/output-power YANG schema element.
type Component_OpticalChannel_OutputPowerPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power YANG schema element.
type Component_OpticalChannel_OutputPowerPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/output-power/avg YANG schema element.
type Component_OpticalChannel_OutputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/avg YANG schema element.
type Component_OpticalChannel_OutputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/output-power/instant YANG schema element.
type Component_OpticalChannel_OutputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/instant YANG schema element.
type Component_OpticalChannel_OutputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/output-power/interval YANG schema element.
type Component_OpticalChannel_OutputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/interval YANG schema element.
type Component_OpticalChannel_OutputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/output-power/max YANG schema element.
type Component_OpticalChannel_OutputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/max YANG schema element.
type Component_OpticalChannel_OutputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/output-power/max-time YANG schema element.
type Component_OpticalChannel_OutputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/max-time YANG schema element.
type Component_OpticalChannel_OutputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MinPath represents the /openconfig-platform/components/component/optical-channel/state/output-power/min YANG schema element.
type Component_OpticalChannel_OutputPower_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/min YANG schema element.
type Component_OpticalChannel_OutputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/output-power/min-time YANG schema element.
type Component_OpticalChannel_OutputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_OutputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/output-power/min-time YANG schema element.
type Component_OpticalChannel_OutputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "avg".
func (n *Component_OpticalChannel_OutputPowerPath) Avg() *Component_OpticalChannel_OutputPower_AvgPath {
	return &Component_OpticalChannel_OutputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_OutputPowerPathAny) Avg() *Component_OpticalChannel_OutputPower_AvgPathAny {
	return &Component_OpticalChannel_OutputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "instant".
func (n *Component_OpticalChannel_OutputPowerPath) Instant() *Component_OpticalChannel_OutputPower_InstantPath {
	return &Component_OpticalChannel_OutputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_OutputPowerPathAny) Instant() *Component_OpticalChannel_OutputPower_InstantPathAny {
	return &Component_OpticalChannel_OutputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "interval".
func (n *Component_OpticalChannel_OutputPowerPath) Interval() *Component_OpticalChannel_OutputPower_IntervalPath {
	return &Component_OpticalChannel_OutputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_OutputPowerPathAny) Interval() *Component_OpticalChannel_OutputPower_IntervalPathAny {
	return &Component_OpticalChannel_OutputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "max".
func (n *Component_OpticalChannel_OutputPowerPath) Max() *Component_OpticalChannel_OutputPower_MaxPath {
	return &Component_OpticalChannel_OutputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_OutputPowerPathAny) Max() *Component_OpticalChannel_OutputPower_MaxPathAny {
	return &Component_OpticalChannel_OutputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_OutputPowerPath) MaxTime() *Component_OpticalChannel_OutputPower_MaxTimePath {
	return &Component_OpticalChannel_OutputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_OutputPowerPathAny) MaxTime() *Component_OpticalChannel_OutputPower_MaxTimePathAny {
	return &Component_OpticalChannel_OutputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "min".
func (n *Component_OpticalChannel_OutputPowerPath) Min() *Component_OpticalChannel_OutputPower_MinPath {
	return &Component_OpticalChannel_OutputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_OutputPowerPathAny) Min() *Component_OpticalChannel_OutputPower_MinPathAny {
	return &Component_OpticalChannel_OutputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_OutputPowerPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_OutputPowerPath) MinTime() *Component_OpticalChannel_OutputPower_MinTimePath {
	return &Component_OpticalChannel_OutputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_OutputPowerPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_OutputPowerPathAny) MinTime() *Component_OpticalChannel_OutputPower_MinTimePathAny {
	return &Component_OpticalChannel_OutputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_PolarizationDependentLossPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss YANG schema element.
type Component_OpticalChannel_PolarizationDependentLossPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLossPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss YANG schema element.
type Component_OpticalChannel_PolarizationDependentLossPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/avg YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/avg YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/instant YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/instant YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/interval YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/interval YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/max YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/max YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/max-time YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/max-time YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MinPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/min YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/min YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/min-time YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationDependentLoss_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-dependent-loss/min-time YANG schema element.
type Component_OpticalChannel_PolarizationDependentLoss_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "avg".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) Avg() *Component_OpticalChannel_PolarizationDependentLoss_AvgPath {
	return &Component_OpticalChannel_PolarizationDependentLoss_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) Avg() *Component_OpticalChannel_PolarizationDependentLoss_AvgPathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "instant".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) Instant() *Component_OpticalChannel_PolarizationDependentLoss_InstantPath {
	return &Component_OpticalChannel_PolarizationDependentLoss_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) Instant() *Component_OpticalChannel_PolarizationDependentLoss_InstantPathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "interval".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) Interval() *Component_OpticalChannel_PolarizationDependentLoss_IntervalPath {
	return &Component_OpticalChannel_PolarizationDependentLoss_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) Interval() *Component_OpticalChannel_PolarizationDependentLoss_IntervalPathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "max".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) Max() *Component_OpticalChannel_PolarizationDependentLoss_MaxPath {
	return &Component_OpticalChannel_PolarizationDependentLoss_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) Max() *Component_OpticalChannel_PolarizationDependentLoss_MaxPathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) MaxTime() *Component_OpticalChannel_PolarizationDependentLoss_MaxTimePath {
	return &Component_OpticalChannel_PolarizationDependentLoss_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) MaxTime() *Component_OpticalChannel_PolarizationDependentLoss_MaxTimePathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "min".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) Min() *Component_OpticalChannel_PolarizationDependentLoss_MinPath {
	return &Component_OpticalChannel_PolarizationDependentLoss_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) Min() *Component_OpticalChannel_PolarizationDependentLoss_MinPathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_PolarizationDependentLossPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_PolarizationDependentLossPath) MinTime() *Component_OpticalChannel_PolarizationDependentLoss_MinTimePath {
	return &Component_OpticalChannel_PolarizationDependentLoss_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_PolarizationDependentLossPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_PolarizationDependentLossPathAny) MinTime() *Component_OpticalChannel_PolarizationDependentLoss_MinTimePathAny {
	return &Component_OpticalChannel_PolarizationDependentLoss_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_PolarizationModeDispersionPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersionPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersionPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersionPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/avg YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/avg YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/instant YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/instant YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/interval YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/interval YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/max YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/max YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/max-time YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/max-time YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MinPath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/min YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/min YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/min-time YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_PolarizationModeDispersion_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/polarization-mode-dispersion/min-time YANG schema element.
type Component_OpticalChannel_PolarizationModeDispersion_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "avg".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) Avg() *Component_OpticalChannel_PolarizationModeDispersion_AvgPath {
	return &Component_OpticalChannel_PolarizationModeDispersion_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) Avg() *Component_OpticalChannel_PolarizationModeDispersion_AvgPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "instant".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) Instant() *Component_OpticalChannel_PolarizationModeDispersion_InstantPath {
	return &Component_OpticalChannel_PolarizationModeDispersion_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) Instant() *Component_OpticalChannel_PolarizationModeDispersion_InstantPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "interval".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) Interval() *Component_OpticalChannel_PolarizationModeDispersion_IntervalPath {
	return &Component_OpticalChannel_PolarizationModeDispersion_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) Interval() *Component_OpticalChannel_PolarizationModeDispersion_IntervalPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "max".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) Max() *Component_OpticalChannel_PolarizationModeDispersion_MaxPath {
	return &Component_OpticalChannel_PolarizationModeDispersion_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) Max() *Component_OpticalChannel_PolarizationModeDispersion_MaxPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) MaxTime() *Component_OpticalChannel_PolarizationModeDispersion_MaxTimePath {
	return &Component_OpticalChannel_PolarizationModeDispersion_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) MaxTime() *Component_OpticalChannel_PolarizationModeDispersion_MaxTimePathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "min".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) Min() *Component_OpticalChannel_PolarizationModeDispersion_MinPath {
	return &Component_OpticalChannel_PolarizationModeDispersion_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) Min() *Component_OpticalChannel_PolarizationModeDispersion_MinPathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_PolarizationModeDispersionPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_PolarizationModeDispersionPath) MinTime() *Component_OpticalChannel_PolarizationModeDispersion_MinTimePath {
	return &Component_OpticalChannel_PolarizationModeDispersion_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_PolarizationModeDispersionPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_PolarizationModeDispersionPathAny) MinTime() *Component_OpticalChannel_PolarizationModeDispersion_MinTimePathAny {
	return &Component_OpticalChannel_PolarizationModeDispersion_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/avg YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/avg YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/instant YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/instant YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/interval YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/interval YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/max YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/max YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/max-time YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/max-time YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/min YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/min YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPathAny struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePath represents the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/min-time YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePath struct {
	*ygot.NodePath
}

// Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/optical-channel/state/second-order-polarization-mode-dispersion/min-time YANG schema element.
type Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "avg".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) Avg() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "avg".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) Avg() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "instant".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) Instant() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "instant".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) Instant() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "interval".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) Interval() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "interval".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) Interval() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "max".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) Max() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "max".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) Max() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "max-time".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) MaxTime() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "max-time".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) MaxTime() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "min".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) Min() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "min".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) Min() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath the path struct for its child "min-time".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPath) MinTime() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePath {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny the path struct for its child "min-time".
func (n *Component_OpticalChannel_SecondOrderPolarizationModeDispersionPathAny) MinTime() *Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePathAny {
	return &Component_OpticalChannel_SecondOrderPolarizationModeDispersion_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_PortPath represents the /openconfig-platform/components/component/port YANG schema element.
type Component_PortPath struct {
	*ygot.NodePath
}

// Component_PortPathAny represents the wildcard version of the /openconfig-platform/components/component/port YANG schema element.
type Component_PortPathAny struct {
	*ygot.NodePath
}

// BreakoutMode returns from Component_PortPath the path struct for its child "breakout-mode".
func (n *Component_PortPath) BreakoutMode() *Component_Port_BreakoutModePath {
	return &Component_Port_BreakoutModePath{
		NodePath: ygot.NewNodePath(
			[]string{"breakout-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// BreakoutMode returns from Component_PortPathAny the path struct for its child "breakout-mode".
func (n *Component_PortPathAny) BreakoutMode() *Component_Port_BreakoutModePathAny {
	return &Component_Port_BreakoutModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"breakout-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPort returns from Component_PortPath the path struct for its child "optical-port".
func (n *Component_PortPath) OpticalPort() *Component_Port_OpticalPortPath {
	return &Component_Port_OpticalPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"optical-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPort returns from Component_PortPathAny the path struct for its child "optical-port".
func (n *Component_PortPathAny) OpticalPort() *Component_Port_OpticalPortPathAny {
	return &Component_Port_OpticalPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"optical-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Port_BreakoutModePath represents the /openconfig-platform/components/component/port/breakout-mode YANG schema element.
type Component_Port_BreakoutModePath struct {
	*ygot.NodePath
}

// Component_Port_BreakoutModePathAny represents the wildcard version of the /openconfig-platform/components/component/port/breakout-mode YANG schema element.
type Component_Port_BreakoutModePathAny struct {
	*ygot.NodePath
}

// Component_Port_BreakoutMode_ChannelSpeedPath represents the /openconfig-platform/components/component/port/breakout-mode/config/channel-speed YANG schema element.
type Component_Port_BreakoutMode_ChannelSpeedPath struct {
	*ygot.NodePath
}

// Component_Port_BreakoutMode_ChannelSpeedPathAny represents the wildcard version of the /openconfig-platform/components/component/port/breakout-mode/config/channel-speed YANG schema element.
type Component_Port_BreakoutMode_ChannelSpeedPathAny struct {
	*ygot.NodePath
}

// Component_Port_BreakoutMode_NumChannelsPath represents the /openconfig-platform/components/component/port/breakout-mode/config/num-channels YANG schema element.
type Component_Port_BreakoutMode_NumChannelsPath struct {
	*ygot.NodePath
}

// Component_Port_BreakoutMode_NumChannelsPathAny represents the wildcard version of the /openconfig-platform/components/component/port/breakout-mode/config/num-channels YANG schema element.
type Component_Port_BreakoutMode_NumChannelsPathAny struct {
	*ygot.NodePath
}

// ChannelSpeed returns from Component_Port_BreakoutModePath the path struct for its child "channel-speed".
func (n *Component_Port_BreakoutModePath) ChannelSpeed() *Component_Port_BreakoutMode_ChannelSpeedPath {
	return &Component_Port_BreakoutMode_ChannelSpeedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "channel-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChannelSpeed returns from Component_Port_BreakoutModePathAny the path struct for its child "channel-speed".
func (n *Component_Port_BreakoutModePathAny) ChannelSpeed() *Component_Port_BreakoutMode_ChannelSpeedPathAny {
	return &Component_Port_BreakoutMode_ChannelSpeedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "channel-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumChannels returns from Component_Port_BreakoutModePath the path struct for its child "num-channels".
func (n *Component_Port_BreakoutModePath) NumChannels() *Component_Port_BreakoutMode_NumChannelsPath {
	return &Component_Port_BreakoutMode_NumChannelsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "num-channels"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumChannels returns from Component_Port_BreakoutModePathAny the path struct for its child "num-channels".
func (n *Component_Port_BreakoutModePathAny) NumChannels() *Component_Port_BreakoutMode_NumChannelsPathAny {
	return &Component_Port_BreakoutMode_NumChannelsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "num-channels"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Port_OpticalPortPath represents the /openconfig-platform/components/component/port/optical-port YANG schema element.
type Component_Port_OpticalPortPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPortPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port YANG schema element.
type Component_Port_OpticalPortPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_AdminStatePath represents the /openconfig-platform/components/component/port/optical-port/config/admin-state YANG schema element.
type Component_Port_OpticalPort_AdminStatePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_AdminStatePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/config/admin-state YANG schema element.
type Component_Port_OpticalPort_AdminStatePathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OpticalPortTypePath represents the /openconfig-platform/components/component/port/optical-port/state/optical-port-type YANG schema element.
type Component_Port_OpticalPort_OpticalPortTypePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OpticalPortTypePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/optical-port-type YANG schema element.
type Component_Port_OpticalPort_OpticalPortTypePathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_TiltPath represents the /openconfig-platform/components/component/port/optical-port/state/tilt YANG schema element.
type Component_Port_OpticalPort_TiltPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_TiltPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/tilt YANG schema element.
type Component_Port_OpticalPort_TiltPathAny struct {
	*ygot.NodePath
}

// AdminState returns from Component_Port_OpticalPortPath the path struct for its child "admin-state".
func (n *Component_Port_OpticalPortPath) AdminState() *Component_Port_OpticalPort_AdminStatePath {
	return &Component_Port_OpticalPort_AdminStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminState returns from Component_Port_OpticalPortPathAny the path struct for its child "admin-state".
func (n *Component_Port_OpticalPortPathAny) AdminState() *Component_Port_OpticalPort_AdminStatePathAny {
	return &Component_Port_OpticalPort_AdminStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_Port_OpticalPortPath the path struct for its child "input-power".
func (n *Component_Port_OpticalPortPath) InputPower() *Component_Port_OpticalPort_InputPowerPath {
	return &Component_Port_OpticalPort_InputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_Port_OpticalPortPathAny the path struct for its child "input-power".
func (n *Component_Port_OpticalPortPathAny) InputPower() *Component_Port_OpticalPort_InputPowerPathAny {
	return &Component_Port_OpticalPort_InputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPortType returns from Component_Port_OpticalPortPath the path struct for its child "optical-port-type".
func (n *Component_Port_OpticalPortPath) OpticalPortType() *Component_Port_OpticalPort_OpticalPortTypePath {
	return &Component_Port_OpticalPort_OpticalPortTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-port-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalPortType returns from Component_Port_OpticalPortPathAny the path struct for its child "optical-port-type".
func (n *Component_Port_OpticalPortPathAny) OpticalPortType() *Component_Port_OpticalPort_OpticalPortTypePathAny {
	return &Component_Port_OpticalPort_OpticalPortTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-port-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_Port_OpticalPortPath the path struct for its child "output-power".
func (n *Component_Port_OpticalPortPath) OutputPower() *Component_Port_OpticalPort_OutputPowerPath {
	return &Component_Port_OpticalPort_OutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_Port_OpticalPortPathAny the path struct for its child "output-power".
func (n *Component_Port_OpticalPortPathAny) OutputPower() *Component_Port_OpticalPort_OutputPowerPathAny {
	return &Component_Port_OpticalPort_OutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tilt returns from Component_Port_OpticalPortPath the path struct for its child "tilt".
func (n *Component_Port_OpticalPortPath) Tilt() *Component_Port_OpticalPort_TiltPath {
	return &Component_Port_OpticalPort_TiltPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tilt returns from Component_Port_OpticalPortPathAny the path struct for its child "tilt".
func (n *Component_Port_OpticalPortPathAny) Tilt() *Component_Port_OpticalPort_TiltPathAny {
	return &Component_Port_OpticalPort_TiltPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Port_OpticalPort_InputPowerPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power YANG schema element.
type Component_Port_OpticalPort_InputPowerPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power YANG schema element.
type Component_Port_OpticalPort_InputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_AvgPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/avg YANG schema element.
type Component_Port_OpticalPort_InputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/avg YANG schema element.
type Component_Port_OpticalPort_InputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_InstantPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/instant YANG schema element.
type Component_Port_OpticalPort_InputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/instant YANG schema element.
type Component_Port_OpticalPort_InputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_IntervalPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/interval YANG schema element.
type Component_Port_OpticalPort_InputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/interval YANG schema element.
type Component_Port_OpticalPort_InputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MaxPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/max YANG schema element.
type Component_Port_OpticalPort_InputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/max YANG schema element.
type Component_Port_OpticalPort_InputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MaxTimePath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/max-time YANG schema element.
type Component_Port_OpticalPort_InputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/max-time YANG schema element.
type Component_Port_OpticalPort_InputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MinPath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/min YANG schema element.
type Component_Port_OpticalPort_InputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/min YANG schema element.
type Component_Port_OpticalPort_InputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MinTimePath represents the /openconfig-platform/components/component/port/optical-port/state/input-power/min-time YANG schema element.
type Component_Port_OpticalPort_InputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_InputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/input-power/min-time YANG schema element.
type Component_Port_OpticalPort_InputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "avg".
func (n *Component_Port_OpticalPort_InputPowerPath) Avg() *Component_Port_OpticalPort_InputPower_AvgPath {
	return &Component_Port_OpticalPort_InputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "avg".
func (n *Component_Port_OpticalPort_InputPowerPathAny) Avg() *Component_Port_OpticalPort_InputPower_AvgPathAny {
	return &Component_Port_OpticalPort_InputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "instant".
func (n *Component_Port_OpticalPort_InputPowerPath) Instant() *Component_Port_OpticalPort_InputPower_InstantPath {
	return &Component_Port_OpticalPort_InputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "instant".
func (n *Component_Port_OpticalPort_InputPowerPathAny) Instant() *Component_Port_OpticalPort_InputPower_InstantPathAny {
	return &Component_Port_OpticalPort_InputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "interval".
func (n *Component_Port_OpticalPort_InputPowerPath) Interval() *Component_Port_OpticalPort_InputPower_IntervalPath {
	return &Component_Port_OpticalPort_InputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "interval".
func (n *Component_Port_OpticalPort_InputPowerPathAny) Interval() *Component_Port_OpticalPort_InputPower_IntervalPathAny {
	return &Component_Port_OpticalPort_InputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "max".
func (n *Component_Port_OpticalPort_InputPowerPath) Max() *Component_Port_OpticalPort_InputPower_MaxPath {
	return &Component_Port_OpticalPort_InputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "max".
func (n *Component_Port_OpticalPort_InputPowerPathAny) Max() *Component_Port_OpticalPort_InputPower_MaxPathAny {
	return &Component_Port_OpticalPort_InputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "max-time".
func (n *Component_Port_OpticalPort_InputPowerPath) MaxTime() *Component_Port_OpticalPort_InputPower_MaxTimePath {
	return &Component_Port_OpticalPort_InputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "max-time".
func (n *Component_Port_OpticalPort_InputPowerPathAny) MaxTime() *Component_Port_OpticalPort_InputPower_MaxTimePathAny {
	return &Component_Port_OpticalPort_InputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "min".
func (n *Component_Port_OpticalPort_InputPowerPath) Min() *Component_Port_OpticalPort_InputPower_MinPath {
	return &Component_Port_OpticalPort_InputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "min".
func (n *Component_Port_OpticalPort_InputPowerPathAny) Min() *Component_Port_OpticalPort_InputPower_MinPathAny {
	return &Component_Port_OpticalPort_InputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Port_OpticalPort_InputPowerPath the path struct for its child "min-time".
func (n *Component_Port_OpticalPort_InputPowerPath) MinTime() *Component_Port_OpticalPort_InputPower_MinTimePath {
	return &Component_Port_OpticalPort_InputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Port_OpticalPort_InputPowerPathAny the path struct for its child "min-time".
func (n *Component_Port_OpticalPort_InputPowerPathAny) MinTime() *Component_Port_OpticalPort_InputPower_MinTimePathAny {
	return &Component_Port_OpticalPort_InputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Port_OpticalPort_OutputPowerPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power YANG schema element.
type Component_Port_OpticalPort_OutputPowerPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power YANG schema element.
type Component_Port_OpticalPort_OutputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_AvgPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/avg YANG schema element.
type Component_Port_OpticalPort_OutputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/avg YANG schema element.
type Component_Port_OpticalPort_OutputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_InstantPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/instant YANG schema element.
type Component_Port_OpticalPort_OutputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/instant YANG schema element.
type Component_Port_OpticalPort_OutputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_IntervalPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/interval YANG schema element.
type Component_Port_OpticalPort_OutputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/interval YANG schema element.
type Component_Port_OpticalPort_OutputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MaxPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/max YANG schema element.
type Component_Port_OpticalPort_OutputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/max YANG schema element.
type Component_Port_OpticalPort_OutputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MaxTimePath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/max-time YANG schema element.
type Component_Port_OpticalPort_OutputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/max-time YANG schema element.
type Component_Port_OpticalPort_OutputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MinPath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/min YANG schema element.
type Component_Port_OpticalPort_OutputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/min YANG schema element.
type Component_Port_OpticalPort_OutputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MinTimePath represents the /openconfig-platform/components/component/port/optical-port/state/output-power/min-time YANG schema element.
type Component_Port_OpticalPort_OutputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Port_OpticalPort_OutputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/port/optical-port/state/output-power/min-time YANG schema element.
type Component_Port_OpticalPort_OutputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "avg".
func (n *Component_Port_OpticalPort_OutputPowerPath) Avg() *Component_Port_OpticalPort_OutputPower_AvgPath {
	return &Component_Port_OpticalPort_OutputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "avg".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) Avg() *Component_Port_OpticalPort_OutputPower_AvgPathAny {
	return &Component_Port_OpticalPort_OutputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "instant".
func (n *Component_Port_OpticalPort_OutputPowerPath) Instant() *Component_Port_OpticalPort_OutputPower_InstantPath {
	return &Component_Port_OpticalPort_OutputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "instant".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) Instant() *Component_Port_OpticalPort_OutputPower_InstantPathAny {
	return &Component_Port_OpticalPort_OutputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "interval".
func (n *Component_Port_OpticalPort_OutputPowerPath) Interval() *Component_Port_OpticalPort_OutputPower_IntervalPath {
	return &Component_Port_OpticalPort_OutputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "interval".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) Interval() *Component_Port_OpticalPort_OutputPower_IntervalPathAny {
	return &Component_Port_OpticalPort_OutputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "max".
func (n *Component_Port_OpticalPort_OutputPowerPath) Max() *Component_Port_OpticalPort_OutputPower_MaxPath {
	return &Component_Port_OpticalPort_OutputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "max".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) Max() *Component_Port_OpticalPort_OutputPower_MaxPathAny {
	return &Component_Port_OpticalPort_OutputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "max-time".
func (n *Component_Port_OpticalPort_OutputPowerPath) MaxTime() *Component_Port_OpticalPort_OutputPower_MaxTimePath {
	return &Component_Port_OpticalPort_OutputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "max-time".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) MaxTime() *Component_Port_OpticalPort_OutputPower_MaxTimePathAny {
	return &Component_Port_OpticalPort_OutputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "min".
func (n *Component_Port_OpticalPort_OutputPowerPath) Min() *Component_Port_OpticalPort_OutputPower_MinPath {
	return &Component_Port_OpticalPort_OutputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "min".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) Min() *Component_Port_OpticalPort_OutputPower_MinPathAny {
	return &Component_Port_OpticalPort_OutputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Port_OpticalPort_OutputPowerPath the path struct for its child "min-time".
func (n *Component_Port_OpticalPort_OutputPowerPath) MinTime() *Component_Port_OpticalPort_OutputPower_MinTimePath {
	return &Component_Port_OpticalPort_OutputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Port_OpticalPort_OutputPowerPathAny the path struct for its child "min-time".
func (n *Component_Port_OpticalPort_OutputPowerPathAny) MinTime() *Component_Port_OpticalPort_OutputPower_MinTimePathAny {
	return &Component_Port_OpticalPort_OutputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_PowerSupplyPath represents the /openconfig-platform/components/component/power-supply YANG schema element.
type Component_PowerSupplyPath struct {
	*ygot.NodePath
}

// Component_PowerSupplyPathAny represents the wildcard version of the /openconfig-platform/components/component/power-supply YANG schema element.
type Component_PowerSupplyPathAny struct {
	*ygot.NodePath
}

// Component_PropertyPath represents the /openconfig-platform/components/component/properties/property YANG schema element.
type Component_PropertyPath struct {
	*ygot.NodePath
}

// Component_PropertyPathAny represents the wildcard version of the /openconfig-platform/components/component/properties/property YANG schema element.
type Component_PropertyPathAny struct {
	*ygot.NodePath
}

// Component_Property_ConfigurablePath represents the /openconfig-platform/components/component/properties/property/state/configurable YANG schema element.
type Component_Property_ConfigurablePath struct {
	*ygot.NodePath
}

// Component_Property_ConfigurablePathAny represents the wildcard version of the /openconfig-platform/components/component/properties/property/state/configurable YANG schema element.
type Component_Property_ConfigurablePathAny struct {
	*ygot.NodePath
}

// Component_Property_NamePath represents the /openconfig-platform/components/component/properties/property/config/name YANG schema element.
type Component_Property_NamePath struct {
	*ygot.NodePath
}

// Component_Property_NamePathAny represents the wildcard version of the /openconfig-platform/components/component/properties/property/config/name YANG schema element.
type Component_Property_NamePathAny struct {
	*ygot.NodePath
}

// Component_Property_ValuePath represents the /openconfig-platform/components/component/properties/property/config/value YANG schema element.
type Component_Property_ValuePath struct {
	*ygot.NodePath
}

// Component_Property_ValuePathAny represents the wildcard version of the /openconfig-platform/components/component/properties/property/config/value YANG schema element.
type Component_Property_ValuePathAny struct {
	*ygot.NodePath
}

// Configurable returns from Component_PropertyPath the path struct for its child "configurable".
func (n *Component_PropertyPath) Configurable() *Component_Property_ConfigurablePath {
	return &Component_Property_ConfigurablePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "configurable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Configurable returns from Component_PropertyPathAny the path struct for its child "configurable".
func (n *Component_PropertyPathAny) Configurable() *Component_Property_ConfigurablePathAny {
	return &Component_Property_ConfigurablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "configurable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Component_PropertyPath the path struct for its child "name".
func (n *Component_PropertyPath) Name() *Component_Property_NamePath {
	return &Component_Property_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Component_PropertyPathAny the path struct for its child "name".
func (n *Component_PropertyPathAny) Name() *Component_Property_NamePathAny {
	return &Component_Property_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from Component_PropertyPath the path struct for its child "value".
func (n *Component_PropertyPath) Value() *Component_Property_ValuePath {
	return &Component_Property_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from Component_PropertyPathAny the path struct for its child "value".
func (n *Component_PropertyPathAny) Value() *Component_Property_ValuePathAny {
	return &Component_Property_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_StoragePath represents the /openconfig-platform/components/component/storage YANG schema element.
type Component_StoragePath struct {
	*ygot.NodePath
}

// Component_StoragePathAny represents the wildcard version of the /openconfig-platform/components/component/storage YANG schema element.
type Component_StoragePathAny struct {
	*ygot.NodePath
}

// Component_SubcomponentPath represents the /openconfig-platform/components/component/subcomponents/subcomponent YANG schema element.
type Component_SubcomponentPath struct {
	*ygot.NodePath
}

// Component_SubcomponentPathAny represents the wildcard version of the /openconfig-platform/components/component/subcomponents/subcomponent YANG schema element.
type Component_SubcomponentPathAny struct {
	*ygot.NodePath
}

// Component_Subcomponent_NamePath represents the /openconfig-platform/components/component/subcomponents/subcomponent/config/name YANG schema element.
type Component_Subcomponent_NamePath struct {
	*ygot.NodePath
}

// Component_Subcomponent_NamePathAny represents the wildcard version of the /openconfig-platform/components/component/subcomponents/subcomponent/config/name YANG schema element.
type Component_Subcomponent_NamePathAny struct {
	*ygot.NodePath
}

// Name returns from Component_SubcomponentPath the path struct for its child "name".
func (n *Component_SubcomponentPath) Name() *Component_Subcomponent_NamePath {
	return &Component_Subcomponent_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Component_SubcomponentPathAny the path struct for its child "name".
func (n *Component_SubcomponentPathAny) Name() *Component_Subcomponent_NamePathAny {
	return &Component_Subcomponent_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_TemperaturePath represents the /openconfig-platform/components/component/state/temperature YANG schema element.
type Component_TemperaturePath struct {
	*ygot.NodePath
}

// Component_TemperaturePathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature YANG schema element.
type Component_TemperaturePathAny struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmSeverityPath represents the /openconfig-platform/components/component/state/temperature/alarm-severity YANG schema element.
type Component_Temperature_AlarmSeverityPath struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmSeverityPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/alarm-severity YANG schema element.
type Component_Temperature_AlarmSeverityPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmStatusPath represents the /openconfig-platform/components/component/state/temperature/alarm-status YANG schema element.
type Component_Temperature_AlarmStatusPath struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmStatusPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/alarm-status YANG schema element.
type Component_Temperature_AlarmStatusPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmThresholdPath represents the /openconfig-platform/components/component/state/temperature/alarm-threshold YANG schema element.
type Component_Temperature_AlarmThresholdPath struct {
	*ygot.NodePath
}

// Component_Temperature_AlarmThresholdPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/alarm-threshold YANG schema element.
type Component_Temperature_AlarmThresholdPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_AvgPath represents the /openconfig-platform/components/component/state/temperature/avg YANG schema element.
type Component_Temperature_AvgPath struct {
	*ygot.NodePath
}

// Component_Temperature_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/avg YANG schema element.
type Component_Temperature_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_InstantPath represents the /openconfig-platform/components/component/state/temperature/instant YANG schema element.
type Component_Temperature_InstantPath struct {
	*ygot.NodePath
}

// Component_Temperature_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/instant YANG schema element.
type Component_Temperature_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_IntervalPath represents the /openconfig-platform/components/component/state/temperature/interval YANG schema element.
type Component_Temperature_IntervalPath struct {
	*ygot.NodePath
}

// Component_Temperature_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/interval YANG schema element.
type Component_Temperature_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_MaxPath represents the /openconfig-platform/components/component/state/temperature/max YANG schema element.
type Component_Temperature_MaxPath struct {
	*ygot.NodePath
}

// Component_Temperature_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/max YANG schema element.
type Component_Temperature_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_MaxTimePath represents the /openconfig-platform/components/component/state/temperature/max-time YANG schema element.
type Component_Temperature_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Temperature_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/max-time YANG schema element.
type Component_Temperature_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Temperature_MinPath represents the /openconfig-platform/components/component/state/temperature/min YANG schema element.
type Component_Temperature_MinPath struct {
	*ygot.NodePath
}

// Component_Temperature_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/min YANG schema element.
type Component_Temperature_MinPathAny struct {
	*ygot.NodePath
}

// Component_Temperature_MinTimePath represents the /openconfig-platform/components/component/state/temperature/min-time YANG schema element.
type Component_Temperature_MinTimePath struct {
	*ygot.NodePath
}

// Component_Temperature_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/state/temperature/min-time YANG schema element.
type Component_Temperature_MinTimePathAny struct {
	*ygot.NodePath
}

// AlarmSeverity returns from Component_TemperaturePath the path struct for its child "alarm-severity".
func (n *Component_TemperaturePath) AlarmSeverity() *Component_Temperature_AlarmSeverityPath {
	return &Component_Temperature_AlarmSeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmSeverity returns from Component_TemperaturePathAny the path struct for its child "alarm-severity".
func (n *Component_TemperaturePathAny) AlarmSeverity() *Component_Temperature_AlarmSeverityPathAny {
	return &Component_Temperature_AlarmSeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmStatus returns from Component_TemperaturePath the path struct for its child "alarm-status".
func (n *Component_TemperaturePath) AlarmStatus() *Component_Temperature_AlarmStatusPath {
	return &Component_Temperature_AlarmStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmStatus returns from Component_TemperaturePathAny the path struct for its child "alarm-status".
func (n *Component_TemperaturePathAny) AlarmStatus() *Component_Temperature_AlarmStatusPathAny {
	return &Component_Temperature_AlarmStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmThreshold returns from Component_TemperaturePath the path struct for its child "alarm-threshold".
func (n *Component_TemperaturePath) AlarmThreshold() *Component_Temperature_AlarmThresholdPath {
	return &Component_Temperature_AlarmThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmThreshold returns from Component_TemperaturePathAny the path struct for its child "alarm-threshold".
func (n *Component_TemperaturePathAny) AlarmThreshold() *Component_Temperature_AlarmThresholdPathAny {
	return &Component_Temperature_AlarmThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarm-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_TemperaturePath the path struct for its child "avg".
func (n *Component_TemperaturePath) Avg() *Component_Temperature_AvgPath {
	return &Component_Temperature_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_TemperaturePathAny the path struct for its child "avg".
func (n *Component_TemperaturePathAny) Avg() *Component_Temperature_AvgPathAny {
	return &Component_Temperature_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_TemperaturePath the path struct for its child "instant".
func (n *Component_TemperaturePath) Instant() *Component_Temperature_InstantPath {
	return &Component_Temperature_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_TemperaturePathAny the path struct for its child "instant".
func (n *Component_TemperaturePathAny) Instant() *Component_Temperature_InstantPathAny {
	return &Component_Temperature_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_TemperaturePath the path struct for its child "interval".
func (n *Component_TemperaturePath) Interval() *Component_Temperature_IntervalPath {
	return &Component_Temperature_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_TemperaturePathAny the path struct for its child "interval".
func (n *Component_TemperaturePathAny) Interval() *Component_Temperature_IntervalPathAny {
	return &Component_Temperature_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_TemperaturePath the path struct for its child "max".
func (n *Component_TemperaturePath) Max() *Component_Temperature_MaxPath {
	return &Component_Temperature_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_TemperaturePathAny the path struct for its child "max".
func (n *Component_TemperaturePathAny) Max() *Component_Temperature_MaxPathAny {
	return &Component_Temperature_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_TemperaturePath the path struct for its child "max-time".
func (n *Component_TemperaturePath) MaxTime() *Component_Temperature_MaxTimePath {
	return &Component_Temperature_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_TemperaturePathAny the path struct for its child "max-time".
func (n *Component_TemperaturePathAny) MaxTime() *Component_Temperature_MaxTimePathAny {
	return &Component_Temperature_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_TemperaturePath the path struct for its child "min".
func (n *Component_TemperaturePath) Min() *Component_Temperature_MinPath {
	return &Component_Temperature_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_TemperaturePathAny the path struct for its child "min".
func (n *Component_TemperaturePathAny) Min() *Component_Temperature_MinPathAny {
	return &Component_Temperature_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_TemperaturePath the path struct for its child "min-time".
func (n *Component_TemperaturePath) MinTime() *Component_Temperature_MinTimePath {
	return &Component_Temperature_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_TemperaturePathAny the path struct for its child "min-time".
func (n *Component_TemperaturePathAny) MinTime() *Component_Temperature_MinTimePathAny {
	return &Component_Temperature_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_TransceiverPath represents the /openconfig-platform/components/component/transceiver YANG schema element.
type Component_TransceiverPath struct {
	*ygot.NodePath
}

// Component_TransceiverPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver YANG schema element.
type Component_TransceiverPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_ConnectorTypePath represents the /openconfig-platform/components/component/transceiver/state/connector-type YANG schema element.
type Component_Transceiver_ConnectorTypePath struct {
	*ygot.NodePath
}

// Component_Transceiver_ConnectorTypePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/connector-type YANG schema element.
type Component_Transceiver_ConnectorTypePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_DateCodePath represents the /openconfig-platform/components/component/transceiver/state/date-code YANG schema element.
type Component_Transceiver_DateCodePath struct {
	*ygot.NodePath
}

// Component_Transceiver_DateCodePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/date-code YANG schema element.
type Component_Transceiver_DateCodePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_EnabledPath represents the /openconfig-platform/components/component/transceiver/config/enabled YANG schema element.
type Component_Transceiver_EnabledPath struct {
	*ygot.NodePath
}

// Component_Transceiver_EnabledPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/config/enabled YANG schema element.
type Component_Transceiver_EnabledPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_EthernetPmdPath represents the /openconfig-platform/components/component/transceiver/state/ethernet-pmd YANG schema element.
type Component_Transceiver_EthernetPmdPath struct {
	*ygot.NodePath
}

// Component_Transceiver_EthernetPmdPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/ethernet-pmd YANG schema element.
type Component_Transceiver_EthernetPmdPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_EthernetPmdPreconfPath represents the /openconfig-platform/components/component/transceiver/config/ethernet-pmd-preconf YANG schema element.
type Component_Transceiver_EthernetPmdPreconfPath struct {
	*ygot.NodePath
}

// Component_Transceiver_EthernetPmdPreconfPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/config/ethernet-pmd-preconf YANG schema element.
type Component_Transceiver_EthernetPmdPreconfPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FaultConditionPath represents the /openconfig-platform/components/component/transceiver/state/fault-condition YANG schema element.
type Component_Transceiver_FaultConditionPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FaultConditionPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fault-condition YANG schema element.
type Component_Transceiver_FaultConditionPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecCorrectedBitsPath represents the /openconfig-platform/components/component/transceiver/state/fec-corrected-bits YANG schema element.
type Component_Transceiver_FecCorrectedBitsPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecCorrectedBitsPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fec-corrected-bits YANG schema element.
type Component_Transceiver_FecCorrectedBitsPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecCorrectedBytesPath represents the /openconfig-platform/components/component/transceiver/state/fec-corrected-bytes YANG schema element.
type Component_Transceiver_FecCorrectedBytesPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecCorrectedBytesPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fec-corrected-bytes YANG schema element.
type Component_Transceiver_FecCorrectedBytesPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecModePath represents the /openconfig-platform/components/component/transceiver/config/fec-mode YANG schema element.
type Component_Transceiver_FecModePath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecModePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/config/fec-mode YANG schema element.
type Component_Transceiver_FecModePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecStatusPath represents the /openconfig-platform/components/component/transceiver/state/fec-status YANG schema element.
type Component_Transceiver_FecStatusPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecStatusPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fec-status YANG schema element.
type Component_Transceiver_FecStatusPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecUncorrectableBlocksPath represents the /openconfig-platform/components/component/transceiver/state/fec-uncorrectable-blocks YANG schema element.
type Component_Transceiver_FecUncorrectableBlocksPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecUncorrectableBlocksPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fec-uncorrectable-blocks YANG schema element.
type Component_Transceiver_FecUncorrectableBlocksPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FecUncorrectableWordsPath represents the /openconfig-platform/components/component/transceiver/state/fec-uncorrectable-words YANG schema element.
type Component_Transceiver_FecUncorrectableWordsPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FecUncorrectableWordsPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/fec-uncorrectable-words YANG schema element.
type Component_Transceiver_FecUncorrectableWordsPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FormFactorPath represents the /openconfig-platform/components/component/transceiver/state/form-factor YANG schema element.
type Component_Transceiver_FormFactorPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FormFactorPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/form-factor YANG schema element.
type Component_Transceiver_FormFactorPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_FormFactorPreconfPath represents the /openconfig-platform/components/component/transceiver/config/form-factor-preconf YANG schema element.
type Component_Transceiver_FormFactorPreconfPath struct {
	*ygot.NodePath
}

// Component_Transceiver_FormFactorPreconfPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/config/form-factor-preconf YANG schema element.
type Component_Transceiver_FormFactorPreconfPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OtnComplianceCodePath represents the /openconfig-platform/components/component/transceiver/state/otn-compliance-code YANG schema element.
type Component_Transceiver_OtnComplianceCodePath struct {
	*ygot.NodePath
}

// Component_Transceiver_OtnComplianceCodePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/otn-compliance-code YANG schema element.
type Component_Transceiver_OtnComplianceCodePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PresentPath represents the /openconfig-platform/components/component/transceiver/state/present YANG schema element.
type Component_Transceiver_PresentPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PresentPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/present YANG schema element.
type Component_Transceiver_PresentPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_SerialNoPath represents the /openconfig-platform/components/component/transceiver/state/serial-no YANG schema element.
type Component_Transceiver_SerialNoPath struct {
	*ygot.NodePath
}

// Component_Transceiver_SerialNoPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/serial-no YANG schema element.
type Component_Transceiver_SerialNoPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_SonetSdhComplianceCodePath represents the /openconfig-platform/components/component/transceiver/state/sonet-sdh-compliance-code YANG schema element.
type Component_Transceiver_SonetSdhComplianceCodePath struct {
	*ygot.NodePath
}

// Component_Transceiver_SonetSdhComplianceCodePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/sonet-sdh-compliance-code YANG schema element.
type Component_Transceiver_SonetSdhComplianceCodePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorPath represents the /openconfig-platform/components/component/transceiver/state/vendor YANG schema element.
type Component_Transceiver_VendorPath struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/vendor YANG schema element.
type Component_Transceiver_VendorPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorPartPath represents the /openconfig-platform/components/component/transceiver/state/vendor-part YANG schema element.
type Component_Transceiver_VendorPartPath struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorPartPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/vendor-part YANG schema element.
type Component_Transceiver_VendorPartPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorRevPath represents the /openconfig-platform/components/component/transceiver/state/vendor-rev YANG schema element.
type Component_Transceiver_VendorRevPath struct {
	*ygot.NodePath
}

// Component_Transceiver_VendorRevPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/vendor-rev YANG schema element.
type Component_Transceiver_VendorRevPathAny struct {
	*ygot.NodePath
}

// ChannelAny returns from Component_TransceiverPath the path struct for its child "channel".
func (n *Component_TransceiverPath) ChannelAny() *Component_Transceiver_ChannelPathAny {
	return &Component_Transceiver_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"physical-channels", "channel"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ChannelAny returns from Component_TransceiverPathAny the path struct for its child "channel".
func (n *Component_TransceiverPathAny) ChannelAny() *Component_Transceiver_ChannelPathAny {
	return &Component_Transceiver_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"physical-channels", "channel"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Channel returns from Component_TransceiverPath the path struct for its child "channel".
// Index: uint16
func (n *Component_TransceiverPath) Channel(Index uint16) *Component_Transceiver_ChannelPath {
	return &Component_Transceiver_ChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"physical-channels", "channel"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Channel returns from Component_TransceiverPathAny the path struct for its child "channel".
// Index: uint16
func (n *Component_TransceiverPathAny) Channel(Index uint16) *Component_Transceiver_ChannelPathAny {
	return &Component_Transceiver_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"physical-channels", "channel"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ConnectorType returns from Component_TransceiverPath the path struct for its child "connector-type".
func (n *Component_TransceiverPath) ConnectorType() *Component_Transceiver_ConnectorTypePath {
	return &Component_Transceiver_ConnectorTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connector-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectorType returns from Component_TransceiverPathAny the path struct for its child "connector-type".
func (n *Component_TransceiverPathAny) ConnectorType() *Component_Transceiver_ConnectorTypePathAny {
	return &Component_Transceiver_ConnectorTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connector-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// DateCode returns from Component_TransceiverPath the path struct for its child "date-code".
func (n *Component_TransceiverPath) DateCode() *Component_Transceiver_DateCodePath {
	return &Component_Transceiver_DateCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "date-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// DateCode returns from Component_TransceiverPathAny the path struct for its child "date-code".
func (n *Component_TransceiverPathAny) DateCode() *Component_Transceiver_DateCodePathAny {
	return &Component_Transceiver_DateCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "date-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Component_TransceiverPath the path struct for its child "enabled".
func (n *Component_TransceiverPath) Enabled() *Component_Transceiver_EnabledPath {
	return &Component_Transceiver_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Component_TransceiverPathAny the path struct for its child "enabled".
func (n *Component_TransceiverPathAny) Enabled() *Component_Transceiver_EnabledPathAny {
	return &Component_Transceiver_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// EthernetPmd returns from Component_TransceiverPath the path struct for its child "ethernet-pmd".
func (n *Component_TransceiverPath) EthernetPmd() *Component_Transceiver_EthernetPmdPath {
	return &Component_Transceiver_EthernetPmdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ethernet-pmd"},
			map[string]interface{}{},
			n,
		),
	}
}

// EthernetPmd returns from Component_TransceiverPathAny the path struct for its child "ethernet-pmd".
func (n *Component_TransceiverPathAny) EthernetPmd() *Component_Transceiver_EthernetPmdPathAny {
	return &Component_Transceiver_EthernetPmdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ethernet-pmd"},
			map[string]interface{}{},
			n,
		),
	}
}

// EthernetPmdPreconf returns from Component_TransceiverPath the path struct for its child "ethernet-pmd-preconf".
func (n *Component_TransceiverPath) EthernetPmdPreconf() *Component_Transceiver_EthernetPmdPreconfPath {
	return &Component_Transceiver_EthernetPmdPreconfPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethernet-pmd-preconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// EthernetPmdPreconf returns from Component_TransceiverPathAny the path struct for its child "ethernet-pmd-preconf".
func (n *Component_TransceiverPathAny) EthernetPmdPreconf() *Component_Transceiver_EthernetPmdPreconfPathAny {
	return &Component_Transceiver_EthernetPmdPreconfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethernet-pmd-preconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// FaultCondition returns from Component_TransceiverPath the path struct for its child "fault-condition".
func (n *Component_TransceiverPath) FaultCondition() *Component_Transceiver_FaultConditionPath {
	return &Component_Transceiver_FaultConditionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fault-condition"},
			map[string]interface{}{},
			n,
		),
	}
}

// FaultCondition returns from Component_TransceiverPathAny the path struct for its child "fault-condition".
func (n *Component_TransceiverPathAny) FaultCondition() *Component_Transceiver_FaultConditionPathAny {
	return &Component_Transceiver_FaultConditionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fault-condition"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBits returns from Component_TransceiverPath the path struct for its child "fec-corrected-bits".
func (n *Component_TransceiverPath) FecCorrectedBits() *Component_Transceiver_FecCorrectedBitsPath {
	return &Component_Transceiver_FecCorrectedBitsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bits"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBits returns from Component_TransceiverPathAny the path struct for its child "fec-corrected-bits".
func (n *Component_TransceiverPathAny) FecCorrectedBits() *Component_Transceiver_FecCorrectedBitsPathAny {
	return &Component_Transceiver_FecCorrectedBitsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bits"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBytes returns from Component_TransceiverPath the path struct for its child "fec-corrected-bytes".
func (n *Component_TransceiverPath) FecCorrectedBytes() *Component_Transceiver_FecCorrectedBytesPath {
	return &Component_Transceiver_FecCorrectedBytesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBytes returns from Component_TransceiverPathAny the path struct for its child "fec-corrected-bytes".
func (n *Component_TransceiverPathAny) FecCorrectedBytes() *Component_Transceiver_FecCorrectedBytesPathAny {
	return &Component_Transceiver_FecCorrectedBytesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecMode returns from Component_TransceiverPath the path struct for its child "fec-mode".
func (n *Component_TransceiverPath) FecMode() *Component_Transceiver_FecModePath {
	return &Component_Transceiver_FecModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fec-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecMode returns from Component_TransceiverPathAny the path struct for its child "fec-mode".
func (n *Component_TransceiverPathAny) FecMode() *Component_Transceiver_FecModePathAny {
	return &Component_Transceiver_FecModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fec-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecStatus returns from Component_TransceiverPath the path struct for its child "fec-status".
func (n *Component_TransceiverPath) FecStatus() *Component_Transceiver_FecStatusPath {
	return &Component_Transceiver_FecStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecStatus returns from Component_TransceiverPathAny the path struct for its child "fec-status".
func (n *Component_TransceiverPathAny) FecStatus() *Component_Transceiver_FecStatusPathAny {
	return &Component_Transceiver_FecStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableBlocks returns from Component_TransceiverPath the path struct for its child "fec-uncorrectable-blocks".
func (n *Component_TransceiverPath) FecUncorrectableBlocks() *Component_Transceiver_FecUncorrectableBlocksPath {
	return &Component_Transceiver_FecUncorrectableBlocksPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableBlocks returns from Component_TransceiverPathAny the path struct for its child "fec-uncorrectable-blocks".
func (n *Component_TransceiverPathAny) FecUncorrectableBlocks() *Component_Transceiver_FecUncorrectableBlocksPathAny {
	return &Component_Transceiver_FecUncorrectableBlocksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableWords returns from Component_TransceiverPath the path struct for its child "fec-uncorrectable-words".
func (n *Component_TransceiverPath) FecUncorrectableWords() *Component_Transceiver_FecUncorrectableWordsPath {
	return &Component_Transceiver_FecUncorrectableWordsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-words"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableWords returns from Component_TransceiverPathAny the path struct for its child "fec-uncorrectable-words".
func (n *Component_TransceiverPathAny) FecUncorrectableWords() *Component_Transceiver_FecUncorrectableWordsPathAny {
	return &Component_Transceiver_FecUncorrectableWordsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-words"},
			map[string]interface{}{},
			n,
		),
	}
}

// FormFactor returns from Component_TransceiverPath the path struct for its child "form-factor".
func (n *Component_TransceiverPath) FormFactor() *Component_Transceiver_FormFactorPath {
	return &Component_Transceiver_FormFactorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "form-factor"},
			map[string]interface{}{},
			n,
		),
	}
}

// FormFactor returns from Component_TransceiverPathAny the path struct for its child "form-factor".
func (n *Component_TransceiverPathAny) FormFactor() *Component_Transceiver_FormFactorPathAny {
	return &Component_Transceiver_FormFactorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "form-factor"},
			map[string]interface{}{},
			n,
		),
	}
}

// FormFactorPreconf returns from Component_TransceiverPath the path struct for its child "form-factor-preconf".
func (n *Component_TransceiverPath) FormFactorPreconf() *Component_Transceiver_FormFactorPreconfPath {
	return &Component_Transceiver_FormFactorPreconfPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "form-factor-preconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// FormFactorPreconf returns from Component_TransceiverPathAny the path struct for its child "form-factor-preconf".
func (n *Component_TransceiverPathAny) FormFactorPreconf() *Component_Transceiver_FormFactorPreconfPathAny {
	return &Component_Transceiver_FormFactorPreconfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "form-factor-preconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_TransceiverPath the path struct for its child "input-power".
func (n *Component_TransceiverPath) InputPower() *Component_Transceiver_InputPowerPath {
	return &Component_Transceiver_InputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_TransceiverPathAny the path struct for its child "input-power".
func (n *Component_TransceiverPathAny) InputPower() *Component_Transceiver_InputPowerPathAny {
	return &Component_Transceiver_InputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_TransceiverPath the path struct for its child "laser-bias-current".
func (n *Component_TransceiverPath) LaserBiasCurrent() *Component_Transceiver_LaserBiasCurrentPath {
	return &Component_Transceiver_LaserBiasCurrentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_TransceiverPathAny the path struct for its child "laser-bias-current".
func (n *Component_TransceiverPathAny) LaserBiasCurrent() *Component_Transceiver_LaserBiasCurrentPathAny {
	return &Component_Transceiver_LaserBiasCurrentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// OtnComplianceCode returns from Component_TransceiverPath the path struct for its child "otn-compliance-code".
func (n *Component_TransceiverPath) OtnComplianceCode() *Component_Transceiver_OtnComplianceCodePath {
	return &Component_Transceiver_OtnComplianceCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "otn-compliance-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// OtnComplianceCode returns from Component_TransceiverPathAny the path struct for its child "otn-compliance-code".
func (n *Component_TransceiverPathAny) OtnComplianceCode() *Component_Transceiver_OtnComplianceCodePathAny {
	return &Component_Transceiver_OtnComplianceCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "otn-compliance-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_TransceiverPath the path struct for its child "output-power".
func (n *Component_TransceiverPath) OutputPower() *Component_Transceiver_OutputPowerPath {
	return &Component_Transceiver_OutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_TransceiverPathAny the path struct for its child "output-power".
func (n *Component_TransceiverPathAny) OutputPower() *Component_Transceiver_OutputPowerPathAny {
	return &Component_Transceiver_OutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostFecBer returns from Component_TransceiverPath the path struct for its child "post-fec-ber".
func (n *Component_TransceiverPath) PostFecBer() *Component_Transceiver_PostFecBerPath {
	return &Component_Transceiver_PostFecBerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "post-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostFecBer returns from Component_TransceiverPathAny the path struct for its child "post-fec-ber".
func (n *Component_TransceiverPathAny) PostFecBer() *Component_Transceiver_PostFecBerPathAny {
	return &Component_Transceiver_PostFecBerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "post-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreFecBer returns from Component_TransceiverPath the path struct for its child "pre-fec-ber".
func (n *Component_TransceiverPath) PreFecBer() *Component_Transceiver_PreFecBerPath {
	return &Component_Transceiver_PreFecBerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pre-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreFecBer returns from Component_TransceiverPathAny the path struct for its child "pre-fec-ber".
func (n *Component_TransceiverPathAny) PreFecBer() *Component_Transceiver_PreFecBerPathAny {
	return &Component_Transceiver_PreFecBerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pre-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// Present returns from Component_TransceiverPath the path struct for its child "present".
func (n *Component_TransceiverPath) Present() *Component_Transceiver_PresentPath {
	return &Component_Transceiver_PresentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "present"},
			map[string]interface{}{},
			n,
		),
	}
}

// Present returns from Component_TransceiverPathAny the path struct for its child "present".
func (n *Component_TransceiverPathAny) Present() *Component_Transceiver_PresentPathAny {
	return &Component_Transceiver_PresentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "present"},
			map[string]interface{}{},
			n,
		),
	}
}

// SerialNo returns from Component_TransceiverPath the path struct for its child "serial-no".
func (n *Component_TransceiverPath) SerialNo() *Component_Transceiver_SerialNoPath {
	return &Component_Transceiver_SerialNoPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "serial-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// SerialNo returns from Component_TransceiverPathAny the path struct for its child "serial-no".
func (n *Component_TransceiverPathAny) SerialNo() *Component_Transceiver_SerialNoPathAny {
	return &Component_Transceiver_SerialNoPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "serial-no"},
			map[string]interface{}{},
			n,
		),
	}
}

// SonetSdhComplianceCode returns from Component_TransceiverPath the path struct for its child "sonet-sdh-compliance-code".
func (n *Component_TransceiverPath) SonetSdhComplianceCode() *Component_Transceiver_SonetSdhComplianceCodePath {
	return &Component_Transceiver_SonetSdhComplianceCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sonet-sdh-compliance-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// SonetSdhComplianceCode returns from Component_TransceiverPathAny the path struct for its child "sonet-sdh-compliance-code".
func (n *Component_TransceiverPathAny) SonetSdhComplianceCode() *Component_Transceiver_SonetSdhComplianceCodePathAny {
	return &Component_Transceiver_SonetSdhComplianceCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sonet-sdh-compliance-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vendor returns from Component_TransceiverPath the path struct for its child "vendor".
func (n *Component_TransceiverPath) Vendor() *Component_Transceiver_VendorPath {
	return &Component_Transceiver_VendorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vendor returns from Component_TransceiverPathAny the path struct for its child "vendor".
func (n *Component_TransceiverPathAny) Vendor() *Component_Transceiver_VendorPathAny {
	return &Component_Transceiver_VendorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorPart returns from Component_TransceiverPath the path struct for its child "vendor-part".
func (n *Component_TransceiverPath) VendorPart() *Component_Transceiver_VendorPartPath {
	return &Component_Transceiver_VendorPartPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-part"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorPart returns from Component_TransceiverPathAny the path struct for its child "vendor-part".
func (n *Component_TransceiverPathAny) VendorPart() *Component_Transceiver_VendorPartPathAny {
	return &Component_Transceiver_VendorPartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-part"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorRev returns from Component_TransceiverPath the path struct for its child "vendor-rev".
func (n *Component_TransceiverPath) VendorRev() *Component_Transceiver_VendorRevPath {
	return &Component_Transceiver_VendorRevPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-rev"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorRev returns from Component_TransceiverPathAny the path struct for its child "vendor-rev".
func (n *Component_TransceiverPathAny) VendorRev() *Component_Transceiver_VendorRevPathAny {
	return &Component_Transceiver_VendorRevPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-rev"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_ChannelPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel YANG schema element.
type Component_Transceiver_ChannelPath struct {
	*ygot.NodePath
}

// Component_Transceiver_ChannelPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel YANG schema element.
type Component_Transceiver_ChannelPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_DescriptionPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/description YANG schema element.
type Component_Transceiver_Channel_DescriptionPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_DescriptionPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/description YANG schema element.
type Component_Transceiver_Channel_DescriptionPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_IndexPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/index YANG schema element.
type Component_Transceiver_Channel_IndexPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_IndexPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/index YANG schema element.
type Component_Transceiver_Channel_IndexPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputFrequencyPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-frequency YANG schema element.
type Component_Transceiver_Channel_OutputFrequencyPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputFrequencyPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-frequency YANG schema element.
type Component_Transceiver_Channel_OutputFrequencyPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_TargetOutputPowerPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/target-output-power YANG schema element.
type Component_Transceiver_Channel_TargetOutputPowerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_TargetOutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/target-output-power YANG schema element.
type Component_Transceiver_Channel_TargetOutputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_TxLaserPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/tx-laser YANG schema element.
type Component_Transceiver_Channel_TxLaserPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_TxLaserPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/config/tx-laser YANG schema element.
type Component_Transceiver_Channel_TxLaserPathAny struct {
	*ygot.NodePath
}

// Description returns from Component_Transceiver_ChannelPath the path struct for its child "description".
func (n *Component_Transceiver_ChannelPath) Description() *Component_Transceiver_Channel_DescriptionPath {
	return &Component_Transceiver_Channel_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Component_Transceiver_ChannelPathAny the path struct for its child "description".
func (n *Component_Transceiver_ChannelPathAny) Description() *Component_Transceiver_Channel_DescriptionPathAny {
	return &Component_Transceiver_Channel_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Component_Transceiver_ChannelPath the path struct for its child "index".
func (n *Component_Transceiver_ChannelPath) Index() *Component_Transceiver_Channel_IndexPath {
	return &Component_Transceiver_Channel_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Component_Transceiver_ChannelPathAny the path struct for its child "index".
func (n *Component_Transceiver_ChannelPathAny) Index() *Component_Transceiver_Channel_IndexPathAny {
	return &Component_Transceiver_Channel_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_Transceiver_ChannelPath the path struct for its child "input-power".
func (n *Component_Transceiver_ChannelPath) InputPower() *Component_Transceiver_Channel_InputPowerPath {
	return &Component_Transceiver_Channel_InputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from Component_Transceiver_ChannelPathAny the path struct for its child "input-power".
func (n *Component_Transceiver_ChannelPathAny) InputPower() *Component_Transceiver_Channel_InputPowerPathAny {
	return &Component_Transceiver_Channel_InputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_Transceiver_ChannelPath the path struct for its child "laser-bias-current".
func (n *Component_Transceiver_ChannelPath) LaserBiasCurrent() *Component_Transceiver_Channel_LaserBiasCurrentPath {
	return &Component_Transceiver_Channel_LaserBiasCurrentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from Component_Transceiver_ChannelPathAny the path struct for its child "laser-bias-current".
func (n *Component_Transceiver_ChannelPathAny) LaserBiasCurrent() *Component_Transceiver_Channel_LaserBiasCurrentPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputFrequency returns from Component_Transceiver_ChannelPath the path struct for its child "output-frequency".
func (n *Component_Transceiver_ChannelPath) OutputFrequency() *Component_Transceiver_Channel_OutputFrequencyPath {
	return &Component_Transceiver_Channel_OutputFrequencyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputFrequency returns from Component_Transceiver_ChannelPathAny the path struct for its child "output-frequency".
func (n *Component_Transceiver_ChannelPathAny) OutputFrequency() *Component_Transceiver_Channel_OutputFrequencyPathAny {
	return &Component_Transceiver_Channel_OutputFrequencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_Transceiver_ChannelPath the path struct for its child "output-power".
func (n *Component_Transceiver_ChannelPath) OutputPower() *Component_Transceiver_Channel_OutputPowerPath {
	return &Component_Transceiver_Channel_OutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from Component_Transceiver_ChannelPathAny the path struct for its child "output-power".
func (n *Component_Transceiver_ChannelPathAny) OutputPower() *Component_Transceiver_Channel_OutputPowerPathAny {
	return &Component_Transceiver_Channel_OutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from Component_Transceiver_ChannelPath the path struct for its child "target-output-power".
func (n *Component_Transceiver_ChannelPath) TargetOutputPower() *Component_Transceiver_Channel_TargetOutputPowerPath {
	return &Component_Transceiver_Channel_TargetOutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from Component_Transceiver_ChannelPathAny the path struct for its child "target-output-power".
func (n *Component_Transceiver_ChannelPathAny) TargetOutputPower() *Component_Transceiver_Channel_TargetOutputPowerPathAny {
	return &Component_Transceiver_Channel_TargetOutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TxLaser returns from Component_Transceiver_ChannelPath the path struct for its child "tx-laser".
func (n *Component_Transceiver_ChannelPath) TxLaser() *Component_Transceiver_Channel_TxLaserPath {
	return &Component_Transceiver_Channel_TxLaserPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tx-laser"},
			map[string]interface{}{},
			n,
		),
	}
}

// TxLaser returns from Component_Transceiver_ChannelPathAny the path struct for its child "tx-laser".
func (n *Component_Transceiver_ChannelPathAny) TxLaser() *Component_Transceiver_Channel_TxLaserPathAny {
	return &Component_Transceiver_Channel_TxLaserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tx-laser"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_Channel_InputPowerPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power YANG schema element.
type Component_Transceiver_Channel_InputPowerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power YANG schema element.
type Component_Transceiver_Channel_InputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_AvgPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/avg YANG schema element.
type Component_Transceiver_Channel_InputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/avg YANG schema element.
type Component_Transceiver_Channel_InputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_InstantPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/instant YANG schema element.
type Component_Transceiver_Channel_InputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/instant YANG schema element.
type Component_Transceiver_Channel_InputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_IntervalPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/interval YANG schema element.
type Component_Transceiver_Channel_InputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/interval YANG schema element.
type Component_Transceiver_Channel_InputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MaxPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/max YANG schema element.
type Component_Transceiver_Channel_InputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/max YANG schema element.
type Component_Transceiver_Channel_InputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MaxTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/max-time YANG schema element.
type Component_Transceiver_Channel_InputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/max-time YANG schema element.
type Component_Transceiver_Channel_InputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MinPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/min YANG schema element.
type Component_Transceiver_Channel_InputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/min YANG schema element.
type Component_Transceiver_Channel_InputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MinTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/min-time YANG schema element.
type Component_Transceiver_Channel_InputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_InputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/input-power/min-time YANG schema element.
type Component_Transceiver_Channel_InputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "avg".
func (n *Component_Transceiver_Channel_InputPowerPath) Avg() *Component_Transceiver_Channel_InputPower_AvgPath {
	return &Component_Transceiver_Channel_InputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_Channel_InputPowerPathAny) Avg() *Component_Transceiver_Channel_InputPower_AvgPathAny {
	return &Component_Transceiver_Channel_InputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "instant".
func (n *Component_Transceiver_Channel_InputPowerPath) Instant() *Component_Transceiver_Channel_InputPower_InstantPath {
	return &Component_Transceiver_Channel_InputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_Channel_InputPowerPathAny) Instant() *Component_Transceiver_Channel_InputPower_InstantPathAny {
	return &Component_Transceiver_Channel_InputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "interval".
func (n *Component_Transceiver_Channel_InputPowerPath) Interval() *Component_Transceiver_Channel_InputPower_IntervalPath {
	return &Component_Transceiver_Channel_InputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_Channel_InputPowerPathAny) Interval() *Component_Transceiver_Channel_InputPower_IntervalPathAny {
	return &Component_Transceiver_Channel_InputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "max".
func (n *Component_Transceiver_Channel_InputPowerPath) Max() *Component_Transceiver_Channel_InputPower_MaxPath {
	return &Component_Transceiver_Channel_InputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "max".
func (n *Component_Transceiver_Channel_InputPowerPathAny) Max() *Component_Transceiver_Channel_InputPower_MaxPathAny {
	return &Component_Transceiver_Channel_InputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_InputPowerPath) MaxTime() *Component_Transceiver_Channel_InputPower_MaxTimePath {
	return &Component_Transceiver_Channel_InputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_InputPowerPathAny) MaxTime() *Component_Transceiver_Channel_InputPower_MaxTimePathAny {
	return &Component_Transceiver_Channel_InputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "min".
func (n *Component_Transceiver_Channel_InputPowerPath) Min() *Component_Transceiver_Channel_InputPower_MinPath {
	return &Component_Transceiver_Channel_InputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "min".
func (n *Component_Transceiver_Channel_InputPowerPathAny) Min() *Component_Transceiver_Channel_InputPower_MinPathAny {
	return &Component_Transceiver_Channel_InputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_InputPowerPath the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_InputPowerPath) MinTime() *Component_Transceiver_Channel_InputPower_MinTimePath {
	return &Component_Transceiver_Channel_InputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_InputPowerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_InputPowerPathAny) MinTime() *Component_Transceiver_Channel_InputPower_MinTimePathAny {
	return &Component_Transceiver_Channel_InputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_Channel_LaserBiasCurrentPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrentPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrentPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrentPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_AvgPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/avg YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/avg YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_InstantPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/instant YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/instant YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_IntervalPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/interval YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/interval YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MaxPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/max YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/max YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/max-time YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/max-time YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MinPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/min YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/min YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MinTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/min-time YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_LaserBiasCurrent_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/laser-bias-current/min-time YANG schema element.
type Component_Transceiver_Channel_LaserBiasCurrent_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "avg".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) Avg() *Component_Transceiver_Channel_LaserBiasCurrent_AvgPath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "avg".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) Avg() *Component_Transceiver_Channel_LaserBiasCurrent_AvgPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "instant".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) Instant() *Component_Transceiver_Channel_LaserBiasCurrent_InstantPath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "instant".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) Instant() *Component_Transceiver_Channel_LaserBiasCurrent_InstantPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "interval".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) Interval() *Component_Transceiver_Channel_LaserBiasCurrent_IntervalPath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "interval".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) Interval() *Component_Transceiver_Channel_LaserBiasCurrent_IntervalPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "max".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) Max() *Component_Transceiver_Channel_LaserBiasCurrent_MaxPath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "max".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) Max() *Component_Transceiver_Channel_LaserBiasCurrent_MaxPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) MaxTime() *Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) MaxTime() *Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "min".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) Min() *Component_Transceiver_Channel_LaserBiasCurrent_MinPath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "min".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) Min() *Component_Transceiver_Channel_LaserBiasCurrent_MinPathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_LaserBiasCurrentPath the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPath) MinTime() *Component_Transceiver_Channel_LaserBiasCurrent_MinTimePath {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_LaserBiasCurrentPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_LaserBiasCurrentPathAny) MinTime() *Component_Transceiver_Channel_LaserBiasCurrent_MinTimePathAny {
	return &Component_Transceiver_Channel_LaserBiasCurrent_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_Channel_OutputPowerPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power YANG schema element.
type Component_Transceiver_Channel_OutputPowerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power YANG schema element.
type Component_Transceiver_Channel_OutputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_AvgPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/avg YANG schema element.
type Component_Transceiver_Channel_OutputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/avg YANG schema element.
type Component_Transceiver_Channel_OutputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_InstantPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/instant YANG schema element.
type Component_Transceiver_Channel_OutputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/instant YANG schema element.
type Component_Transceiver_Channel_OutputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_IntervalPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/interval YANG schema element.
type Component_Transceiver_Channel_OutputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/interval YANG schema element.
type Component_Transceiver_Channel_OutputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MaxPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/max YANG schema element.
type Component_Transceiver_Channel_OutputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/max YANG schema element.
type Component_Transceiver_Channel_OutputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MaxTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/max-time YANG schema element.
type Component_Transceiver_Channel_OutputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/max-time YANG schema element.
type Component_Transceiver_Channel_OutputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MinPath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/min YANG schema element.
type Component_Transceiver_Channel_OutputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/min YANG schema element.
type Component_Transceiver_Channel_OutputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MinTimePath represents the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/min-time YANG schema element.
type Component_Transceiver_Channel_OutputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_Channel_OutputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/physical-channels/channel/state/output-power/min-time YANG schema element.
type Component_Transceiver_Channel_OutputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "avg".
func (n *Component_Transceiver_Channel_OutputPowerPath) Avg() *Component_Transceiver_Channel_OutputPower_AvgPath {
	return &Component_Transceiver_Channel_OutputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) Avg() *Component_Transceiver_Channel_OutputPower_AvgPathAny {
	return &Component_Transceiver_Channel_OutputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "instant".
func (n *Component_Transceiver_Channel_OutputPowerPath) Instant() *Component_Transceiver_Channel_OutputPower_InstantPath {
	return &Component_Transceiver_Channel_OutputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) Instant() *Component_Transceiver_Channel_OutputPower_InstantPathAny {
	return &Component_Transceiver_Channel_OutputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "interval".
func (n *Component_Transceiver_Channel_OutputPowerPath) Interval() *Component_Transceiver_Channel_OutputPower_IntervalPath {
	return &Component_Transceiver_Channel_OutputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) Interval() *Component_Transceiver_Channel_OutputPower_IntervalPathAny {
	return &Component_Transceiver_Channel_OutputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "max".
func (n *Component_Transceiver_Channel_OutputPowerPath) Max() *Component_Transceiver_Channel_OutputPower_MaxPath {
	return &Component_Transceiver_Channel_OutputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "max".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) Max() *Component_Transceiver_Channel_OutputPower_MaxPathAny {
	return &Component_Transceiver_Channel_OutputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_OutputPowerPath) MaxTime() *Component_Transceiver_Channel_OutputPower_MaxTimePath {
	return &Component_Transceiver_Channel_OutputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) MaxTime() *Component_Transceiver_Channel_OutputPower_MaxTimePathAny {
	return &Component_Transceiver_Channel_OutputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "min".
func (n *Component_Transceiver_Channel_OutputPowerPath) Min() *Component_Transceiver_Channel_OutputPower_MinPath {
	return &Component_Transceiver_Channel_OutputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "min".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) Min() *Component_Transceiver_Channel_OutputPower_MinPathAny {
	return &Component_Transceiver_Channel_OutputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_OutputPowerPath the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_OutputPowerPath) MinTime() *Component_Transceiver_Channel_OutputPower_MinTimePath {
	return &Component_Transceiver_Channel_OutputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_Channel_OutputPowerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_Channel_OutputPowerPathAny) MinTime() *Component_Transceiver_Channel_OutputPower_MinTimePathAny {
	return &Component_Transceiver_Channel_OutputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_InputPowerPath represents the /openconfig-platform/components/component/transceiver/state/input-power YANG schema element.
type Component_Transceiver_InputPowerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power YANG schema element.
type Component_Transceiver_InputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_AvgPath represents the /openconfig-platform/components/component/transceiver/state/input-power/avg YANG schema element.
type Component_Transceiver_InputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/avg YANG schema element.
type Component_Transceiver_InputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_InstantPath represents the /openconfig-platform/components/component/transceiver/state/input-power/instant YANG schema element.
type Component_Transceiver_InputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/instant YANG schema element.
type Component_Transceiver_InputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_IntervalPath represents the /openconfig-platform/components/component/transceiver/state/input-power/interval YANG schema element.
type Component_Transceiver_InputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/interval YANG schema element.
type Component_Transceiver_InputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MaxPath represents the /openconfig-platform/components/component/transceiver/state/input-power/max YANG schema element.
type Component_Transceiver_InputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/max YANG schema element.
type Component_Transceiver_InputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MaxTimePath represents the /openconfig-platform/components/component/transceiver/state/input-power/max-time YANG schema element.
type Component_Transceiver_InputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/max-time YANG schema element.
type Component_Transceiver_InputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MinPath represents the /openconfig-platform/components/component/transceiver/state/input-power/min YANG schema element.
type Component_Transceiver_InputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/min YANG schema element.
type Component_Transceiver_InputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MinTimePath represents the /openconfig-platform/components/component/transceiver/state/input-power/min-time YANG schema element.
type Component_Transceiver_InputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_InputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/input-power/min-time YANG schema element.
type Component_Transceiver_InputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_InputPowerPath the path struct for its child "avg".
func (n *Component_Transceiver_InputPowerPath) Avg() *Component_Transceiver_InputPower_AvgPath {
	return &Component_Transceiver_InputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_InputPowerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_InputPowerPathAny) Avg() *Component_Transceiver_InputPower_AvgPathAny {
	return &Component_Transceiver_InputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_InputPowerPath the path struct for its child "instant".
func (n *Component_Transceiver_InputPowerPath) Instant() *Component_Transceiver_InputPower_InstantPath {
	return &Component_Transceiver_InputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_InputPowerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_InputPowerPathAny) Instant() *Component_Transceiver_InputPower_InstantPathAny {
	return &Component_Transceiver_InputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_InputPowerPath the path struct for its child "interval".
func (n *Component_Transceiver_InputPowerPath) Interval() *Component_Transceiver_InputPower_IntervalPath {
	return &Component_Transceiver_InputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_InputPowerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_InputPowerPathAny) Interval() *Component_Transceiver_InputPower_IntervalPathAny {
	return &Component_Transceiver_InputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_InputPowerPath the path struct for its child "max".
func (n *Component_Transceiver_InputPowerPath) Max() *Component_Transceiver_InputPower_MaxPath {
	return &Component_Transceiver_InputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_InputPowerPathAny the path struct for its child "max".
func (n *Component_Transceiver_InputPowerPathAny) Max() *Component_Transceiver_InputPower_MaxPathAny {
	return &Component_Transceiver_InputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_InputPowerPath the path struct for its child "max-time".
func (n *Component_Transceiver_InputPowerPath) MaxTime() *Component_Transceiver_InputPower_MaxTimePath {
	return &Component_Transceiver_InputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_InputPowerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_InputPowerPathAny) MaxTime() *Component_Transceiver_InputPower_MaxTimePathAny {
	return &Component_Transceiver_InputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_InputPowerPath the path struct for its child "min".
func (n *Component_Transceiver_InputPowerPath) Min() *Component_Transceiver_InputPower_MinPath {
	return &Component_Transceiver_InputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_InputPowerPathAny the path struct for its child "min".
func (n *Component_Transceiver_InputPowerPathAny) Min() *Component_Transceiver_InputPower_MinPathAny {
	return &Component_Transceiver_InputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_InputPowerPath the path struct for its child "min-time".
func (n *Component_Transceiver_InputPowerPath) MinTime() *Component_Transceiver_InputPower_MinTimePath {
	return &Component_Transceiver_InputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_InputPowerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_InputPowerPathAny) MinTime() *Component_Transceiver_InputPower_MinTimePathAny {
	return &Component_Transceiver_InputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_LaserBiasCurrentPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current YANG schema element.
type Component_Transceiver_LaserBiasCurrentPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrentPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current YANG schema element.
type Component_Transceiver_LaserBiasCurrentPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_AvgPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/avg YANG schema element.
type Component_Transceiver_LaserBiasCurrent_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/avg YANG schema element.
type Component_Transceiver_LaserBiasCurrent_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_InstantPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/instant YANG schema element.
type Component_Transceiver_LaserBiasCurrent_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/instant YANG schema element.
type Component_Transceiver_LaserBiasCurrent_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_IntervalPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/interval YANG schema element.
type Component_Transceiver_LaserBiasCurrent_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/interval YANG schema element.
type Component_Transceiver_LaserBiasCurrent_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MaxPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/max YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/max YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MaxTimePath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/max-time YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/max-time YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MinPath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/min YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/min YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MinTimePath represents the /openconfig-platform/components/component/transceiver/state/laser-bias-current/min-time YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_LaserBiasCurrent_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/laser-bias-current/min-time YANG schema element.
type Component_Transceiver_LaserBiasCurrent_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "avg".
func (n *Component_Transceiver_LaserBiasCurrentPath) Avg() *Component_Transceiver_LaserBiasCurrent_AvgPath {
	return &Component_Transceiver_LaserBiasCurrent_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "avg".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) Avg() *Component_Transceiver_LaserBiasCurrent_AvgPathAny {
	return &Component_Transceiver_LaserBiasCurrent_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "instant".
func (n *Component_Transceiver_LaserBiasCurrentPath) Instant() *Component_Transceiver_LaserBiasCurrent_InstantPath {
	return &Component_Transceiver_LaserBiasCurrent_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "instant".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) Instant() *Component_Transceiver_LaserBiasCurrent_InstantPathAny {
	return &Component_Transceiver_LaserBiasCurrent_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "interval".
func (n *Component_Transceiver_LaserBiasCurrentPath) Interval() *Component_Transceiver_LaserBiasCurrent_IntervalPath {
	return &Component_Transceiver_LaserBiasCurrent_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "interval".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) Interval() *Component_Transceiver_LaserBiasCurrent_IntervalPathAny {
	return &Component_Transceiver_LaserBiasCurrent_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "max".
func (n *Component_Transceiver_LaserBiasCurrentPath) Max() *Component_Transceiver_LaserBiasCurrent_MaxPath {
	return &Component_Transceiver_LaserBiasCurrent_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "max".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) Max() *Component_Transceiver_LaserBiasCurrent_MaxPathAny {
	return &Component_Transceiver_LaserBiasCurrent_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "max-time".
func (n *Component_Transceiver_LaserBiasCurrentPath) MaxTime() *Component_Transceiver_LaserBiasCurrent_MaxTimePath {
	return &Component_Transceiver_LaserBiasCurrent_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) MaxTime() *Component_Transceiver_LaserBiasCurrent_MaxTimePathAny {
	return &Component_Transceiver_LaserBiasCurrent_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "min".
func (n *Component_Transceiver_LaserBiasCurrentPath) Min() *Component_Transceiver_LaserBiasCurrent_MinPath {
	return &Component_Transceiver_LaserBiasCurrent_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "min".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) Min() *Component_Transceiver_LaserBiasCurrent_MinPathAny {
	return &Component_Transceiver_LaserBiasCurrent_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_LaserBiasCurrentPath the path struct for its child "min-time".
func (n *Component_Transceiver_LaserBiasCurrentPath) MinTime() *Component_Transceiver_LaserBiasCurrent_MinTimePath {
	return &Component_Transceiver_LaserBiasCurrent_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_LaserBiasCurrentPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_LaserBiasCurrentPathAny) MinTime() *Component_Transceiver_LaserBiasCurrent_MinTimePathAny {
	return &Component_Transceiver_LaserBiasCurrent_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_OutputPowerPath represents the /openconfig-platform/components/component/transceiver/state/output-power YANG schema element.
type Component_Transceiver_OutputPowerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPowerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power YANG schema element.
type Component_Transceiver_OutputPowerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_AvgPath represents the /openconfig-platform/components/component/transceiver/state/output-power/avg YANG schema element.
type Component_Transceiver_OutputPower_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/avg YANG schema element.
type Component_Transceiver_OutputPower_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_InstantPath represents the /openconfig-platform/components/component/transceiver/state/output-power/instant YANG schema element.
type Component_Transceiver_OutputPower_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/instant YANG schema element.
type Component_Transceiver_OutputPower_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_IntervalPath represents the /openconfig-platform/components/component/transceiver/state/output-power/interval YANG schema element.
type Component_Transceiver_OutputPower_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/interval YANG schema element.
type Component_Transceiver_OutputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MaxPath represents the /openconfig-platform/components/component/transceiver/state/output-power/max YANG schema element.
type Component_Transceiver_OutputPower_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/max YANG schema element.
type Component_Transceiver_OutputPower_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MaxTimePath represents the /openconfig-platform/components/component/transceiver/state/output-power/max-time YANG schema element.
type Component_Transceiver_OutputPower_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/max-time YANG schema element.
type Component_Transceiver_OutputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MinPath represents the /openconfig-platform/components/component/transceiver/state/output-power/min YANG schema element.
type Component_Transceiver_OutputPower_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/min YANG schema element.
type Component_Transceiver_OutputPower_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MinTimePath represents the /openconfig-platform/components/component/transceiver/state/output-power/min-time YANG schema element.
type Component_Transceiver_OutputPower_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_OutputPower_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/output-power/min-time YANG schema element.
type Component_Transceiver_OutputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_OutputPowerPath the path struct for its child "avg".
func (n *Component_Transceiver_OutputPowerPath) Avg() *Component_Transceiver_OutputPower_AvgPath {
	return &Component_Transceiver_OutputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_OutputPowerPathAny) Avg() *Component_Transceiver_OutputPower_AvgPathAny {
	return &Component_Transceiver_OutputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_OutputPowerPath the path struct for its child "instant".
func (n *Component_Transceiver_OutputPowerPath) Instant() *Component_Transceiver_OutputPower_InstantPath {
	return &Component_Transceiver_OutputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_OutputPowerPathAny) Instant() *Component_Transceiver_OutputPower_InstantPathAny {
	return &Component_Transceiver_OutputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_OutputPowerPath the path struct for its child "interval".
func (n *Component_Transceiver_OutputPowerPath) Interval() *Component_Transceiver_OutputPower_IntervalPath {
	return &Component_Transceiver_OutputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_OutputPowerPathAny) Interval() *Component_Transceiver_OutputPower_IntervalPathAny {
	return &Component_Transceiver_OutputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_OutputPowerPath the path struct for its child "max".
func (n *Component_Transceiver_OutputPowerPath) Max() *Component_Transceiver_OutputPower_MaxPath {
	return &Component_Transceiver_OutputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "max".
func (n *Component_Transceiver_OutputPowerPathAny) Max() *Component_Transceiver_OutputPower_MaxPathAny {
	return &Component_Transceiver_OutputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_OutputPowerPath the path struct for its child "max-time".
func (n *Component_Transceiver_OutputPowerPath) MaxTime() *Component_Transceiver_OutputPower_MaxTimePath {
	return &Component_Transceiver_OutputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_OutputPowerPathAny) MaxTime() *Component_Transceiver_OutputPower_MaxTimePathAny {
	return &Component_Transceiver_OutputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_OutputPowerPath the path struct for its child "min".
func (n *Component_Transceiver_OutputPowerPath) Min() *Component_Transceiver_OutputPower_MinPath {
	return &Component_Transceiver_OutputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "min".
func (n *Component_Transceiver_OutputPowerPathAny) Min() *Component_Transceiver_OutputPower_MinPathAny {
	return &Component_Transceiver_OutputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_OutputPowerPath the path struct for its child "min-time".
func (n *Component_Transceiver_OutputPowerPath) MinTime() *Component_Transceiver_OutputPower_MinTimePath {
	return &Component_Transceiver_OutputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_OutputPowerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_OutputPowerPathAny) MinTime() *Component_Transceiver_OutputPower_MinTimePathAny {
	return &Component_Transceiver_OutputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_PostFecBerPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber YANG schema element.
type Component_Transceiver_PostFecBerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber YANG schema element.
type Component_Transceiver_PostFecBerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_AvgPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/avg YANG schema element.
type Component_Transceiver_PostFecBer_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/avg YANG schema element.
type Component_Transceiver_PostFecBer_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_InstantPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/instant YANG schema element.
type Component_Transceiver_PostFecBer_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/instant YANG schema element.
type Component_Transceiver_PostFecBer_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_IntervalPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/interval YANG schema element.
type Component_Transceiver_PostFecBer_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/interval YANG schema element.
type Component_Transceiver_PostFecBer_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MaxPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/max YANG schema element.
type Component_Transceiver_PostFecBer_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/max YANG schema element.
type Component_Transceiver_PostFecBer_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MaxTimePath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/max-time YANG schema element.
type Component_Transceiver_PostFecBer_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/max-time YANG schema element.
type Component_Transceiver_PostFecBer_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MinPath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/min YANG schema element.
type Component_Transceiver_PostFecBer_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/min YANG schema element.
type Component_Transceiver_PostFecBer_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MinTimePath represents the /openconfig-platform/components/component/transceiver/state/post-fec-ber/min-time YANG schema element.
type Component_Transceiver_PostFecBer_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_PostFecBer_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/post-fec-ber/min-time YANG schema element.
type Component_Transceiver_PostFecBer_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_PostFecBerPath the path struct for its child "avg".
func (n *Component_Transceiver_PostFecBerPath) Avg() *Component_Transceiver_PostFecBer_AvgPath {
	return &Component_Transceiver_PostFecBer_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_PostFecBerPathAny) Avg() *Component_Transceiver_PostFecBer_AvgPathAny {
	return &Component_Transceiver_PostFecBer_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_PostFecBerPath the path struct for its child "instant".
func (n *Component_Transceiver_PostFecBerPath) Instant() *Component_Transceiver_PostFecBer_InstantPath {
	return &Component_Transceiver_PostFecBer_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_PostFecBerPathAny) Instant() *Component_Transceiver_PostFecBer_InstantPathAny {
	return &Component_Transceiver_PostFecBer_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_PostFecBerPath the path struct for its child "interval".
func (n *Component_Transceiver_PostFecBerPath) Interval() *Component_Transceiver_PostFecBer_IntervalPath {
	return &Component_Transceiver_PostFecBer_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_PostFecBerPathAny) Interval() *Component_Transceiver_PostFecBer_IntervalPathAny {
	return &Component_Transceiver_PostFecBer_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_PostFecBerPath the path struct for its child "max".
func (n *Component_Transceiver_PostFecBerPath) Max() *Component_Transceiver_PostFecBer_MaxPath {
	return &Component_Transceiver_PostFecBer_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "max".
func (n *Component_Transceiver_PostFecBerPathAny) Max() *Component_Transceiver_PostFecBer_MaxPathAny {
	return &Component_Transceiver_PostFecBer_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_PostFecBerPath the path struct for its child "max-time".
func (n *Component_Transceiver_PostFecBerPath) MaxTime() *Component_Transceiver_PostFecBer_MaxTimePath {
	return &Component_Transceiver_PostFecBer_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_PostFecBerPathAny) MaxTime() *Component_Transceiver_PostFecBer_MaxTimePathAny {
	return &Component_Transceiver_PostFecBer_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_PostFecBerPath the path struct for its child "min".
func (n *Component_Transceiver_PostFecBerPath) Min() *Component_Transceiver_PostFecBer_MinPath {
	return &Component_Transceiver_PostFecBer_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "min".
func (n *Component_Transceiver_PostFecBerPathAny) Min() *Component_Transceiver_PostFecBer_MinPathAny {
	return &Component_Transceiver_PostFecBer_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_PostFecBerPath the path struct for its child "min-time".
func (n *Component_Transceiver_PostFecBerPath) MinTime() *Component_Transceiver_PostFecBer_MinTimePath {
	return &Component_Transceiver_PostFecBer_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_PostFecBerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_PostFecBerPathAny) MinTime() *Component_Transceiver_PostFecBer_MinTimePathAny {
	return &Component_Transceiver_PostFecBer_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component_Transceiver_PreFecBerPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber YANG schema element.
type Component_Transceiver_PreFecBerPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBerPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber YANG schema element.
type Component_Transceiver_PreFecBerPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_AvgPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/avg YANG schema element.
type Component_Transceiver_PreFecBer_AvgPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_AvgPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/avg YANG schema element.
type Component_Transceiver_PreFecBer_AvgPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_InstantPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/instant YANG schema element.
type Component_Transceiver_PreFecBer_InstantPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_InstantPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/instant YANG schema element.
type Component_Transceiver_PreFecBer_InstantPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_IntervalPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/interval YANG schema element.
type Component_Transceiver_PreFecBer_IntervalPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_IntervalPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/interval YANG schema element.
type Component_Transceiver_PreFecBer_IntervalPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MaxPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/max YANG schema element.
type Component_Transceiver_PreFecBer_MaxPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MaxPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/max YANG schema element.
type Component_Transceiver_PreFecBer_MaxPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MaxTimePath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/max-time YANG schema element.
type Component_Transceiver_PreFecBer_MaxTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MaxTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/max-time YANG schema element.
type Component_Transceiver_PreFecBer_MaxTimePathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MinPath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/min YANG schema element.
type Component_Transceiver_PreFecBer_MinPath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MinPathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/min YANG schema element.
type Component_Transceiver_PreFecBer_MinPathAny struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MinTimePath represents the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/min-time YANG schema element.
type Component_Transceiver_PreFecBer_MinTimePath struct {
	*ygot.NodePath
}

// Component_Transceiver_PreFecBer_MinTimePathAny represents the wildcard version of the /openconfig-platform/components/component/transceiver/state/pre-fec-ber/min-time YANG schema element.
type Component_Transceiver_PreFecBer_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from Component_Transceiver_PreFecBerPath the path struct for its child "avg".
func (n *Component_Transceiver_PreFecBerPath) Avg() *Component_Transceiver_PreFecBer_AvgPath {
	return &Component_Transceiver_PreFecBer_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "avg".
func (n *Component_Transceiver_PreFecBerPathAny) Avg() *Component_Transceiver_PreFecBer_AvgPathAny {
	return &Component_Transceiver_PreFecBer_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_PreFecBerPath the path struct for its child "instant".
func (n *Component_Transceiver_PreFecBerPath) Instant() *Component_Transceiver_PreFecBer_InstantPath {
	return &Component_Transceiver_PreFecBer_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "instant".
func (n *Component_Transceiver_PreFecBerPathAny) Instant() *Component_Transceiver_PreFecBer_InstantPathAny {
	return &Component_Transceiver_PreFecBer_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_PreFecBerPath the path struct for its child "interval".
func (n *Component_Transceiver_PreFecBerPath) Interval() *Component_Transceiver_PreFecBer_IntervalPath {
	return &Component_Transceiver_PreFecBer_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "interval".
func (n *Component_Transceiver_PreFecBerPathAny) Interval() *Component_Transceiver_PreFecBer_IntervalPathAny {
	return &Component_Transceiver_PreFecBer_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_PreFecBerPath the path struct for its child "max".
func (n *Component_Transceiver_PreFecBerPath) Max() *Component_Transceiver_PreFecBer_MaxPath {
	return &Component_Transceiver_PreFecBer_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "max".
func (n *Component_Transceiver_PreFecBerPathAny) Max() *Component_Transceiver_PreFecBer_MaxPathAny {
	return &Component_Transceiver_PreFecBer_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_PreFecBerPath the path struct for its child "max-time".
func (n *Component_Transceiver_PreFecBerPath) MaxTime() *Component_Transceiver_PreFecBer_MaxTimePath {
	return &Component_Transceiver_PreFecBer_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "max-time".
func (n *Component_Transceiver_PreFecBerPathAny) MaxTime() *Component_Transceiver_PreFecBer_MaxTimePathAny {
	return &Component_Transceiver_PreFecBer_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_PreFecBerPath the path struct for its child "min".
func (n *Component_Transceiver_PreFecBerPath) Min() *Component_Transceiver_PreFecBer_MinPath {
	return &Component_Transceiver_PreFecBer_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "min".
func (n *Component_Transceiver_PreFecBerPathAny) Min() *Component_Transceiver_PreFecBer_MinPathAny {
	return &Component_Transceiver_PreFecBer_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_PreFecBerPath the path struct for its child "min-time".
func (n *Component_Transceiver_PreFecBerPath) MinTime() *Component_Transceiver_PreFecBer_MinTimePath {
	return &Component_Transceiver_PreFecBer_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from Component_Transceiver_PreFecBerPathAny the path struct for its child "min-time".
func (n *Component_Transceiver_PreFecBerPathAny) MinTime() *Component_Transceiver_PreFecBer_MinTimePathAny {
	return &Component_Transceiver_PreFecBer_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// DevicePath represents the /device YANG schema element.
type DevicePath struct {
	*ygot.DeviceRootBase
}

// DeviceRoot returns a new path object from which YANG paths can be constructed.
func DeviceRoot(id string) *DevicePath {
	return &DevicePath{ygot.NewDeviceRootBase(id)}
}

// Acl returns from DevicePath the path struct for its child "acl".
func (n *DevicePath) Acl() *AclPath {
	return &AclPath{
		NodePath: ygot.NewNodePath(
			[]string{"acl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aps returns from DevicePath the path struct for its child "aps".
func (n *DevicePath) Aps() *ApsPath {
	return &ApsPath{
		NodePath: ygot.NewNodePath(
			[]string{"aps"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp returns from DevicePath the path struct for its child "bgp".
func (n *DevicePath) Bgp() *BgpPath {
	return &BgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"bgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ComponentAny returns from DevicePath the path struct for its child "component".
func (n *DevicePath) ComponentAny() *ComponentPathAny {
	return &ComponentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"components", "component"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Component returns from DevicePath the path struct for its child "component".
// Name: string
func (n *DevicePath) Component(Name string) *ComponentPath {
	return &ComponentPath{
		NodePath: ygot.NewNodePath(
			[]string{"components", "component"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// InterfaceAny returns from DevicePath the path struct for its child "interface".
func (n *DevicePath) InterfaceAny() *InterfacePathAny {
	return &InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from DevicePath the path struct for its child "interface".
// Name: string
func (n *DevicePath) Interface(Name string) *InterfacePath {
	return &InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Lacp returns from DevicePath the path struct for its child "lacp".
func (n *DevicePath) Lacp() *LacpPath {
	return &LacpPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp returns from DevicePath the path struct for its child "lldp".
func (n *DevicePath) Lldp() *LldpPath {
	return &LldpPath{
		NodePath: ygot.NewNodePath(
			[]string{"lldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRoutes returns from DevicePath the path struct for its child "local-routes".
func (n *DevicePath) LocalRoutes() *LocalRoutesPath {
	return &LocalRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"local-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from DevicePath the path struct for its child "messages".
func (n *DevicePath) Messages() *MessagesPath {
	return &MessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstanceAny returns from DevicePath the path struct for its child "network-instance".
func (n *DevicePath) NetworkInstanceAny() *NetworkInstancePathAny {
	return &NetworkInstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"network-instances", "network-instance"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// NetworkInstance returns from DevicePath the path struct for its child "network-instance".
// Name: string
func (n *DevicePath) NetworkInstance(Name string) *NetworkInstancePath {
	return &NetworkInstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"network-instances", "network-instance"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// OpticalAmplifier returns from DevicePath the path struct for its child "optical-amplifier".
func (n *DevicePath) OpticalAmplifier() *OpticalAmplifierPath {
	return &OpticalAmplifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"optical-amplifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent returns from DevicePath the path struct for its child "relay-agent".
func (n *DevicePath) RelayAgent() *RelayAgentPath {
	return &RelayAgentPath{
		NodePath: ygot.NewNodePath(
			[]string{"relay-agent"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy returns from DevicePath the path struct for its child "routing-policy".
func (n *DevicePath) RoutingPolicy() *RoutingPolicyPath {
	return &RoutingPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"routing-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp returns from DevicePath the path struct for its child "stp".
func (n *DevicePath) Stp() *StpPath {
	return &StpPath{
		NodePath: ygot.NewNodePath(
			[]string{"stp"},
			map[string]interface{}{},
			n,
		),
	}
}

// System returns from DevicePath the path struct for its child "system".
func (n *DevicePath) System() *SystemPath {
	return &SystemPath{
		NodePath: ygot.NewNodePath(
			[]string{"system"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice returns from DevicePath the path struct for its child "terminal-device".
func (n *DevicePath) TerminalDevice() *TerminalDevicePath {
	return &TerminalDevicePath{
		NodePath: ygot.NewNodePath(
			[]string{"terminal-device"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfacePath represents the /openconfig-interfaces/interfaces/interface YANG schema element.
type InterfacePath struct {
	*ygot.NodePath
}

// InterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface YANG schema element.
type InterfacePathAny struct {
	*ygot.NodePath
}

// Interface_AdminStatusPath represents the /openconfig-interfaces/interfaces/interface/state/admin-status YANG schema element.
type Interface_AdminStatusPath struct {
	*ygot.NodePath
}

// Interface_AdminStatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/admin-status YANG schema element.
type Interface_AdminStatusPathAny struct {
	*ygot.NodePath
}

// Interface_DescriptionPath represents the /openconfig-interfaces/interfaces/interface/config/description YANG schema element.
type Interface_DescriptionPath struct {
	*ygot.NodePath
}

// Interface_DescriptionPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/description YANG schema element.
type Interface_DescriptionPathAny struct {
	*ygot.NodePath
}

// Interface_EnabledPath represents the /openconfig-interfaces/interfaces/interface/config/enabled YANG schema element.
type Interface_EnabledPath struct {
	*ygot.NodePath
}

// Interface_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/enabled YANG schema element.
type Interface_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_HardwarePortPath represents the /openconfig-interfaces/interfaces/interface/state/hardware-port YANG schema element.
type Interface_HardwarePortPath struct {
	*ygot.NodePath
}

// Interface_HardwarePortPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/hardware-port YANG schema element.
type Interface_HardwarePortPathAny struct {
	*ygot.NodePath
}

// Interface_IfindexPath represents the /openconfig-interfaces/interfaces/interface/state/ifindex YANG schema element.
type Interface_IfindexPath struct {
	*ygot.NodePath
}

// Interface_IfindexPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/ifindex YANG schema element.
type Interface_IfindexPathAny struct {
	*ygot.NodePath
}

// Interface_LastChangePath represents the /openconfig-interfaces/interfaces/interface/state/last-change YANG schema element.
type Interface_LastChangePath struct {
	*ygot.NodePath
}

// Interface_LastChangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/last-change YANG schema element.
type Interface_LastChangePathAny struct {
	*ygot.NodePath
}

// Interface_LogicalPath represents the /openconfig-interfaces/interfaces/interface/state/logical YANG schema element.
type Interface_LogicalPath struct {
	*ygot.NodePath
}

// Interface_LogicalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/logical YANG schema element.
type Interface_LogicalPathAny struct {
	*ygot.NodePath
}

// Interface_LoopbackModePath represents the /openconfig-interfaces/interfaces/interface/config/loopback-mode YANG schema element.
type Interface_LoopbackModePath struct {
	*ygot.NodePath
}

// Interface_LoopbackModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/loopback-mode YANG schema element.
type Interface_LoopbackModePathAny struct {
	*ygot.NodePath
}

// Interface_MtuPath represents the /openconfig-interfaces/interfaces/interface/config/mtu YANG schema element.
type Interface_MtuPath struct {
	*ygot.NodePath
}

// Interface_MtuPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/mtu YANG schema element.
type Interface_MtuPathAny struct {
	*ygot.NodePath
}

// Interface_NamePath represents the /openconfig-interfaces/interfaces/interface/config/name YANG schema element.
type Interface_NamePath struct {
	*ygot.NodePath
}

// Interface_NamePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/name YANG schema element.
type Interface_NamePathAny struct {
	*ygot.NodePath
}

// Interface_OperStatusPath represents the /openconfig-interfaces/interfaces/interface/state/oper-status YANG schema element.
type Interface_OperStatusPath struct {
	*ygot.NodePath
}

// Interface_OperStatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/oper-status YANG schema element.
type Interface_OperStatusPathAny struct {
	*ygot.NodePath
}

// Interface_PhysicalChannelPath represents the /openconfig-interfaces/interfaces/interface/state/physical-channel YANG schema element.
type Interface_PhysicalChannelPath struct {
	*ygot.NodePath
}

// Interface_PhysicalChannelPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/physical-channel YANG schema element.
type Interface_PhysicalChannelPathAny struct {
	*ygot.NodePath
}

// Interface_TpidPath represents the /openconfig-interfaces/interfaces/interface/config/tpid YANG schema element.
type Interface_TpidPath struct {
	*ygot.NodePath
}

// Interface_TpidPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/tpid YANG schema element.
type Interface_TpidPathAny struct {
	*ygot.NodePath
}

// Interface_TransceiverPath represents the /openconfig-interfaces/interfaces/interface/state/transceiver YANG schema element.
type Interface_TransceiverPath struct {
	*ygot.NodePath
}

// Interface_TransceiverPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/transceiver YANG schema element.
type Interface_TransceiverPathAny struct {
	*ygot.NodePath
}

// Interface_TypePath represents the /openconfig-interfaces/interfaces/interface/config/type YANG schema element.
type Interface_TypePath struct {
	*ygot.NodePath
}

// Interface_TypePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/config/type YANG schema element.
type Interface_TypePathAny struct {
	*ygot.NodePath
}

// AdminStatus returns from InterfacePath the path struct for its child "admin-status".
func (n *InterfacePath) AdminStatus() *Interface_AdminStatusPath {
	return &Interface_AdminStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminStatus returns from InterfacePathAny the path struct for its child "admin-status".
func (n *InterfacePathAny) AdminStatus() *Interface_AdminStatusPathAny {
	return &Interface_AdminStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregation returns from InterfacePath the path struct for its child "aggregation".
func (n *InterfacePath) Aggregation() *Interface_AggregationPath {
	return &Interface_AggregationPath{
		NodePath: ygot.NewNodePath(
			[]string{"aggregation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregation returns from InterfacePathAny the path struct for its child "aggregation".
func (n *InterfacePathAny) Aggregation() *Interface_AggregationPathAny {
	return &Interface_AggregationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from InterfacePath the path struct for its child "counters".
func (n *InterfacePath) Counters() *Interface_CountersPath {
	return &Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from InterfacePathAny the path struct for its child "counters".
func (n *InterfacePathAny) Counters() *Interface_CountersPathAny {
	return &Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from InterfacePath the path struct for its child "description".
func (n *InterfacePath) Description() *Interface_DescriptionPath {
	return &Interface_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from InterfacePathAny the path struct for its child "description".
func (n *InterfacePathAny) Description() *Interface_DescriptionPathAny {
	return &Interface_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from InterfacePath the path struct for its child "enabled".
func (n *InterfacePath) Enabled() *Interface_EnabledPath {
	return &Interface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from InterfacePathAny the path struct for its child "enabled".
func (n *InterfacePathAny) Enabled() *Interface_EnabledPathAny {
	return &Interface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethernet returns from InterfacePath the path struct for its child "ethernet".
func (n *InterfacePath) Ethernet() *Interface_EthernetPath {
	return &Interface_EthernetPath{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethernet returns from InterfacePathAny the path struct for its child "ethernet".
func (n *InterfacePathAny) Ethernet() *Interface_EthernetPathAny {
	return &Interface_EthernetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet"},
			map[string]interface{}{},
			n,
		),
	}
}

// HardwarePort returns from InterfacePath the path struct for its child "hardware-port".
func (n *InterfacePath) HardwarePort() *Interface_HardwarePortPath {
	return &Interface_HardwarePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// HardwarePort returns from InterfacePathAny the path struct for its child "hardware-port".
func (n *InterfacePathAny) HardwarePort() *Interface_HardwarePortPathAny {
	return &Interface_HardwarePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from InterfacePath the path struct for its child "hold-time".
func (n *InterfacePath) HoldTime() *Interface_HoldTimePath {
	return &Interface_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from InterfacePathAny the path struct for its child "hold-time".
func (n *InterfacePathAny) HoldTime() *Interface_HoldTimePathAny {
	return &Interface_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ifindex returns from InterfacePath the path struct for its child "ifindex".
func (n *InterfacePath) Ifindex() *Interface_IfindexPath {
	return &Interface_IfindexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ifindex"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ifindex returns from InterfacePathAny the path struct for its child "ifindex".
func (n *InterfacePathAny) Ifindex() *Interface_IfindexPathAny {
	return &Interface_IfindexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ifindex"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastChange returns from InterfacePath the path struct for its child "last-change".
func (n *InterfacePath) LastChange() *Interface_LastChangePath {
	return &Interface_LastChangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastChange returns from InterfacePathAny the path struct for its child "last-change".
func (n *InterfacePathAny) LastChange() *Interface_LastChangePathAny {
	return &Interface_LastChangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logical returns from InterfacePath the path struct for its child "logical".
func (n *InterfacePath) Logical() *Interface_LogicalPath {
	return &Interface_LogicalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "logical"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logical returns from InterfacePathAny the path struct for its child "logical".
func (n *InterfacePathAny) Logical() *Interface_LogicalPathAny {
	return &Interface_LogicalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "logical"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopbackMode returns from InterfacePath the path struct for its child "loopback-mode".
func (n *InterfacePath) LoopbackMode() *Interface_LoopbackModePath {
	return &Interface_LoopbackModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loopback-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopbackMode returns from InterfacePathAny the path struct for its child "loopback-mode".
func (n *InterfacePathAny) LoopbackMode() *Interface_LoopbackModePathAny {
	return &Interface_LoopbackModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loopback-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from InterfacePath the path struct for its child "mtu".
func (n *InterfacePath) Mtu() *Interface_MtuPath {
	return &Interface_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from InterfacePathAny the path struct for its child "mtu".
func (n *InterfacePathAny) Mtu() *Interface_MtuPathAny {
	return &Interface_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from InterfacePath the path struct for its child "name".
func (n *InterfacePath) Name() *Interface_NamePath {
	return &Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from InterfacePathAny the path struct for its child "name".
func (n *InterfacePathAny) Name() *Interface_NamePathAny {
	return &Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from InterfacePath the path struct for its child "oper-status".
func (n *InterfacePath) OperStatus() *Interface_OperStatusPath {
	return &Interface_OperStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from InterfacePathAny the path struct for its child "oper-status".
func (n *InterfacePathAny) OperStatus() *Interface_OperStatusPathAny {
	return &Interface_OperStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// PhysicalChannel returns from InterfacePath the path struct for its child "physical-channel".
func (n *InterfacePath) PhysicalChannel() *Interface_PhysicalChannelPath {
	return &Interface_PhysicalChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "physical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// PhysicalChannel returns from InterfacePathAny the path struct for its child "physical-channel".
func (n *InterfacePathAny) PhysicalChannel() *Interface_PhysicalChannelPathAny {
	return &Interface_PhysicalChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "physical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutedVlan returns from InterfacePath the path struct for its child "routed-vlan".
func (n *InterfacePath) RoutedVlan() *Interface_RoutedVlanPath {
	return &Interface_RoutedVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"routed-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutedVlan returns from InterfacePathAny the path struct for its child "routed-vlan".
func (n *InterfacePathAny) RoutedVlan() *Interface_RoutedVlanPathAny {
	return &Interface_RoutedVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routed-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sonet returns from InterfacePath the path struct for its child "sonet".
func (n *InterfacePath) Sonet() *Interface_SonetPath {
	return &Interface_SonetPath{
		NodePath: ygot.NewNodePath(
			[]string{"sonet"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sonet returns from InterfacePathAny the path struct for its child "sonet".
func (n *InterfacePathAny) Sonet() *Interface_SonetPathAny {
	return &Interface_SonetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sonet"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubinterfaceAny returns from InterfacePath the path struct for its child "subinterface".
func (n *InterfacePath) SubinterfaceAny() *Interface_SubinterfacePathAny {
	return &Interface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subinterfaces", "subinterface"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// SubinterfaceAny returns from InterfacePathAny the path struct for its child "subinterface".
func (n *InterfacePathAny) SubinterfaceAny() *Interface_SubinterfacePathAny {
	return &Interface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subinterfaces", "subinterface"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Subinterface returns from InterfacePath the path struct for its child "subinterface".
// Index: uint32
func (n *InterfacePath) Subinterface(Index uint32) *Interface_SubinterfacePath {
	return &Interface_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"subinterfaces", "subinterface"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Subinterface returns from InterfacePathAny the path struct for its child "subinterface".
// Index: uint32
func (n *InterfacePathAny) Subinterface(Index uint32) *Interface_SubinterfacePathAny {
	return &Interface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subinterfaces", "subinterface"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Tpid returns from InterfacePath the path struct for its child "tpid".
func (n *InterfacePath) Tpid() *Interface_TpidPath {
	return &Interface_TpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tpid returns from InterfacePathAny the path struct for its child "tpid".
func (n *InterfacePathAny) Tpid() *Interface_TpidPathAny {
	return &Interface_TpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from InterfacePath the path struct for its child "transceiver".
func (n *InterfacePath) Transceiver() *Interface_TransceiverPath {
	return &Interface_TransceiverPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from InterfacePathAny the path struct for its child "transceiver".
func (n *InterfacePathAny) Transceiver() *Interface_TransceiverPathAny {
	return &Interface_TransceiverPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from InterfacePath the path struct for its child "type".
func (n *InterfacePath) Type() *Interface_TypePath {
	return &Interface_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from InterfacePathAny the path struct for its child "type".
func (n *InterfacePathAny) Type() *Interface_TypePathAny {
	return &Interface_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_AggregationPath represents the /openconfig-interfaces/interfaces/interface/aggregation YANG schema element.
type Interface_AggregationPath struct {
	*ygot.NodePath
}

// Interface_AggregationPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation YANG schema element.
type Interface_AggregationPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_LagSpeedPath represents the /openconfig-interfaces/interfaces/interface/aggregation/state/lag-speed YANG schema element.
type Interface_Aggregation_LagSpeedPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_LagSpeedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/state/lag-speed YANG schema element.
type Interface_Aggregation_LagSpeedPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_LagTypePath represents the /openconfig-interfaces/interfaces/interface/aggregation/config/lag-type YANG schema element.
type Interface_Aggregation_LagTypePath struct {
	*ygot.NodePath
}

// Interface_Aggregation_LagTypePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/config/lag-type YANG schema element.
type Interface_Aggregation_LagTypePathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_MemberPath represents the /openconfig-interfaces/interfaces/interface/aggregation/state/member YANG schema element.
type Interface_Aggregation_MemberPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_MemberPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/state/member YANG schema element.
type Interface_Aggregation_MemberPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_MinLinksPath represents the /openconfig-interfaces/interfaces/interface/aggregation/config/min-links YANG schema element.
type Interface_Aggregation_MinLinksPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_MinLinksPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/config/min-links YANG schema element.
type Interface_Aggregation_MinLinksPathAny struct {
	*ygot.NodePath
}

// LagSpeed returns from Interface_AggregationPath the path struct for its child "lag-speed".
func (n *Interface_AggregationPath) LagSpeed() *Interface_Aggregation_LagSpeedPath {
	return &Interface_Aggregation_LagSpeedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lag-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// LagSpeed returns from Interface_AggregationPathAny the path struct for its child "lag-speed".
func (n *Interface_AggregationPathAny) LagSpeed() *Interface_Aggregation_LagSpeedPathAny {
	return &Interface_Aggregation_LagSpeedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lag-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// LagType returns from Interface_AggregationPath the path struct for its child "lag-type".
func (n *Interface_AggregationPath) LagType() *Interface_Aggregation_LagTypePath {
	return &Interface_Aggregation_LagTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lag-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LagType returns from Interface_AggregationPathAny the path struct for its child "lag-type".
func (n *Interface_AggregationPathAny) LagType() *Interface_Aggregation_LagTypePathAny {
	return &Interface_Aggregation_LagTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lag-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from Interface_AggregationPath the path struct for its child "member".
func (n *Interface_AggregationPath) Member() *Interface_Aggregation_MemberPath {
	return &Interface_Aggregation_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from Interface_AggregationPathAny the path struct for its child "member".
func (n *Interface_AggregationPathAny) Member() *Interface_Aggregation_MemberPathAny {
	return &Interface_Aggregation_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinLinks returns from Interface_AggregationPath the path struct for its child "min-links".
func (n *Interface_AggregationPath) MinLinks() *Interface_Aggregation_MinLinksPath {
	return &Interface_Aggregation_MinLinksPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-links"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinLinks returns from Interface_AggregationPathAny the path struct for its child "min-links".
func (n *Interface_AggregationPathAny) MinLinks() *Interface_Aggregation_MinLinksPathAny {
	return &Interface_Aggregation_MinLinksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-links"},
			map[string]interface{}{},
			n,
		),
	}
}

// SwitchedVlan returns from Interface_AggregationPath the path struct for its child "switched-vlan".
func (n *Interface_AggregationPath) SwitchedVlan() *Interface_Aggregation_SwitchedVlanPath {
	return &Interface_Aggregation_SwitchedVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"switched-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// SwitchedVlan returns from Interface_AggregationPathAny the path struct for its child "switched-vlan".
func (n *Interface_AggregationPathAny) SwitchedVlan() *Interface_Aggregation_SwitchedVlanPathAny {
	return &Interface_Aggregation_SwitchedVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"switched-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Aggregation_SwitchedVlanPath represents the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlanPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_AccessVlanPath represents the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/access-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlan_AccessVlanPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_AccessVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/access-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlan_AccessVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_InterfaceModePath represents the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/interface-mode YANG schema element.
type Interface_Aggregation_SwitchedVlan_InterfaceModePath struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_InterfaceModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/interface-mode YANG schema element.
type Interface_Aggregation_SwitchedVlan_InterfaceModePathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_NativeVlanPath represents the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/native-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlan_NativeVlanPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_NativeVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/native-vlan YANG schema element.
type Interface_Aggregation_SwitchedVlan_NativeVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_TrunkVlansPath represents the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/trunk-vlans YANG schema element.
type Interface_Aggregation_SwitchedVlan_TrunkVlansPath struct {
	*ygot.NodePath
}

// Interface_Aggregation_SwitchedVlan_TrunkVlansPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/aggregation/switched-vlan/config/trunk-vlans YANG schema element.
type Interface_Aggregation_SwitchedVlan_TrunkVlansPathAny struct {
	*ygot.NodePath
}

// AccessVlan returns from Interface_Aggregation_SwitchedVlanPath the path struct for its child "access-vlan".
func (n *Interface_Aggregation_SwitchedVlanPath) AccessVlan() *Interface_Aggregation_SwitchedVlan_AccessVlanPath {
	return &Interface_Aggregation_SwitchedVlan_AccessVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "access-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccessVlan returns from Interface_Aggregation_SwitchedVlanPathAny the path struct for its child "access-vlan".
func (n *Interface_Aggregation_SwitchedVlanPathAny) AccessVlan() *Interface_Aggregation_SwitchedVlan_AccessVlanPathAny {
	return &Interface_Aggregation_SwitchedVlan_AccessVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "access-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceMode returns from Interface_Aggregation_SwitchedVlanPath the path struct for its child "interface-mode".
func (n *Interface_Aggregation_SwitchedVlanPath) InterfaceMode() *Interface_Aggregation_SwitchedVlan_InterfaceModePath {
	return &Interface_Aggregation_SwitchedVlan_InterfaceModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceMode returns from Interface_Aggregation_SwitchedVlanPathAny the path struct for its child "interface-mode".
func (n *Interface_Aggregation_SwitchedVlanPathAny) InterfaceMode() *Interface_Aggregation_SwitchedVlan_InterfaceModePathAny {
	return &Interface_Aggregation_SwitchedVlan_InterfaceModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NativeVlan returns from Interface_Aggregation_SwitchedVlanPath the path struct for its child "native-vlan".
func (n *Interface_Aggregation_SwitchedVlanPath) NativeVlan() *Interface_Aggregation_SwitchedVlan_NativeVlanPath {
	return &Interface_Aggregation_SwitchedVlan_NativeVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "native-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// NativeVlan returns from Interface_Aggregation_SwitchedVlanPathAny the path struct for its child "native-vlan".
func (n *Interface_Aggregation_SwitchedVlanPathAny) NativeVlan() *Interface_Aggregation_SwitchedVlan_NativeVlanPathAny {
	return &Interface_Aggregation_SwitchedVlan_NativeVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "native-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrunkVlans returns from Interface_Aggregation_SwitchedVlanPath the path struct for its child "trunk-vlans".
func (n *Interface_Aggregation_SwitchedVlanPath) TrunkVlans() *Interface_Aggregation_SwitchedVlan_TrunkVlansPath {
	return &Interface_Aggregation_SwitchedVlan_TrunkVlansPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trunk-vlans"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrunkVlans returns from Interface_Aggregation_SwitchedVlanPathAny the path struct for its child "trunk-vlans".
func (n *Interface_Aggregation_SwitchedVlanPathAny) TrunkVlans() *Interface_Aggregation_SwitchedVlan_TrunkVlansPathAny {
	return &Interface_Aggregation_SwitchedVlan_TrunkVlansPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trunk-vlans"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_CountersPath represents the /openconfig-interfaces/interfaces/interface/state/counters YANG schema element.
type Interface_CountersPath struct {
	*ygot.NodePath
}

// Interface_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters YANG schema element.
type Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_CarrierTransitionsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/carrier-transitions YANG schema element.
type Interface_Counters_CarrierTransitionsPath struct {
	*ygot.NodePath
}

// Interface_Counters_CarrierTransitionsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/carrier-transitions YANG schema element.
type Interface_Counters_CarrierTransitionsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InBroadcastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-broadcast-pkts YANG schema element.
type Interface_Counters_InBroadcastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InBroadcastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-broadcast-pkts YANG schema element.
type Interface_Counters_InBroadcastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InDiscardsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-discards YANG schema element.
type Interface_Counters_InDiscardsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InDiscardsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-discards YANG schema element.
type Interface_Counters_InDiscardsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InErrorsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-errors YANG schema element.
type Interface_Counters_InErrorsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-errors YANG schema element.
type Interface_Counters_InErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InFcsErrorsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-fcs-errors YANG schema element.
type Interface_Counters_InFcsErrorsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InFcsErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-fcs-errors YANG schema element.
type Interface_Counters_InFcsErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InMulticastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-multicast-pkts YANG schema element.
type Interface_Counters_InMulticastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InMulticastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-multicast-pkts YANG schema element.
type Interface_Counters_InMulticastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-octets YANG schema element.
type Interface_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-octets YANG schema element.
type Interface_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-pkts YANG schema element.
type Interface_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-pkts YANG schema element.
type Interface_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InUnicastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-unicast-pkts YANG schema element.
type Interface_Counters_InUnicastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_InUnicastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-unicast-pkts YANG schema element.
type Interface_Counters_InUnicastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_InUnknownProtosPath represents the /openconfig-interfaces/interfaces/interface/state/counters/in-unknown-protos YANG schema element.
type Interface_Counters_InUnknownProtosPath struct {
	*ygot.NodePath
}

// Interface_Counters_InUnknownProtosPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/in-unknown-protos YANG schema element.
type Interface_Counters_InUnknownProtosPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_LastClearPath represents the /openconfig-interfaces/interfaces/interface/state/counters/last-clear YANG schema element.
type Interface_Counters_LastClearPath struct {
	*ygot.NodePath
}

// Interface_Counters_LastClearPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/last-clear YANG schema element.
type Interface_Counters_LastClearPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutBroadcastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-broadcast-pkts YANG schema element.
type Interface_Counters_OutBroadcastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutBroadcastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-broadcast-pkts YANG schema element.
type Interface_Counters_OutBroadcastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutDiscardsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-discards YANG schema element.
type Interface_Counters_OutDiscardsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutDiscardsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-discards YANG schema element.
type Interface_Counters_OutDiscardsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutErrorsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-errors YANG schema element.
type Interface_Counters_OutErrorsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-errors YANG schema element.
type Interface_Counters_OutErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutMulticastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-multicast-pkts YANG schema element.
type Interface_Counters_OutMulticastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutMulticastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-multicast-pkts YANG schema element.
type Interface_Counters_OutMulticastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-octets YANG schema element.
type Interface_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-octets YANG schema element.
type Interface_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-pkts YANG schema element.
type Interface_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-pkts YANG schema element.
type Interface_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Counters_OutUnicastPktsPath represents the /openconfig-interfaces/interfaces/interface/state/counters/out-unicast-pkts YANG schema element.
type Interface_Counters_OutUnicastPktsPath struct {
	*ygot.NodePath
}

// Interface_Counters_OutUnicastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/state/counters/out-unicast-pkts YANG schema element.
type Interface_Counters_OutUnicastPktsPathAny struct {
	*ygot.NodePath
}

// CarrierTransitions returns from Interface_CountersPath the path struct for its child "carrier-transitions".
func (n *Interface_CountersPath) CarrierTransitions() *Interface_Counters_CarrierTransitionsPath {
	return &Interface_Counters_CarrierTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"carrier-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// CarrierTransitions returns from Interface_CountersPathAny the path struct for its child "carrier-transitions".
func (n *Interface_CountersPathAny) CarrierTransitions() *Interface_Counters_CarrierTransitionsPathAny {
	return &Interface_Counters_CarrierTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"carrier-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBroadcastPkts returns from Interface_CountersPath the path struct for its child "in-broadcast-pkts".
func (n *Interface_CountersPath) InBroadcastPkts() *Interface_Counters_InBroadcastPktsPath {
	return &Interface_Counters_InBroadcastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBroadcastPkts returns from Interface_CountersPathAny the path struct for its child "in-broadcast-pkts".
func (n *Interface_CountersPathAny) InBroadcastPkts() *Interface_Counters_InBroadcastPktsPathAny {
	return &Interface_Counters_InBroadcastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscards returns from Interface_CountersPath the path struct for its child "in-discards".
func (n *Interface_CountersPath) InDiscards() *Interface_Counters_InDiscardsPath {
	return &Interface_Counters_InDiscardsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscards returns from Interface_CountersPathAny the path struct for its child "in-discards".
func (n *Interface_CountersPathAny) InDiscards() *Interface_Counters_InDiscardsPathAny {
	return &Interface_Counters_InDiscardsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrors returns from Interface_CountersPath the path struct for its child "in-errors".
func (n *Interface_CountersPath) InErrors() *Interface_Counters_InErrorsPath {
	return &Interface_Counters_InErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrors returns from Interface_CountersPathAny the path struct for its child "in-errors".
func (n *Interface_CountersPathAny) InErrors() *Interface_Counters_InErrorsPathAny {
	return &Interface_Counters_InErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFcsErrors returns from Interface_CountersPath the path struct for its child "in-fcs-errors".
func (n *Interface_CountersPath) InFcsErrors() *Interface_Counters_InFcsErrorsPath {
	return &Interface_Counters_InFcsErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-fcs-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFcsErrors returns from Interface_CountersPathAny the path struct for its child "in-fcs-errors".
func (n *Interface_CountersPathAny) InFcsErrors() *Interface_Counters_InFcsErrorsPathAny {
	return &Interface_Counters_InFcsErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-fcs-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMulticastPkts returns from Interface_CountersPath the path struct for its child "in-multicast-pkts".
func (n *Interface_CountersPath) InMulticastPkts() *Interface_Counters_InMulticastPktsPath {
	return &Interface_Counters_InMulticastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMulticastPkts returns from Interface_CountersPathAny the path struct for its child "in-multicast-pkts".
func (n *Interface_CountersPathAny) InMulticastPkts() *Interface_Counters_InMulticastPktsPathAny {
	return &Interface_Counters_InMulticastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_CountersPath the path struct for its child "in-octets".
func (n *Interface_CountersPath) InOctets() *Interface_Counters_InOctetsPath {
	return &Interface_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_CountersPathAny) InOctets() *Interface_Counters_InOctetsPathAny {
	return &Interface_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_CountersPath the path struct for its child "in-pkts".
func (n *Interface_CountersPath) InPkts() *Interface_Counters_InPktsPath {
	return &Interface_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_CountersPathAny) InPkts() *Interface_Counters_InPktsPathAny {
	return &Interface_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnicastPkts returns from Interface_CountersPath the path struct for its child "in-unicast-pkts".
func (n *Interface_CountersPath) InUnicastPkts() *Interface_Counters_InUnicastPktsPath {
	return &Interface_Counters_InUnicastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnicastPkts returns from Interface_CountersPathAny the path struct for its child "in-unicast-pkts".
func (n *Interface_CountersPathAny) InUnicastPkts() *Interface_Counters_InUnicastPktsPathAny {
	return &Interface_Counters_InUnicastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnknownProtos returns from Interface_CountersPath the path struct for its child "in-unknown-protos".
func (n *Interface_CountersPath) InUnknownProtos() *Interface_Counters_InUnknownProtosPath {
	return &Interface_Counters_InUnknownProtosPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-unknown-protos"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnknownProtos returns from Interface_CountersPathAny the path struct for its child "in-unknown-protos".
func (n *Interface_CountersPathAny) InUnknownProtos() *Interface_Counters_InUnknownProtosPathAny {
	return &Interface_Counters_InUnknownProtosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-unknown-protos"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Interface_CountersPath the path struct for its child "last-clear".
func (n *Interface_CountersPath) LastClear() *Interface_Counters_LastClearPath {
	return &Interface_Counters_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Interface_CountersPathAny the path struct for its child "last-clear".
func (n *Interface_CountersPathAny) LastClear() *Interface_Counters_LastClearPathAny {
	return &Interface_Counters_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBroadcastPkts returns from Interface_CountersPath the path struct for its child "out-broadcast-pkts".
func (n *Interface_CountersPath) OutBroadcastPkts() *Interface_Counters_OutBroadcastPktsPath {
	return &Interface_Counters_OutBroadcastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBroadcastPkts returns from Interface_CountersPathAny the path struct for its child "out-broadcast-pkts".
func (n *Interface_CountersPathAny) OutBroadcastPkts() *Interface_Counters_OutBroadcastPktsPathAny {
	return &Interface_Counters_OutBroadcastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscards returns from Interface_CountersPath the path struct for its child "out-discards".
func (n *Interface_CountersPath) OutDiscards() *Interface_Counters_OutDiscardsPath {
	return &Interface_Counters_OutDiscardsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscards returns from Interface_CountersPathAny the path struct for its child "out-discards".
func (n *Interface_CountersPathAny) OutDiscards() *Interface_Counters_OutDiscardsPathAny {
	return &Interface_Counters_OutDiscardsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrors returns from Interface_CountersPath the path struct for its child "out-errors".
func (n *Interface_CountersPath) OutErrors() *Interface_Counters_OutErrorsPath {
	return &Interface_Counters_OutErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrors returns from Interface_CountersPathAny the path struct for its child "out-errors".
func (n *Interface_CountersPathAny) OutErrors() *Interface_Counters_OutErrorsPathAny {
	return &Interface_Counters_OutErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMulticastPkts returns from Interface_CountersPath the path struct for its child "out-multicast-pkts".
func (n *Interface_CountersPath) OutMulticastPkts() *Interface_Counters_OutMulticastPktsPath {
	return &Interface_Counters_OutMulticastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMulticastPkts returns from Interface_CountersPathAny the path struct for its child "out-multicast-pkts".
func (n *Interface_CountersPathAny) OutMulticastPkts() *Interface_Counters_OutMulticastPktsPathAny {
	return &Interface_Counters_OutMulticastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_CountersPath the path struct for its child "out-octets".
func (n *Interface_CountersPath) OutOctets() *Interface_Counters_OutOctetsPath {
	return &Interface_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_CountersPathAny) OutOctets() *Interface_Counters_OutOctetsPathAny {
	return &Interface_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_CountersPath the path struct for its child "out-pkts".
func (n *Interface_CountersPath) OutPkts() *Interface_Counters_OutPktsPath {
	return &Interface_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_CountersPathAny) OutPkts() *Interface_Counters_OutPktsPathAny {
	return &Interface_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutUnicastPkts returns from Interface_CountersPath the path struct for its child "out-unicast-pkts".
func (n *Interface_CountersPath) OutUnicastPkts() *Interface_Counters_OutUnicastPktsPath {
	return &Interface_Counters_OutUnicastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutUnicastPkts returns from Interface_CountersPathAny the path struct for its child "out-unicast-pkts".
func (n *Interface_CountersPathAny) OutUnicastPkts() *Interface_Counters_OutUnicastPktsPathAny {
	return &Interface_Counters_OutUnicastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_EthernetPath represents the /openconfig-interfaces/interfaces/interface/ethernet YANG schema element.
type Interface_EthernetPath struct {
	*ygot.NodePath
}

// Interface_EthernetPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet YANG schema element.
type Interface_EthernetPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_AggregateIdPath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/aggregate-id YANG schema element.
type Interface_Ethernet_AggregateIdPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_AggregateIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/aggregate-id YANG schema element.
type Interface_Ethernet_AggregateIdPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_AutoNegotiatePath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/auto-negotiate YANG schema element.
type Interface_Ethernet_AutoNegotiatePath struct {
	*ygot.NodePath
}

// Interface_Ethernet_AutoNegotiatePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/auto-negotiate YANG schema element.
type Interface_Ethernet_AutoNegotiatePathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_DuplexModePath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/duplex-mode YANG schema element.
type Interface_Ethernet_DuplexModePath struct {
	*ygot.NodePath
}

// Interface_Ethernet_DuplexModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/duplex-mode YANG schema element.
type Interface_Ethernet_DuplexModePathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_EnableFlowControlPath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/enable-flow-control YANG schema element.
type Interface_Ethernet_EnableFlowControlPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_EnableFlowControlPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/enable-flow-control YANG schema element.
type Interface_Ethernet_EnableFlowControlPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_HwMacAddressPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/hw-mac-address YANG schema element.
type Interface_Ethernet_HwMacAddressPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_HwMacAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/hw-mac-address YANG schema element.
type Interface_Ethernet_HwMacAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_MacAddressPath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/mac-address YANG schema element.
type Interface_Ethernet_MacAddressPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_MacAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/mac-address YANG schema element.
type Interface_Ethernet_MacAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_NegotiatedDuplexModePath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/negotiated-duplex-mode YANG schema element.
type Interface_Ethernet_NegotiatedDuplexModePath struct {
	*ygot.NodePath
}

// Interface_Ethernet_NegotiatedDuplexModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/negotiated-duplex-mode YANG schema element.
type Interface_Ethernet_NegotiatedDuplexModePathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_NegotiatedPortSpeedPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/negotiated-port-speed YANG schema element.
type Interface_Ethernet_NegotiatedPortSpeedPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_NegotiatedPortSpeedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/negotiated-port-speed YANG schema element.
type Interface_Ethernet_NegotiatedPortSpeedPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_PortSpeedPath represents the /openconfig-interfaces/interfaces/interface/ethernet/config/port-speed YANG schema element.
type Interface_Ethernet_PortSpeedPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_PortSpeedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/config/port-speed YANG schema element.
type Interface_Ethernet_PortSpeedPathAny struct {
	*ygot.NodePath
}

// AggregateId returns from Interface_EthernetPath the path struct for its child "aggregate-id".
func (n *Interface_EthernetPath) AggregateId() *Interface_Ethernet_AggregateIdPath {
	return &Interface_Ethernet_AggregateIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "aggregate-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// AggregateId returns from Interface_EthernetPathAny the path struct for its child "aggregate-id".
func (n *Interface_EthernetPathAny) AggregateId() *Interface_Ethernet_AggregateIdPathAny {
	return &Interface_Ethernet_AggregateIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "aggregate-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// AutoNegotiate returns from Interface_EthernetPath the path struct for its child "auto-negotiate".
func (n *Interface_EthernetPath) AutoNegotiate() *Interface_Ethernet_AutoNegotiatePath {
	return &Interface_Ethernet_AutoNegotiatePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auto-negotiate"},
			map[string]interface{}{},
			n,
		),
	}
}

// AutoNegotiate returns from Interface_EthernetPathAny the path struct for its child "auto-negotiate".
func (n *Interface_EthernetPathAny) AutoNegotiate() *Interface_Ethernet_AutoNegotiatePathAny {
	return &Interface_Ethernet_AutoNegotiatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auto-negotiate"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_EthernetPath the path struct for its child "counters".
func (n *Interface_EthernetPath) Counters() *Interface_Ethernet_CountersPath {
	return &Interface_Ethernet_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_EthernetPathAny the path struct for its child "counters".
func (n *Interface_EthernetPathAny) Counters() *Interface_Ethernet_CountersPathAny {
	return &Interface_Ethernet_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DuplexMode returns from Interface_EthernetPath the path struct for its child "duplex-mode".
func (n *Interface_EthernetPath) DuplexMode() *Interface_Ethernet_DuplexModePath {
	return &Interface_Ethernet_DuplexModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "duplex-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// DuplexMode returns from Interface_EthernetPathAny the path struct for its child "duplex-mode".
func (n *Interface_EthernetPathAny) DuplexMode() *Interface_Ethernet_DuplexModePathAny {
	return &Interface_Ethernet_DuplexModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "duplex-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableFlowControl returns from Interface_EthernetPath the path struct for its child "enable-flow-control".
func (n *Interface_EthernetPath) EnableFlowControl() *Interface_Ethernet_EnableFlowControlPath {
	return &Interface_Ethernet_EnableFlowControlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-flow-control"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableFlowControl returns from Interface_EthernetPathAny the path struct for its child "enable-flow-control".
func (n *Interface_EthernetPathAny) EnableFlowControl() *Interface_Ethernet_EnableFlowControlPathAny {
	return &Interface_Ethernet_EnableFlowControlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-flow-control"},
			map[string]interface{}{},
			n,
		),
	}
}

// HwMacAddress returns from Interface_EthernetPath the path struct for its child "hw-mac-address".
func (n *Interface_EthernetPath) HwMacAddress() *Interface_Ethernet_HwMacAddressPath {
	return &Interface_Ethernet_HwMacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hw-mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// HwMacAddress returns from Interface_EthernetPathAny the path struct for its child "hw-mac-address".
func (n *Interface_EthernetPathAny) HwMacAddress() *Interface_Ethernet_HwMacAddressPathAny {
	return &Interface_Ethernet_HwMacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hw-mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from Interface_EthernetPath the path struct for its child "mac-address".
func (n *Interface_EthernetPath) MacAddress() *Interface_Ethernet_MacAddressPath {
	return &Interface_Ethernet_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from Interface_EthernetPathAny the path struct for its child "mac-address".
func (n *Interface_EthernetPathAny) MacAddress() *Interface_Ethernet_MacAddressPathAny {
	return &Interface_Ethernet_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedDuplexMode returns from Interface_EthernetPath the path struct for its child "negotiated-duplex-mode".
func (n *Interface_EthernetPath) NegotiatedDuplexMode() *Interface_Ethernet_NegotiatedDuplexModePath {
	return &Interface_Ethernet_NegotiatedDuplexModePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-duplex-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedDuplexMode returns from Interface_EthernetPathAny the path struct for its child "negotiated-duplex-mode".
func (n *Interface_EthernetPathAny) NegotiatedDuplexMode() *Interface_Ethernet_NegotiatedDuplexModePathAny {
	return &Interface_Ethernet_NegotiatedDuplexModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-duplex-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedPortSpeed returns from Interface_EthernetPath the path struct for its child "negotiated-port-speed".
func (n *Interface_EthernetPath) NegotiatedPortSpeed() *Interface_Ethernet_NegotiatedPortSpeedPath {
	return &Interface_Ethernet_NegotiatedPortSpeedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-port-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedPortSpeed returns from Interface_EthernetPathAny the path struct for its child "negotiated-port-speed".
func (n *Interface_EthernetPathAny) NegotiatedPortSpeed() *Interface_Ethernet_NegotiatedPortSpeedPathAny {
	return &Interface_Ethernet_NegotiatedPortSpeedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-port-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortSpeed returns from Interface_EthernetPath the path struct for its child "port-speed".
func (n *Interface_EthernetPath) PortSpeed() *Interface_Ethernet_PortSpeedPath {
	return &Interface_Ethernet_PortSpeedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortSpeed returns from Interface_EthernetPathAny the path struct for its child "port-speed".
func (n *Interface_EthernetPathAny) PortSpeed() *Interface_Ethernet_PortSpeedPathAny {
	return &Interface_Ethernet_PortSpeedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-speed"},
			map[string]interface{}{},
			n,
		),
	}
}

// SwitchedVlan returns from Interface_EthernetPath the path struct for its child "switched-vlan".
func (n *Interface_EthernetPath) SwitchedVlan() *Interface_Ethernet_SwitchedVlanPath {
	return &Interface_Ethernet_SwitchedVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"switched-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// SwitchedVlan returns from Interface_EthernetPathAny the path struct for its child "switched-vlan".
func (n *Interface_EthernetPathAny) SwitchedVlan() *Interface_Ethernet_SwitchedVlanPathAny {
	return &Interface_Ethernet_SwitchedVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"switched-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Ethernet_CountersPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters YANG schema element.
type Interface_Ethernet_CountersPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters YANG schema element.
type Interface_Ethernet_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_In_8021QFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-8021q-frames YANG schema element.
type Interface_Ethernet_Counters_In_8021QFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_In_8021QFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-8021q-frames YANG schema element.
type Interface_Ethernet_Counters_In_8021QFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InBlockErrorsPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-block-errors YANG schema element.
type Interface_Ethernet_Counters_InBlockErrorsPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InBlockErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-block-errors YANG schema element.
type Interface_Ethernet_Counters_InBlockErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InCrcErrorsPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-crc-errors YANG schema element.
type Interface_Ethernet_Counters_InCrcErrorsPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InCrcErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-crc-errors YANG schema element.
type Interface_Ethernet_Counters_InCrcErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InFragmentFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-fragment-frames YANG schema element.
type Interface_Ethernet_Counters_InFragmentFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InFragmentFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-fragment-frames YANG schema element.
type Interface_Ethernet_Counters_InFragmentFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InJabberFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-jabber-frames YANG schema element.
type Interface_Ethernet_Counters_InJabberFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InJabberFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-jabber-frames YANG schema element.
type Interface_Ethernet_Counters_InJabberFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InMacControlFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-mac-control-frames YANG schema element.
type Interface_Ethernet_Counters_InMacControlFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InMacControlFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-mac-control-frames YANG schema element.
type Interface_Ethernet_Counters_InMacControlFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InMacPauseFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-mac-pause-frames YANG schema element.
type Interface_Ethernet_Counters_InMacPauseFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InMacPauseFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-mac-pause-frames YANG schema element.
type Interface_Ethernet_Counters_InMacPauseFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InOversizeFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-oversize-frames YANG schema element.
type Interface_Ethernet_Counters_InOversizeFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InOversizeFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-oversize-frames YANG schema element.
type Interface_Ethernet_Counters_InOversizeFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InUndersizeFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-undersize-frames YANG schema element.
type Interface_Ethernet_Counters_InUndersizeFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_InUndersizeFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/in-undersize-frames YANG schema element.
type Interface_Ethernet_Counters_InUndersizeFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_Out_8021QFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-8021q-frames YANG schema element.
type Interface_Ethernet_Counters_Out_8021QFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_Out_8021QFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-8021q-frames YANG schema element.
type Interface_Ethernet_Counters_Out_8021QFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_OutMacControlFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-mac-control-frames YANG schema element.
type Interface_Ethernet_Counters_OutMacControlFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_OutMacControlFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-mac-control-frames YANG schema element.
type Interface_Ethernet_Counters_OutMacControlFramesPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_OutMacPauseFramesPath represents the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-mac-pause-frames YANG schema element.
type Interface_Ethernet_Counters_OutMacPauseFramesPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_Counters_OutMacPauseFramesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/state/counters/out-mac-pause-frames YANG schema element.
type Interface_Ethernet_Counters_OutMacPauseFramesPathAny struct {
	*ygot.NodePath
}

// In_8021QFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-8021q-frames".
func (n *Interface_Ethernet_CountersPath) In_8021QFrames() *Interface_Ethernet_Counters_In_8021QFramesPath {
	return &Interface_Ethernet_Counters_In_8021QFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// In_8021QFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-8021q-frames".
func (n *Interface_Ethernet_CountersPathAny) In_8021QFrames() *Interface_Ethernet_Counters_In_8021QFramesPathAny {
	return &Interface_Ethernet_Counters_In_8021QFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBlockErrors returns from Interface_Ethernet_CountersPath the path struct for its child "in-block-errors".
func (n *Interface_Ethernet_CountersPath) InBlockErrors() *Interface_Ethernet_Counters_InBlockErrorsPath {
	return &Interface_Ethernet_Counters_InBlockErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBlockErrors returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-block-errors".
func (n *Interface_Ethernet_CountersPathAny) InBlockErrors() *Interface_Ethernet_Counters_InBlockErrorsPathAny {
	return &Interface_Ethernet_Counters_InBlockErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InCrcErrors returns from Interface_Ethernet_CountersPath the path struct for its child "in-crc-errors".
func (n *Interface_Ethernet_CountersPath) InCrcErrors() *Interface_Ethernet_Counters_InCrcErrorsPath {
	return &Interface_Ethernet_Counters_InCrcErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InCrcErrors returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-crc-errors".
func (n *Interface_Ethernet_CountersPathAny) InCrcErrors() *Interface_Ethernet_Counters_InCrcErrorsPathAny {
	return &Interface_Ethernet_Counters_InCrcErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFragmentFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-fragment-frames".
func (n *Interface_Ethernet_CountersPath) InFragmentFrames() *Interface_Ethernet_Counters_InFragmentFramesPath {
	return &Interface_Ethernet_Counters_InFragmentFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-fragment-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFragmentFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-fragment-frames".
func (n *Interface_Ethernet_CountersPathAny) InFragmentFrames() *Interface_Ethernet_Counters_InFragmentFramesPathAny {
	return &Interface_Ethernet_Counters_InFragmentFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-fragment-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InJabberFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-jabber-frames".
func (n *Interface_Ethernet_CountersPath) InJabberFrames() *Interface_Ethernet_Counters_InJabberFramesPath {
	return &Interface_Ethernet_Counters_InJabberFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-jabber-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InJabberFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-jabber-frames".
func (n *Interface_Ethernet_CountersPathAny) InJabberFrames() *Interface_Ethernet_Counters_InJabberFramesPathAny {
	return &Interface_Ethernet_Counters_InJabberFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-jabber-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacControlFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-mac-control-frames".
func (n *Interface_Ethernet_CountersPath) InMacControlFrames() *Interface_Ethernet_Counters_InMacControlFramesPath {
	return &Interface_Ethernet_Counters_InMacControlFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacControlFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-mac-control-frames".
func (n *Interface_Ethernet_CountersPathAny) InMacControlFrames() *Interface_Ethernet_Counters_InMacControlFramesPathAny {
	return &Interface_Ethernet_Counters_InMacControlFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacPauseFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-mac-pause-frames".
func (n *Interface_Ethernet_CountersPath) InMacPauseFrames() *Interface_Ethernet_Counters_InMacPauseFramesPath {
	return &Interface_Ethernet_Counters_InMacPauseFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacPauseFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-mac-pause-frames".
func (n *Interface_Ethernet_CountersPathAny) InMacPauseFrames() *Interface_Ethernet_Counters_InMacPauseFramesPathAny {
	return &Interface_Ethernet_Counters_InMacPauseFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOversizeFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-oversize-frames".
func (n *Interface_Ethernet_CountersPath) InOversizeFrames() *Interface_Ethernet_Counters_InOversizeFramesPath {
	return &Interface_Ethernet_Counters_InOversizeFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-oversize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOversizeFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-oversize-frames".
func (n *Interface_Ethernet_CountersPathAny) InOversizeFrames() *Interface_Ethernet_Counters_InOversizeFramesPathAny {
	return &Interface_Ethernet_Counters_InOversizeFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-oversize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUndersizeFrames returns from Interface_Ethernet_CountersPath the path struct for its child "in-undersize-frames".
func (n *Interface_Ethernet_CountersPath) InUndersizeFrames() *Interface_Ethernet_Counters_InUndersizeFramesPath {
	return &Interface_Ethernet_Counters_InUndersizeFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-undersize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUndersizeFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "in-undersize-frames".
func (n *Interface_Ethernet_CountersPathAny) InUndersizeFrames() *Interface_Ethernet_Counters_InUndersizeFramesPathAny {
	return &Interface_Ethernet_Counters_InUndersizeFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-undersize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// Out_8021QFrames returns from Interface_Ethernet_CountersPath the path struct for its child "out-8021q-frames".
func (n *Interface_Ethernet_CountersPath) Out_8021QFrames() *Interface_Ethernet_Counters_Out_8021QFramesPath {
	return &Interface_Ethernet_Counters_Out_8021QFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// Out_8021QFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "out-8021q-frames".
func (n *Interface_Ethernet_CountersPathAny) Out_8021QFrames() *Interface_Ethernet_Counters_Out_8021QFramesPathAny {
	return &Interface_Ethernet_Counters_Out_8021QFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacControlFrames returns from Interface_Ethernet_CountersPath the path struct for its child "out-mac-control-frames".
func (n *Interface_Ethernet_CountersPath) OutMacControlFrames() *Interface_Ethernet_Counters_OutMacControlFramesPath {
	return &Interface_Ethernet_Counters_OutMacControlFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacControlFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "out-mac-control-frames".
func (n *Interface_Ethernet_CountersPathAny) OutMacControlFrames() *Interface_Ethernet_Counters_OutMacControlFramesPathAny {
	return &Interface_Ethernet_Counters_OutMacControlFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacPauseFrames returns from Interface_Ethernet_CountersPath the path struct for its child "out-mac-pause-frames".
func (n *Interface_Ethernet_CountersPath) OutMacPauseFrames() *Interface_Ethernet_Counters_OutMacPauseFramesPath {
	return &Interface_Ethernet_Counters_OutMacPauseFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacPauseFrames returns from Interface_Ethernet_CountersPathAny the path struct for its child "out-mac-pause-frames".
func (n *Interface_Ethernet_CountersPathAny) OutMacPauseFrames() *Interface_Ethernet_Counters_OutMacPauseFramesPathAny {
	return &Interface_Ethernet_Counters_OutMacPauseFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Ethernet_SwitchedVlanPath represents the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlanPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_AccessVlanPath represents the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/access-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlan_AccessVlanPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_AccessVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/access-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlan_AccessVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_InterfaceModePath represents the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/interface-mode YANG schema element.
type Interface_Ethernet_SwitchedVlan_InterfaceModePath struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_InterfaceModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/interface-mode YANG schema element.
type Interface_Ethernet_SwitchedVlan_InterfaceModePathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_NativeVlanPath represents the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/native-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlan_NativeVlanPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_NativeVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/native-vlan YANG schema element.
type Interface_Ethernet_SwitchedVlan_NativeVlanPathAny struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_TrunkVlansPath represents the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/trunk-vlans YANG schema element.
type Interface_Ethernet_SwitchedVlan_TrunkVlansPath struct {
	*ygot.NodePath
}

// Interface_Ethernet_SwitchedVlan_TrunkVlansPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/ethernet/switched-vlan/config/trunk-vlans YANG schema element.
type Interface_Ethernet_SwitchedVlan_TrunkVlansPathAny struct {
	*ygot.NodePath
}

// AccessVlan returns from Interface_Ethernet_SwitchedVlanPath the path struct for its child "access-vlan".
func (n *Interface_Ethernet_SwitchedVlanPath) AccessVlan() *Interface_Ethernet_SwitchedVlan_AccessVlanPath {
	return &Interface_Ethernet_SwitchedVlan_AccessVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "access-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccessVlan returns from Interface_Ethernet_SwitchedVlanPathAny the path struct for its child "access-vlan".
func (n *Interface_Ethernet_SwitchedVlanPathAny) AccessVlan() *Interface_Ethernet_SwitchedVlan_AccessVlanPathAny {
	return &Interface_Ethernet_SwitchedVlan_AccessVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "access-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceMode returns from Interface_Ethernet_SwitchedVlanPath the path struct for its child "interface-mode".
func (n *Interface_Ethernet_SwitchedVlanPath) InterfaceMode() *Interface_Ethernet_SwitchedVlan_InterfaceModePath {
	return &Interface_Ethernet_SwitchedVlan_InterfaceModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceMode returns from Interface_Ethernet_SwitchedVlanPathAny the path struct for its child "interface-mode".
func (n *Interface_Ethernet_SwitchedVlanPathAny) InterfaceMode() *Interface_Ethernet_SwitchedVlan_InterfaceModePathAny {
	return &Interface_Ethernet_SwitchedVlan_InterfaceModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NativeVlan returns from Interface_Ethernet_SwitchedVlanPath the path struct for its child "native-vlan".
func (n *Interface_Ethernet_SwitchedVlanPath) NativeVlan() *Interface_Ethernet_SwitchedVlan_NativeVlanPath {
	return &Interface_Ethernet_SwitchedVlan_NativeVlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "native-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// NativeVlan returns from Interface_Ethernet_SwitchedVlanPathAny the path struct for its child "native-vlan".
func (n *Interface_Ethernet_SwitchedVlanPathAny) NativeVlan() *Interface_Ethernet_SwitchedVlan_NativeVlanPathAny {
	return &Interface_Ethernet_SwitchedVlan_NativeVlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "native-vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrunkVlans returns from Interface_Ethernet_SwitchedVlanPath the path struct for its child "trunk-vlans".
func (n *Interface_Ethernet_SwitchedVlanPath) TrunkVlans() *Interface_Ethernet_SwitchedVlan_TrunkVlansPath {
	return &Interface_Ethernet_SwitchedVlan_TrunkVlansPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trunk-vlans"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrunkVlans returns from Interface_Ethernet_SwitchedVlanPathAny the path struct for its child "trunk-vlans".
func (n *Interface_Ethernet_SwitchedVlanPathAny) TrunkVlans() *Interface_Ethernet_SwitchedVlan_TrunkVlansPathAny {
	return &Interface_Ethernet_SwitchedVlan_TrunkVlansPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trunk-vlans"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_HoldTimePath represents the /openconfig-interfaces/interfaces/interface/hold-time YANG schema element.
type Interface_HoldTimePath struct {
	*ygot.NodePath
}

// Interface_HoldTimePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/hold-time YANG schema element.
type Interface_HoldTimePathAny struct {
	*ygot.NodePath
}

// Interface_HoldTime_DownPath represents the /openconfig-interfaces/interfaces/interface/hold-time/config/down YANG schema element.
type Interface_HoldTime_DownPath struct {
	*ygot.NodePath
}

// Interface_HoldTime_DownPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/hold-time/config/down YANG schema element.
type Interface_HoldTime_DownPathAny struct {
	*ygot.NodePath
}

// Interface_HoldTime_UpPath represents the /openconfig-interfaces/interfaces/interface/hold-time/config/up YANG schema element.
type Interface_HoldTime_UpPath struct {
	*ygot.NodePath
}

// Interface_HoldTime_UpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/hold-time/config/up YANG schema element.
type Interface_HoldTime_UpPathAny struct {
	*ygot.NodePath
}

// Down returns from Interface_HoldTimePath the path struct for its child "down".
func (n *Interface_HoldTimePath) Down() *Interface_HoldTime_DownPath {
	return &Interface_HoldTime_DownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "down"},
			map[string]interface{}{},
			n,
		),
	}
}

// Down returns from Interface_HoldTimePathAny the path struct for its child "down".
func (n *Interface_HoldTimePathAny) Down() *Interface_HoldTime_DownPathAny {
	return &Interface_HoldTime_DownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "down"},
			map[string]interface{}{},
			n,
		),
	}
}

// Up returns from Interface_HoldTimePath the path struct for its child "up".
func (n *Interface_HoldTimePath) Up() *Interface_HoldTime_UpPath {
	return &Interface_HoldTime_UpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up"},
			map[string]interface{}{},
			n,
		),
	}
}

// Up returns from Interface_HoldTimePathAny the path struct for its child "up".
func (n *Interface_HoldTimePathAny) Up() *Interface_HoldTime_UpPathAny {
	return &Interface_HoldTime_UpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlanPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan YANG schema element.
type Interface_RoutedVlanPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan YANG schema element.
type Interface_RoutedVlanPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_VlanPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/config/vlan YANG schema element.
type Interface_RoutedVlan_VlanPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_VlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/config/vlan YANG schema element.
type Interface_RoutedVlan_VlanPathAny struct {
	*ygot.NodePath
}

// Ipv4 returns from Interface_RoutedVlanPath the path struct for its child "ipv4".
func (n *Interface_RoutedVlanPath) Ipv4() *Interface_RoutedVlan_Ipv4Path {
	return &Interface_RoutedVlan_Ipv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from Interface_RoutedVlanPathAny the path struct for its child "ipv4".
func (n *Interface_RoutedVlanPathAny) Ipv4() *Interface_RoutedVlan_Ipv4PathAny {
	return &Interface_RoutedVlan_Ipv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Interface_RoutedVlanPath the path struct for its child "ipv6".
func (n *Interface_RoutedVlanPath) Ipv6() *Interface_RoutedVlan_Ipv6Path {
	return &Interface_RoutedVlan_Ipv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Interface_RoutedVlanPathAny the path struct for its child "ipv6".
func (n *Interface_RoutedVlanPathAny) Ipv6() *Interface_RoutedVlan_Ipv6PathAny {
	return &Interface_RoutedVlan_Ipv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Interface_RoutedVlanPath the path struct for its child "vlan".
func (n *Interface_RoutedVlanPath) Vlan() *Interface_RoutedVlan_VlanPath {
	return &Interface_RoutedVlan_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Interface_RoutedVlanPathAny the path struct for its child "vlan".
func (n *Interface_RoutedVlanPathAny) Vlan() *Interface_RoutedVlan_VlanPathAny {
	return &Interface_RoutedVlan_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4Path represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4 YANG schema element.
type Interface_RoutedVlan_Ipv4Path struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4PathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4 YANG schema element.
type Interface_RoutedVlan_Ipv4PathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_DhcpClientPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/dhcp-client YANG schema element.
type Interface_RoutedVlan_Ipv4_DhcpClientPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_DhcpClientPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/dhcp-client YANG schema element.
type Interface_RoutedVlan_Ipv4_DhcpClientPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_EnabledPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv4_EnabledPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv4_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_MtuPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/mtu YANG schema element.
type Interface_RoutedVlan_Ipv4_MtuPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_MtuPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/config/mtu YANG schema element.
type Interface_RoutedVlan_Ipv4_MtuPathAny struct {
	*ygot.NodePath
}

// AddressAny returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "address".
func (n *Interface_RoutedVlan_Ipv4Path) AddressAny() *Interface_RoutedVlan_Ipv4_AddressPathAny {
	return &Interface_RoutedVlan_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// AddressAny returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "address".
func (n *Interface_RoutedVlan_Ipv4PathAny) AddressAny() *Interface_RoutedVlan_Ipv4_AddressPathAny {
	return &Interface_RoutedVlan_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Address returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "address".
// Ip: string
func (n *Interface_RoutedVlan_Ipv4Path) Address(Ip string) *Interface_RoutedVlan_Ipv4_AddressPath {
	return &Interface_RoutedVlan_Ipv4_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Address returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "address".
// Ip: string
func (n *Interface_RoutedVlan_Ipv4PathAny) Address(Ip string) *Interface_RoutedVlan_Ipv4_AddressPathAny {
	return &Interface_RoutedVlan_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Counters returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "counters".
func (n *Interface_RoutedVlan_Ipv4Path) Counters() *Interface_RoutedVlan_Ipv4_CountersPath {
	return &Interface_RoutedVlan_Ipv4_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "counters".
func (n *Interface_RoutedVlan_Ipv4PathAny) Counters() *Interface_RoutedVlan_Ipv4_CountersPathAny {
	return &Interface_RoutedVlan_Ipv4_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "dhcp-client".
func (n *Interface_RoutedVlan_Ipv4Path) DhcpClient() *Interface_RoutedVlan_Ipv4_DhcpClientPath {
	return &Interface_RoutedVlan_Ipv4_DhcpClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "dhcp-client".
func (n *Interface_RoutedVlan_Ipv4PathAny) DhcpClient() *Interface_RoutedVlan_Ipv4_DhcpClientPathAny {
	return &Interface_RoutedVlan_Ipv4_DhcpClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv4Path) Enabled() *Interface_RoutedVlan_Ipv4_EnabledPath {
	return &Interface_RoutedVlan_Ipv4_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv4PathAny) Enabled() *Interface_RoutedVlan_Ipv4_EnabledPathAny {
	return &Interface_RoutedVlan_Ipv4_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "mtu".
func (n *Interface_RoutedVlan_Ipv4Path) Mtu() *Interface_RoutedVlan_Ipv4_MtuPath {
	return &Interface_RoutedVlan_Ipv4_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "mtu".
func (n *Interface_RoutedVlan_Ipv4PathAny) Mtu() *Interface_RoutedVlan_Ipv4_MtuPathAny {
	return &Interface_RoutedVlan_Ipv4_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "neighbor".
func (n *Interface_RoutedVlan_Ipv4Path) NeighborAny() *Interface_RoutedVlan_Ipv4_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// NeighborAny returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "neighbor".
func (n *Interface_RoutedVlan_Ipv4PathAny) NeighborAny() *Interface_RoutedVlan_Ipv4_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Neighbor returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "neighbor".
// Ip: string
func (n *Interface_RoutedVlan_Ipv4Path) Neighbor(Ip string) *Interface_RoutedVlan_Ipv4_NeighborPath {
	return &Interface_RoutedVlan_Ipv4_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Neighbor returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "neighbor".
// Ip: string
func (n *Interface_RoutedVlan_Ipv4PathAny) Neighbor(Ip string) *Interface_RoutedVlan_Ipv4_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// ProxyArp returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "proxy-arp".
func (n *Interface_RoutedVlan_Ipv4Path) ProxyArp() *Interface_RoutedVlan_Ipv4_ProxyArpPath {
	return &Interface_RoutedVlan_Ipv4_ProxyArpPath{
		NodePath: ygot.NewNodePath(
			[]string{"proxy-arp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProxyArp returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "proxy-arp".
func (n *Interface_RoutedVlan_Ipv4PathAny) ProxyArp() *Interface_RoutedVlan_Ipv4_ProxyArpPathAny {
	return &Interface_RoutedVlan_Ipv4_ProxyArpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"proxy-arp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_RoutedVlan_Ipv4Path the path struct for its child "unnumbered".
func (n *Interface_RoutedVlan_Ipv4Path) Unnumbered() *Interface_RoutedVlan_Ipv4_UnnumberedPath {
	return &Interface_RoutedVlan_Ipv4_UnnumberedPath{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_RoutedVlan_Ipv4PathAny the path struct for its child "unnumbered".
func (n *Interface_RoutedVlan_Ipv4PathAny) Unnumbered() *Interface_RoutedVlan_Ipv4_UnnumberedPathAny {
	return &Interface_RoutedVlan_Ipv4_UnnumberedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_AddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address YANG schema element.
type Interface_RoutedVlan_Ipv4_AddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_AddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address YANG schema element.
type Interface_RoutedVlan_Ipv4_AddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_IpPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_IpPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_IpPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_OriginPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_OriginPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_OriginPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_PrefixLengthPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/config/prefix-length YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_PrefixLengthPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_PrefixLengthPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/config/prefix-length YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_RoutedVlan_Ipv4_AddressPath the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv4_AddressPath) Ip() *Interface_RoutedVlan_Ipv4_Address_IpPath {
	return &Interface_RoutedVlan_Ipv4_Address_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_RoutedVlan_Ipv4_AddressPathAny the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv4_AddressPathAny) Ip() *Interface_RoutedVlan_Ipv4_Address_IpPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv4_AddressPath the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv4_AddressPath) Origin() *Interface_RoutedVlan_Ipv4_Address_OriginPath {
	return &Interface_RoutedVlan_Ipv4_Address_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv4_AddressPathAny the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv4_AddressPathAny) Origin() *Interface_RoutedVlan_Ipv4_Address_OriginPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_RoutedVlan_Ipv4_AddressPath the path struct for its child "prefix-length".
func (n *Interface_RoutedVlan_Ipv4_AddressPath) PrefixLength() *Interface_RoutedVlan_Ipv4_Address_PrefixLengthPath {
	return &Interface_RoutedVlan_Ipv4_Address_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_RoutedVlan_Ipv4_AddressPathAny the path struct for its child "prefix-length".
func (n *Interface_RoutedVlan_Ipv4_AddressPathAny) PrefixLength() *Interface_RoutedVlan_Ipv4_Address_PrefixLengthPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_RoutedVlan_Ipv4_AddressPath the path struct for its child "vrrp-group".
func (n *Interface_RoutedVlan_Ipv4_AddressPath) VrrpGroupAny() *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_RoutedVlan_Ipv4_AddressPathAny the path struct for its child "vrrp-group".
func (n *Interface_RoutedVlan_Ipv4_AddressPathAny) VrrpGroupAny() *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroup returns from Interface_RoutedVlan_Ipv4_AddressPath the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_RoutedVlan_Ipv4_AddressPath) VrrpGroup(VirtualRouterId uint8) *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// VrrpGroup returns from Interface_RoutedVlan_Ipv4_AddressPathAny the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_RoutedVlan_Ipv4_AddressPathAny) VrrpGroup(VirtualRouterId uint8) *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny struct {
	*ygot.NodePath
}

// AcceptMode returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "accept-mode".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) AcceptMode() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AcceptMode returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "accept-mode".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) AcceptMode() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AcceptModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "advertisement-interval".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) AdvertisementInterval() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "advertisement-interval".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) AdvertisementInterval() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "current-priority".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) CurrentPriority() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "current-priority".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) CurrentPriority() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "interface-tracking".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) InterfaceTracking() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "interface-tracking".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) InterfaceTracking() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "preempt".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) Preempt() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "preempt".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) Preempt() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "preempt-delay".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) PreemptDelay() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "preempt-delay".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) PreemptDelay() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PreemptDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "priority".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) Priority() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "priority".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) Priority() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "virtual-address".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) VirtualAddress() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "virtual-address".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) VirtualAddress() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath the path struct for its child "virtual-router-id".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPath) VirtualRouterId() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny the path struct for its child "virtual-router-id".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroupPathAny) VirtualRouterId() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny struct {
	*ygot.NodePath
}

// PriorityDecrement returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "priority-decrement".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath) PriorityDecrement() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// PriorityDecrement returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "priority-decrement".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny) PriorityDecrement() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "track-interface".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPath) TrackInterface() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "track-interface".
func (n *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny) TrackInterface() *Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny {
	return &Interface_RoutedVlan_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_CountersPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters YANG schema element.
type Interface_RoutedVlan_Ipv4_CountersPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters YANG schema element.
type Interface_RoutedVlan_Ipv4_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/in-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-octets YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/state/counters/out-pkts YANG schema element.
type Interface_RoutedVlan_Ipv4_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// InDiscardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InDiscardedPkts() *Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InDiscardedPkts() *Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-error-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InErrorPkts() *Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-error-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InErrorPkts() *Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InForwardedOctets() *Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InForwardedOctets() *Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InForwardedPkts() *Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InForwardedPkts() *Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InOctets() *Interface_RoutedVlan_Ipv4_Counters_InOctetsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InOctets() *Interface_RoutedVlan_Ipv4_Counters_InOctetsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "in-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) InPkts() *Interface_RoutedVlan_Ipv4_Counters_InPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) InPkts() *Interface_RoutedVlan_Ipv4_Counters_InPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutDiscardedPkts() *Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutDiscardedPkts() *Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-error-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutErrorPkts() *Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-error-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutErrorPkts() *Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutForwardedOctets() *Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutForwardedOctets() *Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutForwardedPkts() *Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutForwardedPkts() *Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutOctets() *Interface_RoutedVlan_Ipv4_Counters_OutOctetsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutOctets() *Interface_RoutedVlan_Ipv4_Counters_OutOctetsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_RoutedVlan_Ipv4_CountersPath the path struct for its child "out-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPath) OutPkts() *Interface_RoutedVlan_Ipv4_Counters_OutPktsPath {
	return &Interface_RoutedVlan_Ipv4_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_RoutedVlan_Ipv4_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_RoutedVlan_Ipv4_CountersPathAny) OutPkts() *Interface_RoutedVlan_Ipv4_Counters_OutPktsPathAny {
	return &Interface_RoutedVlan_Ipv4_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_NeighborPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor YANG schema element.
type Interface_RoutedVlan_Ipv4_NeighborPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_NeighborPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor YANG schema element.
type Interface_RoutedVlan_Ipv4_NeighborPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_IpPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_IpPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_IpPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_OriginPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_OriginPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Neighbor_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/neighbors/neighbor/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv4_Neighbor_OriginPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_RoutedVlan_Ipv4_NeighborPath the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv4_NeighborPath) Ip() *Interface_RoutedVlan_Ipv4_Neighbor_IpPath {
	return &Interface_RoutedVlan_Ipv4_Neighbor_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_RoutedVlan_Ipv4_NeighborPathAny the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv4_NeighborPathAny) Ip() *Interface_RoutedVlan_Ipv4_Neighbor_IpPathAny {
	return &Interface_RoutedVlan_Ipv4_Neighbor_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_RoutedVlan_Ipv4_NeighborPath the path struct for its child "link-layer-address".
func (n *Interface_RoutedVlan_Ipv4_NeighborPath) LinkLayerAddress() *Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPath {
	return &Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_RoutedVlan_Ipv4_NeighborPathAny the path struct for its child "link-layer-address".
func (n *Interface_RoutedVlan_Ipv4_NeighborPathAny) LinkLayerAddress() *Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPathAny {
	return &Interface_RoutedVlan_Ipv4_Neighbor_LinkLayerAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv4_NeighborPath the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv4_NeighborPath) Origin() *Interface_RoutedVlan_Ipv4_Neighbor_OriginPath {
	return &Interface_RoutedVlan_Ipv4_Neighbor_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv4_NeighborPathAny the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv4_NeighborPathAny) Origin() *Interface_RoutedVlan_Ipv4_Neighbor_OriginPathAny {
	return &Interface_RoutedVlan_Ipv4_Neighbor_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_ProxyArpPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/proxy-arp YANG schema element.
type Interface_RoutedVlan_Ipv4_ProxyArpPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_ProxyArpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/proxy-arp YANG schema element.
type Interface_RoutedVlan_Ipv4_ProxyArpPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_ProxyArp_ModePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/proxy-arp/config/mode YANG schema element.
type Interface_RoutedVlan_Ipv4_ProxyArp_ModePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_ProxyArp_ModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/proxy-arp/config/mode YANG schema element.
type Interface_RoutedVlan_Ipv4_ProxyArp_ModePathAny struct {
	*ygot.NodePath
}

// Mode returns from Interface_RoutedVlan_Ipv4_ProxyArpPath the path struct for its child "mode".
func (n *Interface_RoutedVlan_Ipv4_ProxyArpPath) Mode() *Interface_RoutedVlan_Ipv4_ProxyArp_ModePath {
	return &Interface_RoutedVlan_Ipv4_ProxyArp_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from Interface_RoutedVlan_Ipv4_ProxyArpPathAny the path struct for its child "mode".
func (n *Interface_RoutedVlan_Ipv4_ProxyArpPathAny) Mode() *Interface_RoutedVlan_Ipv4_ProxyArp_ModePathAny {
	return &Interface_RoutedVlan_Ipv4_ProxyArp_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_UnnumberedPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered YANG schema element.
type Interface_RoutedVlan_Ipv4_UnnumberedPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_UnnumberedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered YANG schema element.
type Interface_RoutedVlan_Ipv4_UnnumberedPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Interface_RoutedVlan_Ipv4_UnnumberedPath the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv4_UnnumberedPath) Enabled() *Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPath {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv4_UnnumberedPathAny the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv4_UnnumberedPathAny) Enabled() *Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPathAny {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_RoutedVlan_Ipv4_UnnumberedPath the path struct for its child "interface-ref".
func (n *Interface_RoutedVlan_Ipv4_UnnumberedPath) InterfaceRef() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_RoutedVlan_Ipv4_UnnumberedPathAny the path struct for its child "interface-ref".
func (n *Interface_RoutedVlan_Ipv4_UnnumberedPathAny) InterfaceRef() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv4/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath the path struct for its child "interface".
func (n *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath) Interface() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePath {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny the path struct for its child "interface".
func (n *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny) Interface() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath the path struct for its child "subinterface".
func (n *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPath) Subinterface() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRefPathAny) Subinterface() *Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny {
	return &Interface_RoutedVlan_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6Path represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6 YANG schema element.
type Interface_RoutedVlan_Ipv6Path struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6PathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6 YANG schema element.
type Interface_RoutedVlan_Ipv6PathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_DhcpClientPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/dhcp-client YANG schema element.
type Interface_RoutedVlan_Ipv6_DhcpClientPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_DhcpClientPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/dhcp-client YANG schema element.
type Interface_RoutedVlan_Ipv6_DhcpClientPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/dup-addr-detect-transmits YANG schema element.
type Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/dup-addr-detect-transmits YANG schema element.
type Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_EnabledPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv6_EnabledPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv6_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_MtuPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/mtu YANG schema element.
type Interface_RoutedVlan_Ipv6_MtuPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_MtuPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/config/mtu YANG schema element.
type Interface_RoutedVlan_Ipv6_MtuPathAny struct {
	*ygot.NodePath
}

// AddressAny returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "address".
func (n *Interface_RoutedVlan_Ipv6Path) AddressAny() *Interface_RoutedVlan_Ipv6_AddressPathAny {
	return &Interface_RoutedVlan_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// AddressAny returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "address".
func (n *Interface_RoutedVlan_Ipv6PathAny) AddressAny() *Interface_RoutedVlan_Ipv6_AddressPathAny {
	return &Interface_RoutedVlan_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Address returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "address".
// Ip: string
func (n *Interface_RoutedVlan_Ipv6Path) Address(Ip string) *Interface_RoutedVlan_Ipv6_AddressPath {
	return &Interface_RoutedVlan_Ipv6_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Address returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "address".
// Ip: string
func (n *Interface_RoutedVlan_Ipv6PathAny) Address(Ip string) *Interface_RoutedVlan_Ipv6_AddressPathAny {
	return &Interface_RoutedVlan_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Counters returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "counters".
func (n *Interface_RoutedVlan_Ipv6Path) Counters() *Interface_RoutedVlan_Ipv6_CountersPath {
	return &Interface_RoutedVlan_Ipv6_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "counters".
func (n *Interface_RoutedVlan_Ipv6PathAny) Counters() *Interface_RoutedVlan_Ipv6_CountersPathAny {
	return &Interface_RoutedVlan_Ipv6_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "dhcp-client".
func (n *Interface_RoutedVlan_Ipv6Path) DhcpClient() *Interface_RoutedVlan_Ipv6_DhcpClientPath {
	return &Interface_RoutedVlan_Ipv6_DhcpClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "dhcp-client".
func (n *Interface_RoutedVlan_Ipv6PathAny) DhcpClient() *Interface_RoutedVlan_Ipv6_DhcpClientPathAny {
	return &Interface_RoutedVlan_Ipv6_DhcpClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DupAddrDetectTransmits returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "dup-addr-detect-transmits".
func (n *Interface_RoutedVlan_Ipv6Path) DupAddrDetectTransmits() *Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPath {
	return &Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dup-addr-detect-transmits"},
			map[string]interface{}{},
			n,
		),
	}
}

// DupAddrDetectTransmits returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "dup-addr-detect-transmits".
func (n *Interface_RoutedVlan_Ipv6PathAny) DupAddrDetectTransmits() *Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPathAny {
	return &Interface_RoutedVlan_Ipv6_DupAddrDetectTransmitsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dup-addr-detect-transmits"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv6Path) Enabled() *Interface_RoutedVlan_Ipv6_EnabledPath {
	return &Interface_RoutedVlan_Ipv6_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv6PathAny) Enabled() *Interface_RoutedVlan_Ipv6_EnabledPathAny {
	return &Interface_RoutedVlan_Ipv6_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "mtu".
func (n *Interface_RoutedVlan_Ipv6Path) Mtu() *Interface_RoutedVlan_Ipv6_MtuPath {
	return &Interface_RoutedVlan_Ipv6_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "mtu".
func (n *Interface_RoutedVlan_Ipv6PathAny) Mtu() *Interface_RoutedVlan_Ipv6_MtuPathAny {
	return &Interface_RoutedVlan_Ipv6_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "neighbor".
func (n *Interface_RoutedVlan_Ipv6Path) NeighborAny() *Interface_RoutedVlan_Ipv6_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// NeighborAny returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "neighbor".
func (n *Interface_RoutedVlan_Ipv6PathAny) NeighborAny() *Interface_RoutedVlan_Ipv6_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Neighbor returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "neighbor".
// Ip: string
func (n *Interface_RoutedVlan_Ipv6Path) Neighbor(Ip string) *Interface_RoutedVlan_Ipv6_NeighborPath {
	return &Interface_RoutedVlan_Ipv6_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Neighbor returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "neighbor".
// Ip: string
func (n *Interface_RoutedVlan_Ipv6PathAny) Neighbor(Ip string) *Interface_RoutedVlan_Ipv6_NeighborPathAny {
	return &Interface_RoutedVlan_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// RouterAdvertisement returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "router-advertisement".
func (n *Interface_RoutedVlan_Ipv6Path) RouterAdvertisement() *Interface_RoutedVlan_Ipv6_RouterAdvertisementPath {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisementPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterAdvertisement returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "router-advertisement".
func (n *Interface_RoutedVlan_Ipv6PathAny) RouterAdvertisement() *Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_RoutedVlan_Ipv6Path the path struct for its child "unnumbered".
func (n *Interface_RoutedVlan_Ipv6Path) Unnumbered() *Interface_RoutedVlan_Ipv6_UnnumberedPath {
	return &Interface_RoutedVlan_Ipv6_UnnumberedPath{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_RoutedVlan_Ipv6PathAny the path struct for its child "unnumbered".
func (n *Interface_RoutedVlan_Ipv6PathAny) Unnumbered() *Interface_RoutedVlan_Ipv6_UnnumberedPathAny {
	return &Interface_RoutedVlan_Ipv6_UnnumberedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_AddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address YANG schema element.
type Interface_RoutedVlan_Ipv6_AddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_AddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address YANG schema element.
type Interface_RoutedVlan_Ipv6_AddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_IpPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_IpPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_IpPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_OriginPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_OriginPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_OriginPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_PrefixLengthPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/config/prefix-length YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_PrefixLengthPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_PrefixLengthPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/config/prefix-length YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_StatusPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/state/status YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_StatusPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_StatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/state/status YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_StatusPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv6_AddressPath) Ip() *Interface_RoutedVlan_Ipv6_Address_IpPath {
	return &Interface_RoutedVlan_Ipv6_Address_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) Ip() *Interface_RoutedVlan_Ipv6_Address_IpPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv6_AddressPath) Origin() *Interface_RoutedVlan_Ipv6_Address_OriginPath {
	return &Interface_RoutedVlan_Ipv6_Address_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) Origin() *Interface_RoutedVlan_Ipv6_Address_OriginPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "prefix-length".
func (n *Interface_RoutedVlan_Ipv6_AddressPath) PrefixLength() *Interface_RoutedVlan_Ipv6_Address_PrefixLengthPath {
	return &Interface_RoutedVlan_Ipv6_Address_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "prefix-length".
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) PrefixLength() *Interface_RoutedVlan_Ipv6_Address_PrefixLengthPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "status".
func (n *Interface_RoutedVlan_Ipv6_AddressPath) Status() *Interface_RoutedVlan_Ipv6_Address_StatusPath {
	return &Interface_RoutedVlan_Ipv6_Address_StatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "status".
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) Status() *Interface_RoutedVlan_Ipv6_Address_StatusPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_StatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "vrrp-group".
func (n *Interface_RoutedVlan_Ipv6_AddressPath) VrrpGroupAny() *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "vrrp-group".
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) VrrpGroupAny() *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroup returns from Interface_RoutedVlan_Ipv6_AddressPath the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_RoutedVlan_Ipv6_AddressPath) VrrpGroup(VirtualRouterId uint8) *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// VrrpGroup returns from Interface_RoutedVlan_Ipv6_AddressPathAny the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_RoutedVlan_Ipv6_AddressPathAny) VrrpGroup(VirtualRouterId uint8) *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-link-local YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-link-local YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny struct {
	*ygot.NodePath
}

// AcceptMode returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "accept-mode".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) AcceptMode() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AcceptMode returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "accept-mode".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) AcceptMode() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AcceptModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "advertisement-interval".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) AdvertisementInterval() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "advertisement-interval".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) AdvertisementInterval() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "current-priority".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) CurrentPriority() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "current-priority".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) CurrentPriority() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "interface-tracking".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) InterfaceTracking() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "interface-tracking".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) InterfaceTracking() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "preempt".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) Preempt() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "preempt".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) Preempt() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "preempt-delay".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) PreemptDelay() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "preempt-delay".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) PreemptDelay() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PreemptDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "priority".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) Priority() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "priority".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) Priority() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-address".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) VirtualAddress() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-address".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) VirtualAddress() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualLinkLocal returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-link-local".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) VirtualLinkLocal() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-link-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualLinkLocal returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-link-local".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) VirtualLinkLocal() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-link-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-router-id".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPath) VirtualRouterId() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-router-id".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroupPathAny) VirtualRouterId() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny struct {
	*ygot.NodePath
}

// PriorityDecrement returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "priority-decrement".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath) PriorityDecrement() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// PriorityDecrement returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "priority-decrement".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny) PriorityDecrement() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "track-interface".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPath) TrackInterface() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "track-interface".
func (n *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny) TrackInterface() *Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny {
	return &Interface_RoutedVlan_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_CountersPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters YANG schema element.
type Interface_RoutedVlan_Ipv6_CountersPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters YANG schema element.
type Interface_RoutedVlan_Ipv6_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/in-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-discarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-error-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-forwarded-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-forwarded-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-octets YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/state/counters/out-pkts YANG schema element.
type Interface_RoutedVlan_Ipv6_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// InDiscardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InDiscardedPkts() *Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InDiscardedPkts() *Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-error-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InErrorPkts() *Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-error-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InErrorPkts() *Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InForwardedOctets() *Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InForwardedOctets() *Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InForwardedPkts() *Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InForwardedPkts() *Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InOctets() *Interface_RoutedVlan_Ipv6_Counters_InOctetsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InOctets() *Interface_RoutedVlan_Ipv6_Counters_InOctetsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "in-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) InPkts() *Interface_RoutedVlan_Ipv6_Counters_InPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) InPkts() *Interface_RoutedVlan_Ipv6_Counters_InPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutDiscardedPkts() *Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-discarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutDiscardedPkts() *Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-error-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutErrorPkts() *Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-error-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutErrorPkts() *Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutForwardedOctets() *Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-forwarded-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutForwardedOctets() *Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutForwardedPkts() *Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-forwarded-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutForwardedPkts() *Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutOctets() *Interface_RoutedVlan_Ipv6_Counters_OutOctetsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutOctets() *Interface_RoutedVlan_Ipv6_Counters_OutOctetsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_RoutedVlan_Ipv6_CountersPath the path struct for its child "out-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPath) OutPkts() *Interface_RoutedVlan_Ipv6_Counters_OutPktsPath {
	return &Interface_RoutedVlan_Ipv6_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_RoutedVlan_Ipv6_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_RoutedVlan_Ipv6_CountersPathAny) OutPkts() *Interface_RoutedVlan_Ipv6_Counters_OutPktsPathAny {
	return &Interface_RoutedVlan_Ipv6_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_NeighborPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor YANG schema element.
type Interface_RoutedVlan_Ipv6_NeighborPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_NeighborPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor YANG schema element.
type Interface_RoutedVlan_Ipv6_NeighborPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_IpPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_IpPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/config/ip YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_IpPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/is-router YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/is-router YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/neighbor-state YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/neighbor-state YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_OriginPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_OriginPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Neighbor_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/neighbors/neighbor/state/origin YANG schema element.
type Interface_RoutedVlan_Ipv6_Neighbor_OriginPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_RoutedVlan_Ipv6_NeighborPath the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv6_NeighborPath) Ip() *Interface_RoutedVlan_Ipv6_Neighbor_IpPath {
	return &Interface_RoutedVlan_Ipv6_Neighbor_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_RoutedVlan_Ipv6_NeighborPathAny the path struct for its child "ip".
func (n *Interface_RoutedVlan_Ipv6_NeighborPathAny) Ip() *Interface_RoutedVlan_Ipv6_Neighbor_IpPathAny {
	return &Interface_RoutedVlan_Ipv6_Neighbor_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsRouter returns from Interface_RoutedVlan_Ipv6_NeighborPath the path struct for its child "is-router".
func (n *Interface_RoutedVlan_Ipv6_NeighborPath) IsRouter() *Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPath {
	return &Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsRouter returns from Interface_RoutedVlan_Ipv6_NeighborPathAny the path struct for its child "is-router".
func (n *Interface_RoutedVlan_Ipv6_NeighborPathAny) IsRouter() *Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPathAny {
	return &Interface_RoutedVlan_Ipv6_Neighbor_IsRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_RoutedVlan_Ipv6_NeighborPath the path struct for its child "link-layer-address".
func (n *Interface_RoutedVlan_Ipv6_NeighborPath) LinkLayerAddress() *Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPath {
	return &Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_RoutedVlan_Ipv6_NeighborPathAny the path struct for its child "link-layer-address".
func (n *Interface_RoutedVlan_Ipv6_NeighborPathAny) LinkLayerAddress() *Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPathAny {
	return &Interface_RoutedVlan_Ipv6_Neighbor_LinkLayerAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborState returns from Interface_RoutedVlan_Ipv6_NeighborPath the path struct for its child "neighbor-state".
func (n *Interface_RoutedVlan_Ipv6_NeighborPath) NeighborState() *Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePath {
	return &Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborState returns from Interface_RoutedVlan_Ipv6_NeighborPathAny the path struct for its child "neighbor-state".
func (n *Interface_RoutedVlan_Ipv6_NeighborPathAny) NeighborState() *Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePathAny {
	return &Interface_RoutedVlan_Ipv6_Neighbor_NeighborStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv6_NeighborPath the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv6_NeighborPath) Origin() *Interface_RoutedVlan_Ipv6_Neighbor_OriginPath {
	return &Interface_RoutedVlan_Ipv6_Neighbor_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_RoutedVlan_Ipv6_NeighborPathAny the path struct for its child "origin".
func (n *Interface_RoutedVlan_Ipv6_NeighborPathAny) Origin() *Interface_RoutedVlan_Ipv6_Neighbor_OriginPathAny {
	return &Interface_RoutedVlan_Ipv6_Neighbor_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisementPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisementPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/interval YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/interval YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/lifetime YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/lifetime YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/suppress YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/router-advertisement/config/suppress YANG schema element.
type Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPathAny struct {
	*ygot.NodePath
}

// Interval returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPath the path struct for its child "interval".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPath) Interval() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPath {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny the path struct for its child "interval".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny) Interval() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPathAny {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lifetime returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPath the path struct for its child "lifetime".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPath) Lifetime() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePath {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lifetime returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny the path struct for its child "lifetime".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny) Lifetime() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePathAny {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_LifetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Suppress returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPath the path struct for its child "suppress".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPath) Suppress() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPath {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Suppress returns from Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny the path struct for its child "suppress".
func (n *Interface_RoutedVlan_Ipv6_RouterAdvertisementPathAny) Suppress() *Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPathAny {
	return &Interface_RoutedVlan_Ipv6_RouterAdvertisement_SuppressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_UnnumberedPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered YANG schema element.
type Interface_RoutedVlan_Ipv6_UnnumberedPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_UnnumberedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered YANG schema element.
type Interface_RoutedVlan_Ipv6_UnnumberedPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/config/enabled YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Interface_RoutedVlan_Ipv6_UnnumberedPath the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv6_UnnumberedPath) Enabled() *Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPath {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_RoutedVlan_Ipv6_UnnumberedPathAny the path struct for its child "enabled".
func (n *Interface_RoutedVlan_Ipv6_UnnumberedPathAny) Enabled() *Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPathAny {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_RoutedVlan_Ipv6_UnnumberedPath the path struct for its child "interface-ref".
func (n *Interface_RoutedVlan_Ipv6_UnnumberedPath) InterfaceRef() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_RoutedVlan_Ipv6_UnnumberedPathAny the path struct for its child "interface-ref".
func (n *Interface_RoutedVlan_Ipv6_UnnumberedPathAny) InterfaceRef() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath represents the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/routed-vlan/ipv6/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath the path struct for its child "interface".
func (n *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath) Interface() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePath {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny the path struct for its child "interface".
func (n *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny) Interface() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath the path struct for its child "subinterface".
func (n *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPath) Subinterface() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRefPathAny) Subinterface() *Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny {
	return &Interface_RoutedVlan_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_SonetPath represents the /openconfig-interfaces/interfaces/interface/sonet YANG schema element.
type Interface_SonetPath struct {
	*ygot.NodePath
}

// Interface_SonetPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/sonet YANG schema element.
type Interface_SonetPathAny struct {
	*ygot.NodePath
}

// Interface_SubinterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface YANG schema element.
type Interface_SubinterfacePath struct {
	*ygot.NodePath
}

// Interface_SubinterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface YANG schema element.
type Interface_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_AdminStatusPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/admin-status YANG schema element.
type Interface_Subinterface_AdminStatusPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_AdminStatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/admin-status YANG schema element.
type Interface_Subinterface_AdminStatusPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_DescriptionPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/description YANG schema element.
type Interface_Subinterface_DescriptionPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_DescriptionPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/description YANG schema element.
type Interface_Subinterface_DescriptionPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_EnabledPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/enabled YANG schema element.
type Interface_Subinterface_EnabledPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/enabled YANG schema element.
type Interface_Subinterface_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_IfindexPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/ifindex YANG schema element.
type Interface_Subinterface_IfindexPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_IfindexPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/ifindex YANG schema element.
type Interface_Subinterface_IfindexPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_IndexPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/index YANG schema element.
type Interface_Subinterface_IndexPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_IndexPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/config/index YANG schema element.
type Interface_Subinterface_IndexPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_LastChangePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/last-change YANG schema element.
type Interface_Subinterface_LastChangePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_LastChangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/last-change YANG schema element.
type Interface_Subinterface_LastChangePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_LogicalPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/logical YANG schema element.
type Interface_Subinterface_LogicalPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_LogicalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/logical YANG schema element.
type Interface_Subinterface_LogicalPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_NamePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/name YANG schema element.
type Interface_Subinterface_NamePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_NamePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/name YANG schema element.
type Interface_Subinterface_NamePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_OperStatusPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/oper-status YANG schema element.
type Interface_Subinterface_OperStatusPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_OperStatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/oper-status YANG schema element.
type Interface_Subinterface_OperStatusPathAny struct {
	*ygot.NodePath
}

// AdminStatus returns from Interface_SubinterfacePath the path struct for its child "admin-status".
func (n *Interface_SubinterfacePath) AdminStatus() *Interface_Subinterface_AdminStatusPath {
	return &Interface_Subinterface_AdminStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminStatus returns from Interface_SubinterfacePathAny the path struct for its child "admin-status".
func (n *Interface_SubinterfacePathAny) AdminStatus() *Interface_Subinterface_AdminStatusPathAny {
	return &Interface_Subinterface_AdminStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_SubinterfacePath the path struct for its child "counters".
func (n *Interface_SubinterfacePath) Counters() *Interface_Subinterface_CountersPath {
	return &Interface_Subinterface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_SubinterfacePathAny the path struct for its child "counters".
func (n *Interface_SubinterfacePathAny) Counters() *Interface_Subinterface_CountersPathAny {
	return &Interface_Subinterface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Interface_SubinterfacePath the path struct for its child "description".
func (n *Interface_SubinterfacePath) Description() *Interface_Subinterface_DescriptionPath {
	return &Interface_Subinterface_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from Interface_SubinterfacePathAny the path struct for its child "description".
func (n *Interface_SubinterfacePathAny) Description() *Interface_Subinterface_DescriptionPathAny {
	return &Interface_Subinterface_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_SubinterfacePath the path struct for its child "enabled".
func (n *Interface_SubinterfacePath) Enabled() *Interface_Subinterface_EnabledPath {
	return &Interface_Subinterface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_SubinterfacePathAny the path struct for its child "enabled".
func (n *Interface_SubinterfacePathAny) Enabled() *Interface_Subinterface_EnabledPathAny {
	return &Interface_Subinterface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ifindex returns from Interface_SubinterfacePath the path struct for its child "ifindex".
func (n *Interface_SubinterfacePath) Ifindex() *Interface_Subinterface_IfindexPath {
	return &Interface_Subinterface_IfindexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ifindex"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ifindex returns from Interface_SubinterfacePathAny the path struct for its child "ifindex".
func (n *Interface_SubinterfacePathAny) Ifindex() *Interface_Subinterface_IfindexPathAny {
	return &Interface_Subinterface_IfindexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ifindex"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Interface_SubinterfacePath the path struct for its child "index".
func (n *Interface_SubinterfacePath) Index() *Interface_Subinterface_IndexPath {
	return &Interface_Subinterface_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from Interface_SubinterfacePathAny the path struct for its child "index".
func (n *Interface_SubinterfacePathAny) Index() *Interface_Subinterface_IndexPathAny {
	return &Interface_Subinterface_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from Interface_SubinterfacePath the path struct for its child "ipv4".
func (n *Interface_SubinterfacePath) Ipv4() *Interface_Subinterface_Ipv4Path {
	return &Interface_Subinterface_Ipv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from Interface_SubinterfacePathAny the path struct for its child "ipv4".
func (n *Interface_SubinterfacePathAny) Ipv4() *Interface_Subinterface_Ipv4PathAny {
	return &Interface_Subinterface_Ipv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Interface_SubinterfacePath the path struct for its child "ipv6".
func (n *Interface_SubinterfacePath) Ipv6() *Interface_Subinterface_Ipv6Path {
	return &Interface_Subinterface_Ipv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from Interface_SubinterfacePathAny the path struct for its child "ipv6".
func (n *Interface_SubinterfacePathAny) Ipv6() *Interface_Subinterface_Ipv6PathAny {
	return &Interface_Subinterface_Ipv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastChange returns from Interface_SubinterfacePath the path struct for its child "last-change".
func (n *Interface_SubinterfacePath) LastChange() *Interface_Subinterface_LastChangePath {
	return &Interface_Subinterface_LastChangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastChange returns from Interface_SubinterfacePathAny the path struct for its child "last-change".
func (n *Interface_SubinterfacePathAny) LastChange() *Interface_Subinterface_LastChangePathAny {
	return &Interface_Subinterface_LastChangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logical returns from Interface_SubinterfacePath the path struct for its child "logical".
func (n *Interface_SubinterfacePath) Logical() *Interface_Subinterface_LogicalPath {
	return &Interface_Subinterface_LogicalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "logical"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logical returns from Interface_SubinterfacePathAny the path struct for its child "logical".
func (n *Interface_SubinterfacePathAny) Logical() *Interface_Subinterface_LogicalPathAny {
	return &Interface_Subinterface_LogicalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "logical"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Interface_SubinterfacePath the path struct for its child "name".
func (n *Interface_SubinterfacePath) Name() *Interface_Subinterface_NamePath {
	return &Interface_Subinterface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Interface_SubinterfacePathAny the path struct for its child "name".
func (n *Interface_SubinterfacePathAny) Name() *Interface_Subinterface_NamePathAny {
	return &Interface_Subinterface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from Interface_SubinterfacePath the path struct for its child "oper-status".
func (n *Interface_SubinterfacePath) OperStatus() *Interface_Subinterface_OperStatusPath {
	return &Interface_Subinterface_OperStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from Interface_SubinterfacePathAny the path struct for its child "oper-status".
func (n *Interface_SubinterfacePathAny) OperStatus() *Interface_Subinterface_OperStatusPathAny {
	return &Interface_Subinterface_OperStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Interface_SubinterfacePath the path struct for its child "vlan".
func (n *Interface_SubinterfacePath) Vlan() *Interface_Subinterface_VlanPath {
	return &Interface_Subinterface_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Interface_SubinterfacePathAny the path struct for its child "vlan".
func (n *Interface_SubinterfacePathAny) Vlan() *Interface_Subinterface_VlanPathAny {
	return &Interface_Subinterface_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_CountersPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters YANG schema element.
type Interface_Subinterface_CountersPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters YANG schema element.
type Interface_Subinterface_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_CarrierTransitionsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/carrier-transitions YANG schema element.
type Interface_Subinterface_Counters_CarrierTransitionsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_CarrierTransitionsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/carrier-transitions YANG schema element.
type Interface_Subinterface_Counters_CarrierTransitionsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InBroadcastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-broadcast-pkts YANG schema element.
type Interface_Subinterface_Counters_InBroadcastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InBroadcastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-broadcast-pkts YANG schema element.
type Interface_Subinterface_Counters_InBroadcastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InDiscardsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-discards YANG schema element.
type Interface_Subinterface_Counters_InDiscardsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InDiscardsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-discards YANG schema element.
type Interface_Subinterface_Counters_InDiscardsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InErrorsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-errors YANG schema element.
type Interface_Subinterface_Counters_InErrorsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-errors YANG schema element.
type Interface_Subinterface_Counters_InErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InFcsErrorsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-fcs-errors YANG schema element.
type Interface_Subinterface_Counters_InFcsErrorsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InFcsErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-fcs-errors YANG schema element.
type Interface_Subinterface_Counters_InFcsErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InMulticastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-multicast-pkts YANG schema element.
type Interface_Subinterface_Counters_InMulticastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InMulticastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-multicast-pkts YANG schema element.
type Interface_Subinterface_Counters_InMulticastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InUnicastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-unicast-pkts YANG schema element.
type Interface_Subinterface_Counters_InUnicastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InUnicastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-unicast-pkts YANG schema element.
type Interface_Subinterface_Counters_InUnicastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InUnknownProtosPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-unknown-protos YANG schema element.
type Interface_Subinterface_Counters_InUnknownProtosPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_InUnknownProtosPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/in-unknown-protos YANG schema element.
type Interface_Subinterface_Counters_InUnknownProtosPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_LastClearPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/last-clear YANG schema element.
type Interface_Subinterface_Counters_LastClearPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_LastClearPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/last-clear YANG schema element.
type Interface_Subinterface_Counters_LastClearPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutBroadcastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-broadcast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutBroadcastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutBroadcastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-broadcast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutBroadcastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutDiscardsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-discards YANG schema element.
type Interface_Subinterface_Counters_OutDiscardsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutDiscardsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-discards YANG schema element.
type Interface_Subinterface_Counters_OutDiscardsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutErrorsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-errors YANG schema element.
type Interface_Subinterface_Counters_OutErrorsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutErrorsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-errors YANG schema element.
type Interface_Subinterface_Counters_OutErrorsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutMulticastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-multicast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutMulticastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutMulticastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-multicast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutMulticastPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutUnicastPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-unicast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutUnicastPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Counters_OutUnicastPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/state/counters/out-unicast-pkts YANG schema element.
type Interface_Subinterface_Counters_OutUnicastPktsPathAny struct {
	*ygot.NodePath
}

// CarrierTransitions returns from Interface_Subinterface_CountersPath the path struct for its child "carrier-transitions".
func (n *Interface_Subinterface_CountersPath) CarrierTransitions() *Interface_Subinterface_Counters_CarrierTransitionsPath {
	return &Interface_Subinterface_Counters_CarrierTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"carrier-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// CarrierTransitions returns from Interface_Subinterface_CountersPathAny the path struct for its child "carrier-transitions".
func (n *Interface_Subinterface_CountersPathAny) CarrierTransitions() *Interface_Subinterface_Counters_CarrierTransitionsPathAny {
	return &Interface_Subinterface_Counters_CarrierTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"carrier-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBroadcastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "in-broadcast-pkts".
func (n *Interface_Subinterface_CountersPath) InBroadcastPkts() *Interface_Subinterface_Counters_InBroadcastPktsPath {
	return &Interface_Subinterface_Counters_InBroadcastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBroadcastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-broadcast-pkts".
func (n *Interface_Subinterface_CountersPathAny) InBroadcastPkts() *Interface_Subinterface_Counters_InBroadcastPktsPathAny {
	return &Interface_Subinterface_Counters_InBroadcastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscards returns from Interface_Subinterface_CountersPath the path struct for its child "in-discards".
func (n *Interface_Subinterface_CountersPath) InDiscards() *Interface_Subinterface_Counters_InDiscardsPath {
	return &Interface_Subinterface_Counters_InDiscardsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscards returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-discards".
func (n *Interface_Subinterface_CountersPathAny) InDiscards() *Interface_Subinterface_Counters_InDiscardsPathAny {
	return &Interface_Subinterface_Counters_InDiscardsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrors returns from Interface_Subinterface_CountersPath the path struct for its child "in-errors".
func (n *Interface_Subinterface_CountersPath) InErrors() *Interface_Subinterface_Counters_InErrorsPath {
	return &Interface_Subinterface_Counters_InErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrors returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-errors".
func (n *Interface_Subinterface_CountersPathAny) InErrors() *Interface_Subinterface_Counters_InErrorsPathAny {
	return &Interface_Subinterface_Counters_InErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFcsErrors returns from Interface_Subinterface_CountersPath the path struct for its child "in-fcs-errors".
func (n *Interface_Subinterface_CountersPath) InFcsErrors() *Interface_Subinterface_Counters_InFcsErrorsPath {
	return &Interface_Subinterface_Counters_InFcsErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-fcs-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFcsErrors returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-fcs-errors".
func (n *Interface_Subinterface_CountersPathAny) InFcsErrors() *Interface_Subinterface_Counters_InFcsErrorsPathAny {
	return &Interface_Subinterface_Counters_InFcsErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-fcs-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMulticastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "in-multicast-pkts".
func (n *Interface_Subinterface_CountersPath) InMulticastPkts() *Interface_Subinterface_Counters_InMulticastPktsPath {
	return &Interface_Subinterface_Counters_InMulticastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMulticastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-multicast-pkts".
func (n *Interface_Subinterface_CountersPathAny) InMulticastPkts() *Interface_Subinterface_Counters_InMulticastPktsPathAny {
	return &Interface_Subinterface_Counters_InMulticastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_CountersPath the path struct for its child "in-octets".
func (n *Interface_Subinterface_CountersPath) InOctets() *Interface_Subinterface_Counters_InOctetsPath {
	return &Interface_Subinterface_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_Subinterface_CountersPathAny) InOctets() *Interface_Subinterface_Counters_InOctetsPathAny {
	return &Interface_Subinterface_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_CountersPath the path struct for its child "in-pkts".
func (n *Interface_Subinterface_CountersPath) InPkts() *Interface_Subinterface_Counters_InPktsPath {
	return &Interface_Subinterface_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_Subinterface_CountersPathAny) InPkts() *Interface_Subinterface_Counters_InPktsPathAny {
	return &Interface_Subinterface_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnicastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "in-unicast-pkts".
func (n *Interface_Subinterface_CountersPath) InUnicastPkts() *Interface_Subinterface_Counters_InUnicastPktsPath {
	return &Interface_Subinterface_Counters_InUnicastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnicastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-unicast-pkts".
func (n *Interface_Subinterface_CountersPathAny) InUnicastPkts() *Interface_Subinterface_Counters_InUnicastPktsPathAny {
	return &Interface_Subinterface_Counters_InUnicastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnknownProtos returns from Interface_Subinterface_CountersPath the path struct for its child "in-unknown-protos".
func (n *Interface_Subinterface_CountersPath) InUnknownProtos() *Interface_Subinterface_Counters_InUnknownProtosPath {
	return &Interface_Subinterface_Counters_InUnknownProtosPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-unknown-protos"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUnknownProtos returns from Interface_Subinterface_CountersPathAny the path struct for its child "in-unknown-protos".
func (n *Interface_Subinterface_CountersPathAny) InUnknownProtos() *Interface_Subinterface_Counters_InUnknownProtosPathAny {
	return &Interface_Subinterface_Counters_InUnknownProtosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-unknown-protos"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Interface_Subinterface_CountersPath the path struct for its child "last-clear".
func (n *Interface_Subinterface_CountersPath) LastClear() *Interface_Subinterface_Counters_LastClearPath {
	return &Interface_Subinterface_Counters_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Interface_Subinterface_CountersPathAny the path struct for its child "last-clear".
func (n *Interface_Subinterface_CountersPathAny) LastClear() *Interface_Subinterface_Counters_LastClearPathAny {
	return &Interface_Subinterface_Counters_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBroadcastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "out-broadcast-pkts".
func (n *Interface_Subinterface_CountersPath) OutBroadcastPkts() *Interface_Subinterface_Counters_OutBroadcastPktsPath {
	return &Interface_Subinterface_Counters_OutBroadcastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBroadcastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-broadcast-pkts".
func (n *Interface_Subinterface_CountersPathAny) OutBroadcastPkts() *Interface_Subinterface_Counters_OutBroadcastPktsPathAny {
	return &Interface_Subinterface_Counters_OutBroadcastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-broadcast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscards returns from Interface_Subinterface_CountersPath the path struct for its child "out-discards".
func (n *Interface_Subinterface_CountersPath) OutDiscards() *Interface_Subinterface_Counters_OutDiscardsPath {
	return &Interface_Subinterface_Counters_OutDiscardsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscards returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-discards".
func (n *Interface_Subinterface_CountersPathAny) OutDiscards() *Interface_Subinterface_Counters_OutDiscardsPathAny {
	return &Interface_Subinterface_Counters_OutDiscardsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discards"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrors returns from Interface_Subinterface_CountersPath the path struct for its child "out-errors".
func (n *Interface_Subinterface_CountersPath) OutErrors() *Interface_Subinterface_Counters_OutErrorsPath {
	return &Interface_Subinterface_Counters_OutErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrors returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-errors".
func (n *Interface_Subinterface_CountersPathAny) OutErrors() *Interface_Subinterface_Counters_OutErrorsPathAny {
	return &Interface_Subinterface_Counters_OutErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMulticastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "out-multicast-pkts".
func (n *Interface_Subinterface_CountersPath) OutMulticastPkts() *Interface_Subinterface_Counters_OutMulticastPktsPath {
	return &Interface_Subinterface_Counters_OutMulticastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMulticastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-multicast-pkts".
func (n *Interface_Subinterface_CountersPathAny) OutMulticastPkts() *Interface_Subinterface_Counters_OutMulticastPktsPathAny {
	return &Interface_Subinterface_Counters_OutMulticastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-multicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_CountersPath the path struct for its child "out-octets".
func (n *Interface_Subinterface_CountersPath) OutOctets() *Interface_Subinterface_Counters_OutOctetsPath {
	return &Interface_Subinterface_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_Subinterface_CountersPathAny) OutOctets() *Interface_Subinterface_Counters_OutOctetsPathAny {
	return &Interface_Subinterface_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_CountersPath the path struct for its child "out-pkts".
func (n *Interface_Subinterface_CountersPath) OutPkts() *Interface_Subinterface_Counters_OutPktsPath {
	return &Interface_Subinterface_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_Subinterface_CountersPathAny) OutPkts() *Interface_Subinterface_Counters_OutPktsPathAny {
	return &Interface_Subinterface_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutUnicastPkts returns from Interface_Subinterface_CountersPath the path struct for its child "out-unicast-pkts".
func (n *Interface_Subinterface_CountersPath) OutUnicastPkts() *Interface_Subinterface_Counters_OutUnicastPktsPath {
	return &Interface_Subinterface_Counters_OutUnicastPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutUnicastPkts returns from Interface_Subinterface_CountersPathAny the path struct for its child "out-unicast-pkts".
func (n *Interface_Subinterface_CountersPathAny) OutUnicastPkts() *Interface_Subinterface_Counters_OutUnicastPktsPathAny {
	return &Interface_Subinterface_Counters_OutUnicastPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-unicast-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4Path represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4 YANG schema element.
type Interface_Subinterface_Ipv4Path struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4PathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4 YANG schema element.
type Interface_Subinterface_Ipv4PathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_DhcpClientPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/dhcp-client YANG schema element.
type Interface_Subinterface_Ipv4_DhcpClientPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_DhcpClientPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/dhcp-client YANG schema element.
type Interface_Subinterface_Ipv4_DhcpClientPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_EnabledPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/enabled YANG schema element.
type Interface_Subinterface_Ipv4_EnabledPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/enabled YANG schema element.
type Interface_Subinterface_Ipv4_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_MtuPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/mtu YANG schema element.
type Interface_Subinterface_Ipv4_MtuPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_MtuPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/config/mtu YANG schema element.
type Interface_Subinterface_Ipv4_MtuPathAny struct {
	*ygot.NodePath
}

// AddressAny returns from Interface_Subinterface_Ipv4Path the path struct for its child "address".
func (n *Interface_Subinterface_Ipv4Path) AddressAny() *Interface_Subinterface_Ipv4_AddressPathAny {
	return &Interface_Subinterface_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// AddressAny returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "address".
func (n *Interface_Subinterface_Ipv4PathAny) AddressAny() *Interface_Subinterface_Ipv4_AddressPathAny {
	return &Interface_Subinterface_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Address returns from Interface_Subinterface_Ipv4Path the path struct for its child "address".
// Ip: string
func (n *Interface_Subinterface_Ipv4Path) Address(Ip string) *Interface_Subinterface_Ipv4_AddressPath {
	return &Interface_Subinterface_Ipv4_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Address returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "address".
// Ip: string
func (n *Interface_Subinterface_Ipv4PathAny) Address(Ip string) *Interface_Subinterface_Ipv4_AddressPathAny {
	return &Interface_Subinterface_Ipv4_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Counters returns from Interface_Subinterface_Ipv4Path the path struct for its child "counters".
func (n *Interface_Subinterface_Ipv4Path) Counters() *Interface_Subinterface_Ipv4_CountersPath {
	return &Interface_Subinterface_Ipv4_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "counters".
func (n *Interface_Subinterface_Ipv4PathAny) Counters() *Interface_Subinterface_Ipv4_CountersPathAny {
	return &Interface_Subinterface_Ipv4_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_Subinterface_Ipv4Path the path struct for its child "dhcp-client".
func (n *Interface_Subinterface_Ipv4Path) DhcpClient() *Interface_Subinterface_Ipv4_DhcpClientPath {
	return &Interface_Subinterface_Ipv4_DhcpClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "dhcp-client".
func (n *Interface_Subinterface_Ipv4PathAny) DhcpClient() *Interface_Subinterface_Ipv4_DhcpClientPathAny {
	return &Interface_Subinterface_Ipv4_DhcpClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv4Path the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv4Path) Enabled() *Interface_Subinterface_Ipv4_EnabledPath {
	return &Interface_Subinterface_Ipv4_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv4PathAny) Enabled() *Interface_Subinterface_Ipv4_EnabledPathAny {
	return &Interface_Subinterface_Ipv4_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_Subinterface_Ipv4Path the path struct for its child "mtu".
func (n *Interface_Subinterface_Ipv4Path) Mtu() *Interface_Subinterface_Ipv4_MtuPath {
	return &Interface_Subinterface_Ipv4_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "mtu".
func (n *Interface_Subinterface_Ipv4PathAny) Mtu() *Interface_Subinterface_Ipv4_MtuPathAny {
	return &Interface_Subinterface_Ipv4_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Interface_Subinterface_Ipv4Path the path struct for its child "neighbor".
func (n *Interface_Subinterface_Ipv4Path) NeighborAny() *Interface_Subinterface_Ipv4_NeighborPathAny {
	return &Interface_Subinterface_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// NeighborAny returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "neighbor".
func (n *Interface_Subinterface_Ipv4PathAny) NeighborAny() *Interface_Subinterface_Ipv4_NeighborPathAny {
	return &Interface_Subinterface_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Neighbor returns from Interface_Subinterface_Ipv4Path the path struct for its child "neighbor".
// Ip: string
func (n *Interface_Subinterface_Ipv4Path) Neighbor(Ip string) *Interface_Subinterface_Ipv4_NeighborPath {
	return &Interface_Subinterface_Ipv4_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Neighbor returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "neighbor".
// Ip: string
func (n *Interface_Subinterface_Ipv4PathAny) Neighbor(Ip string) *Interface_Subinterface_Ipv4_NeighborPathAny {
	return &Interface_Subinterface_Ipv4_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// ProxyArp returns from Interface_Subinterface_Ipv4Path the path struct for its child "proxy-arp".
func (n *Interface_Subinterface_Ipv4Path) ProxyArp() *Interface_Subinterface_Ipv4_ProxyArpPath {
	return &Interface_Subinterface_Ipv4_ProxyArpPath{
		NodePath: ygot.NewNodePath(
			[]string{"proxy-arp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProxyArp returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "proxy-arp".
func (n *Interface_Subinterface_Ipv4PathAny) ProxyArp() *Interface_Subinterface_Ipv4_ProxyArpPathAny {
	return &Interface_Subinterface_Ipv4_ProxyArpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"proxy-arp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_Subinterface_Ipv4Path the path struct for its child "unnumbered".
func (n *Interface_Subinterface_Ipv4Path) Unnumbered() *Interface_Subinterface_Ipv4_UnnumberedPath {
	return &Interface_Subinterface_Ipv4_UnnumberedPath{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_Subinterface_Ipv4PathAny the path struct for its child "unnumbered".
func (n *Interface_Subinterface_Ipv4PathAny) Unnumbered() *Interface_Subinterface_Ipv4_UnnumberedPathAny {
	return &Interface_Subinterface_Ipv4_UnnumberedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_AddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address YANG schema element.
type Interface_Subinterface_Ipv4_AddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_AddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address YANG schema element.
type Interface_Subinterface_Ipv4_AddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_IpPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/config/ip YANG schema element.
type Interface_Subinterface_Ipv4_Address_IpPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/config/ip YANG schema element.
type Interface_Subinterface_Ipv4_Address_IpPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_OriginPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/state/origin YANG schema element.
type Interface_Subinterface_Ipv4_Address_OriginPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/state/origin YANG schema element.
type Interface_Subinterface_Ipv4_Address_OriginPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_PrefixLengthPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/config/prefix-length YANG schema element.
type Interface_Subinterface_Ipv4_Address_PrefixLengthPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_PrefixLengthPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/config/prefix-length YANG schema element.
type Interface_Subinterface_Ipv4_Address_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_Subinterface_Ipv4_AddressPath the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv4_AddressPath) Ip() *Interface_Subinterface_Ipv4_Address_IpPath {
	return &Interface_Subinterface_Ipv4_Address_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_Subinterface_Ipv4_AddressPathAny the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv4_AddressPathAny) Ip() *Interface_Subinterface_Ipv4_Address_IpPathAny {
	return &Interface_Subinterface_Ipv4_Address_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv4_AddressPath the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv4_AddressPath) Origin() *Interface_Subinterface_Ipv4_Address_OriginPath {
	return &Interface_Subinterface_Ipv4_Address_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv4_AddressPathAny the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv4_AddressPathAny) Origin() *Interface_Subinterface_Ipv4_Address_OriginPathAny {
	return &Interface_Subinterface_Ipv4_Address_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_Subinterface_Ipv4_AddressPath the path struct for its child "prefix-length".
func (n *Interface_Subinterface_Ipv4_AddressPath) PrefixLength() *Interface_Subinterface_Ipv4_Address_PrefixLengthPath {
	return &Interface_Subinterface_Ipv4_Address_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_Subinterface_Ipv4_AddressPathAny the path struct for its child "prefix-length".
func (n *Interface_Subinterface_Ipv4_AddressPathAny) PrefixLength() *Interface_Subinterface_Ipv4_Address_PrefixLengthPathAny {
	return &Interface_Subinterface_Ipv4_Address_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_Subinterface_Ipv4_AddressPath the path struct for its child "vrrp-group".
func (n *Interface_Subinterface_Ipv4_AddressPath) VrrpGroupAny() *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_Subinterface_Ipv4_AddressPathAny the path struct for its child "vrrp-group".
func (n *Interface_Subinterface_Ipv4_AddressPathAny) VrrpGroupAny() *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroup returns from Interface_Subinterface_Ipv4_AddressPath the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_Subinterface_Ipv4_AddressPath) VrrpGroup(VirtualRouterId uint8) *Interface_Subinterface_Ipv4_Address_VrrpGroupPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// VrrpGroup returns from Interface_Subinterface_Ipv4_AddressPathAny the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_Subinterface_Ipv4_AddressPathAny) VrrpGroup(VirtualRouterId uint8) *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_Address_VrrpGroupPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroupPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny struct {
	*ygot.NodePath
}

// AcceptMode returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "accept-mode".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) AcceptMode() *Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AcceptMode returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "accept-mode".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) AcceptMode() *Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_AcceptModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "advertisement-interval".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) AdvertisementInterval() *Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "advertisement-interval".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) AdvertisementInterval() *Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_AdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "current-priority".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) CurrentPriority() *Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "current-priority".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) CurrentPriority() *Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_CurrentPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "interface-tracking".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) InterfaceTracking() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "interface-tracking".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) InterfaceTracking() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "preempt".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) Preempt() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "preempt".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) Preempt() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "preempt-delay".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) PreemptDelay() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "preempt-delay".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) PreemptDelay() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PreemptDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "priority".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) Priority() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "priority".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) Priority() *Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "virtual-address".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) VirtualAddress() *Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "virtual-address".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) VirtualAddress() *Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPath the path struct for its child "virtual-router-id".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPath) VirtualRouterId() *Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny the path struct for its child "virtual-router-id".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroupPathAny) VirtualRouterId() *Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_VirtualRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny struct {
	*ygot.NodePath
}

// PriorityDecrement returns from Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "priority-decrement".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath) PriorityDecrement() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// PriorityDecrement returns from Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "priority-decrement".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny) PriorityDecrement() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "track-interface".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPath) TrackInterface() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "track-interface".
func (n *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTrackingPathAny) TrackInterface() *Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny {
	return &Interface_Subinterface_Ipv4_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_CountersPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters YANG schema element.
type Interface_Subinterface_Ipv4_CountersPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters YANG schema element.
type Interface_Subinterface_Ipv4_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-error-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-error-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-error-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-error-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Ipv4_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// InDiscardedPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-discarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) InDiscardedPkts() *Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscardedPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-discarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InDiscardedPkts() *Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-error-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) InErrorPkts() *Interface_Subinterface_Ipv4_Counters_InErrorPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_InErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-error-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InErrorPkts() *Interface_Subinterface_Ipv4_Counters_InErrorPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-forwarded-octets".
func (n *Interface_Subinterface_Ipv4_CountersPath) InForwardedOctets() *Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPath {
	return &Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-forwarded-octets".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InForwardedOctets() *Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-forwarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) InForwardedPkts() *Interface_Subinterface_Ipv4_Counters_InForwardedPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_InForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-forwarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InForwardedPkts() *Interface_Subinterface_Ipv4_Counters_InForwardedPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-octets".
func (n *Interface_Subinterface_Ipv4_CountersPath) InOctets() *Interface_Subinterface_Ipv4_Counters_InOctetsPath {
	return &Interface_Subinterface_Ipv4_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InOctets() *Interface_Subinterface_Ipv4_Counters_InOctetsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "in-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) InPkts() *Interface_Subinterface_Ipv4_Counters_InPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) InPkts() *Interface_Subinterface_Ipv4_Counters_InPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-discarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutDiscardedPkts() *Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-discarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutDiscardedPkts() *Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-error-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutErrorPkts() *Interface_Subinterface_Ipv4_Counters_OutErrorPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-error-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutErrorPkts() *Interface_Subinterface_Ipv4_Counters_OutErrorPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-forwarded-octets".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutForwardedOctets() *Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-forwarded-octets".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutForwardedOctets() *Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-forwarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutForwardedPkts() *Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-forwarded-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutForwardedPkts() *Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-octets".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutOctets() *Interface_Subinterface_Ipv4_Counters_OutOctetsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutOctets() *Interface_Subinterface_Ipv4_Counters_OutOctetsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_Ipv4_CountersPath the path struct for its child "out-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPath) OutPkts() *Interface_Subinterface_Ipv4_Counters_OutPktsPath {
	return &Interface_Subinterface_Ipv4_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_Ipv4_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_Subinterface_Ipv4_CountersPathAny) OutPkts() *Interface_Subinterface_Ipv4_Counters_OutPktsPathAny {
	return &Interface_Subinterface_Ipv4_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_NeighborPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor YANG schema element.
type Interface_Subinterface_Ipv4_NeighborPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_NeighborPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor YANG schema element.
type Interface_Subinterface_Ipv4_NeighborPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_IpPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/config/ip YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_IpPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/config/ip YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_IpPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_OriginPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/state/origin YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_OriginPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Neighbor_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/neighbors/neighbor/state/origin YANG schema element.
type Interface_Subinterface_Ipv4_Neighbor_OriginPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_Subinterface_Ipv4_NeighborPath the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv4_NeighborPath) Ip() *Interface_Subinterface_Ipv4_Neighbor_IpPath {
	return &Interface_Subinterface_Ipv4_Neighbor_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_Subinterface_Ipv4_NeighborPathAny the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv4_NeighborPathAny) Ip() *Interface_Subinterface_Ipv4_Neighbor_IpPathAny {
	return &Interface_Subinterface_Ipv4_Neighbor_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_Subinterface_Ipv4_NeighborPath the path struct for its child "link-layer-address".
func (n *Interface_Subinterface_Ipv4_NeighborPath) LinkLayerAddress() *Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPath {
	return &Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_Subinterface_Ipv4_NeighborPathAny the path struct for its child "link-layer-address".
func (n *Interface_Subinterface_Ipv4_NeighborPathAny) LinkLayerAddress() *Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPathAny {
	return &Interface_Subinterface_Ipv4_Neighbor_LinkLayerAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv4_NeighborPath the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv4_NeighborPath) Origin() *Interface_Subinterface_Ipv4_Neighbor_OriginPath {
	return &Interface_Subinterface_Ipv4_Neighbor_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv4_NeighborPathAny the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv4_NeighborPathAny) Origin() *Interface_Subinterface_Ipv4_Neighbor_OriginPathAny {
	return &Interface_Subinterface_Ipv4_Neighbor_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_ProxyArpPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/proxy-arp YANG schema element.
type Interface_Subinterface_Ipv4_ProxyArpPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_ProxyArpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/proxy-arp YANG schema element.
type Interface_Subinterface_Ipv4_ProxyArpPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_ProxyArp_ModePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/proxy-arp/config/mode YANG schema element.
type Interface_Subinterface_Ipv4_ProxyArp_ModePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_ProxyArp_ModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/proxy-arp/config/mode YANG schema element.
type Interface_Subinterface_Ipv4_ProxyArp_ModePathAny struct {
	*ygot.NodePath
}

// Mode returns from Interface_Subinterface_Ipv4_ProxyArpPath the path struct for its child "mode".
func (n *Interface_Subinterface_Ipv4_ProxyArpPath) Mode() *Interface_Subinterface_Ipv4_ProxyArp_ModePath {
	return &Interface_Subinterface_Ipv4_ProxyArp_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from Interface_Subinterface_Ipv4_ProxyArpPathAny the path struct for its child "mode".
func (n *Interface_Subinterface_Ipv4_ProxyArpPathAny) Mode() *Interface_Subinterface_Ipv4_ProxyArp_ModePathAny {
	return &Interface_Subinterface_Ipv4_ProxyArp_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_UnnumberedPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered YANG schema element.
type Interface_Subinterface_Ipv4_UnnumberedPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_UnnumberedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered YANG schema element.
type Interface_Subinterface_Ipv4_UnnumberedPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_EnabledPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/config/enabled YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_EnabledPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/config/enabled YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Interface_Subinterface_Ipv4_UnnumberedPath the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv4_UnnumberedPath) Enabled() *Interface_Subinterface_Ipv4_Unnumbered_EnabledPath {
	return &Interface_Subinterface_Ipv4_Unnumbered_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv4_UnnumberedPathAny the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv4_UnnumberedPathAny) Enabled() *Interface_Subinterface_Ipv4_Unnumbered_EnabledPathAny {
	return &Interface_Subinterface_Ipv4_Unnumbered_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_Subinterface_Ipv4_UnnumberedPath the path struct for its child "interface-ref".
func (n *Interface_Subinterface_Ipv4_UnnumberedPath) InterfaceRef() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_Subinterface_Ipv4_UnnumberedPathAny the path struct for its child "interface-ref".
func (n *Interface_Subinterface_Ipv4_UnnumberedPathAny) InterfaceRef() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv4/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath the path struct for its child "interface".
func (n *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath) Interface() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePath {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny the path struct for its child "interface".
func (n *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny) Interface() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath the path struct for its child "subinterface".
func (n *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPath) Subinterface() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRefPathAny) Subinterface() *Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny {
	return &Interface_Subinterface_Ipv4_Unnumbered_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6Path represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6 YANG schema element.
type Interface_Subinterface_Ipv6Path struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6PathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6 YANG schema element.
type Interface_Subinterface_Ipv6PathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_DhcpClientPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/dhcp-client YANG schema element.
type Interface_Subinterface_Ipv6_DhcpClientPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_DhcpClientPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/dhcp-client YANG schema element.
type Interface_Subinterface_Ipv6_DhcpClientPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/dup-addr-detect-transmits YANG schema element.
type Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/dup-addr-detect-transmits YANG schema element.
type Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_EnabledPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/enabled YANG schema element.
type Interface_Subinterface_Ipv6_EnabledPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/enabled YANG schema element.
type Interface_Subinterface_Ipv6_EnabledPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_MtuPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/mtu YANG schema element.
type Interface_Subinterface_Ipv6_MtuPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_MtuPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/config/mtu YANG schema element.
type Interface_Subinterface_Ipv6_MtuPathAny struct {
	*ygot.NodePath
}

// AddressAny returns from Interface_Subinterface_Ipv6Path the path struct for its child "address".
func (n *Interface_Subinterface_Ipv6Path) AddressAny() *Interface_Subinterface_Ipv6_AddressPathAny {
	return &Interface_Subinterface_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// AddressAny returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "address".
func (n *Interface_Subinterface_Ipv6PathAny) AddressAny() *Interface_Subinterface_Ipv6_AddressPathAny {
	return &Interface_Subinterface_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Address returns from Interface_Subinterface_Ipv6Path the path struct for its child "address".
// Ip: string
func (n *Interface_Subinterface_Ipv6Path) Address(Ip string) *Interface_Subinterface_Ipv6_AddressPath {
	return &Interface_Subinterface_Ipv6_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Address returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "address".
// Ip: string
func (n *Interface_Subinterface_Ipv6PathAny) Address(Ip string) *Interface_Subinterface_Ipv6_AddressPathAny {
	return &Interface_Subinterface_Ipv6_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"addresses", "address"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Autoconf returns from Interface_Subinterface_Ipv6Path the path struct for its child "autoconf".
func (n *Interface_Subinterface_Ipv6Path) Autoconf() *Interface_Subinterface_Ipv6_AutoconfPath {
	return &Interface_Subinterface_Ipv6_AutoconfPath{
		NodePath: ygot.NewNodePath(
			[]string{"autoconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// Autoconf returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "autoconf".
func (n *Interface_Subinterface_Ipv6PathAny) Autoconf() *Interface_Subinterface_Ipv6_AutoconfPathAny {
	return &Interface_Subinterface_Ipv6_AutoconfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"autoconf"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_Subinterface_Ipv6Path the path struct for its child "counters".
func (n *Interface_Subinterface_Ipv6Path) Counters() *Interface_Subinterface_Ipv6_CountersPath {
	return &Interface_Subinterface_Ipv6_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "counters".
func (n *Interface_Subinterface_Ipv6PathAny) Counters() *Interface_Subinterface_Ipv6_CountersPathAny {
	return &Interface_Subinterface_Ipv6_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_Subinterface_Ipv6Path the path struct for its child "dhcp-client".
func (n *Interface_Subinterface_Ipv6Path) DhcpClient() *Interface_Subinterface_Ipv6_DhcpClientPath {
	return &Interface_Subinterface_Ipv6_DhcpClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpClient returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "dhcp-client".
func (n *Interface_Subinterface_Ipv6PathAny) DhcpClient() *Interface_Subinterface_Ipv6_DhcpClientPathAny {
	return &Interface_Subinterface_Ipv6_DhcpClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dhcp-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// DupAddrDetectTransmits returns from Interface_Subinterface_Ipv6Path the path struct for its child "dup-addr-detect-transmits".
func (n *Interface_Subinterface_Ipv6Path) DupAddrDetectTransmits() *Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPath {
	return &Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dup-addr-detect-transmits"},
			map[string]interface{}{},
			n,
		),
	}
}

// DupAddrDetectTransmits returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "dup-addr-detect-transmits".
func (n *Interface_Subinterface_Ipv6PathAny) DupAddrDetectTransmits() *Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPathAny {
	return &Interface_Subinterface_Ipv6_DupAddrDetectTransmitsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dup-addr-detect-transmits"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv6Path the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv6Path) Enabled() *Interface_Subinterface_Ipv6_EnabledPath {
	return &Interface_Subinterface_Ipv6_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv6PathAny) Enabled() *Interface_Subinterface_Ipv6_EnabledPathAny {
	return &Interface_Subinterface_Ipv6_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_Subinterface_Ipv6Path the path struct for its child "mtu".
func (n *Interface_Subinterface_Ipv6Path) Mtu() *Interface_Subinterface_Ipv6_MtuPath {
	return &Interface_Subinterface_Ipv6_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "mtu".
func (n *Interface_Subinterface_Ipv6PathAny) Mtu() *Interface_Subinterface_Ipv6_MtuPathAny {
	return &Interface_Subinterface_Ipv6_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Interface_Subinterface_Ipv6Path the path struct for its child "neighbor".
func (n *Interface_Subinterface_Ipv6Path) NeighborAny() *Interface_Subinterface_Ipv6_NeighborPathAny {
	return &Interface_Subinterface_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// NeighborAny returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "neighbor".
func (n *Interface_Subinterface_Ipv6PathAny) NeighborAny() *Interface_Subinterface_Ipv6_NeighborPathAny {
	return &Interface_Subinterface_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": "*"},
			n,
		),
	}
}

// Neighbor returns from Interface_Subinterface_Ipv6Path the path struct for its child "neighbor".
// Ip: string
func (n *Interface_Subinterface_Ipv6Path) Neighbor(Ip string) *Interface_Subinterface_Ipv6_NeighborPath {
	return &Interface_Subinterface_Ipv6_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// Neighbor returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "neighbor".
// Ip: string
func (n *Interface_Subinterface_Ipv6PathAny) Neighbor(Ip string) *Interface_Subinterface_Ipv6_NeighborPathAny {
	return &Interface_Subinterface_Ipv6_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"ip": Ip},
			n,
		),
	}
}

// RouterAdvertisement returns from Interface_Subinterface_Ipv6Path the path struct for its child "router-advertisement".
func (n *Interface_Subinterface_Ipv6Path) RouterAdvertisement() *Interface_Subinterface_Ipv6_RouterAdvertisementPath {
	return &Interface_Subinterface_Ipv6_RouterAdvertisementPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterAdvertisement returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "router-advertisement".
func (n *Interface_Subinterface_Ipv6PathAny) RouterAdvertisement() *Interface_Subinterface_Ipv6_RouterAdvertisementPathAny {
	return &Interface_Subinterface_Ipv6_RouterAdvertisementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_Subinterface_Ipv6Path the path struct for its child "unnumbered".
func (n *Interface_Subinterface_Ipv6Path) Unnumbered() *Interface_Subinterface_Ipv6_UnnumberedPath {
	return &Interface_Subinterface_Ipv6_UnnumberedPath{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unnumbered returns from Interface_Subinterface_Ipv6PathAny the path struct for its child "unnumbered".
func (n *Interface_Subinterface_Ipv6PathAny) Unnumbered() *Interface_Subinterface_Ipv6_UnnumberedPathAny {
	return &Interface_Subinterface_Ipv6_UnnumberedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_AddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address YANG schema element.
type Interface_Subinterface_Ipv6_AddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_AddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address YANG schema element.
type Interface_Subinterface_Ipv6_AddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_IpPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/config/ip YANG schema element.
type Interface_Subinterface_Ipv6_Address_IpPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/config/ip YANG schema element.
type Interface_Subinterface_Ipv6_Address_IpPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_OriginPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/state/origin YANG schema element.
type Interface_Subinterface_Ipv6_Address_OriginPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/state/origin YANG schema element.
type Interface_Subinterface_Ipv6_Address_OriginPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_PrefixLengthPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/config/prefix-length YANG schema element.
type Interface_Subinterface_Ipv6_Address_PrefixLengthPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_PrefixLengthPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/config/prefix-length YANG schema element.
type Interface_Subinterface_Ipv6_Address_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_StatusPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/state/status YANG schema element.
type Interface_Subinterface_Ipv6_Address_StatusPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_StatusPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/state/status YANG schema element.
type Interface_Subinterface_Ipv6_Address_StatusPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv6_AddressPath) Ip() *Interface_Subinterface_Ipv6_Address_IpPath {
	return &Interface_Subinterface_Ipv6_Address_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv6_AddressPathAny) Ip() *Interface_Subinterface_Ipv6_Address_IpPathAny {
	return &Interface_Subinterface_Ipv6_Address_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv6_AddressPath) Origin() *Interface_Subinterface_Ipv6_Address_OriginPath {
	return &Interface_Subinterface_Ipv6_Address_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv6_AddressPathAny) Origin() *Interface_Subinterface_Ipv6_Address_OriginPathAny {
	return &Interface_Subinterface_Ipv6_Address_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "prefix-length".
func (n *Interface_Subinterface_Ipv6_AddressPath) PrefixLength() *Interface_Subinterface_Ipv6_Address_PrefixLengthPath {
	return &Interface_Subinterface_Ipv6_Address_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "prefix-length".
func (n *Interface_Subinterface_Ipv6_AddressPathAny) PrefixLength() *Interface_Subinterface_Ipv6_Address_PrefixLengthPathAny {
	return &Interface_Subinterface_Ipv6_Address_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "status".
func (n *Interface_Subinterface_Ipv6_AddressPath) Status() *Interface_Subinterface_Ipv6_Address_StatusPath {
	return &Interface_Subinterface_Ipv6_Address_StatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "status".
func (n *Interface_Subinterface_Ipv6_AddressPathAny) Status() *Interface_Subinterface_Ipv6_Address_StatusPathAny {
	return &Interface_Subinterface_Ipv6_Address_StatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "vrrp-group".
func (n *Interface_Subinterface_Ipv6_AddressPath) VrrpGroupAny() *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroupAny returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "vrrp-group".
func (n *Interface_Subinterface_Ipv6_AddressPathAny) VrrpGroupAny() *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": "*"},
			n,
		),
	}
}

// VrrpGroup returns from Interface_Subinterface_Ipv6_AddressPath the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_Subinterface_Ipv6_AddressPath) VrrpGroup(VirtualRouterId uint8) *Interface_Subinterface_Ipv6_Address_VrrpGroupPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// VrrpGroup returns from Interface_Subinterface_Ipv6_AddressPathAny the path struct for its child "vrrp-group".
// VirtualRouterId: uint8
func (n *Interface_Subinterface_Ipv6_AddressPathAny) VrrpGroup(VirtualRouterId uint8) *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vrrp", "vrrp-group"},
			map[string]interface{}{"virtual-router-id": VirtualRouterId},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_Address_VrrpGroupPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroupPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/accept-mode YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/advertisement-interval YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/state/current-priority YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/preempt YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/preempt-delay YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/priority YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-address YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-link-local YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-link-local YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/config/virtual-router-id YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny struct {
	*ygot.NodePath
}

// AcceptMode returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "accept-mode".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) AcceptMode() *Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AcceptMode returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "accept-mode".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) AcceptMode() *Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_AcceptModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accept-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "advertisement-interval".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) AdvertisementInterval() *Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisementInterval returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "advertisement-interval".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) AdvertisementInterval() *Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_AdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "current-priority".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) CurrentPriority() *Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPriority returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "current-priority".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) CurrentPriority() *Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_CurrentPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "interface-tracking".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) InterfaceTracking() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceTracking returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "interface-tracking".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) InterfaceTracking() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-tracking"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "preempt".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) Preempt() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preempt returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "preempt".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) Preempt() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "preempt-delay".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) PreemptDelay() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreemptDelay returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "preempt-delay".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) PreemptDelay() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PreemptDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preempt-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "priority".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) Priority() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "priority".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) Priority() *Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-address".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) VirtualAddress() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualAddress returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-address".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) VirtualAddress() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualLinkLocal returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-link-local".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) VirtualLinkLocal() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-link-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualLinkLocal returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-link-local".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) VirtualLinkLocal() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualLinkLocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-link-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPath the path struct for its child "virtual-router-id".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPath) VirtualRouterId() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualRouterId returns from Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny the path struct for its child "virtual-router-id".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroupPathAny) VirtualRouterId() *Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_VirtualRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/priority-decrement YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/addresses/address/vrrp/vrrp-group/interface-tracking/config/track-interface YANG schema element.
type Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny struct {
	*ygot.NodePath
}

// PriorityDecrement returns from Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "priority-decrement".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath) PriorityDecrement() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// PriorityDecrement returns from Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "priority-decrement".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny) PriorityDecrement() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_PriorityDecrementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority-decrement"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath the path struct for its child "track-interface".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPath) TrackInterface() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrackInterface returns from Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny the path struct for its child "track-interface".
func (n *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTrackingPathAny) TrackInterface() *Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny {
	return &Interface_Subinterface_Ipv6_Address_VrrpGroup_InterfaceTracking_TrackInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "track-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_AutoconfPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf YANG schema element.
type Interface_Subinterface_Ipv6_AutoconfPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_AutoconfPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf YANG schema element.
type Interface_Subinterface_Ipv6_AutoconfPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/create-global-addresses YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/create-global-addresses YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/create-temporary-addresses YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/create-temporary-addresses YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/temporary-preferred-lifetime YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/temporary-preferred-lifetime YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/temporary-valid-lifetime YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/autoconf/config/temporary-valid-lifetime YANG schema element.
type Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePathAny struct {
	*ygot.NodePath
}

// CreateGlobalAddresses returns from Interface_Subinterface_Ipv6_AutoconfPath the path struct for its child "create-global-addresses".
func (n *Interface_Subinterface_Ipv6_AutoconfPath) CreateGlobalAddresses() *Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPath {
	return &Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "create-global-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// CreateGlobalAddresses returns from Interface_Subinterface_Ipv6_AutoconfPathAny the path struct for its child "create-global-addresses".
func (n *Interface_Subinterface_Ipv6_AutoconfPathAny) CreateGlobalAddresses() *Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPathAny {
	return &Interface_Subinterface_Ipv6_Autoconf_CreateGlobalAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "create-global-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// CreateTemporaryAddresses returns from Interface_Subinterface_Ipv6_AutoconfPath the path struct for its child "create-temporary-addresses".
func (n *Interface_Subinterface_Ipv6_AutoconfPath) CreateTemporaryAddresses() *Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPath {
	return &Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "create-temporary-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// CreateTemporaryAddresses returns from Interface_Subinterface_Ipv6_AutoconfPathAny the path struct for its child "create-temporary-addresses".
func (n *Interface_Subinterface_Ipv6_AutoconfPathAny) CreateTemporaryAddresses() *Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPathAny {
	return &Interface_Subinterface_Ipv6_Autoconf_CreateTemporaryAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "create-temporary-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// TemporaryPreferredLifetime returns from Interface_Subinterface_Ipv6_AutoconfPath the path struct for its child "temporary-preferred-lifetime".
func (n *Interface_Subinterface_Ipv6_AutoconfPath) TemporaryPreferredLifetime() *Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePath {
	return &Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "temporary-preferred-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// TemporaryPreferredLifetime returns from Interface_Subinterface_Ipv6_AutoconfPathAny the path struct for its child "temporary-preferred-lifetime".
func (n *Interface_Subinterface_Ipv6_AutoconfPathAny) TemporaryPreferredLifetime() *Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePathAny {
	return &Interface_Subinterface_Ipv6_Autoconf_TemporaryPreferredLifetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "temporary-preferred-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// TemporaryValidLifetime returns from Interface_Subinterface_Ipv6_AutoconfPath the path struct for its child "temporary-valid-lifetime".
func (n *Interface_Subinterface_Ipv6_AutoconfPath) TemporaryValidLifetime() *Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePath {
	return &Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "temporary-valid-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// TemporaryValidLifetime returns from Interface_Subinterface_Ipv6_AutoconfPathAny the path struct for its child "temporary-valid-lifetime".
func (n *Interface_Subinterface_Ipv6_AutoconfPathAny) TemporaryValidLifetime() *Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePathAny {
	return &Interface_Subinterface_Ipv6_Autoconf_TemporaryValidLifetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "temporary-valid-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_CountersPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters YANG schema element.
type Interface_Subinterface_Ipv6_CountersPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_CountersPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters YANG schema element.
type Interface_Subinterface_Ipv6_CountersPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-error-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-error-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_InPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/in-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-discarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutErrorPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-error-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutErrorPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutErrorPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-error-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutErrorPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-forwarded-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-forwarded-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutOctetsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-octets YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutPktsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/state/counters/out-pkts YANG schema element.
type Interface_Subinterface_Ipv6_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// InDiscardedPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-discarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) InDiscardedPkts() *Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InDiscardedPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-discarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InDiscardedPkts() *Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-error-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) InErrorPkts() *Interface_Subinterface_Ipv6_Counters_InErrorPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_InErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InErrorPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-error-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InErrorPkts() *Interface_Subinterface_Ipv6_Counters_InErrorPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-forwarded-octets".
func (n *Interface_Subinterface_Ipv6_CountersPath) InForwardedOctets() *Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPath {
	return &Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedOctets returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-forwarded-octets".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InForwardedOctets() *Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-forwarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) InForwardedPkts() *Interface_Subinterface_Ipv6_Counters_InForwardedPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_InForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InForwardedPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-forwarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InForwardedPkts() *Interface_Subinterface_Ipv6_Counters_InForwardedPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-octets".
func (n *Interface_Subinterface_Ipv6_CountersPath) InOctets() *Interface_Subinterface_Ipv6_Counters_InOctetsPath {
	return &Interface_Subinterface_Ipv6_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-octets".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InOctets() *Interface_Subinterface_Ipv6_Counters_InOctetsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "in-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) InPkts() *Interface_Subinterface_Ipv6_Counters_InPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "in-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) InPkts() *Interface_Subinterface_Ipv6_Counters_InPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-discarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutDiscardedPkts() *Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutDiscardedPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-discarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutDiscardedPkts() *Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutDiscardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-discarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-error-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutErrorPkts() *Interface_Subinterface_Ipv6_Counters_OutErrorPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutErrorPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutErrorPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-error-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutErrorPkts() *Interface_Subinterface_Ipv6_Counters_OutErrorPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutErrorPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-error-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-forwarded-octets".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutForwardedOctets() *Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedOctets returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-forwarded-octets".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutForwardedOctets() *Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutForwardedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-forwarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutForwardedPkts() *Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutForwardedPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-forwarded-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutForwardedPkts() *Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutForwardedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-forwarded-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-octets".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutOctets() *Interface_Subinterface_Ipv6_Counters_OutOctetsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-octets".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutOctets() *Interface_Subinterface_Ipv6_Counters_OutOctetsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_Ipv6_CountersPath the path struct for its child "out-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPath) OutPkts() *Interface_Subinterface_Ipv6_Counters_OutPktsPath {
	return &Interface_Subinterface_Ipv6_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from Interface_Subinterface_Ipv6_CountersPathAny the path struct for its child "out-pkts".
func (n *Interface_Subinterface_Ipv6_CountersPathAny) OutPkts() *Interface_Subinterface_Ipv6_Counters_OutPktsPathAny {
	return &Interface_Subinterface_Ipv6_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_NeighborPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor YANG schema element.
type Interface_Subinterface_Ipv6_NeighborPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_NeighborPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor YANG schema element.
type Interface_Subinterface_Ipv6_NeighborPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_IpPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/config/ip YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_IpPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_IpPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/config/ip YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_IpPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_IsRouterPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/is-router YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_IsRouterPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_IsRouterPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/is-router YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_IsRouterPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/config/link-layer-address YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_NeighborStatePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/neighbor-state YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_NeighborStatePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_NeighborStatePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/neighbor-state YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_NeighborStatePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_OriginPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/origin YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_OriginPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Neighbor_OriginPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/neighbors/neighbor/state/origin YANG schema element.
type Interface_Subinterface_Ipv6_Neighbor_OriginPathAny struct {
	*ygot.NodePath
}

// Ip returns from Interface_Subinterface_Ipv6_NeighborPath the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv6_NeighborPath) Ip() *Interface_Subinterface_Ipv6_Neighbor_IpPath {
	return &Interface_Subinterface_Ipv6_Neighbor_IpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ip returns from Interface_Subinterface_Ipv6_NeighborPathAny the path struct for its child "ip".
func (n *Interface_Subinterface_Ipv6_NeighborPathAny) Ip() *Interface_Subinterface_Ipv6_Neighbor_IpPathAny {
	return &Interface_Subinterface_Ipv6_Neighbor_IpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsRouter returns from Interface_Subinterface_Ipv6_NeighborPath the path struct for its child "is-router".
func (n *Interface_Subinterface_Ipv6_NeighborPath) IsRouter() *Interface_Subinterface_Ipv6_Neighbor_IsRouterPath {
	return &Interface_Subinterface_Ipv6_Neighbor_IsRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsRouter returns from Interface_Subinterface_Ipv6_NeighborPathAny the path struct for its child "is-router".
func (n *Interface_Subinterface_Ipv6_NeighborPathAny) IsRouter() *Interface_Subinterface_Ipv6_Neighbor_IsRouterPathAny {
	return &Interface_Subinterface_Ipv6_Neighbor_IsRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_Subinterface_Ipv6_NeighborPath the path struct for its child "link-layer-address".
func (n *Interface_Subinterface_Ipv6_NeighborPath) LinkLayerAddress() *Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPath {
	return &Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLayerAddress returns from Interface_Subinterface_Ipv6_NeighborPathAny the path struct for its child "link-layer-address".
func (n *Interface_Subinterface_Ipv6_NeighborPathAny) LinkLayerAddress() *Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPathAny {
	return &Interface_Subinterface_Ipv6_Neighbor_LinkLayerAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-layer-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborState returns from Interface_Subinterface_Ipv6_NeighborPath the path struct for its child "neighbor-state".
func (n *Interface_Subinterface_Ipv6_NeighborPath) NeighborState() *Interface_Subinterface_Ipv6_Neighbor_NeighborStatePath {
	return &Interface_Subinterface_Ipv6_Neighbor_NeighborStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborState returns from Interface_Subinterface_Ipv6_NeighborPathAny the path struct for its child "neighbor-state".
func (n *Interface_Subinterface_Ipv6_NeighborPathAny) NeighborState() *Interface_Subinterface_Ipv6_Neighbor_NeighborStatePathAny {
	return &Interface_Subinterface_Ipv6_Neighbor_NeighborStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv6_NeighborPath the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv6_NeighborPath) Origin() *Interface_Subinterface_Ipv6_Neighbor_OriginPath {
	return &Interface_Subinterface_Ipv6_Neighbor_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from Interface_Subinterface_Ipv6_NeighborPathAny the path struct for its child "origin".
func (n *Interface_Subinterface_Ipv6_NeighborPathAny) Origin() *Interface_Subinterface_Ipv6_Neighbor_OriginPathAny {
	return &Interface_Subinterface_Ipv6_Neighbor_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_RouterAdvertisementPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisementPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisementPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisementPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/interval YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/interval YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/lifetime YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/lifetime YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/suppress YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/router-advertisement/config/suppress YANG schema element.
type Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPathAny struct {
	*ygot.NodePath
}

// Interval returns from Interface_Subinterface_Ipv6_RouterAdvertisementPath the path struct for its child "interval".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPath) Interval() *Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPath {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Interface_Subinterface_Ipv6_RouterAdvertisementPathAny the path struct for its child "interval".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPathAny) Interval() *Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPathAny {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lifetime returns from Interface_Subinterface_Ipv6_RouterAdvertisementPath the path struct for its child "lifetime".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPath) Lifetime() *Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePath {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lifetime returns from Interface_Subinterface_Ipv6_RouterAdvertisementPathAny the path struct for its child "lifetime".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPathAny) Lifetime() *Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePathAny {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_LifetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Suppress returns from Interface_Subinterface_Ipv6_RouterAdvertisementPath the path struct for its child "suppress".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPath) Suppress() *Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPath {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Suppress returns from Interface_Subinterface_Ipv6_RouterAdvertisementPathAny the path struct for its child "suppress".
func (n *Interface_Subinterface_Ipv6_RouterAdvertisementPathAny) Suppress() *Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPathAny {
	return &Interface_Subinterface_Ipv6_RouterAdvertisement_SuppressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_UnnumberedPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered YANG schema element.
type Interface_Subinterface_Ipv6_UnnumberedPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_UnnumberedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered YANG schema element.
type Interface_Subinterface_Ipv6_UnnumberedPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_EnabledPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/config/enabled YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_EnabledPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_EnabledPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/config/enabled YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from Interface_Subinterface_Ipv6_UnnumberedPath the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv6_UnnumberedPath) Enabled() *Interface_Subinterface_Ipv6_Unnumbered_EnabledPath {
	return &Interface_Subinterface_Ipv6_Unnumbered_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Interface_Subinterface_Ipv6_UnnumberedPathAny the path struct for its child "enabled".
func (n *Interface_Subinterface_Ipv6_UnnumberedPathAny) Enabled() *Interface_Subinterface_Ipv6_Unnumbered_EnabledPathAny {
	return &Interface_Subinterface_Ipv6_Unnumbered_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_Subinterface_Ipv6_UnnumberedPath the path struct for its child "interface-ref".
func (n *Interface_Subinterface_Ipv6_UnnumberedPath) InterfaceRef() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from Interface_Subinterface_Ipv6_UnnumberedPathAny the path struct for its child "interface-ref".
func (n *Interface_Subinterface_Ipv6_UnnumberedPathAny) InterfaceRef() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref/config/interface YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/ipv6/unnumbered/interface-ref/config/subinterface YANG schema element.
type Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath the path struct for its child "interface".
func (n *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath) Interface() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePath {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny the path struct for its child "interface".
func (n *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny) Interface() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath the path struct for its child "subinterface".
func (n *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPath) Subinterface() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRefPathAny) Subinterface() *Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny {
	return &Interface_Subinterface_Ipv6_Unnumbered_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_VlanPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan YANG schema element.
type Interface_Subinterface_VlanPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_VlanPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan YANG schema element.
type Interface_Subinterface_VlanPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_VlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_VlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_VlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_VlanIdPathAny struct {
	*ygot.NodePath
}

// EgressMapping returns from Interface_Subinterface_VlanPath the path struct for its child "egress-mapping".
func (n *Interface_Subinterface_VlanPath) EgressMapping() *Interface_Subinterface_Vlan_EgressMappingPath {
	return &Interface_Subinterface_Vlan_EgressMappingPath{
		NodePath: ygot.NewNodePath(
			[]string{"egress-mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// EgressMapping returns from Interface_Subinterface_VlanPathAny the path struct for its child "egress-mapping".
func (n *Interface_Subinterface_VlanPathAny) EgressMapping() *Interface_Subinterface_Vlan_EgressMappingPathAny {
	return &Interface_Subinterface_Vlan_EgressMappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress-mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// IngressMapping returns from Interface_Subinterface_VlanPath the path struct for its child "ingress-mapping".
func (n *Interface_Subinterface_VlanPath) IngressMapping() *Interface_Subinterface_Vlan_IngressMappingPath {
	return &Interface_Subinterface_Vlan_IngressMappingPath{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// IngressMapping returns from Interface_Subinterface_VlanPathAny the path struct for its child "ingress-mapping".
func (n *Interface_Subinterface_VlanPathAny) IngressMapping() *Interface_Subinterface_Vlan_IngressMappingPathAny {
	return &Interface_Subinterface_Vlan_IngressMappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress-mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// Match returns from Interface_Subinterface_VlanPath the path struct for its child "match".
func (n *Interface_Subinterface_VlanPath) Match() *Interface_Subinterface_Vlan_MatchPath {
	return &Interface_Subinterface_Vlan_MatchPath{
		NodePath: ygot.NewNodePath(
			[]string{"match"},
			map[string]interface{}{},
			n,
		),
	}
}

// Match returns from Interface_Subinterface_VlanPathAny the path struct for its child "match".
func (n *Interface_Subinterface_VlanPathAny) Match() *Interface_Subinterface_Vlan_MatchPathAny {
	return &Interface_Subinterface_Vlan_MatchPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"match"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_VlanPath the path struct for its child "vlan-id".
func (n *Interface_Subinterface_VlanPath) VlanId() *Interface_Subinterface_Vlan_VlanIdPath {
	return &Interface_Subinterface_Vlan_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_VlanPathAny the path struct for its child "vlan-id".
func (n *Interface_Subinterface_VlanPathAny) VlanId() *Interface_Subinterface_Vlan_VlanIdPathAny {
	return &Interface_Subinterface_Vlan_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_EgressMappingPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping YANG schema element.
type Interface_Subinterface_Vlan_EgressMappingPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMappingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping YANG schema element.
type Interface_Subinterface_Vlan_EgressMappingPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_TpidPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/tpid YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_TpidPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_TpidPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/tpid YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_TpidPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_VlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_VlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_VlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_VlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/vlan-stack-action YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/egress-mapping/config/vlan-stack-action YANG schema element.
type Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPathAny struct {
	*ygot.NodePath
}

// Tpid returns from Interface_Subinterface_Vlan_EgressMappingPath the path struct for its child "tpid".
func (n *Interface_Subinterface_Vlan_EgressMappingPath) Tpid() *Interface_Subinterface_Vlan_EgressMapping_TpidPath {
	return &Interface_Subinterface_Vlan_EgressMapping_TpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tpid returns from Interface_Subinterface_Vlan_EgressMappingPathAny the path struct for its child "tpid".
func (n *Interface_Subinterface_Vlan_EgressMappingPathAny) Tpid() *Interface_Subinterface_Vlan_EgressMapping_TpidPathAny {
	return &Interface_Subinterface_Vlan_EgressMapping_TpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_Vlan_EgressMappingPath the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_EgressMappingPath) VlanId() *Interface_Subinterface_Vlan_EgressMapping_VlanIdPath {
	return &Interface_Subinterface_Vlan_EgressMapping_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_Vlan_EgressMappingPathAny the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_EgressMappingPathAny) VlanId() *Interface_Subinterface_Vlan_EgressMapping_VlanIdPathAny {
	return &Interface_Subinterface_Vlan_EgressMapping_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanStackAction returns from Interface_Subinterface_Vlan_EgressMappingPath the path struct for its child "vlan-stack-action".
func (n *Interface_Subinterface_Vlan_EgressMappingPath) VlanStackAction() *Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPath {
	return &Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-stack-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanStackAction returns from Interface_Subinterface_Vlan_EgressMappingPathAny the path struct for its child "vlan-stack-action".
func (n *Interface_Subinterface_Vlan_EgressMappingPathAny) VlanStackAction() *Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPathAny {
	return &Interface_Subinterface_Vlan_EgressMapping_VlanStackActionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-stack-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_IngressMappingPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping YANG schema element.
type Interface_Subinterface_Vlan_IngressMappingPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMappingPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping YANG schema element.
type Interface_Subinterface_Vlan_IngressMappingPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_TpidPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/tpid YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_TpidPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_TpidPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/tpid YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_TpidPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_VlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_VlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_VlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_VlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/vlan-stack-action YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/ingress-mapping/config/vlan-stack-action YANG schema element.
type Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPathAny struct {
	*ygot.NodePath
}

// Tpid returns from Interface_Subinterface_Vlan_IngressMappingPath the path struct for its child "tpid".
func (n *Interface_Subinterface_Vlan_IngressMappingPath) Tpid() *Interface_Subinterface_Vlan_IngressMapping_TpidPath {
	return &Interface_Subinterface_Vlan_IngressMapping_TpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tpid returns from Interface_Subinterface_Vlan_IngressMappingPathAny the path struct for its child "tpid".
func (n *Interface_Subinterface_Vlan_IngressMappingPathAny) Tpid() *Interface_Subinterface_Vlan_IngressMapping_TpidPathAny {
	return &Interface_Subinterface_Vlan_IngressMapping_TpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_Vlan_IngressMappingPath the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_IngressMappingPath) VlanId() *Interface_Subinterface_Vlan_IngressMapping_VlanIdPath {
	return &Interface_Subinterface_Vlan_IngressMapping_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_Vlan_IngressMappingPathAny the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_IngressMappingPathAny) VlanId() *Interface_Subinterface_Vlan_IngressMapping_VlanIdPathAny {
	return &Interface_Subinterface_Vlan_IngressMapping_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanStackAction returns from Interface_Subinterface_Vlan_IngressMappingPath the path struct for its child "vlan-stack-action".
func (n *Interface_Subinterface_Vlan_IngressMappingPath) VlanStackAction() *Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPath {
	return &Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-stack-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanStackAction returns from Interface_Subinterface_Vlan_IngressMappingPathAny the path struct for its child "vlan-stack-action".
func (n *Interface_Subinterface_Vlan_IngressMappingPathAny) VlanStackAction() *Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPathAny {
	return &Interface_Subinterface_Vlan_IngressMapping_VlanStackActionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-stack-action"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_MatchPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match YANG schema element.
type Interface_Subinterface_Vlan_MatchPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_MatchPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match YANG schema element.
type Interface_Subinterface_Vlan_MatchPathAny struct {
	*ygot.NodePath
}

// DoubleTagged returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTagged() *Interface_Subinterface_Vlan_Match_DoubleTaggedPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedPath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTagged returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTagged() *Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerList returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged-inner-list".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTaggedInnerList() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerList returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged-inner-list".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTaggedInnerList() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerOuterRange returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged-inner-outer-range".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTaggedInnerOuterRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-outer-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerOuterRange returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged-inner-outer-range".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTaggedInnerOuterRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-outer-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerRange returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged-inner-range".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTaggedInnerRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedInnerRange returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged-inner-range".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTaggedInnerRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-inner-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedOuterList returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged-outer-list".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTaggedOuterList() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-outer-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedOuterList returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged-outer-list".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTaggedOuterList() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-outer-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedOuterRange returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "double-tagged-outer-range".
func (n *Interface_Subinterface_Vlan_MatchPath) DoubleTaggedOuterRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-outer-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// DoubleTaggedOuterRange returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "double-tagged-outer-range".
func (n *Interface_Subinterface_Vlan_MatchPathAny) DoubleTaggedOuterRange() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"double-tagged-outer-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTagged returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "single-tagged".
func (n *Interface_Subinterface_Vlan_MatchPath) SingleTagged() *Interface_Subinterface_Vlan_Match_SingleTaggedPath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedPath{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTagged returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "single-tagged".
func (n *Interface_Subinterface_Vlan_MatchPathAny) SingleTagged() *Interface_Subinterface_Vlan_Match_SingleTaggedPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTaggedList returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "single-tagged-list".
func (n *Interface_Subinterface_Vlan_MatchPath) SingleTaggedList() *Interface_Subinterface_Vlan_Match_SingleTaggedListPath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedListPath{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTaggedList returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "single-tagged-list".
func (n *Interface_Subinterface_Vlan_MatchPathAny) SingleTaggedList() *Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTaggedRange returns from Interface_Subinterface_Vlan_MatchPath the path struct for its child "single-tagged-range".
func (n *Interface_Subinterface_Vlan_MatchPath) SingleTaggedRange() *Interface_Subinterface_Vlan_Match_SingleTaggedRangePath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// SingleTaggedRange returns from Interface_Subinterface_Vlan_MatchPathAny the path struct for its child "single-tagged-range".
func (n *Interface_Subinterface_Vlan_MatchPathAny) SingleTaggedRange() *Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"single-tagged-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPathAny struct {
	*ygot.NodePath
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedPath the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedPath) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTagged_InnerVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedPath the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedPath) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedPathAny) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTagged_OuterVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list/config/inner-vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list/config/inner-vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-list/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPathAny struct {
	*ygot.NodePath
}

// InnerVlanIds returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath the path struct for its child "inner-vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath) InnerVlanIds() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerVlanIds returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny the path struct for its child "inner-vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny) InnerVlanIds() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_InnerVlanIdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPath) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerListPathAny) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerList_OuterVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/inner-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/inner-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/inner-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/inner-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/outer-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/outer-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/outer-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-outer-range/config/outer-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPathAny struct {
	*ygot.NodePath
}

// InnerHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath the path struct for its child "inner-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath) InnerHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny the path struct for its child "inner-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny) InnerHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerHighVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath the path struct for its child "inner-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath) InnerLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny the path struct for its child "inner-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny) InnerLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_InnerLowVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath the path struct for its child "outer-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath) OuterHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny the path struct for its child "outer-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny) OuterHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterHighVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath the path struct for its child "outer-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePath) OuterLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny the path struct for its child "outer-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRangePathAny) OuterLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerOuterRange_OuterLowVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/inner-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/inner-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/inner-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/inner-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-inner-range/config/outer-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPathAny struct {
	*ygot.NodePath
}

// InnerHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath the path struct for its child "inner-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath) InnerHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny the path struct for its child "inner-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny) InnerHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerHighVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath the path struct for its child "inner-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath) InnerLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny the path struct for its child "inner-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny) InnerLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_InnerLowVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePath) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny the path struct for its child "outer-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRangePathAny) OuterVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedInnerRange_OuterVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list/config/outer-vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-list/config/outer-vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPathAny struct {
	*ygot.NodePath
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_InnerVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanIds returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath the path struct for its child "outer-vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPath) OuterVlanIds() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterVlanIds returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny the path struct for its child "outer-vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterListPathAny) OuterVlanIds() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterList_OuterVlanIdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/inner-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/outer-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/outer-high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/outer-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/double-tagged-outer-range/config/outer-low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPathAny struct {
	*ygot.NodePath
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InnerVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny the path struct for its child "inner-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny) InnerVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_InnerVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "inner-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath the path struct for its child "outer-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath) OuterHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterHighVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny the path struct for its child "outer-high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny) OuterHighVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterHighVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath the path struct for its child "outer-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePath) OuterLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuterLowVlanId returns from Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny the path struct for its child "outer-low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRangePathAny) OuterLowVlanId() *Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_DoubleTaggedOuterRange_OuterLowVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "outer-low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_SingleTaggedPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged/config/vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPathAny struct {
	*ygot.NodePath
}

// VlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedPath the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedPath) VlanId() *Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPath {
	return &Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedPathAny the path struct for its child "vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedPathAny) VlanId() *Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTagged_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_SingleTaggedListPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-list YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedListPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-list YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-list/config/vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-list/config/vlan-ids YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPathAny struct {
	*ygot.NodePath
}

// VlanIds returns from Interface_Subinterface_Vlan_Match_SingleTaggedListPath the path struct for its child "vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedListPath) VlanIds() *Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanIds returns from Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny the path struct for its child "vlan-ids".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedListPathAny) VlanIds() *Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedList_VlanIdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-ids"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRangePath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRangePath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range/config/high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range/config/high-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPathAny struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPath represents the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range/config/low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPath struct {
	*ygot.NodePath
}

// Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPathAny represents the wildcard version of the /openconfig-interfaces/interfaces/interface/subinterfaces/subinterface/vlan/match/single-tagged-range/config/low-vlan-id YANG schema element.
type Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPathAny struct {
	*ygot.NodePath
}

// HighVlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedRangePath the path struct for its child "high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedRangePath) HighVlanId() *Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// HighVlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny the path struct for its child "high-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny) HighVlanId() *Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRange_HighVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "high-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LowVlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedRangePath the path struct for its child "low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedRangePath) LowVlanId() *Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPath {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LowVlanId returns from Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny the path struct for its child "low-vlan-id".
func (n *Interface_Subinterface_Vlan_Match_SingleTaggedRangePathAny) LowVlanId() *Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPathAny {
	return &Interface_Subinterface_Vlan_Match_SingleTaggedRange_LowVlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "low-vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpPath represents the /openconfig-lacp/lacp YANG schema element.
type LacpPath struct {
	*ygot.NodePath
}

// LacpPathAny represents the wildcard version of the /openconfig-lacp/lacp YANG schema element.
type LacpPathAny struct {
	*ygot.NodePath
}

// Lacp_SystemPriorityPath represents the /openconfig-lacp/lacp/config/system-priority YANG schema element.
type Lacp_SystemPriorityPath struct {
	*ygot.NodePath
}

// Lacp_SystemPriorityPathAny represents the wildcard version of the /openconfig-lacp/lacp/config/system-priority YANG schema element.
type Lacp_SystemPriorityPathAny struct {
	*ygot.NodePath
}

// InterfaceAny returns from LacpPath the path struct for its child "interface".
func (n *LacpPath) InterfaceAny() *Lacp_InterfacePathAny {
	return &Lacp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from LacpPathAny the path struct for its child "interface".
func (n *LacpPathAny) InterfaceAny() *Lacp_InterfacePathAny {
	return &Lacp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from LacpPath the path struct for its child "interface".
// Name: string
func (n *LacpPath) Interface(Name string) *Lacp_InterfacePath {
	return &Lacp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from LacpPathAny the path struct for its child "interface".
// Name: string
func (n *LacpPathAny) Interface(Name string) *Lacp_InterfacePathAny {
	return &Lacp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// SystemPriority returns from LacpPath the path struct for its child "system-priority".
func (n *LacpPath) SystemPriority() *Lacp_SystemPriorityPath {
	return &Lacp_SystemPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemPriority returns from LacpPathAny the path struct for its child "system-priority".
func (n *LacpPathAny) SystemPriority() *Lacp_SystemPriorityPathAny {
	return &Lacp_SystemPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lacp_InterfacePath represents the /openconfig-lacp/lacp/interfaces/interface YANG schema element.
type Lacp_InterfacePath struct {
	*ygot.NodePath
}

// Lacp_InterfacePathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface YANG schema element.
type Lacp_InterfacePathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_IntervalPath represents the /openconfig-lacp/lacp/interfaces/interface/config/interval YANG schema element.
type Lacp_Interface_IntervalPath struct {
	*ygot.NodePath
}

// Lacp_Interface_IntervalPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/config/interval YANG schema element.
type Lacp_Interface_IntervalPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_LacpModePath represents the /openconfig-lacp/lacp/interfaces/interface/config/lacp-mode YANG schema element.
type Lacp_Interface_LacpModePath struct {
	*ygot.NodePath
}

// Lacp_Interface_LacpModePathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/config/lacp-mode YANG schema element.
type Lacp_Interface_LacpModePathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_NamePath represents the /openconfig-lacp/lacp/interfaces/interface/config/name YANG schema element.
type Lacp_Interface_NamePath struct {
	*ygot.NodePath
}

// Lacp_Interface_NamePathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/config/name YANG schema element.
type Lacp_Interface_NamePathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_SystemIdMacPath represents the /openconfig-lacp/lacp/interfaces/interface/config/system-id-mac YANG schema element.
type Lacp_Interface_SystemIdMacPath struct {
	*ygot.NodePath
}

// Lacp_Interface_SystemIdMacPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/config/system-id-mac YANG schema element.
type Lacp_Interface_SystemIdMacPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_SystemPriorityPath represents the /openconfig-lacp/lacp/interfaces/interface/config/system-priority YANG schema element.
type Lacp_Interface_SystemPriorityPath struct {
	*ygot.NodePath
}

// Lacp_Interface_SystemPriorityPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/config/system-priority YANG schema element.
type Lacp_Interface_SystemPriorityPathAny struct {
	*ygot.NodePath
}

// Interval returns from Lacp_InterfacePath the path struct for its child "interval".
func (n *Lacp_InterfacePath) Interval() *Lacp_Interface_IntervalPath {
	return &Lacp_Interface_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from Lacp_InterfacePathAny the path struct for its child "interval".
func (n *Lacp_InterfacePathAny) Interval() *Lacp_Interface_IntervalPathAny {
	return &Lacp_Interface_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpMode returns from Lacp_InterfacePath the path struct for its child "lacp-mode".
func (n *Lacp_InterfacePath) LacpMode() *Lacp_Interface_LacpModePath {
	return &Lacp_Interface_LacpModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lacp-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpMode returns from Lacp_InterfacePathAny the path struct for its child "lacp-mode".
func (n *Lacp_InterfacePathAny) LacpMode() *Lacp_Interface_LacpModePathAny {
	return &Lacp_Interface_LacpModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lacp-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemberAny returns from Lacp_InterfacePath the path struct for its child "member".
func (n *Lacp_InterfacePath) MemberAny() *Lacp_Interface_MemberPathAny {
	return &Lacp_Interface_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"members", "member"},
			map[string]interface{}{"interface": "*"},
			n,
		),
	}
}

// MemberAny returns from Lacp_InterfacePathAny the path struct for its child "member".
func (n *Lacp_InterfacePathAny) MemberAny() *Lacp_Interface_MemberPathAny {
	return &Lacp_Interface_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"members", "member"},
			map[string]interface{}{"interface": "*"},
			n,
		),
	}
}

// Member returns from Lacp_InterfacePath the path struct for its child "member".
// Interface: string
func (n *Lacp_InterfacePath) Member(Interface string) *Lacp_Interface_MemberPath {
	return &Lacp_Interface_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"members", "member"},
			map[string]interface{}{"interface": Interface},
			n,
		),
	}
}

// Member returns from Lacp_InterfacePathAny the path struct for its child "member".
// Interface: string
func (n *Lacp_InterfacePathAny) Member(Interface string) *Lacp_Interface_MemberPathAny {
	return &Lacp_Interface_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"members", "member"},
			map[string]interface{}{"interface": Interface},
			n,
		),
	}
}

// Name returns from Lacp_InterfacePath the path struct for its child "name".
func (n *Lacp_InterfacePath) Name() *Lacp_Interface_NamePath {
	return &Lacp_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Lacp_InterfacePathAny the path struct for its child "name".
func (n *Lacp_InterfacePathAny) Name() *Lacp_Interface_NamePathAny {
	return &Lacp_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemIdMac returns from Lacp_InterfacePath the path struct for its child "system-id-mac".
func (n *Lacp_InterfacePath) SystemIdMac() *Lacp_Interface_SystemIdMacPath {
	return &Lacp_Interface_SystemIdMacPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-id-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemIdMac returns from Lacp_InterfacePathAny the path struct for its child "system-id-mac".
func (n *Lacp_InterfacePathAny) SystemIdMac() *Lacp_Interface_SystemIdMacPathAny {
	return &Lacp_Interface_SystemIdMacPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-id-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemPriority returns from Lacp_InterfacePath the path struct for its child "system-priority".
func (n *Lacp_InterfacePath) SystemPriority() *Lacp_Interface_SystemPriorityPath {
	return &Lacp_Interface_SystemPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemPriority returns from Lacp_InterfacePathAny the path struct for its child "system-priority".
func (n *Lacp_InterfacePathAny) SystemPriority() *Lacp_Interface_SystemPriorityPathAny {
	return &Lacp_Interface_SystemPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lacp_Interface_MemberPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member YANG schema element.
type Lacp_Interface_MemberPath struct {
	*ygot.NodePath
}

// Lacp_Interface_MemberPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member YANG schema element.
type Lacp_Interface_MemberPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_ActivityPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/activity YANG schema element.
type Lacp_Interface_Member_ActivityPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_ActivityPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/activity YANG schema element.
type Lacp_Interface_Member_ActivityPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_AggregatablePath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/aggregatable YANG schema element.
type Lacp_Interface_Member_AggregatablePath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_AggregatablePathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/aggregatable YANG schema element.
type Lacp_Interface_Member_AggregatablePathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_CollectingPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/collecting YANG schema element.
type Lacp_Interface_Member_CollectingPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_CollectingPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/collecting YANG schema element.
type Lacp_Interface_Member_CollectingPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_DistributingPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/distributing YANG schema element.
type Lacp_Interface_Member_DistributingPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_DistributingPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/distributing YANG schema element.
type Lacp_Interface_Member_DistributingPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_InterfacePath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/interface YANG schema element.
type Lacp_Interface_Member_InterfacePath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_InterfacePathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/interface YANG schema element.
type Lacp_Interface_Member_InterfacePathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_OperKeyPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/oper-key YANG schema element.
type Lacp_Interface_Member_OperKeyPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_OperKeyPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/oper-key YANG schema element.
type Lacp_Interface_Member_OperKeyPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerIdPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-id YANG schema element.
type Lacp_Interface_Member_PartnerIdPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerIdPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-id YANG schema element.
type Lacp_Interface_Member_PartnerIdPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerKeyPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-key YANG schema element.
type Lacp_Interface_Member_PartnerKeyPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerKeyPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-key YANG schema element.
type Lacp_Interface_Member_PartnerKeyPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerPortNumPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-port-num YANG schema element.
type Lacp_Interface_Member_PartnerPortNumPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PartnerPortNumPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/partner-port-num YANG schema element.
type Lacp_Interface_Member_PartnerPortNumPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PortNumPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/port-num YANG schema element.
type Lacp_Interface_Member_PortNumPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_PortNumPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/port-num YANG schema element.
type Lacp_Interface_Member_PortNumPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_SynchronizationPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/synchronization YANG schema element.
type Lacp_Interface_Member_SynchronizationPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_SynchronizationPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/synchronization YANG schema element.
type Lacp_Interface_Member_SynchronizationPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_SystemIdPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/system-id YANG schema element.
type Lacp_Interface_Member_SystemIdPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_SystemIdPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/system-id YANG schema element.
type Lacp_Interface_Member_SystemIdPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_TimeoutPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/timeout YANG schema element.
type Lacp_Interface_Member_TimeoutPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_TimeoutPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/timeout YANG schema element.
type Lacp_Interface_Member_TimeoutPathAny struct {
	*ygot.NodePath
}

// Activity returns from Lacp_Interface_MemberPath the path struct for its child "activity".
func (n *Lacp_Interface_MemberPath) Activity() *Lacp_Interface_Member_ActivityPath {
	return &Lacp_Interface_Member_ActivityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "activity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Activity returns from Lacp_Interface_MemberPathAny the path struct for its child "activity".
func (n *Lacp_Interface_MemberPathAny) Activity() *Lacp_Interface_Member_ActivityPathAny {
	return &Lacp_Interface_Member_ActivityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "activity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregatable returns from Lacp_Interface_MemberPath the path struct for its child "aggregatable".
func (n *Lacp_Interface_MemberPath) Aggregatable() *Lacp_Interface_Member_AggregatablePath {
	return &Lacp_Interface_Member_AggregatablePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aggregatable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregatable returns from Lacp_Interface_MemberPathAny the path struct for its child "aggregatable".
func (n *Lacp_Interface_MemberPathAny) Aggregatable() *Lacp_Interface_Member_AggregatablePathAny {
	return &Lacp_Interface_Member_AggregatablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aggregatable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Collecting returns from Lacp_Interface_MemberPath the path struct for its child "collecting".
func (n *Lacp_Interface_MemberPath) Collecting() *Lacp_Interface_Member_CollectingPath {
	return &Lacp_Interface_Member_CollectingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "collecting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Collecting returns from Lacp_Interface_MemberPathAny the path struct for its child "collecting".
func (n *Lacp_Interface_MemberPathAny) Collecting() *Lacp_Interface_Member_CollectingPathAny {
	return &Lacp_Interface_Member_CollectingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "collecting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Lacp_Interface_MemberPath the path struct for its child "counters".
func (n *Lacp_Interface_MemberPath) Counters() *Lacp_Interface_Member_CountersPath {
	return &Lacp_Interface_Member_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Lacp_Interface_MemberPathAny the path struct for its child "counters".
func (n *Lacp_Interface_MemberPathAny) Counters() *Lacp_Interface_Member_CountersPathAny {
	return &Lacp_Interface_Member_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Distributing returns from Lacp_Interface_MemberPath the path struct for its child "distributing".
func (n *Lacp_Interface_MemberPath) Distributing() *Lacp_Interface_Member_DistributingPath {
	return &Lacp_Interface_Member_DistributingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "distributing"},
			map[string]interface{}{},
			n,
		),
	}
}

// Distributing returns from Lacp_Interface_MemberPathAny the path struct for its child "distributing".
func (n *Lacp_Interface_MemberPathAny) Distributing() *Lacp_Interface_Member_DistributingPathAny {
	return &Lacp_Interface_Member_DistributingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "distributing"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Lacp_Interface_MemberPath the path struct for its child "interface".
func (n *Lacp_Interface_MemberPath) Interface() *Lacp_Interface_Member_InterfacePath {
	return &Lacp_Interface_Member_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from Lacp_Interface_MemberPathAny the path struct for its child "interface".
func (n *Lacp_Interface_MemberPathAny) Interface() *Lacp_Interface_Member_InterfacePathAny {
	return &Lacp_Interface_Member_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperKey returns from Lacp_Interface_MemberPath the path struct for its child "oper-key".
func (n *Lacp_Interface_MemberPath) OperKey() *Lacp_Interface_Member_OperKeyPath {
	return &Lacp_Interface_Member_OperKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperKey returns from Lacp_Interface_MemberPathAny the path struct for its child "oper-key".
func (n *Lacp_Interface_MemberPathAny) OperKey() *Lacp_Interface_Member_OperKeyPathAny {
	return &Lacp_Interface_Member_OperKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerId returns from Lacp_Interface_MemberPath the path struct for its child "partner-id".
func (n *Lacp_Interface_MemberPath) PartnerId() *Lacp_Interface_Member_PartnerIdPath {
	return &Lacp_Interface_Member_PartnerIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerId returns from Lacp_Interface_MemberPathAny the path struct for its child "partner-id".
func (n *Lacp_Interface_MemberPathAny) PartnerId() *Lacp_Interface_Member_PartnerIdPathAny {
	return &Lacp_Interface_Member_PartnerIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerKey returns from Lacp_Interface_MemberPath the path struct for its child "partner-key".
func (n *Lacp_Interface_MemberPath) PartnerKey() *Lacp_Interface_Member_PartnerKeyPath {
	return &Lacp_Interface_Member_PartnerKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerKey returns from Lacp_Interface_MemberPathAny the path struct for its child "partner-key".
func (n *Lacp_Interface_MemberPathAny) PartnerKey() *Lacp_Interface_Member_PartnerKeyPathAny {
	return &Lacp_Interface_Member_PartnerKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerPortNum returns from Lacp_Interface_MemberPath the path struct for its child "partner-port-num".
func (n *Lacp_Interface_MemberPath) PartnerPortNum() *Lacp_Interface_Member_PartnerPortNumPath {
	return &Lacp_Interface_Member_PartnerPortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartnerPortNum returns from Lacp_Interface_MemberPathAny the path struct for its child "partner-port-num".
func (n *Lacp_Interface_MemberPathAny) PartnerPortNum() *Lacp_Interface_Member_PartnerPortNumPathAny {
	return &Lacp_Interface_Member_PartnerPortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partner-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Lacp_Interface_MemberPath the path struct for its child "port-num".
func (n *Lacp_Interface_MemberPath) PortNum() *Lacp_Interface_Member_PortNumPath {
	return &Lacp_Interface_Member_PortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Lacp_Interface_MemberPathAny the path struct for its child "port-num".
func (n *Lacp_Interface_MemberPathAny) PortNum() *Lacp_Interface_Member_PortNumPathAny {
	return &Lacp_Interface_Member_PortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// Synchronization returns from Lacp_Interface_MemberPath the path struct for its child "synchronization".
func (n *Lacp_Interface_MemberPath) Synchronization() *Lacp_Interface_Member_SynchronizationPath {
	return &Lacp_Interface_Member_SynchronizationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "synchronization"},
			map[string]interface{}{},
			n,
		),
	}
}

// Synchronization returns from Lacp_Interface_MemberPathAny the path struct for its child "synchronization".
func (n *Lacp_Interface_MemberPathAny) Synchronization() *Lacp_Interface_Member_SynchronizationPathAny {
	return &Lacp_Interface_Member_SynchronizationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "synchronization"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from Lacp_Interface_MemberPath the path struct for its child "system-id".
func (n *Lacp_Interface_MemberPath) SystemId() *Lacp_Interface_Member_SystemIdPath {
	return &Lacp_Interface_Member_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from Lacp_Interface_MemberPathAny the path struct for its child "system-id".
func (n *Lacp_Interface_MemberPathAny) SystemId() *Lacp_Interface_Member_SystemIdPathAny {
	return &Lacp_Interface_Member_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from Lacp_Interface_MemberPath the path struct for its child "timeout".
func (n *Lacp_Interface_MemberPath) Timeout() *Lacp_Interface_Member_TimeoutPath {
	return &Lacp_Interface_Member_TimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from Lacp_Interface_MemberPathAny the path struct for its child "timeout".
func (n *Lacp_Interface_MemberPathAny) Timeout() *Lacp_Interface_Member_TimeoutPathAny {
	return &Lacp_Interface_Member_TimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lacp_Interface_Member_CountersPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters YANG schema element.
type Lacp_Interface_Member_CountersPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_CountersPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters YANG schema element.
type Lacp_Interface_Member_CountersPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpErrorsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpErrorsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpErrorsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpErrorsPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpInPktsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-in-pkts YANG schema element.
type Lacp_Interface_Member_Counters_LacpInPktsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpInPktsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-in-pkts YANG schema element.
type Lacp_Interface_Member_Counters_LacpInPktsPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpOutPktsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-out-pkts YANG schema element.
type Lacp_Interface_Member_Counters_LacpOutPktsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpOutPktsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-out-pkts YANG schema element.
type Lacp_Interface_Member_Counters_LacpOutPktsPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpRxErrorsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-rx-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpRxErrorsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpRxErrorsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-rx-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpRxErrorsPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpTxErrorsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-tx-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpTxErrorsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpTxErrorsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-tx-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpTxErrorsPathAny struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpUnknownErrorsPath represents the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-unknown-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpUnknownErrorsPath struct {
	*ygot.NodePath
}

// Lacp_Interface_Member_Counters_LacpUnknownErrorsPathAny represents the wildcard version of the /openconfig-lacp/lacp/interfaces/interface/members/member/state/counters/lacp-unknown-errors YANG schema element.
type Lacp_Interface_Member_Counters_LacpUnknownErrorsPathAny struct {
	*ygot.NodePath
}

// LacpErrors returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-errors".
func (n *Lacp_Interface_Member_CountersPath) LacpErrors() *Lacp_Interface_Member_Counters_LacpErrorsPath {
	return &Lacp_Interface_Member_Counters_LacpErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpErrors returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-errors".
func (n *Lacp_Interface_Member_CountersPathAny) LacpErrors() *Lacp_Interface_Member_Counters_LacpErrorsPathAny {
	return &Lacp_Interface_Member_Counters_LacpErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpInPkts returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-in-pkts".
func (n *Lacp_Interface_Member_CountersPath) LacpInPkts() *Lacp_Interface_Member_Counters_LacpInPktsPath {
	return &Lacp_Interface_Member_Counters_LacpInPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpInPkts returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-in-pkts".
func (n *Lacp_Interface_Member_CountersPathAny) LacpInPkts() *Lacp_Interface_Member_Counters_LacpInPktsPathAny {
	return &Lacp_Interface_Member_Counters_LacpInPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpOutPkts returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-out-pkts".
func (n *Lacp_Interface_Member_CountersPath) LacpOutPkts() *Lacp_Interface_Member_Counters_LacpOutPktsPath {
	return &Lacp_Interface_Member_Counters_LacpOutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpOutPkts returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-out-pkts".
func (n *Lacp_Interface_Member_CountersPathAny) LacpOutPkts() *Lacp_Interface_Member_Counters_LacpOutPktsPathAny {
	return &Lacp_Interface_Member_Counters_LacpOutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpRxErrors returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-rx-errors".
func (n *Lacp_Interface_Member_CountersPath) LacpRxErrors() *Lacp_Interface_Member_Counters_LacpRxErrorsPath {
	return &Lacp_Interface_Member_Counters_LacpRxErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-rx-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpRxErrors returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-rx-errors".
func (n *Lacp_Interface_Member_CountersPathAny) LacpRxErrors() *Lacp_Interface_Member_Counters_LacpRxErrorsPathAny {
	return &Lacp_Interface_Member_Counters_LacpRxErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-rx-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpTxErrors returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-tx-errors".
func (n *Lacp_Interface_Member_CountersPath) LacpTxErrors() *Lacp_Interface_Member_Counters_LacpTxErrorsPath {
	return &Lacp_Interface_Member_Counters_LacpTxErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-tx-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpTxErrors returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-tx-errors".
func (n *Lacp_Interface_Member_CountersPathAny) LacpTxErrors() *Lacp_Interface_Member_Counters_LacpTxErrorsPathAny {
	return &Lacp_Interface_Member_Counters_LacpTxErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-tx-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpUnknownErrors returns from Lacp_Interface_Member_CountersPath the path struct for its child "lacp-unknown-errors".
func (n *Lacp_Interface_Member_CountersPath) LacpUnknownErrors() *Lacp_Interface_Member_Counters_LacpUnknownErrorsPath {
	return &Lacp_Interface_Member_Counters_LacpUnknownErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-unknown-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LacpUnknownErrors returns from Lacp_Interface_Member_CountersPathAny the path struct for its child "lacp-unknown-errors".
func (n *Lacp_Interface_Member_CountersPathAny) LacpUnknownErrors() *Lacp_Interface_Member_Counters_LacpUnknownErrorsPathAny {
	return &Lacp_Interface_Member_Counters_LacpUnknownErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lacp-unknown-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LldpPath represents the /openconfig-lldp/lldp YANG schema element.
type LldpPath struct {
	*ygot.NodePath
}

// LldpPathAny represents the wildcard version of the /openconfig-lldp/lldp YANG schema element.
type LldpPathAny struct {
	*ygot.NodePath
}

// Lldp_ChassisIdPath represents the /openconfig-lldp/lldp/config/chassis-id YANG schema element.
type Lldp_ChassisIdPath struct {
	*ygot.NodePath
}

// Lldp_ChassisIdPathAny represents the wildcard version of the /openconfig-lldp/lldp/config/chassis-id YANG schema element.
type Lldp_ChassisIdPathAny struct {
	*ygot.NodePath
}

// Lldp_ChassisIdTypePath represents the /openconfig-lldp/lldp/config/chassis-id-type YANG schema element.
type Lldp_ChassisIdTypePath struct {
	*ygot.NodePath
}

// Lldp_ChassisIdTypePathAny represents the wildcard version of the /openconfig-lldp/lldp/config/chassis-id-type YANG schema element.
type Lldp_ChassisIdTypePathAny struct {
	*ygot.NodePath
}

// Lldp_EnabledPath represents the /openconfig-lldp/lldp/config/enabled YANG schema element.
type Lldp_EnabledPath struct {
	*ygot.NodePath
}

// Lldp_EnabledPathAny represents the wildcard version of the /openconfig-lldp/lldp/config/enabled YANG schema element.
type Lldp_EnabledPathAny struct {
	*ygot.NodePath
}

// Lldp_HelloTimerPath represents the /openconfig-lldp/lldp/config/hello-timer YANG schema element.
type Lldp_HelloTimerPath struct {
	*ygot.NodePath
}

// Lldp_HelloTimerPathAny represents the wildcard version of the /openconfig-lldp/lldp/config/hello-timer YANG schema element.
type Lldp_HelloTimerPathAny struct {
	*ygot.NodePath
}

// Lldp_SuppressTlvAdvertisementPath represents the /openconfig-lldp/lldp/config/suppress-tlv-advertisement YANG schema element.
type Lldp_SuppressTlvAdvertisementPath struct {
	*ygot.NodePath
}

// Lldp_SuppressTlvAdvertisementPathAny represents the wildcard version of the /openconfig-lldp/lldp/config/suppress-tlv-advertisement YANG schema element.
type Lldp_SuppressTlvAdvertisementPathAny struct {
	*ygot.NodePath
}

// Lldp_SystemDescriptionPath represents the /openconfig-lldp/lldp/config/system-description YANG schema element.
type Lldp_SystemDescriptionPath struct {
	*ygot.NodePath
}

// Lldp_SystemDescriptionPathAny represents the wildcard version of the /openconfig-lldp/lldp/config/system-description YANG schema element.
type Lldp_SystemDescriptionPathAny struct {
	*ygot.NodePath
}

// Lldp_SystemNamePath represents the /openconfig-lldp/lldp/config/system-name YANG schema element.
type Lldp_SystemNamePath struct {
	*ygot.NodePath
}

// Lldp_SystemNamePathAny represents the wildcard version of the /openconfig-lldp/lldp/config/system-name YANG schema element.
type Lldp_SystemNamePathAny struct {
	*ygot.NodePath
}

// ChassisId returns from LldpPath the path struct for its child "chassis-id".
func (n *LldpPath) ChassisId() *Lldp_ChassisIdPath {
	return &Lldp_ChassisIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisId returns from LldpPathAny the path struct for its child "chassis-id".
func (n *LldpPathAny) ChassisId() *Lldp_ChassisIdPathAny {
	return &Lldp_ChassisIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from LldpPath the path struct for its child "chassis-id-type".
func (n *LldpPath) ChassisIdType() *Lldp_ChassisIdTypePath {
	return &Lldp_ChassisIdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from LldpPathAny the path struct for its child "chassis-id-type".
func (n *LldpPathAny) ChassisIdType() *Lldp_ChassisIdTypePathAny {
	return &Lldp_ChassisIdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from LldpPath the path struct for its child "counters".
func (n *LldpPath) Counters() *Lldp_CountersPath {
	return &Lldp_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from LldpPathAny the path struct for its child "counters".
func (n *LldpPathAny) Counters() *Lldp_CountersPathAny {
	return &Lldp_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from LldpPath the path struct for its child "enabled".
func (n *LldpPath) Enabled() *Lldp_EnabledPath {
	return &Lldp_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from LldpPathAny the path struct for its child "enabled".
func (n *LldpPathAny) Enabled() *Lldp_EnabledPathAny {
	return &Lldp_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTimer returns from LldpPath the path struct for its child "hello-timer".
func (n *LldpPath) HelloTimer() *Lldp_HelloTimerPath {
	return &Lldp_HelloTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTimer returns from LldpPathAny the path struct for its child "hello-timer".
func (n *LldpPathAny) HelloTimer() *Lldp_HelloTimerPathAny {
	return &Lldp_HelloTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from LldpPath the path struct for its child "interface".
func (n *LldpPath) InterfaceAny() *Lldp_InterfacePathAny {
	return &Lldp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from LldpPathAny the path struct for its child "interface".
func (n *LldpPathAny) InterfaceAny() *Lldp_InterfacePathAny {
	return &Lldp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from LldpPath the path struct for its child "interface".
// Name: string
func (n *LldpPath) Interface(Name string) *Lldp_InterfacePath {
	return &Lldp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from LldpPathAny the path struct for its child "interface".
// Name: string
func (n *LldpPathAny) Interface(Name string) *Lldp_InterfacePathAny {
	return &Lldp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// SuppressTlvAdvertisement returns from LldpPath the path struct for its child "suppress-tlv-advertisement".
func (n *LldpPath) SuppressTlvAdvertisement() *Lldp_SuppressTlvAdvertisementPath {
	return &Lldp_SuppressTlvAdvertisementPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress-tlv-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// SuppressTlvAdvertisement returns from LldpPathAny the path struct for its child "suppress-tlv-advertisement".
func (n *LldpPathAny) SuppressTlvAdvertisement() *Lldp_SuppressTlvAdvertisementPathAny {
	return &Lldp_SuppressTlvAdvertisementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress-tlv-advertisement"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from LldpPath the path struct for its child "system-description".
func (n *LldpPath) SystemDescription() *Lldp_SystemDescriptionPath {
	return &Lldp_SystemDescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from LldpPathAny the path struct for its child "system-description".
func (n *LldpPathAny) SystemDescription() *Lldp_SystemDescriptionPathAny {
	return &Lldp_SystemDescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from LldpPath the path struct for its child "system-name".
func (n *LldpPath) SystemName() *Lldp_SystemNamePath {
	return &Lldp_SystemNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from LldpPathAny the path struct for its child "system-name".
func (n *LldpPathAny) SystemName() *Lldp_SystemNamePathAny {
	return &Lldp_SystemNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp_CountersPath represents the /openconfig-lldp/lldp/state/counters YANG schema element.
type Lldp_CountersPath struct {
	*ygot.NodePath
}

// Lldp_CountersPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters YANG schema element.
type Lldp_CountersPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_EntriesAgedOutPath represents the /openconfig-lldp/lldp/state/counters/entries-aged-out YANG schema element.
type Lldp_Counters_EntriesAgedOutPath struct {
	*ygot.NodePath
}

// Lldp_Counters_EntriesAgedOutPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/entries-aged-out YANG schema element.
type Lldp_Counters_EntriesAgedOutPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameDiscardPath represents the /openconfig-lldp/lldp/state/counters/frame-discard YANG schema element.
type Lldp_Counters_FrameDiscardPath struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameDiscardPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/frame-discard YANG schema element.
type Lldp_Counters_FrameDiscardPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameErrorInPath represents the /openconfig-lldp/lldp/state/counters/frame-error-in YANG schema element.
type Lldp_Counters_FrameErrorInPath struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameErrorInPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/frame-error-in YANG schema element.
type Lldp_Counters_FrameErrorInPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameInPath represents the /openconfig-lldp/lldp/state/counters/frame-in YANG schema element.
type Lldp_Counters_FrameInPath struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameInPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/frame-in YANG schema element.
type Lldp_Counters_FrameInPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameOutPath represents the /openconfig-lldp/lldp/state/counters/frame-out YANG schema element.
type Lldp_Counters_FrameOutPath struct {
	*ygot.NodePath
}

// Lldp_Counters_FrameOutPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/frame-out YANG schema element.
type Lldp_Counters_FrameOutPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_LastClearPath represents the /openconfig-lldp/lldp/state/counters/last-clear YANG schema element.
type Lldp_Counters_LastClearPath struct {
	*ygot.NodePath
}

// Lldp_Counters_LastClearPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/last-clear YANG schema element.
type Lldp_Counters_LastClearPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvAcceptedPath represents the /openconfig-lldp/lldp/state/counters/tlv-accepted YANG schema element.
type Lldp_Counters_TlvAcceptedPath struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvAcceptedPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/tlv-accepted YANG schema element.
type Lldp_Counters_TlvAcceptedPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvDiscardPath represents the /openconfig-lldp/lldp/state/counters/tlv-discard YANG schema element.
type Lldp_Counters_TlvDiscardPath struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvDiscardPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/tlv-discard YANG schema element.
type Lldp_Counters_TlvDiscardPathAny struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvUnknownPath represents the /openconfig-lldp/lldp/state/counters/tlv-unknown YANG schema element.
type Lldp_Counters_TlvUnknownPath struct {
	*ygot.NodePath
}

// Lldp_Counters_TlvUnknownPathAny represents the wildcard version of the /openconfig-lldp/lldp/state/counters/tlv-unknown YANG schema element.
type Lldp_Counters_TlvUnknownPathAny struct {
	*ygot.NodePath
}

// EntriesAgedOut returns from Lldp_CountersPath the path struct for its child "entries-aged-out".
func (n *Lldp_CountersPath) EntriesAgedOut() *Lldp_Counters_EntriesAgedOutPath {
	return &Lldp_Counters_EntriesAgedOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"entries-aged-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// EntriesAgedOut returns from Lldp_CountersPathAny the path struct for its child "entries-aged-out".
func (n *Lldp_CountersPathAny) EntriesAgedOut() *Lldp_Counters_EntriesAgedOutPathAny {
	return &Lldp_Counters_EntriesAgedOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries-aged-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameDiscard returns from Lldp_CountersPath the path struct for its child "frame-discard".
func (n *Lldp_CountersPath) FrameDiscard() *Lldp_Counters_FrameDiscardPath {
	return &Lldp_Counters_FrameDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameDiscard returns from Lldp_CountersPathAny the path struct for its child "frame-discard".
func (n *Lldp_CountersPathAny) FrameDiscard() *Lldp_Counters_FrameDiscardPathAny {
	return &Lldp_Counters_FrameDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from Lldp_CountersPath the path struct for its child "frame-error-in".
func (n *Lldp_CountersPath) FrameErrorIn() *Lldp_Counters_FrameErrorInPath {
	return &Lldp_Counters_FrameErrorInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from Lldp_CountersPathAny the path struct for its child "frame-error-in".
func (n *Lldp_CountersPathAny) FrameErrorIn() *Lldp_Counters_FrameErrorInPathAny {
	return &Lldp_Counters_FrameErrorInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from Lldp_CountersPath the path struct for its child "frame-in".
func (n *Lldp_CountersPath) FrameIn() *Lldp_Counters_FrameInPath {
	return &Lldp_Counters_FrameInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from Lldp_CountersPathAny the path struct for its child "frame-in".
func (n *Lldp_CountersPathAny) FrameIn() *Lldp_Counters_FrameInPathAny {
	return &Lldp_Counters_FrameInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from Lldp_CountersPath the path struct for its child "frame-out".
func (n *Lldp_CountersPath) FrameOut() *Lldp_Counters_FrameOutPath {
	return &Lldp_Counters_FrameOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from Lldp_CountersPathAny the path struct for its child "frame-out".
func (n *Lldp_CountersPathAny) FrameOut() *Lldp_Counters_FrameOutPathAny {
	return &Lldp_Counters_FrameOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Lldp_CountersPath the path struct for its child "last-clear".
func (n *Lldp_CountersPath) LastClear() *Lldp_Counters_LastClearPath {
	return &Lldp_Counters_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Lldp_CountersPathAny the path struct for its child "last-clear".
func (n *Lldp_CountersPathAny) LastClear() *Lldp_Counters_LastClearPathAny {
	return &Lldp_Counters_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvAccepted returns from Lldp_CountersPath the path struct for its child "tlv-accepted".
func (n *Lldp_CountersPath) TlvAccepted() *Lldp_Counters_TlvAcceptedPath {
	return &Lldp_Counters_TlvAcceptedPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-accepted"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvAccepted returns from Lldp_CountersPathAny the path struct for its child "tlv-accepted".
func (n *Lldp_CountersPathAny) TlvAccepted() *Lldp_Counters_TlvAcceptedPathAny {
	return &Lldp_Counters_TlvAcceptedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-accepted"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from Lldp_CountersPath the path struct for its child "tlv-discard".
func (n *Lldp_CountersPath) TlvDiscard() *Lldp_Counters_TlvDiscardPath {
	return &Lldp_Counters_TlvDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from Lldp_CountersPathAny the path struct for its child "tlv-discard".
func (n *Lldp_CountersPathAny) TlvDiscard() *Lldp_Counters_TlvDiscardPathAny {
	return &Lldp_Counters_TlvDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from Lldp_CountersPath the path struct for its child "tlv-unknown".
func (n *Lldp_CountersPath) TlvUnknown() *Lldp_Counters_TlvUnknownPath {
	return &Lldp_Counters_TlvUnknownPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from Lldp_CountersPathAny the path struct for its child "tlv-unknown".
func (n *Lldp_CountersPathAny) TlvUnknown() *Lldp_Counters_TlvUnknownPathAny {
	return &Lldp_Counters_TlvUnknownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp_InterfacePath represents the /openconfig-lldp/lldp/interfaces/interface YANG schema element.
type Lldp_InterfacePath struct {
	*ygot.NodePath
}

// Lldp_InterfacePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface YANG schema element.
type Lldp_InterfacePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_EnabledPath represents the /openconfig-lldp/lldp/interfaces/interface/config/enabled YANG schema element.
type Lldp_Interface_EnabledPath struct {
	*ygot.NodePath
}

// Lldp_Interface_EnabledPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/config/enabled YANG schema element.
type Lldp_Interface_EnabledPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_NamePath represents the /openconfig-lldp/lldp/interfaces/interface/config/name YANG schema element.
type Lldp_Interface_NamePath struct {
	*ygot.NodePath
}

// Lldp_Interface_NamePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/config/name YANG schema element.
type Lldp_Interface_NamePathAny struct {
	*ygot.NodePath
}

// Counters returns from Lldp_InterfacePath the path struct for its child "counters".
func (n *Lldp_InterfacePath) Counters() *Lldp_Interface_CountersPath {
	return &Lldp_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Lldp_InterfacePathAny the path struct for its child "counters".
func (n *Lldp_InterfacePathAny) Counters() *Lldp_Interface_CountersPathAny {
	return &Lldp_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Lldp_InterfacePath the path struct for its child "enabled".
func (n *Lldp_InterfacePath) Enabled() *Lldp_Interface_EnabledPath {
	return &Lldp_Interface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Lldp_InterfacePathAny the path struct for its child "enabled".
func (n *Lldp_InterfacePathAny) Enabled() *Lldp_Interface_EnabledPathAny {
	return &Lldp_Interface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Lldp_InterfacePath the path struct for its child "name".
func (n *Lldp_InterfacePath) Name() *Lldp_Interface_NamePath {
	return &Lldp_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Lldp_InterfacePathAny the path struct for its child "name".
func (n *Lldp_InterfacePathAny) Name() *Lldp_Interface_NamePathAny {
	return &Lldp_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from Lldp_InterfacePath the path struct for its child "neighbor".
func (n *Lldp_InterfacePath) NeighborAny() *Lldp_Interface_NeighborPathAny {
	return &Lldp_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// NeighborAny returns from Lldp_InterfacePathAny the path struct for its child "neighbor".
func (n *Lldp_InterfacePathAny) NeighborAny() *Lldp_Interface_NeighborPathAny {
	return &Lldp_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Neighbor returns from Lldp_InterfacePath the path struct for its child "neighbor".
// Id: string
func (n *Lldp_InterfacePath) Neighbor(Id string) *Lldp_Interface_NeighborPath {
	return &Lldp_Interface_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Neighbor returns from Lldp_InterfacePathAny the path struct for its child "neighbor".
// Id: string
func (n *Lldp_InterfacePathAny) Neighbor(Id string) *Lldp_Interface_NeighborPathAny {
	return &Lldp_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Lldp_Interface_CountersPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters YANG schema element.
type Lldp_Interface_CountersPath struct {
	*ygot.NodePath
}

// Lldp_Interface_CountersPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters YANG schema element.
type Lldp_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameDiscardPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-discard YANG schema element.
type Lldp_Interface_Counters_FrameDiscardPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameDiscardPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-discard YANG schema element.
type Lldp_Interface_Counters_FrameDiscardPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameErrorInPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-error-in YANG schema element.
type Lldp_Interface_Counters_FrameErrorInPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameErrorInPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-error-in YANG schema element.
type Lldp_Interface_Counters_FrameErrorInPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameErrorOutPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-error-out YANG schema element.
type Lldp_Interface_Counters_FrameErrorOutPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameErrorOutPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-error-out YANG schema element.
type Lldp_Interface_Counters_FrameErrorOutPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameInPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-in YANG schema element.
type Lldp_Interface_Counters_FrameInPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameInPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-in YANG schema element.
type Lldp_Interface_Counters_FrameInPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameOutPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-out YANG schema element.
type Lldp_Interface_Counters_FrameOutPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_FrameOutPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/frame-out YANG schema element.
type Lldp_Interface_Counters_FrameOutPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_LastClearPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/last-clear YANG schema element.
type Lldp_Interface_Counters_LastClearPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_LastClearPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/last-clear YANG schema element.
type Lldp_Interface_Counters_LastClearPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_TlvDiscardPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/tlv-discard YANG schema element.
type Lldp_Interface_Counters_TlvDiscardPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_TlvDiscardPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/tlv-discard YANG schema element.
type Lldp_Interface_Counters_TlvDiscardPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_TlvUnknownPath represents the /openconfig-lldp/lldp/interfaces/interface/state/counters/tlv-unknown YANG schema element.
type Lldp_Interface_Counters_TlvUnknownPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Counters_TlvUnknownPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/state/counters/tlv-unknown YANG schema element.
type Lldp_Interface_Counters_TlvUnknownPathAny struct {
	*ygot.NodePath
}

// FrameDiscard returns from Lldp_Interface_CountersPath the path struct for its child "frame-discard".
func (n *Lldp_Interface_CountersPath) FrameDiscard() *Lldp_Interface_Counters_FrameDiscardPath {
	return &Lldp_Interface_Counters_FrameDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameDiscard returns from Lldp_Interface_CountersPathAny the path struct for its child "frame-discard".
func (n *Lldp_Interface_CountersPathAny) FrameDiscard() *Lldp_Interface_Counters_FrameDiscardPathAny {
	return &Lldp_Interface_Counters_FrameDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from Lldp_Interface_CountersPath the path struct for its child "frame-error-in".
func (n *Lldp_Interface_CountersPath) FrameErrorIn() *Lldp_Interface_Counters_FrameErrorInPath {
	return &Lldp_Interface_Counters_FrameErrorInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from Lldp_Interface_CountersPathAny the path struct for its child "frame-error-in".
func (n *Lldp_Interface_CountersPathAny) FrameErrorIn() *Lldp_Interface_Counters_FrameErrorInPathAny {
	return &Lldp_Interface_Counters_FrameErrorInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorOut returns from Lldp_Interface_CountersPath the path struct for its child "frame-error-out".
func (n *Lldp_Interface_CountersPath) FrameErrorOut() *Lldp_Interface_Counters_FrameErrorOutPath {
	return &Lldp_Interface_Counters_FrameErrorOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorOut returns from Lldp_Interface_CountersPathAny the path struct for its child "frame-error-out".
func (n *Lldp_Interface_CountersPathAny) FrameErrorOut() *Lldp_Interface_Counters_FrameErrorOutPathAny {
	return &Lldp_Interface_Counters_FrameErrorOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from Lldp_Interface_CountersPath the path struct for its child "frame-in".
func (n *Lldp_Interface_CountersPath) FrameIn() *Lldp_Interface_Counters_FrameInPath {
	return &Lldp_Interface_Counters_FrameInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from Lldp_Interface_CountersPathAny the path struct for its child "frame-in".
func (n *Lldp_Interface_CountersPathAny) FrameIn() *Lldp_Interface_Counters_FrameInPathAny {
	return &Lldp_Interface_Counters_FrameInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from Lldp_Interface_CountersPath the path struct for its child "frame-out".
func (n *Lldp_Interface_CountersPath) FrameOut() *Lldp_Interface_Counters_FrameOutPath {
	return &Lldp_Interface_Counters_FrameOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from Lldp_Interface_CountersPathAny the path struct for its child "frame-out".
func (n *Lldp_Interface_CountersPathAny) FrameOut() *Lldp_Interface_Counters_FrameOutPathAny {
	return &Lldp_Interface_Counters_FrameOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Lldp_Interface_CountersPath the path struct for its child "last-clear".
func (n *Lldp_Interface_CountersPath) LastClear() *Lldp_Interface_Counters_LastClearPath {
	return &Lldp_Interface_Counters_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from Lldp_Interface_CountersPathAny the path struct for its child "last-clear".
func (n *Lldp_Interface_CountersPathAny) LastClear() *Lldp_Interface_Counters_LastClearPathAny {
	return &Lldp_Interface_Counters_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from Lldp_Interface_CountersPath the path struct for its child "tlv-discard".
func (n *Lldp_Interface_CountersPath) TlvDiscard() *Lldp_Interface_Counters_TlvDiscardPath {
	return &Lldp_Interface_Counters_TlvDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from Lldp_Interface_CountersPathAny the path struct for its child "tlv-discard".
func (n *Lldp_Interface_CountersPathAny) TlvDiscard() *Lldp_Interface_Counters_TlvDiscardPathAny {
	return &Lldp_Interface_Counters_TlvDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from Lldp_Interface_CountersPath the path struct for its child "tlv-unknown".
func (n *Lldp_Interface_CountersPath) TlvUnknown() *Lldp_Interface_Counters_TlvUnknownPath {
	return &Lldp_Interface_Counters_TlvUnknownPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from Lldp_Interface_CountersPathAny the path struct for its child "tlv-unknown".
func (n *Lldp_Interface_CountersPathAny) TlvUnknown() *Lldp_Interface_Counters_TlvUnknownPathAny {
	return &Lldp_Interface_Counters_TlvUnknownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp_Interface_NeighborPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor YANG schema element.
type Lldp_Interface_NeighborPath struct {
	*ygot.NodePath
}

// Lldp_Interface_NeighborPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor YANG schema element.
type Lldp_Interface_NeighborPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_AgePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/age YANG schema element.
type Lldp_Interface_Neighbor_AgePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_AgePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/age YANG schema element.
type Lldp_Interface_Neighbor_AgePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ChassisIdPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/chassis-id YANG schema element.
type Lldp_Interface_Neighbor_ChassisIdPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ChassisIdPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/chassis-id YANG schema element.
type Lldp_Interface_Neighbor_ChassisIdPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ChassisIdTypePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/chassis-id-type YANG schema element.
type Lldp_Interface_Neighbor_ChassisIdTypePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ChassisIdTypePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/chassis-id-type YANG schema element.
type Lldp_Interface_Neighbor_ChassisIdTypePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_IdPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/id YANG schema element.
type Lldp_Interface_Neighbor_IdPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_IdPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/id YANG schema element.
type Lldp_Interface_Neighbor_IdPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_LastUpdatePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/last-update YANG schema element.
type Lldp_Interface_Neighbor_LastUpdatePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_LastUpdatePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/last-update YANG schema element.
type Lldp_Interface_Neighbor_LastUpdatePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ManagementAddressPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/management-address YANG schema element.
type Lldp_Interface_Neighbor_ManagementAddressPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ManagementAddressPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/management-address YANG schema element.
type Lldp_Interface_Neighbor_ManagementAddressPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ManagementAddressTypePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/management-address-type YANG schema element.
type Lldp_Interface_Neighbor_ManagementAddressTypePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_ManagementAddressTypePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/management-address-type YANG schema element.
type Lldp_Interface_Neighbor_ManagementAddressTypePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortDescriptionPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-description YANG schema element.
type Lldp_Interface_Neighbor_PortDescriptionPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortDescriptionPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-description YANG schema element.
type Lldp_Interface_Neighbor_PortDescriptionPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortIdPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-id YANG schema element.
type Lldp_Interface_Neighbor_PortIdPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortIdPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-id YANG schema element.
type Lldp_Interface_Neighbor_PortIdPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortIdTypePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-id-type YANG schema element.
type Lldp_Interface_Neighbor_PortIdTypePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_PortIdTypePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/port-id-type YANG schema element.
type Lldp_Interface_Neighbor_PortIdTypePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_SystemDescriptionPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/system-description YANG schema element.
type Lldp_Interface_Neighbor_SystemDescriptionPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_SystemDescriptionPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/system-description YANG schema element.
type Lldp_Interface_Neighbor_SystemDescriptionPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_SystemNamePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/system-name YANG schema element.
type Lldp_Interface_Neighbor_SystemNamePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_SystemNamePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/system-name YANG schema element.
type Lldp_Interface_Neighbor_SystemNamePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_TtlPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/ttl YANG schema element.
type Lldp_Interface_Neighbor_TtlPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_TtlPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/state/ttl YANG schema element.
type Lldp_Interface_Neighbor_TtlPathAny struct {
	*ygot.NodePath
}

// Age returns from Lldp_Interface_NeighborPath the path struct for its child "age".
func (n *Lldp_Interface_NeighborPath) Age() *Lldp_Interface_Neighbor_AgePath {
	return &Lldp_Interface_Neighbor_AgePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// Age returns from Lldp_Interface_NeighborPathAny the path struct for its child "age".
func (n *Lldp_Interface_NeighborPathAny) Age() *Lldp_Interface_Neighbor_AgePathAny {
	return &Lldp_Interface_Neighbor_AgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// CapabilityAny returns from Lldp_Interface_NeighborPath the path struct for its child "capability".
func (n *Lldp_Interface_NeighborPath) CapabilityAny() *Lldp_Interface_Neighbor_CapabilityPathAny {
	return &Lldp_Interface_Neighbor_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"capabilities", "capability"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// CapabilityAny returns from Lldp_Interface_NeighborPathAny the path struct for its child "capability".
func (n *Lldp_Interface_NeighborPathAny) CapabilityAny() *Lldp_Interface_Neighbor_CapabilityPathAny {
	return &Lldp_Interface_Neighbor_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"capabilities", "capability"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Capability returns from Lldp_Interface_NeighborPath the path struct for its child "capability".
// Name: E_LldpTypes_LLDP_SYSTEM_CAPABILITY
func (n *Lldp_Interface_NeighborPath) Capability(Name E_LldpTypes_LLDP_SYSTEM_CAPABILITY) *Lldp_Interface_Neighbor_CapabilityPath {
	return &Lldp_Interface_Neighbor_CapabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"capabilities", "capability"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Capability returns from Lldp_Interface_NeighborPathAny the path struct for its child "capability".
// Name: E_LldpTypes_LLDP_SYSTEM_CAPABILITY
func (n *Lldp_Interface_NeighborPathAny) Capability(Name E_LldpTypes_LLDP_SYSTEM_CAPABILITY) *Lldp_Interface_Neighbor_CapabilityPathAny {
	return &Lldp_Interface_Neighbor_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"capabilities", "capability"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// ChassisId returns from Lldp_Interface_NeighborPath the path struct for its child "chassis-id".
func (n *Lldp_Interface_NeighborPath) ChassisId() *Lldp_Interface_Neighbor_ChassisIdPath {
	return &Lldp_Interface_Neighbor_ChassisIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisId returns from Lldp_Interface_NeighborPathAny the path struct for its child "chassis-id".
func (n *Lldp_Interface_NeighborPathAny) ChassisId() *Lldp_Interface_Neighbor_ChassisIdPathAny {
	return &Lldp_Interface_Neighbor_ChassisIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from Lldp_Interface_NeighborPath the path struct for its child "chassis-id-type".
func (n *Lldp_Interface_NeighborPath) ChassisIdType() *Lldp_Interface_Neighbor_ChassisIdTypePath {
	return &Lldp_Interface_Neighbor_ChassisIdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from Lldp_Interface_NeighborPathAny the path struct for its child "chassis-id-type".
func (n *Lldp_Interface_NeighborPathAny) ChassisIdType() *Lldp_Interface_Neighbor_ChassisIdTypePathAny {
	return &Lldp_Interface_Neighbor_ChassisIdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from Lldp_Interface_NeighborPath the path struct for its child "id".
func (n *Lldp_Interface_NeighborPath) Id() *Lldp_Interface_Neighbor_IdPath {
	return &Lldp_Interface_Neighbor_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from Lldp_Interface_NeighborPathAny the path struct for its child "id".
func (n *Lldp_Interface_NeighborPathAny) Id() *Lldp_Interface_Neighbor_IdPathAny {
	return &Lldp_Interface_Neighbor_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastUpdate returns from Lldp_Interface_NeighborPath the path struct for its child "last-update".
func (n *Lldp_Interface_NeighborPath) LastUpdate() *Lldp_Interface_Neighbor_LastUpdatePath {
	return &Lldp_Interface_Neighbor_LastUpdatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-update"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastUpdate returns from Lldp_Interface_NeighborPathAny the path struct for its child "last-update".
func (n *Lldp_Interface_NeighborPathAny) LastUpdate() *Lldp_Interface_Neighbor_LastUpdatePathAny {
	return &Lldp_Interface_Neighbor_LastUpdatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-update"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddress returns from Lldp_Interface_NeighborPath the path struct for its child "management-address".
func (n *Lldp_Interface_NeighborPath) ManagementAddress() *Lldp_Interface_Neighbor_ManagementAddressPath {
	return &Lldp_Interface_Neighbor_ManagementAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddress returns from Lldp_Interface_NeighborPathAny the path struct for its child "management-address".
func (n *Lldp_Interface_NeighborPathAny) ManagementAddress() *Lldp_Interface_Neighbor_ManagementAddressPathAny {
	return &Lldp_Interface_Neighbor_ManagementAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddressType returns from Lldp_Interface_NeighborPath the path struct for its child "management-address-type".
func (n *Lldp_Interface_NeighborPath) ManagementAddressType() *Lldp_Interface_Neighbor_ManagementAddressTypePath {
	return &Lldp_Interface_Neighbor_ManagementAddressTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddressType returns from Lldp_Interface_NeighborPathAny the path struct for its child "management-address-type".
func (n *Lldp_Interface_NeighborPathAny) ManagementAddressType() *Lldp_Interface_Neighbor_ManagementAddressTypePathAny {
	return &Lldp_Interface_Neighbor_ManagementAddressTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortDescription returns from Lldp_Interface_NeighborPath the path struct for its child "port-description".
func (n *Lldp_Interface_NeighborPath) PortDescription() *Lldp_Interface_Neighbor_PortDescriptionPath {
	return &Lldp_Interface_Neighbor_PortDescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortDescription returns from Lldp_Interface_NeighborPathAny the path struct for its child "port-description".
func (n *Lldp_Interface_NeighborPathAny) PortDescription() *Lldp_Interface_Neighbor_PortDescriptionPathAny {
	return &Lldp_Interface_Neighbor_PortDescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortId returns from Lldp_Interface_NeighborPath the path struct for its child "port-id".
func (n *Lldp_Interface_NeighborPath) PortId() *Lldp_Interface_Neighbor_PortIdPath {
	return &Lldp_Interface_Neighbor_PortIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortId returns from Lldp_Interface_NeighborPathAny the path struct for its child "port-id".
func (n *Lldp_Interface_NeighborPathAny) PortId() *Lldp_Interface_Neighbor_PortIdPathAny {
	return &Lldp_Interface_Neighbor_PortIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortIdType returns from Lldp_Interface_NeighborPath the path struct for its child "port-id-type".
func (n *Lldp_Interface_NeighborPath) PortIdType() *Lldp_Interface_Neighbor_PortIdTypePath {
	return &Lldp_Interface_Neighbor_PortIdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortIdType returns from Lldp_Interface_NeighborPathAny the path struct for its child "port-id-type".
func (n *Lldp_Interface_NeighborPathAny) PortIdType() *Lldp_Interface_Neighbor_PortIdTypePathAny {
	return &Lldp_Interface_Neighbor_PortIdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from Lldp_Interface_NeighborPath the path struct for its child "system-description".
func (n *Lldp_Interface_NeighborPath) SystemDescription() *Lldp_Interface_Neighbor_SystemDescriptionPath {
	return &Lldp_Interface_Neighbor_SystemDescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from Lldp_Interface_NeighborPathAny the path struct for its child "system-description".
func (n *Lldp_Interface_NeighborPathAny) SystemDescription() *Lldp_Interface_Neighbor_SystemDescriptionPathAny {
	return &Lldp_Interface_Neighbor_SystemDescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from Lldp_Interface_NeighborPath the path struct for its child "system-name".
func (n *Lldp_Interface_NeighborPath) SystemName() *Lldp_Interface_Neighbor_SystemNamePath {
	return &Lldp_Interface_Neighbor_SystemNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from Lldp_Interface_NeighborPathAny the path struct for its child "system-name".
func (n *Lldp_Interface_NeighborPathAny) SystemName() *Lldp_Interface_Neighbor_SystemNamePathAny {
	return &Lldp_Interface_Neighbor_SystemNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvAny returns from Lldp_Interface_NeighborPath the path struct for its child "tlv".
func (n *Lldp_Interface_NeighborPath) TlvAny() *Lldp_Interface_Neighbor_TlvPathAny {
	return &Lldp_Interface_Neighbor_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"custom-tlvs", "tlv"},
			map[string]interface{}{"type": "*", "oui": "*", "oui-subtype": "*"},
			n,
		),
	}
}

// TlvAny returns from Lldp_Interface_NeighborPathAny the path struct for its child "tlv".
func (n *Lldp_Interface_NeighborPathAny) TlvAny() *Lldp_Interface_Neighbor_TlvPathAny {
	return &Lldp_Interface_Neighbor_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"custom-tlvs", "tlv"},
			map[string]interface{}{"type": "*", "oui": "*", "oui-subtype": "*"},
			n,
		),
	}
}

// WithType sets Lldp_Interface_Neighbor_TlvPathAny's key "type" to the specified value.
// Type: int32
func (n *Lldp_Interface_Neighbor_TlvPathAny) WithType(Type int32) *Lldp_Interface_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "type", Type)
	return n
}

// WithOui sets Lldp_Interface_Neighbor_TlvPathAny's key "oui" to the specified value.
// Oui: string
func (n *Lldp_Interface_Neighbor_TlvPathAny) WithOui(Oui string) *Lldp_Interface_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "oui", Oui)
	return n
}

// WithOuiSubtype sets Lldp_Interface_Neighbor_TlvPathAny's key "oui-subtype" to the specified value.
// OuiSubtype: string
func (n *Lldp_Interface_Neighbor_TlvPathAny) WithOuiSubtype(OuiSubtype string) *Lldp_Interface_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "oui-subtype", OuiSubtype)
	return n
}

// Ttl returns from Lldp_Interface_NeighborPath the path struct for its child "ttl".
func (n *Lldp_Interface_NeighborPath) Ttl() *Lldp_Interface_Neighbor_TtlPath {
	return &Lldp_Interface_Neighbor_TtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ttl returns from Lldp_Interface_NeighborPathAny the path struct for its child "ttl".
func (n *Lldp_Interface_NeighborPathAny) Ttl() *Lldp_Interface_Neighbor_TtlPathAny {
	return &Lldp_Interface_Neighbor_TtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp_Interface_Neighbor_CapabilityPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability YANG schema element.
type Lldp_Interface_Neighbor_CapabilityPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_CapabilityPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability YANG schema element.
type Lldp_Interface_Neighbor_CapabilityPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Capability_EnabledPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability/state/enabled YANG schema element.
type Lldp_Interface_Neighbor_Capability_EnabledPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Capability_EnabledPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability/state/enabled YANG schema element.
type Lldp_Interface_Neighbor_Capability_EnabledPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Capability_NamePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability/state/name YANG schema element.
type Lldp_Interface_Neighbor_Capability_NamePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Capability_NamePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/capabilities/capability/state/name YANG schema element.
type Lldp_Interface_Neighbor_Capability_NamePathAny struct {
	*ygot.NodePath
}

// Enabled returns from Lldp_Interface_Neighbor_CapabilityPath the path struct for its child "enabled".
func (n *Lldp_Interface_Neighbor_CapabilityPath) Enabled() *Lldp_Interface_Neighbor_Capability_EnabledPath {
	return &Lldp_Interface_Neighbor_Capability_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Lldp_Interface_Neighbor_CapabilityPathAny the path struct for its child "enabled".
func (n *Lldp_Interface_Neighbor_CapabilityPathAny) Enabled() *Lldp_Interface_Neighbor_Capability_EnabledPathAny {
	return &Lldp_Interface_Neighbor_Capability_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Lldp_Interface_Neighbor_CapabilityPath the path struct for its child "name".
func (n *Lldp_Interface_Neighbor_CapabilityPath) Name() *Lldp_Interface_Neighbor_Capability_NamePath {
	return &Lldp_Interface_Neighbor_Capability_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Lldp_Interface_Neighbor_CapabilityPathAny the path struct for its child "name".
func (n *Lldp_Interface_Neighbor_CapabilityPathAny) Name() *Lldp_Interface_Neighbor_Capability_NamePathAny {
	return &Lldp_Interface_Neighbor_Capability_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp_Interface_Neighbor_TlvPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv YANG schema element.
type Lldp_Interface_Neighbor_TlvPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_TlvPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv YANG schema element.
type Lldp_Interface_Neighbor_TlvPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_OuiPath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/oui YANG schema element.
type Lldp_Interface_Neighbor_Tlv_OuiPath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_OuiPathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/oui YANG schema element.
type Lldp_Interface_Neighbor_Tlv_OuiPathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_OuiSubtypePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/oui-subtype YANG schema element.
type Lldp_Interface_Neighbor_Tlv_OuiSubtypePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_OuiSubtypePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/oui-subtype YANG schema element.
type Lldp_Interface_Neighbor_Tlv_OuiSubtypePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_TypePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/type YANG schema element.
type Lldp_Interface_Neighbor_Tlv_TypePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_TypePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/type YANG schema element.
type Lldp_Interface_Neighbor_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_ValuePath represents the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/value YANG schema element.
type Lldp_Interface_Neighbor_Tlv_ValuePath struct {
	*ygot.NodePath
}

// Lldp_Interface_Neighbor_Tlv_ValuePathAny represents the wildcard version of the /openconfig-lldp/lldp/interfaces/interface/neighbors/neighbor/custom-tlvs/tlv/state/value YANG schema element.
type Lldp_Interface_Neighbor_Tlv_ValuePathAny struct {
	*ygot.NodePath
}

// Oui returns from Lldp_Interface_Neighbor_TlvPath the path struct for its child "oui".
func (n *Lldp_Interface_Neighbor_TlvPath) Oui() *Lldp_Interface_Neighbor_Tlv_OuiPath {
	return &Lldp_Interface_Neighbor_Tlv_OuiPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui"},
			map[string]interface{}{},
			n,
		),
	}
}

// Oui returns from Lldp_Interface_Neighbor_TlvPathAny the path struct for its child "oui".
func (n *Lldp_Interface_Neighbor_TlvPathAny) Oui() *Lldp_Interface_Neighbor_Tlv_OuiPathAny {
	return &Lldp_Interface_Neighbor_Tlv_OuiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuiSubtype returns from Lldp_Interface_Neighbor_TlvPath the path struct for its child "oui-subtype".
func (n *Lldp_Interface_Neighbor_TlvPath) OuiSubtype() *Lldp_Interface_Neighbor_Tlv_OuiSubtypePath {
	return &Lldp_Interface_Neighbor_Tlv_OuiSubtypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui-subtype"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuiSubtype returns from Lldp_Interface_Neighbor_TlvPathAny the path struct for its child "oui-subtype".
func (n *Lldp_Interface_Neighbor_TlvPathAny) OuiSubtype() *Lldp_Interface_Neighbor_Tlv_OuiSubtypePathAny {
	return &Lldp_Interface_Neighbor_Tlv_OuiSubtypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui-subtype"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Lldp_Interface_Neighbor_TlvPath the path struct for its child "type".
func (n *Lldp_Interface_Neighbor_TlvPath) Type() *Lldp_Interface_Neighbor_Tlv_TypePath {
	return &Lldp_Interface_Neighbor_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from Lldp_Interface_Neighbor_TlvPathAny the path struct for its child "type".
func (n *Lldp_Interface_Neighbor_TlvPathAny) Type() *Lldp_Interface_Neighbor_Tlv_TypePathAny {
	return &Lldp_Interface_Neighbor_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from Lldp_Interface_Neighbor_TlvPath the path struct for its child "value".
func (n *Lldp_Interface_Neighbor_TlvPath) Value() *Lldp_Interface_Neighbor_Tlv_ValuePath {
	return &Lldp_Interface_Neighbor_Tlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from Lldp_Interface_Neighbor_TlvPathAny the path struct for its child "value".
func (n *Lldp_Interface_Neighbor_TlvPathAny) Value() *Lldp_Interface_Neighbor_Tlv_ValuePathAny {
	return &Lldp_Interface_Neighbor_Tlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRoutesPath represents the /openconfig-local-routing/local-routes YANG schema element.
type LocalRoutesPath struct {
	*ygot.NodePath
}

// LocalRoutesPathAny represents the wildcard version of the /openconfig-local-routing/local-routes YANG schema element.
type LocalRoutesPathAny struct {
	*ygot.NodePath
}

// AggregateAny returns from LocalRoutesPath the path struct for its child "aggregate".
func (n *LocalRoutesPath) AggregateAny() *LocalRoutes_AggregatePathAny {
	return &LocalRoutes_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// AggregateAny returns from LocalRoutesPathAny the path struct for its child "aggregate".
func (n *LocalRoutesPathAny) AggregateAny() *LocalRoutes_AggregatePathAny {
	return &LocalRoutes_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Aggregate returns from LocalRoutesPath the path struct for its child "aggregate".
// Prefix: string
func (n *LocalRoutesPath) Aggregate(Prefix string) *LocalRoutes_AggregatePath {
	return &LocalRoutes_AggregatePath{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Aggregate returns from LocalRoutesPathAny the path struct for its child "aggregate".
// Prefix: string
func (n *LocalRoutesPathAny) Aggregate(Prefix string) *LocalRoutes_AggregatePathAny {
	return &LocalRoutes_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// StaticAny returns from LocalRoutesPath the path struct for its child "static".
func (n *LocalRoutesPath) StaticAny() *LocalRoutes_StaticPathAny {
	return &LocalRoutes_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// StaticAny returns from LocalRoutesPathAny the path struct for its child "static".
func (n *LocalRoutesPathAny) StaticAny() *LocalRoutes_StaticPathAny {
	return &LocalRoutes_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Static returns from LocalRoutesPath the path struct for its child "static".
// Prefix: string
func (n *LocalRoutesPath) Static(Prefix string) *LocalRoutes_StaticPath {
	return &LocalRoutes_StaticPath{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Static returns from LocalRoutesPathAny the path struct for its child "static".
// Prefix: string
func (n *LocalRoutesPathAny) Static(Prefix string) *LocalRoutes_StaticPathAny {
	return &LocalRoutes_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// LocalRoutes_AggregatePath represents the /openconfig-local-routing/local-routes/local-aggregates/aggregate YANG schema element.
type LocalRoutes_AggregatePath struct {
	*ygot.NodePath
}

// LocalRoutes_AggregatePathAny represents the wildcard version of the /openconfig-local-routing/local-routes/local-aggregates/aggregate YANG schema element.
type LocalRoutes_AggregatePathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_DescriptionPath represents the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/description YANG schema element.
type LocalRoutes_Aggregate_DescriptionPath struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_DescriptionPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/description YANG schema element.
type LocalRoutes_Aggregate_DescriptionPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_DiscardPath represents the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/discard YANG schema element.
type LocalRoutes_Aggregate_DiscardPath struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_DiscardPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/discard YANG schema element.
type LocalRoutes_Aggregate_DiscardPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_PrefixPath represents the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/prefix YANG schema element.
type LocalRoutes_Aggregate_PrefixPath struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_PrefixPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/prefix YANG schema element.
type LocalRoutes_Aggregate_PrefixPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_SetTagPath represents the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/set-tag YANG schema element.
type LocalRoutes_Aggregate_SetTagPath struct {
	*ygot.NodePath
}

// LocalRoutes_Aggregate_SetTagPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/local-aggregates/aggregate/config/set-tag YANG schema element.
type LocalRoutes_Aggregate_SetTagPathAny struct {
	*ygot.NodePath
}

// Description returns from LocalRoutes_AggregatePath the path struct for its child "description".
func (n *LocalRoutes_AggregatePath) Description() *LocalRoutes_Aggregate_DescriptionPath {
	return &LocalRoutes_Aggregate_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from LocalRoutes_AggregatePathAny the path struct for its child "description".
func (n *LocalRoutes_AggregatePathAny) Description() *LocalRoutes_Aggregate_DescriptionPathAny {
	return &LocalRoutes_Aggregate_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from LocalRoutes_AggregatePath the path struct for its child "discard".
func (n *LocalRoutes_AggregatePath) Discard() *LocalRoutes_Aggregate_DiscardPath {
	return &LocalRoutes_Aggregate_DiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from LocalRoutes_AggregatePathAny the path struct for its child "discard".
func (n *LocalRoutes_AggregatePathAny) Discard() *LocalRoutes_Aggregate_DiscardPathAny {
	return &LocalRoutes_Aggregate_DiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from LocalRoutes_AggregatePath the path struct for its child "prefix".
func (n *LocalRoutes_AggregatePath) Prefix() *LocalRoutes_Aggregate_PrefixPath {
	return &LocalRoutes_Aggregate_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from LocalRoutes_AggregatePathAny the path struct for its child "prefix".
func (n *LocalRoutes_AggregatePathAny) Prefix() *LocalRoutes_Aggregate_PrefixPathAny {
	return &LocalRoutes_Aggregate_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from LocalRoutes_AggregatePath the path struct for its child "set-tag".
func (n *LocalRoutes_AggregatePath) SetTag() *LocalRoutes_Aggregate_SetTagPath {
	return &LocalRoutes_Aggregate_SetTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from LocalRoutes_AggregatePathAny the path struct for its child "set-tag".
func (n *LocalRoutes_AggregatePathAny) SetTag() *LocalRoutes_Aggregate_SetTagPathAny {
	return &LocalRoutes_Aggregate_SetTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRoutes_StaticPath represents the /openconfig-local-routing/local-routes/static-routes/static YANG schema element.
type LocalRoutes_StaticPath struct {
	*ygot.NodePath
}

// LocalRoutes_StaticPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static YANG schema element.
type LocalRoutes_StaticPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_DescriptionPath represents the /openconfig-local-routing/local-routes/static-routes/static/config/description YANG schema element.
type LocalRoutes_Static_DescriptionPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_DescriptionPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/config/description YANG schema element.
type LocalRoutes_Static_DescriptionPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_PrefixPath represents the /openconfig-local-routing/local-routes/static-routes/static/config/prefix YANG schema element.
type LocalRoutes_Static_PrefixPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_PrefixPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/config/prefix YANG schema element.
type LocalRoutes_Static_PrefixPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_SetTagPath represents the /openconfig-local-routing/local-routes/static-routes/static/config/set-tag YANG schema element.
type LocalRoutes_Static_SetTagPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_SetTagPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/config/set-tag YANG schema element.
type LocalRoutes_Static_SetTagPathAny struct {
	*ygot.NodePath
}

// Description returns from LocalRoutes_StaticPath the path struct for its child "description".
func (n *LocalRoutes_StaticPath) Description() *LocalRoutes_Static_DescriptionPath {
	return &LocalRoutes_Static_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from LocalRoutes_StaticPathAny the path struct for its child "description".
func (n *LocalRoutes_StaticPathAny) Description() *LocalRoutes_Static_DescriptionPathAny {
	return &LocalRoutes_Static_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopAny returns from LocalRoutes_StaticPath the path struct for its child "next-hop".
func (n *LocalRoutes_StaticPath) NextHopAny() *LocalRoutes_Static_NextHopPathAny {
	return &LocalRoutes_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHopAny returns from LocalRoutes_StaticPathAny the path struct for its child "next-hop".
func (n *LocalRoutes_StaticPathAny) NextHopAny() *LocalRoutes_Static_NextHopPathAny {
	return &LocalRoutes_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHop returns from LocalRoutes_StaticPath the path struct for its child "next-hop".
// Index: string
func (n *LocalRoutes_StaticPath) NextHop(Index string) *LocalRoutes_Static_NextHopPath {
	return &LocalRoutes_Static_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHop returns from LocalRoutes_StaticPathAny the path struct for its child "next-hop".
// Index: string
func (n *LocalRoutes_StaticPathAny) NextHop(Index string) *LocalRoutes_Static_NextHopPathAny {
	return &LocalRoutes_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Prefix returns from LocalRoutes_StaticPath the path struct for its child "prefix".
func (n *LocalRoutes_StaticPath) Prefix() *LocalRoutes_Static_PrefixPath {
	return &LocalRoutes_Static_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from LocalRoutes_StaticPathAny the path struct for its child "prefix".
func (n *LocalRoutes_StaticPathAny) Prefix() *LocalRoutes_Static_PrefixPathAny {
	return &LocalRoutes_Static_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from LocalRoutes_StaticPath the path struct for its child "set-tag".
func (n *LocalRoutes_StaticPath) SetTag() *LocalRoutes_Static_SetTagPath {
	return &LocalRoutes_Static_SetTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from LocalRoutes_StaticPathAny the path struct for its child "set-tag".
func (n *LocalRoutes_StaticPathAny) SetTag() *LocalRoutes_Static_SetTagPathAny {
	return &LocalRoutes_Static_SetTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRoutes_Static_NextHopPath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop YANG schema element.
type LocalRoutes_Static_NextHopPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHopPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop YANG schema element.
type LocalRoutes_Static_NextHopPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_IndexPath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/index YANG schema element.
type LocalRoutes_Static_NextHop_IndexPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_IndexPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/index YANG schema element.
type LocalRoutes_Static_NextHop_IndexPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_MetricPath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/metric YANG schema element.
type LocalRoutes_Static_NextHop_MetricPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_MetricPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/metric YANG schema element.
type LocalRoutes_Static_NextHop_MetricPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_NextHopPath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/next-hop YANG schema element.
type LocalRoutes_Static_NextHop_NextHopPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_NextHopPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/next-hop YANG schema element.
type LocalRoutes_Static_NextHop_NextHopPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_RecursePath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/recurse YANG schema element.
type LocalRoutes_Static_NextHop_RecursePath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_RecursePathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/config/recurse YANG schema element.
type LocalRoutes_Static_NextHop_RecursePathAny struct {
	*ygot.NodePath
}

// Index returns from LocalRoutes_Static_NextHopPath the path struct for its child "index".
func (n *LocalRoutes_Static_NextHopPath) Index() *LocalRoutes_Static_NextHop_IndexPath {
	return &LocalRoutes_Static_NextHop_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from LocalRoutes_Static_NextHopPathAny the path struct for its child "index".
func (n *LocalRoutes_Static_NextHopPathAny) Index() *LocalRoutes_Static_NextHop_IndexPathAny {
	return &LocalRoutes_Static_NextHop_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from LocalRoutes_Static_NextHopPath the path struct for its child "interface-ref".
func (n *LocalRoutes_Static_NextHopPath) InterfaceRef() *LocalRoutes_Static_NextHop_InterfaceRefPath {
	return &LocalRoutes_Static_NextHop_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from LocalRoutes_Static_NextHopPathAny the path struct for its child "interface-ref".
func (n *LocalRoutes_Static_NextHopPathAny) InterfaceRef() *LocalRoutes_Static_NextHop_InterfaceRefPathAny {
	return &LocalRoutes_Static_NextHop_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from LocalRoutes_Static_NextHopPath the path struct for its child "metric".
func (n *LocalRoutes_Static_NextHopPath) Metric() *LocalRoutes_Static_NextHop_MetricPath {
	return &LocalRoutes_Static_NextHop_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from LocalRoutes_Static_NextHopPathAny the path struct for its child "metric".
func (n *LocalRoutes_Static_NextHopPathAny) Metric() *LocalRoutes_Static_NextHop_MetricPathAny {
	return &LocalRoutes_Static_NextHop_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from LocalRoutes_Static_NextHopPath the path struct for its child "next-hop".
func (n *LocalRoutes_Static_NextHopPath) NextHop() *LocalRoutes_Static_NextHop_NextHopPath {
	return &LocalRoutes_Static_NextHop_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from LocalRoutes_Static_NextHopPathAny the path struct for its child "next-hop".
func (n *LocalRoutes_Static_NextHopPathAny) NextHop() *LocalRoutes_Static_NextHop_NextHopPathAny {
	return &LocalRoutes_Static_NextHop_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Recurse returns from LocalRoutes_Static_NextHopPath the path struct for its child "recurse".
func (n *LocalRoutes_Static_NextHopPath) Recurse() *LocalRoutes_Static_NextHop_RecursePath {
	return &LocalRoutes_Static_NextHop_RecursePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recurse"},
			map[string]interface{}{},
			n,
		),
	}
}

// Recurse returns from LocalRoutes_Static_NextHopPathAny the path struct for its child "recurse".
func (n *LocalRoutes_Static_NextHopPathAny) Recurse() *LocalRoutes_Static_NextHop_RecursePathAny {
	return &LocalRoutes_Static_NextHop_RecursePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recurse"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRoutes_Static_NextHop_InterfaceRefPath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRefPath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_InterfaceRefPathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_InterfaceRef_InterfacePath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref/config/interface YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref/config/interface YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePath represents the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref/config/subinterface YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-local-routing/local-routes/static-routes/static/next-hops/next-hop/interface-ref/config/subinterface YANG schema element.
type LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from LocalRoutes_Static_NextHop_InterfaceRefPath the path struct for its child "interface".
func (n *LocalRoutes_Static_NextHop_InterfaceRefPath) Interface() *LocalRoutes_Static_NextHop_InterfaceRef_InterfacePath {
	return &LocalRoutes_Static_NextHop_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from LocalRoutes_Static_NextHop_InterfaceRefPathAny the path struct for its child "interface".
func (n *LocalRoutes_Static_NextHop_InterfaceRefPathAny) Interface() *LocalRoutes_Static_NextHop_InterfaceRef_InterfacePathAny {
	return &LocalRoutes_Static_NextHop_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from LocalRoutes_Static_NextHop_InterfaceRefPath the path struct for its child "subinterface".
func (n *LocalRoutes_Static_NextHop_InterfaceRefPath) Subinterface() *LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePath {
	return &LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from LocalRoutes_Static_NextHop_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *LocalRoutes_Static_NextHop_InterfaceRefPathAny) Subinterface() *LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePathAny {
	return &LocalRoutes_Static_NextHop_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// MessagesPath represents the /openconfig-messages/messages YANG schema element.
type MessagesPath struct {
	*ygot.NodePath
}

// MessagesPathAny represents the wildcard version of the /openconfig-messages/messages YANG schema element.
type MessagesPathAny struct {
	*ygot.NodePath
}

// Messages_SeverityPath represents the /openconfig-messages/messages/config/severity YANG schema element.
type Messages_SeverityPath struct {
	*ygot.NodePath
}

// Messages_SeverityPathAny represents the wildcard version of the /openconfig-messages/messages/config/severity YANG schema element.
type Messages_SeverityPathAny struct {
	*ygot.NodePath
}

// DebugServiceAny returns from MessagesPath the path struct for its child "debug-service".
func (n *MessagesPath) DebugServiceAny() *Messages_DebugServicePathAny {
	return &Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": "*"},
			n,
		),
	}
}

// DebugServiceAny returns from MessagesPathAny the path struct for its child "debug-service".
func (n *MessagesPathAny) DebugServiceAny() *Messages_DebugServicePathAny {
	return &Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": "*"},
			n,
		),
	}
}

// DebugService returns from MessagesPath the path struct for its child "debug-service".
// Service: E_Messages_DEBUG_SERVICE
func (n *MessagesPath) DebugService(Service E_Messages_DEBUG_SERVICE) *Messages_DebugServicePath {
	return &Messages_DebugServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": Service},
			n,
		),
	}
}

// DebugService returns from MessagesPathAny the path struct for its child "debug-service".
// Service: E_Messages_DEBUG_SERVICE
func (n *MessagesPathAny) DebugService(Service E_Messages_DEBUG_SERVICE) *Messages_DebugServicePathAny {
	return &Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": Service},
			n,
		),
	}
}

// Message returns from MessagesPath the path struct for its child "message".
func (n *MessagesPath) Message() *Messages_MessagePath {
	return &Messages_MessagePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "message"},
			map[string]interface{}{},
			n,
		),
	}
}

// Message returns from MessagesPathAny the path struct for its child "message".
func (n *MessagesPathAny) Message() *Messages_MessagePathAny {
	return &Messages_MessagePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "message"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from MessagesPath the path struct for its child "severity".
func (n *MessagesPath) Severity() *Messages_SeverityPath {
	return &Messages_SeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from MessagesPathAny the path struct for its child "severity".
func (n *MessagesPathAny) Severity() *Messages_SeverityPathAny {
	return &Messages_SeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages_DebugServicePath represents the /openconfig-messages/messages/debug-entries/debug-service YANG schema element.
type Messages_DebugServicePath struct {
	*ygot.NodePath
}

// Messages_DebugServicePathAny represents the wildcard version of the /openconfig-messages/messages/debug-entries/debug-service YANG schema element.
type Messages_DebugServicePathAny struct {
	*ygot.NodePath
}

// Messages_DebugService_EnabledPath represents the /openconfig-messages/messages/debug-entries/debug-service/config/enabled YANG schema element.
type Messages_DebugService_EnabledPath struct {
	*ygot.NodePath
}

// Messages_DebugService_EnabledPathAny represents the wildcard version of the /openconfig-messages/messages/debug-entries/debug-service/config/enabled YANG schema element.
type Messages_DebugService_EnabledPathAny struct {
	*ygot.NodePath
}

// Messages_DebugService_ServicePath represents the /openconfig-messages/messages/debug-entries/debug-service/config/service YANG schema element.
type Messages_DebugService_ServicePath struct {
	*ygot.NodePath
}

// Messages_DebugService_ServicePathAny represents the wildcard version of the /openconfig-messages/messages/debug-entries/debug-service/config/service YANG schema element.
type Messages_DebugService_ServicePathAny struct {
	*ygot.NodePath
}

// Enabled returns from Messages_DebugServicePath the path struct for its child "enabled".
func (n *Messages_DebugServicePath) Enabled() *Messages_DebugService_EnabledPath {
	return &Messages_DebugService_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from Messages_DebugServicePathAny the path struct for its child "enabled".
func (n *Messages_DebugServicePathAny) Enabled() *Messages_DebugService_EnabledPathAny {
	return &Messages_DebugService_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Service returns from Messages_DebugServicePath the path struct for its child "service".
func (n *Messages_DebugServicePath) Service() *Messages_DebugService_ServicePath {
	return &Messages_DebugService_ServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "service"},
			map[string]interface{}{},
			n,
		),
	}
}

// Service returns from Messages_DebugServicePathAny the path struct for its child "service".
func (n *Messages_DebugServicePathAny) Service() *Messages_DebugService_ServicePathAny {
	return &Messages_DebugService_ServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "service"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages_MessagePath represents the /openconfig-messages/messages/state/message YANG schema element.
type Messages_MessagePath struct {
	*ygot.NodePath
}

// Messages_MessagePathAny represents the wildcard version of the /openconfig-messages/messages/state/message YANG schema element.
type Messages_MessagePathAny struct {
	*ygot.NodePath
}

// Messages_Message_AppNamePath represents the /openconfig-messages/messages/state/message/app-name YANG schema element.
type Messages_Message_AppNamePath struct {
	*ygot.NodePath
}

// Messages_Message_AppNamePathAny represents the wildcard version of the /openconfig-messages/messages/state/message/app-name YANG schema element.
type Messages_Message_AppNamePathAny struct {
	*ygot.NodePath
}

// Messages_Message_MsgPath represents the /openconfig-messages/messages/state/message/msg YANG schema element.
type Messages_Message_MsgPath struct {
	*ygot.NodePath
}

// Messages_Message_MsgPathAny represents the wildcard version of the /openconfig-messages/messages/state/message/msg YANG schema element.
type Messages_Message_MsgPathAny struct {
	*ygot.NodePath
}

// Messages_Message_MsgidPath represents the /openconfig-messages/messages/state/message/msgid YANG schema element.
type Messages_Message_MsgidPath struct {
	*ygot.NodePath
}

// Messages_Message_MsgidPathAny represents the wildcard version of the /openconfig-messages/messages/state/message/msgid YANG schema element.
type Messages_Message_MsgidPathAny struct {
	*ygot.NodePath
}

// Messages_Message_PriorityPath represents the /openconfig-messages/messages/state/message/priority YANG schema element.
type Messages_Message_PriorityPath struct {
	*ygot.NodePath
}

// Messages_Message_PriorityPathAny represents the wildcard version of the /openconfig-messages/messages/state/message/priority YANG schema element.
type Messages_Message_PriorityPathAny struct {
	*ygot.NodePath
}

// Messages_Message_ProcidPath represents the /openconfig-messages/messages/state/message/procid YANG schema element.
type Messages_Message_ProcidPath struct {
	*ygot.NodePath
}

// Messages_Message_ProcidPathAny represents the wildcard version of the /openconfig-messages/messages/state/message/procid YANG schema element.
type Messages_Message_ProcidPathAny struct {
	*ygot.NodePath
}

// AppName returns from Messages_MessagePath the path struct for its child "app-name".
func (n *Messages_MessagePath) AppName() *Messages_Message_AppNamePath {
	return &Messages_Message_AppNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"app-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AppName returns from Messages_MessagePathAny the path struct for its child "app-name".
func (n *Messages_MessagePathAny) AppName() *Messages_Message_AppNamePathAny {
	return &Messages_Message_AppNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"app-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msg returns from Messages_MessagePath the path struct for its child "msg".
func (n *Messages_MessagePath) Msg() *Messages_Message_MsgPath {
	return &Messages_Message_MsgPath{
		NodePath: ygot.NewNodePath(
			[]string{"msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msg returns from Messages_MessagePathAny the path struct for its child "msg".
func (n *Messages_MessagePathAny) Msg() *Messages_Message_MsgPathAny {
	return &Messages_Message_MsgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msgid returns from Messages_MessagePath the path struct for its child "msgid".
func (n *Messages_MessagePath) Msgid() *Messages_Message_MsgidPath {
	return &Messages_Message_MsgidPath{
		NodePath: ygot.NewNodePath(
			[]string{"msgid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msgid returns from Messages_MessagePathAny the path struct for its child "msgid".
func (n *Messages_MessagePathAny) Msgid() *Messages_Message_MsgidPathAny {
	return &Messages_Message_MsgidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"msgid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Messages_MessagePath the path struct for its child "priority".
func (n *Messages_MessagePath) Priority() *Messages_Message_PriorityPath {
	return &Messages_Message_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from Messages_MessagePathAny the path struct for its child "priority".
func (n *Messages_MessagePathAny) Priority() *Messages_Message_PriorityPathAny {
	return &Messages_Message_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Procid returns from Messages_MessagePath the path struct for its child "procid".
func (n *Messages_MessagePath) Procid() *Messages_Message_ProcidPath {
	return &Messages_Message_ProcidPath{
		NodePath: ygot.NewNodePath(
			[]string{"procid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Procid returns from Messages_MessagePathAny the path struct for its child "procid".
func (n *Messages_MessagePathAny) Procid() *Messages_Message_ProcidPathAny {
	return &Messages_Message_ProcidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"procid"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstancePath represents the /openconfig-network-instance/network-instances/network-instance YANG schema element.
type NetworkInstancePath struct {
	*ygot.NodePath
}

// NetworkInstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance YANG schema element.
type NetworkInstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/config/description YANG schema element.
type NetworkInstance_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/description YANG schema element.
type NetworkInstance_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/config/enabled YANG schema element.
type NetworkInstance_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/enabled YANG schema element.
type NetworkInstance_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_EnabledAddressFamiliesPath represents the /openconfig-network-instance/network-instances/network-instance/config/enabled-address-families YANG schema element.
type NetworkInstance_EnabledAddressFamiliesPath struct {
	*ygot.NodePath
}

// NetworkInstance_EnabledAddressFamiliesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/enabled-address-families YANG schema element.
type NetworkInstance_EnabledAddressFamiliesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_MtuPath represents the /openconfig-network-instance/network-instances/network-instance/config/mtu YANG schema element.
type NetworkInstance_MtuPath struct {
	*ygot.NodePath
}

// NetworkInstance_MtuPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/mtu YANG schema element.
type NetworkInstance_MtuPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_NamePath represents the /openconfig-network-instance/network-instances/network-instance/config/name YANG schema element.
type NetworkInstance_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/name YANG schema element.
type NetworkInstance_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteDistinguisherPath represents the /openconfig-network-instance/network-instances/network-instance/config/route-distinguisher YANG schema element.
type NetworkInstance_RouteDistinguisherPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteDistinguisherPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/route-distinguisher YANG schema element.
type NetworkInstance_RouteDistinguisherPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/config/router-id YANG schema element.
type NetworkInstance_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/router-id YANG schema element.
type NetworkInstance_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TypePath represents the /openconfig-network-instance/network-instances/network-instance/config/type YANG schema element.
type NetworkInstance_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/config/type YANG schema element.
type NetworkInstance_TypePathAny struct {
	*ygot.NodePath
}

// Afts returns from NetworkInstancePath the path struct for its child "afts".
func (n *NetworkInstancePath) Afts() *NetworkInstance_AftsPath {
	return &NetworkInstance_AftsPath{
		NodePath: ygot.NewNodePath(
			[]string{"afts"},
			map[string]interface{}{},
			n,
		),
	}
}

// Afts returns from NetworkInstancePathAny the path struct for its child "afts".
func (n *NetworkInstancePathAny) Afts() *NetworkInstance_AftsPathAny {
	return &NetworkInstance_AftsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionPointAny returns from NetworkInstancePath the path struct for its child "connection-point".
func (n *NetworkInstancePath) ConnectionPointAny() *NetworkInstance_ConnectionPointPathAny {
	return &NetworkInstance_ConnectionPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"connection-points", "connection-point"},
			map[string]interface{}{"connection-point-id": "*"},
			n,
		),
	}
}

// ConnectionPointAny returns from NetworkInstancePathAny the path struct for its child "connection-point".
func (n *NetworkInstancePathAny) ConnectionPointAny() *NetworkInstance_ConnectionPointPathAny {
	return &NetworkInstance_ConnectionPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"connection-points", "connection-point"},
			map[string]interface{}{"connection-point-id": "*"},
			n,
		),
	}
}

// ConnectionPoint returns from NetworkInstancePath the path struct for its child "connection-point".
// ConnectionPointId: string
func (n *NetworkInstancePath) ConnectionPoint(ConnectionPointId string) *NetworkInstance_ConnectionPointPath {
	return &NetworkInstance_ConnectionPointPath{
		NodePath: ygot.NewNodePath(
			[]string{"connection-points", "connection-point"},
			map[string]interface{}{"connection-point-id": ConnectionPointId},
			n,
		),
	}
}

// ConnectionPoint returns from NetworkInstancePathAny the path struct for its child "connection-point".
// ConnectionPointId: string
func (n *NetworkInstancePathAny) ConnectionPoint(ConnectionPointId string) *NetworkInstance_ConnectionPointPathAny {
	return &NetworkInstance_ConnectionPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"connection-points", "connection-point"},
			map[string]interface{}{"connection-point-id": ConnectionPointId},
			n,
		),
	}
}

// Description returns from NetworkInstancePath the path struct for its child "description".
func (n *NetworkInstancePath) Description() *NetworkInstance_DescriptionPath {
	return &NetworkInstance_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstancePathAny the path struct for its child "description".
func (n *NetworkInstancePathAny) Description() *NetworkInstance_DescriptionPathAny {
	return &NetworkInstance_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstancePath the path struct for its child "enabled".
func (n *NetworkInstancePath) Enabled() *NetworkInstance_EnabledPath {
	return &NetworkInstance_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstancePathAny the path struct for its child "enabled".
func (n *NetworkInstancePathAny) Enabled() *NetworkInstance_EnabledPathAny {
	return &NetworkInstance_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnabledAddressFamilies returns from NetworkInstancePath the path struct for its child "enabled-address-families".
func (n *NetworkInstancePath) EnabledAddressFamilies() *NetworkInstance_EnabledAddressFamiliesPath {
	return &NetworkInstance_EnabledAddressFamiliesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled-address-families"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnabledAddressFamilies returns from NetworkInstancePathAny the path struct for its child "enabled-address-families".
func (n *NetworkInstancePathAny) EnabledAddressFamilies() *NetworkInstance_EnabledAddressFamiliesPathAny {
	return &NetworkInstance_EnabledAddressFamiliesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled-address-families"},
			map[string]interface{}{},
			n,
		),
	}
}

// Encapsulation returns from NetworkInstancePath the path struct for its child "encapsulation".
func (n *NetworkInstancePath) Encapsulation() *NetworkInstance_EncapsulationPath {
	return &NetworkInstance_EncapsulationPath{
		NodePath: ygot.NewNodePath(
			[]string{"encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Encapsulation returns from NetworkInstancePathAny the path struct for its child "encapsulation".
func (n *NetworkInstancePathAny) Encapsulation() *NetworkInstance_EncapsulationPathAny {
	return &NetworkInstance_EncapsulationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fdb returns from NetworkInstancePath the path struct for its child "fdb".
func (n *NetworkInstancePath) Fdb() *NetworkInstance_FdbPath {
	return &NetworkInstance_FdbPath{
		NodePath: ygot.NewNodePath(
			[]string{"fdb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Fdb returns from NetworkInstancePathAny the path struct for its child "fdb".
func (n *NetworkInstancePathAny) Fdb() *NetworkInstance_FdbPathAny {
	return &NetworkInstance_FdbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"fdb"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterInstancePolicies returns from NetworkInstancePath the path struct for its child "inter-instance-policies".
func (n *NetworkInstancePath) InterInstancePolicies() *NetworkInstance_InterInstancePoliciesPath {
	return &NetworkInstance_InterInstancePoliciesPath{
		NodePath: ygot.NewNodePath(
			[]string{"inter-instance-policies"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterInstancePolicies returns from NetworkInstancePathAny the path struct for its child "inter-instance-policies".
func (n *NetworkInstancePathAny) InterInstancePolicies() *NetworkInstance_InterInstancePoliciesPathAny {
	return &NetworkInstance_InterInstancePoliciesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-instance-policies"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstancePath the path struct for its child "interface".
func (n *NetworkInstancePath) InterfaceAny() *NetworkInstance_InterfacePathAny {
	return &NetworkInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstancePathAny the path struct for its child "interface".
func (n *NetworkInstancePathAny) InterfaceAny() *NetworkInstance_InterfacePathAny {
	return &NetworkInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstancePath the path struct for its child "interface".
// Id: string
func (n *NetworkInstancePath) Interface(Id string) *NetworkInstance_InterfacePath {
	return &NetworkInstance_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Interface returns from NetworkInstancePathAny the path struct for its child "interface".
// Id: string
func (n *NetworkInstancePathAny) Interface(Id string) *NetworkInstance_InterfacePathAny {
	return &NetworkInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Mpls returns from NetworkInstancePath the path struct for its child "mpls".
func (n *NetworkInstancePath) Mpls() *NetworkInstance_MplsPath {
	return &NetworkInstance_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstancePathAny the path struct for its child "mpls".
func (n *NetworkInstancePathAny) Mpls() *NetworkInstance_MplsPathAny {
	return &NetworkInstance_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from NetworkInstancePath the path struct for its child "mtu".
func (n *NetworkInstancePath) Mtu() *NetworkInstance_MtuPath {
	return &NetworkInstance_MtuPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mtu returns from NetworkInstancePathAny the path struct for its child "mtu".
func (n *NetworkInstancePathAny) Mtu() *NetworkInstance_MtuPathAny {
	return &NetworkInstance_MtuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstancePath the path struct for its child "name".
func (n *NetworkInstancePath) Name() *NetworkInstance_NamePath {
	return &NetworkInstance_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstancePathAny the path struct for its child "name".
func (n *NetworkInstancePathAny) Name() *NetworkInstance_NamePathAny {
	return &NetworkInstance_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolicyForwarding returns from NetworkInstancePath the path struct for its child "policy-forwarding".
func (n *NetworkInstancePath) PolicyForwarding() *NetworkInstance_PolicyForwardingPath {
	return &NetworkInstance_PolicyForwardingPath{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolicyForwarding returns from NetworkInstancePathAny the path struct for its child "policy-forwarding".
func (n *NetworkInstancePathAny) PolicyForwarding() *NetworkInstance_PolicyForwardingPathAny {
	return &NetworkInstance_PolicyForwardingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtocolAny returns from NetworkInstancePath the path struct for its child "protocol".
func (n *NetworkInstancePath) ProtocolAny() *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": "*", "name": "*"},
			n,
		),
	}
}

// ProtocolAny returns from NetworkInstancePathAny the path struct for its child "protocol".
func (n *NetworkInstancePathAny) ProtocolAny() *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": "*", "name": "*"},
			n,
		),
	}
}

// ProtocolAnyName returns from NetworkInstancePath the path struct for its child "protocol".
// Identifier: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstancePath) ProtocolAnyName(Identifier E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": Identifier, "name": "*"},
			n,
		),
	}
}

// ProtocolAnyName returns from NetworkInstancePathAny the path struct for its child "protocol".
// Identifier: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstancePathAny) ProtocolAnyName(Identifier E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": Identifier, "name": "*"},
			n,
		),
	}
}

// ProtocolAnyIdentifier returns from NetworkInstancePath the path struct for its child "protocol".
// Name: string
func (n *NetworkInstancePath) ProtocolAnyIdentifier(Name string) *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": "*", "name": Name},
			n,
		),
	}
}

// ProtocolAnyIdentifier returns from NetworkInstancePathAny the path struct for its child "protocol".
// Name: string
func (n *NetworkInstancePathAny) ProtocolAnyIdentifier(Name string) *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": "*", "name": Name},
			n,
		),
	}
}

// Protocol returns from NetworkInstancePath the path struct for its child "protocol".
// Identifier: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
// Name: string
func (n *NetworkInstancePath) Protocol(Identifier E_PolicyTypes_INSTALL_PROTOCOL_TYPE, Name string) *NetworkInstance_ProtocolPath {
	return &NetworkInstance_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": Identifier, "name": Name},
			n,
		),
	}
}

// Protocol returns from NetworkInstancePathAny the path struct for its child "protocol".
// Identifier: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
// Name: string
func (n *NetworkInstancePathAny) Protocol(Identifier E_PolicyTypes_INSTALL_PROTOCOL_TYPE, Name string) *NetworkInstance_ProtocolPathAny {
	return &NetworkInstance_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protocols", "protocol"},
			map[string]interface{}{"identifier": Identifier, "name": Name},
			n,
		),
	}
}

// RouteDistinguisher returns from NetworkInstancePath the path struct for its child "route-distinguisher".
func (n *NetworkInstancePath) RouteDistinguisher() *NetworkInstance_RouteDistinguisherPath {
	return &NetworkInstance_RouteDistinguisherPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-distinguisher"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteDistinguisher returns from NetworkInstancePathAny the path struct for its child "route-distinguisher".
func (n *NetworkInstancePathAny) RouteDistinguisher() *NetworkInstance_RouteDistinguisherPathAny {
	return &NetworkInstance_RouteDistinguisherPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-distinguisher"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteLimitAny returns from NetworkInstancePath the path struct for its child "route-limit".
func (n *NetworkInstancePath) RouteLimitAny() *NetworkInstance_RouteLimitPathAny {
	return &NetworkInstance_RouteLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-limits", "route-limit"},
			map[string]interface{}{"afi": "*"},
			n,
		),
	}
}

// RouteLimitAny returns from NetworkInstancePathAny the path struct for its child "route-limit".
func (n *NetworkInstancePathAny) RouteLimitAny() *NetworkInstance_RouteLimitPathAny {
	return &NetworkInstance_RouteLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-limits", "route-limit"},
			map[string]interface{}{"afi": "*"},
			n,
		),
	}
}

// RouteLimit returns from NetworkInstancePath the path struct for its child "route-limit".
// Afi: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePath) RouteLimit(Afi E_Types_ADDRESS_FAMILY) *NetworkInstance_RouteLimitPath {
	return &NetworkInstance_RouteLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-limits", "route-limit"},
			map[string]interface{}{"afi": Afi},
			n,
		),
	}
}

// RouteLimit returns from NetworkInstancePathAny the path struct for its child "route-limit".
// Afi: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePathAny) RouteLimit(Afi E_Types_ADDRESS_FAMILY) *NetworkInstance_RouteLimitPathAny {
	return &NetworkInstance_RouteLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-limits", "route-limit"},
			map[string]interface{}{"afi": Afi},
			n,
		),
	}
}

// RouterId returns from NetworkInstancePath the path struct for its child "router-id".
func (n *NetworkInstancePath) RouterId() *NetworkInstance_RouterIdPath {
	return &NetworkInstance_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstancePathAny the path struct for its child "router-id".
func (n *NetworkInstancePathAny) RouterId() *NetworkInstance_RouterIdPathAny {
	return &NetworkInstance_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstancePath the path struct for its child "segment-routing".
func (n *NetworkInstancePath) SegmentRouting() *NetworkInstance_SegmentRoutingPath {
	return &NetworkInstance_SegmentRoutingPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstancePathAny the path struct for its child "segment-routing".
func (n *NetworkInstancePathAny) SegmentRouting() *NetworkInstance_SegmentRoutingPathAny {
	return &NetworkInstance_SegmentRoutingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// TableAny returns from NetworkInstancePath the path struct for its child "table".
func (n *NetworkInstancePath) TableAny() *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": "*", "address-family": "*"},
			n,
		),
	}
}

// TableAny returns from NetworkInstancePathAny the path struct for its child "table".
func (n *NetworkInstancePathAny) TableAny() *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": "*", "address-family": "*"},
			n,
		),
	}
}

// TableAnyAddressFamily returns from NetworkInstancePath the path struct for its child "table".
// Protocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstancePath) TableAnyAddressFamily(Protocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": Protocol, "address-family": "*"},
			n,
		),
	}
}

// TableAnyAddressFamily returns from NetworkInstancePathAny the path struct for its child "table".
// Protocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstancePathAny) TableAnyAddressFamily(Protocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": Protocol, "address-family": "*"},
			n,
		),
	}
}

// TableAnyProtocol returns from NetworkInstancePath the path struct for its child "table".
// AddressFamily: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePath) TableAnyProtocol(AddressFamily E_Types_ADDRESS_FAMILY) *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": "*", "address-family": AddressFamily},
			n,
		),
	}
}

// TableAnyProtocol returns from NetworkInstancePathAny the path struct for its child "table".
// AddressFamily: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePathAny) TableAnyProtocol(AddressFamily E_Types_ADDRESS_FAMILY) *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": "*", "address-family": AddressFamily},
			n,
		),
	}
}

// Table returns from NetworkInstancePath the path struct for its child "table".
// Protocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
// AddressFamily: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePath) Table(Protocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE, AddressFamily E_Types_ADDRESS_FAMILY) *NetworkInstance_TablePath {
	return &NetworkInstance_TablePath{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": Protocol, "address-family": AddressFamily},
			n,
		),
	}
}

// Table returns from NetworkInstancePathAny the path struct for its child "table".
// Protocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
// AddressFamily: E_Types_ADDRESS_FAMILY
func (n *NetworkInstancePathAny) Table(Protocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE, AddressFamily E_Types_ADDRESS_FAMILY) *NetworkInstance_TablePathAny {
	return &NetworkInstance_TablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tables", "table"},
			map[string]interface{}{"protocol": Protocol, "address-family": AddressFamily},
			n,
		),
	}
}

// TableConnectionAny returns from NetworkInstancePath the path struct for its child "table-connection".
func (n *NetworkInstancePath) TableConnectionAny() *NetworkInstance_TableConnectionPathAny {
	return &NetworkInstance_TableConnectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"table-connections", "table-connection"},
			map[string]interface{}{"src-protocol": "*", "dst-protocol": "*", "address-family": "*"},
			n,
		),
	}
}

// TableConnectionAny returns from NetworkInstancePathAny the path struct for its child "table-connection".
func (n *NetworkInstancePathAny) TableConnectionAny() *NetworkInstance_TableConnectionPathAny {
	return &NetworkInstance_TableConnectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"table-connections", "table-connection"},
			map[string]interface{}{"src-protocol": "*", "dst-protocol": "*", "address-family": "*"},
			n,
		),
	}
}

// WithSrcProtocol sets NetworkInstance_TableConnectionPathAny's key "src-protocol" to the specified value.
// SrcProtocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstance_TableConnectionPathAny) WithSrcProtocol(SrcProtocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_TableConnectionPathAny {
	ygot.ModifyKey(n.NodePath, "src-protocol", SrcProtocol)
	return n
}

// WithDstProtocol sets NetworkInstance_TableConnectionPathAny's key "dst-protocol" to the specified value.
// DstProtocol: E_PolicyTypes_INSTALL_PROTOCOL_TYPE
func (n *NetworkInstance_TableConnectionPathAny) WithDstProtocol(DstProtocol E_PolicyTypes_INSTALL_PROTOCOL_TYPE) *NetworkInstance_TableConnectionPathAny {
	ygot.ModifyKey(n.NodePath, "dst-protocol", DstProtocol)
	return n
}

// WithAddressFamily sets NetworkInstance_TableConnectionPathAny's key "address-family" to the specified value.
// AddressFamily: E_Types_ADDRESS_FAMILY
func (n *NetworkInstance_TableConnectionPathAny) WithAddressFamily(AddressFamily E_Types_ADDRESS_FAMILY) *NetworkInstance_TableConnectionPathAny {
	ygot.ModifyKey(n.NodePath, "address-family", AddressFamily)
	return n
}

// Type returns from NetworkInstancePath the path struct for its child "type".
func (n *NetworkInstancePath) Type() *NetworkInstance_TypePath {
	return &NetworkInstance_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstancePathAny the path struct for its child "type".
func (n *NetworkInstancePathAny) Type() *NetworkInstance_TypePathAny {
	return &NetworkInstance_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanAny returns from NetworkInstancePath the path struct for its child "vlan".
func (n *NetworkInstancePath) VlanAny() *NetworkInstance_VlanPathAny {
	return &NetworkInstance_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vlans", "vlan"},
			map[string]interface{}{"vlan-id": "*"},
			n,
		),
	}
}

// VlanAny returns from NetworkInstancePathAny the path struct for its child "vlan".
func (n *NetworkInstancePathAny) VlanAny() *NetworkInstance_VlanPathAny {
	return &NetworkInstance_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vlans", "vlan"},
			map[string]interface{}{"vlan-id": "*"},
			n,
		),
	}
}

// Vlan returns from NetworkInstancePath the path struct for its child "vlan".
// VlanId: uint16
func (n *NetworkInstancePath) Vlan(VlanId uint16) *NetworkInstance_VlanPath {
	return &NetworkInstance_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"vlans", "vlan"},
			map[string]interface{}{"vlan-id": VlanId},
			n,
		),
	}
}

// Vlan returns from NetworkInstancePathAny the path struct for its child "vlan".
// VlanId: uint16
func (n *NetworkInstancePathAny) Vlan(VlanId uint16) *NetworkInstance_VlanPathAny {
	return &NetworkInstance_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"vlans", "vlan"},
			map[string]interface{}{"vlan-id": VlanId},
			n,
		),
	}
}

// NetworkInstance_AftsPath represents the /openconfig-network-instance/network-instances/network-instance/afts YANG schema element.
type NetworkInstance_AftsPath struct {
	*ygot.NodePath
}

// NetworkInstance_AftsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts YANG schema element.
type NetworkInstance_AftsPathAny struct {
	*ygot.NodePath
}

// Ipv4EntryAny returns from NetworkInstance_AftsPath the path struct for its child "ipv4-entry".
func (n *NetworkInstance_AftsPath) Ipv4EntryAny() *NetworkInstance_Afts_Ipv4EntryPathAny {
	return &NetworkInstance_Afts_Ipv4EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast", "ipv4-entry"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Ipv4EntryAny returns from NetworkInstance_AftsPathAny the path struct for its child "ipv4-entry".
func (n *NetworkInstance_AftsPathAny) Ipv4EntryAny() *NetworkInstance_Afts_Ipv4EntryPathAny {
	return &NetworkInstance_Afts_Ipv4EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast", "ipv4-entry"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Ipv4Entry returns from NetworkInstance_AftsPath the path struct for its child "ipv4-entry".
// Prefix: string
func (n *NetworkInstance_AftsPath) Ipv4Entry(Prefix string) *NetworkInstance_Afts_Ipv4EntryPath {
	return &NetworkInstance_Afts_Ipv4EntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast", "ipv4-entry"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Ipv4Entry returns from NetworkInstance_AftsPathAny the path struct for its child "ipv4-entry".
// Prefix: string
func (n *NetworkInstance_AftsPathAny) Ipv4Entry(Prefix string) *NetworkInstance_Afts_Ipv4EntryPathAny {
	return &NetworkInstance_Afts_Ipv4EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast", "ipv4-entry"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Ipv6EntryAny returns from NetworkInstance_AftsPath the path struct for its child "ipv6-entry".
func (n *NetworkInstance_AftsPath) Ipv6EntryAny() *NetworkInstance_Afts_Ipv6EntryPathAny {
	return &NetworkInstance_Afts_Ipv6EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast", "ipv6-entry"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Ipv6EntryAny returns from NetworkInstance_AftsPathAny the path struct for its child "ipv6-entry".
func (n *NetworkInstance_AftsPathAny) Ipv6EntryAny() *NetworkInstance_Afts_Ipv6EntryPathAny {
	return &NetworkInstance_Afts_Ipv6EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast", "ipv6-entry"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Ipv6Entry returns from NetworkInstance_AftsPath the path struct for its child "ipv6-entry".
// Prefix: string
func (n *NetworkInstance_AftsPath) Ipv6Entry(Prefix string) *NetworkInstance_Afts_Ipv6EntryPath {
	return &NetworkInstance_Afts_Ipv6EntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast", "ipv6-entry"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Ipv6Entry returns from NetworkInstance_AftsPathAny the path struct for its child "ipv6-entry".
// Prefix: string
func (n *NetworkInstance_AftsPathAny) Ipv6Entry(Prefix string) *NetworkInstance_Afts_Ipv6EntryPathAny {
	return &NetworkInstance_Afts_Ipv6EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast", "ipv6-entry"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// LabelEntryAny returns from NetworkInstance_AftsPath the path struct for its child "label-entry".
func (n *NetworkInstance_AftsPath) LabelEntryAny() *NetworkInstance_Afts_LabelEntryPathAny {
	return &NetworkInstance_Afts_LabelEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls", "label-entry"},
			map[string]interface{}{"label": "*"},
			n,
		),
	}
}

// LabelEntryAny returns from NetworkInstance_AftsPathAny the path struct for its child "label-entry".
func (n *NetworkInstance_AftsPathAny) LabelEntryAny() *NetworkInstance_Afts_LabelEntryPathAny {
	return &NetworkInstance_Afts_LabelEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls", "label-entry"},
			map[string]interface{}{"label": "*"},
			n,
		),
	}
}

// LabelEntry returns from NetworkInstance_AftsPath the path struct for its child "label-entry".
// Label: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_AftsPath) LabelEntry(Label NetworkInstance_Afts_LabelEntry_Label_Union) *NetworkInstance_Afts_LabelEntryPath {
	return &NetworkInstance_Afts_LabelEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls", "label-entry"},
			map[string]interface{}{"label": Label},
			n,
		),
	}
}

// LabelEntry returns from NetworkInstance_AftsPathAny the path struct for its child "label-entry".
// Label: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_AftsPathAny) LabelEntry(Label NetworkInstance_Afts_LabelEntry_Label_Union) *NetworkInstance_Afts_LabelEntryPathAny {
	return &NetworkInstance_Afts_LabelEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls", "label-entry"},
			map[string]interface{}{"label": Label},
			n,
		),
	}
}

// MacEntryAny returns from NetworkInstance_AftsPath the path struct for its child "mac-entry".
func (n *NetworkInstance_AftsPath) MacEntryAny() *NetworkInstance_Afts_MacEntryPathAny {
	return &NetworkInstance_Afts_MacEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet", "mac-entry"},
			map[string]interface{}{"mac-address": "*"},
			n,
		),
	}
}

// MacEntryAny returns from NetworkInstance_AftsPathAny the path struct for its child "mac-entry".
func (n *NetworkInstance_AftsPathAny) MacEntryAny() *NetworkInstance_Afts_MacEntryPathAny {
	return &NetworkInstance_Afts_MacEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet", "mac-entry"},
			map[string]interface{}{"mac-address": "*"},
			n,
		),
	}
}

// MacEntry returns from NetworkInstance_AftsPath the path struct for its child "mac-entry".
// MacAddress: string
func (n *NetworkInstance_AftsPath) MacEntry(MacAddress string) *NetworkInstance_Afts_MacEntryPath {
	return &NetworkInstance_Afts_MacEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet", "mac-entry"},
			map[string]interface{}{"mac-address": MacAddress},
			n,
		),
	}
}

// MacEntry returns from NetworkInstance_AftsPathAny the path struct for its child "mac-entry".
// MacAddress: string
func (n *NetworkInstance_AftsPathAny) MacEntry(MacAddress string) *NetworkInstance_Afts_MacEntryPathAny {
	return &NetworkInstance_Afts_MacEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet", "mac-entry"},
			map[string]interface{}{"mac-address": MacAddress},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_AftsPath the path struct for its child "next-hop".
func (n *NetworkInstance_AftsPath) NextHopAny() *NetworkInstance_Afts_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_AftsPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_AftsPathAny) NextHopAny() *NetworkInstance_Afts_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_AftsPath the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_AftsPath) NextHop(Index uint64) *NetworkInstance_Afts_NextHopPath {
	return &NetworkInstance_Afts_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_AftsPathAny the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_AftsPathAny) NextHop(Index uint64) *NetworkInstance_Afts_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHopGroupAny returns from NetworkInstance_AftsPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_AftsPath) NextHopGroupAny() *NetworkInstance_Afts_NextHopGroupPathAny {
	return &NetworkInstance_Afts_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hop-groups", "next-hop-group"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// NextHopGroupAny returns from NetworkInstance_AftsPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_AftsPathAny) NextHopGroupAny() *NetworkInstance_Afts_NextHopGroupPathAny {
	return &NetworkInstance_Afts_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hop-groups", "next-hop-group"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_AftsPath the path struct for its child "next-hop-group".
// Id: uint64
func (n *NetworkInstance_AftsPath) NextHopGroup(Id uint64) *NetworkInstance_Afts_NextHopGroupPath {
	return &NetworkInstance_Afts_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hop-groups", "next-hop-group"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_AftsPathAny the path struct for its child "next-hop-group".
// Id: uint64
func (n *NetworkInstance_AftsPathAny) NextHopGroup(Id uint64) *NetworkInstance_Afts_NextHopGroupPathAny {
	return &NetworkInstance_Afts_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hop-groups", "next-hop-group"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// PolicyForwardingEntryAny returns from NetworkInstance_AftsPath the path struct for its child "policy-forwarding-entry".
func (n *NetworkInstance_AftsPath) PolicyForwardingEntryAny() *NetworkInstance_Afts_PolicyForwardingEntryPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding", "policy-forwarding-entry"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// PolicyForwardingEntryAny returns from NetworkInstance_AftsPathAny the path struct for its child "policy-forwarding-entry".
func (n *NetworkInstance_AftsPathAny) PolicyForwardingEntryAny() *NetworkInstance_Afts_PolicyForwardingEntryPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding", "policy-forwarding-entry"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// PolicyForwardingEntry returns from NetworkInstance_AftsPath the path struct for its child "policy-forwarding-entry".
// Index: uint64
func (n *NetworkInstance_AftsPath) PolicyForwardingEntry(Index uint64) *NetworkInstance_Afts_PolicyForwardingEntryPath {
	return &NetworkInstance_Afts_PolicyForwardingEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding", "policy-forwarding-entry"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// PolicyForwardingEntry returns from NetworkInstance_AftsPathAny the path struct for its child "policy-forwarding-entry".
// Index: uint64
func (n *NetworkInstance_AftsPathAny) PolicyForwardingEntry(Index uint64) *NetworkInstance_Afts_PolicyForwardingEntryPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-forwarding", "policy-forwarding-entry"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NetworkInstance_Afts_Ipv4EntryPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry YANG schema element.
type NetworkInstance_Afts_Ipv4EntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4EntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry YANG schema element.
type NetworkInstance_Afts_Ipv4EntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/decapsulate-header YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/decapsulate-header YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_OriginProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_OriginProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_OriginProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_OriginProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/prefix YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv4Entry_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv4-unicast/ipv4-entry/state/prefix YANG schema element.
type NetworkInstance_Afts_Ipv4Entry_PrefixPathAny struct {
	*ygot.NodePath
}

// DecapsulateHeader returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "decapsulate-header".
func (n *NetworkInstance_Afts_Ipv4EntryPath) DecapsulateHeader() *NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPath {
	return &NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "decapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// DecapsulateHeader returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "decapsulate-header".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) DecapsulateHeader() *NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_DecapsulateHeaderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "decapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_Ipv4EntryPath) NextHopGroup() *NetworkInstance_Afts_Ipv4Entry_NextHopGroupPath {
	return &NetworkInstance_Afts_Ipv4Entry_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) NextHopGroup() *NetworkInstance_Afts_Ipv4Entry_NextHopGroupPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_Ipv4EntryPath) OctetsForwarded() *NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPath {
	return &NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) OctetsForwarded() *NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_OctetsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_Ipv4EntryPath) OriginProtocol() *NetworkInstance_Afts_Ipv4Entry_OriginProtocolPath {
	return &NetworkInstance_Afts_Ipv4Entry_OriginProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) OriginProtocol() *NetworkInstance_Afts_Ipv4Entry_OriginProtocolPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_OriginProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_Ipv4EntryPath) PacketsForwarded() *NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPath {
	return &NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) PacketsForwarded() *NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_PacketsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Afts_Ipv4EntryPath the path struct for its child "prefix".
func (n *NetworkInstance_Afts_Ipv4EntryPath) Prefix() *NetworkInstance_Afts_Ipv4Entry_PrefixPath {
	return &NetworkInstance_Afts_Ipv4Entry_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Afts_Ipv4EntryPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Afts_Ipv4EntryPathAny) Prefix() *NetworkInstance_Afts_Ipv4Entry_PrefixPathAny {
	return &NetworkInstance_Afts_Ipv4Entry_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_Ipv6EntryPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry YANG schema element.
type NetworkInstance_Afts_Ipv6EntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6EntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry YANG schema element.
type NetworkInstance_Afts_Ipv6EntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/decapsulate-header YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/decapsulate-header YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_OriginProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_OriginProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_OriginProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_OriginProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/prefix YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_Ipv6Entry_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ipv6-unicast/ipv6-entry/state/prefix YANG schema element.
type NetworkInstance_Afts_Ipv6Entry_PrefixPathAny struct {
	*ygot.NodePath
}

// DecapsulateHeader returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "decapsulate-header".
func (n *NetworkInstance_Afts_Ipv6EntryPath) DecapsulateHeader() *NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPath {
	return &NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "decapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// DecapsulateHeader returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "decapsulate-header".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) DecapsulateHeader() *NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_DecapsulateHeaderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "decapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_Ipv6EntryPath) NextHopGroup() *NetworkInstance_Afts_Ipv6Entry_NextHopGroupPath {
	return &NetworkInstance_Afts_Ipv6Entry_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) NextHopGroup() *NetworkInstance_Afts_Ipv6Entry_NextHopGroupPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_Ipv6EntryPath) OctetsForwarded() *NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPath {
	return &NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) OctetsForwarded() *NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_OctetsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_Ipv6EntryPath) OriginProtocol() *NetworkInstance_Afts_Ipv6Entry_OriginProtocolPath {
	return &NetworkInstance_Afts_Ipv6Entry_OriginProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) OriginProtocol() *NetworkInstance_Afts_Ipv6Entry_OriginProtocolPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_OriginProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_Ipv6EntryPath) PacketsForwarded() *NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPath {
	return &NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) PacketsForwarded() *NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_PacketsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Afts_Ipv6EntryPath the path struct for its child "prefix".
func (n *NetworkInstance_Afts_Ipv6EntryPath) Prefix() *NetworkInstance_Afts_Ipv6Entry_PrefixPath {
	return &NetworkInstance_Afts_Ipv6Entry_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Afts_Ipv6EntryPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Afts_Ipv6EntryPathAny) Prefix() *NetworkInstance_Afts_Ipv6Entry_PrefixPathAny {
	return &NetworkInstance_Afts_Ipv6Entry_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_LabelEntryPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry YANG schema element.
type NetworkInstance_Afts_LabelEntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry YANG schema element.
type NetworkInstance_Afts_LabelEntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_LabelPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/label YANG schema element.
type NetworkInstance_Afts_LabelEntry_LabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_LabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/label YANG schema element.
type NetworkInstance_Afts_LabelEntry_LabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_LabelEntry_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_LabelEntry_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_OctetsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_LabelEntry_OctetsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_OctetsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_LabelEntry_OctetsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_PacketsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_LabelEntry_PacketsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_PacketsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_LabelEntry_PacketsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPath represents the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/popped-mpls-label-stack YANG schema element.
type NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/mpls/label-entry/state/popped-mpls-label-stack YANG schema element.
type NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPathAny struct {
	*ygot.NodePath
}

// Label returns from NetworkInstance_Afts_LabelEntryPath the path struct for its child "label".
func (n *NetworkInstance_Afts_LabelEntryPath) Label() *NetworkInstance_Afts_LabelEntry_LabelPath {
	return &NetworkInstance_Afts_LabelEntry_LabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Label returns from NetworkInstance_Afts_LabelEntryPathAny the path struct for its child "label".
func (n *NetworkInstance_Afts_LabelEntryPathAny) Label() *NetworkInstance_Afts_LabelEntry_LabelPathAny {
	return &NetworkInstance_Afts_LabelEntry_LabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_LabelEntryPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_LabelEntryPath) NextHopGroup() *NetworkInstance_Afts_LabelEntry_NextHopGroupPath {
	return &NetworkInstance_Afts_LabelEntry_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_LabelEntryPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_LabelEntryPathAny) NextHopGroup() *NetworkInstance_Afts_LabelEntry_NextHopGroupPathAny {
	return &NetworkInstance_Afts_LabelEntry_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_LabelEntryPath the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_LabelEntryPath) OctetsForwarded() *NetworkInstance_Afts_LabelEntry_OctetsForwardedPath {
	return &NetworkInstance_Afts_LabelEntry_OctetsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_LabelEntryPathAny the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_LabelEntryPathAny) OctetsForwarded() *NetworkInstance_Afts_LabelEntry_OctetsForwardedPathAny {
	return &NetworkInstance_Afts_LabelEntry_OctetsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_LabelEntryPath the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_LabelEntryPath) PacketsForwarded() *NetworkInstance_Afts_LabelEntry_PacketsForwardedPath {
	return &NetworkInstance_Afts_LabelEntry_PacketsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_LabelEntryPathAny the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_LabelEntryPathAny) PacketsForwarded() *NetworkInstance_Afts_LabelEntry_PacketsForwardedPathAny {
	return &NetworkInstance_Afts_LabelEntry_PacketsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PoppedMplsLabelStack returns from NetworkInstance_Afts_LabelEntryPath the path struct for its child "popped-mpls-label-stack".
func (n *NetworkInstance_Afts_LabelEntryPath) PoppedMplsLabelStack() *NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPath {
	return &NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "popped-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// PoppedMplsLabelStack returns from NetworkInstance_Afts_LabelEntryPathAny the path struct for its child "popped-mpls-label-stack".
func (n *NetworkInstance_Afts_LabelEntryPathAny) PoppedMplsLabelStack() *NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPathAny {
	return &NetworkInstance_Afts_LabelEntry_PoppedMplsLabelStackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "popped-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_MacEntryPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry YANG schema element.
type NetworkInstance_Afts_MacEntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry YANG schema element.
type NetworkInstance_Afts_MacEntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_MacAddressPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/mac-address YANG schema element.
type NetworkInstance_Afts_MacEntry_MacAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_MacAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/mac-address YANG schema element.
type NetworkInstance_Afts_MacEntry_MacAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_MacEntry_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_MacEntry_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_OctetsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_MacEntry_OctetsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_OctetsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_MacEntry_OctetsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_PacketsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_MacEntry_PacketsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_MacEntry_PacketsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/ethernet/mac-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_MacEntry_PacketsForwardedPathAny struct {
	*ygot.NodePath
}

// MacAddress returns from NetworkInstance_Afts_MacEntryPath the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_MacEntryPath) MacAddress() *NetworkInstance_Afts_MacEntry_MacAddressPath {
	return &NetworkInstance_Afts_MacEntry_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Afts_MacEntryPathAny the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_MacEntryPathAny) MacAddress() *NetworkInstance_Afts_MacEntry_MacAddressPathAny {
	return &NetworkInstance_Afts_MacEntry_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_MacEntryPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_MacEntryPath) NextHopGroup() *NetworkInstance_Afts_MacEntry_NextHopGroupPath {
	return &NetworkInstance_Afts_MacEntry_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_MacEntryPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_MacEntryPathAny) NextHopGroup() *NetworkInstance_Afts_MacEntry_NextHopGroupPathAny {
	return &NetworkInstance_Afts_MacEntry_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_MacEntryPath the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_MacEntryPath) OctetsForwarded() *NetworkInstance_Afts_MacEntry_OctetsForwardedPath {
	return &NetworkInstance_Afts_MacEntry_OctetsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_MacEntryPathAny the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_MacEntryPathAny) OctetsForwarded() *NetworkInstance_Afts_MacEntry_OctetsForwardedPathAny {
	return &NetworkInstance_Afts_MacEntry_OctetsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_MacEntryPath the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_MacEntryPath) PacketsForwarded() *NetworkInstance_Afts_MacEntry_PacketsForwardedPath {
	return &NetworkInstance_Afts_MacEntry_PacketsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_MacEntryPathAny the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_MacEntryPathAny) PacketsForwarded() *NetworkInstance_Afts_MacEntry_PacketsForwardedPathAny {
	return &NetworkInstance_Afts_MacEntry_PacketsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop YANG schema element.
type NetworkInstance_Afts_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop YANG schema element.
type NetworkInstance_Afts_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_EncapsulateHeaderPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/encapsulate-header YANG schema element.
type NetworkInstance_Afts_NextHop_EncapsulateHeaderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_EncapsulateHeaderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/encapsulate-header YANG schema element.
type NetworkInstance_Afts_NextHop_EncapsulateHeaderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_Afts_NextHop_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_Afts_NextHop_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_IpAddressPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/ip-address YANG schema element.
type NetworkInstance_Afts_NextHop_IpAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_IpAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/ip-address YANG schema element.
type NetworkInstance_Afts_NextHop_IpAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_LspNamePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/lsp-name YANG schema element.
type NetworkInstance_Afts_NextHop_LspNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_LspNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/lsp-name YANG schema element.
type NetworkInstance_Afts_NextHop_LspNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_MacAddressPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/mac-address YANG schema element.
type NetworkInstance_Afts_NextHop_MacAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_MacAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/mac-address YANG schema element.
type NetworkInstance_Afts_NextHop_MacAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_OriginProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_NextHop_OriginProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_OriginProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/origin-protocol YANG schema element.
type NetworkInstance_Afts_NextHop_OriginProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_PushedMplsLabelStackPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/pushed-mpls-label-stack YANG schema element.
type NetworkInstance_Afts_NextHop_PushedMplsLabelStackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_PushedMplsLabelStackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/state/pushed-mpls-label-stack YANG schema element.
type NetworkInstance_Afts_NextHop_PushedMplsLabelStackPathAny struct {
	*ygot.NodePath
}

// EncapsulateHeader returns from NetworkInstance_Afts_NextHopPath the path struct for its child "encapsulate-header".
func (n *NetworkInstance_Afts_NextHopPath) EncapsulateHeader() *NetworkInstance_Afts_NextHop_EncapsulateHeaderPath {
	return &NetworkInstance_Afts_NextHop_EncapsulateHeaderPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "encapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulateHeader returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "encapsulate-header".
func (n *NetworkInstance_Afts_NextHopPathAny) EncapsulateHeader() *NetworkInstance_Afts_NextHop_EncapsulateHeaderPathAny {
	return &NetworkInstance_Afts_NextHop_EncapsulateHeaderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "encapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Afts_NextHopPath the path struct for its child "index".
func (n *NetworkInstance_Afts_NextHopPath) Index() *NetworkInstance_Afts_NextHop_IndexPath {
	return &NetworkInstance_Afts_NextHop_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "index".
func (n *NetworkInstance_Afts_NextHopPathAny) Index() *NetworkInstance_Afts_NextHop_IndexPathAny {
	return &NetworkInstance_Afts_NextHop_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Afts_NextHopPath the path struct for its child "interface-ref".
func (n *NetworkInstance_Afts_NextHopPath) InterfaceRef() *NetworkInstance_Afts_NextHop_InterfaceRefPath {
	return &NetworkInstance_Afts_NextHop_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Afts_NextHopPathAny) InterfaceRef() *NetworkInstance_Afts_NextHop_InterfaceRefPathAny {
	return &NetworkInstance_Afts_NextHop_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpAddress returns from NetworkInstance_Afts_NextHopPath the path struct for its child "ip-address".
func (n *NetworkInstance_Afts_NextHopPath) IpAddress() *NetworkInstance_Afts_NextHop_IpAddressPath {
	return &NetworkInstance_Afts_NextHop_IpAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpAddress returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "ip-address".
func (n *NetworkInstance_Afts_NextHopPathAny) IpAddress() *NetworkInstance_Afts_NextHop_IpAddressPathAny {
	return &NetworkInstance_Afts_NextHop_IpAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspName returns from NetworkInstance_Afts_NextHopPath the path struct for its child "lsp-name".
func (n *NetworkInstance_Afts_NextHopPath) LspName() *NetworkInstance_Afts_NextHop_LspNamePath {
	return &NetworkInstance_Afts_NextHop_LspNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspName returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "lsp-name".
func (n *NetworkInstance_Afts_NextHopPathAny) LspName() *NetworkInstance_Afts_NextHop_LspNamePathAny {
	return &NetworkInstance_Afts_NextHop_LspNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Afts_NextHopPath the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_NextHopPath) MacAddress() *NetworkInstance_Afts_NextHop_MacAddressPath {
	return &NetworkInstance_Afts_NextHop_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_NextHopPathAny) MacAddress() *NetworkInstance_Afts_NextHop_MacAddressPathAny {
	return &NetworkInstance_Afts_NextHop_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_NextHopPath the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_NextHopPath) OriginProtocol() *NetworkInstance_Afts_NextHop_OriginProtocolPath {
	return &NetworkInstance_Afts_NextHop_OriginProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "origin-protocol".
func (n *NetworkInstance_Afts_NextHopPathAny) OriginProtocol() *NetworkInstance_Afts_NextHop_OriginProtocolPathAny {
	return &NetworkInstance_Afts_NextHop_OriginProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushedMplsLabelStack returns from NetworkInstance_Afts_NextHopPath the path struct for its child "pushed-mpls-label-stack".
func (n *NetworkInstance_Afts_NextHopPath) PushedMplsLabelStack() *NetworkInstance_Afts_NextHop_PushedMplsLabelStackPath {
	return &NetworkInstance_Afts_NextHop_PushedMplsLabelStackPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pushed-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushedMplsLabelStack returns from NetworkInstance_Afts_NextHopPathAny the path struct for its child "pushed-mpls-label-stack".
func (n *NetworkInstance_Afts_NextHopPathAny) PushedMplsLabelStack() *NetworkInstance_Afts_NextHop_PushedMplsLabelStackPathAny {
	return &NetworkInstance_Afts_NextHop_PushedMplsLabelStackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pushed-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/backup-next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/backup-next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/color YANG schema element.
type NetworkInstance_Afts_NextHopGroup_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/color YANG schema element.
type NetworkInstance_Afts_NextHopGroup_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_IdPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_IdPathAny struct {
	*ygot.NodePath
}

// BackupNextHopGroup returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "backup-next-hop-group".
func (n *NetworkInstance_Afts_NextHopGroupPath) BackupNextHopGroup() *NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPath {
	return &NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackupNextHopGroup returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "backup-next-hop-group".
func (n *NetworkInstance_Afts_NextHopGroupPathAny) BackupNextHopGroup() *NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPathAny {
	return &NetworkInstance_Afts_NextHopGroup_BackupNextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "color".
func (n *NetworkInstance_Afts_NextHopGroupPath) Color() *NetworkInstance_Afts_NextHopGroup_ColorPath {
	return &NetworkInstance_Afts_NextHopGroup_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "color".
func (n *NetworkInstance_Afts_NextHopGroupPathAny) Color() *NetworkInstance_Afts_NextHopGroup_ColorPathAny {
	return &NetworkInstance_Afts_NextHopGroup_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConditionAny returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "condition".
func (n *NetworkInstance_Afts_NextHopGroupPath) ConditionAny() *NetworkInstance_Afts_NextHopGroup_ConditionPathAny {
	return &NetworkInstance_Afts_NextHopGroup_ConditionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"conditional", "condition"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// ConditionAny returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "condition".
func (n *NetworkInstance_Afts_NextHopGroupPathAny) ConditionAny() *NetworkInstance_Afts_NextHopGroup_ConditionPathAny {
	return &NetworkInstance_Afts_NextHopGroup_ConditionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"conditional", "condition"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Condition returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "condition".
// Id: uint64
func (n *NetworkInstance_Afts_NextHopGroupPath) Condition(Id uint64) *NetworkInstance_Afts_NextHopGroup_ConditionPath {
	return &NetworkInstance_Afts_NextHopGroup_ConditionPath{
		NodePath: ygot.NewNodePath(
			[]string{"conditional", "condition"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Condition returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "condition".
// Id: uint64
func (n *NetworkInstance_Afts_NextHopGroupPathAny) Condition(Id uint64) *NetworkInstance_Afts_NextHopGroup_ConditionPathAny {
	return &NetworkInstance_Afts_NextHopGroup_ConditionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"conditional", "condition"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Id returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroupPath) Id() *NetworkInstance_Afts_NextHopGroup_IdPath {
	return &NetworkInstance_Afts_NextHopGroup_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroupPathAny) Id() *NetworkInstance_Afts_NextHopGroup_IdPathAny {
	return &NetworkInstance_Afts_NextHopGroup_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "next-hop".
func (n *NetworkInstance_Afts_NextHopGroupPath) NextHopAny() *NetworkInstance_Afts_NextHopGroup_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopGroup_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Afts_NextHopGroupPathAny) NextHopAny() *NetworkInstance_Afts_NextHopGroup_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopGroup_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Afts_NextHopGroupPath the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_Afts_NextHopGroupPath) NextHop(Index uint64) *NetworkInstance_Afts_NextHopGroup_NextHopPath {
	return &NetworkInstance_Afts_NextHopGroup_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Afts_NextHopGroupPathAny the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_Afts_NextHopGroupPathAny) NextHop(Index uint64) *NetworkInstance_Afts_NextHopGroup_NextHopPathAny {
	return &NetworkInstance_Afts_NextHopGroup_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHopGroup_ConditionPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition YANG schema element.
type NetworkInstance_Afts_NextHopGroup_ConditionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_ConditionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition YANG schema element.
type NetworkInstance_Afts_NextHopGroup_ConditionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_DscpPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/dscp YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_DscpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_DscpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/dscp YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_DscpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_IdPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// Dscp returns from NetworkInstance_Afts_NextHopGroup_ConditionPath the path struct for its child "dscp".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPath) Dscp() *NetworkInstance_Afts_NextHopGroup_Condition_DscpPath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_DscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from NetworkInstance_Afts_NextHopGroup_ConditionPathAny the path struct for its child "dscp".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPathAny) Dscp() *NetworkInstance_Afts_NextHopGroup_Condition_DscpPathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_DscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Afts_NextHopGroup_ConditionPath the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPath) Id() *NetworkInstance_Afts_NextHopGroup_Condition_IdPath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Afts_NextHopGroup_ConditionPathAny the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPathAny) Id() *NetworkInstance_Afts_NextHopGroup_Condition_IdPathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputInterfaceAny returns from NetworkInstance_Afts_NextHopGroup_ConditionPath the path struct for its child "input-interface".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPath) InputInterfaceAny() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input-interfaces", "input-interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InputInterfaceAny returns from NetworkInstance_Afts_NextHopGroup_ConditionPathAny the path struct for its child "input-interface".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPathAny) InputInterfaceAny() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input-interfaces", "input-interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InputInterface returns from NetworkInstance_Afts_NextHopGroup_ConditionPath the path struct for its child "input-interface".
// Id: string
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPath) InputInterface(Id string) *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"input-interfaces", "input-interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// InputInterface returns from NetworkInstance_Afts_NextHopGroup_ConditionPathAny the path struct for its child "input-interface".
// Id: string
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPathAny) InputInterface(Id string) *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input-interfaces", "input-interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_NextHopGroup_ConditionPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPath) NextHopGroup() *NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_NextHopGroup_ConditionPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_NextHopGroup_ConditionPathAny) NextHopGroup() *NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/id YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/interface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/interface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/subinterface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/conditional/condition/input-interfaces/input-interface/state/subinterface YANG schema element.
type NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Id returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath) Id() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny the path struct for its child "id".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny) Id() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath the path struct for its child "interface".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath) Interface() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny the path struct for its child "interface".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny) Interface() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath the path struct for its child "subinterface".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePath) Subinterface() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePath {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Afts_NextHopGroup_Condition_InputInterfacePathAny) Subinterface() *NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePathAny {
	return &NetworkInstance_Afts_NextHopGroup_Condition_InputInterface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHopGroup_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_NextHop_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHop_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_NextHop_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHop_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_NextHop_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop/state/weight YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHop_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHopGroup_NextHop_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hop-groups/next-hop-group/next-hops/next-hop/state/weight YANG schema element.
type NetworkInstance_Afts_NextHopGroup_NextHop_WeightPathAny struct {
	*ygot.NodePath
}

// Index returns from NetworkInstance_Afts_NextHopGroup_NextHopPath the path struct for its child "index".
func (n *NetworkInstance_Afts_NextHopGroup_NextHopPath) Index() *NetworkInstance_Afts_NextHopGroup_NextHop_IndexPath {
	return &NetworkInstance_Afts_NextHopGroup_NextHop_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Afts_NextHopGroup_NextHopPathAny the path struct for its child "index".
func (n *NetworkInstance_Afts_NextHopGroup_NextHopPathAny) Index() *NetworkInstance_Afts_NextHopGroup_NextHop_IndexPathAny {
	return &NetworkInstance_Afts_NextHopGroup_NextHop_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Afts_NextHopGroup_NextHopPath the path struct for its child "weight".
func (n *NetworkInstance_Afts_NextHopGroup_NextHopPath) Weight() *NetworkInstance_Afts_NextHopGroup_NextHop_WeightPath {
	return &NetworkInstance_Afts_NextHopGroup_NextHop_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Afts_NextHopGroup_NextHopPathAny the path struct for its child "weight".
func (n *NetworkInstance_Afts_NextHopGroup_NextHopPathAny) Weight() *NetworkInstance_Afts_NextHopGroup_NextHop_WeightPathAny {
	return &NetworkInstance_Afts_NextHopGroup_NextHop_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_NextHop_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref/state/interface YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref/state/interface YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/next-hops/next-hop/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Afts_NextHop_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Afts_NextHop_InterfaceRefPath) Interface() *NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePath {
	return &NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Afts_NextHop_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Afts_NextHop_InterfaceRefPathAny) Interface() *NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Afts_NextHop_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Afts_NextHop_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Afts_NextHop_InterfaceRefPath) Subinterface() *NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Afts_NextHop_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Afts_NextHop_InterfaceRefPathAny) Subinterface() *NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Afts_NextHop_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Afts_PolicyForwardingEntryPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/index YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/index YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-dscp YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-dscp YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-prefix YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-prefix YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-protocol YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/ip-protocol YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/l4-dst-port YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/l4-dst-port YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/l4-src-port YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/l4-src-port YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mac-address YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mac-address YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mpls-label YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mpls-label YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mpls-tc YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/mpls-tc YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/next-hop-group YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/octets-forwarded YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPath represents the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/afts/policy-forwarding/policy-forwarding-entry/state/packets-forwarded YANG schema element.
type NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPathAny struct {
	*ygot.NodePath
}

// Index returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "index".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) Index() *NetworkInstance_Afts_PolicyForwardingEntry_IndexPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "index".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) Index() *NetworkInstance_Afts_PolicyForwardingEntry_IndexPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpDscp returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "ip-dscp".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) IpDscp() *NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpDscp returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "ip-dscp".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) IpDscp() *NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpDscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpPrefix returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "ip-prefix".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) IpPrefix() *NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpPrefix returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "ip-prefix".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) IpPrefix() *NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpProtocol returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "ip-protocol".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) IpProtocol() *NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpProtocol returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "ip-protocol".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) IpProtocol() *NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_IpProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// L4DstPort returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "l4-dst-port".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) L4DstPort() *NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "l4-dst-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// L4DstPort returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "l4-dst-port".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) L4DstPort() *NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_L4DstPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "l4-dst-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// L4SrcPort returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "l4-src-port".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) L4SrcPort() *NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "l4-src-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// L4SrcPort returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "l4-src-port".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) L4SrcPort() *NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_L4SrcPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "l4-src-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) MacAddress() *NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "mac-address".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) MacAddress() *NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "mpls-label".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) MplsLabel() *NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "mpls-label".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) MplsLabel() *NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MplsLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "mpls-tc".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) MplsTc() *NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "mpls-tc".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) MplsTc() *NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_MplsTcPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) NextHopGroup() *NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopGroup returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "next-hop-group".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) NextHopGroup() *NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_NextHopGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) OctetsForwarded() *NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// OctetsForwarded returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "octets-forwarded".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) OctetsForwarded() *NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_OctetsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "octets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_PolicyForwardingEntryPath the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPath) PacketsForwarded() *NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPath {
	return &NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketsForwarded returns from NetworkInstance_Afts_PolicyForwardingEntryPathAny the path struct for its child "packets-forwarded".
func (n *NetworkInstance_Afts_PolicyForwardingEntryPathAny) PacketsForwarded() *NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPathAny {
	return &NetworkInstance_Afts_PolicyForwardingEntry_PacketsForwardedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "packets-forwarded"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_ConnectionPointPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point YANG schema element.
type NetworkInstance_ConnectionPointPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point YANG schema element.
type NetworkInstance_ConnectionPointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_ConnectionPointIdPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/config/connection-point-id YANG schema element.
type NetworkInstance_ConnectionPoint_ConnectionPointIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_ConnectionPointIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/config/connection-point-id YANG schema element.
type NetworkInstance_ConnectionPoint_ConnectionPointIdPathAny struct {
	*ygot.NodePath
}

// ConnectionPointId returns from NetworkInstance_ConnectionPointPath the path struct for its child "connection-point-id".
func (n *NetworkInstance_ConnectionPointPath) ConnectionPointId() *NetworkInstance_ConnectionPoint_ConnectionPointIdPath {
	return &NetworkInstance_ConnectionPoint_ConnectionPointIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connection-point-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionPointId returns from NetworkInstance_ConnectionPointPathAny the path struct for its child "connection-point-id".
func (n *NetworkInstance_ConnectionPointPathAny) ConnectionPointId() *NetworkInstance_ConnectionPoint_ConnectionPointIdPathAny {
	return &NetworkInstance_ConnectionPoint_ConnectionPointIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connection-point-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EndpointAny returns from NetworkInstance_ConnectionPointPath the path struct for its child "endpoint".
func (n *NetworkInstance_ConnectionPointPath) EndpointAny() *NetworkInstance_ConnectionPoint_EndpointPathAny {
	return &NetworkInstance_ConnectionPoint_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"endpoints", "endpoint"},
			map[string]interface{}{"endpoint-id": "*"},
			n,
		),
	}
}

// EndpointAny returns from NetworkInstance_ConnectionPointPathAny the path struct for its child "endpoint".
func (n *NetworkInstance_ConnectionPointPathAny) EndpointAny() *NetworkInstance_ConnectionPoint_EndpointPathAny {
	return &NetworkInstance_ConnectionPoint_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"endpoints", "endpoint"},
			map[string]interface{}{"endpoint-id": "*"},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_ConnectionPointPath the path struct for its child "endpoint".
// EndpointId: string
func (n *NetworkInstance_ConnectionPointPath) Endpoint(EndpointId string) *NetworkInstance_ConnectionPoint_EndpointPath {
	return &NetworkInstance_ConnectionPoint_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"endpoints", "endpoint"},
			map[string]interface{}{"endpoint-id": EndpointId},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_ConnectionPointPathAny the path struct for its child "endpoint".
// EndpointId: string
func (n *NetworkInstance_ConnectionPointPathAny) Endpoint(EndpointId string) *NetworkInstance_ConnectionPoint_EndpointPathAny {
	return &NetworkInstance_ConnectionPoint_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"endpoints", "endpoint"},
			map[string]interface{}{"endpoint-id": EndpointId},
			n,
		),
	}
}

// NetworkInstance_ConnectionPoint_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint YANG schema element.
type NetworkInstance_ConnectionPoint_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint YANG schema element.
type NetworkInstance_ConnectionPoint_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_ActivePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/state/active YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_ActivePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_ActivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/state/active YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_ActivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/endpoint-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/endpoint-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_PrecedencePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/precedence YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_PrecedencePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_PrecedencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/precedence YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_PrecedencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_TypePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/type YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/config/type YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_TypePathAny struct {
	*ygot.NodePath
}

// Active returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "active".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) Active() *NetworkInstance_ConnectionPoint_Endpoint_ActivePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "active".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) Active() *NetworkInstance_ConnectionPoint_Endpoint_ActivePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// EndpointId returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "endpoint-id".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) EndpointId() *NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "endpoint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EndpointId returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "endpoint-id".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) EndpointId() *NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_EndpointIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "endpoint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "local".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) Local() *NetworkInstance_ConnectionPoint_Endpoint_LocalPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_LocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "local".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) Local() *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Precedence returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "precedence".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) Precedence() *NetworkInstance_ConnectionPoint_Endpoint_PrecedencePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_PrecedencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "precedence"},
			map[string]interface{}{},
			n,
		),
	}
}

// Precedence returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "precedence".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) Precedence() *NetworkInstance_ConnectionPoint_Endpoint_PrecedencePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_PrecedencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "precedence"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "remote".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) Remote() *NetworkInstance_ConnectionPoint_Endpoint_RemotePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_RemotePath{
		NodePath: ygot.NewNodePath(
			[]string{"remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "remote".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) Remote() *NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_ConnectionPoint_EndpointPath the path struct for its child "type".
func (n *NetworkInstance_ConnectionPoint_EndpointPath) Type() *NetworkInstance_ConnectionPoint_Endpoint_TypePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_ConnectionPoint_EndpointPathAny the path struct for its child "type".
func (n *NetworkInstance_ConnectionPoint_EndpointPathAny) Type() *NetworkInstance_ConnectionPoint_Endpoint_TypePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_ConnectionPoint_Endpoint_LocalPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_LocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/interface YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/interface YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-label-block-offset YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-label-block-offset YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-label-block-size YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/site-label-block-size YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/subinterface YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/local/config/subinterface YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPath the path struct for its child "interface".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPath) Interface() *NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny the path struct for its child "interface".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny) Interface() *NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteId returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPath the path struct for its child "site-id".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPath) SiteId() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteId returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny the path struct for its child "site-id".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny) SiteId() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteLabelBlockOffset returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPath the path struct for its child "site-label-block-offset".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPath) SiteLabelBlockOffset() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-label-block-offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteLabelBlockOffset returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny the path struct for its child "site-label-block-offset".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny) SiteLabelBlockOffset() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockOffsetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-label-block-offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteLabelBlockSize returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPath the path struct for its child "site-label-block-size".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPath) SiteLabelBlockSize() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-label-block-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteLabelBlockSize returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny the path struct for its child "site-label-block-size".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny) SiteLabelBlockSize() *NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SiteLabelBlockSizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-label-block-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPath the path struct for its child "subinterface".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPath) Subinterface() *NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_ConnectionPoint_Endpoint_LocalPathAny) Subinterface() *NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Local_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_ConnectionPoint_Endpoint_RemotePath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_RemotePath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/remote-system YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/remote-system YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/site-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/site-id YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/virtual-circuit-identifier YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/connection-points/connection-point/endpoints/endpoint/remote/config/virtual-circuit-identifier YANG schema element.
type NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPathAny struct {
	*ygot.NodePath
}

// RemoteSystem returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePath the path struct for its child "remote-system".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePath) RemoteSystem() *NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-system"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteSystem returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny the path struct for its child "remote-system".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny) RemoteSystem() *NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_RemoteSystemPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-system"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteId returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePath the path struct for its child "site-id".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePath) SiteId() *NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SiteId returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny the path struct for its child "site-id".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny) SiteId() *NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_SiteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "site-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualCircuitIdentifier returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePath the path struct for its child "virtual-circuit-identifier".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePath) VirtualCircuitIdentifier() *NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPath {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-circuit-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualCircuitIdentifier returns from NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny the path struct for its child "virtual-circuit-identifier".
func (n *NetworkInstance_ConnectionPoint_Endpoint_RemotePathAny) VirtualCircuitIdentifier() *NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPathAny {
	return &NetworkInstance_ConnectionPoint_Endpoint_Remote_VirtualCircuitIdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "virtual-circuit-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_EncapsulationPath represents the /openconfig-network-instance/network-instances/network-instance/encapsulation YANG schema element.
type NetworkInstance_EncapsulationPath struct {
	*ygot.NodePath
}

// NetworkInstance_EncapsulationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/encapsulation YANG schema element.
type NetworkInstance_EncapsulationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_ControlWordPath represents the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/control-word YANG schema element.
type NetworkInstance_Encapsulation_ControlWordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_ControlWordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/control-word YANG schema element.
type NetworkInstance_Encapsulation_ControlWordPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_EncapsulationTypePath represents the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/encapsulation-type YANG schema element.
type NetworkInstance_Encapsulation_EncapsulationTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_EncapsulationTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/encapsulation-type YANG schema element.
type NetworkInstance_Encapsulation_EncapsulationTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_LabelAllocationModePath represents the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/label-allocation-mode YANG schema element.
type NetworkInstance_Encapsulation_LabelAllocationModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Encapsulation_LabelAllocationModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/encapsulation/config/label-allocation-mode YANG schema element.
type NetworkInstance_Encapsulation_LabelAllocationModePathAny struct {
	*ygot.NodePath
}

// ControlWord returns from NetworkInstance_EncapsulationPath the path struct for its child "control-word".
func (n *NetworkInstance_EncapsulationPath) ControlWord() *NetworkInstance_Encapsulation_ControlWordPath {
	return &NetworkInstance_Encapsulation_ControlWordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "control-word"},
			map[string]interface{}{},
			n,
		),
	}
}

// ControlWord returns from NetworkInstance_EncapsulationPathAny the path struct for its child "control-word".
func (n *NetworkInstance_EncapsulationPathAny) ControlWord() *NetworkInstance_Encapsulation_ControlWordPathAny {
	return &NetworkInstance_Encapsulation_ControlWordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "control-word"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulationType returns from NetworkInstance_EncapsulationPath the path struct for its child "encapsulation-type".
func (n *NetworkInstance_EncapsulationPath) EncapsulationType() *NetworkInstance_Encapsulation_EncapsulationTypePath {
	return &NetworkInstance_Encapsulation_EncapsulationTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "encapsulation-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulationType returns from NetworkInstance_EncapsulationPathAny the path struct for its child "encapsulation-type".
func (n *NetworkInstance_EncapsulationPathAny) EncapsulationType() *NetworkInstance_Encapsulation_EncapsulationTypePathAny {
	return &NetworkInstance_Encapsulation_EncapsulationTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "encapsulation-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelAllocationMode returns from NetworkInstance_EncapsulationPath the path struct for its child "label-allocation-mode".
func (n *NetworkInstance_EncapsulationPath) LabelAllocationMode() *NetworkInstance_Encapsulation_LabelAllocationModePath {
	return &NetworkInstance_Encapsulation_LabelAllocationModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-allocation-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelAllocationMode returns from NetworkInstance_EncapsulationPathAny the path struct for its child "label-allocation-mode".
func (n *NetworkInstance_EncapsulationPathAny) LabelAllocationMode() *NetworkInstance_Encapsulation_LabelAllocationModePathAny {
	return &NetworkInstance_Encapsulation_LabelAllocationModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-allocation-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_FdbPath represents the /openconfig-network-instance/network-instances/network-instance/fdb YANG schema element.
type NetworkInstance_FdbPath struct {
	*ygot.NodePath
}

// NetworkInstance_FdbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb YANG schema element.
type NetworkInstance_FdbPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacAgingTimePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/config/mac-aging-time YANG schema element.
type NetworkInstance_Fdb_MacAgingTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacAgingTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/config/mac-aging-time YANG schema element.
type NetworkInstance_Fdb_MacAgingTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacLearningPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/config/mac-learning YANG schema element.
type NetworkInstance_Fdb_MacLearningPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacLearningPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/config/mac-learning YANG schema element.
type NetworkInstance_Fdb_MacLearningPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MaximumEntriesPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/config/maximum-entries YANG schema element.
type NetworkInstance_Fdb_MaximumEntriesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MaximumEntriesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/config/maximum-entries YANG schema element.
type NetworkInstance_Fdb_MaximumEntriesPathAny struct {
	*ygot.NodePath
}

// MacAgingTime returns from NetworkInstance_FdbPath the path struct for its child "mac-aging-time".
func (n *NetworkInstance_FdbPath) MacAgingTime() *NetworkInstance_Fdb_MacAgingTimePath {
	return &NetworkInstance_Fdb_MacAgingTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-aging-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAgingTime returns from NetworkInstance_FdbPathAny the path struct for its child "mac-aging-time".
func (n *NetworkInstance_FdbPathAny) MacAgingTime() *NetworkInstance_Fdb_MacAgingTimePathAny {
	return &NetworkInstance_Fdb_MacAgingTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-aging-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacLearning returns from NetworkInstance_FdbPath the path struct for its child "mac-learning".
func (n *NetworkInstance_FdbPath) MacLearning() *NetworkInstance_Fdb_MacLearningPath {
	return &NetworkInstance_Fdb_MacLearningPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-learning"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacLearning returns from NetworkInstance_FdbPathAny the path struct for its child "mac-learning".
func (n *NetworkInstance_FdbPathAny) MacLearning() *NetworkInstance_Fdb_MacLearningPathAny {
	return &NetworkInstance_Fdb_MacLearningPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-learning"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacTable returns from NetworkInstance_FdbPath the path struct for its child "mac-table".
func (n *NetworkInstance_FdbPath) MacTable() *NetworkInstance_Fdb_MacTablePath {
	return &NetworkInstance_Fdb_MacTablePath{
		NodePath: ygot.NewNodePath(
			[]string{"mac-table"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacTable returns from NetworkInstance_FdbPathAny the path struct for its child "mac-table".
func (n *NetworkInstance_FdbPathAny) MacTable() *NetworkInstance_Fdb_MacTablePathAny {
	return &NetworkInstance_Fdb_MacTablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mac-table"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumEntries returns from NetworkInstance_FdbPath the path struct for its child "maximum-entries".
func (n *NetworkInstance_FdbPath) MaximumEntries() *NetworkInstance_Fdb_MaximumEntriesPath {
	return &NetworkInstance_Fdb_MaximumEntriesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-entries"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumEntries returns from NetworkInstance_FdbPathAny the path struct for its child "maximum-entries".
func (n *NetworkInstance_FdbPathAny) MaximumEntries() *NetworkInstance_Fdb_MaximumEntriesPathAny {
	return &NetworkInstance_Fdb_MaximumEntriesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-entries"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Fdb_MacTablePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table YANG schema element.
type NetworkInstance_Fdb_MacTablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table YANG schema element.
type NetworkInstance_Fdb_MacTablePathAny struct {
	*ygot.NodePath
}

// EntryAny returns from NetworkInstance_Fdb_MacTablePath the path struct for its child "entry".
func (n *NetworkInstance_Fdb_MacTablePath) EntryAny() *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": "*", "vlan": "*"},
			n,
		),
	}
}

// EntryAny returns from NetworkInstance_Fdb_MacTablePathAny the path struct for its child "entry".
func (n *NetworkInstance_Fdb_MacTablePathAny) EntryAny() *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": "*", "vlan": "*"},
			n,
		),
	}
}

// EntryAnyVlan returns from NetworkInstance_Fdb_MacTablePath the path struct for its child "entry".
// MacAddress: string
func (n *NetworkInstance_Fdb_MacTablePath) EntryAnyVlan(MacAddress string) *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": MacAddress, "vlan": "*"},
			n,
		),
	}
}

// EntryAnyVlan returns from NetworkInstance_Fdb_MacTablePathAny the path struct for its child "entry".
// MacAddress: string
func (n *NetworkInstance_Fdb_MacTablePathAny) EntryAnyVlan(MacAddress string) *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": MacAddress, "vlan": "*"},
			n,
		),
	}
}

// EntryAnyMacAddress returns from NetworkInstance_Fdb_MacTablePath the path struct for its child "entry".
// Vlan: uint16
func (n *NetworkInstance_Fdb_MacTablePath) EntryAnyMacAddress(Vlan uint16) *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": "*", "vlan": Vlan},
			n,
		),
	}
}

// EntryAnyMacAddress returns from NetworkInstance_Fdb_MacTablePathAny the path struct for its child "entry".
// Vlan: uint16
func (n *NetworkInstance_Fdb_MacTablePathAny) EntryAnyMacAddress(Vlan uint16) *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": "*", "vlan": Vlan},
			n,
		),
	}
}

// Entry returns from NetworkInstance_Fdb_MacTablePath the path struct for its child "entry".
// MacAddress: string
// Vlan: uint16
func (n *NetworkInstance_Fdb_MacTablePath) Entry(MacAddress string, Vlan uint16) *NetworkInstance_Fdb_MacTable_EntryPath {
	return &NetworkInstance_Fdb_MacTable_EntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": MacAddress, "vlan": Vlan},
			n,
		),
	}
}

// Entry returns from NetworkInstance_Fdb_MacTablePathAny the path struct for its child "entry".
// MacAddress: string
// Vlan: uint16
func (n *NetworkInstance_Fdb_MacTablePathAny) Entry(MacAddress string, Vlan uint16) *NetworkInstance_Fdb_MacTable_EntryPathAny {
	return &NetworkInstance_Fdb_MacTable_EntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"entries", "entry"},
			map[string]interface{}{"mac-address": MacAddress, "vlan": Vlan},
			n,
		),
	}
}

// NetworkInstance_Fdb_MacTable_EntryPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry YANG schema element.
type NetworkInstance_Fdb_MacTable_EntryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_EntryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry YANG schema element.
type NetworkInstance_Fdb_MacTable_EntryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_AgePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/state/age YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_AgePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_AgePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/state/age YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_AgePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_EntryTypePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/state/entry-type YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_EntryTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_EntryTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/state/entry-type YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_EntryTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_MacAddressPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/config/mac-address YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_MacAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_MacAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/config/mac-address YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_MacAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_VlanPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/config/vlan YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_VlanPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_VlanPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/config/vlan YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_VlanPathAny struct {
	*ygot.NodePath
}

// Age returns from NetworkInstance_Fdb_MacTable_EntryPath the path struct for its child "age".
func (n *NetworkInstance_Fdb_MacTable_EntryPath) Age() *NetworkInstance_Fdb_MacTable_Entry_AgePath {
	return &NetworkInstance_Fdb_MacTable_Entry_AgePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// Age returns from NetworkInstance_Fdb_MacTable_EntryPathAny the path struct for its child "age".
func (n *NetworkInstance_Fdb_MacTable_EntryPathAny) Age() *NetworkInstance_Fdb_MacTable_Entry_AgePathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_AgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// EntryType returns from NetworkInstance_Fdb_MacTable_EntryPath the path struct for its child "entry-type".
func (n *NetworkInstance_Fdb_MacTable_EntryPath) EntryType() *NetworkInstance_Fdb_MacTable_Entry_EntryTypePath {
	return &NetworkInstance_Fdb_MacTable_Entry_EntryTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "entry-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// EntryType returns from NetworkInstance_Fdb_MacTable_EntryPathAny the path struct for its child "entry-type".
func (n *NetworkInstance_Fdb_MacTable_EntryPathAny) EntryType() *NetworkInstance_Fdb_MacTable_Entry_EntryTypePathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_EntryTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "entry-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Fdb_MacTable_EntryPath the path struct for its child "interface".
func (n *NetworkInstance_Fdb_MacTable_EntryPath) Interface() *NetworkInstance_Fdb_MacTable_Entry_InterfacePath {
	return &NetworkInstance_Fdb_MacTable_Entry_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Fdb_MacTable_EntryPathAny the path struct for its child "interface".
func (n *NetworkInstance_Fdb_MacTable_EntryPathAny) Interface() *NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Fdb_MacTable_EntryPath the path struct for its child "mac-address".
func (n *NetworkInstance_Fdb_MacTable_EntryPath) MacAddress() *NetworkInstance_Fdb_MacTable_Entry_MacAddressPath {
	return &NetworkInstance_Fdb_MacTable_Entry_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_Fdb_MacTable_EntryPathAny the path struct for its child "mac-address".
func (n *NetworkInstance_Fdb_MacTable_EntryPathAny) MacAddress() *NetworkInstance_Fdb_MacTable_Entry_MacAddressPathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from NetworkInstance_Fdb_MacTable_EntryPath the path struct for its child "vlan".
func (n *NetworkInstance_Fdb_MacTable_EntryPath) Vlan() *NetworkInstance_Fdb_MacTable_Entry_VlanPath {
	return &NetworkInstance_Fdb_MacTable_Entry_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from NetworkInstance_Fdb_MacTable_EntryPathAny the path struct for its child "vlan".
func (n *NetworkInstance_Fdb_MacTable_EntryPathAny) Vlan() *NetworkInstance_Fdb_MacTable_Entry_VlanPathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Fdb_MacTable_Entry_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny struct {
	*ygot.NodePath
}

// InterfaceRef returns from NetworkInstance_Fdb_MacTable_Entry_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Fdb_MacTable_Entry_InterfacePath) InterfaceRef() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Fdb_MacTable_Entry_InterfacePathAny) InterfaceRef() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/fdb/mac-table/entries/entry/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath) Interface() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Fdb_MacTable_Entry_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_InterInstancePoliciesPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies YANG schema element.
type NetworkInstance_InterInstancePoliciesPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePoliciesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies YANG schema element.
type NetworkInstance_InterInstancePoliciesPathAny struct {
	*ygot.NodePath
}

// ApplyPolicy returns from NetworkInstance_InterInstancePoliciesPath the path struct for its child "apply-policy".
func (n *NetworkInstance_InterInstancePoliciesPath) ApplyPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicyPath {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_InterInstancePoliciesPathAny the path struct for its child "apply-policy".
func (n *NetworkInstance_InterInstancePoliciesPathAny) ApplyPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_InterInstancePolicies_ApplyPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/inter-instance-policies/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPath) DefaultExportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPath {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny) DefaultExportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPathAny {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPath) DefaultImportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny) DefaultImportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPath the path struct for its child "export-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPath) ExportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPath {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny) ExportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPathAny {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPath) ImportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPath {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_InterInstancePolicies_ApplyPolicyPathAny) ImportPolicy() *NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPathAny {
	return &NetworkInstance_InterInstancePolicies_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/interfaces/interface YANG schema element.
type NetworkInstance_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/interfaces/interface YANG schema element.
type NetworkInstance_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_AssociatedAddressFamiliesPath represents the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/associated-address-families YANG schema element.
type NetworkInstance_Interface_AssociatedAddressFamiliesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_AssociatedAddressFamiliesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/associated-address-families YANG schema element.
type NetworkInstance_Interface_AssociatedAddressFamiliesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_IdPath represents the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/id YANG schema element.
type NetworkInstance_Interface_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/id YANG schema element.
type NetworkInstance_Interface_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/interface YANG schema element.
type NetworkInstance_Interface_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/interface YANG schema element.
type NetworkInstance_Interface_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/subinterface YANG schema element.
type NetworkInstance_Interface_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Interface_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/interfaces/interface/config/subinterface YANG schema element.
type NetworkInstance_Interface_SubinterfacePathAny struct {
	*ygot.NodePath
}

// AssociatedAddressFamilies returns from NetworkInstance_InterfacePath the path struct for its child "associated-address-families".
func (n *NetworkInstance_InterfacePath) AssociatedAddressFamilies() *NetworkInstance_Interface_AssociatedAddressFamiliesPath {
	return &NetworkInstance_Interface_AssociatedAddressFamiliesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "associated-address-families"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociatedAddressFamilies returns from NetworkInstance_InterfacePathAny the path struct for its child "associated-address-families".
func (n *NetworkInstance_InterfacePathAny) AssociatedAddressFamilies() *NetworkInstance_Interface_AssociatedAddressFamiliesPathAny {
	return &NetworkInstance_Interface_AssociatedAddressFamiliesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "associated-address-families"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_InterfacePath the path struct for its child "id".
func (n *NetworkInstance_InterfacePath) Id() *NetworkInstance_Interface_IdPath {
	return &NetworkInstance_Interface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_InterfacePathAny the path struct for its child "id".
func (n *NetworkInstance_InterfacePathAny) Id() *NetworkInstance_Interface_IdPathAny {
	return &NetworkInstance_Interface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_InterfacePath the path struct for its child "interface".
func (n *NetworkInstance_InterfacePath) Interface() *NetworkInstance_Interface_InterfacePath {
	return &NetworkInstance_Interface_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_InterfacePathAny the path struct for its child "interface".
func (n *NetworkInstance_InterfacePathAny) Interface() *NetworkInstance_Interface_InterfacePathAny {
	return &NetworkInstance_Interface_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_InterfacePath the path struct for its child "subinterface".
func (n *NetworkInstance_InterfacePath) Subinterface() *NetworkInstance_Interface_SubinterfacePath {
	return &NetworkInstance_Interface_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_InterfacePathAny the path struct for its child "subinterface".
func (n *NetworkInstance_InterfacePathAny) Subinterface() *NetworkInstance_Interface_SubinterfacePathAny {
	return &NetworkInstance_Interface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls YANG schema element.
type NetworkInstance_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls YANG schema element.
type NetworkInstance_MplsPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_MplsPath the path struct for its child "global".
func (n *NetworkInstance_MplsPath) Global() *NetworkInstance_Mpls_GlobalPath {
	return &NetworkInstance_Mpls_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_MplsPathAny the path struct for its child "global".
func (n *NetworkInstance_MplsPathAny) Global() *NetworkInstance_Mpls_GlobalPathAny {
	return &NetworkInstance_Mpls_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_MplsPath the path struct for its child "interface".
func (n *NetworkInstance_MplsPath) InterfaceAny() *NetworkInstance_Mpls_InterfacePathAny {
	return &NetworkInstance_Mpls_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_MplsPathAny the path struct for its child "interface".
func (n *NetworkInstance_MplsPathAny) InterfaceAny() *NetworkInstance_Mpls_InterfacePathAny {
	return &NetworkInstance_Mpls_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_MplsPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_MplsPath) Interface(InterfaceId string) *NetworkInstance_Mpls_InterfacePath {
	return &NetworkInstance_Mpls_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"te-interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_MplsPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_MplsPathAny) Interface(InterfaceId string) *NetworkInstance_Mpls_InterfacePathAny {
	return &NetworkInstance_Mpls_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Lsps returns from NetworkInstance_MplsPath the path struct for its child "lsps".
func (n *NetworkInstance_MplsPath) Lsps() *NetworkInstance_Mpls_LspsPath {
	return &NetworkInstance_Mpls_LspsPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsps"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lsps returns from NetworkInstance_MplsPathAny the path struct for its child "lsps".
func (n *NetworkInstance_MplsPathAny) Lsps() *NetworkInstance_Mpls_LspsPathAny {
	return &NetworkInstance_Mpls_LspsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsps"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignalingProtocols returns from NetworkInstance_MplsPath the path struct for its child "signaling-protocols".
func (n *NetworkInstance_MplsPath) SignalingProtocols() *NetworkInstance_Mpls_SignalingProtocolsPath {
	return &NetworkInstance_Mpls_SignalingProtocolsPath{
		NodePath: ygot.NewNodePath(
			[]string{"signaling-protocols"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignalingProtocols returns from NetworkInstance_MplsPathAny the path struct for its child "signaling-protocols".
func (n *NetworkInstance_MplsPathAny) SignalingProtocols() *NetworkInstance_Mpls_SignalingProtocolsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocolsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"signaling-protocols"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeGlobalAttributes returns from NetworkInstance_MplsPath the path struct for its child "te-global-attributes".
func (n *NetworkInstance_MplsPath) TeGlobalAttributes() *NetworkInstance_Mpls_TeGlobalAttributesPath {
	return &NetworkInstance_Mpls_TeGlobalAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-global-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeGlobalAttributes returns from NetworkInstance_MplsPathAny the path struct for its child "te-global-attributes".
func (n *NetworkInstance_MplsPathAny) TeGlobalAttributes() *NetworkInstance_Mpls_TeGlobalAttributesPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-global-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global YANG schema element.
type NetworkInstance_Mpls_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global YANG schema element.
type NetworkInstance_Mpls_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_NullLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/null-label YANG schema element.
type NetworkInstance_Mpls_Global_NullLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_NullLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/null-label YANG schema element.
type NetworkInstance_Mpls_Global_NullLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_PwEncapsulationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/pw-encapsulation YANG schema element.
type NetworkInstance_Mpls_Global_PwEncapsulationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_PwEncapsulationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/pw-encapsulation YANG schema element.
type NetworkInstance_Mpls_Global_PwEncapsulationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_TtlPropagationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/ttl-propagation YANG schema element.
type NetworkInstance_Mpls_Global_TtlPropagationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_TtlPropagationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/config/ttl-propagation YANG schema element.
type NetworkInstance_Mpls_Global_TtlPropagationPathAny struct {
	*ygot.NodePath
}

// InterfaceAny returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_GlobalPath) InterfaceAny() *NetworkInstance_Mpls_Global_InterfacePathAny {
	return &NetworkInstance_Mpls_Global_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_GlobalPathAny) InterfaceAny() *NetworkInstance_Mpls_Global_InterfacePathAny {
	return &NetworkInstance_Mpls_Global_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_GlobalPath) Interface(InterfaceId string) *NetworkInstance_Mpls_Global_InterfacePath {
	return &NetworkInstance_Mpls_Global_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_GlobalPathAny) Interface(InterfaceId string) *NetworkInstance_Mpls_Global_InterfacePathAny {
	return &NetworkInstance_Mpls_Global_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NullLabel returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "null-label".
func (n *NetworkInstance_Mpls_GlobalPath) NullLabel() *NetworkInstance_Mpls_Global_NullLabelPath {
	return &NetworkInstance_Mpls_Global_NullLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "null-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NullLabel returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "null-label".
func (n *NetworkInstance_Mpls_GlobalPathAny) NullLabel() *NetworkInstance_Mpls_Global_NullLabelPathAny {
	return &NetworkInstance_Mpls_Global_NullLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "null-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// PwEncapsulation returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "pw-encapsulation".
func (n *NetworkInstance_Mpls_GlobalPath) PwEncapsulation() *NetworkInstance_Mpls_Global_PwEncapsulationPath {
	return &NetworkInstance_Mpls_Global_PwEncapsulationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "pw-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// PwEncapsulation returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "pw-encapsulation".
func (n *NetworkInstance_Mpls_GlobalPathAny) PwEncapsulation() *NetworkInstance_Mpls_Global_PwEncapsulationPathAny {
	return &NetworkInstance_Mpls_Global_PwEncapsulationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "pw-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReservedLabelBlockAny returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "reserved-label-block".
func (n *NetworkInstance_Mpls_GlobalPath) ReservedLabelBlockAny() *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reserved-label-blocks", "reserved-label-block"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// ReservedLabelBlockAny returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "reserved-label-block".
func (n *NetworkInstance_Mpls_GlobalPathAny) ReservedLabelBlockAny() *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reserved-label-blocks", "reserved-label-block"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// ReservedLabelBlock returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "reserved-label-block".
// LocalId: string
func (n *NetworkInstance_Mpls_GlobalPath) ReservedLabelBlock(LocalId string) *NetworkInstance_Mpls_Global_ReservedLabelBlockPath {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlockPath{
		NodePath: ygot.NewNodePath(
			[]string{"reserved-label-blocks", "reserved-label-block"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// ReservedLabelBlock returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "reserved-label-block".
// LocalId: string
func (n *NetworkInstance_Mpls_GlobalPathAny) ReservedLabelBlock(LocalId string) *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reserved-label-blocks", "reserved-label-block"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// TtlPropagation returns from NetworkInstance_Mpls_GlobalPath the path struct for its child "ttl-propagation".
func (n *NetworkInstance_Mpls_GlobalPath) TtlPropagation() *NetworkInstance_Mpls_Global_TtlPropagationPath {
	return &NetworkInstance_Mpls_Global_TtlPropagationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ttl-propagation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtlPropagation returns from NetworkInstance_Mpls_GlobalPathAny the path struct for its child "ttl-propagation".
func (n *NetworkInstance_Mpls_GlobalPathAny) TtlPropagation() *NetworkInstance_Mpls_Global_TtlPropagationPathAny {
	return &NetworkInstance_Mpls_Global_TtlPropagationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ttl-propagation"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Global_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_Global_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_Global_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_MplsEnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/config/mpls-enabled YANG schema element.
type NetworkInstance_Mpls_Global_Interface_MplsEnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_MplsEnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/config/mpls-enabled YANG schema element.
type NetworkInstance_Mpls_Global_Interface_MplsEnabledPathAny struct {
	*ygot.NodePath
}

// InterfaceId returns from NetworkInstance_Mpls_Global_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_Global_InterfacePath) InterfaceId() *NetworkInstance_Mpls_Global_Interface_InterfaceIdPath {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_Global_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_Global_InterfacePathAny) InterfaceId() *NetworkInstance_Mpls_Global_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_Global_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_Global_InterfacePath) InterfaceRef() *NetworkInstance_Mpls_Global_Interface_InterfaceRefPath {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_Global_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_Global_InterfacePathAny) InterfaceRef() *NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsEnabled returns from NetworkInstance_Mpls_Global_InterfacePath the path struct for its child "mpls-enabled".
func (n *NetworkInstance_Mpls_Global_InterfacePath) MplsEnabled() *NetworkInstance_Mpls_Global_Interface_MplsEnabledPath {
	return &NetworkInstance_Mpls_Global_Interface_MplsEnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsEnabled returns from NetworkInstance_Mpls_Global_InterfacePathAny the path struct for its child "mpls-enabled".
func (n *NetworkInstance_Mpls_Global_InterfacePathAny) MplsEnabled() *NetworkInstance_Mpls_Global_Interface_MplsEnabledPathAny {
	return &NetworkInstance_Mpls_Global_Interface_MplsEnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_Global_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_Global_Interface_InterfaceRefPath) Interface() *NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_Global_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_Global_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_Global_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_Global_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Global_ReservedLabelBlockPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlockPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/local-id YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/local-id YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/lower-bound YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/lower-bound YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/upper-bound YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/global/reserved-label-blocks/reserved-label-block/config/upper-bound YANG schema element.
type NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPathAny struct {
	*ygot.NodePath
}

// LocalId returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPath the path struct for its child "local-id".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPath) LocalId() *NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPath {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalId returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny the path struct for its child "local-id".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny) LocalId() *NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_LocalIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LowerBound returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPath the path struct for its child "lower-bound".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPath) LowerBound() *NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPath {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lower-bound"},
			map[string]interface{}{},
			n,
		),
	}
}

// LowerBound returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny the path struct for its child "lower-bound".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny) LowerBound() *NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_LowerBoundPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lower-bound"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpperBound returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPath the path struct for its child "upper-bound".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPath) UpperBound() *NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPath {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "upper-bound"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpperBound returns from NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny the path struct for its child "upper-bound".
func (n *NetworkInstance_Mpls_Global_ReservedLabelBlockPathAny) UpperBound() *NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPathAny {
	return &NetworkInstance_Mpls_Global_ReservedLabelBlock_UpperBoundPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "upper-bound"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/admin-group YANG schema element.
type NetworkInstance_Mpls_Interface_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/admin-group YANG schema element.
type NetworkInstance_Mpls_Interface_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_SrlgMembershipPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/srlg-membership YANG schema element.
type NetworkInstance_Mpls_Interface_SrlgMembershipPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_SrlgMembershipPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/srlg-membership YANG schema element.
type NetworkInstance_Mpls_Interface_SrlgMembershipPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_TeMetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/te-metric YANG schema element.
type NetworkInstance_Mpls_Interface_TeMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_TeMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/config/te-metric YANG schema element.
type NetworkInstance_Mpls_Interface_TeMetricPathAny struct {
	*ygot.NodePath
}

// AdminGroup returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "admin-group".
func (n *NetworkInstance_Mpls_InterfacePath) AdminGroup() *NetworkInstance_Mpls_Interface_AdminGroupPath {
	return &NetworkInstance_Mpls_Interface_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Mpls_InterfacePathAny) AdminGroup() *NetworkInstance_Mpls_Interface_AdminGroupPathAny {
	return &NetworkInstance_Mpls_Interface_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpFloodingBandwidth returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "igp-flooding-bandwidth".
func (n *NetworkInstance_Mpls_InterfacePath) IgpFloodingBandwidth() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-flooding-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpFloodingBandwidth returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "igp-flooding-bandwidth".
func (n *NetworkInstance_Mpls_InterfacePathAny) IgpFloodingBandwidth() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-flooding-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_InterfacePath) InterfaceId() *NetworkInstance_Mpls_Interface_InterfaceIdPath {
	return &NetworkInstance_Mpls_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_InterfacePathAny) InterfaceId() *NetworkInstance_Mpls_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_InterfacePath) InterfaceRef() *NetworkInstance_Mpls_Interface_InterfaceRefPath {
	return &NetworkInstance_Mpls_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_InterfacePathAny) InterfaceRef() *NetworkInstance_Mpls_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgMembership returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "srlg-membership".
func (n *NetworkInstance_Mpls_InterfacePath) SrlgMembership() *NetworkInstance_Mpls_Interface_SrlgMembershipPath {
	return &NetworkInstance_Mpls_Interface_SrlgMembershipPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srlg-membership"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgMembership returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "srlg-membership".
func (n *NetworkInstance_Mpls_InterfacePathAny) SrlgMembership() *NetworkInstance_Mpls_Interface_SrlgMembershipPathAny {
	return &NetworkInstance_Mpls_Interface_SrlgMembershipPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srlg-membership"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeMetric returns from NetworkInstance_Mpls_InterfacePath the path struct for its child "te-metric".
func (n *NetworkInstance_Mpls_InterfacePath) TeMetric() *NetworkInstance_Mpls_Interface_TeMetricPath {
	return &NetworkInstance_Mpls_Interface_TeMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "te-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeMetric returns from NetworkInstance_Mpls_InterfacePathAny the path struct for its child "te-metric".
func (n *NetworkInstance_Mpls_InterfacePathAny) TeMetric() *NetworkInstance_Mpls_Interface_TeMetricPathAny {
	return &NetworkInstance_Mpls_Interface_TeMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "te-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/delta-percentage YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/delta-percentage YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/down-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/down-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/threshold-specification YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/threshold-specification YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/threshold-type YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/threshold-type YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/up-down-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/up-down-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/up-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/igp-flooding-bandwidth/config/up-thresholds YANG schema element.
type NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPathAny struct {
	*ygot.NodePath
}

// DeltaPercentage returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "delta-percentage".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) DeltaPercentage() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "delta-percentage"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeltaPercentage returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "delta-percentage".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) DeltaPercentage() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DeltaPercentagePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "delta-percentage"},
			map[string]interface{}{},
			n,
		),
	}
}

// DownThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "down-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) DownThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "down-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// DownThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "down-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) DownThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_DownThresholdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "down-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdSpecification returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "threshold-specification".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) ThresholdSpecification() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "threshold-specification"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdSpecification returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "threshold-specification".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) ThresholdSpecification() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdSpecificationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "threshold-specification"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdType returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "threshold-type".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) ThresholdType() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "threshold-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdType returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "threshold-type".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) ThresholdType() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_ThresholdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "threshold-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDownThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "up-down-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) UpDownThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up-down-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDownThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "up-down-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) UpDownThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpDownThresholdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up-down-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath the path struct for its child "up-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPath) UpThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPath {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpThresholds returns from NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny the path struct for its child "up-thresholds".
func (n *NetworkInstance_Mpls_Interface_IgpFloodingBandwidthPathAny) UpThresholds() *NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPathAny {
	return &NetworkInstance_Mpls_Interface_IgpFloodingBandwidth_UpThresholdsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "up-thresholds"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_Interface_InterfaceRefPath) Interface() *NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_LspsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps YANG schema element.
type NetworkInstance_Mpls_LspsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_LspsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps YANG schema element.
type NetworkInstance_Mpls_LspsPathAny struct {
	*ygot.NodePath
}

// ConstrainedPath returns from NetworkInstance_Mpls_LspsPath the path struct for its child "constrained-path".
func (n *NetworkInstance_Mpls_LspsPath) ConstrainedPath() *NetworkInstance_Mpls_Lsps_ConstrainedPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"constrained-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstrainedPath returns from NetworkInstance_Mpls_LspsPathAny the path struct for its child "constrained-path".
func (n *NetworkInstance_Mpls_LspsPathAny) ConstrainedPath() *NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constrained-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaticLspAny returns from NetworkInstance_Mpls_LspsPath the path struct for its child "static-lsp".
func (n *NetworkInstance_Mpls_LspsPath) StaticLspAny() *NetworkInstance_Mpls_Lsps_StaticLspPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-lsps", "static-lsp"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// StaticLspAny returns from NetworkInstance_Mpls_LspsPathAny the path struct for its child "static-lsp".
func (n *NetworkInstance_Mpls_LspsPathAny) StaticLspAny() *NetworkInstance_Mpls_Lsps_StaticLspPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-lsps", "static-lsp"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// StaticLsp returns from NetworkInstance_Mpls_LspsPath the path struct for its child "static-lsp".
// Name: string
func (n *NetworkInstance_Mpls_LspsPath) StaticLsp(Name string) *NetworkInstance_Mpls_Lsps_StaticLspPath {
	return &NetworkInstance_Mpls_Lsps_StaticLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"static-lsps", "static-lsp"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// StaticLsp returns from NetworkInstance_Mpls_LspsPathAny the path struct for its child "static-lsp".
// Name: string
func (n *NetworkInstance_Mpls_LspsPathAny) StaticLsp(Name string) *NetworkInstance_Mpls_Lsps_StaticLspPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-lsps", "static-lsp"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// UnconstrainedPath returns from NetworkInstance_Mpls_LspsPath the path struct for its child "unconstrained-path".
func (n *NetworkInstance_Mpls_LspsPath) UnconstrainedPath() *NetworkInstance_Mpls_Lsps_UnconstrainedPathPath {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedPath returns from NetworkInstance_Mpls_LspsPathAny the path struct for its child "unconstrained-path".
func (n *NetworkInstance_Mpls_LspsPathAny) UnconstrainedPath() *NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny struct {
	*ygot.NodePath
}

// NamedExplicitPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPath the path struct for its child "named-explicit-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPath) NamedExplicitPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"named-explicit-paths", "named-explicit-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// NamedExplicitPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny the path struct for its child "named-explicit-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny) NamedExplicitPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"named-explicit-paths", "named-explicit-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// NamedExplicitPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPath the path struct for its child "named-explicit-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPath) NamedExplicitPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"named-explicit-paths", "named-explicit-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// NamedExplicitPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny the path struct for its child "named-explicit-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny) NamedExplicitPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"named-explicit-paths", "named-explicit-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// TunnelAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPath the path struct for its child "tunnel".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPath) TunnelAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// TunnelAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny the path struct for its child "tunnel".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny) TunnelAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Tunnel returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPath the path struct for its child "tunnel".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPath) Tunnel(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Tunnel returns from NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny the path struct for its child "tunnel".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPathPathAny) Tunnel(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/sid-protection-required YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/sid-protection-required YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/sid-selection-mode YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/config/sid-selection-mode YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePathAny struct {
	*ygot.NodePath
}

// ExplicitRouteObjectAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath the path struct for its child "explicit-route-object".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath) ExplicitRouteObjectAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExplicitRouteObjectAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny the path struct for its child "explicit-route-object".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny) ExplicitRouteObjectAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExplicitRouteObject returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath the path struct for its child "explicit-route-object".
// Index: uint8
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath) ExplicitRouteObject(Index uint8) *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExplicitRouteObject returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny the path struct for its child "explicit-route-object".
// Index: uint8
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny) ExplicitRouteObject(Index uint8) *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidProtectionRequired returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath the path struct for its child "sid-protection-required".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath) SidProtectionRequired() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-protection-required"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidProtectionRequired returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny the path struct for its child "sid-protection-required".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny) SidProtectionRequired() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidProtectionRequiredPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-protection-required"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidSelectionMode returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath the path struct for its child "sid-selection-mode".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPath) SidSelectionMode() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-selection-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidSelectionMode returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny the path struct for its child "sid-selection-mode".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPathPathAny) SidSelectionMode() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_SidSelectionModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-selection-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/address YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/address YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/hop-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/hop-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/index YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/named-explicit-paths/named-explicit-path/explicit-route-objects/explicit-route-object/config/index YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath the path struct for its child "address".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath) Address() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny the path struct for its child "address".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny) Address() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath the path struct for its child "hop-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath) HopType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny the path struct for its child "hop-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny) HopType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_HopTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath the path struct for its child "index".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPath) Index() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny the path struct for its child "index".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObjectPathAny) Index() *NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_NamedExplicitPath_ExplicitRouteObject_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/admin-status YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/admin-status YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/auto-generated YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/auto-generated YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/description YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/description YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/metric-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/metric-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/oper-status YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/oper-status YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/protection-style-requested YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/protection-style-requested YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/reoptimize-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/reoptimize-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/role YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/role YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/shortcut-eligible YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/shortcut-eligible YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/signaling-protocol YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/signaling-protocol YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/soft-preemption YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/soft-preemption YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/source YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/source YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/config/type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePathAny struct {
	*ygot.NodePath
}

// AdminStatus returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "admin-status".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) AdminStatus() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminStatus returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "admin-status".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) AdminStatus() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AdminStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// AutoGenerated returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "auto-generated".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) AutoGenerated() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auto-generated"},
			map[string]interface{}{},
			n,
		),
	}
}

// AutoGenerated returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "auto-generated".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) AutoGenerated() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_AutoGeneratedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auto-generated"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Bandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Bandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "counters".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Counters() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "counters".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Counters() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "description".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Description() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "description".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Description() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_HoldPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Metric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Metric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "metric-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) MetricType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "metric-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) MetricType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_MetricTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "oper-status".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) OperStatus() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// OperStatus returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "oper-status".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) OperStatus() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_OperStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oper-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// P2PTunnelAttributes returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "p2p-tunnel-attributes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) P2PTunnelAttributes() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-tunnel-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// P2PTunnelAttributes returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "p2p-tunnel-attributes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) P2PTunnelAttributes() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-tunnel-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionStyleRequested returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "protection-style-requested".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) ProtectionStyleRequested() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protection-style-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionStyleRequested returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "protection-style-requested".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) ProtectionStyleRequested() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ProtectionStyleRequestedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protection-style-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReoptimizeTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "reoptimize-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) ReoptimizeTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reoptimize-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReoptimizeTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "reoptimize-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) ReoptimizeTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ReoptimizeTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reoptimize-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "role".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Role() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "role".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Role() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_RolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ShortcutEligible returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "shortcut-eligible".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) ShortcutEligible() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "shortcut-eligible"},
			map[string]interface{}{},
			n,
		),
	}
}

// ShortcutEligible returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "shortcut-eligible".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) ShortcutEligible() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_ShortcutEligiblePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "shortcut-eligible"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignalingProtocol returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "signaling-protocol".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) SignalingProtocol() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "signaling-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignalingProtocol returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "signaling-protocol".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) SignalingProtocol() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SignalingProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "signaling-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemption returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "soft-preemption".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) SoftPreemption() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "soft-preemption"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemption returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "soft-preemption".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) SoftPreemption() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SoftPreemptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "soft-preemption"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "source".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Source() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "source".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Source() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath the path struct for its child "type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPath) Type() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny the path struct for its child "type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_TunnelPathAny) Type() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/config/set-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/config/set-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/state/signaled-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/state/signaled-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/config/specification-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/config/specification-type YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePathAny struct {
	*ygot.NodePath
}

// AutoBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath the path struct for its child "auto-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath) AutoBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"auto-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AutoBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny the path struct for its child "auto-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny) AutoBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"auto-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath the path struct for its child "set-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath) SetBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny the path struct for its child "set-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny) SetBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SetBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignaledBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath the path struct for its child "signaled-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath) SignaledBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "signaled-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SignaledBandwidth returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny the path struct for its child "signaled-bandwidth".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny) SignaledBandwidth() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SignaledBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "signaled-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpecificationType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath the path struct for its child "specification-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPath) SpecificationType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "specification-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpecificationType returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny the path struct for its child "specification-type".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_BandwidthPathAny) SpecificationType() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_SpecificationTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "specification-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/adjust-interval YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/adjust-interval YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/adjust-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/adjust-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/state/interval-high-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/state/interval-high-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/max-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/max-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/min-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/config/min-bw YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPathAny struct {
	*ygot.NodePath
}

// AdjustInterval returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "adjust-interval".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) AdjustInterval() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "adjust-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjustInterval returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "adjust-interval".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) AdjustInterval() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "adjust-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjustThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "adjust-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) AdjustThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "adjust-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjustThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "adjust-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) AdjustThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_AdjustThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "adjust-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// IntervalHighBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "interval-high-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) IntervalHighBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interval-high-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// IntervalHighBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "interval-high-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) IntervalHighBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_IntervalHighBwPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interval-high-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "max-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) MaxBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "max-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) MaxBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MaxBwPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "min-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) MinBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinBw returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "min-bw".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) MinBw() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_MinBwPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// Overflow returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "overflow".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) Overflow() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath{
		NodePath: ygot.NewNodePath(
			[]string{"overflow"},
			map[string]interface{}{},
			n,
		),
	}
}

// Overflow returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "overflow".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) Overflow() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"overflow"},
			map[string]interface{}{},
			n,
		),
	}
}

// Underflow returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath the path struct for its child "underflow".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPath) Underflow() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath{
		NodePath: ygot.NewNodePath(
			[]string{"underflow"},
			map[string]interface{}{},
			n,
		),
	}
}

// Underflow returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny the path struct for its child "underflow".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidthPathAny) Underflow() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"underflow"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/overflow-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/overflow-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/trigger-event-count YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/overflow/config/trigger-event-count YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// OverflowThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath the path struct for its child "overflow-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath) OverflowThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "overflow-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// OverflowThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny the path struct for its child "overflow-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny) OverflowThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_OverflowThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "overflow-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// TriggerEventCount returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath the path struct for its child "trigger-event-count".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPath) TriggerEventCount() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger-event-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// TriggerEventCount returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny the path struct for its child "trigger-event-count".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_OverflowPathAny) TriggerEventCount() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Overflow_TriggerEventCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger-event-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/enabled YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/trigger-event-count YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/trigger-event-count YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/underflow-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/bandwidth/auto-bandwidth/underflow/config/underflow-threshold YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny) Enabled() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// TriggerEventCount returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath the path struct for its child "trigger-event-count".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath) TriggerEventCount() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger-event-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// TriggerEventCount returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny the path struct for its child "trigger-event-count".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny) TriggerEventCount() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_TriggerEventCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger-event-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnderflowThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath the path struct for its child "underflow-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPath) UnderflowThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "underflow-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnderflowThreshold returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny the path struct for its child "underflow-threshold".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_UnderflowPathAny) UnderflowThreshold() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Bandwidth_AutoBandwidth_Underflow_UnderflowThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "underflow-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/bytes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/bytes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/current-path-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/current-path-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/next-reoptimization-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/next-reoptimization-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/online-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/online-time YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/packets YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/packets YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/path-changes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/path-changes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/state-changes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/state/counters/state-changes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPathAny struct {
	*ygot.NodePath
}

// Bytes returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "bytes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) Bytes() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPath{
		NodePath: ygot.NewNodePath(
			[]string{"bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bytes returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "bytes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) Bytes() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_BytesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPathTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "current-path-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) CurrentPathTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"current-path-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentPathTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "current-path-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) CurrentPathTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_CurrentPathTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"current-path-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextReoptimizationTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "next-reoptimization-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) NextReoptimizationTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"next-reoptimization-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextReoptimizationTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "next-reoptimization-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) NextReoptimizationTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_NextReoptimizationTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-reoptimization-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OnlineTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "online-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) OnlineTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"online-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OnlineTime returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "online-time".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) OnlineTime() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_OnlineTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"online-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Packets returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "packets".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) Packets() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPath{
		NodePath: ygot.NewNodePath(
			[]string{"packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// Packets returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "packets".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) Packets() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PacketsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"packets"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathChanges returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "path-changes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) PathChanges() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"path-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathChanges returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "path-changes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) PathChanges() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_PathChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath the path struct for its child "state-changes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPath) StateChanges() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny the path struct for its child "state-changes".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_CountersPathAny) StateChanges() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_Counters_StateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/config/destination YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/config/destination YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPathAny struct {
	*ygot.NodePath
}

// Destination returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath the path struct for its child "destination".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath) Destination() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination"},
			map[string]interface{}{},
			n,
		),
	}
}

// Destination returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny the path struct for its child "destination".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny) Destination() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_DestinationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination"},
			map[string]interface{}{},
			n,
		),
	}
}

// P2PPrimaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath the path struct for its child "p2p-primary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath) P2PPrimaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-primary-path", "p2p-primary-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// P2PPrimaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny the path struct for its child "p2p-primary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny) P2PPrimaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-primary-path", "p2p-primary-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// P2PPrimaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath the path struct for its child "p2p-primary-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath) P2PPrimaryPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-primary-path", "p2p-primary-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// P2PPrimaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny the path struct for its child "p2p-primary-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny) P2PPrimaryPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-primary-path", "p2p-primary-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// P2PSecondaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath the path struct for its child "p2p-secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath) P2PSecondaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-secondary-paths", "p2p-secondary-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// P2PSecondaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny the path struct for its child "p2p-secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny) P2PSecondaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-secondary-paths", "p2p-secondary-path"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// P2PSecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath the path struct for its child "p2p-secondary-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPath) P2PSecondaryPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-secondary-paths", "p2p-secondary-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// P2PSecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny the path struct for its child "p2p-secondary-path".
// Name: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributesPathAny) P2PSecondaryPath(Name string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"p2p-secondary-paths", "p2p-secondary-path"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/associated-rsvp-sessions YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/associated-rsvp-sessions YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/cspf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/cspf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/cspf-tiebreaker YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/cspf-tiebreaker YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/explicit-path-name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/explicit-path-name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/path-computation-method YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/path-computation-method YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/path-computation-server YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/path-computation-server YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/retry-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/retry-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/spf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/state/spf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/use-cspf YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/config/use-cspf YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPathAny struct {
	*ygot.NodePath
}

// AdminGroups returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "admin-groups".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) AdminGroups() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroups returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "admin-groups".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) AdminGroups() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociatedRsvpSessions returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "associated-rsvp-sessions".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) AssociatedRsvpSessions() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "associated-rsvp-sessions"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociatedRsvpSessions returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "associated-rsvp-sessions".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) AssociatedRsvpSessions() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AssociatedRsvpSessionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "associated-rsvp-sessions"},
			map[string]interface{}{},
			n,
		),
	}
}

// CandidateSecondaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "candidate-secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) CandidateSecondaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-secondary-paths", "candidate-secondary-path"},
			map[string]interface{}{"secondary-path": "*"},
			n,
		),
	}
}

// CandidateSecondaryPathAny returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "candidate-secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) CandidateSecondaryPathAny() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-secondary-paths", "candidate-secondary-path"},
			map[string]interface{}{"secondary-path": "*"},
			n,
		),
	}
}

// CandidateSecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "candidate-secondary-path".
// SecondaryPath: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) CandidateSecondaryPath(SecondaryPath string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-secondary-paths", "candidate-secondary-path"},
			map[string]interface{}{"secondary-path": SecondaryPath},
			n,
		),
	}
}

// CandidateSecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "candidate-secondary-path".
// SecondaryPath: string
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) CandidateSecondaryPath(SecondaryPath string) *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-secondary-paths", "candidate-secondary-path"},
			map[string]interface{}{"secondary-path": SecondaryPath},
			n,
		),
	}
}

// CspfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "cspf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) CspfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cspf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "cspf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) CspfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cspf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfTiebreaker returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "cspf-tiebreaker".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) CspfTiebreaker() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cspf-tiebreaker"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfTiebreaker returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "cspf-tiebreaker".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) CspfTiebreaker() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CspfTiebreakerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cspf-tiebreaker"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitPathName returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "explicit-path-name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) ExplicitPathName() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "explicit-path-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitPathName returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "explicit-path-name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) ExplicitPathName() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_ExplicitPathNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "explicit-path-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_HoldPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationMethod returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "path-computation-method".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) PathComputationMethod() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationMethod returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "path-computation-method".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) PathComputationMethod() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationMethodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationServer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "path-computation-server".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) PathComputationServer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationServer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "path-computation-server".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) PathComputationServer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PathComputationServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetryTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "retry-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) RetryTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retry-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetryTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "retry-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) RetryTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_RetryTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retry-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "spf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) SpfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "spf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) SpfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_SpfMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseCspf returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath the path struct for its child "use-cspf".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPath) UseCspf() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "use-cspf"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseCspf returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny the path struct for its child "use-cspf".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPathPathAny) UseCspf() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_UseCspfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "use-cspf"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/exclude-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/exclude-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/include-all-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/include-all-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/include-any-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/admin-groups/config/include-any-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPathAny struct {
	*ygot.NodePath
}

// ExcludeGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath the path struct for its child "exclude-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath) ExcludeGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "exclude-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExcludeGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny the path struct for its child "exclude-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny) ExcludeGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_ExcludeGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "exclude-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAllGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath the path struct for its child "include-all-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath) IncludeAllGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-all-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAllGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny the path struct for its child "include-all-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny) IncludeAllGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAllGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-all-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAnyGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath the path struct for its child "include-any-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPath) IncludeAnyGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-any-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAnyGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny the path struct for its child "include-any-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroupsPathAny) IncludeAnyGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_AdminGroups_IncludeAnyGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-any-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/state/active YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/state/active YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/config/priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/config/priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/config/secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-primary-path/p2p-primary-path/candidate-secondary-paths/candidate-secondary-path/config/secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPathAny struct {
	*ygot.NodePath
}

// Active returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath the path struct for its child "active".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath) Active() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny the path struct for its child "active".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny) Active() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath the path struct for its child "priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath) Priority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny the path struct for its child "priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny) Priority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath the path struct for its child "secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPath) SecondaryPath() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secondary-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecondaryPath returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny the path struct for its child "secondary-path".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPathPathAny) SecondaryPath() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PPrimaryPath_CandidateSecondaryPath_SecondaryPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secondary-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/associated-rsvp-sessions YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/associated-rsvp-sessions YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/cspf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/cspf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/cspf-tiebreaker YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/cspf-tiebreaker YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/explicit-path-name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/explicit-path-name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/hold-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/path-computation-method YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/path-computation-method YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/path-computation-server YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/path-computation-server YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/preference YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/retry-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/retry-timer YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/setup-priority YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/spf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/state/spf-metric YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/use-cspf YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/config/use-cspf YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPathAny struct {
	*ygot.NodePath
}

// AdminGroups returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "admin-groups".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) AdminGroups() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroups returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "admin-groups".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) AdminGroups() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociatedRsvpSessions returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "associated-rsvp-sessions".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) AssociatedRsvpSessions() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "associated-rsvp-sessions"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociatedRsvpSessions returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "associated-rsvp-sessions".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) AssociatedRsvpSessions() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AssociatedRsvpSessionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "associated-rsvp-sessions"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "cspf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) CspfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cspf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "cspf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) CspfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cspf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfTiebreaker returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "cspf-tiebreaker".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) CspfTiebreaker() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cspf-tiebreaker"},
			map[string]interface{}{},
			n,
		),
	}
}

// CspfTiebreaker returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "cspf-tiebreaker".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) CspfTiebreaker() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_CspfTiebreakerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cspf-tiebreaker"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitPathName returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "explicit-path-name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) ExplicitPathName() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "explicit-path-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitPathName returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "explicit-path-name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) ExplicitPathName() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_ExplicitPathNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "explicit-path-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "hold-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) HoldPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_HoldPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) Name() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationMethod returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "path-computation-method".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) PathComputationMethod() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationMethod returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "path-computation-method".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) PathComputationMethod() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationMethodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationServer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "path-computation-server".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) PathComputationServer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathComputationServer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "path-computation-server".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) PathComputationServer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PathComputationServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-computation-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "preference".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) Preference() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetryTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "retry-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) RetryTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retry-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetryTimer returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "retry-timer".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) RetryTimer() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_RetryTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retry-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) SetupPriority() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "setup-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "spf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) SpfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfMetric returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "spf-metric".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) SpfMetric() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_SpfMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseCspf returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath the path struct for its child "use-cspf".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPath) UseCspf() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "use-cspf"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseCspf returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny the path struct for its child "use-cspf".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPathPathAny) UseCspf() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_UseCspfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "use-cspf"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/exclude-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/exclude-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/include-all-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/include-all-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/include-any-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/constrained-path/tunnels/tunnel/p2p-tunnel-attributes/p2p-secondary-paths/p2p-secondary-path/admin-groups/config/include-any-group YANG schema element.
type NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPathAny struct {
	*ygot.NodePath
}

// ExcludeGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath the path struct for its child "exclude-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath) ExcludeGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "exclude-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExcludeGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny the path struct for its child "exclude-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny) ExcludeGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_ExcludeGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "exclude-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAllGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath the path struct for its child "include-all-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath) IncludeAllGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-all-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAllGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny the path struct for its child "include-all-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny) IncludeAllGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAllGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-all-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAnyGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath the path struct for its child "include-any-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPath) IncludeAnyGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPath {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-any-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncludeAnyGroup returns from NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny the path struct for its child "include-any-group".
func (n *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroupsPathAny) IncludeAnyGroup() *NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPathAny {
	return &NetworkInstance_Mpls_Lsps_ConstrainedPath_Tunnel_P2PTunnelAttributes_P2PSecondaryPath_AdminGroups_IncludeAnyGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include-any-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_StaticLspPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/config/name YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_NamePathAny struct {
	*ygot.NodePath
}

// Egress returns from NetworkInstance_Mpls_Lsps_StaticLspPath the path struct for its child "egress".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPath) Egress() *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath{
		NodePath: ygot.NewNodePath(
			[]string{"egress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Egress returns from NetworkInstance_Mpls_Lsps_StaticLspPathAny the path struct for its child "egress".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPathAny) Egress() *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"egress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ingress returns from NetworkInstance_Mpls_Lsps_StaticLspPath the path struct for its child "ingress".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPath) Ingress() *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ingress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ingress returns from NetworkInstance_Mpls_Lsps_StaticLspPathAny the path struct for its child "ingress".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPathAny) Ingress() *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_StaticLspPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPath) Name() *NetworkInstance_Mpls_Lsps_StaticLsp_NamePath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_Lsps_StaticLspPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPathAny) Name() *NetworkInstance_Mpls_Lsps_StaticLsp_NamePathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transit returns from NetworkInstance_Mpls_Lsps_StaticLspPath the path struct for its child "transit".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPath) Transit() *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath{
		NodePath: ygot.NewNodePath(
			[]string{"transit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transit returns from NetworkInstance_Mpls_Lsps_StaticLspPathAny the path struct for its child "transit".
func (n *NetworkInstance_Mpls_Lsps_StaticLspPathAny) Transit() *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/egress/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPathAny struct {
	*ygot.NodePath
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_IncomingLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPath) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_EgressPathAny) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Egress_PushLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/ingress/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPathAny struct {
	*ygot.NodePath
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_IncomingLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPath) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_IngressPathAny) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Ingress_PushLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/incoming-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/next-hop YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/static-lsps/static-lsp/transit/config/push-label YANG schema element.
type NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPathAny struct {
	*ygot.NodePath
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// IncomingLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny the path struct for its child "incoming-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny) IncomingLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_IncomingLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "incoming-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny) NextHop() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPath) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPath {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushLabel returns from NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny the path struct for its child "push-label".
func (n *NetworkInstance_Mpls_Lsps_StaticLsp_TransitPathAny) PushLabel() *NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPathAny {
	return &NetworkInstance_Mpls_Lsps_StaticLsp_Transit_PushLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "push-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPathPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny struct {
	*ygot.NodePath
}

// PathSetupProtocol returns from NetworkInstance_Mpls_Lsps_UnconstrainedPathPath the path struct for its child "path-setup-protocol".
func (n *NetworkInstance_Mpls_Lsps_UnconstrainedPathPath) PathSetupProtocol() *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"path-setup-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathSetupProtocol returns from NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny the path struct for its child "path-setup-protocol".
func (n *NetworkInstance_Mpls_Lsps_UnconstrainedPathPathAny) PathSetupProtocol() *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-setup-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path/path-setup-protocol YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path/path-setup-protocol YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny struct {
	*ygot.NodePath
}

// Ldp returns from NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath the path struct for its child "ldp".
func (n *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPath) Ldp() *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPath {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ldp returns from NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny the path struct for its child "ldp".
func (n *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocolPathAny) Ldp() *NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPathAny {
	return &NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path/path-setup-protocol/ldp YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/lsps/unconstrained-path/path-setup-protocol/ldp YANG schema element.
type NetworkInstance_Mpls_Lsps_UnconstrainedPath_PathSetupProtocol_LdpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocolsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols YANG schema element.
type NetworkInstance_Mpls_SignalingProtocolsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocolsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols YANG schema element.
type NetworkInstance_Mpls_SignalingProtocolsPathAny struct {
	*ygot.NodePath
}

// Ldp returns from NetworkInstance_Mpls_SignalingProtocolsPath the path struct for its child "ldp".
func (n *NetworkInstance_Mpls_SignalingProtocolsPath) Ldp() *NetworkInstance_Mpls_SignalingProtocols_LdpPath {
	return &NetworkInstance_Mpls_SignalingProtocols_LdpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ldp returns from NetworkInstance_Mpls_SignalingProtocolsPathAny the path struct for its child "ldp".
func (n *NetworkInstance_Mpls_SignalingProtocolsPathAny) Ldp() *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_LdpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// RsvpTe returns from NetworkInstance_Mpls_SignalingProtocolsPath the path struct for its child "rsvp-te".
func (n *NetworkInstance_Mpls_SignalingProtocolsPath) RsvpTe() *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTePath{
		NodePath: ygot.NewNodePath(
			[]string{"rsvp-te"},
			map[string]interface{}{},
			n,
		),
	}
}

// RsvpTe returns from NetworkInstance_Mpls_SignalingProtocolsPathAny the path struct for its child "rsvp-te".
func (n *NetworkInstance_Mpls_SignalingProtocolsPathAny) RsvpTe() *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rsvp-te"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Mpls_SignalingProtocolsPath the path struct for its child "segment-routing".
func (n *NetworkInstance_Mpls_SignalingProtocolsPath) SegmentRouting() *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Mpls_SignalingProtocolsPathAny the path struct for its child "segment-routing".
func (n *NetworkInstance_Mpls_SignalingProtocolsPathAny) SegmentRouting() *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_LdpPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_LdpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_LdpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_LdpPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "global".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) Global() *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "global".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) Global() *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAttributes returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "interface-attributes".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) InterfaceAttributes() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAttributes returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "interface-attributes".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) InterfaceAttributes() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "neighbor".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) NeighborAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": "*", "label-space-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) NeighborAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": "*", "label-space-id": "*"},
			n,
		),
	}
}

// NeighborAnyLabelSpaceId returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "neighbor".
// LsrId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) NeighborAnyLabelSpaceId(LsrId string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": LsrId, "label-space-id": "*"},
			n,
		),
	}
}

// NeighborAnyLabelSpaceId returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "neighbor".
// LsrId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) NeighborAnyLabelSpaceId(LsrId string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": LsrId, "label-space-id": "*"},
			n,
		),
	}
}

// NeighborAnyLsrId returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "neighbor".
// LabelSpaceId: uint16
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) NeighborAnyLsrId(LabelSpaceId uint16) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": "*", "label-space-id": LabelSpaceId},
			n,
		),
	}
}

// NeighborAnyLsrId returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "neighbor".
// LabelSpaceId: uint16
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) NeighborAnyLsrId(LabelSpaceId uint16) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": "*", "label-space-id": LabelSpaceId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "neighbor".
// LsrId: string
// LabelSpaceId: uint16
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) Neighbor(LsrId string, LabelSpaceId uint16) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": LsrId, "label-space-id": LabelSpaceId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "neighbor".
// LsrId: string
// LabelSpaceId: uint16
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) Neighbor(LsrId string, LabelSpaceId uint16) *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"lsr-id": LsrId, "label-space-id": LabelSpaceId},
			n,
		),
	}
}

// Targeted returns from NetworkInstance_Mpls_SignalingProtocols_LdpPath the path struct for its child "targeted".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPath) Targeted() *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath{
		NodePath: ygot.NewNodePath(
			[]string{"targeted"},
			map[string]interface{}{},
			n,
		),
	}
}

// Targeted returns from NetworkInstance_Mpls_SignalingProtocols_LdpPathAny the path struct for its child "targeted".
func (n *NetworkInstance_Mpls_SignalingProtocols_LdpPathAny) Targeted() *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targeted"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/config/lsr-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/config/lsr-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPathAny struct {
	*ygot.NodePath
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath) Authentication() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny) Authentication() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath) GracefulRestart() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny) GracefulRestart() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsrId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath the path struct for its child "lsr-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPath) LsrId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsr-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsrId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny the path struct for its child "lsr-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_GlobalPathAny) LsrId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_LsrIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsr-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePathAny struct {
	*ygot.NodePath
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_AuthenticationKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPath) Enable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_AuthenticationPathAny) Enable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_Authentication_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/forwarding-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/forwarding-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/helper-enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/helper-enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/reconnect-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/reconnect-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/recovery-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/global/graceful-restart/config/recovery-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath the path struct for its child "forwarding-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath) ForwardingHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny the path struct for its child "forwarding-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny) ForwardingHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ForwardingHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperEnable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath the path struct for its child "helper-enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath) HelperEnable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperEnable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny the path struct for its child "helper-enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny) HelperEnable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_HelperEnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReconnectTime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath the path struct for its child "reconnect-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath) ReconnectTime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reconnect-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReconnectTime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny the path struct for its child "reconnect-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny) ReconnectTime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_ReconnectTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reconnect-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RecoveryTime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath the path struct for its child "recovery-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPath) RecoveryTime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recovery-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RecoveryTime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny the path struct for its child "recovery-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestartPathAny) RecoveryTime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Global_GracefulRestart_RecoveryTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recovery-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPath) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributesPathAny) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// AddressFamilyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "address-family".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) AddressFamilyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// AddressFamilyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "address-family".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) AddressFamilyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "address-family".
// AfiName: E_MplsLdp_MplsLdpAfi
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) AddressFamily(AfiName E_MplsLdp_MplsLdpAfi) *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "address-family".
// AfiName: E_MplsLdp_MplsLdpAfi
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) AddressFamily(AfiName E_MplsLdp_MplsLdpAfi) *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) Counters() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) Counters() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePath) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_InterfacePathAny) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family/config/afi-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family/config/afi-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/address-families/address-family/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath the path struct for its child "afi-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath) AfiName() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny) AfiName() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPath) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamilyPathAny) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_AddressFamily_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/interface-attributes/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath) Interface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_InterfaceAttributes_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/config/label-space-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/config/label-space-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/config/lsr-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/config/lsr-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPathAny struct {
	*ygot.NodePath
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) Authentication() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) Authentication() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAdjacencyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "hello-adjacency".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) HelloAdjacencyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": "*", "local-address": "*"},
			n,
		),
	}
}

// HelloAdjacencyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "hello-adjacency".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) HelloAdjacencyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": "*", "local-address": "*"},
			n,
		),
	}
}

// HelloAdjacencyAnyLocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "hello-adjacency".
// RemoteAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) HelloAdjacencyAnyLocalAddress(RemoteAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": RemoteAddress, "local-address": "*"},
			n,
		),
	}
}

// HelloAdjacencyAnyLocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "hello-adjacency".
// RemoteAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) HelloAdjacencyAnyLocalAddress(RemoteAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": RemoteAddress, "local-address": "*"},
			n,
		),
	}
}

// HelloAdjacencyAnyRemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "hello-adjacency".
// LocalAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) HelloAdjacencyAnyRemoteAddress(LocalAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": "*", "local-address": LocalAddress},
			n,
		),
	}
}

// HelloAdjacencyAnyRemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "hello-adjacency".
// LocalAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) HelloAdjacencyAnyRemoteAddress(LocalAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": "*", "local-address": LocalAddress},
			n,
		),
	}
}

// HelloAdjacency returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "hello-adjacency".
// RemoteAddress: string
// LocalAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) HelloAdjacency(RemoteAddress string, LocalAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": RemoteAddress, "local-address": LocalAddress},
			n,
		),
	}
}

// HelloAdjacency returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "hello-adjacency".
// RemoteAddress: string
// LocalAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) HelloAdjacency(RemoteAddress string, LocalAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-adjacencies", "hello-adjacency"},
			map[string]interface{}{"remote-address": RemoteAddress, "local-address": LocalAddress},
			n,
		),
	}
}

// LabelSpaceId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "label-space-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) LabelSpaceId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-space-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelSpaceId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "label-space-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) LabelSpaceId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LabelSpaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-space-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsrId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath the path struct for its child "lsr-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPath) LsrId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsr-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsrId returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny the path struct for its child "lsr-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_NeighborPathAny) LsrId() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_LsrIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsr-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePathAny struct {
	*ygot.NodePath
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_AuthenticationKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPath) Enable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_AuthenticationPathAny) Enable() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_Authentication_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/adjacency-type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/adjacency-type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/hello-dropped YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/hello-dropped YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/hello-received YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/hello-received YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/last-clear YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/last-clear YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/local-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/local-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/remote-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/state/remote-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPathAny struct {
	*ygot.NodePath
}

// AdjacencyType returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "adjacency-type".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) AdjacencyType() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyType returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "adjacency-type".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) AdjacencyType() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_AdjacencyTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloDropped returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "hello-dropped".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) HelloDropped() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloDropped returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "hello-dropped".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) HelloDropped() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloDroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloReceived returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "hello-received".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) HelloReceived() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloReceived returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "hello-received".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) HelloReceived() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "last-clear".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) LastClear() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "last-clear".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) LastClear() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "local-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) LocalAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "local-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) LocalAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath the path struct for its child "remote-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPath) RemoteAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny the path struct for its child "remote-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacencyPathAny) RemoteAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_RemoteAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/adjacent YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/adjacent YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/hello-expiration YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/hello-expiration YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/negotiated YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/negotiated YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/next-hello YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/hello-holdtime/state/next-hello YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPathAny struct {
	*ygot.NodePath
}

// Adjacent returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath the path struct for its child "adjacent".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath) Adjacent() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Adjacent returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny the path struct for its child "adjacent".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny) Adjacent() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_AdjacentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacent"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloExpiration returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath the path struct for its child "hello-expiration".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath) HelloExpiration() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-expiration"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloExpiration returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny the path struct for its child "hello-expiration".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny) HelloExpiration() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_HelloExpirationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hello-expiration"},
			map[string]interface{}{},
			n,
		),
	}
}

// Negotiated returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath the path struct for its child "negotiated".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath) Negotiated() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated"},
			map[string]interface{}{},
			n,
		),
	}
}

// Negotiated returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny the path struct for its child "negotiated".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny) Negotiated() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NegotiatedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHello returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath the path struct for its child "next-hello".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePath) NextHello() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hello"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHello returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny the path struct for its child "next-hello".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtimePathAny) NextHello() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_HelloHoldtime_NextHelloPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hello"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref/state/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref/state/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/neighbors/neighbor/hello-adjacencies/hello-adjacency/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath) Interface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Neighbor_HelloAdjacency_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-accept YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-accept YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// AddressFamilyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath the path struct for its child "address-family".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath) AddressFamilyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// AddressFamilyAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny the path struct for its child "address-family".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny) AddressFamilyAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath the path struct for its child "address-family".
// AfiName: E_MplsLdp_MplsLdpAfi
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath) AddressFamily(AfiName E_MplsLdp_MplsLdpAfi) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny the path struct for its child "address-family".
// AfiName: E_MplsLdp_MplsLdpAfi
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny) AddressFamily(AfiName E_MplsLdp_MplsLdpAfi) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"address-families", "address-family"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// HelloAccept returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath the path struct for its child "hello-accept".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath) HelloAccept() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-accept"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAccept returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny the path struct for its child "hello-accept".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny) HelloAccept() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloAcceptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-accept"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_TargetedPathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/config/afi-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/config/afi-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath the path struct for its child "afi-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath) AfiName() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny) AfiName() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath the path struct for its child "target".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath) TargetAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"remote-address": "*"},
			n,
		),
	}
}

// TargetAny returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny the path struct for its child "target".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny) TargetAny() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"remote-address": "*"},
			n,
		),
	}
}

// Target returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath the path struct for its child "target".
// RemoteAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPath) Target(RemoteAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"remote-address": RemoteAddress},
			n,
		),
	}
}

// Target returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny the path struct for its child "target".
// RemoteAddress: string
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamilyPathAny) Target(RemoteAddress string) *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"remote-address": RemoteAddress},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/enabled YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/hello-holdtime YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/local-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/local-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/remote-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/ldp/targeted/address-families/address-family/targets/target/config/remote-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny) Enabled() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloHoldtime returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny the path struct for its child "hello-holdtime".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny) HelloHoldtime() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloHoldtimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-holdtime"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath the path struct for its child "local-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath) LocalAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny the path struct for its child "local-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny) LocalAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath the path struct for its child "remote-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPath) RemoteAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny the path struct for its child "remote-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_TargetPathAny) RemoteAddress() *NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_Ldp_Targeted_AddressFamily_Target_RemoteAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "global".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) Global() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "global".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) Global() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-attributes", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "neighbor".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) NeighborAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) NeighborAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "neighbor".
// Address: string
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) Neighbor(Address string) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "neighbor".
// Address: string
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) Neighbor(Address string) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// SessionAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "session".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) SessionAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sessions", "session"},
			map[string]interface{}{"local-index": "*"},
			n,
		),
	}
}

// SessionAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "session".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) SessionAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sessions", "session"},
			map[string]interface{}{"local-index": "*"},
			n,
		),
	}
}

// Session returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePath the path struct for its child "session".
// LocalIndex: uint64
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePath) Session(LocalIndex uint64) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath{
		NodePath: ygot.NewNodePath(
			[]string{"sessions", "session"},
			map[string]interface{}{"local-index": LocalIndex},
			n,
		),
	}
}

// Session returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny the path struct for its child "session".
// LocalIndex: uint64
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTePathAny) Session(LocalIndex uint64) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sessions", "session"},
			map[string]interface{}{"local-index": LocalIndex},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny struct {
	*ygot.NodePath
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath) Counters() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny) Counters() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath) GracefulRestart() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny) GracefulRestart() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hellos returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath the path struct for its child "hellos".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath) Hellos() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath{
		NodePath: ygot.NewNodePath(
			[]string{"hellos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hellos returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny the path struct for its child "hellos".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny) Hellos() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hellos"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemption returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath the path struct for its child "soft-preemption".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPath) SoftPreemption() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"soft-preemption"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemption returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny the path struct for its child "soft-preemption".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_GlobalPathAny) SoftPreemption() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"soft-preemption"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/in-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/out-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/path-timeouts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/path-timeouts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/rate-limited-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/rate-limited-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/reservation-timeouts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/reservation-timeouts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPathAny struct {
	*ygot.NodePath
}

// Errors returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "errors".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) Errors() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Errors returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "errors".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) Errors() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InAckMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InHelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InPathTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InReservationTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "in-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) InSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "in-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) InSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_InSrefreshMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutAckMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutHelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutPathTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutReservationTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "out-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) OutSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "out-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) OutSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_OutSrefreshMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathTimeouts returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "path-timeouts".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) PathTimeouts() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPath{
		NodePath: ygot.NewNodePath(
			[]string{"path-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathTimeouts returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "path-timeouts".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) PathTimeouts() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_PathTimeoutsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimitedMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "rate-limited-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) RateLimitedMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"rate-limited-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimitedMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "rate-limited-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) RateLimitedMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_RateLimitedMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rate-limited-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReservationTimeouts returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath the path struct for its child "reservation-timeouts".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPath) ReservationTimeouts() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPath{
		NodePath: ygot.NewNodePath(
			[]string{"reservation-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReservationTimeouts returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny the path struct for its child "reservation-timeouts".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_CountersPathAny) ReservationTimeouts() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ReservationTimeoutsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reservation-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/authentication-fail YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/authentication-fail YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-checksum YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-checksum YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-packet-format YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-packet-format YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-packet-length YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/bad-packet-length YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/out-of-order YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/out-of-order YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/received-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/received-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/transmit-failure YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/transmit-failure YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/transmit-queue-full YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/transmit-queue-full YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/unknown-ack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/unknown-ack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/unknown-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/state/counters/errors/unknown-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPathAny struct {
	*ygot.NodePath
}

// AuthenticationFail returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "authentication-fail".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) AuthenticationFail() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication-fail"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationFail returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "authentication-fail".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) AuthenticationFail() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_AuthenticationFailPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication-fail"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadChecksum returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "bad-checksum".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) BadChecksum() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadChecksum returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "bad-checksum".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) BadChecksum() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadChecksumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketFormat returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "bad-packet-format".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) BadPacketFormat() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-format"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketFormat returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "bad-packet-format".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) BadPacketFormat() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketFormatPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-format"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketLength returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "bad-packet-length".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) BadPacketLength() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketLength returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "bad-packet-length".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) BadPacketLength() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_BadPacketLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOfOrder returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "out-of-order".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) OutOfOrder() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-of-order"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOfOrder returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "out-of-order".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) OutOfOrder() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_OutOfOrderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-of-order"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "received-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) ReceivedNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPath{
		NodePath: ygot.NewNodePath(
			[]string{"received-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "received-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) ReceivedNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_ReceivedNackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitFailure returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "transmit-failure".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) TransmitFailure() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePath{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitFailure returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "transmit-failure".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) TransmitFailure() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitFailurePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitQueueFull returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "transmit-queue-full".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) TransmitQueueFull() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPath{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-queue-full"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitQueueFull returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "transmit-queue-full".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) TransmitQueueFull() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_TransmitQueueFullPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-queue-full"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAck returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "unknown-ack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) UnknownAck() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-ack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAck returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "unknown-ack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) UnknownAck() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownAckPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-ack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath the path struct for its child "unknown-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPath) UnknownNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny the path struct for its child "unknown-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_ErrorsPathAny) UnknownNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Counters_Errors_UnknownNackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/recovery-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/recovery-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// RecoveryTime returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath the path struct for its child "recovery-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath) RecoveryTime() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recovery-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RecoveryTime returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny the path struct for its child "recovery-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny) RecoveryTime() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RecoveryTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recovery-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath the path struct for its child "restart-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPath) RestartTime() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestartPathAny) RestartTime() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos/config/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/hellos/config/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPathAny struct {
	*ygot.NodePath
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPath) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_HellosPathAny) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_Hellos_RefreshReductionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption/config/soft-preemption-timeout YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/global/soft-preemption/config/soft-preemption-timeout YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPathAny struct {
	*ygot.NodePath
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemptionTimeout returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath the path struct for its child "soft-preemption-timeout".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPath) SoftPreemptionTimeout() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "soft-preemption-timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftPreemptionTimeout returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny the path struct for its child "soft-preemption-timeout".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemptionPathAny) SoftPreemptionTimeout() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Global_SoftPreemption_SoftPreemptionTimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "soft-preemption-timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/max-link-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/max-link-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) Authentication() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "authentication".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) Authentication() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// BandwidthReservationAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "bandwidth-reservation".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) BandwidthReservationAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-reservations", "bandwidth-reservation"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// BandwidthReservationAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "bandwidth-reservation".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) BandwidthReservationAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-reservations", "bandwidth-reservation"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// BandwidthReservation returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "bandwidth-reservation".
// Priority: [UnionUint8, E_BandwidthReservation_Priority_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) BandwidthReservation(Priority NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_Priority_Union) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-reservations", "bandwidth-reservation"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// BandwidthReservation returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "bandwidth-reservation".
// Priority: [UnionUint8, E_BandwidthReservation_Priority_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) BandwidthReservation(Priority NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_Priority_Union) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-reservations", "bandwidth-reservation"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) Counters() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "counters".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) Counters() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hellos returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "hellos".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) Hellos() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath{
		NodePath: ygot.NewNodePath(
			[]string{"hellos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hellos returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "hellos".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) Hellos() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hellos"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) MaxLinkBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) MaxLinkBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_MaxLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protection returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "protection".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) Protection() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath{
		NodePath: ygot.NewNodePath(
			[]string{"protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protection returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "protection".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) Protection() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subscription returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath the path struct for its child "subscription".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePath) Subscription() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"subscription"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subscription returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny the path struct for its child "subscription".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_InterfacePathAny) Subscription() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subscription"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication/config/authentication-key YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/authentication/config/enable YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePathAny struct {
	*ygot.NodePath
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationKey returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny the path struct for its child "authentication-key".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny) AuthenticationKey() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_AuthenticationKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPath) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny the path struct for its child "enable".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_AuthenticationPathAny) Enable() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Authentication_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/active-reservations-count YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/active-reservations-count YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/available-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/available-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/highwater-mark YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/highwater-mark YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/priority YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/priority YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/reserved-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/bandwidth-reservations/bandwidth-reservation/state/reserved-bandwidth YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPathAny struct {
	*ygot.NodePath
}

// ActiveReservationsCount returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath the path struct for its child "active-reservations-count".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath) ActiveReservationsCount() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-reservations-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveReservationsCount returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny the path struct for its child "active-reservations-count".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny) ActiveReservationsCount() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ActiveReservationsCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-reservations-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath) AvailableBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny) AvailableBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_AvailableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// HighwaterMark returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath the path struct for its child "highwater-mark".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath) HighwaterMark() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "highwater-mark"},
			map[string]interface{}{},
			n,
		),
	}
}

// HighwaterMark returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny the path struct for its child "highwater-mark".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny) HighwaterMark() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_HighwaterMarkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "highwater-mark"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath the path struct for its child "priority".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath) Priority() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny the path struct for its child "priority".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny) Priority() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReservedBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath the path struct for its child "reserved-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPath) ReservedBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reserved-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReservedBandwidth returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny the path struct for its child "reserved-bandwidth".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservationPathAny) ReservedBandwidth() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_BandwidthReservation_ReservedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reserved-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/in-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-ack-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-hello-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-path-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-error-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-reservation-tear-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/out-srefresh-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/rate-limited-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/rate-limited-messages YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPathAny struct {
	*ygot.NodePath
}

// Errors returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "errors".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) Errors() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Errors returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "errors".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) Errors() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InAckMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InHelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InPathTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InReservationTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "in-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) InSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// InSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "in-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) InSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_InSrefreshMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutAckMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-ack-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutAckMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutAckMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-ack-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutHelloMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-hello-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutHelloMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutHelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-path-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutPathErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-path-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutPathMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPathTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-path-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutPathTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutPathTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-path-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationErrorMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-reservation-error-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutReservationErrorMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationErrorMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-error-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-reservation-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutReservationMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutReservationTearMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-reservation-tear-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutReservationTearMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutReservationTearMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-reservation-tear-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "out-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) OutSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutSrefreshMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "out-srefresh-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) OutSrefreshMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_OutSrefreshMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-srefresh-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimitedMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath the path struct for its child "rate-limited-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPath) RateLimitedMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"rate-limited-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimitedMessages returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny the path struct for its child "rate-limited-messages".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_CountersPathAny) RateLimitedMessages() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_RateLimitedMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rate-limited-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/authentication-fail YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/authentication-fail YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-checksum YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-checksum YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-packet-format YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-packet-format YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-packet-length YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/bad-packet-length YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/out-of-order YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/out-of-order YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/received-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/received-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/transmit-failure YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/transmit-failure YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/transmit-queue-full YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/transmit-queue-full YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/unknown-ack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/unknown-ack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/unknown-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/state/counters/errors/unknown-nack YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPathAny struct {
	*ygot.NodePath
}

// AuthenticationFail returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "authentication-fail".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) AuthenticationFail() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication-fail"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationFail returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "authentication-fail".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) AuthenticationFail() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_AuthenticationFailPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication-fail"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadChecksum returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "bad-checksum".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) BadChecksum() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadChecksum returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "bad-checksum".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) BadChecksum() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadChecksumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketFormat returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "bad-packet-format".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) BadPacketFormat() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-format"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketFormat returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "bad-packet-format".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) BadPacketFormat() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketFormatPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-format"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketLength returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "bad-packet-length".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) BadPacketLength() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// BadPacketLength returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "bad-packet-length".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) BadPacketLength() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_BadPacketLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bad-packet-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOfOrder returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "out-of-order".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) OutOfOrder() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-of-order"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOfOrder returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "out-of-order".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) OutOfOrder() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_OutOfOrderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-of-order"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "received-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) ReceivedNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPath{
		NodePath: ygot.NewNodePath(
			[]string{"received-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "received-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) ReceivedNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_ReceivedNackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitFailure returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "transmit-failure".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) TransmitFailure() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePath{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitFailure returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "transmit-failure".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) TransmitFailure() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitFailurePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-failure"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitQueueFull returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "transmit-queue-full".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) TransmitQueueFull() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPath{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-queue-full"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransmitQueueFull returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "transmit-queue-full".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) TransmitQueueFull() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_TransmitQueueFullPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transmit-queue-full"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAck returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "unknown-ack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) UnknownAck() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-ack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAck returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "unknown-ack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) UnknownAck() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownAckPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-ack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath the path struct for its child "unknown-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPath) UnknownNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownNack returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny the path struct for its child "unknown-nack".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_ErrorsPathAny) UnknownNack() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Counters_Errors_UnknownNackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-nack"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos/config/hello-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos/config/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/hellos/config/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPathAny struct {
	*ygot.NodePath
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny) HelloInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPath) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_HellosPathAny) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Hellos_RefreshReductionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath) Interface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection/config/bypass-optimize-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection/config/bypass-optimize-interval YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection/config/link-protection-style-requested YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/protection/config/link-protection-style-requested YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPathAny struct {
	*ygot.NodePath
}

// BypassOptimizeInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath the path struct for its child "bypass-optimize-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath) BypassOptimizeInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bypass-optimize-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// BypassOptimizeInterval returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny the path struct for its child "bypass-optimize-interval".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny) BypassOptimizeInterval() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_BypassOptimizeIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bypass-optimize-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionStyleRequested returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath the path struct for its child "link-protection-style-requested".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPath) LinkProtectionStyleRequested() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-protection-style-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionStyleRequested returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny the path struct for its child "link-protection-style-requested".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_ProtectionPathAny) LinkProtectionStyleRequested() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Protection_LinkProtectionStyleRequestedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-protection-style-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription/state/calculated-absolute-subscription-bw YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription/state/calculated-absolute-subscription-bw YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription/config/subscription YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/interface-attributes/interface/subscription/config/subscription YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPathAny struct {
	*ygot.NodePath
}

// CalculatedAbsoluteSubscriptionBw returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath the path struct for its child "calculated-absolute-subscription-bw".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath) CalculatedAbsoluteSubscriptionBw() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "calculated-absolute-subscription-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// CalculatedAbsoluteSubscriptionBw returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny the path struct for its child "calculated-absolute-subscription-bw".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny) CalculatedAbsoluteSubscriptionBw() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_CalculatedAbsoluteSubscriptionBwPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "calculated-absolute-subscription-bw"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subscription returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath the path struct for its child "subscription".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPath) Subscription() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subscription"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subscription returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny the path struct for its child "subscription".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_SubscriptionPathAny) Subscription() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Interface_Subscription_SubscriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subscription"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/detected-interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/detected-interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/neighbor-status YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/neighbor-status YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/neighbors/neighbor/state/refresh-reduction YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath the path struct for its child "address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath) Address() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny the path struct for its child "address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny) Address() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DetectedInterface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath the path struct for its child "detected-interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath) DetectedInterface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "detected-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// DetectedInterface returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny the path struct for its child "detected-interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny) DetectedInterface() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_DetectedInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "detected-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborStatus returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath the path struct for its child "neighbor-status".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath) NeighborStatus() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborStatus returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny the path struct for its child "neighbor-status".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny) NeighborStatus() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_NeighborStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPath) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// RefreshReduction returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny the path struct for its child "refresh-reduction".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_NeighborPathAny) RefreshReduction() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Neighbor_RefreshReductionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "refresh-reduction"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/destination-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/destination-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/label-in YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/label-in YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/label-out YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/label-out YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/local-index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/local-index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/lsp-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/lsp-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/protection-requested YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/protection-requested YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/session-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/session-name YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/source-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/source-address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/status YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/status YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/tunnel-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/tunnel-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePathAny struct {
	*ygot.NodePath
}

// DestinationAddress returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "destination-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) DestinationAddress() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationAddress returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "destination-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) DestinationAddress() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_DestinationAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitRouteObjectAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "explicit-route-object".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) ExplicitRouteObjectAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExplicitRouteObjectAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "explicit-route-object".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) ExplicitRouteObjectAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExplicitRouteObject returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "explicit-route-object".
// Index: uint64
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) ExplicitRouteObject(Index uint64) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExplicitRouteObject returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "explicit-route-object".
// Index: uint64
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) ExplicitRouteObject(Index uint64) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"explicit-route-objects", "explicit-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// LabelIn returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "label-in".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) LabelIn() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelIn returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "label-in".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) LabelIn() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelOut returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "label-out".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) LabelOut() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelOut returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "label-out".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) LabelOut() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LabelOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIndex returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "local-index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) LocalIndex() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIndex returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "local-index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) LocalIndex() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LocalIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "lsp-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) LspId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "lsp-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) LspId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_LspIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionRequested returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "protection-requested".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) ProtectionRequested() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "protection-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionRequested returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "protection-requested".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) ProtectionRequested() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ProtectionRequestedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "protection-requested"},
			map[string]interface{}{},
			n,
		),
	}
}

// RecordRouteObjectAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "record-route-object".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) RecordRouteObjectAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"record-route-objects", "record-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// RecordRouteObjectAny returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "record-route-object".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) RecordRouteObjectAny() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"record-route-objects", "record-route-object"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// RecordRouteObject returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "record-route-object".
// Index: uint8
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) RecordRouteObject(Index uint8) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath{
		NodePath: ygot.NewNodePath(
			[]string{"record-route-objects", "record-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// RecordRouteObject returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "record-route-object".
// Index: uint8
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) RecordRouteObject(Index uint8) *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"record-route-objects", "record-route-object"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// SenderTspec returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "sender-tspec".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) SenderTspec() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sender-tspec"},
			map[string]interface{}{},
			n,
		),
	}
}

// SenderTspec returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "sender-tspec".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) SenderTspec() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sender-tspec"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionName returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "session-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) SessionName() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionName returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "session-name".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) SessionName() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SessionNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "source-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) SourceAddress() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "source-address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) SourceAddress() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "status".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) Status() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "status".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) Status() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_StatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "tunnel-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) TunnelId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tunnel-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "tunnel-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) TunnelId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TunnelIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tunnel-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath the path struct for its child "type".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPath) Type() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny the path struct for its child "type".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_SessionPathAny) Type() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/asn YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/asn YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/ip-prefix YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/ip-prefix YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/loose YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/loose YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/explicit-route-objects/explicit-route-object/state/type YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePathAny struct {
	*ygot.NodePath
}

// Asn returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "asn".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) Asn() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "asn"},
			map[string]interface{}{},
			n,
		),
	}
}

// Asn returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "asn".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) Asn() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_AsnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "asn"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) Index() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) Index() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpPrefix returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "ip-prefix".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) IpPrefix() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpPrefix returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "ip-prefix".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) IpPrefix() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_IpPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Label returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "label".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) Label() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Label returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "label".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) Label() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Loose returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "loose".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) Loose() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "loose"},
			map[string]interface{}{},
			n,
		),
	}
}

// Loose returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "loose".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) Loose() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_LoosePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "loose"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath the path struct for its child "type".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPath) Type() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny the path struct for its child "type".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObjectPathAny) Type() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_ExplicitRouteObject_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/address YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/index YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/reported-flags YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/reported-flags YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/reported-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/record-route-objects/record-route-object/state/reported-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath the path struct for its child "address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath) Address() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny the path struct for its child "address".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny) Address() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath the path struct for its child "index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath) Index() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny the path struct for its child "index".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny) Index() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReportedFlags returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath the path struct for its child "reported-flags".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath) ReportedFlags() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reported-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReportedFlags returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny the path struct for its child "reported-flags".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny) ReportedFlags() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedFlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reported-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReportedLabel returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath the path struct for its child "reported-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPath) ReportedLabel() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reported-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReportedLabel returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny the path struct for its child "reported-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObjectPathAny) ReportedLabel() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_RecordRouteObject_ReportedLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reported-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/peak-data-rate YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/peak-data-rate YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/rate YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/rate YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/size YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/rsvp-te/sessions/session/state/sender-tspec/size YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePathAny struct {
	*ygot.NodePath
}

// PeakDataRate returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath the path struct for its child "peak-data-rate".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath) PeakDataRate() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePath{
		NodePath: ygot.NewNodePath(
			[]string{"peak-data-rate"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeakDataRate returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny the path struct for its child "peak-data-rate".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny) PeakDataRate() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_PeakDataRatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peak-data-rate"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rate returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath the path struct for its child "rate".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath) Rate() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePath{
		NodePath: ygot.NewNodePath(
			[]string{"rate"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rate returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny the path struct for its child "rate".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny) Rate() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_RatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rate"},
			map[string]interface{}{},
			n,
		),
	}
}

// Size returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath the path struct for its child "size".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPath) Size() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePath {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePath{
		NodePath: ygot.NewNodePath(
			[]string{"size"},
			map[string]interface{}{},
			n,
		),
	}
}

// Size returns from NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny the path struct for its child "size".
func (n *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspecPathAny) Size() *NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_RsvpTe_Session_SenderTspec_SizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"size"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny struct {
	*ygot.NodePath
}

// AggregateSidCounterAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath the path struct for its child "aggregate-sid-counter".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath) AggregateSidCounterAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregate-sid-counters", "aggregate-sid-counter"},
			map[string]interface{}{"mpls-label": "*"},
			n,
		),
	}
}

// AggregateSidCounterAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny the path struct for its child "aggregate-sid-counter".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny) AggregateSidCounterAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregate-sid-counters", "aggregate-sid-counter"},
			map[string]interface{}{"mpls-label": "*"},
			n,
		),
	}
}

// AggregateSidCounter returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath the path struct for its child "aggregate-sid-counter".
// MplsLabel: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath) AggregateSidCounter(MplsLabel NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabel_Union) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath{
		NodePath: ygot.NewNodePath(
			[]string{"aggregate-sid-counters", "aggregate-sid-counter"},
			map[string]interface{}{"mpls-label": MplsLabel},
			n,
		),
	}
}

// AggregateSidCounter returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny the path struct for its child "aggregate-sid-counter".
// MplsLabel: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny) AggregateSidCounter(MplsLabel NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabel_Union) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregate-sid-counters", "aggregate-sid-counter"},
			map[string]interface{}{"mpls-label": MplsLabel},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny) InterfaceAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPath) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRoutingPathAny) Interface(InterfaceId string) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/mpls-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/mpls-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/aggregate-sid-counters/aggregate-sid-counter/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPathAny struct {
	*ygot.NodePath
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath the path struct for its child "mpls-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath) MplsLabel() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny the path struct for its child "mpls-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny) MplsLabel() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_MplsLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPath) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounterPathAny) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_AggregateSidCounter_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPathAny struct {
	*ygot.NodePath
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) InterfaceId() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) InterfaceRef() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidCounterAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "sid-counter".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) SidCounterAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-counters", "sid-counter"},
			map[string]interface{}{"mpls-label": "*"},
			n,
		),
	}
}

// SidCounterAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "sid-counter".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) SidCounterAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-counters", "sid-counter"},
			map[string]interface{}{"mpls-label": "*"},
			n,
		),
	}
}

// SidCounter returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath the path struct for its child "sid-counter".
// MplsLabel: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePath) SidCounter(MplsLabel NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabel_Union) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath{
		NodePath: ygot.NewNodePath(
			[]string{"sid-counters", "sid-counter"},
			map[string]interface{}{"mpls-label": MplsLabel},
			n,
		),
	}
}

// SidCounter returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny the path struct for its child "sid-counter".
// MplsLabel: [UnionUint32, E_MplsTypes_MplsLabel_Enum]
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_InterfacePathAny) SidCounter(MplsLabel NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabel_Union) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-counters", "sid-counter"},
			map[string]interface{}{"mpls-label": MplsLabel},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath) Interface() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/mpls-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/mpls-label YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPathAny struct {
	*ygot.NodePath
}

// ForwardingClassAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "forwarding-class".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) ForwardingClassAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"forwarding-classes", "forwarding-class"},
			map[string]interface{}{"exp": "*"},
			n,
		),
	}
}

// ForwardingClassAny returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "forwarding-class".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) ForwardingClassAny() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"forwarding-classes", "forwarding-class"},
			map[string]interface{}{"exp": "*"},
			n,
		),
	}
}

// ForwardingClass returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "forwarding-class".
// Exp: uint8
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) ForwardingClass(Exp uint8) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath{
		NodePath: ygot.NewNodePath(
			[]string{"forwarding-classes", "forwarding-class"},
			map[string]interface{}{"exp": Exp},
			n,
		),
	}
}

// ForwardingClass returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "forwarding-class".
// Exp: uint8
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) ForwardingClass(Exp uint8) *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"forwarding-classes", "forwarding-class"},
			map[string]interface{}{"exp": Exp},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "mpls-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) MplsLabel() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabel returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "mpls-label".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) MplsLabel() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_MplsLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPath) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounterPathAny) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/exp YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/exp YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/in-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/in-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/out-octets YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/signaling-protocols/segment-routing/interfaces/interface/sid-counters/sid-counter/forwarding-classes/forwarding-class/state/out-pkts YANG schema element.
type NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPathAny struct {
	*ygot.NodePath
}

// Exp returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath the path struct for its child "exp".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath) Exp() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "exp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Exp returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny the path struct for its child "exp".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny) Exp() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_ExpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "exp"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny the path struct for its child "in-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny) InOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny the path struct for its child "in-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny) InPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny) OutOctets() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPath) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPath {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClassPathAny) OutPkts() *NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPathAny {
	return &NetworkInstance_Mpls_SignalingProtocols_SegmentRouting_Interface_SidCounter_ForwardingClass_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_TeGlobalAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributesPathAny struct {
	*ygot.NodePath
}

// AdminGroupAny returns from NetworkInstance_Mpls_TeGlobalAttributesPath the path struct for its child "admin-group".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPath) AdminGroupAny() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls-admin-groups", "admin-group"},
			map[string]interface{}{"admin-group-name": "*"},
			n,
		),
	}
}

// AdminGroupAny returns from NetworkInstance_Mpls_TeGlobalAttributesPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPathAny) AdminGroupAny() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls-admin-groups", "admin-group"},
			map[string]interface{}{"admin-group-name": "*"},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Mpls_TeGlobalAttributesPath the path struct for its child "admin-group".
// AdminGroupName: string
func (n *NetworkInstance_Mpls_TeGlobalAttributesPath) AdminGroup(AdminGroupName string) *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls-admin-groups", "admin-group"},
			map[string]interface{}{"admin-group-name": AdminGroupName},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Mpls_TeGlobalAttributesPathAny the path struct for its child "admin-group".
// AdminGroupName: string
func (n *NetworkInstance_Mpls_TeGlobalAttributesPathAny) AdminGroup(AdminGroupName string) *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls-admin-groups", "admin-group"},
			map[string]interface{}{"admin-group-name": AdminGroupName},
			n,
		),
	}
}

// SrlgAny returns from NetworkInstance_Mpls_TeGlobalAttributesPath the path struct for its child "srlg".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPath) SrlgAny() *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlgs", "srlg"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// SrlgAny returns from NetworkInstance_Mpls_TeGlobalAttributesPathAny the path struct for its child "srlg".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPathAny) SrlgAny() *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlgs", "srlg"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Srlg returns from NetworkInstance_Mpls_TeGlobalAttributesPath the path struct for its child "srlg".
// Name: string
func (n *NetworkInstance_Mpls_TeGlobalAttributesPath) Srlg(Name string) *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath{
		NodePath: ygot.NewNodePath(
			[]string{"srlgs", "srlg"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Srlg returns from NetworkInstance_Mpls_TeGlobalAttributesPathAny the path struct for its child "srlg".
// Name: string
func (n *NetworkInstance_Mpls_TeGlobalAttributesPathAny) Srlg(Name string) *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlgs", "srlg"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// TeLspTimers returns from NetworkInstance_Mpls_TeGlobalAttributesPath the path struct for its child "te-lsp-timers".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPath) TeLspTimers() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-lsp-timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeLspTimers returns from NetworkInstance_Mpls_TeGlobalAttributesPathAny the path struct for its child "te-lsp-timers".
func (n *NetworkInstance_Mpls_TeGlobalAttributesPathAny) TeLspTimers() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-lsp-timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group/config/admin-group-name YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group/config/admin-group-name YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group/config/bit-position YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/mpls-admin-groups/admin-group/config/bit-position YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPathAny struct {
	*ygot.NodePath
}

// AdminGroupName returns from NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath the path struct for its child "admin-group-name".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath) AdminGroupName() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroupName returns from NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny the path struct for its child "admin-group-name".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny) AdminGroupName() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_AdminGroupNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// BitPosition returns from NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath the path struct for its child "bit-position".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPath) BitPosition() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bit-position"},
			map[string]interface{}{},
			n,
		),
	}
}

// BitPosition returns from NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny the path struct for its child "bit-position".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroupPathAny) BitPosition() *NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_AdminGroup_BitPositionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bit-position"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/cost YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/cost YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/flooding-type YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/flooding-type YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/name YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/name YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/value YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/config/value YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePathAny struct {
	*ygot.NodePath
}

// Cost returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "cost".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) Cost() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cost returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "cost".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) Cost() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_CostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// FloodingType returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "flooding-type".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) FloodingType() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "flooding-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// FloodingType returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "flooding-type".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) FloodingType() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_FloodingTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "flooding-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MembersListAny returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "members-list".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) MembersListAny() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-srlg-members", "members-list"},
			map[string]interface{}{"from-address": "*"},
			n,
		),
	}
}

// MembersListAny returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "members-list".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) MembersListAny() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-srlg-members", "members-list"},
			map[string]interface{}{"from-address": "*"},
			n,
		),
	}
}

// MembersList returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "members-list".
// FromAddress: string
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) MembersList(FromAddress string) *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath{
		NodePath: ygot.NewNodePath(
			[]string{"static-srlg-members", "members-list"},
			map[string]interface{}{"from-address": FromAddress},
			n,
		),
	}
}

// MembersList returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "members-list".
// FromAddress: string
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) MembersList(FromAddress string) *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-srlg-members", "members-list"},
			map[string]interface{}{"from-address": FromAddress},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "name".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) Name() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "name".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) Name() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath the path struct for its child "value".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPath) Value() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny the path struct for its child "value".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_SrlgPathAny) Value() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list/config/from-address YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list/config/from-address YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list/config/to-address YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/srlgs/srlg/static-srlg-members/members-list/config/to-address YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPathAny struct {
	*ygot.NodePath
}

// FromAddress returns from NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath the path struct for its child "from-address".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath) FromAddress() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "from-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// FromAddress returns from NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny the path struct for its child "from-address".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny) FromAddress() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_FromAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "from-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ToAddress returns from NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath the path struct for its child "to-address".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPath) ToAddress() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "to-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ToAddress returns from NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny the path struct for its child "to-address".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersListPathAny) ToAddress() *NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_Srlg_MembersList_ToAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "to-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/cleanup-delay YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/cleanup-delay YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/install-delay YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/install-delay YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPath represents the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/reoptimize-timer YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/mpls/te-global-attributes/te-lsp-timers/config/reoptimize-timer YANG schema element.
type NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPathAny struct {
	*ygot.NodePath
}

// CleanupDelay returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath the path struct for its child "cleanup-delay".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath) CleanupDelay() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cleanup-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// CleanupDelay returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny the path struct for its child "cleanup-delay".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny) CleanupDelay() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_CleanupDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cleanup-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstallDelay returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath the path struct for its child "install-delay".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath) InstallDelay() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "install-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstallDelay returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny the path struct for its child "install-delay".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny) InstallDelay() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_InstallDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "install-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReoptimizeTimer returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath the path struct for its child "reoptimize-timer".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPath) ReoptimizeTimer() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPath {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reoptimize-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReoptimizeTimer returns from NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny the path struct for its child "reoptimize-timer".
func (n *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimersPathAny) ReoptimizeTimer() *NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPathAny {
	return &NetworkInstance_Mpls_TeGlobalAttributes_TeLspTimers_ReoptimizeTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reoptimize-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwardingPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding YANG schema element.
type NetworkInstance_PolicyForwardingPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwardingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding YANG schema element.
type NetworkInstance_PolicyForwardingPathAny struct {
	*ygot.NodePath
}

// InterfaceAny returns from NetworkInstance_PolicyForwardingPath the path struct for its child "interface".
func (n *NetworkInstance_PolicyForwardingPath) InterfaceAny() *NetworkInstance_PolicyForwarding_InterfacePathAny {
	return &NetworkInstance_PolicyForwarding_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "interface".
func (n *NetworkInstance_PolicyForwardingPathAny) InterfaceAny() *NetworkInstance_PolicyForwarding_InterfacePathAny {
	return &NetworkInstance_PolicyForwarding_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_PolicyForwardingPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_PolicyForwardingPath) Interface(InterfaceId string) *NetworkInstance_PolicyForwarding_InterfacePath {
	return &NetworkInstance_PolicyForwarding_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_PolicyForwardingPathAny) Interface(InterfaceId string) *NetworkInstance_PolicyForwarding_InterfacePathAny {
	return &NetworkInstance_PolicyForwarding_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// PathSelectionGroupAny returns from NetworkInstance_PolicyForwardingPath the path struct for its child "path-selection-group".
func (n *NetworkInstance_PolicyForwardingPath) PathSelectionGroupAny() *NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-selection-groups", "path-selection-group"},
			map[string]interface{}{"group-id": "*"},
			n,
		),
	}
}

// PathSelectionGroupAny returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "path-selection-group".
func (n *NetworkInstance_PolicyForwardingPathAny) PathSelectionGroupAny() *NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-selection-groups", "path-selection-group"},
			map[string]interface{}{"group-id": "*"},
			n,
		),
	}
}

// PathSelectionGroup returns from NetworkInstance_PolicyForwardingPath the path struct for its child "path-selection-group".
// GroupId: string
func (n *NetworkInstance_PolicyForwardingPath) PathSelectionGroup(GroupId string) *NetworkInstance_PolicyForwarding_PathSelectionGroupPath {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"path-selection-groups", "path-selection-group"},
			map[string]interface{}{"group-id": GroupId},
			n,
		),
	}
}

// PathSelectionGroup returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "path-selection-group".
// GroupId: string
func (n *NetworkInstance_PolicyForwardingPathAny) PathSelectionGroup(GroupId string) *NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"path-selection-groups", "path-selection-group"},
			map[string]interface{}{"group-id": GroupId},
			n,
		),
	}
}

// PolicyAny returns from NetworkInstance_PolicyForwardingPath the path struct for its child "policy".
func (n *NetworkInstance_PolicyForwardingPath) PolicyAny() *NetworkInstance_PolicyForwarding_PolicyPathAny {
	return &NetworkInstance_PolicyForwarding_PolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policies", "policy"},
			map[string]interface{}{"policy-id": "*"},
			n,
		),
	}
}

// PolicyAny returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "policy".
func (n *NetworkInstance_PolicyForwardingPathAny) PolicyAny() *NetworkInstance_PolicyForwarding_PolicyPathAny {
	return &NetworkInstance_PolicyForwarding_PolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policies", "policy"},
			map[string]interface{}{"policy-id": "*"},
			n,
		),
	}
}

// Policy returns from NetworkInstance_PolicyForwardingPath the path struct for its child "policy".
// PolicyId: string
func (n *NetworkInstance_PolicyForwardingPath) Policy(PolicyId string) *NetworkInstance_PolicyForwarding_PolicyPath {
	return &NetworkInstance_PolicyForwarding_PolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"policies", "policy"},
			map[string]interface{}{"policy-id": PolicyId},
			n,
		),
	}
}

// Policy returns from NetworkInstance_PolicyForwardingPathAny the path struct for its child "policy".
// PolicyId: string
func (n *NetworkInstance_PolicyForwardingPathAny) Policy(PolicyId string) *NetworkInstance_PolicyForwarding_PolicyPathAny {
	return &NetworkInstance_PolicyForwarding_PolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policies", "policy"},
			map[string]interface{}{"policy-id": PolicyId},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface YANG schema element.
type NetworkInstance_PolicyForwarding_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface YANG schema element.
type NetworkInstance_PolicyForwarding_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/config/apply-forwarding-policy YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/config/apply-forwarding-policy YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// ApplyForwardingPolicy returns from NetworkInstance_PolicyForwarding_InterfacePath the path struct for its child "apply-forwarding-policy".
func (n *NetworkInstance_PolicyForwarding_InterfacePath) ApplyForwardingPolicy() *NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPath {
	return &NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "apply-forwarding-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyForwardingPolicy returns from NetworkInstance_PolicyForwarding_InterfacePathAny the path struct for its child "apply-forwarding-policy".
func (n *NetworkInstance_PolicyForwarding_InterfacePathAny) ApplyForwardingPolicy() *NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPathAny {
	return &NetworkInstance_PolicyForwarding_Interface_ApplyForwardingPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "apply-forwarding-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_PolicyForwarding_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_PolicyForwarding_InterfacePath) InterfaceId() *NetworkInstance_PolicyForwarding_Interface_InterfaceIdPath {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_PolicyForwarding_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_PolicyForwarding_InterfacePathAny) InterfaceId() *NetworkInstance_PolicyForwarding_Interface_InterfaceIdPathAny {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_PolicyForwarding_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_PolicyForwarding_InterfacePath) InterfaceRef() *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_PolicyForwarding_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_PolicyForwarding_InterfacePathAny) InterfaceRef() *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath) Interface() *NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_PolicyForwarding_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_PolicyForwarding_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_PathSelectionGroupPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group/config/group-id YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group/config/group-id YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group/config/mpls-lsp YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/path-selection-groups/path-selection-group/config/mpls-lsp YANG schema element.
type NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPathAny struct {
	*ygot.NodePath
}

// GroupId returns from NetworkInstance_PolicyForwarding_PathSelectionGroupPath the path struct for its child "group-id".
func (n *NetworkInstance_PolicyForwarding_PathSelectionGroupPath) GroupId() *NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPath {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "group-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// GroupId returns from NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny the path struct for its child "group-id".
func (n *NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny) GroupId() *NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPathAny {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroup_GroupIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "group-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLsp returns from NetworkInstance_PolicyForwarding_PathSelectionGroupPath the path struct for its child "mpls-lsp".
func (n *NetworkInstance_PolicyForwarding_PathSelectionGroupPath) MplsLsp() *NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPath {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLsp returns from NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny the path struct for its child "mpls-lsp".
func (n *NetworkInstance_PolicyForwarding_PathSelectionGroupPathAny) MplsLsp() *NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPathAny {
	return &NetworkInstance_PolicyForwarding_PathSelectionGroup_MplsLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_PolicyPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy YANG schema element.
type NetworkInstance_PolicyForwarding_PolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_PolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy YANG schema element.
type NetworkInstance_PolicyForwarding_PolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_PolicyIdPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/config/policy-id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_PolicyIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_PolicyIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/config/policy-id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_PolicyIdPathAny struct {
	*ygot.NodePath
}

// PolicyId returns from NetworkInstance_PolicyForwarding_PolicyPath the path struct for its child "policy-id".
func (n *NetworkInstance_PolicyForwarding_PolicyPath) PolicyId() *NetworkInstance_PolicyForwarding_Policy_PolicyIdPath {
	return &NetworkInstance_PolicyForwarding_Policy_PolicyIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "policy-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolicyId returns from NetworkInstance_PolicyForwarding_PolicyPathAny the path struct for its child "policy-id".
func (n *NetworkInstance_PolicyForwarding_PolicyPathAny) PolicyId() *NetworkInstance_PolicyForwarding_Policy_PolicyIdPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_PolicyIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "policy-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RuleAny returns from NetworkInstance_PolicyForwarding_PolicyPath the path struct for its child "rule".
func (n *NetworkInstance_PolicyForwarding_PolicyPath) RuleAny() *NetworkInstance_PolicyForwarding_Policy_RulePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_RulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rules", "rule"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// RuleAny returns from NetworkInstance_PolicyForwarding_PolicyPathAny the path struct for its child "rule".
func (n *NetworkInstance_PolicyForwarding_PolicyPathAny) RuleAny() *NetworkInstance_PolicyForwarding_Policy_RulePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_RulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rules", "rule"},
			map[string]interface{}{"sequence-id": "*"},
			n,
		),
	}
}

// Rule returns from NetworkInstance_PolicyForwarding_PolicyPath the path struct for its child "rule".
// SequenceId: uint32
func (n *NetworkInstance_PolicyForwarding_PolicyPath) Rule(SequenceId uint32) *NetworkInstance_PolicyForwarding_Policy_RulePath {
	return &NetworkInstance_PolicyForwarding_Policy_RulePath{
		NodePath: ygot.NewNodePath(
			[]string{"rules", "rule"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// Rule returns from NetworkInstance_PolicyForwarding_PolicyPathAny the path struct for its child "rule".
// SequenceId: uint32
func (n *NetworkInstance_PolicyForwarding_PolicyPathAny) Rule(SequenceId uint32) *NetworkInstance_PolicyForwarding_Policy_RulePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_RulePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rules", "rule"},
			map[string]interface{}{"sequence-id": SequenceId},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_RulePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_RulePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_RulePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_RulePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/state/matched-octets YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/state/matched-octets YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/state/matched-pkts YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/state/matched-pkts YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/config/sequence-id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/config/sequence-id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPathAny struct {
	*ygot.NodePath
}

// Action returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "action".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) Action() *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath{
		NodePath: ygot.NewNodePath(
			[]string{"action"},
			map[string]interface{}{},
			n,
		),
	}
}

// Action returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "action".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) Action() *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"action"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "ipv4".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) Ipv4() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4 returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "ipv4".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) Ipv4() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "ipv6".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) Ipv6() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6 returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "ipv6".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) Ipv6() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2 returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "l2".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) L2() *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2Path{
		NodePath: ygot.NewNodePath(
			[]string{"l2"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2 returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "l2".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) L2() *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "matched-octets".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) MatchedOctets() *NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedOctets returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "matched-octets".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) MatchedOctets() *NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_MatchedOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPkts returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "matched-pkts".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) MatchedPkts() *NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchedPkts returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "matched-pkts".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) MatchedPkts() *NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_MatchedPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "matched-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "sequence-id".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) SequenceId() *NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceId returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "sequence-id".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) SequenceId() *NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_SequenceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sequence-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_PolicyForwarding_Policy_RulePath the path struct for its child "transport".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePath) Transport() *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_PolicyForwarding_Policy_RulePathAny the path struct for its child "transport".
func (n *NetworkInstance_PolicyForwarding_Policy_RulePathAny) Transport() *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/decapsulate-gre YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/decapsulate-gre YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/discard YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/discard YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/network-instance YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/network-instance YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/next-hop YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/next-hop YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/path-selection-group YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/config/path-selection-group YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPathAny struct {
	*ygot.NodePath
}

// DecapsulateGre returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "decapsulate-gre".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) DecapsulateGre() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "decapsulate-gre"},
			map[string]interface{}{},
			n,
		),
	}
}

// DecapsulateGre returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "decapsulate-gre".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) DecapsulateGre() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_DecapsulateGrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "decapsulate-gre"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "discard".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) Discard() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "discard".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) Discard() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_DiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulateGre returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "encapsulate-gre".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) EncapsulateGre() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath{
		NodePath: ygot.NewNodePath(
			[]string{"encapsulate-gre"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulateGre returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "encapsulate-gre".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) EncapsulateGre() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"encapsulate-gre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "network-instance".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) NetworkInstance() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "network-instance"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "network-instance".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) NetworkInstance() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_NetworkInstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "network-instance"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "next-hop".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) NextHop() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) NextHop() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathSelectionGroup returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath the path struct for its child "path-selection-group".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPath) PathSelectionGroup() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-selection-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathSelectionGroup returns from NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny the path struct for its child "path-selection-group".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_ActionPathAny) PathSelectionGroup() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_PathSelectionGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "path-selection-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/config/identifying-prefix YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/config/identifying-prefix YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPathAny struct {
	*ygot.NodePath
}

// IdentifyingPrefix returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath the path struct for its child "identifying-prefix".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath) IdentifyingPrefix() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifying-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdentifyingPrefix returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny the path struct for its child "identifying-prefix".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny) IdentifyingPrefix() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_IdentifyingPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifying-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetAny returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath the path struct for its child "target".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath) TargetAny() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// TargetAny returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny the path struct for its child "target".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny) TargetAny() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Target returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath the path struct for its child "target".
// Id: string
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePath) Target(Id string) *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Target returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny the path struct for its child "target".
// Id: string
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGrePathAny) Target(Id string) *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"targets", "target"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/destination YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/destination YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/id YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/ip-ttl YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/ip-ttl YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/source YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/action/encapsulate-gre/targets/target/config/source YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePathAny struct {
	*ygot.NodePath
}

// Destination returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath the path struct for its child "destination".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath) Destination() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination"},
			map[string]interface{}{},
			n,
		),
	}
}

// Destination returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny the path struct for its child "destination".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny) Destination() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_DestinationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath the path struct for its child "id".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath) Id() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny the path struct for its child "id".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny) Id() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpTtl returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath the path struct for its child "ip-ttl".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath) IpTtl() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpTtl returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny the path struct for its child "ip-ttl".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny) IpTtl() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_IpTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath the path struct for its child "source".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPath) Source() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny the path struct for its child "source".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_TargetPathAny) Source() *NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Action_EncapsulateGre_Target_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/destination-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/destination-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/dscp YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/dscp YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/hop-limit YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/hop-limit YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/protocol YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/protocol YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/source-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv4/config/source-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPathAny struct {
	*ygot.NodePath
}

// DestinationAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path the path struct for its child "destination-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path) DestinationAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny the path struct for its child "destination-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny) DestinationAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DestinationAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path the path struct for its child "dscp".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path) Dscp() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny the path struct for its child "dscp".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny) Dscp() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_DscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path the path struct for its child "hop-limit".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path) HopLimit() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny the path struct for its child "hop-limit".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny) HopLimit() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_HopLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path the path struct for its child "protocol".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path) Protocol() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny the path struct for its child "protocol".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny) Protocol() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path the path struct for its child "source-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4Path) SourceAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny the path struct for its child "source-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4PathAny) SourceAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv4_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/destination-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/destination-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/destination-flow-label YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/destination-flow-label YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/dscp YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/dscp YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/hop-limit YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/hop-limit YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/protocol YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/protocol YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/source-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/source-address YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/source-flow-label YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/ipv6/config/source-flow-label YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPathAny struct {
	*ygot.NodePath
}

// DestinationAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "destination-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) DestinationAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "destination-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) DestinationAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationFlowLabel returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "destination-flow-label".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) DestinationFlowLabel() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationFlowLabel returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "destination-flow-label".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) DestinationFlowLabel() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DestinationFlowLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "dscp".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) Dscp() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dscp returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "dscp".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) Dscp() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_DscpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dscp"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "hop-limit".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) HopLimit() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// HopLimit returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "hop-limit".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) HopLimit() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_HopLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hop-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "protocol".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) Protocol() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "protocol".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) Protocol() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "source-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) SourceAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "source-address".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) SourceAddress() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceFlowLabel returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path the path struct for its child "source-flow-label".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6Path) SourceFlowLabel() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceFlowLabel returns from NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny the path struct for its child "source-flow-label".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6PathAny) SourceFlowLabel() *NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Ipv6_SourceFlowLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-flow-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2Path represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2Path struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2 YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/destination-mac YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/destination-mac YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/destination-mac-mask YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/destination-mac-mask YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/ethertype YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/ethertype YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/source-mac YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/source-mac YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/source-mac-mask YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/l2/config/source-mac-mask YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPathAny struct {
	*ygot.NodePath
}

// DestinationMac returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2Path the path struct for its child "destination-mac".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path) DestinationMac() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMac returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny the path struct for its child "destination-mac".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny) DestinationMac() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMacMask returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2Path the path struct for its child "destination-mac-mask".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path) DestinationMacMask() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationMacMask returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny the path struct for its child "destination-mac-mask".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny) DestinationMacMask() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_DestinationMacMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethertype returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2Path the path struct for its child "ethertype".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path) Ethertype() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethertype"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethertype returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny the path struct for its child "ethertype".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny) Ethertype() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_EthertypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ethertype"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMac returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2Path the path struct for its child "source-mac".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path) SourceMac() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMac returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny the path struct for its child "source-mac".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny) SourceMac() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMacMask returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2Path the path struct for its child "source-mac-mask".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2Path) SourceMacMask() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceMacMask returns from NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny the path struct for its child "source-mac-mask".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_L2PathAny) SourceMacMask() *NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_L2_SourceMacMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-mac-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/destination-port YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/destination-port YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/source-port YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/source-port YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPath represents the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/tcp-flags YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/policy-forwarding/policies/policy/rules/rule/transport/config/tcp-flags YANG schema element.
type NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPathAny struct {
	*ygot.NodePath
}

// DestinationPort returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath the path struct for its child "destination-port".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath) DestinationPort() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// DestinationPort returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny the path struct for its child "destination-port".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny) DestinationPort() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_DestinationPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "destination-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourcePort returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath the path struct for its child "source-port".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath) SourcePort() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourcePort returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny the path struct for its child "source-port".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny) SourcePort() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_SourcePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpFlags returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath the path struct for its child "tcp-flags".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPath) TcpFlags() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPath {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpFlags returns from NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny the path struct for its child "tcp-flags".
func (n *NetworkInstance_PolicyForwarding_Policy_Rule_TransportPathAny) TcpFlags() *NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPathAny {
	return &NetworkInstance_PolicyForwarding_Policy_Rule_Transport_TcpFlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_ProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol YANG schema element.
type NetworkInstance_ProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_ProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol YANG schema element.
type NetworkInstance_ProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_DefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/default-metric YANG schema element.
type NetworkInstance_Protocol_DefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_DefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/default-metric YANG schema element.
type NetworkInstance_Protocol_DefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/enabled YANG schema element.
type NetworkInstance_Protocol_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/enabled YANG schema element.
type NetworkInstance_Protocol_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_IdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/identifier YANG schema element.
type NetworkInstance_Protocol_IdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_IdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/identifier YANG schema element.
type NetworkInstance_Protocol_IdentifierPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_NamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/name YANG schema element.
type NetworkInstance_Protocol_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/config/name YANG schema element.
type NetworkInstance_Protocol_NamePathAny struct {
	*ygot.NodePath
}

// AggregateAny returns from NetworkInstance_ProtocolPath the path struct for its child "aggregate".
func (n *NetworkInstance_ProtocolPath) AggregateAny() *NetworkInstance_Protocol_AggregatePathAny {
	return &NetworkInstance_Protocol_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// AggregateAny returns from NetworkInstance_ProtocolPathAny the path struct for its child "aggregate".
func (n *NetworkInstance_ProtocolPathAny) AggregateAny() *NetworkInstance_Protocol_AggregatePathAny {
	return &NetworkInstance_Protocol_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Aggregate returns from NetworkInstance_ProtocolPath the path struct for its child "aggregate".
// Prefix: string
func (n *NetworkInstance_ProtocolPath) Aggregate(Prefix string) *NetworkInstance_Protocol_AggregatePath {
	return &NetworkInstance_Protocol_AggregatePath{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Aggregate returns from NetworkInstance_ProtocolPathAny the path struct for its child "aggregate".
// Prefix: string
func (n *NetworkInstance_ProtocolPathAny) Aggregate(Prefix string) *NetworkInstance_Protocol_AggregatePathAny {
	return &NetworkInstance_Protocol_AggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"local-aggregates", "aggregate"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Bgp returns from NetworkInstance_ProtocolPath the path struct for its child "bgp".
func (n *NetworkInstance_ProtocolPath) Bgp() *NetworkInstance_Protocol_BgpPath {
	return &NetworkInstance_Protocol_BgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"bgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bgp returns from NetworkInstance_ProtocolPathAny the path struct for its child "bgp".
func (n *NetworkInstance_ProtocolPathAny) Bgp() *NetworkInstance_Protocol_BgpPathAny {
	return &NetworkInstance_Protocol_BgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultMetric returns from NetworkInstance_ProtocolPath the path struct for its child "default-metric".
func (n *NetworkInstance_ProtocolPath) DefaultMetric() *NetworkInstance_Protocol_DefaultMetricPath {
	return &NetworkInstance_Protocol_DefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultMetric returns from NetworkInstance_ProtocolPathAny the path struct for its child "default-metric".
func (n *NetworkInstance_ProtocolPathAny) DefaultMetric() *NetworkInstance_Protocol_DefaultMetricPathAny {
	return &NetworkInstance_Protocol_DefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_ProtocolPath the path struct for its child "enabled".
func (n *NetworkInstance_ProtocolPath) Enabled() *NetworkInstance_Protocol_EnabledPath {
	return &NetworkInstance_Protocol_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_ProtocolPathAny the path struct for its child "enabled".
func (n *NetworkInstance_ProtocolPathAny) Enabled() *NetworkInstance_Protocol_EnabledPathAny {
	return &NetworkInstance_Protocol_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from NetworkInstance_ProtocolPath the path struct for its child "identifier".
func (n *NetworkInstance_ProtocolPath) Identifier() *NetworkInstance_Protocol_IdentifierPath {
	return &NetworkInstance_Protocol_IdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from NetworkInstance_ProtocolPathAny the path struct for its child "identifier".
func (n *NetworkInstance_ProtocolPathAny) Identifier() *NetworkInstance_Protocol_IdentifierPathAny {
	return &NetworkInstance_Protocol_IdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Igmp returns from NetworkInstance_ProtocolPath the path struct for its child "igmp".
func (n *NetworkInstance_ProtocolPath) Igmp() *NetworkInstance_Protocol_IgmpPath {
	return &NetworkInstance_Protocol_IgmpPath{
		NodePath: ygot.NewNodePath(
			[]string{"igmp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Igmp returns from NetworkInstance_ProtocolPathAny the path struct for its child "igmp".
func (n *NetworkInstance_ProtocolPathAny) Igmp() *NetworkInstance_Protocol_IgmpPathAny {
	return &NetworkInstance_Protocol_IgmpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igmp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Isis returns from NetworkInstance_ProtocolPath the path struct for its child "isis".
func (n *NetworkInstance_ProtocolPath) Isis() *NetworkInstance_Protocol_IsisPath {
	return &NetworkInstance_Protocol_IsisPath{
		NodePath: ygot.NewNodePath(
			[]string{"isis"},
			map[string]interface{}{},
			n,
		),
	}
}

// Isis returns from NetworkInstance_ProtocolPathAny the path struct for its child "isis".
func (n *NetworkInstance_ProtocolPathAny) Isis() *NetworkInstance_Protocol_IsisPathAny {
	return &NetworkInstance_Protocol_IsisPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"isis"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_ProtocolPath the path struct for its child "name".
func (n *NetworkInstance_ProtocolPath) Name() *NetworkInstance_Protocol_NamePath {
	return &NetworkInstance_Protocol_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_ProtocolPathAny the path struct for its child "name".
func (n *NetworkInstance_ProtocolPathAny) Name() *NetworkInstance_Protocol_NamePathAny {
	return &NetworkInstance_Protocol_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ospfv2 returns from NetworkInstance_ProtocolPath the path struct for its child "ospfv2".
func (n *NetworkInstance_ProtocolPath) Ospfv2() *NetworkInstance_Protocol_Ospfv2Path {
	return &NetworkInstance_Protocol_Ospfv2Path{
		NodePath: ygot.NewNodePath(
			[]string{"ospfv2"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ospfv2 returns from NetworkInstance_ProtocolPathAny the path struct for its child "ospfv2".
func (n *NetworkInstance_ProtocolPathAny) Ospfv2() *NetworkInstance_Protocol_Ospfv2PathAny {
	return &NetworkInstance_Protocol_Ospfv2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ospfv2"},
			map[string]interface{}{},
			n,
		),
	}
}

// Pim returns from NetworkInstance_ProtocolPath the path struct for its child "pim".
func (n *NetworkInstance_ProtocolPath) Pim() *NetworkInstance_Protocol_PimPath {
	return &NetworkInstance_Protocol_PimPath{
		NodePath: ygot.NewNodePath(
			[]string{"pim"},
			map[string]interface{}{},
			n,
		),
	}
}

// Pim returns from NetworkInstance_ProtocolPathAny the path struct for its child "pim".
func (n *NetworkInstance_ProtocolPathAny) Pim() *NetworkInstance_Protocol_PimPathAny {
	return &NetworkInstance_Protocol_PimPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"pim"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaticAny returns from NetworkInstance_ProtocolPath the path struct for its child "static".
func (n *NetworkInstance_ProtocolPath) StaticAny() *NetworkInstance_Protocol_StaticPathAny {
	return &NetworkInstance_Protocol_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// StaticAny returns from NetworkInstance_ProtocolPathAny the path struct for its child "static".
func (n *NetworkInstance_ProtocolPathAny) StaticAny() *NetworkInstance_Protocol_StaticPathAny {
	return &NetworkInstance_Protocol_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Static returns from NetworkInstance_ProtocolPath the path struct for its child "static".
// Prefix: string
func (n *NetworkInstance_ProtocolPath) Static(Prefix string) *NetworkInstance_Protocol_StaticPath {
	return &NetworkInstance_Protocol_StaticPath{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Static returns from NetworkInstance_ProtocolPathAny the path struct for its child "static".
// Prefix: string
func (n *NetworkInstance_ProtocolPathAny) Static(Prefix string) *NetworkInstance_Protocol_StaticPathAny {
	return &NetworkInstance_Protocol_StaticPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"static-routes", "static"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_AggregatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate YANG schema element.
type NetworkInstance_Protocol_AggregatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_AggregatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate YANG schema element.
type NetworkInstance_Protocol_AggregatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/description YANG schema element.
type NetworkInstance_Protocol_Aggregate_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/description YANG schema element.
type NetworkInstance_Protocol_Aggregate_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_DiscardPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/discard YANG schema element.
type NetworkInstance_Protocol_Aggregate_DiscardPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_DiscardPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/discard YANG schema element.
type NetworkInstance_Protocol_Aggregate_DiscardPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/prefix YANG schema element.
type NetworkInstance_Protocol_Aggregate_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/prefix YANG schema element.
type NetworkInstance_Protocol_Aggregate_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_SetTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/set-tag YANG schema element.
type NetworkInstance_Protocol_Aggregate_SetTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Aggregate_SetTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/local-aggregates/aggregate/config/set-tag YANG schema element.
type NetworkInstance_Protocol_Aggregate_SetTagPathAny struct {
	*ygot.NodePath
}

// Description returns from NetworkInstance_Protocol_AggregatePath the path struct for its child "description".
func (n *NetworkInstance_Protocol_AggregatePath) Description() *NetworkInstance_Protocol_Aggregate_DescriptionPath {
	return &NetworkInstance_Protocol_Aggregate_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_AggregatePathAny the path struct for its child "description".
func (n *NetworkInstance_Protocol_AggregatePathAny) Description() *NetworkInstance_Protocol_Aggregate_DescriptionPathAny {
	return &NetworkInstance_Protocol_Aggregate_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from NetworkInstance_Protocol_AggregatePath the path struct for its child "discard".
func (n *NetworkInstance_Protocol_AggregatePath) Discard() *NetworkInstance_Protocol_Aggregate_DiscardPath {
	return &NetworkInstance_Protocol_Aggregate_DiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discard returns from NetworkInstance_Protocol_AggregatePathAny the path struct for its child "discard".
func (n *NetworkInstance_Protocol_AggregatePathAny) Discard() *NetworkInstance_Protocol_Aggregate_DiscardPathAny {
	return &NetworkInstance_Protocol_Aggregate_DiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_AggregatePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_AggregatePath) Prefix() *NetworkInstance_Protocol_Aggregate_PrefixPath {
	return &NetworkInstance_Protocol_Aggregate_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_AggregatePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_AggregatePathAny) Prefix() *NetworkInstance_Protocol_Aggregate_PrefixPathAny {
	return &NetworkInstance_Protocol_Aggregate_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from NetworkInstance_Protocol_AggregatePath the path struct for its child "set-tag".
func (n *NetworkInstance_Protocol_AggregatePath) SetTag() *NetworkInstance_Protocol_Aggregate_SetTagPath {
	return &NetworkInstance_Protocol_Aggregate_SetTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from NetworkInstance_Protocol_AggregatePathAny the path struct for its child "set-tag".
func (n *NetworkInstance_Protocol_AggregatePathAny) SetTag() *NetworkInstance_Protocol_Aggregate_SetTagPathAny {
	return &NetworkInstance_Protocol_Aggregate_SetTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_BgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp YANG schema element.
type NetworkInstance_Protocol_BgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_BgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp YANG schema element.
type NetworkInstance_Protocol_BgpPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Protocol_BgpPath the path struct for its child "global".
func (n *NetworkInstance_Protocol_BgpPath) Global() *NetworkInstance_Protocol_Bgp_GlobalPath {
	return &NetworkInstance_Protocol_Bgp_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "global".
func (n *NetworkInstance_Protocol_BgpPathAny) Global() *NetworkInstance_Protocol_Bgp_GlobalPathAny {
	return &NetworkInstance_Protocol_Bgp_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_BgpPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_BgpPath) NeighborAny() *NetworkInstance_Protocol_Bgp_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_BgpPathAny) NeighborAny() *NetworkInstance_Protocol_Bgp_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_BgpPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_BgpPath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_NeighborPath {
	return &NetworkInstance_Protocol_Bgp_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_BgpPathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// PeerGroupAny returns from NetworkInstance_Protocol_BgpPath the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_BgpPath) PeerGroupAny() *NetworkInstance_Protocol_Bgp_PeerGroupPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": "*"},
			n,
		),
	}
}

// PeerGroupAny returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_BgpPathAny) PeerGroupAny() *NetworkInstance_Protocol_Bgp_PeerGroupPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": "*"},
			n,
		),
	}
}

// PeerGroup returns from NetworkInstance_Protocol_BgpPath the path struct for its child "peer-group".
// PeerGroupName: string
func (n *NetworkInstance_Protocol_BgpPath) PeerGroup(PeerGroupName string) *NetworkInstance_Protocol_Bgp_PeerGroupPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": PeerGroupName},
			n,
		),
	}
}

// PeerGroup returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "peer-group".
// PeerGroupName: string
func (n *NetworkInstance_Protocol_BgpPathAny) PeerGroup(PeerGroupName string) *NetworkInstance_Protocol_Bgp_PeerGroupPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"peer-groups", "peer-group"},
			map[string]interface{}{"peer-group-name": PeerGroupName},
			n,
		),
	}
}

// Rib returns from NetworkInstance_Protocol_BgpPath the path struct for its child "rib".
func (n *NetworkInstance_Protocol_BgpPath) Rib() *NetworkInstance_Protocol_Bgp_RibPath {
	return &NetworkInstance_Protocol_Bgp_RibPath{
		NodePath: ygot.NewNodePath(
			[]string{"rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rib returns from NetworkInstance_Protocol_BgpPathAny the path struct for its child "rib".
func (n *NetworkInstance_Protocol_BgpPathAny) Rib() *NetworkInstance_Protocol_Bgp_RibPathAny {
	return &NetworkInstance_Protocol_Bgp_RibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global YANG schema element.
type NetworkInstance_Protocol_Bgp_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global YANG schema element.
type NetworkInstance_Protocol_Bgp_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/config/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/config/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/config/router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/config/router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_TotalPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_TotalPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_TotalPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_TotalPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// As returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) As() *NetworkInstance_Protocol_Bgp_Global_AsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) As() *NetworkInstance_Protocol_Bgp_Global_AsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Confederation returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "confederation".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) Confederation() *NetworkInstance_Protocol_Bgp_Global_ConfederationPath {
	return &NetworkInstance_Protocol_Bgp_Global_ConfederationPath{
		NodePath: ygot.NewNodePath(
			[]string{"confederation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Confederation returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "confederation".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) Confederation() *NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"confederation"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultRouteDistance returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "default-route-distance".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) DefaultRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"default-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultRouteDistance returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "default-route-distance".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) DefaultRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"default-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicNeighborPrefixAny returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "dynamic-neighbor-prefix".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) DynamicNeighborPrefixAny() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// DynamicNeighborPrefixAny returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "dynamic-neighbor-prefix".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) DynamicNeighborPrefixAny() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// DynamicNeighborPrefix returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "dynamic-neighbor-prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) DynamicNeighborPrefix(Prefix string) *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// DynamicNeighborPrefix returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "dynamic-neighbor-prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) DynamicNeighborPrefix(Prefix string) *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dynamic-neighbor-prefixes", "dynamic-neighbor-prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "route-selection-options".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) RouteSelectionOptions() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "route-selection-options".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) RouteSelectionOptions() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) RouterId() *NetworkInstance_Protocol_Bgp_Global_RouterIdPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) RouterId() *NetworkInstance_Protocol_Bgp_Global_RouterIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) TotalPaths() *NetworkInstance_Protocol_Bgp_Global_TotalPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) TotalPaths() *NetworkInstance_Protocol_Bgp_Global_TotalPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) TotalPrefixes() *NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) TotalPrefixes() *NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_GlobalPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_GlobalPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_GlobalPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_GlobalPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) AddPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) AddPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) AfiSafiName() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) AfiSafiName() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L2VpnVpls() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L2VpnVpls() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "route-selection-options".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) RouteSelectionOptions() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteSelectionOptions returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "route-selection-options".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) RouteSelectionOptions() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-selection-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) TotalPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) TotalPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) TotalPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) TotalPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafiPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath) Receive() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny) Receive() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath) Send() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny) Send() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPath) SendMax() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPathsPathAny) SendMax() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/advertise-inactive-routes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/advertise-inactive-routes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/always-compare-med YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/always-compare-med YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/enable-aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/enable-aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/external-compare-router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/external-compare-router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-as-path-length YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-as-path-length YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny struct {
	*ygot.NodePath
}

// AdvertiseInactiveRoutes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "advertise-inactive-routes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) AdvertiseInactiveRoutes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertiseInactiveRoutes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "advertise-inactive-routes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) AdvertiseInactiveRoutes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "always-compare-med".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) AlwaysCompareMed() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "always-compare-med".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) AlwaysCompareMed() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_AlwaysCompareMedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "enable-aigp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) EnableAigp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "enable-aigp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) EnableAigp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_EnableAigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "external-compare-router-id".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) ExternalCompareRouterId() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "external-compare-router-id".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) ExternalCompareRouterId() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_ExternalCompareRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "ignore-as-path-length".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) IgnoreAsPathLength() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "ignore-as-path-length".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) IgnoreAsPathLength() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreAsPathLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath the path struct for its child "ignore-next-hop-igp-metric".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPath) IgnoreNextHopIgpMetric() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny the path struct for its child "ignore-next-hop-igp-metric".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptionsPathAny) IgnoreNextHopIgpMetric() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPath) Ibgp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePathsPathAny) Ibgp() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_EbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_IbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_ConfederationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_ConfederationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation/config/identifier YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation/config/identifier YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation/config/member-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/confederation/config/member-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPathAny struct {
	*ygot.NodePath
}

// Identifier returns from NetworkInstance_Protocol_Bgp_Global_ConfederationPath the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Bgp_Global_ConfederationPath) Identifier() *NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPath {
	return &NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny) Identifier() *NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_Confederation_IdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemberAs returns from NetworkInstance_Protocol_Bgp_Global_ConfederationPath the path struct for its child "member-as".
func (n *NetworkInstance_Protocol_Bgp_Global_ConfederationPath) MemberAs() *NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPath {
	return &NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "member-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemberAs returns from NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny the path struct for its child "member-as".
func (n *NetworkInstance_Protocol_Bgp_Global_ConfederationPathAny) MemberAs() *NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_Confederation_MemberAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "member-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance/config/external-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance/config/external-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance/config/internal-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/default-route-distance/config/internal-route-distance YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny struct {
	*ygot.NodePath
}

// ExternalRouteDistance returns from NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath the path struct for its child "external-route-distance".
func (n *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath) ExternalRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteDistance returns from NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny the path struct for its child "external-route-distance".
func (n *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny) ExternalRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_ExternalRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRouteDistance returns from NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath the path struct for its child "internal-route-distance".
func (n *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePath) InternalRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRouteDistance returns from NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny the path struct for its child "internal-route-distance".
func (n *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistancePathAny) InternalRouteDistance() *NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DefaultRouteDistance_InternalRouteDistancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-distance"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/dynamic-neighbor-prefixes/dynamic-neighbor-prefix/config/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPathAny struct {
	*ygot.NodePath
}

// PeerGroup returns from NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath) PeerGroup() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPath {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny) PeerGroup() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPath) Prefix() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefixPathAny) Prefix() *NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_DynamicNeighborPrefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath) HelperOnly() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPath {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny) HelperOnly() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath) RestartTime() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePath {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny) RestartTime() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPath) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePath {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_Global_GracefulRestartPathAny) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Global_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/advertise-inactive-routes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/advertise-inactive-routes YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/always-compare-med YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/always-compare-med YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/enable-aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/enable-aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/external-compare-router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/external-compare-router-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/ignore-as-path-length YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/ignore-as-path-length YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/route-selection-options/config/ignore-next-hop-igp-metric YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny struct {
	*ygot.NodePath
}

// AdvertiseInactiveRoutes returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "advertise-inactive-routes".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) AdvertiseInactiveRoutes() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertiseInactiveRoutes returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "advertise-inactive-routes".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) AdvertiseInactiveRoutes() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AdvertiseInactiveRoutesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-inactive-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "always-compare-med".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) AlwaysCompareMed() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlwaysCompareMed returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "always-compare-med".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) AlwaysCompareMed() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_AlwaysCompareMedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "always-compare-med"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "enable-aigp".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) EnableAigp() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableAigp returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "enable-aigp".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) EnableAigp() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_EnableAigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "external-compare-router-id".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) ExternalCompareRouterId() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalCompareRouterId returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "external-compare-router-id".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) ExternalCompareRouterId() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_ExternalCompareRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-compare-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "ignore-as-path-length".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) IgnoreAsPathLength() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreAsPathLength returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "ignore-as-path-length".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) IgnoreAsPathLength() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreAsPathLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-as-path-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath the path struct for its child "ignore-next-hop-igp-metric".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPath) IgnoreNextHopIgpMetric() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreNextHopIgpMetric returns from NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny the path struct for its child "ignore-next-hop-igp-metric".
func (n *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptionsPathAny) IgnoreNextHopIgpMetric() *NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_RouteSelectionOptions_IgnoreNextHopIgpMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-next-hop-igp-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPath) Ibgp() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePathsPathAny) Ibgp() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_EbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/global/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_IbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Global_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/description YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/description YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/dynamically-configured YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/dynamically-configured YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/established-transitions YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/established-transitions YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/last-established YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/last-established YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/local-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/local-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/peer-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/remove-private-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/remove-private-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/route-flap-damping YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/route-flap-damping YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/send-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/config/send-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/session-state YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/session-state YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/supported-capabilities YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/supported-capabilities YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) ApplyPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) ApplyPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "as-path-options".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) AsPathOptions() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "as-path-options".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) AsPathOptions() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) AuthPassword() *NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) AuthPassword() *NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "description".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Description() *NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "description".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Description() *NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicallyConfigured returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "dynamically-configured".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) DynamicallyConfigured() *NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dynamically-configured"},
			map[string]interface{}{},
			n,
		),
	}
}

// DynamicallyConfigured returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "dynamically-configured".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) DynamicallyConfigured() *NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_DynamicallyConfiguredPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dynamically-configured"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "ebgp-multihop".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) EbgpMultihop() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "ebgp-multihop".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) EbgpMultihop() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "error-handling".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) ErrorHandling() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "error-handling".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) ErrorHandling() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// EstablishedTransitions returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "established-transitions".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) EstablishedTransitions() *NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "established-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// EstablishedTransitions returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "established-transitions".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) EstablishedTransitions() *NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EstablishedTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "established-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablished returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "last-established".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) LastEstablished() *NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablished returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "last-established".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) LastEstablished() *NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LastEstablishedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "local-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) LocalAs() *NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "local-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) LocalAs() *NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LocalAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "logging-options".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) LoggingOptions() *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "logging-options".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) LoggingOptions() *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "messages".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Messages() *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "messages".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Messages() *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "peer-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) PeerAs() *NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "peer-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) PeerAs() *NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) PeerGroup() *NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroup returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "peer-group".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) PeerGroup() *NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "peer-type".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) PeerType() *NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "peer-type".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) PeerType() *NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_PeerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Queues returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "queues".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Queues() *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "queues"},
			map[string]interface{}{},
			n,
		),
	}
}

// Queues returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "queues".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Queues() *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "queues"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "remove-private-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) RemovePrivateAs() *NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "remove-private-as".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) RemovePrivateAs() *NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RemovePrivateAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "route-flap-damping".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) RouteFlapDamping() *NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "route-flap-damping".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) RouteFlapDamping() *NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteFlapDampingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "route-reflector".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) RouteReflector() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "route-reflector".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) RouteReflector() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "send-community".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) SendCommunity() *NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "send-community".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) SendCommunity() *NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SendCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionState returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "session-state".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) SessionState() *NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionState returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "session-state".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) SessionState() *NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SessionStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "session-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// SupportedCapabilities returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "supported-capabilities".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) SupportedCapabilities() *NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// SupportedCapabilities returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "supported-capabilities".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) SupportedCapabilities() *NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_SupportedCapabilitiesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Timers() *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Timers() *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) Transport() *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) Transport() *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_NeighborPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_NeighborPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_NeighborPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_NeighborPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/active YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/active YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// Active returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "active".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Active() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "active".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Active() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) AddPaths() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) AddPaths() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) AfiSafiName() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) AfiSafiName() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) ApplyPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) ApplyPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L2VpnVpls() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L2VpnVpls() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) Prefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) Prefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafiPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath) Receive() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny) Receive() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath) Send() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny) Send() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPath) SendMax() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPathsPathAny) SendMax() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath) ExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) ExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPath) ImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicyPathAny) ImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/advertised YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/advertised YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/graceful-restart/state/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny struct {
	*ygot.NodePath
}

// Advertised returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "advertised".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath) Advertised() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertised"},
			map[string]interface{}{},
			n,
		),
	}
}

// Advertised returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "advertised".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Advertised() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_AdvertisedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertised"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPath) Received() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestartPathAny) Received() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_GracefulRestart_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/installed YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/installed YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received-pre-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/received-pre-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/sent YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/state/prefixes/sent YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny struct {
	*ygot.NodePath
}

// Installed returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "installed".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath) Installed() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPath{
		NodePath: ygot.NewNodePath(
			[]string{"installed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Installed returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "installed".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny) Installed() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_InstalledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"installed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath) Received() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny) Received() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedPrePolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "received-pre-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath) ReceivedPrePolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"received-pre-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedPrePolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "received-pre-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny) ReceivedPrePolicy() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_ReceivedPrePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received-pre-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPath) Sent() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_PrefixesPathAny) Sent() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_Prefixes_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath) ExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny) ExportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPath) ImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicyPathAny) ImportPolicy() *NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/allow-own-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/allow-own-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/disable-peer-as-filter YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/disable-peer-as-filter YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/replace-peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/as-path-options/config/replace-peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny struct {
	*ygot.NodePath
}

// AllowOwnAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath the path struct for its child "allow-own-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath) AllowOwnAs() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowOwnAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "allow-own-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny) AllowOwnAs() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_AllowOwnAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath the path struct for its child "disable-peer-as-filter".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath) DisablePeerAsFilter() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "disable-peer-as-filter".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny) DisablePeerAsFilter() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_DisablePeerAsFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath the path struct for its child "replace-peer-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPath) ReplacePeerAs() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny the path struct for its child "replace-peer-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptionsPathAny) ReplacePeerAs() *NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_AsPathOptions_ReplacePeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop/config/multihop-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/ebgp-multihop/config/multihop-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath the path struct for its child "multihop-ttl".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPath) MultihopTtl() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny the path struct for its child "multihop-ttl".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihopPathAny) MultihopTtl() *NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_EbgpMultihop_MultihopTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling/state/erroneous-update-messages YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling/state/erroneous-update-messages YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling/config/treat-as-withdraw YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/error-handling/config/treat-as-withdraw YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny struct {
	*ygot.NodePath
}

// ErroneousUpdateMessages returns from NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath the path struct for its child "erroneous-update-messages".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath) ErroneousUpdateMessages() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "erroneous-update-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroneousUpdateMessages returns from NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny the path struct for its child "erroneous-update-messages".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny) ErroneousUpdateMessages() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_ErroneousUpdateMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "erroneous-update-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath the path struct for its child "treat-as-withdraw".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPath) TreatAsWithdraw() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny the path struct for its child "treat-as-withdraw".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandlingPathAny) TreatAsWithdraw() *NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_ErrorHandling_TreatAsWithdrawPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/local-restarting YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/local-restarting YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/mode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/mode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/peer-restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/peer-restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/peer-restarting YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/state/peer-restarting YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) HelperOnly() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) HelperOnly() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRestarting returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "local-restarting".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) LocalRestarting() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalRestarting returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "local-restarting".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) LocalRestarting() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_LocalRestartingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) Mode() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) Mode() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestartTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "peer-restart-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) PeerRestartTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestartTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "peer-restart-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) PeerRestartTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestarting returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "peer-restarting".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) PeerRestarting() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerRestarting returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "peer-restarting".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) PeerRestarting() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_PeerRestartingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "peer-restarting"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) RestartTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) RestartTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPath) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestartPathAny) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/logging-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/logging-options YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/logging-options/config/log-neighbor-state-changes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/logging-options/config/log-neighbor-state-changes YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny struct {
	*ygot.NodePath
}

// LogNeighborStateChanges returns from NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath the path struct for its child "log-neighbor-state-changes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPath) LogNeighborStateChanges() *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogNeighborStateChanges returns from NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny the path struct for its child "log-neighbor-state-changes".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptionsPathAny) LogNeighborStateChanges() *NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_LoggingOptions_LogNeighborStateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny struct {
	*ygot.NodePath
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath) Received() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny) Received() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPath) Sent() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_MessagesPathAny) Sent() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/NOTIFICATION YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/NOTIFICATION YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/UPDATE YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/UPDATE YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-error-code YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-error-code YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-error-subcode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-error-subcode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/received/last-notification-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny struct {
	*ygot.NodePath
}

// NOTIFICATION returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "NOTIFICATION".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath) NOTIFICATION() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPath{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// NOTIFICATION returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "NOTIFICATION".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny) NOTIFICATION() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_NOTIFICATIONPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "UPDATE".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath) UPDATE() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPath{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "UPDATE".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny) UPDATE() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_UPDATEPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-error-code".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath) LastNotificationErrorCode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-error-code".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationErrorCode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-error-subcode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath) LastNotificationErrorSubcode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-error-subcode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationErrorSubcode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationErrorSubcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath the path struct for its child "last-notification-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPath) LastNotificationTime() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny the path struct for its child "last-notification-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_ReceivedPathAny) LastNotificationTime() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Received_LastNotificationTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/NOTIFICATION YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/NOTIFICATION YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/UPDATE YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/UPDATE YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-code YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-code YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-subcode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-error-subcode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/messages/sent/last-notification-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny struct {
	*ygot.NodePath
}

// NOTIFICATION returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath the path struct for its child "NOTIFICATION".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath) NOTIFICATION() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPath{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// NOTIFICATION returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny the path struct for its child "NOTIFICATION".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny) NOTIFICATION() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_NOTIFICATIONPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"NOTIFICATION"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath the path struct for its child "UPDATE".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath) UPDATE() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPath{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// UPDATE returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny the path struct for its child "UPDATE".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny) UPDATE() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_UPDATEPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"UPDATE"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-error-code".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath) LastNotificationErrorCode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorCode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-error-code".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny) LastNotificationErrorCode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorCodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-code"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-error-subcode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath) LastNotificationErrorSubcode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationErrorSubcode returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-error-subcode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny) LastNotificationErrorSubcode() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationErrorSubcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-error-subcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath the path struct for its child "last-notification-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPath) LastNotificationTime() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastNotificationTime returns from NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny the path struct for its child "last-notification-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_Messages_SentPathAny) LastNotificationTime() *NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Messages_Sent_LastNotificationTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-notification-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues/input YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues/input YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues/output YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/state/queues/output YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPathAny struct {
	*ygot.NodePath
}

// Input returns from NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath the path struct for its child "input".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath) Input() *NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPath{
		NodePath: ygot.NewNodePath(
			[]string{"input"},
			map[string]interface{}{},
			n,
		),
	}
}

// Input returns from NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny the path struct for its child "input".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny) Input() *NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Queues_InputPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"input"},
			map[string]interface{}{},
			n,
		),
	}
}

// Output returns from NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath the path struct for its child "output".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPath) Output() *NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPath{
		NodePath: ygot.NewNodePath(
			[]string{"output"},
			map[string]interface{}{},
			n,
		),
	}
}

// Output returns from NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny the path struct for its child "output".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_QueuesPathAny) Output() *NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Queues_OutputPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"output"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector/config/route-reflector-client YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector/config/route-reflector-client YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector/config/route-reflector-cluster-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/route-reflector/config/route-reflector-cluster-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny struct {
	*ygot.NodePath
}

// RouteReflectorClient returns from NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath the path struct for its child "route-reflector-client".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath) RouteReflectorClient() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClient returns from NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny the path struct for its child "route-reflector-client".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny) RouteReflectorClient() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath the path struct for its child "route-reflector-cluster-id".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPath) RouteReflectorClusterId() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny the path struct for its child "route-reflector-cluster-id".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflectorPathAny) RouteReflectorClusterId() *NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_RouteReflector_RouteReflectorClusterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/connect-retry YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/connect-retry YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/keepalive-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/keepalive-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/minimum-advertisement-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/config/minimum-advertisement-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/state/negotiated-hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/timers/state/negotiated-hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny struct {
	*ygot.NodePath
}

// ConnectRetry returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPath the path struct for its child "connect-retry".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath) ConnectRetry() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectRetry returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny the path struct for its child "connect-retry".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny) ConnectRetry() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_ConnectRetryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPath the path struct for its child "hold-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath) HoldTime() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny the path struct for its child "hold-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny) HoldTime() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPath the path struct for its child "keepalive-interval".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath) KeepaliveInterval() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny the path struct for its child "keepalive-interval".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny) KeepaliveInterval() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_KeepaliveIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPath the path struct for its child "minimum-advertisement-interval".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath) MinimumAdvertisementInterval() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny the path struct for its child "minimum-advertisement-interval".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny) MinimumAdvertisementInterval() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_MinimumAdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedHoldTime returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPath the path struct for its child "negotiated-hold-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPath) NegotiatedHoldTime() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NegotiatedHoldTime returns from NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny the path struct for its child "negotiated-hold-time".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TimersPathAny) NegotiatedHoldTime() *NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Timers_NegotiatedHoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "negotiated-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_TransportPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_TransportPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/local-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/local-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/local-port YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/local-port YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/mtu-discovery YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/mtu-discovery YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/passive-mode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/passive-mode YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/remote-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/remote-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/remote-port YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/state/remote-port YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/tcp-mss YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/transport/config/tcp-mss YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPathAny struct {
	*ygot.NodePath
}

// LocalAddress returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "local-address".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) LocalAddress() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "local-address".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) LocalAddress() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPort returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "local-port".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) LocalPort() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPort returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "local-port".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) LocalPort() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_LocalPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "mtu-discovery".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) MtuDiscovery() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "mtu-discovery".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) MtuDiscovery() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_MtuDiscoveryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "passive-mode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) PassiveMode() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "passive-mode".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) PassiveMode() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_PassiveModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "remote-address".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) RemoteAddress() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteAddress returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "remote-address".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) RemoteAddress() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemoteAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "remote-port".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) RemotePort() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "remote-port".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) RemotePort() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_RemotePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPath the path struct for its child "tcp-mss".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPath) TcpMss() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny the path struct for its child "tcp-mss".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_TransportPathAny) TcpMss() *NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_Transport_TcpMssPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/neighbors/neighbor/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_Neighbor_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/description YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/description YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/local-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/local-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-group-name YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-group-name YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-type YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/peer-type YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/remove-private-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/remove-private-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/route-flap-damping YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/route-flap-damping YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/send-community YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/config/send-community YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/state/total-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/state/total-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) AfiSafiAny() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) AfiSafiAny() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) ApplyPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) ApplyPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "as-path-options".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) AsPathOptions() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsPathOptions returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "as-path-options".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) AsPathOptions() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"as-path-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) AuthPassword() *NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) AuthPassword() *NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "description".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) Description() *NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "description".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) Description() *NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "ebgp-multihop".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) EbgpMultihop() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// EbgpMultihop returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "ebgp-multihop".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) EbgpMultihop() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp-multihop"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "error-handling".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) ErrorHandling() *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorHandling returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "error-handling".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) ErrorHandling() *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-handling"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "local-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) LocalAs() *NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "local-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) LocalAs() *NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LocalAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "logging-options".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) LoggingOptions() *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoggingOptions returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "logging-options".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) LoggingOptions() *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logging-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "peer-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) PeerAs() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "peer-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) PeerAs() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroupName returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "peer-group-name".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) PeerGroupName() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerGroupName returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "peer-group-name".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) PeerGroupName() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerGroupNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-group-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "peer-type".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) PeerType() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PeerType returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "peer-type".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) PeerType() *NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_PeerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "peer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "remove-private-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) RemovePrivateAs() *NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemovePrivateAs returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "remove-private-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) RemovePrivateAs() *NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RemovePrivateAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remove-private-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "route-flap-damping".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) RouteFlapDamping() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteFlapDamping returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "route-flap-damping".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) RouteFlapDamping() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteFlapDampingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-flap-damping"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "route-reflector".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) RouteReflector() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflector returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "route-reflector".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) RouteReflector() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-reflector"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "send-community".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) SendCommunity() *NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendCommunity returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "send-community".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) SendCommunity() *NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_SendCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) Timers() *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) Timers() *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) TotalPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPaths returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "total-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) TotalPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TotalPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) TotalPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "total-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) TotalPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TotalPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) Transport() *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) Transport() *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_PeerGroupPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_PeerGroupPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroupPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPathAny struct {
	*ygot.NodePath
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) AddPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "add-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) AddPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"add-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) AfiSafiName() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) AfiSafiName() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) ApplyPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ApplyPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "apply-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) ApplyPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"apply-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) GracefulRestart() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) GracefulRestart() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4LabeledUnicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv4-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) Ipv4LabeledUnicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6LabeledUnicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv6-labeled-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) Ipv6LabeledUnicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-labeled-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnEvpn returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l2vpn-evpn".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L2VpnEvpn() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-evpn"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L2VpnVpls() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L2VpnVpls returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l2vpn-vpls".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L2VpnVpls() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l2vpn-vpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Multicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-multicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv4Multicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv4Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv4Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Multicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-multicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv6Multicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-multicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// L3VpnIpv6Unicast returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "l3vpn-ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) L3VpnIpv6Unicast() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"l3vpn-ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv4 returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "srte-policy-ipv4".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) SrtePolicyIpv4() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv4"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrtePolicyIpv6 returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "srte-policy-ipv6".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) SrtePolicyIpv6() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srte-policy-ipv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPath) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// UseMultiplePaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny the path struct for its child "use-multiple-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafiPathAny) UseMultiplePaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"use-multiple-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/eligible-prefix-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/receive YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/add-paths/config/send-max YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny struct {
	*ygot.NodePath
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// EligiblePrefixPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "eligible-prefix-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny) EligiblePrefixPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_EligiblePrefixPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "eligible-prefix-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath) Receive() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Receive returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "receive".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny) Receive() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_ReceivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "receive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath) Send() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// Send returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "send".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny) Send() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPath) SendMax() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendMax returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny the path struct for its child "send-max".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPathsPathAny) SendMax() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_AddPaths_SendMaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-max"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) ExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) ExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPath) ImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicyPathAny) ImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-labeled-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6LabeledUnicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/config/send-default-route YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPath) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// SendDefaultRoute returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny the path struct for its child "send-default-route".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6UnicastPathAny) SendDefaultRoute() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_SendDefaultRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "send-default-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_Ipv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpnPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-evpn/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnEvpn_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVplsPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l2vpn-vpls/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L2VpnVpls_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv4-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv4Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6MulticastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-multicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Multicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPath) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6UnicastPathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/l3vpn-ipv6-unicast/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_L3VpnIpv6Unicast_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4 YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv4/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv4_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6 YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny struct {
	*ygot.NodePath
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6Path) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLimit returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny the path struct for its child "prefix-limit".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6PathAny) PrefixLimit() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/max-prefixes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/prevent-teardown YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/restart-timer YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/srte-policy-ipv6/prefix-limit/config/warning-threshold-pct YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny struct {
	*ygot.NodePath
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxPrefixes returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "max-prefixes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) MaxPrefixes() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_MaxPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreventTeardown returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "prevent-teardown".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) PreventTeardown() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_PreventTeardownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prevent-teardown"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTimer returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "restart-timer".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) RestartTimer() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_RestartTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPath) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningThresholdPct returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny the path struct for its child "warning-threshold-pct".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimitPathAny) WarningThresholdPct() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_SrtePolicyIpv6_PrefixLimit_WarningThresholdPctPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-threshold-pct"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPath) Ibgp() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePathsPathAny) Ibgp() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_EbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/afi-safis/afi-safi/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_IbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AfiSafi_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/default-export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/export-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/apply-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "default-export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny) DefaultExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath) ExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "export-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny) ExportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ExportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "export-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPath) ImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicyPathAny) ImportPolicy() *NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ApplyPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/allow-own-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/allow-own-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/disable-peer-as-filter YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/disable-peer-as-filter YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/replace-peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/as-path-options/config/replace-peer-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny struct {
	*ygot.NodePath
}

// AllowOwnAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "allow-own-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath) AllowOwnAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowOwnAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "allow-own-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny) AllowOwnAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_AllowOwnAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-own-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "disable-peer-as-filter".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath) DisablePeerAsFilter() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisablePeerAsFilter returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "disable-peer-as-filter".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny) DisablePeerAsFilter() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_DisablePeerAsFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-peer-as-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath the path struct for its child "replace-peer-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPath) ReplacePeerAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReplacePeerAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny the path struct for its child "replace-peer-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptionsPathAny) ReplacePeerAs() *NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_AsPathOptions_ReplacePeerAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "replace-peer-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop/config/multihop-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/ebgp-multihop/config/multihop-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath the path struct for its child "multihop-ttl".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPath) MultihopTtl() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultihopTtl returns from NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny the path struct for its child "multihop-ttl".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihopPathAny) MultihopTtl() *NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_EbgpMultihop_MultihopTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multihop-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/error-handling YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/error-handling YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/error-handling/config/treat-as-withdraw YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/error-handling/config/treat-as-withdraw YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny struct {
	*ygot.NodePath
}

// TreatAsWithdraw returns from NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath the path struct for its child "treat-as-withdraw".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPath) TreatAsWithdraw() *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// TreatAsWithdraw returns from NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny the path struct for its child "treat-as-withdraw".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandlingPathAny) TreatAsWithdraw() *NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_ErrorHandling_TreatAsWithdrawPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "treat-as-withdraw"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/restart-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/graceful-restart/config/stale-routes-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath) HelperOnly() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny) HelperOnly() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath) RestartTime() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "restart-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny) RestartTime() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_RestartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "restart-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPath) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StaleRoutesTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny the path struct for its child "stale-routes-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestartPathAny) StaleRoutesTime() *NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_GracefulRestart_StaleRoutesTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "stale-routes-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/logging-options YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/logging-options YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/logging-options/config/log-neighbor-state-changes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/logging-options/config/log-neighbor-state-changes YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny struct {
	*ygot.NodePath
}

// LogNeighborStateChanges returns from NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath the path struct for its child "log-neighbor-state-changes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPath) LogNeighborStateChanges() *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogNeighborStateChanges returns from NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny the path struct for its child "log-neighbor-state-changes".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptionsPathAny) LogNeighborStateChanges() *NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_LoggingOptions_LogNeighborStateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-neighbor-state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-client YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-client YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-cluster-id YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/route-reflector/config/route-reflector-cluster-id YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny struct {
	*ygot.NodePath
}

// RouteReflectorClient returns from NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath the path struct for its child "route-reflector-client".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath) RouteReflectorClient() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClient returns from NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny the path struct for its child "route-reflector-client".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny) RouteReflectorClient() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClientPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-client"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath the path struct for its child "route-reflector-cluster-id".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPath) RouteReflectorClusterId() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteReflectorClusterId returns from NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny the path struct for its child "route-reflector-cluster-id".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflectorPathAny) RouteReflectorClusterId() *NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_RouteReflector_RouteReflectorClusterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "route-reflector-cluster-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/connect-retry YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/connect-retry YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/hold-time YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/keepalive-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/keepalive-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/minimum-advertisement-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/timers/config/minimum-advertisement-interval YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny struct {
	*ygot.NodePath
}

// ConnectRetry returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath the path struct for its child "connect-retry".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath) ConnectRetry() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectRetry returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny the path struct for its child "connect-retry".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny) ConnectRetry() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_ConnectRetryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "connect-retry"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath the path struct for its child "hold-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath) HoldTime() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny the path struct for its child "hold-time".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny) HoldTime() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath the path struct for its child "keepalive-interval".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath) KeepaliveInterval() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeepaliveInterval returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny the path struct for its child "keepalive-interval".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny) KeepaliveInterval() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_KeepaliveIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "keepalive-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath the path struct for its child "minimum-advertisement-interval".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPath) MinimumAdvertisementInterval() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinimumAdvertisementInterval returns from NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny the path struct for its child "minimum-advertisement-interval".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TimersPathAny) MinimumAdvertisementInterval() *NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Timers_MinimumAdvertisementIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "minimum-advertisement-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/local-address YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/local-address YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/mtu-discovery YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/mtu-discovery YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/passive-mode YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/passive-mode YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/tcp-mss YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/transport/config/tcp-mss YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPathAny struct {
	*ygot.NodePath
}

// LocalAddress returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath the path struct for its child "local-address".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath) LocalAddress() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalAddress returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny the path struct for its child "local-address".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny) LocalAddress() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_LocalAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath the path struct for its child "mtu-discovery".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath) MtuDiscovery() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtuDiscovery returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny the path struct for its child "mtu-discovery".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny) MtuDiscovery() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_MtuDiscoveryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mtu-discovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath the path struct for its child "passive-mode".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath) PassiveMode() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// PassiveMode returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny the path struct for its child "passive-mode".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny) PassiveMode() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_PassiveModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath the path struct for its child "tcp-mss".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPath) TcpMss() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// TcpMss returns from NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny the path struct for its child "tcp-mss".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_TransportPathAny) TcpMss() *NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_Transport_TcpMssPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tcp-mss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/config/enabled YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny struct {
	*ygot.NodePath
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath) Ebgp() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ebgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "ebgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny) Ebgp() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ebgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny) Enabled() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPath) Ibgp() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ibgp returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny the path struct for its child "ibgp".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePathsPathAny) Ibgp() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ibgp"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/allow-multiple-as YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ebgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllowMultipleAs returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny the path struct for its child "allow-multiple-as".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny) AllowMultipleAs() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_AllowMultipleAsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allow-multiple-as"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_EbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ebgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ibgp YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/peer-groups/peer-group/use-multiple-paths/ibgp/config/maximum-paths YANG schema element.
type NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny struct {
	*ygot.NodePath
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPath) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumPaths returns from NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny the path struct for its child "maximum-paths".
func (n *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_IbgpPathAny) MaximumPaths() *NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny {
	return &NetworkInstance_Protocol_Bgp_PeerGroup_UseMultiplePaths_Ibgp_MaximumPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_RibPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib YANG schema element.
type NetworkInstance_Protocol_Bgp_RibPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_RibPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib YANG schema element.
type NetworkInstance_Protocol_Bgp_RibPathAny struct {
	*ygot.NodePath
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_RibPath) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafiAny returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "afi-safi".
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) AfiSafiAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": "*"},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_RibPath) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AfiSafi returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "afi-safi".
// AfiSafiName: E_BgpTypes_AFI_SAFI_TYPE
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) AfiSafi(AfiSafiName E_BgpTypes_AFI_SAFI_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safis", "afi-safi"},
			map[string]interface{}{"afi-safi-name": AfiSafiName},
			n,
		),
	}
}

// AttrSetAny returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "attr-set".
func (n *NetworkInstance_Protocol_Bgp_RibPath) AttrSetAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// AttrSetAny returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "attr-set".
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) AttrSetAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// AttrSet returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "attr-set".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPath) AttrSet(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// AttrSet returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "attr-set".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) AttrSet(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attr-sets", "attr-set"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// CommunityAny returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "community".
func (n *NetworkInstance_Protocol_Bgp_RibPath) CommunityAny() *NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// CommunityAny returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "community".
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) CommunityAny() *NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Community returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "community".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPath) Community(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_CommunityPath {
	return &NetworkInstance_Protocol_Bgp_Rib_CommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Community returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "community".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) Community(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"communities", "community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExtCommunityAny returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "ext-community".
func (n *NetworkInstance_Protocol_Bgp_RibPath) ExtCommunityAny() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExtCommunityAny returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "ext-community".
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) ExtCommunityAny() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ExtCommunity returns from NetworkInstance_Protocol_Bgp_RibPath the path struct for its child "ext-community".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPath) ExtCommunity(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ExtCommunity returns from NetworkInstance_Protocol_Bgp_RibPathAny the path struct for its child "ext-community".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_RibPathAny) ExtCommunity(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ext-communities", "ext-community"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/state/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/state/afi-safi-name YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePathAny struct {
	*ygot.NodePath
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath) AfiSafiName() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiSafiName returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny the path struct for its child "afi-safi-name".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny) AfiSafiName() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_AfiSafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "afi-safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SrtePolicy returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath the path struct for its child "ipv4-srte-policy".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath) Ipv4SrtePolicy() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SrtePolicy returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv4-srte-policy".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny) Ipv4SrtePolicy() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Unicast returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv4-unicast".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny) Ipv4Unicast() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SrtePolicy returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath the path struct for its child "ipv6-srte-policy".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath) Ipv6SrtePolicy() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SrtePolicy returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv6-srte-policy".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny) Ipv6SrtePolicy() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srte-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPath) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Unicast returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny the path struct for its child "ipv6-unicast".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafiPathAny) Ipv6Unicast() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-unicast"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny struct {
	*ygot.NodePath
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicyPathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRibPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny struct {
	*ygot.NodePath
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4UnicastPathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRibPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// WithPrefix sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "prefix" to the specified value.
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithPrefix(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "prefix", Prefix)
	return n
}

// WithOrigin sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "origin" to the specified value.
// Origin: [UnionString, E_PolicyTypes_INSTALL_PROTOCOL_TYPE]
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithOrigin(Origin NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_Origin_Union) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "origin", Origin)
	return n
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) Origin() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) Origin() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPostPathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPrePathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPostPathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPrePathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv4-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv4Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny struct {
	*ygot.NodePath
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicyPathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRibPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"path-id": "*", "endpoint": "*", "color": "*"},
			n,
		),
	}
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// WithEndpoint sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "endpoint" to the specified value.
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "endpoint", Endpoint)
	return n
}

// WithColor sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny's key "color" to the specified value.
// Color: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) WithColor(Color uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "color", Color)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/color YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "color".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Color() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-srte-policy/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6SrtePolicy_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny struct {
	*ygot.NodePath
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocRib returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "loc-rib".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) LocRib() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"loc-rib"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) NeighborAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6UnicastPathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRibPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "origin": "*", "path-id": "*"},
			n,
		),
	}
}

// WithPrefix sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "prefix" to the specified value.
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithPrefix(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "prefix", Prefix)
	return n
}

// WithOrigin sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "origin" to the specified value.
// Origin: [UnionString, E_PolicyTypes_INSTALL_PROTOCOL_TYPE]
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithOrigin(Origin NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_Origin_Union) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "origin", Origin)
	return n
}

// WithPathId sets NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny's key "path-id" to the specified value.
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) WithPathId(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny {
	ygot.ModifyKey(n.NodePath, "path-id", PathId)
	return n
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) Origin() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) Origin() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/loc-rib/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_LocRib_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-in-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibInPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibInPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-in-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibInPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-in-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPost returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-out-post".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibOutPost() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-post"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjRibOutPre returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "adj-rib-out-pre".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) AdjRibOutPre() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adj-rib-out-pre"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPostPathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/best-path YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// BestPath returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "best-path".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) BestPath() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_BestPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "best-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPrePathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-in-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibInPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPostPathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-post/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPost_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny struct {
	*ygot.NodePath
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPathId(Prefix string) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": "*"},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// RouteAnyPrefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) RouteAnyPrefix(PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": "*", "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePath) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// Route returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny the path struct for its child "route".
// Prefix: string
// PathId: uint32
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPrePathAny) Route(Prefix string, PathId uint32) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"routes", "route"},
			map[string]interface{}{"prefix": Prefix, "path-id": PathId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/attr-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/ext-community-index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/invalid-reason YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/last-modified YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/path-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/prefix YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/state/valid-route YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny struct {
	*ygot.NodePath
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "attr-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) AttrIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_AttrIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// CommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) CommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_CommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunityIndex returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "ext-community-index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ExtCommunityIndex() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ExtCommunityIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) InvalidReason() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastModified returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "last-modified".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) LastModified() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_LastModifiedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-modified"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PathId returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "path-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) PathId() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PathIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "path-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) Prefix() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttributeAny returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttributeAny() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": "*"},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// UnknownAttribute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "unknown-attribute".
// AttrType: uint8
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) UnknownAttribute(AttrType uint8) *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-attributes", "unknown-attribute"},
			map[string]interface{}{"attr-type": AttrType},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePath) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// ValidRoute returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny the path struct for its child "valid-route".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_RoutePathAny) ValidRoute() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_ValidRoutePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid-route"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-len YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/attr-value YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/extended YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/optional YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/partial YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/afi-safis/afi-safi/ipv6-unicast/neighbors/neighbor/adj-rib-out-pre/routes/route/unknown-attributes/unknown-attribute/state/transitive YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny struct {
	*ygot.NodePath
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrLen returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-len".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrLen() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrLenPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-len"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrType returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrType() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttrValue returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "attr-value".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) AttrValue() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_AttrValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attr-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Extended returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "extended".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Extended() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_ExtendedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Optional returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "optional".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Optional() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_OptionalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Partial returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "partial".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Partial() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_PartialPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "partial"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePath) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transitive returns from NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny the path struct for its child "transitive".
func (n *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttributePathAny) Transitive() *NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AfiSafi_Ipv6Unicast_Neighbor_AdjRibOutPre_Route_UnknownAttribute_TransitivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "transitive"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSetPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSetPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/aigp YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/atomic-aggregate YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/atomic-aggregate YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/cluster-list YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/cluster-list YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/local-pref YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/local-pref YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/med YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/med YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/next-hop YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/next-hop YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/origin YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/originator-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/state/originator-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPathAny struct {
	*ygot.NodePath
}

// Aggregator returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "aggregator".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) Aggregator() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath{
		NodePath: ygot.NewNodePath(
			[]string{"aggregator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aggregator returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "aggregator".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) Aggregator() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aggregator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aigp returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "aigp".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) Aigp() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aigp returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "aigp".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) Aigp() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AigpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "aigp"},
			map[string]interface{}{},
			n,
		),
	}
}

// AtomicAggregate returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "atomic-aggregate".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) AtomicAggregate() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "atomic-aggregate"},
			map[string]interface{}{},
			n,
		),
	}
}

// AtomicAggregate returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "atomic-aggregate".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) AtomicAggregate() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AtomicAggregatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "atomic-aggregate"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClusterList returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "cluster-list".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) ClusterList() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cluster-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClusterList returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "cluster-list".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) ClusterList() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_ClusterListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cluster-list"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) Index() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) Index() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPref returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "local-pref".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) LocalPref() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-pref"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalPref returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "local-pref".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) LocalPref() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_LocalPrefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-pref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Med returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "med".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) Med() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "med"},
			map[string]interface{}{},
			n,
		),
	}
}

// Med returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "med".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) Med() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_MedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "med"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) NextHop() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) NextHop() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) Origin() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// Origin returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "origin".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) Origin() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "originator-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) OriginatorId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "originator-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) OriginatorId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_OriginatorIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelEncapsulation returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPath the path struct for its child "tunnel-encapsulation".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPath) TunnelEncapsulation() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath{
		NodePath: ygot.NewNodePath(
			[]string{"tunnel-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// TunnelEncapsulation returns from NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny the path struct for its child "tunnel-encapsulation".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSetPathAny) TunnelEncapsulation() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnel-encapsulation"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/as4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/aggregator/state/as4 YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4PathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath) Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny) Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath) As() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny) As() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As4 returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath the path struct for its child "as4".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPath) As4() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4Path {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as4"},
			map[string]interface{}{},
			n,
		),
	}
}

// As4 returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny the path struct for its child "as4".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AggregatorPathAny) As4() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4PathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_Aggregator_As4PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as4"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/member YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/member YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as4-path/as4-segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePathAny struct {
	*ygot.NodePath
}

// Member returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath the path struct for its child "member".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath) Member() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny the path struct for its child "member".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny) Member() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPath) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4SegmentPathAny) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_As4Segment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/member YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/member YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/as-path/as-segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePathAny struct {
	*ygot.NodePath
}

// Member returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath the path struct for its child "member".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath) Member() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Member returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny the path struct for its child "member".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny) Member() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_MemberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "member"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPath) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegmentPathAny) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_AsSegment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny struct {
	*ygot.NodePath
}

// TunnelAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath the path struct for its child "tunnel".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath) TunnelAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// TunnelAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny the path struct for its child "tunnel".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny) TunnelAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Tunnel returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath the path struct for its child "tunnel".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPath) Tunnel(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Tunnel returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny the path struct for its child "tunnel".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulationPathAny) Tunnel(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tunnels", "tunnel"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny struct {
	*ygot.NodePath
}

// SubtlvAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) SubtlvAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) SubtlvAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "subtlv".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) Subtlv(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "subtlv".
// Type: E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) Subtlv(Type E_RibBgpTypes_TUNNEL_ENCAPSULATION_SUBTLV_TYPE) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPath) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_TunnelPathAny) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/binding-sid YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/binding-sid YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/colors YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/colors YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/preference YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/preference YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// BindingSid returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "binding-sid".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) BindingSid() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "binding-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// BindingSid returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "binding-sid".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) BindingSid() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_BindingSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "binding-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Colors returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "colors".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Colors() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "colors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Colors returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "colors".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Colors() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_ColorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "colors"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "preference".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Preference() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "preference".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Preference() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteEndpointAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "remote-endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) RemoteEndpointAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": "*"},
			n,
		),
	}
}

// RemoteEndpointAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "remote-endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) RemoteEndpointAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": "*"},
			n,
		),
	}
}

// RemoteEndpoint returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "remote-endpoint".
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) RemoteEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": Endpoint},
			n,
		),
	}
}

// RemoteEndpoint returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "remote-endpoint".
// Endpoint: string
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) RemoteEndpoint(Endpoint string) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-endpoints", "remote-endpoint"},
			map[string]interface{}{"endpoint": Endpoint},
			n,
		),
	}
}

// SegmentListAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "segment-list".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) SegmentListAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// SegmentListAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "segment-list".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) SegmentListAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// SegmentList returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "segment-list".
// InstanceId: uint64
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) SegmentList(InstanceId uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// SegmentList returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "segment-list".
// InstanceId: uint64
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) SegmentList(InstanceId uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPath) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_SubtlvPathAny) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/as YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/remote-endpoints/remote-endpoint/state/endpoint YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny struct {
	*ygot.NodePath
}

// As returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath) As() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// As returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny the path struct for its child "as".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny) As() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_AsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "as"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPath) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny the path struct for its child "endpoint".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpointPathAny) Endpoint() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_RemoteEndpoint_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/instance-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/instance-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/weight YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/state/weight YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny struct {
	*ygot.NodePath
}

// InstanceId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) InstanceId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) InstanceId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "segment".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) SegmentAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// SegmentAny returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "segment".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) SegmentAny() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Segment returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "segment".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) Segment(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Segment returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "segment".
// Index: uint64
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) Segment(Index uint64) *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segments", "segment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPath) Weight() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentListPathAny) Weight() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-interface-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-interface-id YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/local-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-bos YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-bos YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-tc YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-tc YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/mpls-ttl YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/remote-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/sid YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/sid YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/attr-sets/attr-set/tunnel-encapsulation/tunnels/tunnel/subtlvs/subtlv/segment-lists/segment-list/segments/segment/state/type YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny struct {
	*ygot.NodePath
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Index() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Index() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalInterfaceId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-interface-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalInterfaceId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalInterfaceId returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-interface-id".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalInterfaceId() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv4Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-ipv4-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalIpv4Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv4Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-ipv4-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalIpv4Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "local-ipv6-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) LocalIpv6Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "local-ipv6-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) LocalIpv6Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_LocalIpv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsBos returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-bos".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsBos() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-bos"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsBos returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-bos".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsBos() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsBosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-bos"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-tc".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsTc() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-tc".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsTc() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTcPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "mpls-ttl".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) MplsTtl() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "mpls-ttl".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) MplsTtl() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_MplsTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv4Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "remote-ipv4-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) RemoteIpv4Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv4Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "remote-ipv4-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) RemoteIpv4Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv6Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "remote-ipv6-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) RemoteIpv6Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpv6Address returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "remote-ipv6-address".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) RemoteIpv6Address() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_RemoteIpv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sid returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "sid".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Sid() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sid returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "sid".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Sid() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_SidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPath) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_SegmentPathAny) Type() *NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_AttrSet_TunnelEncapsulation_Tunnel_Subtlv_SegmentList_Segment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_CommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_CommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community/state/community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community/state/community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_Community_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_Community_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_Community_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/communities/community/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_Community_IndexPathAny struct {
	*ygot.NodePath
}

// Community returns from NetworkInstance_Protocol_Bgp_Rib_CommunityPath the path struct for its child "community".
func (n *NetworkInstance_Protocol_Bgp_Rib_CommunityPath) Community() *NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPath {
	return &NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Community returns from NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny the path struct for its child "community".
func (n *NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny) Community() *NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_Community_CommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_CommunityPath the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_CommunityPath) Index() *NetworkInstance_Protocol_Bgp_Rib_Community_IndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_Community_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_CommunityPathAny) Index() *NetworkInstance_Protocol_Bgp_Rib_Community_IndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_Community_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community/state/ext-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community/state/ext-community YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/bgp/rib/ext-communities/ext-community/state/index YANG schema element.
type NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPathAny struct {
	*ygot.NodePath
}

// ExtCommunity returns from NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath the path struct for its child "ext-community".
func (n *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath) ExtCommunity() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPath {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtCommunity returns from NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny the path struct for its child "ext-community".
func (n *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny) ExtCommunity() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_ExtCommunityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ext-community"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPath) Index() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPath {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny the path struct for its child "index".
func (n *NetworkInstance_Protocol_Bgp_Rib_ExtCommunityPathAny) Index() *NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPathAny {
	return &NetworkInstance_Protocol_Bgp_Rib_ExtCommunity_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_IgmpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp YANG schema element.
type NetworkInstance_Protocol_IgmpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_IgmpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp YANG schema element.
type NetworkInstance_Protocol_IgmpPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Protocol_IgmpPath the path struct for its child "global".
func (n *NetworkInstance_Protocol_IgmpPath) Global() *NetworkInstance_Protocol_Igmp_GlobalPath {
	return &NetworkInstance_Protocol_Igmp_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_IgmpPathAny the path struct for its child "global".
func (n *NetworkInstance_Protocol_IgmpPathAny) Global() *NetworkInstance_Protocol_Igmp_GlobalPathAny {
	return &NetworkInstance_Protocol_Igmp_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_IgmpPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_IgmpPath) InterfaceAny() *NetworkInstance_Protocol_Igmp_InterfacePathAny {
	return &NetworkInstance_Protocol_Igmp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_IgmpPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_IgmpPathAny) InterfaceAny() *NetworkInstance_Protocol_Igmp_InterfacePathAny {
	return &NetworkInstance_Protocol_Igmp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_IgmpPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_IgmpPath) Interface(InterfaceId string) *NetworkInstance_Protocol_Igmp_InterfacePath {
	return &NetworkInstance_Protocol_Igmp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_IgmpPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_IgmpPathAny) Interface(InterfaceId string) *NetworkInstance_Protocol_Igmp_InterfacePathAny {
	return &NetworkInstance_Protocol_Igmp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global YANG schema element.
type NetworkInstance_Protocol_Igmp_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global YANG schema element.
type NetworkInstance_Protocol_Igmp_GlobalPathAny struct {
	*ygot.NodePath
}

// Ssm returns from NetworkInstance_Protocol_Igmp_GlobalPath the path struct for its child "ssm".
func (n *NetworkInstance_Protocol_Igmp_GlobalPath) Ssm() *NetworkInstance_Protocol_Igmp_Global_SsmPath {
	return &NetworkInstance_Protocol_Igmp_Global_SsmPath{
		NodePath: ygot.NewNodePath(
			[]string{"ssm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ssm returns from NetworkInstance_Protocol_Igmp_GlobalPathAny the path struct for its child "ssm".
func (n *NetworkInstance_Protocol_Igmp_GlobalPathAny) Ssm() *NetworkInstance_Protocol_Igmp_Global_SsmPathAny {
	return &NetworkInstance_Protocol_Igmp_Global_SsmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ssm"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Global_SsmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_SsmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_SsmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_SsmPathAny struct {
	*ygot.NodePath
}

// MappingAny returns from NetworkInstance_Protocol_Igmp_Global_SsmPath the path struct for its child "mapping".
func (n *NetworkInstance_Protocol_Igmp_Global_SsmPath) MappingAny() *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mappings", "mapping"},
			map[string]interface{}{"source": "*"},
			n,
		),
	}
}

// MappingAny returns from NetworkInstance_Protocol_Igmp_Global_SsmPathAny the path struct for its child "mapping".
func (n *NetworkInstance_Protocol_Igmp_Global_SsmPathAny) MappingAny() *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mappings", "mapping"},
			map[string]interface{}{"source": "*"},
			n,
		),
	}
}

// Mapping returns from NetworkInstance_Protocol_Igmp_Global_SsmPath the path struct for its child "mapping".
// Source: string
func (n *NetworkInstance_Protocol_Igmp_Global_SsmPath) Mapping(Source string) *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath{
		NodePath: ygot.NewNodePath(
			[]string{"mappings", "mapping"},
			map[string]interface{}{"source": Source},
			n,
		),
	}
}

// Mapping returns from NetworkInstance_Protocol_Igmp_Global_SsmPathAny the path struct for its child "mapping".
// Source: string
func (n *NetworkInstance_Protocol_Igmp_Global_SsmPathAny) Mapping(Source string) *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mappings", "mapping"},
			map[string]interface{}{"source": Source},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping/config/source YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping/config/source YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping/config/ssm-ranges YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/global/ssm/mappings/mapping/config/ssm-ranges YANG schema element.
type NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPathAny struct {
	*ygot.NodePath
}

// Source returns from NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath the path struct for its child "source".
func (n *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath) Source() *NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePath {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny the path struct for its child "source".
func (n *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny) Source() *NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePathAny {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// SsmRanges returns from NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath the path struct for its child "ssm-ranges".
func (n *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPath) SsmRanges() *NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPath {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssm-ranges"},
			map[string]interface{}{},
			n,
		),
	}
}

// SsmRanges returns from NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny the path struct for its child "ssm-ranges".
func (n *NetworkInstance_Protocol_Igmp_Global_Ssm_MappingPathAny) SsmRanges() *NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPathAny {
	return &NetworkInstance_Protocol_Igmp_Global_Ssm_Mapping_SsmRangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssm-ranges"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Igmp_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Igmp_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/filter-prefixes YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/filter-prefixes YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/state/query-expires YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/state/query-expires YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/query-interval YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/query-interval YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_VersionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/version YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_VersionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_VersionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/config/version YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_VersionPathAny struct {
	*ygot.NodePath
}

// Counters returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) Counters() *NetworkInstance_Protocol_Igmp_Interface_CountersPath {
	return &NetworkInstance_Protocol_Igmp_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) Counters() *NetworkInstance_Protocol_Igmp_Interface_CountersPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) Enabled() *NetworkInstance_Protocol_Igmp_Interface_EnabledPath {
	return &NetworkInstance_Protocol_Igmp_Interface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) Enabled() *NetworkInstance_Protocol_Igmp_Interface_EnabledPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// FilterPrefixes returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "filter-prefixes".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) FilterPrefixes() *NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPath {
	return &NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "filter-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// FilterPrefixes returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "filter-prefixes".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) FilterPrefixes() *NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_FilterPrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "filter-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// GroupAny returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "group".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) GroupAny() *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"membership-groups", "group"},
			map[string]interface{}{"group": "*"},
			n,
		),
	}
}

// GroupAny returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "group".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) GroupAny() *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"membership-groups", "group"},
			map[string]interface{}{"group": "*"},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "group".
// Group: string
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) Group(Group string) *NetworkInstance_Protocol_Igmp_Interface_GroupPath {
	return &NetworkInstance_Protocol_Igmp_Interface_GroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"membership-groups", "group"},
			map[string]interface{}{"group": Group},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "group".
// Group: string
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) Group(Group string) *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"membership-groups", "group"},
			map[string]interface{}{"group": Group},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) InterfaceId() *NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPath {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) InterfaceId() *NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) InterfaceRef() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) InterfaceRef() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// QueryExpires returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "query-expires".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) QueryExpires() *NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPath {
	return &NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "query-expires"},
			map[string]interface{}{},
			n,
		),
	}
}

// QueryExpires returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "query-expires".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) QueryExpires() *NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_QueryExpiresPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "query-expires"},
			map[string]interface{}{},
			n,
		),
	}
}

// QueryInterval returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "query-interval".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) QueryInterval() *NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPath {
	return &NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "query-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// QueryInterval returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "query-interval".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) QueryInterval() *NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_QueryIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "query-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version returns from NetworkInstance_Protocol_Igmp_InterfacePath the path struct for its child "version".
func (n *NetworkInstance_Protocol_Igmp_InterfacePath) Version() *NetworkInstance_Protocol_Igmp_Interface_VersionPath {
	return &NetworkInstance_Protocol_Igmp_Interface_VersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version returns from NetworkInstance_Protocol_Igmp_InterfacePathAny the path struct for its child "version".
func (n *NetworkInstance_Protocol_Igmp_InterfacePathAny) Version() *NetworkInstance_Protocol_Igmp_Interface_VersionPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_VersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Queries returns from NetworkInstance_Protocol_Igmp_Interface_CountersPath the path struct for its child "queries".
func (n *NetworkInstance_Protocol_Igmp_Interface_CountersPath) Queries() *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath{
		NodePath: ygot.NewNodePath(
			[]string{"queries"},
			map[string]interface{}{},
			n,
		),
	}
}

// Queries returns from NetworkInstance_Protocol_Igmp_Interface_CountersPathAny the path struct for its child "queries".
func (n *NetworkInstance_Protocol_Igmp_Interface_CountersPathAny) Queries() *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"queries"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reports returns from NetworkInstance_Protocol_Igmp_Interface_CountersPath the path struct for its child "reports".
func (n *NetworkInstance_Protocol_Igmp_Interface_CountersPath) Reports() *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath{
		NodePath: ygot.NewNodePath(
			[]string{"reports"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reports returns from NetworkInstance_Protocol_Igmp_Interface_CountersPathAny the path struct for its child "reports".
func (n *NetworkInstance_Protocol_Igmp_Interface_CountersPathAny) Reports() *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reports"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny struct {
	*ygot.NodePath
}

// Received returns from NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath) Received() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny) Received() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPath) Sent() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_QueriesPathAny) Sent() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/received/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3PathAny struct {
	*ygot.NodePath
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V1PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPath) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_ReceivedPathAny) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Received_V3PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/queries/sent/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3PathAny struct {
	*ygot.NodePath
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V1PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPath) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_SentPathAny) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Queries_Sent_V3PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v1 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v2 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/counters/reports/state/v3 YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3PathAny struct {
	*ygot.NodePath
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V1 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny the path struct for its child "v1".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny) V1() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V1PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v1"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V2 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny the path struct for its child "v2".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny) V2() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v2"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPath) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3Path {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// V3 returns from NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny the path struct for its child "v3".
func (n *NetworkInstance_Protocol_Igmp_Interface_Counters_ReportsPathAny) V3() *NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3PathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Counters_Reports_V3PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "v3"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_GroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_GroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_GroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_GroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_GroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/group YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_GroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_GroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/group YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_GroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/reporter YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/reporter YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_SourcePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/source YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_SourcePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_Group_SourcePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/membership-groups/group/state/source YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_Group_SourcePathAny struct {
	*ygot.NodePath
}

// Group returns from NetworkInstance_Protocol_Igmp_Interface_GroupPath the path struct for its child "group".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPath) Group() *NetworkInstance_Protocol_Igmp_Interface_Group_GroupPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_GroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Igmp_Interface_GroupPathAny the path struct for its child "group".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny) Group() *NetworkInstance_Protocol_Igmp_Interface_Group_GroupPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reporter returns from NetworkInstance_Protocol_Igmp_Interface_GroupPath the path struct for its child "reporter".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPath) Reporter() *NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPath {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reporter"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reporter returns from NetworkInstance_Protocol_Igmp_Interface_GroupPathAny the path struct for its child "reporter".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny) Reporter() *NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_ReporterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reporter"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_Protocol_Igmp_Interface_GroupPath the path struct for its child "source".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPath) Source() *NetworkInstance_Protocol_Igmp_Interface_Group_SourcePath {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_SourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// Source returns from NetworkInstance_Protocol_Igmp_Interface_GroupPathAny the path struct for its child "source".
func (n *NetworkInstance_Protocol_Igmp_Interface_GroupPathAny) Source() *NetworkInstance_Protocol_Igmp_Interface_Group_SourcePathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_Group_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/igmp/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath) Interface() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Igmp_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Protocol_Igmp_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_IsisPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis YANG schema element.
type NetworkInstance_Protocol_IsisPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_IsisPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis YANG schema element.
type NetworkInstance_Protocol_IsisPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Protocol_IsisPath the path struct for its child "global".
func (n *NetworkInstance_Protocol_IsisPath) Global() *NetworkInstance_Protocol_Isis_GlobalPath {
	return &NetworkInstance_Protocol_Isis_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_IsisPathAny the path struct for its child "global".
func (n *NetworkInstance_Protocol_IsisPathAny) Global() *NetworkInstance_Protocol_Isis_GlobalPathAny {
	return &NetworkInstance_Protocol_Isis_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_IsisPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_IsisPath) InterfaceAny() *NetworkInstance_Protocol_Isis_InterfacePathAny {
	return &NetworkInstance_Protocol_Isis_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_IsisPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_IsisPathAny) InterfaceAny() *NetworkInstance_Protocol_Isis_InterfacePathAny {
	return &NetworkInstance_Protocol_Isis_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_IsisPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_IsisPath) Interface(InterfaceId string) *NetworkInstance_Protocol_Isis_InterfacePath {
	return &NetworkInstance_Protocol_Isis_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_IsisPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_IsisPathAny) Interface(InterfaceId string) *NetworkInstance_Protocol_Isis_InterfacePathAny {
	return &NetworkInstance_Protocol_Isis_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// LevelAny returns from NetworkInstance_Protocol_IsisPath the path struct for its child "level".
func (n *NetworkInstance_Protocol_IsisPath) LevelAny() *NetworkInstance_Protocol_Isis_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": "*"},
			n,
		),
	}
}

// LevelAny returns from NetworkInstance_Protocol_IsisPathAny the path struct for its child "level".
func (n *NetworkInstance_Protocol_IsisPathAny) LevelAny() *NetworkInstance_Protocol_Isis_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": "*"},
			n,
		),
	}
}

// Level returns from NetworkInstance_Protocol_IsisPath the path struct for its child "level".
// LevelNumber: uint8
func (n *NetworkInstance_Protocol_IsisPath) Level(LevelNumber uint8) *NetworkInstance_Protocol_Isis_LevelPath {
	return &NetworkInstance_Protocol_Isis_LevelPath{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": LevelNumber},
			n,
		),
	}
}

// Level returns from NetworkInstance_Protocol_IsisPathAny the path struct for its child "level".
// LevelNumber: uint8
func (n *NetworkInstance_Protocol_IsisPathAny) Level(LevelNumber uint8) *NetworkInstance_Protocol_Isis_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": LevelNumber},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global YANG schema element.
type NetworkInstance_Protocol_Isis_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global YANG schema element.
type NetworkInstance_Protocol_Isis_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/authentication-check YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/authentication-check YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_FastFloodingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/fast-flooding YANG schema element.
type NetworkInstance_Protocol_Isis_Global_FastFloodingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_FastFloodingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/fast-flooding YANG schema element.
type NetworkInstance_Protocol_Isis_Global_FastFloodingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_IidTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/iid-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Global_IidTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_IidTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/iid-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Global_IidTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InstancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LevelCapabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/level-capability YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LevelCapabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LevelCapabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/level-capability YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LevelCapabilityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/max-ecmp-paths YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/max-ecmp-paths YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/maximum-area-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/maximum-area-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_NetPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/net YANG schema element.
type NetworkInstance_Protocol_Isis_Global_NetPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_NetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/net YANG schema element.
type NetworkInstance_Protocol_Isis_Global_NetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_PoiTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/poi-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Global_PoiTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_PoiTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/config/poi-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Global_PoiTlvPathAny struct {
	*ygot.NodePath
}

// AfAny returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) AfAny() *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAny returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) AfAny() *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPath) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPath) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPath {
	return &NetworkInstance_Protocol_Isis_Global_AfPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// AfiAny returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "afi".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) AfiAny() *NetworkInstance_Protocol_Isis_Global_AfiPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-shortcuts", "afi"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// AfiAny returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "afi".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) AfiAny() *NetworkInstance_Protocol_Isis_Global_AfiPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-shortcuts", "afi"},
			map[string]interface{}{"afi-name": "*"},
			n,
		),
	}
}

// Afi returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "afi".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Afi(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfiPath {
	return &NetworkInstance_Protocol_Isis_Global_AfiPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-shortcuts", "afi"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// Afi returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "afi".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Afi(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Global_AfiPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AfiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-shortcuts", "afi"},
			map[string]interface{}{"afi-name": AfiName},
			n,
		),
	}
}

// AuthenticationCheck returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "authentication-check".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) AuthenticationCheck() *NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPath {
	return &NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-check"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationCheck returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "authentication-check".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) AuthenticationCheck() *NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPathAny {
	return &NetworkInstance_Protocol_Isis_Global_AuthenticationCheckPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-check"},
			map[string]interface{}{},
			n,
		),
	}
}

// FastFlooding returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "fast-flooding".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) FastFlooding() *NetworkInstance_Protocol_Isis_Global_FastFloodingPath {
	return &NetworkInstance_Protocol_Isis_Global_FastFloodingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fast-flooding"},
			map[string]interface{}{},
			n,
		),
	}
}

// FastFlooding returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "fast-flooding".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) FastFlooding() *NetworkInstance_Protocol_Isis_Global_FastFloodingPathAny {
	return &NetworkInstance_Protocol_Isis_Global_FastFloodingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fast-flooding"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) GracefulRestart() *NetworkInstance_Protocol_Isis_Global_GracefulRestartPath {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) GracefulRestart() *NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// IidTlv returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "iid-tlv".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) IidTlv() *NetworkInstance_Protocol_Isis_Global_IidTlvPath {
	return &NetworkInstance_Protocol_Isis_Global_IidTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "iid-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// IidTlv returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "iid-tlv".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) IidTlv() *NetworkInstance_Protocol_Isis_Global_IidTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Global_IidTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "iid-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Instance() *NetworkInstance_Protocol_Isis_Global_InstancePath {
	return &NetworkInstance_Protocol_Isis_Global_InstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "instance"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Instance() *NetworkInstance_Protocol_Isis_Global_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Global_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "instance"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterLevelPropagationPolicies returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "inter-level-propagation-policies".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) InterLevelPropagationPolicies() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath{
		NodePath: ygot.NewNodePath(
			[]string{"inter-level-propagation-policies"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterLevelPropagationPolicies returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "inter-level-propagation-policies".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) InterLevelPropagationPolicies() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-level-propagation-policies"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelCapability returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "level-capability".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) LevelCapability() *NetworkInstance_Protocol_Isis_Global_LevelCapabilityPath {
	return &NetworkInstance_Protocol_Isis_Global_LevelCapabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelCapability returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "level-capability".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) LevelCapability() *NetworkInstance_Protocol_Isis_Global_LevelCapabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LevelCapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspBit returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "lsp-bit".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) LspBit() *NetworkInstance_Protocol_Isis_Global_LspBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspBit returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "lsp-bit".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) LspBit() *NetworkInstance_Protocol_Isis_Global_LspBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxEcmpPaths returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "max-ecmp-paths".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) MaxEcmpPaths() *NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPath {
	return &NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-ecmp-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxEcmpPaths returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "max-ecmp-paths".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) MaxEcmpPaths() *NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPathAny {
	return &NetworkInstance_Protocol_Isis_Global_MaxEcmpPathsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-ecmp-paths"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumAreaAddresses returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "maximum-area-addresses".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) MaximumAreaAddresses() *NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPath {
	return &NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-area-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumAreaAddresses returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "maximum-area-addresses".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) MaximumAreaAddresses() *NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPathAny {
	return &NetworkInstance_Protocol_Isis_Global_MaximumAreaAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-area-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Mpls() *NetworkInstance_Protocol_Isis_Global_MplsPath {
	return &NetworkInstance_Protocol_Isis_Global_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Mpls() *NetworkInstance_Protocol_Isis_Global_MplsPathAny {
	return &NetworkInstance_Protocol_Isis_Global_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Net returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "net".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Net() *NetworkInstance_Protocol_Isis_Global_NetPath {
	return &NetworkInstance_Protocol_Isis_Global_NetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "net"},
			map[string]interface{}{},
			n,
		),
	}
}

// Net returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "net".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Net() *NetworkInstance_Protocol_Isis_Global_NetPathAny {
	return &NetworkInstance_Protocol_Isis_Global_NetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "net"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nsr returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "nsr".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Nsr() *NetworkInstance_Protocol_Isis_Global_NsrPath {
	return &NetworkInstance_Protocol_Isis_Global_NsrPath{
		NodePath: ygot.NewNodePath(
			[]string{"nsr"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nsr returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "nsr".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Nsr() *NetworkInstance_Protocol_Isis_Global_NsrPathAny {
	return &NetworkInstance_Protocol_Isis_Global_NsrPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"nsr"},
			map[string]interface{}{},
			n,
		),
	}
}

// PoiTlv returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "poi-tlv".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) PoiTlv() *NetworkInstance_Protocol_Isis_Global_PoiTlvPath {
	return &NetworkInstance_Protocol_Isis_Global_PoiTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "poi-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// PoiTlv returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "poi-tlv".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) PoiTlv() *NetworkInstance_Protocol_Isis_Global_PoiTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Global_PoiTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "poi-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReferenceBandwidth returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "reference-bandwidth".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) ReferenceBandwidth() *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"reference-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReferenceBandwidth returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "reference-bandwidth".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) ReferenceBandwidth() *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reference-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "segment-routing".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) SegmentRouting() *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "segment-routing".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) SegmentRouting() *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Timers() *NetworkInstance_Protocol_Isis_Global_TimersPath {
	return &NetworkInstance_Protocol_Isis_Global_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Timers() *NetworkInstance_Protocol_Isis_Global_TimersPathAny {
	return &NetworkInstance_Protocol_Isis_Global_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Isis_GlobalPath the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Isis_GlobalPath) Transport() *NetworkInstance_Protocol_Isis_Global_TransportPath {
	return &NetworkInstance_Protocol_Isis_Global_TransportPath{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transport returns from NetworkInstance_Protocol_Isis_GlobalPathAny the path struct for its child "transport".
func (n *NetworkInstance_Protocol_Isis_GlobalPathAny) Transport() *NetworkInstance_Protocol_Isis_Global_TransportPathAny {
	return &NetworkInstance_Protocol_Isis_Global_TransportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"transport"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_AfPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_AfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AfPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_SafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_SafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_SafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_SafiNamePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_AfPath the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfPath) AfiName() *NetworkInstance_Protocol_Isis_Global_Af_AfiNamePath {
	return &NetworkInstance_Protocol_Isis_Global_Af_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_AfPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfPathAny) AfiName() *NetworkInstance_Protocol_Isis_Global_Af_AfiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_AfPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_AfPath) Enabled() *NetworkInstance_Protocol_Isis_Global_Af_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_Af_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_AfPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_AfPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_Af_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Global_AfPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Global_AfPath) Metric() *NetworkInstance_Protocol_Isis_Global_Af_MetricPath {
	return &NetworkInstance_Protocol_Isis_Global_Af_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Global_AfPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Global_AfPathAny) Metric() *NetworkInstance_Protocol_Isis_Global_Af_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Global_AfPath the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Global_AfPath) MultiTopology() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath{
		NodePath: ygot.NewNodePath(
			[]string{"multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Global_AfPathAny the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Global_AfPathAny) MultiTopology() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Global_AfPath the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfPath) SafiName() *NetworkInstance_Protocol_Isis_Global_Af_SafiNamePath {
	return &NetworkInstance_Protocol_Isis_Global_Af_SafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Global_AfPathAny the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfPathAny) SafiName() *NetworkInstance_Protocol_Isis_Global_Af_SafiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_SafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/state/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/state/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/afi-safi/af/multi-topology/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath) AfiName() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePath {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny) AfiName() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath) Enabled() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPath) SafiName() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePath {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Global_Af_MultiTopologyPathAny) SafiName() *NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Af_MultiTopology_SafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_AfiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AfiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_AfiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi YANG schema element.
type NetworkInstance_Protocol_Isis_Global_AfiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Afi_NhTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi/config/nh-type YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Afi_NhTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Afi_NhTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/igp-shortcuts/afi/config/nh-type YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Afi_NhTypePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_AfiPath the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfiPath) AfiName() *NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePath {
	return &NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Protocol_Isis_Global_AfiPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Global_AfiPathAny) AfiName() *NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Afi_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NhType returns from NetworkInstance_Protocol_Isis_Global_AfiPath the path struct for its child "nh-type".
func (n *NetworkInstance_Protocol_Isis_Global_AfiPath) NhType() *NetworkInstance_Protocol_Isis_Global_Afi_NhTypePath {
	return &NetworkInstance_Protocol_Isis_Global_Afi_NhTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "nh-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NhType returns from NetworkInstance_Protocol_Isis_Global_AfiPathAny the path struct for its child "nh-type".
func (n *NetworkInstance_Protocol_Isis_Global_AfiPathAny) NhType() *NetworkInstance_Protocol_Isis_Global_Afi_NhTypePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Afi_NhTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "nh-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Isis_Global_GracefulRestartPath the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Isis_Global_GracefulRestartPath) HelperOnly() *NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPath {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Isis_Global_GracefulRestartPathAny) HelperOnly() *NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny struct {
	*ygot.NodePath
}

// Level1ToLevel2 returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath the path struct for its child "level1-to-level2".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath) Level1ToLevel2() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path{
		NodePath: ygot.NewNodePath(
			[]string{"level1-to-level2"},
			map[string]interface{}{},
			n,
		),
	}
}

// Level1ToLevel2 returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny the path struct for its child "level1-to-level2".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny) Level1ToLevel2() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"level1-to-level2"},
			map[string]interface{}{},
			n,
		),
	}
}

// Level2ToLevel1 returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath the path struct for its child "level2-to-level1".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPath) Level2ToLevel1() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path{
		NodePath: ygot.NewNodePath(
			[]string{"level2-to-level1"},
			map[string]interface{}{},
			n,
		),
	}
}

// Level2ToLevel1 returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny the path struct for its child "level2-to-level1".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPoliciesPathAny) Level2ToLevel1() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"level2-to-level1"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2 YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2 YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level1-to-level2/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path) DefaultImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2Path) ImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPath {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2PathAny) ImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level1ToLevel2_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1 YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1 YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/inter-level-propagation-policies/level2-to-level1/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path) DefaultImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1Path) ImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPath {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1PathAny) ImportPolicy() *NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Isis_Global_InterLevelPropagationPolicies_Level2ToLevel1_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_LspBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBitPathAny struct {
	*ygot.NodePath
}

// AttachedBit returns from NetworkInstance_Protocol_Isis_Global_LspBitPath the path struct for its child "attached-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBitPath) AttachedBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"attached-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttachedBit returns from NetworkInstance_Protocol_Isis_Global_LspBitPathAny the path struct for its child "attached-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBitPathAny) AttachedBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"attached-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// OverloadBit returns from NetworkInstance_Protocol_Isis_Global_LspBitPath the path struct for its child "overload-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBitPath) OverloadBit() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"overload-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// OverloadBit returns from NetworkInstance_Protocol_Isis_Global_LspBitPathAny the path struct for its child "overload-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBitPathAny) OverloadBit() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"overload-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit/config/ignore-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit/config/ignore-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit/config/suppress-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/attached-bit/config/suppress-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPathAny struct {
	*ygot.NodePath
}

// IgnoreBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath the path struct for its child "ignore-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath) IgnoreBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgnoreBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny the path struct for its child "ignore-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny) IgnoreBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_IgnoreBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ignore-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SuppressBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath the path struct for its child "suppress-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPath) SuppressBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SuppressBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny the path struct for its child "suppress-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBitPathAny) SuppressBit() *NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_AttachedBit_SuppressBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "suppress-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/advertise-high-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/advertise-high-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/set-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/set-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/set-bit-on-boot YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/config/set-bit-on-boot YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPathAny struct {
	*ygot.NodePath
}

// AdvertiseHighMetric returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath the path struct for its child "advertise-high-metric".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath) AdvertiseHighMetric() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-high-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertiseHighMetric returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny the path struct for its child "advertise-high-metric".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny) AdvertiseHighMetric() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_AdvertiseHighMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "advertise-high-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResetTriggerAny returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath the path struct for its child "reset-trigger".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath) ResetTriggerAny() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reset-triggers", "reset-trigger"},
			map[string]interface{}{"reset-trigger": "*"},
			n,
		),
	}
}

// ResetTriggerAny returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny the path struct for its child "reset-trigger".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny) ResetTriggerAny() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reset-triggers", "reset-trigger"},
			map[string]interface{}{"reset-trigger": "*"},
			n,
		),
	}
}

// ResetTrigger returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath the path struct for its child "reset-trigger".
// ResetTrigger: E_IsisTypes_OVERLOAD_RESET_TRIGGER_TYPE
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath) ResetTrigger(ResetTrigger E_IsisTypes_OVERLOAD_RESET_TRIGGER_TYPE) *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath{
		NodePath: ygot.NewNodePath(
			[]string{"reset-triggers", "reset-trigger"},
			map[string]interface{}{"reset-trigger": ResetTrigger},
			n,
		),
	}
}

// ResetTrigger returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny the path struct for its child "reset-trigger".
// ResetTrigger: E_IsisTypes_OVERLOAD_RESET_TRIGGER_TYPE
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny) ResetTrigger(ResetTrigger E_IsisTypes_OVERLOAD_RESET_TRIGGER_TYPE) *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reset-triggers", "reset-trigger"},
			map[string]interface{}{"reset-trigger": ResetTrigger},
			n,
		),
	}
}

// SetBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath the path struct for its child "set-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath) SetBit() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetBit returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny the path struct for its child "set-bit".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny) SetBit() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetBitOnBoot returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath the path struct for its child "set-bit-on-boot".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPath) SetBitOnBoot() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bit-on-boot"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetBitOnBoot returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny the path struct for its child "set-bit-on-boot".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBitPathAny) SetBitOnBoot() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_SetBitOnBootPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-bit-on-boot"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger/config/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger/config/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger/config/reset-trigger YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/lsp-bit/overload-bit/reset-triggers/reset-trigger/config/reset-trigger YANG schema element.
type NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPathAny struct {
	*ygot.NodePath
}

// Delay returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath) Delay() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny) Delay() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResetTrigger returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath the path struct for its child "reset-trigger".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPath) ResetTrigger() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPath {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reset-trigger"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResetTrigger returns from NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny the path struct for its child "reset-trigger".
func (n *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTriggerPathAny) ResetTrigger() *NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_LspBit_OverloadBit_ResetTrigger_ResetTriggerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reset-trigger"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls YANG schema element.
type NetworkInstance_Protocol_Isis_Global_MplsPathAny struct {
	*ygot.NodePath
}

// IgpLdpSync returns from NetworkInstance_Protocol_Isis_Global_MplsPath the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Isis_Global_MplsPath) IgpLdpSync() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpLdpSync returns from NetworkInstance_Protocol_Isis_Global_MplsPathAny the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Isis_Global_MplsPathAny) IgpLdpSync() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath) Enabled() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPath) PostSessionUpDelay() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSyncPathAny) PostSessionUpDelay() *NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_NsrPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/nsr YANG schema element.
type NetworkInstance_Protocol_Isis_Global_NsrPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_NsrPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/nsr YANG schema element.
type NetworkInstance_Protocol_Isis_Global_NsrPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/nsr/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/nsr/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_NsrPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_NsrPath) Enabled() *NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_NsrPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_NsrPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Nsr_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/reference-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/reference-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/reference-bandwidth/config/reference-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/reference-bandwidth/config/reference-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPathAny struct {
	*ygot.NodePath
}

// ReferenceBandwidth returns from NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath the path struct for its child "reference-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPath) ReferenceBandwidth() *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reference-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReferenceBandwidth returns from NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny the path struct for its child "reference-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidthPathAny) ReferenceBandwidth() *NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Global_ReferenceBandwidth_ReferenceBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "reference-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/srgb YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/srgb YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/srlb YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/segment-routing/config/srlb YANG schema element.
type NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath) Enabled() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny) Enabled() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Srgb returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath the path struct for its child "srgb".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath) Srgb() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPath {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srgb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Srgb returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny the path struct for its child "srgb".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny) Srgb() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPathAny {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrgbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srgb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Srlb returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath the path struct for its child "srlb".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPath) Srlb() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPath {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srlb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Srlb returns from NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny the path struct for its child "srlb".
func (n *NetworkInstance_Protocol_Isis_Global_SegmentRoutingPathAny) Srlb() *NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPathAny {
	return &NetworkInstance_Protocol_Isis_Global_SegmentRouting_SrlbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "srlb"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Global_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Global_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/config/lsp-lifetime-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/config/lsp-lifetime-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/config/lsp-refresh-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/config/lsp-refresh-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPathAny struct {
	*ygot.NodePath
}

// LspGeneration returns from NetworkInstance_Protocol_Isis_Global_TimersPath the path struct for its child "lsp-generation".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPath) LspGeneration() *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-generation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspGeneration returns from NetworkInstance_Protocol_Isis_Global_TimersPathAny the path struct for its child "lsp-generation".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPathAny) LspGeneration() *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-generation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspLifetimeInterval returns from NetworkInstance_Protocol_Isis_Global_TimersPath the path struct for its child "lsp-lifetime-interval".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPath) LspLifetimeInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-lifetime-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspLifetimeInterval returns from NetworkInstance_Protocol_Isis_Global_TimersPathAny the path struct for its child "lsp-lifetime-interval".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPathAny) LspLifetimeInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspLifetimeIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-lifetime-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspRefreshInterval returns from NetworkInstance_Protocol_Isis_Global_TimersPath the path struct for its child "lsp-refresh-interval".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPath) LspRefreshInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-refresh-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspRefreshInterval returns from NetworkInstance_Protocol_Isis_Global_TimersPathAny the path struct for its child "lsp-refresh-interval".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPathAny) LspRefreshInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspRefreshIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-refresh-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Spf returns from NetworkInstance_Protocol_Isis_Global_TimersPath the path struct for its child "spf".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPath) Spf() *NetworkInstance_Protocol_Isis_Global_Timers_SpfPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_SpfPath{
		NodePath: ygot.NewNodePath(
			[]string{"spf"},
			map[string]interface{}{},
			n,
		),
	}
}

// Spf returns from NetworkInstance_Protocol_Isis_Global_TimersPathAny the path struct for its child "spf".
func (n *NetworkInstance_Protocol_Isis_Global_TimersPathAny) Spf() *NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"spf"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/state/adaptive-timer YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/state/adaptive-timer YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-first-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-first-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-max-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-max-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-second-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/lsp-generation/config/lsp-second-wait-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPathAny struct {
	*ygot.NodePath
}

// AdaptiveTimer returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath the path struct for its child "adaptive-timer".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath) AdaptiveTimer() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adaptive-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdaptiveTimer returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny the path struct for its child "adaptive-timer".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny) AdaptiveTimer() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_AdaptiveTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adaptive-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspFirstWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath the path struct for its child "lsp-first-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath) LspFirstWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-first-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspFirstWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny the path struct for its child "lsp-first-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny) LspFirstWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspFirstWaitIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-first-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspMaxWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath the path struct for its child "lsp-max-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath) LspMaxWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-max-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspMaxWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny the path struct for its child "lsp-max-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny) LspMaxWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspMaxWaitIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-max-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspSecondWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath the path struct for its child "lsp-second-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPath) LspSecondWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-second-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspSecondWaitInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny the path struct for its child "lsp-second-wait-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_LspGenerationPathAny) LspSecondWaitInterval() *NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_LspGeneration_LspSecondWaitIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-second-wait-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_Timers_SpfPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_SpfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/state/adaptive-timer YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/state/adaptive-timer YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-first-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-first-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-hold-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-hold-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-second-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/timers/spf/config/spf-second-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPathAny struct {
	*ygot.NodePath
}

// AdaptiveTimer returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPath the path struct for its child "adaptive-timer".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPath) AdaptiveTimer() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adaptive-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdaptiveTimer returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny the path struct for its child "adaptive-timer".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny) AdaptiveTimer() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_AdaptiveTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adaptive-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfFirstInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPath the path struct for its child "spf-first-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPath) SpfFirstInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-first-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfFirstInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny the path struct for its child "spf-first-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny) SpfFirstInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfFirstIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-first-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfHoldInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPath the path struct for its child "spf-hold-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPath) SpfHoldInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-hold-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfHoldInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny the path struct for its child "spf-hold-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny) SpfHoldInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfHoldIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-hold-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfSecondInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPath the path struct for its child "spf-second-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPath) SpfSecondInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPath {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-second-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfSecondInterval returns from NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny the path struct for its child "spf-second-interval".
func (n *NetworkInstance_Protocol_Isis_Global_Timers_SpfPathAny) SpfSecondInterval() *NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Global_Timers_Spf_SpfSecondIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "spf-second-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Global_TransportPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/transport YANG schema element.
type NetworkInstance_Protocol_Isis_Global_TransportPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_TransportPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/transport YANG schema element.
type NetworkInstance_Protocol_Isis_Global_TransportPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/transport/config/lsp-mtu-size YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/global/transport/config/lsp-mtu-size YANG schema element.
type NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePathAny struct {
	*ygot.NodePath
}

// LspMtuSize returns from NetworkInstance_Protocol_Isis_Global_TransportPath the path struct for its child "lsp-mtu-size".
func (n *NetworkInstance_Protocol_Isis_Global_TransportPath) LspMtuSize() *NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePath {
	return &NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-mtu-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspMtuSize returns from NetworkInstance_Protocol_Isis_Global_TransportPathAny the path struct for its child "lsp-mtu-size".
func (n *NetworkInstance_Protocol_Isis_Global_TransportPathAny) LspMtuSize() *NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePathAny {
	return &NetworkInstance_Protocol_Isis_Global_Transport_LspMtuSizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-mtu-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Isis_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Isis_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/circuit-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/circuit-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_HelloPaddingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/hello-padding YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_HelloPaddingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_HelloPaddingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/hello-padding YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_HelloPaddingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_PassivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/passive YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_PassivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_PassivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/config/passive YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_PassivePathAny struct {
	*ygot.NodePath
}

// AfAny returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) AfAny() *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAny returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) AfAny() *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePath) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePath) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPath {
	return &NetworkInstance_Protocol_Isis_Interface_AfPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Authentication() *NetworkInstance_Protocol_Isis_Interface_AuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Interface_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Authentication() *NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bfd returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "bfd".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Bfd() *NetworkInstance_Protocol_Isis_Interface_BfdPath {
	return &NetworkInstance_Protocol_Isis_Interface_BfdPath{
		NodePath: ygot.NewNodePath(
			[]string{"bfd"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bfd returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "bfd".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Bfd() *NetworkInstance_Protocol_Isis_Interface_BfdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_BfdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bfd"},
			map[string]interface{}{},
			n,
		),
	}
}

// CircuitCounters returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "circuit-counters".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) CircuitCounters() *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"circuit-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// CircuitCounters returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "circuit-counters".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) CircuitCounters() *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"circuit-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// CircuitType returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "circuit-type".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) CircuitType() *NetworkInstance_Protocol_Isis_Interface_CircuitTypePath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "circuit-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// CircuitType returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "circuit-type".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) CircuitType() *NetworkInstance_Protocol_Isis_Interface_CircuitTypePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "circuit-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Enabled() *NetworkInstance_Protocol_Isis_Interface_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Interface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Enabled() *NetworkInstance_Protocol_Isis_Interface_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloPadding returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "hello-padding".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) HelloPadding() *NetworkInstance_Protocol_Isis_Interface_HelloPaddingPath {
	return &NetworkInstance_Protocol_Isis_Interface_HelloPaddingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-padding"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloPadding returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "hello-padding".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) HelloPadding() *NetworkInstance_Protocol_Isis_Interface_HelloPaddingPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_HelloPaddingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-padding"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) InterfaceId() *NetworkInstance_Protocol_Isis_Interface_InterfaceIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) InterfaceId() *NetworkInstance_Protocol_Isis_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) InterfaceRef() *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) InterfaceRef() *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelAny returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "level".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) LevelAny() *NetworkInstance_Protocol_Isis_Interface_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": "*"},
			n,
		),
	}
}

// LevelAny returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "level".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) LevelAny() *NetworkInstance_Protocol_Isis_Interface_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": "*"},
			n,
		),
	}
}

// Level returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "level".
// LevelNumber: uint8
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Level(LevelNumber uint8) *NetworkInstance_Protocol_Isis_Interface_LevelPath {
	return &NetworkInstance_Protocol_Isis_Interface_LevelPath{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": LevelNumber},
			n,
		),
	}
}

// Level returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "level".
// LevelNumber: uint8
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Level(LevelNumber uint8) *NetworkInstance_Protocol_Isis_Interface_LevelPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_LevelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"levels", "level"},
			map[string]interface{}{"level-number": LevelNumber},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Mpls() *NetworkInstance_Protocol_Isis_Interface_MplsPath {
	return &NetworkInstance_Protocol_Isis_Interface_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Mpls() *NetworkInstance_Protocol_Isis_Interface_MplsPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Passive() *NetworkInstance_Protocol_Isis_Interface_PassivePath {
	return &NetworkInstance_Protocol_Isis_Interface_PassivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Passive() *NetworkInstance_Protocol_Isis_Interface_PassivePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_PassivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_InterfacePath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_InterfacePath) Timers() *NetworkInstance_Protocol_Isis_Interface_TimersPath {
	return &NetworkInstance_Protocol_Isis_Interface_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_InterfacePathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_InterfacePathAny) Timers() *NetworkInstance_Protocol_Isis_Interface_TimersPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_AfPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_AfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_AfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_AfPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Protocol_Isis_Interface_AfPath the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPath) AfiName() *NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePath {
	return &NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Protocol_Isis_Interface_AfPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPathAny) AfiName() *NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Af_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_AfPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPath) Enabled() *NetworkInstance_Protocol_Isis_Interface_Af_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Interface_Af_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_AfPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPathAny) Enabled() *NetworkInstance_Protocol_Isis_Interface_Af_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Af_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Interface_AfPath the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPath) SafiName() *NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePath {
	return &NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Interface_AfPathAny the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_AfPathAny) SafiName() *NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Af_SafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/config/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/config/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPathAny struct {
	*ygot.NodePath
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPath the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPath) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_HelloAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPath the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPath) Key() *NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny) Key() *NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPath the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPath) Keychain() *NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPath {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPath{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Interface_AuthenticationPathAny) Keychain() *NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPath) AuthPassword() *NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPath {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Interface_Authentication_KeyPathAny) AuthPassword() *NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Authentication_Key_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Authentication_KeychainPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_BfdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/bfd YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_BfdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_BfdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/bfd YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_BfdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/bfd/config/bfd-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/bfd/config/bfd-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPathAny struct {
	*ygot.NodePath
}

// BfdTlv returns from NetworkInstance_Protocol_Isis_Interface_BfdPath the path struct for its child "bfd-tlv".
func (n *NetworkInstance_Protocol_Isis_Interface_BfdPath) BfdTlv() *NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPath {
	return &NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bfd-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// BfdTlv returns from NetworkInstance_Protocol_Isis_Interface_BfdPathAny the path struct for its child "bfd-tlv".
func (n *NetworkInstance_Protocol_Isis_Interface_BfdPathAny) BfdTlv() *NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Bfd_BfdTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bfd-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/adj-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/adj-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/adj-number YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/adj-number YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/auth-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/auth-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/auth-type-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/auth-type-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/id-field-len-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/id-field-len-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/init-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/init-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/lan-dis-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/lan-dis-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/max-area-address-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/max-area-address-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/rejected-adj YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/circuit-counters/state/rejected-adj YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPathAny struct {
	*ygot.NodePath
}

// AdjChanges returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "adj-changes".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) AdjChanges() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adj-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjChanges returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "adj-changes".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) AdjChanges() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adj-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjNumber returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "adj-number".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) AdjNumber() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adj-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjNumber returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "adj-number".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) AdjNumber() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AdjNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adj-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "auth-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) AuthFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "auth-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) AuthFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthFailsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthTypeFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "auth-type-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) AuthTypeFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-type-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthTypeFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "auth-type-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) AuthTypeFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_AuthTypeFailsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-type-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdFieldLenMismatches returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "id-field-len-mismatches".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) IdFieldLenMismatches() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-field-len-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdFieldLenMismatches returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "id-field-len-mismatches".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) IdFieldLenMismatches() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_IdFieldLenMismatchesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-field-len-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// InitFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "init-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) InitFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "init-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// InitFails returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "init-fails".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) InitFails() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_InitFailsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "init-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanDisChanges returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "lan-dis-changes".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) LanDisChanges() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lan-dis-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanDisChanges returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "lan-dis-changes".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) LanDisChanges() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_LanDisChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lan-dis-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAreaAddressMismatches returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "max-area-address-mismatches".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) MaxAreaAddressMismatches() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-area-address-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAreaAddressMismatches returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "max-area-address-mismatches".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) MaxAreaAddressMismatches() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_MaxAreaAddressMismatchesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-area-address-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// RejectedAdj returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath the path struct for its child "rejected-adj".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPath) RejectedAdj() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPath {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "rejected-adj"},
			map[string]interface{}{},
			n,
		),
	}
}

// RejectedAdj returns from NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny the path struct for its child "rejected-adj".
func (n *NetworkInstance_Protocol_Isis_Interface_CircuitCountersPathAny) RejectedAdj() *NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_CircuitCounters_RejectedAdjPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "rejected-adj"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath) Interface() *NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Isis_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_LevelPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_LevelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_LevelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_LevelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/level-number YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/level-number YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PassivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/passive YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PassivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PassivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/passive YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PassivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/config/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PriorityPathAny struct {
	*ygot.NodePath
}

// AdjacencyAny returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "adjacency".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) AdjacencyAny() *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacencies", "adjacency"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// AdjacencyAny returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "adjacency".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) AdjacencyAny() *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacencies", "adjacency"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// Adjacency returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "adjacency".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Adjacency(SystemId string) *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacencies", "adjacency"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// Adjacency returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "adjacency".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Adjacency(SystemId string) *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacencies", "adjacency"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// AfAny returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) AfAny() *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAny returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "af".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) AfAny() *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnySafiName returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) AfAnySafiName(AfiName E_IsisTypes_AFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": "*"},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// AfAnyAfiName returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "af".
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) AfAnyAfiName(SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": "*", "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPath{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// Af returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "af".
// AfiName: E_IsisTypes_AFI_TYPE
// SafiName: E_IsisTypes_SAFI_TYPE
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Af(AfiName E_IsisTypes_AFI_TYPE, SafiName E_IsisTypes_SAFI_TYPE) *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"afi-safi", "af"},
			map[string]interface{}{"afi-name": AfiName, "safi-name": SafiName},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Enabled() *NetworkInstance_Protocol_Isis_Interface_Level_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Enabled() *NetworkInstance_Protocol_Isis_Interface_Level_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelNumber returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "level-number".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) LevelNumber() *NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelNumber returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "level-number".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) LevelNumber() *NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_LevelNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketCounters returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "packet-counters".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) PacketCounters() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"packet-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// PacketCounters returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "packet-counters".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) PacketCounters() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"packet-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Passive() *NetworkInstance_Protocol_Isis_Interface_Level_PassivePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PassivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Passive() *NetworkInstance_Protocol_Isis_Interface_Level_PassivePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PassivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Priority() *NetworkInstance_Protocol_Isis_Interface_Level_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Priority() *NetworkInstance_Protocol_Isis_Interface_Level_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_Interface_LevelPath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPath) Timers() *NetworkInstance_Protocol_Isis_Interface_Level_TimersPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Isis_Interface_LevelPathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Isis_Interface_LevelPathAny) Timers() *NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/adjacency-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/adjacency-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/area-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/area-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/dis-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/dis-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/local-extended-circuit-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/local-extended-circuit-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-circuit-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-circuit-type YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-extended-circuit-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-extended-circuit-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-ipv4-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-ipv6-address YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-snpa YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/neighbor-snpa YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/remaining-hold-time YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/remaining-hold-time YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-status YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-status YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-support YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-support YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-suppress YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/restart-suppress YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/topology YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/topology YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/up-time YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/adjacencies/adjacency/state/up-time YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePathAny struct {
	*ygot.NodePath
}

// AdjacencyState returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) AdjacencyState() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyState returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) AdjacencyState() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyType returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "adjacency-type".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) AdjacencyType() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyType returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "adjacency-type".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) AdjacencyType() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AdjacencyTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AreaAddress returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "area-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) AreaAddress() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "area-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// AreaAddress returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "area-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) AreaAddress() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_AreaAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "area-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisSystemId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "dis-system-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) DisSystemId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dis-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisSystemId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "dis-system-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) DisSystemId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_DisSystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dis-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalExtendedCircuitId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "local-extended-circuit-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) LocalExtendedCircuitId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-extended-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalExtendedCircuitId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "local-extended-circuit-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) LocalExtendedCircuitId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_LocalExtendedCircuitIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-extended-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) MultiTopology() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) MultiTopology() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_MultiTopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborCircuitType returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "neighbor-circuit-type".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) NeighborCircuitType() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-circuit-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborCircuitType returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "neighbor-circuit-type".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) NeighborCircuitType() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborCircuitTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-circuit-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborExtendedCircuitId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "neighbor-extended-circuit-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) NeighborExtendedCircuitId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-extended-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborExtendedCircuitId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "neighbor-extended-circuit-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) NeighborExtendedCircuitId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborExtendedCircuitIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-extended-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborIpv4Address returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "neighbor-ipv4-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) NeighborIpv4Address() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborIpv4Address returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "neighbor-ipv4-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) NeighborIpv4Address() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborIpv6Address returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "neighbor-ipv6-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) NeighborIpv6Address() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborIpv6Address returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "neighbor-ipv6-address".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) NeighborIpv6Address() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborIpv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborSnpa returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "neighbor-snpa".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) NeighborSnpa() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-snpa"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborSnpa returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "neighbor-snpa".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) NeighborSnpa() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NeighborSnpaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-snpa"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) Nlpid() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) Nlpid() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_NlpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) Priority() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) Priority() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemainingHoldTime returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "remaining-hold-time".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) RemainingHoldTime() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remaining-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemainingHoldTime returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "remaining-hold-time".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) RemainingHoldTime() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RemainingHoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remaining-hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartStatus returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "restart-status".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) RestartStatus() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartStatus returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "restart-status".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) RestartStatus() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartStatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-status"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartSupport returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "restart-support".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) RestartSupport() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-support"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartSupport returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "restart-support".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) RestartSupport() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSupportPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-support"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartSuppress returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "restart-suppress".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) RestartSuppress() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// RestartSuppress returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "restart-suppress".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) RestartSuppress() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_RestartSuppressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "restart-suppress"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) SystemId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) SystemId() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Topology returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "topology".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) Topology() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// Topology returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "topology".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) Topology() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_TopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpTime returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath the path struct for its child "up-time".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPath) UpTime() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpTime returns from NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny the path struct for its child "up-time".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AdjacencyPathAny) UpTime() *NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Adjacency_UpTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_AfPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_AfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/afi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/config/safi-name YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePathAny struct {
	*ygot.NodePath
}

// AfiName returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPath the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPath) AfiName() *NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AfiName returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny the path struct for its child "afi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny) AfiName() *NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_AfiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPath) Enabled() *NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny) Enabled() *NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPath) Metric() *NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny) Metric() *NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPath the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPath) SafiName() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SafiName returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny the path struct for its child "safi-name".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny) SafiName() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SafiNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "safi-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPath the path struct for its child "segment-routing".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPath) SegmentRouting() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRouting returns from NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny the path struct for its child "segment-routing".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_AfPathAny) SegmentRouting() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny struct {
	*ygot.NodePath
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": "*", "sid-id": "*"},
			n,
		),
	}
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": "*", "sid-id": "*"},
			n,
		),
	}
}

// AdjacencySidAnySidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "adjacency-sid".
// Neighbor: string
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) AdjacencySidAnySidId(Neighbor string) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": Neighbor, "sid-id": "*"},
			n,
		),
	}
}

// AdjacencySidAnySidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "adjacency-sid".
// Neighbor: string
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) AdjacencySidAnySidId(Neighbor string) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": Neighbor, "sid-id": "*"},
			n,
		),
	}
}

// AdjacencySidAnyNeighbor returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "adjacency-sid".
// SidId: [UnionUint32, E_MplsTypes_MplsLabel_Enum, UnionString, E_AdjacencySid_SidId_Enum]
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) AdjacencySidAnyNeighbor(SidId NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidId_Union) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": "*", "sid-id": SidId},
			n,
		),
	}
}

// AdjacencySidAnyNeighbor returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "adjacency-sid".
// SidId: [UnionUint32, E_MplsTypes_MplsLabel_Enum, UnionString, E_AdjacencySid_SidId_Enum]
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) AdjacencySidAnyNeighbor(SidId NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidId_Union) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": "*", "sid-id": SidId},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "adjacency-sid".
// Neighbor: string
// SidId: [UnionUint32, E_MplsTypes_MplsLabel_Enum, UnionString, E_AdjacencySid_SidId_Enum]
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) AdjacencySid(Neighbor string, SidId NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidId_Union) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": Neighbor, "sid-id": SidId},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "adjacency-sid".
// Neighbor: string
// SidId: [UnionUint32, E_MplsTypes_MplsLabel_Enum, UnionString, E_AdjacencySid_SidId_Enum]
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) AdjacencySid(Neighbor string, SidId NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidId_Union) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"neighbor": Neighbor, "sid-id": SidId},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) PrefixSidAny() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) PrefixSidAny() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath the path struct for its child "prefix-sid".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPath) PrefixSid(Prefix string) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny the path struct for its child "prefix-sid".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRoutingPathAny) PrefixSid(Prefix string) *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/state/allocated-dynamic-local YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/state/allocated-dynamic-local YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/group YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/group YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/protection-eligible YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/protection-eligible YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/sid-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/adjacency-sids/adjacency-sid/config/sid-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPathAny struct {
	*ygot.NodePath
}

// AllocatedDynamicLocal returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath the path struct for its child "allocated-dynamic-local".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath) AllocatedDynamicLocal() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "allocated-dynamic-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// AllocatedDynamicLocal returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny the path struct for its child "allocated-dynamic-local".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny) AllocatedDynamicLocal() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_AllocatedDynamicLocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "allocated-dynamic-local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath the path struct for its child "group".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath) Group() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny the path struct for its child "group".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny) Group() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath) Neighbor() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor"},
			map[string]interface{}{},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny) Neighbor() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionEligible returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath the path struct for its child "protection-eligible".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath) ProtectionEligible() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protection-eligible"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtectionEligible returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny the path struct for its child "protection-eligible".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny) ProtectionEligible() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_ProtectionEligiblePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protection-eligible"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath the path struct for its child "sid-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPath) SidId() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny the path struct for its child "sid-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySidPathAny) SidId() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_AdjacencySid_SidIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/label-options YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/label-options YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/sid-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/afi-safi/af/segment-routing/prefix-sids/prefix-sid/config/sid-id YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPathAny struct {
	*ygot.NodePath
}

// LabelOptions returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath the path struct for its child "label-options".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath) LabelOptions() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// LabelOptions returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny the path struct for its child "label-options".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny) LabelOptions() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_LabelOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "label-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath) Prefix() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny) Prefix() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath the path struct for its child "sid-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPath) SidId() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidId returns from NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny the path struct for its child "sid-id".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSidPathAny) SidId() *NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Af_SegmentRouting_PrefixSid_SidIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "sid-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/config/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/config/hello-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPathAny struct {
	*ygot.NodePath
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloAuthentication returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny the path struct for its child "hello-authentication".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny) HelloAuthentication() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_HelloAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath) Key() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny) Key() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPath) Keychain() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPath{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthenticationPathAny) Keychain() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPath) AuthPassword() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeyPathAny) AuthPassword() *NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_Key_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/hello-authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_HelloAuthentication_KeychainPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny struct {
	*ygot.NodePath
}

// Csnp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "csnp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Csnp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath{
		NodePath: ygot.NewNodePath(
			[]string{"csnp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Csnp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "csnp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Csnp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"csnp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Esh returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "esh".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Esh() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath{
		NodePath: ygot.NewNodePath(
			[]string{"esh"},
			map[string]interface{}{},
			n,
		),
	}
}

// Esh returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "esh".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Esh() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"esh"},
			map[string]interface{}{},
			n,
		),
	}
}

// Iih returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "iih".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Iih() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath{
		NodePath: ygot.NewNodePath(
			[]string{"iih"},
			map[string]interface{}{},
			n,
		),
	}
}

// Iih returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "iih".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Iih() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"iih"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ish returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "ish".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Ish() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath{
		NodePath: ygot.NewNodePath(
			[]string{"ish"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ish returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "ish".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Ish() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ish"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lsp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "lsp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Lsp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lsp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "lsp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Lsp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Psnp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "psnp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Psnp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath{
		NodePath: ygot.NewNodePath(
			[]string{"psnp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Psnp returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "psnp".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Psnp() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"psnp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unknown returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath the path struct for its child "unknown".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPath) Unknown() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// Unknown returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny the path struct for its child "unknown".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCountersPathAny) Unknown() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/csnp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_CsnpPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Csnp_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/esh/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_EshPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Esh_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/iih/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IihPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Iih_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/ish/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_IshPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Ish_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/lsp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_LspPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Lsp_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/psnp/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_PsnpPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Psnp_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/dropped YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/processed YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/received YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/retransmit YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/packet-counters/unknown/state/sent YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPathAny struct {
	*ygot.NodePath
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dropped returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny the path struct for its child "dropped".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny) Dropped() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_DroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Processed returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny the path struct for its child "processed".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny) Processed() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ProcessedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "processed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Received returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny the path struct for its child "received".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny) Received() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_ReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Retransmit returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny the path struct for its child "retransmit".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny) Retransmit() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_RetransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retransmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPath) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Sent returns from NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny the path struct for its child "sent".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_UnknownPathAny) Sent() *NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_PacketCounters_Unknown_SentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Level_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers/config/hello-multiplier YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/levels/level/timers/config/hello-multiplier YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPathAny struct {
	*ygot.NodePath
}

// HelloInterval returns from NetworkInstance_Protocol_Isis_Interface_Level_TimersPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_TimersPath) HelloInterval() *NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny) HelloInterval() *NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMultiplier returns from NetworkInstance_Protocol_Isis_Interface_Level_TimersPath the path struct for its child "hello-multiplier".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_TimersPath) HelloMultiplier() *NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPath {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-multiplier"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMultiplier returns from NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny the path struct for its child "hello-multiplier".
func (n *NetworkInstance_Protocol_Isis_Interface_Level_TimersPathAny) HelloMultiplier() *NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Level_Timers_HelloMultiplierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-multiplier"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_MplsPathAny struct {
	*ygot.NodePath
}

// IgpLdpSync returns from NetworkInstance_Protocol_Isis_Interface_MplsPath the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Isis_Interface_MplsPath) IgpLdpSync() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpLdpSync returns from NetworkInstance_Protocol_Isis_Interface_MplsPathAny the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Isis_Interface_MplsPathAny) IgpLdpSync() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath) Enabled() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny) Enabled() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPath) PostSessionUpDelay() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSyncPathAny) PostSessionUpDelay() *NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Interface_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers/config/csnp-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers/config/csnp-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers/config/lsp-pacing-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/interfaces/interface/timers/config/lsp-pacing-interval YANG schema element.
type NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPathAny struct {
	*ygot.NodePath
}

// CsnpInterval returns from NetworkInstance_Protocol_Isis_Interface_TimersPath the path struct for its child "csnp-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_TimersPath) CsnpInterval() *NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPath {
	return &NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "csnp-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// CsnpInterval returns from NetworkInstance_Protocol_Isis_Interface_TimersPathAny the path struct for its child "csnp-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_TimersPathAny) CsnpInterval() *NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Timers_CsnpIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "csnp-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspPacingInterval returns from NetworkInstance_Protocol_Isis_Interface_TimersPath the path struct for its child "lsp-pacing-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_TimersPath) LspPacingInterval() *NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPath {
	return &NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-pacing-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspPacingInterval returns from NetworkInstance_Protocol_Isis_Interface_TimersPathAny the path struct for its child "lsp-pacing-interval".
func (n *NetworkInstance_Protocol_Isis_Interface_TimersPathAny) LspPacingInterval() *NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPathAny {
	return &NetworkInstance_Protocol_Isis_Interface_Timers_LspPacingIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-pacing-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_LevelPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level YANG schema element.
type NetworkInstance_Protocol_Isis_LevelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_LevelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level YANG schema element.
type NetworkInstance_Protocol_Isis_LevelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/authentication-check YANG schema element.
type NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/authentication-check YANG schema element.
type NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Level_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Level_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_LevelNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/level-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_LevelNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_LevelNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/level-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_LevelNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_MetricStylePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/metric-style YANG schema element.
type NetworkInstance_Protocol_Isis_Level_MetricStylePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_MetricStylePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/config/metric-style YANG schema element.
type NetworkInstance_Protocol_Isis_Level_MetricStylePathAny struct {
	*ygot.NodePath
}

// Authentication returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_LevelPath) Authentication() *NetworkInstance_Protocol_Isis_Level_AuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Level_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) Authentication() *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationCheck returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "authentication-check".
func (n *NetworkInstance_Protocol_Isis_LevelPath) AuthenticationCheck() *NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPath {
	return &NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-check"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationCheck returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "authentication-check".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) AuthenticationCheck() *NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPathAny {
	return &NetworkInstance_Protocol_Isis_Level_AuthenticationCheckPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-check"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_LevelPath) Enabled() *NetworkInstance_Protocol_Isis_Level_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Level_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) Enabled() *NetworkInstance_Protocol_Isis_Level_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Level_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelNumber returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "level-number".
func (n *NetworkInstance_Protocol_Isis_LevelPath) LevelNumber() *NetworkInstance_Protocol_Isis_Level_LevelNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_LevelNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// LevelNumber returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "level-number".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) LevelNumber() *NetworkInstance_Protocol_Isis_Level_LevelNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_LevelNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "level-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspAny returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "lsp".
func (n *NetworkInstance_Protocol_Isis_LevelPath) LspAny() *NetworkInstance_Protocol_Isis_Level_LspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_LspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-state-database", "lsp"},
			map[string]interface{}{"lsp-id": "*"},
			n,
		),
	}
}

// LspAny returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "lsp".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) LspAny() *NetworkInstance_Protocol_Isis_Level_LspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_LspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-state-database", "lsp"},
			map[string]interface{}{"lsp-id": "*"},
			n,
		),
	}
}

// Lsp returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "lsp".
// LspId: string
func (n *NetworkInstance_Protocol_Isis_LevelPath) Lsp(LspId string) *NetworkInstance_Protocol_Isis_Level_LspPath {
	return &NetworkInstance_Protocol_Isis_Level_LspPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-state-database", "lsp"},
			map[string]interface{}{"lsp-id": LspId},
			n,
		),
	}
}

// Lsp returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "lsp".
// LspId: string
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) Lsp(LspId string) *NetworkInstance_Protocol_Isis_Level_LspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_LspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-state-database", "lsp"},
			map[string]interface{}{"lsp-id": LspId},
			n,
		),
	}
}

// MetricStyle returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "metric-style".
func (n *NetworkInstance_Protocol_Isis_LevelPath) MetricStyle() *NetworkInstance_Protocol_Isis_Level_MetricStylePath {
	return &NetworkInstance_Protocol_Isis_Level_MetricStylePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric-style"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricStyle returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "metric-style".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) MetricStyle() *NetworkInstance_Protocol_Isis_Level_MetricStylePathAny {
	return &NetworkInstance_Protocol_Isis_Level_MetricStylePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric-style"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutePreference returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "route-preference".
func (n *NetworkInstance_Protocol_Isis_LevelPath) RoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreferencePath {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutePreference returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "route-preference".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) RoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemLevelCounters returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "system-level-counters".
func (n *NetworkInstance_Protocol_Isis_LevelPath) SystemLevelCounters() *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"system-level-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemLevelCounters returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "system-level-counters".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) SystemLevelCounters() *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"system-level-counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Isis_LevelPath the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Isis_LevelPath) TrafficEngineering() *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath{
		NodePath: ygot.NewNodePath(
			[]string{"traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Isis_LevelPathAny the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Isis_LevelPathAny) TrafficEngineering() *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/csnp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/csnp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/lsp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/lsp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/psnp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/config/psnp-authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPathAny struct {
	*ygot.NodePath
}

// CsnpAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPath the path struct for its child "csnp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPath) CsnpAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "csnp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// CsnpAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny the path struct for its child "csnp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny) CsnpAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_CsnpAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "csnp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPath the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPath) Key() *NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Key returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny the path struct for its child "key".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny) Key() *NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPath the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPath) Keychain() *NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPath{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// Keychain returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny the path struct for its child "keychain".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny) Keychain() *NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"keychain"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPath the path struct for its child "lsp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPath) LspAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny the path struct for its child "lsp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny) LspAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_LspAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "lsp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnpAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPath the path struct for its child "psnp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPath) PsnpAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "psnp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnpAuthentication returns from NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny the path struct for its child "psnp-authentication".
func (n *NetworkInstance_Protocol_Isis_Level_AuthenticationPathAny) PsnpAuthentication() *NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_PsnpAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "psnp-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/key YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/key/config/auth-password YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPathAny struct {
	*ygot.NodePath
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Level_Authentication_KeyPath) AuthPassword() *NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPath {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPassword returns from NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny the path struct for its child "auth-password".
func (n *NetworkInstance_Protocol_Isis_Level_Authentication_KeyPathAny) AuthPassword() *NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Authentication_Key_AuthPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/authentication/keychain YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Authentication_KeychainPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_LspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_LspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_LspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_LspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/checksum YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/checksum YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/id-length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/id-length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/is-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/is-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/lsp-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/lsp-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/maximum-area-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/maximum-area-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/pdu-length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/pdu-length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/pdu-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/pdu-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/remaining-lifetime YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/remaining-lifetime YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/sequence-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/sequence-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_VersionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/version YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_VersionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_VersionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/version YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_VersionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Version2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/version2 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Version2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Version2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/state/version2 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Version2PathAny struct {
	*ygot.NodePath
}

// Checksum returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "checksum".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) Checksum() *NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Checksum returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "checksum".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) Checksum() *NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_ChecksumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdLength returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "id-length".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) IdLength() *NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdLength returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "id-length".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) IdLength() *NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_IdLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsType returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "is-type".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) IsType() *NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsType returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "is-type".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) IsType() *NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_IsTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "is-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspId returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "lsp-id".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) LspId() *NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspId returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "lsp-id".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) LspId() *NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_LspIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumAreaAddresses returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "maximum-area-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) MaximumAreaAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-area-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumAreaAddresses returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "maximum-area-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) MaximumAreaAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_MaximumAreaAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-area-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// PduLength returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "pdu-length".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) PduLength() *NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pdu-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PduLength returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "pdu-length".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) PduLength() *NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_PduLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pdu-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PduType returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "pdu-type".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) PduType() *NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pdu-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PduType returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "pdu-type".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) PduType() *NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_PduTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pdu-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemainingLifetime returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "remaining-lifetime".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) RemainingLifetime() *NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remaining-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemainingLifetime returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "remaining-lifetime".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) RemainingLifetime() *NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_RemainingLifetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remaining-lifetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceNumber returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "sequence-number".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) SequenceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceNumber returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "sequence-number".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) SequenceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_SequenceNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvAny returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "tlv".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) TlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlvs", "tlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// TlvAny returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "tlv".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) TlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlvs", "tlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Tlv returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "tlv".
// Type: E_IsisLsdbTypes_ISIS_TLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) Tlv(Type E_IsisLsdbTypes_ISIS_TLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlvs", "tlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Tlv returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "tlv".
// Type: E_IsisLsdbTypes_ISIS_TLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) Tlv(Type E_IsisLsdbTypes_ISIS_TLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlvs", "tlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedTlvAny returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "undefined-tlv".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) UndefinedTlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-tlvs", "undefined-tlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedTlvAny returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "undefined-tlv".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) UndefinedTlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-tlvs", "undefined-tlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedTlv returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "undefined-tlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) UndefinedTlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-tlvs", "undefined-tlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedTlv returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "undefined-tlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) UndefinedTlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-tlvs", "undefined-tlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Version returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "version".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) Version() *NetworkInstance_Protocol_Isis_Level_Lsp_VersionPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_VersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "version".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) Version() *NetworkInstance_Protocol_Isis_Level_Lsp_VersionPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_VersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version2 returns from NetworkInstance_Protocol_Isis_Level_LspPath the path struct for its child "version2".
func (n *NetworkInstance_Protocol_Isis_Level_LspPath) Version2() *NetworkInstance_Protocol_Isis_Level_Lsp_Version2Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Version2Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "version2"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version2 returns from NetworkInstance_Protocol_Isis_Level_LspPathAny the path struct for its child "version2".
func (n *NetworkInstance_Protocol_Isis_Level_LspPathAny) Version2() *NetworkInstance_Protocol_Isis_Level_Lsp_Version2PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Version2PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "version2"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// AreaAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "area-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) AreaAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"area-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// AreaAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "area-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) AreaAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"area-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Authentication() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "authentication".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Authentication() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// CapabilityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "capability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) CapabilityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-capabilities", "capability"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// CapabilityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "capability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) CapabilityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-capabilities", "capability"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// Capability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "capability".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Capability(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-capabilities", "capability"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// Capability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "capability".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Capability(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-capabilities", "capability"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// ExtendedIpv4Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "extended-ipv4-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) ExtendedIpv4Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-ipv4-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedIpv4Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "extended-ipv4-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) ExtendedIpv4Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-ipv4-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedIsReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "extended-is-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) ExtendedIsReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-is-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedIsReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "extended-is-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) ExtendedIsReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-is-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "hostname".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Hostname() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath{
		NodePath: ygot.NewNodePath(
			[]string{"hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "hostname".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Hostname() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceIdAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) InstanceIdAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instance-ids", "instance-id"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// InstanceIdAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) InstanceIdAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instance-ids", "instance-id"},
			map[string]interface{}{"instance-id": "*"},
			n,
		),
	}
}

// InstanceId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "instance-id".
// InstanceId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) InstanceId(InstanceId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"instance-ids", "instance-id"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// InstanceId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "instance-id".
// InstanceId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) InstanceId(InstanceId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instance-ids", "instance-id"},
			map[string]interface{}{"instance-id": InstanceId},
			n,
		),
	}
}

// Ipv4ExternalReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-external-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4ExternalReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-external-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4ExternalReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-external-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4ExternalReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-external-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddresses returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-interface-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4InterfaceAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddresses returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-interface-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4InterfaceAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InternalReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-internal-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4InternalReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-internal-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InternalReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-internal-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4InternalReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-internal-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SrlgAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-srlg".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4SrlgAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srlgs", "ipv4-srlg"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// Ipv4SrlgAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-srlg".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4SrlgAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srlgs", "ipv4-srlg"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// Ipv4Srlg returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-srlg".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4Srlg(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srlgs", "ipv4-srlg"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// Ipv4Srlg returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-srlg".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4Srlg(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-srlgs", "ipv4-srlg"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// Ipv4TeRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv4-te-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv4TeRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-te-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4TeRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv4-te-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv4TeRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-te-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddresses returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv6-interface-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv6InterfaceAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddresses returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv6-interface-addresses".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv6InterfaceAddresses() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv6-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv6Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv6-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv6Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SrlgAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv6-srlg".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv6SrlgAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srlgs", "ipv6-srlg"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// Ipv6SrlgAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv6-srlg".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv6SrlgAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srlgs", "ipv6-srlg"},
			map[string]interface{}{"instance-number": "*"},
			n,
		),
	}
}

// Ipv6Srlg returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv6-srlg".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv6Srlg(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srlgs", "ipv6-srlg"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// Ipv6Srlg returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv6-srlg".
// InstanceNumber: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv6Srlg(InstanceNumber uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-srlgs", "ipv6-srlg"},
			map[string]interface{}{"instance-number": InstanceNumber},
			n,
		),
	}
}

// Ipv6TeRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "ipv6-te-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Ipv6TeRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-te-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6TeRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "ipv6-te-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Ipv6TeRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-te-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsAliasId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "is-alias-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) IsAliasId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"is-alias-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsAliasId returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "is-alias-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) IsAliasId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"is-alias-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "is-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) IsReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"is-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsReachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "is-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) IsReachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"is-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsisNeighborAttribute returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "isis-neighbor-attribute".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) IsisNeighborAttribute() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"isis-neighbor-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// IsisNeighborAttribute returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "isis-neighbor-attribute".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) IsisNeighborAttribute() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"isis-neighbor-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspBufferSize returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "lsp-buffer-size".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) LspBufferSize() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-buffer-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspBufferSize returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "lsp-buffer-size".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) LspBufferSize() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsp-buffer-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIpv4Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "mt-ipv4-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) MtIpv4Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"mt-ipv4-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIpv4Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "mt-ipv4-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) MtIpv4Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mt-ipv4-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIpv6Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "mt-ipv6-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) MtIpv6Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"mt-ipv6-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIpv6Reachability returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "mt-ipv6-reachability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) MtIpv6Reachability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mt-ipv6-reachability"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIsisNeighborAttribute returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "mt-isis-neighbor-attribute".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) MtIsisNeighborAttribute() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"mt-isis-neighbor-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIsisNeighborAttribute returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "mt-isis-neighbor-attribute".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) MtIsisNeighborAttribute() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mt-isis-neighbor-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIsn returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "mt-isn".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) MtIsn() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath{
		NodePath: ygot.NewNodePath(
			[]string{"mt-isn"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtIsn returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "mt-isn".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) MtIsn() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mt-isn"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) MultiTopology() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath{
		NodePath: ygot.NewNodePath(
			[]string{"multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopology returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "multi-topology".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) MultiTopology() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"multi-topology"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Nlpid() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Nlpid() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// PurgeOi returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "purge-oi".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) PurgeOi() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath{
		NodePath: ygot.NewNodePath(
			[]string{"purge-oi"},
			map[string]interface{}{},
			n,
		),
	}
}

// PurgeOi returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "purge-oi".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) PurgeOi() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"purge-oi"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_TlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/area-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/area-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/area-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/area-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AreaAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication/state/authentication-key YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication/state/authentication-key YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication/state/crypto-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/authentication/state/crypto-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePathAny struct {
	*ygot.NodePath
}

// AuthenticationKey returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath the path struct for its child "authentication-key".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath) AuthenticationKey() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationKey returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny the path struct for its child "authentication-key".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny) AuthenticationKey() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_AuthenticationKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "authentication-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// CryptoType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath the path struct for its child "crypto-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPath) CryptoType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "crypto-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// CryptoType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny the path struct for its child "crypto-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_AuthenticationPathAny) CryptoType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Authentication_CryptoTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "crypto-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_InstanceNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_CapabilityPathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// SegmentRoutingAlgorithms returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath the path struct for its child "segment-routing-algorithms".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath) SegmentRoutingAlgorithms() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-algorithms"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingAlgorithms returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny the path struct for its child "segment-routing-algorithms".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny) SegmentRoutingAlgorithms() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-algorithms"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingCapability returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath the path struct for its child "segment-routing-capability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath) SegmentRoutingCapability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingCapability returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny the path struct for its child "segment-routing-capability".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny) SegmentRoutingCapability() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-capability"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-algorithms YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-algorithms YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-algorithms/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-algorithms/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPath) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithmsPathAny) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingAlgorithms_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrgbDescriptorAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath the path struct for its child "srgb-descriptor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath) SrgbDescriptorAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgb-descriptors", "srgb-descriptor"},
			map[string]interface{}{"range": "*"},
			n,
		),
	}
}

// SrgbDescriptorAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny the path struct for its child "srgb-descriptor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny) SrgbDescriptorAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgb-descriptors", "srgb-descriptor"},
			map[string]interface{}{"range": "*"},
			n,
		),
	}
}

// SrgbDescriptor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath the path struct for its child "srgb-descriptor".
// Range: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPath) SrgbDescriptor(Range uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath{
		NodePath: ygot.NewNodePath(
			[]string{"srgb-descriptors", "srgb-descriptor"},
			map[string]interface{}{"range": Range},
			n,
		),
	}
}

// SrgbDescriptor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny the path struct for its child "srgb-descriptor".
// Range: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapabilityPathAny) SrgbDescriptor(Range uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgb-descriptors", "srgb-descriptor"},
			map[string]interface{}{"range": Range},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor/state/label YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor/state/label YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor/state/range YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/subtlvs/subtlv/segment-routing-capability/srgb-descriptors/srgb-descriptor/state/range YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePathAny struct {
	*ygot.NodePath
}

// Label returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath the path struct for its child "label".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath) Label() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Label returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny the path struct for its child "label".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny) Label() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_LabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Range returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath the path struct for its child "range".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPath) Range() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range"},
			map[string]interface{}{},
			n,
		),
	}
}

// Range returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny the path struct for its child "range".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptorPathAny) Range() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_Subtlv_SegmentRoutingCapability_SrgbDescriptor_RangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/router-capabilities/capability/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Capability_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPath) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4ReachabilityPathAny) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_FlagsPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny struct {
	*ygot.NodePath
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPath) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_TagPathAny) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny struct {
	*ygot.NodePath
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64Path) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64PathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny struct {
	*ygot.NodePath
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPath) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachabilityPathAny) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPathAny struct {
	*ygot.NodePath
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_NeighborPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPathAny struct {
	*ygot.NodePath
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_InstancePathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPath) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_SubtlvPathAny) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny struct {
	*ygot.NodePath
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroupPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny struct {
	*ygot.NodePath
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny struct {
	*ygot.NodePath
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPath) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributesPathAny) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny struct {
	*ygot.NodePath
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePathAny struct {
	*ygot.NodePath
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_LocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPath) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkIdPathAny) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkId_RemotePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLossPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny struct {
	*ygot.NodePath
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPath) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny struct {
	*ygot.NodePath
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/extended-is-reachability/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_ExtendedIsReachability_Neighbor_Instance_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/hostname YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/hostname YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/hostname/state/hostname YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/hostname/state/hostname YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePathAny struct {
	*ygot.NodePath
}

// Hostname returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath the path struct for its child "hostname".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePath) Hostname() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny the path struct for its child "hostname".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_HostnamePathAny) Hostname() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Hostname_HostnamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id/state/instance-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id/state/instance-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id/state/topology-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/instance-ids/instance-id/state/topology-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPathAny struct {
	*ygot.NodePath
}

// InstanceId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath) InstanceId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny the path struct for its child "instance-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny) InstanceId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_InstanceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath the path struct for its child "topology-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPath) TopologyId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny the path struct for its child "topology-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceIdPathAny) TopologyId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_InstanceId_TopologyIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPath) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachabilityPathAny) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_DelayMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ErrorMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-external-reachability/prefixes/prefix/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4ExternalReachability_Prefix_ExpenseMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-interface-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-interface-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-interface-addresses/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-interface-addresses/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddressesPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InterfaceAddresses_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPath) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachabilityPathAny) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_DelayMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ErrorMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-internal-reachability/prefixes/prefix/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4InternalReachability_Prefix_ExpenseMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/psn-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/psn-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/srlg-value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/srlg-value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-srlgs/ipv4-srlg/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_InstanceNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_Ipv4NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "psn-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) PsnNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "psn-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "psn-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) PsnNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_PsnNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "psn-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgValue returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "srlg-value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) SrlgValue() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "srlg-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgValue returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "srlg-value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) SrlgValue() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SrlgValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "srlg-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4SrlgPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4Srlg_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-te-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-te-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-te-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv4-te-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv4TeRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-interface-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-interface-addresses YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-interface-addresses/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-interface-addresses/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddressesPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6InterfaceAddresses_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*"},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPath) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6ReachabilityPathAny) Prefix(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/x-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/state/x-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// XBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath the path struct for its child "x-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPath) XBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "x-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// XBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny the path struct for its child "x-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_PrefixPathAny) XBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_XBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "x-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_FlagsPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Flags_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny struct {
	*ygot.NodePath
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPath) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_TagPathAny) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny struct {
	*ygot.NodePath
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64Path) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64PathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/instance-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/psn-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/psn-number YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/srlg-value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/srlg-value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-srlgs/ipv6-srlg/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstanceNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "instance-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) InstanceNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_InstanceNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "instance-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_Ipv6NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "psn-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) PsnNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "psn-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// PsnNumber returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "psn-number".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) PsnNumber() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_PsnNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "psn-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgValue returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "srlg-value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) SrlgValue() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "srlg-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrlgValue returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "srlg-value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) SrlgValue() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SrlgValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "srlg-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6SrlgPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6Srlg_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-te-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-te-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-te-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/ipv6-te-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Ipv6TeRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-alias-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-alias-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-alias-id/state/alias-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-alias-id/state/alias-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPathAny struct {
	*ygot.NodePath
}

// AliasId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath the path struct for its child "alias-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPath) AliasId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "alias-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// AliasId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny the path struct for its child "alias-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasIdPathAny) AliasId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsAliasId_AliasIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "alias-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny struct {
	*ygot.NodePath
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPath) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachabilityPathAny) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPathAny struct {
	*ygot.NodePath
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny the path struct for its child "default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny) DefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// DelayMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny the path struct for its child "delay-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny) DelayMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"delay-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny the path struct for its child "error-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny) ErrorMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"error-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpenseMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny the path struct for its child "expense-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny) ExpenseMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"expense-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_NeighborPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/delay-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_DelayMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/error-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ErrorMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/is-reachability/neighbors/neighbor/expense-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsReachability_Neighbor_ExpenseMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny struct {
	*ygot.NodePath
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePath) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttributePathAny) Neighbor(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"system-id": SystemId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPathAny struct {
	*ygot.NodePath
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_NeighborPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPathAny struct {
	*ygot.NodePath
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_InstancePathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPath) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny struct {
	*ygot.NodePath
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny struct {
	*ygot.NodePath
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny struct {
	*ygot.NodePath
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny struct {
	*ygot.NodePath
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny struct {
	*ygot.NodePath
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny struct {
	*ygot.NodePath
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny struct {
	*ygot.NodePath
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_IsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/lsp-buffer-size YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/lsp-buffer-size YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/lsp-buffer-size/state/size YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/lsp-buffer-size/state/size YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePathAny struct {
	*ygot.NodePath
}

// Size returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath the path struct for its child "size".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePath) Size() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "size"},
			map[string]interface{}{},
			n,
		),
	}
}

// Size returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny the path struct for its child "size".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSizePathAny) Size() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_LspBufferSize_SizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "size"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": "*", "prefix": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": "*", "prefix": "*"},
			n,
		),
	}
}

// PrefixAnyPrefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath the path struct for its child "prefix".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath) PrefixAnyPrefix(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": MtId, "prefix": "*"},
			n,
		),
	}
}

// PrefixAnyPrefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny the path struct for its child "prefix".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny) PrefixAnyPrefix(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": MtId, "prefix": "*"},
			n,
		),
	}
}

// PrefixAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath) PrefixAnyMtId(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": "*", "prefix": Prefix},
			n,
		),
	}
}

// PrefixAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny) PrefixAnyMtId(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": "*", "prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath the path struct for its child "prefix".
// MtId: uint16
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPath) Prefix(MtId uint16, Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": MtId, "prefix": Prefix},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny the path struct for its child "prefix".
// MtId: uint16
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4ReachabilityPathAny) Prefix(MtId uint16, Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"mt-id": MtId, "prefix": Prefix},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_MtIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_FlagsPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Flags_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny struct {
	*ygot.NodePath
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPath) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_TagPathAny) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag_Tag32PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny struct {
	*ygot.NodePath
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64Path) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64PathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_Subtlv_Tag64_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv4-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv4Reachability_Prefix_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny struct {
	*ygot.NodePath
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*", "mt-id": "*"},
			n,
		),
	}
}

// PrefixAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny) PrefixAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*", "mt-id": "*"},
			n,
		),
	}
}

// PrefixAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath) PrefixAnyMtId(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix, "mt-id": "*"},
			n,
		),
	}
}

// PrefixAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny) PrefixAnyMtId(Prefix string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix, "mt-id": "*"},
			n,
		),
	}
}

// PrefixAnyPrefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath the path struct for its child "prefix".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath) PrefixAnyPrefix(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*", "mt-id": MtId},
			n,
		),
	}
}

// PrefixAnyPrefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny the path struct for its child "prefix".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny) PrefixAnyPrefix(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": "*", "mt-id": MtId},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath the path struct for its child "prefix".
// Prefix: string
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPath) Prefix(Prefix string, MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix, "mt-id": MtId},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny the path struct for its child "prefix".
// Prefix: string
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6ReachabilityPathAny) Prefix(Prefix string, MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"prefix": Prefix, "mt-id": MtId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/s-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/up-down YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/x-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/state/x-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_MtIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) Prefix() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "s-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) SBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "s-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpDown returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "up-down".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) UpDown() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UpDownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "up-down"},
			map[string]interface{}{},
			n,
		),
	}
}

// XBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath the path struct for its child "x-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPath) XBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "x-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// XBit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny the path struct for its child "x-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_PrefixPathAny) XBit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_XBitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "x-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv4-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Ipv4SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6SourceRouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "ipv6-source-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Ipv6SourceRouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-source-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) PrefixSidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "prefix-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) PrefixSid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sids", "prefix-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "tag".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Tag() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/flags/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_FlagsPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Flags_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv4-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv4SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/ipv6-source-router-id/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny struct {
	*ygot.NodePath
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) RouterId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterIdPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Ipv6SourceRouterId_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/prefix-sids/prefix-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Algorithm() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_PrefixSid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag/state/tag32 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny struct {
	*ygot.NodePath
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPath) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag32 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny the path struct for its child "tag32".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_TagPathAny) Tag32() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag_Tag32PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag32"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/subtlvs/subtlv/tag64/state/tag64 YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny struct {
	*ygot.NodePath
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64Path) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64Path {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64Path{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag64 returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny the path struct for its child "tag64".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64PathAny) Tag64() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_Subtlv_Tag64_Tag64PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tag64"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-ipv6-reachability/prefixes/prefix/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIpv6Reachability_Prefix_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny struct {
	*ygot.NodePath
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": "*"},
			n,
		),
	}
}

// NeighborAnySystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath the path struct for its child "neighbor".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath) NeighborAnySystemId(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": "*"},
			n,
		),
	}
}

// NeighborAnySystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny the path struct for its child "neighbor".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny) NeighborAnySystemId(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": "*"},
			n,
		),
	}
}

// NeighborAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath) NeighborAnyMtId(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": SystemId},
			n,
		),
	}
}

// NeighborAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny) NeighborAnyMtId(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath the path struct for its child "neighbor".
// MtId: uint16
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePath) Neighbor(MtId uint16, SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny the path struct for its child "neighbor".
// MtId: uint16
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttributePathAny) Neighbor(MtId uint16, SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": SystemId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPathAny struct {
	*ygot.NodePath
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_MtIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_NeighborPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPathAny struct {
	*ygot.NodePath
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_InstancePathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPath) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_SubtlvPathAny) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny struct {
	*ygot.NodePath
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroupPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny struct {
	*ygot.NodePath
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny struct {
	*ygot.NodePath
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPath) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributesPathAny) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny struct {
	*ygot.NodePath
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny struct {
	*ygot.NodePath
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_LocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPath) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkIdPathAny) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkId_RemotePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLossPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny struct {
	*ygot.NodePath
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPath) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny struct {
	*ygot.NodePath
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isis-neighbor-attribute/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsisNeighborAttribute_Neighbor_Instance_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny struct {
	*ygot.NodePath
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny) NeighborAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": "*"},
			n,
		),
	}
}

// NeighborAnySystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath the path struct for its child "neighbor".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath) NeighborAnySystemId(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": "*"},
			n,
		),
	}
}

// NeighborAnySystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny the path struct for its child "neighbor".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny) NeighborAnySystemId(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": "*"},
			n,
		),
	}
}

// NeighborAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath) NeighborAnyMtId(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": SystemId},
			n,
		),
	}
}

// NeighborAnyMtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny the path struct for its child "neighbor".
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny) NeighborAnyMtId(SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": "*", "system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath the path struct for its child "neighbor".
// MtId: uint16
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPath) Neighbor(MtId uint16, SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": SystemId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny the path struct for its child "neighbor".
// MtId: uint16
// SystemId: string
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsnPathAny) Neighbor(MtId uint16, SystemId string) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"mt-id": MtId, "system-id": SystemId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/state/system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPathAny struct {
	*ygot.NodePath
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InstanceAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny the path struct for its child "instance".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny) InstanceAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Instance returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny the path struct for its child "instance".
// Id: uint64
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny) Instance(Id uint64) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instances", "instance"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_MtIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPath) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny the path struct for its child "system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_NeighborPathAny) SystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_SystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/state/id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPathAny struct {
	*ygot.NodePath
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) Id() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// SubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) SubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// Subtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "subtlv".
// Type: E_IsisLsdbTypes_ISIS_SUBTLV_TYPE
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) Subtlv(Type E_IsisLsdbTypes_ISIS_SUBTLV_TYPE) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"subtlvs", "subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlvAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) UndefinedSubtlvAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePath) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// UndefinedSubtlv returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny the path struct for its child "undefined-subtlv".
// Type: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_InstancePathAny) UndefinedSubtlv(Type uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"undefined-subtlvs", "undefined-subtlv"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePathAny struct {
	*ygot.NodePath
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) AdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) AdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sids", "adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// AvailableBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "available-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) AvailableBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"available-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) BandwidthConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": "*"},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// BandwidthConstraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "bandwidth-constraint".
// ModelId: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) BandwidthConstraint(ModelId uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bandwidth-constraints", "bandwidth-constraint"},
			map[string]interface{}{"model-id": ModelId},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) Ipv4InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv4-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) Ipv4NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6InterfaceAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-interface-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) Ipv6InterfaceAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6NeighborAddress returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "ipv6-neighbor-address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) Ipv6NeighborAddress() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv6-neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySidAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LanAdjacencySidAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": "*"},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LanAdjacencySid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "lan-adjacency-sid".
// Value: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LanAdjacencySid(Value uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lan-adjacency-sids", "lan-adjacency-sid"},
			map[string]interface{}{"value": Value},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkAttributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkAttributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkDelayVariation returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-delay-variation".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkDelayVariation() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-delay-variation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkProtectionType returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "link-protection-type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) LinkProtectionType() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link-protection-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) MaxLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxReservableLinkBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "max-reservable-link-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) MaxReservableLinkBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-reservable-link-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinMaxLinkDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "min-max-link-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) MinMaxLinkDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-max-link-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ResidualBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "residual-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) ResidualBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"residual-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriorityAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) SetupPriorityAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// SetupPriority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "setup-priority".
// Priority: uint8
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) SetupPriority(Priority uint8) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidth", "setup-priority"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TeDefaultMetric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "te-default-metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) TeDefaultMetric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-default-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnconstrainedLsp returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "unconstrained-lsp".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) UnconstrainedLsp() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unconstrained-lsp"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPath) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// UtilizedBandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny the path struct for its child "utilized-bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_SubtlvPathAny) UtilizedBandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"utilized-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/adjacency-sids/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/admin-group/state/admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny struct {
	*ygot.NodePath
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPath) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroupPathAny) AdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AdminGroup_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/available-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_AvailableBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/state/model-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny struct {
	*ygot.NodePath
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// ConstraintAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ConstraintAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": "*"},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// Constraint returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "constraint".
// ConstraintId: uint32
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) Constraint(ConstraintId uint32) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"constraints", "constraint"},
			map[string]interface{}{"constraint-id": ConstraintId},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPath) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModelId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny the path struct for its child "model-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraintPathAny) ModelId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ModelIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "model-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/bandwidth-constraints/bandwidth-constraint/constraints/constraint/state/constraint-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPath) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConstraintId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny the path struct for its child "constraint-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_ConstraintPathAny) ConstraintId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_BandwidthConstraint_Constraint_ConstraintIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "constraint-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/extended-admin-group/state/extended-admin-group YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny struct {
	*ygot.NodePath
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPath) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedAdminGroup returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny the path struct for its child "extended-admin-group".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroupPathAny) ExtendedAdminGroup() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ExtendedAdminGroup_ExtendedAdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "extended-admin-group"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv4-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv4NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-interface-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6InterfaceAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/ipv6-neighbor-address/state/address YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPath) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddressPathAny) Address() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_Ipv6NeighborAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/flags YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/neighbor-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/lan-adjacency-sids/lan-adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// Flags returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "flags".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Flags() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_FlagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "flags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "neighbor-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) NeighborId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_NeighborIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPath) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LanAdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-attributes/state/local-protection YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny struct {
	*ygot.NodePath
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPath) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalProtection returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny the path struct for its child "local-protection".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributesPathAny) LocalProtection() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkAttributes_LocalProtectionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-protection"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelay_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-delay-variation/state/delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny struct {
	*ygot.NodePath
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPath) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Delay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny the path struct for its child "delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariationPathAny) Delay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkDelayVariation_DelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/local YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-id/state/remote YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePathAny struct {
	*ygot.NodePath
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Local returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "local".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny) Local() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_LocalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPath) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// Remote returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny the path struct for its child "remote".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkIdPathAny) Remote() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkId_RemotePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-loss/state/link-loss YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPath) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkLoss returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny the path struct for its child "link-loss".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLossPathAny) LinkLoss() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkLoss_LinkLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/link-protection-type/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny struct {
	*ygot.NodePath
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionTypePathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_LinkProtectionType_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/max-reservable-link-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MaxReservableLinkBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/a-bit YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/max-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/min-max-link-delay/state/min-delay YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny struct {
	*ygot.NodePath
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// ABit returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "a-bit".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) ABit() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_ABitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "a-bit"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "max-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MaxDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MaxDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPath) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinDelay returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny the path struct for its child "min-delay".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelayPathAny) MinDelay() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_MinMaxLinkDelay_MinDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "min-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/residual-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_ResidualBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unreserved-bandwidth/setup-priority/state/priority YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPath) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriorityPathAny) Priority() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_SetupPriority_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/te-default-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPath) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetricPathAny) Metric() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_TeDefaultMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/unconstrained-lsp/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny struct {
	*ygot.NodePath
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Count returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Count() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_CountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "count"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLspPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UnconstrainedLsp_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/bandwidth YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/subtlvs/subtlv/utilized-bandwidth/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny struct {
	*ygot.NodePath
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bandwidth returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "bandwidth".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Bandwidth() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_BandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidthPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_Subtlv_UtilizedBandwidth_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/mt-isn/neighbors/neighbor/instances/instance/undefined-subtlvs/undefined-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MtIsn_Neighbor_Instance_UndefinedSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny struct {
	*ygot.NodePath
}

// TopologyAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath the path struct for its child "topology".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath) TopologyAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"topologies", "topology"},
			map[string]interface{}{"mt-id": "*"},
			n,
		),
	}
}

// TopologyAny returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny the path struct for its child "topology".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny) TopologyAny() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"topologies", "topology"},
			map[string]interface{}{"mt-id": "*"},
			n,
		),
	}
}

// Topology returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath the path struct for its child "topology".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPath) Topology(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath{
		NodePath: ygot.NewNodePath(
			[]string{"topologies", "topology"},
			map[string]interface{}{"mt-id": MtId},
			n,
		),
	}
}

// Topology returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny the path struct for its child "topology".
// MtId: uint16
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopologyPathAny) Topology(MtId uint16) *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"topologies", "topology"},
			map[string]interface{}{"mt-id": MtId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology/state/attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology/state/attributes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/multi-topology/topologies/topology/state/mt-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPathAny struct {
	*ygot.NodePath
}

// Attributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath the path struct for its child "attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath) Attributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attributes returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny the path struct for its child "attributes".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny) Attributes() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_AttributesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attributes"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPath) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MtId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny the path struct for its child "mt-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_TopologyPathAny) MtId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_MultiTopology_Topology_MtIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mt-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/nlpid/state/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/nlpid/state/nlpid YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPathAny struct {
	*ygot.NodePath
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPath) Nlpid() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nlpid returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny the path struct for its child "nlpid".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_NlpidPathAny) Nlpid() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_Nlpid_NlpidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nlpid"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/received-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/received-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/source-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/source-system-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/system-id-count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/tlvs/tlv/purge-oi/state/system-id-count YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPathAny struct {
	*ygot.NodePath
}

// ReceivedSystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath the path struct for its child "received-system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath) ReceivedSystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ReceivedSystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny the path struct for its child "received-system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny) ReceivedSystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_ReceivedSystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "received-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceSystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath the path struct for its child "source-system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath) SourceSystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceSystemId returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny the path struct for its child "source-system-id".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny) SourceSystemId() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SourceSystemIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "source-system-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemIdCount returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath the path struct for its child "system-id-count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPath) SystemIdCount() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemIdCount returns from NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny the path struct for its child "system-id-count".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOiPathAny) SystemIdCount() *NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_Tlv_PurgeOi_SystemIdCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-id-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/link-state-database/lsp/undefined-tlvs/undefined-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny) Length() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny) Type() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPath) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePath {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlvPathAny) Value() *NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Isis_Level_Lsp_UndefinedTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_RoutePreferencePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference/config/external-route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference/config/external-route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference/config/internal-route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/route-preference/config/internal-route-preference YANG schema element.
type NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePathAny struct {
	*ygot.NodePath
}

// ExternalRoutePreference returns from NetworkInstance_Protocol_Isis_Level_RoutePreferencePath the path struct for its child "external-route-preference".
func (n *NetworkInstance_Protocol_Isis_Level_RoutePreferencePath) ExternalRoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePath {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRoutePreference returns from NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny the path struct for its child "external-route-preference".
func (n *NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny) ExternalRoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePathAny {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreference_ExternalRoutePreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "external-route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRoutePreference returns from NetworkInstance_Protocol_Isis_Level_RoutePreferencePath the path struct for its child "internal-route-preference".
func (n *NetworkInstance_Protocol_Isis_Level_RoutePreferencePath) InternalRoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePath {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// InternalRoutePreference returns from NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny the path struct for its child "internal-route-preference".
func (n *NetworkInstance_Protocol_Isis_Level_RoutePreferencePathAny) InternalRoutePreference() *NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePathAny {
	return &NetworkInstance_Protocol_Isis_Level_RoutePreference_InternalRoutePreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "internal-route-preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/auth-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/auth-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/auth-type-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/auth-type-fails YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/corrupted-lsps YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/corrupted-lsps YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/database-overloads YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/database-overloads YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/exceed-max-seq-nums YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/exceed-max-seq-nums YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/id-len-mismatch YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/id-len-mismatch YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/lsp-errors YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/lsp-errors YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/manual-address-drop-from-areas YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/manual-address-drop-from-areas YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/max-area-address-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/max-area-address-mismatches YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/own-lsp-purges YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/own-lsp-purges YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/part-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/part-changes YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/seq-num-skips YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/seq-num-skips YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/spf-runs YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/system-level-counters/state/spf-runs YANG schema element.
type NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPathAny struct {
	*ygot.NodePath
}

// AuthFails returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "auth-fails".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) AuthFails() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthFails returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "auth-fails".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) AuthFails() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthFailsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthTypeFails returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "auth-type-fails".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) AuthTypeFails() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-type-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthTypeFails returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "auth-type-fails".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) AuthTypeFails() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_AuthTypeFailsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-type-fails"},
			map[string]interface{}{},
			n,
		),
	}
}

// CorruptedLsps returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "corrupted-lsps".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) CorruptedLsps() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "corrupted-lsps"},
			map[string]interface{}{},
			n,
		),
	}
}

// CorruptedLsps returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "corrupted-lsps".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) CorruptedLsps() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_CorruptedLspsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "corrupted-lsps"},
			map[string]interface{}{},
			n,
		),
	}
}

// DatabaseOverloads returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "database-overloads".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) DatabaseOverloads() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "database-overloads"},
			map[string]interface{}{},
			n,
		),
	}
}

// DatabaseOverloads returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "database-overloads".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) DatabaseOverloads() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_DatabaseOverloadsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "database-overloads"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExceedMaxSeqNums returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "exceed-max-seq-nums".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) ExceedMaxSeqNums() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "exceed-max-seq-nums"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExceedMaxSeqNums returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "exceed-max-seq-nums".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) ExceedMaxSeqNums() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ExceedMaxSeqNumsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "exceed-max-seq-nums"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdLenMismatch returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "id-len-mismatch".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) IdLenMismatch() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-len-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// IdLenMismatch returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "id-len-mismatch".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) IdLenMismatch() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_IdLenMismatchPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id-len-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspErrors returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "lsp-errors".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) LspErrors() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// LspErrors returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "lsp-errors".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) LspErrors() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_LspErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "lsp-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManualAddressDropFromAreas returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "manual-address-drop-from-areas".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) ManualAddressDropFromAreas() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "manual-address-drop-from-areas"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManualAddressDropFromAreas returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "manual-address-drop-from-areas".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) ManualAddressDropFromAreas() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_ManualAddressDropFromAreasPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "manual-address-drop-from-areas"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAreaAddressMismatches returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "max-area-address-mismatches".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) MaxAreaAddressMismatches() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-area-address-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAreaAddressMismatches returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "max-area-address-mismatches".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) MaxAreaAddressMismatches() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_MaxAreaAddressMismatchesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "max-area-address-mismatches"},
			map[string]interface{}{},
			n,
		),
	}
}

// OwnLspPurges returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "own-lsp-purges".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) OwnLspPurges() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "own-lsp-purges"},
			map[string]interface{}{},
			n,
		),
	}
}

// OwnLspPurges returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "own-lsp-purges".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) OwnLspPurges() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_OwnLspPurgesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "own-lsp-purges"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartChanges returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "part-changes".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) PartChanges() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "part-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// PartChanges returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "part-changes".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) PartChanges() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_PartChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "part-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// SeqNumSkips returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "seq-num-skips".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) SeqNumSkips() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "seq-num-skips"},
			map[string]interface{}{},
			n,
		),
	}
}

// SeqNumSkips returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "seq-num-skips".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) SeqNumSkips() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SeqNumSkipsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "seq-num-skips"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfRuns returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath the path struct for its child "spf-runs".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPath) SpfRuns() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPath {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-runs"},
			map[string]interface{}{},
			n,
		),
	}
}

// SpfRuns returns from NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny the path struct for its child "spf-runs".
func (n *NetworkInstance_Protocol_Isis_Level_SystemLevelCountersPathAny) SpfRuns() *NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPathAny {
	return &NetworkInstance_Protocol_Isis_Level_SystemLevelCounters_SpfRunsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "spf-runs"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/enabled YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/ipv4-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/ipv4-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/ipv6-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/isis/levels/level/traffic-engineering/config/ipv6-router-id YANG schema element.
type NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath) Enabled() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPath {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny) Enabled() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPathAny {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4RouterId returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath the path struct for its child "ipv4-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath) Ipv4RouterId() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv4-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4RouterId returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny the path struct for its child "ipv4-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny) Ipv4RouterId() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv4RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv4-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6RouterId returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath the path struct for its child "ipv6-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPath) Ipv6RouterId() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPath {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6RouterId returns from NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny the path struct for its child "ipv6-router-id".
func (n *NetworkInstance_Protocol_Isis_Level_TrafficEngineeringPathAny) Ipv6RouterId() *NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPathAny {
	return &NetworkInstance_Protocol_Isis_Level_TrafficEngineering_Ipv6RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2Path represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2 YANG schema element.
type NetworkInstance_Protocol_Ospfv2Path struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2PathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2 YANG schema element.
type NetworkInstance_Protocol_Ospfv2PathAny struct {
	*ygot.NodePath
}

// AreaAny returns from NetworkInstance_Protocol_Ospfv2Path the path struct for its child "area".
func (n *NetworkInstance_Protocol_Ospfv2Path) AreaAny() *NetworkInstance_Protocol_Ospfv2_AreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_AreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"areas", "area"},
			map[string]interface{}{"identifier": "*"},
			n,
		),
	}
}

// AreaAny returns from NetworkInstance_Protocol_Ospfv2PathAny the path struct for its child "area".
func (n *NetworkInstance_Protocol_Ospfv2PathAny) AreaAny() *NetworkInstance_Protocol_Ospfv2_AreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_AreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"areas", "area"},
			map[string]interface{}{"identifier": "*"},
			n,
		),
	}
}

// Area returns from NetworkInstance_Protocol_Ospfv2Path the path struct for its child "area".
// Identifier: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2Path) Area(Identifier NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_AreaPath {
	return &NetworkInstance_Protocol_Ospfv2_AreaPath{
		NodePath: ygot.NewNodePath(
			[]string{"areas", "area"},
			map[string]interface{}{"identifier": Identifier},
			n,
		),
	}
}

// Area returns from NetworkInstance_Protocol_Ospfv2PathAny the path struct for its child "area".
// Identifier: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2PathAny) Area(Identifier NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_AreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_AreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"areas", "area"},
			map[string]interface{}{"identifier": Identifier},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_Ospfv2Path the path struct for its child "global".
func (n *NetworkInstance_Protocol_Ospfv2Path) Global() *NetworkInstance_Protocol_Ospfv2_GlobalPath {
	return &NetworkInstance_Protocol_Ospfv2_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_Ospfv2PathAny the path struct for its child "global".
func (n *NetworkInstance_Protocol_Ospfv2PathAny) Global() *NetworkInstance_Protocol_Ospfv2_GlobalPathAny {
	return &NetworkInstance_Protocol_Ospfv2_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_AreaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_AreaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_AreaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_AreaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_IdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/config/identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_IdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_IdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/config/identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_IdentifierPathAny struct {
	*ygot.NodePath
}

// Identifier returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) Identifier() *NetworkInstance_Protocol_Ospfv2_Area_IdentifierPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_IdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) Identifier() *NetworkInstance_Protocol_Ospfv2_Area_IdentifierPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_IdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) InterfaceAny() *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) InterfaceAny() *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "interface".
// Id: string
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) Interface(Id string) *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "interface".
// Id: string
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) Interface(Id string) *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Lsdb returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "lsdb".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) Lsdb() *NetworkInstance_Protocol_Ospfv2_Area_LsdbPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_LsdbPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsdb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lsdb returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "lsdb".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) Lsdb() *NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsdb"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) Mpls() *NetworkInstance_Protocol_Ospfv2_Area_MplsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) Mpls() *NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// VirtualLinkAny returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "virtual-link".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) VirtualLinkAny() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"virtual-links", "virtual-link"},
			map[string]interface{}{"remote-router-id": "*"},
			n,
		),
	}
}

// VirtualLinkAny returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "virtual-link".
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) VirtualLinkAny() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"virtual-links", "virtual-link"},
			map[string]interface{}{"remote-router-id": "*"},
			n,
		),
	}
}

// VirtualLink returns from NetworkInstance_Protocol_Ospfv2_AreaPath the path struct for its child "virtual-link".
// RemoteRouterId: string
func (n *NetworkInstance_Protocol_Ospfv2_AreaPath) VirtualLink(RemoteRouterId string) *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath{
		NodePath: ygot.NewNodePath(
			[]string{"virtual-links", "virtual-link"},
			map[string]interface{}{"remote-router-id": RemoteRouterId},
			n,
		),
	}
}

// VirtualLink returns from NetworkInstance_Protocol_Ospfv2_AreaPathAny the path struct for its child "virtual-link".
// RemoteRouterId: string
func (n *NetworkInstance_Protocol_Ospfv2_AreaPathAny) VirtualLink(RemoteRouterId string) *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"virtual-links", "virtual-link"},
			map[string]interface{}{"remote-router-id": RemoteRouterId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/authentication-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/authentication-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/hide-network YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/hide-network YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/multi-area-adjacency-primary YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/multi-area-adjacency-primary YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/network-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/network-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/passive YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/passive YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/config/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPathAny struct {
	*ygot.NodePath
}

// AuthenticationType returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "authentication-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) AuthenticationType() *NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationType returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "authentication-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) AuthenticationType() *NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_AuthenticationTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// HideNetwork returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "hide-network".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) HideNetwork() *NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hide-network"},
			map[string]interface{}{},
			n,
		),
	}
}

// HideNetwork returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "hide-network".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) HideNetwork() *NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_HideNetworkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hide-network"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Id() *NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Id() *NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) InterfaceRef() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) InterfaceRef() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsaFilter returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "lsa-filter".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) LsaFilter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsaFilter returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "lsa-filter".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) LsaFilter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Mpls() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Mpls() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiAreaAdjacencyPrimary returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "multi-area-adjacency-primary".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) MultiAreaAdjacencyPrimary() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multi-area-adjacency-primary"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiAreaAdjacencyPrimary returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "multi-area-adjacency-primary".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) MultiAreaAdjacencyPrimary() *NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_MultiAreaAdjacencyPrimaryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multi-area-adjacency-primary"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) NeighborAny() *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"router-id": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) NeighborAny() *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"router-id": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "neighbor".
// RouterId: string
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Neighbor(RouterId string) *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"router-id": RouterId},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "neighbor".
// RouterId: string
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Neighbor(RouterId string) *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"router-id": RouterId},
			n,
		),
	}
}

// NetworkType returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "network-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) NetworkType() *NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "network-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkType returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "network-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) NetworkType() *NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_NetworkTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "network-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Passive() *NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Passive returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "passive".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Passive() *NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_PassivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "passive"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePath) Timers() *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Ospfv2_Area_InterfacePathAny) Timers() *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath) Interface() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/lsa-filter YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/lsa-filter YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/lsa-filter/config/all YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/lsa-filter/config/all YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPathAny struct {
	*ygot.NodePath
}

// All returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath the path struct for its child "all".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPath) All() *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "all"},
			map[string]interface{}{},
			n,
		),
	}
}

// All returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny the path struct for its child "all".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilterPathAny) All() *NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_LsaFilter_AllPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "all"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/config/traffic-engineering-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/config/traffic-engineering-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPathAny struct {
	*ygot.NodePath
}

// IgpLdpSync returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath) IgpLdpSync() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpLdpSync returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny) IgpLdpSync() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineeringMetric returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath the path struct for its child "traffic-engineering-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPath) TrafficEngineeringMetric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineeringMetric returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny the path struct for its child "traffic-engineering-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_MplsPathAny) TrafficEngineeringMetric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_TrafficEngineeringMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/state/synchronized YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/mpls/igp-ldp-sync/state/synchronized YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath) Enabled() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny) Enabled() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath) PostSessionUpDelay() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny) PostSessionUpDelay() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_PostSessionUpDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// Synchronized returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath the path struct for its child "synchronized".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPath) Synchronized() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "synchronized"},
			map[string]interface{}{},
			n,
		),
	}
}

// Synchronized returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny the path struct for its child "synchronized".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSyncPathAny) Synchronized() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Mpls_IgpLdpSync_SynchronizedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "synchronized"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/backup-designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/backup-designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/dead-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/dead-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/last-established-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/last-established-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/config/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/config/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/optional-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/optional-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/retranmission-queue-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/retranmission-queue-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/config/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/config/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/state-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/neighbors/neighbor/state/state-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPathAny struct {
	*ygot.NodePath
}

// AdjacencyState returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) AdjacencyState() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyState returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) AdjacencyState() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_AdjacencyStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackupDesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "backup-designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) BackupDesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackupDesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "backup-designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) BackupDesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_BackupDesignatedRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTime returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "dead-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) DeadTime() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dead-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTime returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "dead-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) DeadTime() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DeadTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dead-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) DesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) DesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_DesignatedRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablishedTime returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "last-established-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) LastEstablishedTime() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablishedTime returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "last-established-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) LastEstablishedTime() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_LastEstablishedTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// OptionalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "optional-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) OptionalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// OptionalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "optional-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) OptionalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_OptionalCapabilitiesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetranmissionQueueLength returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "retranmission-queue-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) RetranmissionQueueLength() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retranmission-queue-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetranmissionQueueLength returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "retranmission-queue-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) RetranmissionQueueLength() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RetranmissionQueueLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retranmission-queue-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) RouterId() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) RouterId() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath the path struct for its child "state-changes".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPath) StateChanges() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny the path struct for its child "state-changes".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_NeighborPathAny) StateChanges() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Neighbor_StateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/dead-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/dead-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/retransmission-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/interfaces/interface/timers/config/retransmission-interval YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPathAny struct {
	*ygot.NodePath
}

// DeadInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath the path struct for its child "dead-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath) DeadInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dead-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny the path struct for its child "dead-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny) DeadInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_DeadIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dead-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath) HelloInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny) HelloInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetransmissionInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath the path struct for its child "retransmission-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPath) RetransmissionInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retransmission-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetransmissionInterval returns from NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny the path struct for its child "retransmission-interval".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Interface_TimersPathAny) RetransmissionInterval() *NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Interface_Timers_RetransmissionIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retransmission-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_LsdbPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_LsdbPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/state/identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/state/identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPathAny struct {
	*ygot.NodePath
}

// Identifier returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPath the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPath) Identifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Identifier returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny the path struct for its child "identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny) Identifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_IdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsaTypeAny returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPath the path struct for its child "lsa-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPath) LsaTypeAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-types", "lsa-type"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// LsaTypeAny returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny the path struct for its child "lsa-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny) LsaTypeAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-types", "lsa-type"},
			map[string]interface{}{"type": "*"},
			n,
		),
	}
}

// LsaType returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPath the path struct for its child "lsa-type".
// Type: E_OspfTypes_OSPF_LSA_TYPE
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPath) LsaType(Type E_OspfTypes_OSPF_LSA_TYPE) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-types", "lsa-type"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// LsaType returns from NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny the path struct for its child "lsa-type".
// Type: E_OspfTypes_OSPF_LSA_TYPE
func (n *NetworkInstance_Protocol_Ospfv2_Area_LsdbPathAny) LsaType(Type E_OspfTypes_OSPF_LSA_TYPE) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-types", "lsa-type"},
			map[string]interface{}{"type": Type},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePathAny struct {
	*ygot.NodePath
}

// LsaAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath the path struct for its child "lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath) LsaAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsas", "lsa"},
			map[string]interface{}{"link-state-id": "*"},
			n,
		),
	}
}

// LsaAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny the path struct for its child "lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny) LsaAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsas", "lsa"},
			map[string]interface{}{"link-state-id": "*"},
			n,
		),
	}
}

// Lsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath the path struct for its child "lsa".
// LinkStateId: string
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath) Lsa(LinkStateId string) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsas", "lsa"},
			map[string]interface{}{"link-state-id": LinkStateId},
			n,
		),
	}
}

// Lsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny the path struct for its child "lsa".
// LinkStateId: string
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny) Lsa(LinkStateId string) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsas", "lsa"},
			map[string]interface{}{"link-state-id": LinkStateId},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaTypePathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/advertising-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/advertising-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/age YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/age YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/checksum YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/checksum YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/link-state-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/link-state-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/sequence-number YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/state/sequence-number YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPathAny struct {
	*ygot.NodePath
}

// AdvertisingRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "advertising-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) AdvertisingRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertising-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdvertisingRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "advertising-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) AdvertisingRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AdvertisingRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "advertising-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// Age returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "age".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) Age() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// Age returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "age".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) Age() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsExternalLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "as-external-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) AsExternalLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"as-external-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// AsExternalLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "as-external-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) AsExternalLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"as-external-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// Checksum returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "checksum".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) Checksum() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Checksum returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "checksum".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) Checksum() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_ChecksumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "checksum"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkStateId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "link-state-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) LinkStateId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-state-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkStateId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "link-state-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) LinkStateId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_LinkStateIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-state-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "network-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) NetworkLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"network-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "network-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) NetworkLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"network-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// NssaExternalLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "nssa-external-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) NssaExternalLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"nssa-external-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// NssaExternalLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "nssa-external-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) NssaExternalLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"nssa-external-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpaqueLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "opaque-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) OpaqueLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"opaque-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpaqueLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "opaque-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) OpaqueLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"opaque-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "router-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) RouterLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "router-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) RouterLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceNumber returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "sequence-number".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) SequenceNumber() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// SequenceNumber returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "sequence-number".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) SequenceNumber() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SequenceNumberPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sequence-number"},
			map[string]interface{}{},
			n,
		),
	}
}

// SummaryLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath the path struct for its child "summary-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPath) SummaryLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"summary-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// SummaryLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny the path struct for its child "summary-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_LsaPathAny) SummaryLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"summary-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/metric-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/state/metric-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePathAny struct {
	*ygot.NodePath
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ExternalRouteTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_ForwardingAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) Mask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) Mask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "metric-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) MetricType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "metric-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) MetricType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_MetricTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPath) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsaPathAny) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/as-external-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPathAny struct {
	*ygot.NodePath
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ExternalRouteTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_ForwardingAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePath) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfServicePathAny) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_AsExternalLsa_TypeOfService_TosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa/state/attached-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa/state/attached-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa/state/network-mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/network-lsa/state/network-mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPathAny struct {
	*ygot.NodePath
}

// AttachedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath the path struct for its child "attached-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath) AttachedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attached-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// AttachedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny the path struct for its child "attached-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny) AttachedRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_AttachedRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attached-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkMask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath the path struct for its child "network-mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPath) NetworkMask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "network-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkMask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny the path struct for its child "network-mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsaPathAny) NetworkMask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NetworkLsa_NetworkMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "network-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/metric-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/metric-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/propagate YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/state/propagate YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePathAny struct {
	*ygot.NodePath
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ExternalRouteTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_ForwardingAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) Mask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) Mask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "metric-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) MetricType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetricType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "metric-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) MetricType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_MetricTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Propagate returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "propagate".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) Propagate() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "propagate"},
			map[string]interface{}{},
			n,
		),
	}
}

// Propagate returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "propagate".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) Propagate() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_PropagatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "propagate"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPath) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsaPathAny) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/external-route-tag YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/forwarding-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/nssa-external-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPathAny struct {
	*ygot.NodePath
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExternalRouteTag returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny the path struct for its child "external-route-tag".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny) ExternalRouteTag() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ExternalRouteTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "external-route-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny the path struct for its child "forwarding-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny) ForwardingAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_ForwardingAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forwarding-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePath) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfServicePathAny) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_NssaExternalLsa_TypeOfService_TosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/state/scope YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/state/scope YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePathAny struct {
	*ygot.NodePath
}

// ExtendedLink returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "extended-link".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) ExtendedLink() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-link"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedLink returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "extended-link".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) ExtendedLink() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-link"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedPrefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "extended-prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) ExtendedPrefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedPrefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "extended-prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) ExtendedPrefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// GraceLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "grace-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) GraceLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPath{
		NodePath: ygot.NewNodePath(
			[]string{"grace-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// GraceLsa returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "grace-lsa".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) GraceLsa() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"grace-lsa"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterInformation returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "router-information".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) RouterInformation() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-information"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterInformation returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "router-information".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) RouterInformation() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-information"},
			map[string]interface{}{},
			n,
		),
	}
}

// Scope returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "scope".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) Scope() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "scope"},
			map[string]interface{}{},
			n,
		),
	}
}

// Scope returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "scope".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) Scope() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ScopePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "scope"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) TrafficEngineering() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPath{
		NodePath: ygot.NewNodePath(
			[]string{"traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) TrafficEngineering() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsaPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-data YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-data YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/state/link-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePathAny struct {
	*ygot.NodePath
}

// LinkData returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath the path struct for its child "link-data".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath) LinkData() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkData returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny the path struct for its child "link-data".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny) LinkData() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkDataPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath the path struct for its child "link-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPath) LinkType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny the path struct for its child "link-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLinkPathAny) LinkType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_LinkTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// AdjacencySid returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath) AdjacencySid() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencySid returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny the path struct for its child "adjacency-sid".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny) AdjacencySid() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"adjacency-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/backup YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/backup YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/group YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/group YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/sid-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/sid-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/adjacency-sid/state/weight YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPathAny struct {
	*ygot.NodePath
}

// Backup returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "backup".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) Backup() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup"},
			map[string]interface{}{},
			n,
		),
	}
}

// Backup returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "backup".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) Backup() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_BackupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "group".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) Group() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "group".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) Group() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_MultiTopologyIdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "sid-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) SidType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "sid-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) SidType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_SidValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPath) Weight() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySidPathAny) Weight() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_AdjacencySid_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-link/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedLink_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/address-family YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/address-family YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/attached YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/attached YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/node YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/node YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/prefix-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/prefix-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/route-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/state/route-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePathAny struct {
	*ygot.NodePath
}

// AddressFamily returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "address-family".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) AddressFamily() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "address-family".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) AddressFamily() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attached returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "attached".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) Attached() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attached"},
			map[string]interface{}{},
			n,
		),
	}
}

// Attached returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "attached".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) Attached() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_AttachedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "attached"},
			map[string]interface{}{},
			n,
		),
	}
}

// Node returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "node".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) Node() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "node"},
			map[string]interface{}{},
			n,
		),
	}
}

// Node returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "node".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) Node() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_NodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "node"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) Prefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) Prefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "prefix-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) PrefixLength() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "prefix-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) PrefixLength() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath the path struct for its child "route-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPath) RouteType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "route-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouteType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny the path struct for its child "route-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefixPathAny) RouteType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_RouteTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "route-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// ExtendedPrefixRange returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath the path struct for its child "extended-prefix-range".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath) ExtendedPrefixRange() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"extended-prefix-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExtendedPrefixRange returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny the path struct for its child "extended-prefix-range".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny) ExtendedPrefixRange() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"extended-prefix-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath) PrefixSid() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSid returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny the path struct for its child "prefix-sid".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny) PrefixSid() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sid"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabelBinding returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath the path struct for its child "sid-label-binding".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath) SidLabelBinding() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label-binding"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabelBinding returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny the path struct for its child "sid-label-binding".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny) SidLabelBinding() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label-binding"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/address-family YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/address-family YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/inter-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/inter-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/prefix YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/prefix-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/prefix-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/range-size YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/extended-prefix-range/state/range-size YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePathAny struct {
	*ygot.NodePath
}

// AddressFamily returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath the path struct for its child "address-family".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath) AddressFamily() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny the path struct for its child "address-family".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny) AddressFamily() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterArea returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath the path struct for its child "inter-area".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath) InterArea() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "inter-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterArea returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny the path struct for its child "inter-area".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny) InterArea() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_InterAreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "inter-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath) Prefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny) Prefix() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath the path struct for its child "prefix-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath) PrefixLength() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixLength returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny the path struct for its child "prefix-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny) PrefixLength() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_PrefixLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "prefix-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// RangeSize returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath the path struct for its child "range-size".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePath) RangeSize() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// RangeSize returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny the path struct for its child "range-size".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRangePathAny) RangeSize() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_ExtendedPrefixRange_RangeSizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/algorithm YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/explicit-null YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/explicit-null YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/mapping-server YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/mapping-server YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/no-php YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/no-php YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-scope YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-scope YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-value-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/prefix-sid/state/sid-value-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePathAny struct {
	*ygot.NodePath
}

// Algorithm returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) Algorithm() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Algorithm returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "algorithm".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) Algorithm() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_AlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitNull returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "explicit-null".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) ExplicitNull() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "explicit-null"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExplicitNull returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "explicit-null".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) ExplicitNull() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_ExplicitNullPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "explicit-null"},
			map[string]interface{}{},
			n,
		),
	}
}

// MappingServer returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "mapping-server".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) MappingServer() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mapping-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// MappingServer returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "mapping-server".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) MappingServer() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MappingServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mapping-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_MultiTopologyIdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// NoPhp returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "no-php".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) NoPhp() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "no-php"},
			map[string]interface{}{},
			n,
		),
	}
}

// NoPhp returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "no-php".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) NoPhp() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_NoPhpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "no-php"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidScope returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "sid-scope".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) SidScope() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-scope"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidScope returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "sid-scope".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) SidScope() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidScopePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-scope"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValueType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath the path struct for its child "sid-value-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPath) SidValueType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValueType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny the path struct for its child "sid-value-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSidPathAny) SidValueType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_PrefixSid_SidValueTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/mirroring YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/mirroring YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/multi-topology-identifier YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/weight YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/state/weight YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPathAny struct {
	*ygot.NodePath
}

// Mirroring returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath the path struct for its child "mirroring".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath) Mirroring() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mirroring"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mirroring returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny the path struct for its child "mirroring".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny) Mirroring() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MirroringPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mirroring"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// MultiTopologyIdentifier returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny the path struct for its child "multi-topology-identifier".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny) MultiTopologyIdentifier() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_MultiTopologyIdentifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "multi-topology-identifier"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPath) Weight() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny the path struct for its child "weight".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBindingPathAny) Weight() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// EroMetric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath the path struct for its child "ero-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath) EroMetric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"ero-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// EroMetric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny the path struct for its child "ero-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny) EroMetric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ero-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// EroPath returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath the path struct for its child "ero-path".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath) EroPath() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPath{
		NodePath: ygot.NewNodePath(
			[]string{"ero-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// EroPath returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny the path struct for its child "ero-path".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny) EroPath() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ero-path"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabelBinding returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath the path struct for its child "sid-label-binding".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath) SidLabelBinding() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label-binding"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabelBinding returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny the path struct for its child "sid-label-binding".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny) SidLabelBinding() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label-binding"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-metric/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetricPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroMetric_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/state/loose YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/state/loose YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePathAny struct {
	*ygot.NodePath
}

// Ipv4Segment returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath the path struct for its child "ipv4-segment".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath) Ipv4Segment() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-segment"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Segment returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny the path struct for its child "ipv4-segment".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny) Ipv4Segment() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ipv4-segment"},
			map[string]interface{}{},
			n,
		),
	}
}

// Loose returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath the path struct for its child "loose".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath) Loose() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "loose"},
			map[string]interface{}{},
			n,
		),
	}
}

// Loose returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny the path struct for its child "loose".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny) Loose() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_LoosePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "loose"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnnumberedHop returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath the path struct for its child "unnumbered-hop".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPath) UnnumberedHop() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnnumberedHop returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny the path struct for its child "unnumbered-hop".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_SegmentPathAny) UnnumberedHop() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unnumbered-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/ipv4-segment YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/ipv4-segment YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/ipv4-segment/state/address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/ipv4-segment/state/address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPath) Address() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4SegmentPathAny) Address() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_Ipv4Segment_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop/state/interface-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop/state/interface-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop/state/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/ero-path/segments/segment/unnumbered-hop/state/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPathAny struct {
	*ygot.NodePath
}

// InterfaceId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath) InterfaceId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny) InterfaceId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPath) RouterId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHopPathAny) RouterId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_EroPath_Segment_UnnumberedHop_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding/state/sid-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding/state/sid-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/sid-label-binding/tlvs/tlv/sid-label-binding/state/sid-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePathAny struct {
	*ygot.NodePath
}

// SidType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath the path struct for its child "sid-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath) SidType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny the path struct for its child "sid-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny) SidType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPath) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny the path struct for its child "sid-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBindingPathAny) SidValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_SidLabelBinding_Tlv_SidLabelBinding_SidValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sid-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/extended-prefix/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_ExtendedPrefix_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/ip-interface-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/ip-interface-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/period YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/period YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/reason YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/reason YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// IpInterfaceAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath the path struct for its child "ip-interface-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath) IpInterfaceAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpInterfaceAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny the path struct for its child "ip-interface-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny) IpInterfaceAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_IpInterfaceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-interface-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Period returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath the path struct for its child "period".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath) Period() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "period"},
			map[string]interface{}{},
			n,
		),
	}
}

// Period returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny the path struct for its child "period".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny) Period() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_PeriodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "period"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reason returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath the path struct for its child "reason".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath) Reason() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reason returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny the path struct for its child "reason".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny) Reason() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_ReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/grace-lsa/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_GraceLsa_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// InformationalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "informational-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) InformationalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath{
		NodePath: ygot.NewNodePath(
			[]string{"informational-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// InformationalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "informational-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) InformationalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"informational-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// NodeAdministrativeTags returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "node-administrative-tags".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) NodeAdministrativeTags() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"node-administrative-tags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NodeAdministrativeTags returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "node-administrative-tags".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) NodeAdministrativeTags() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"node-administrative-tags"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingAlgorithm returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "segment-routing-algorithm".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) SegmentRoutingAlgorithm() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingAlgorithm returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "segment-routing-algorithm".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) SegmentRoutingAlgorithm() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-algorithm"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingSidLabelRange returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "segment-routing-sid-label-range".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) SegmentRoutingSidLabelRange() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-sid-label-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentRoutingSidLabelRange returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "segment-routing-sid-label-range".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) SegmentRoutingSidLabelRange() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-routing-sid-label-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/experimental-te YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/experimental-te YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/graceful-restart-capable YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/graceful-restart-capable YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/graceful-restart-helper YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/graceful-restart-helper YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/point-to-point-over-lan YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/point-to-point-over-lan YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/stub-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/stub-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/informational-capabilities/state/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPathAny struct {
	*ygot.NodePath
}

// ExperimentalTe returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "experimental-te".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) ExperimentalTe() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "experimental-te"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExperimentalTe returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "experimental-te".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) ExperimentalTe() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_ExperimentalTePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "experimental-te"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestartCapable returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "graceful-restart-capable".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) GracefulRestartCapable() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "graceful-restart-capable"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestartCapable returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "graceful-restart-capable".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) GracefulRestartCapable() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartCapablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "graceful-restart-capable"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestartHelper returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "graceful-restart-helper".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) GracefulRestartHelper() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "graceful-restart-helper"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestartHelper returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "graceful-restart-helper".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) GracefulRestartHelper() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_GracefulRestartHelperPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "graceful-restart-helper"},
			map[string]interface{}{},
			n,
		),
	}
}

// PointToPointOverLan returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "point-to-point-over-lan".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) PointToPointOverLan() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "point-to-point-over-lan"},
			map[string]interface{}{},
			n,
		),
	}
}

// PointToPointOverLan returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "point-to-point-over-lan".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) PointToPointOverLan() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_PointToPointOverLanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "point-to-point-over-lan"},
			map[string]interface{}{},
			n,
		),
	}
}

// StubRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "stub-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) StubRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "stub-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// StubRouter returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "stub-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) StubRouter() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_StubRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "stub-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPath) TrafficEngineering() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineering returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny the path struct for its child "traffic-engineering".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilitiesPathAny) TrafficEngineering() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_InformationalCapabilities_TrafficEngineeringPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "traffic-engineering"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/node-administrative-tags YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/node-administrative-tags YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/node-administrative-tags/state/administrative-tags YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/node-administrative-tags/state/administrative-tags YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPathAny struct {
	*ygot.NodePath
}

// AdministrativeTags returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath the path struct for its child "administrative-tags".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPath) AdministrativeTags() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "administrative-tags"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdministrativeTags returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny the path struct for its child "administrative-tags".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTagsPathAny) AdministrativeTags() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_NodeAdministrativeTags_AdministrativeTagsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "administrative-tags"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-algorithm YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-algorithm YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-algorithm/state/supported-algorithms YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-algorithm/state/supported-algorithms YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPathAny struct {
	*ygot.NodePath
}

// SupportedAlgorithms returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath the path struct for its child "supported-algorithms".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPath) SupportedAlgorithms() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-algorithms"},
			map[string]interface{}{},
			n,
		),
	}
}

// SupportedAlgorithms returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny the path struct for its child "supported-algorithms".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithmPathAny) SupportedAlgorithms() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingAlgorithm_SupportedAlgorithmsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "supported-algorithms"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRangePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/state/range-size YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/state/range-size YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// RangeSize returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath the path struct for its child "range-size".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath) RangeSize() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// RangeSize returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny the path struct for its child "range-size".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny) RangeSize() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_RangeSizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "range-size"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabel returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath the path struct for its child "sid-label".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath) SidLabel() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// SidLabel returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny the path struct for its child "sid-label".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny) SidLabel() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sid-label"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label/state/entry-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label/state/entry-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label/state/first-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/sid-label/state/first-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePathAny struct {
	*ygot.NodePath
}

// EntryType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath the path struct for its child "entry-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath) EntryType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "entry-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// EntryType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny the path struct for its child "entry-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny) EntryType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_EntryTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "entry-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// FirstValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath the path struct for its child "first-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPath) FirstValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "first-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// FirstValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny the path struct for its child "first-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabelPathAny) FirstValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_SidLabel_FirstValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "first-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/segment-routing-sid-label-range/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_SegmentRoutingSidLabelRange_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/router-information/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_RouterInformation_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineeringPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// Link returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath the path struct for its child "link".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath) Link() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPath{
		NodePath: ygot.NewNodePath(
			[]string{"link"},
			map[string]interface{}{},
			n,
		),
	}
}

// Link returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny the path struct for its child "link".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny) Link() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"link"},
			map[string]interface{}{},
			n,
		),
	}
}

// NodeAttribute returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath the path struct for its child "node-attribute".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath) NodeAttribute() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePath{
		NodePath: ygot.NewNodePath(
			[]string{"node-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// NodeAttribute returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny the path struct for its child "node-attribute".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny) NodeAttribute() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"node-attribute"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath the path struct for its child "router-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath) RouterAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"router-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny the path struct for its child "router-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny) RouterAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"router-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPath) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownTlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny the path struct for its child "unknown-tlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_TlvPathAny) UnknownTlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-tlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_LinkPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/link-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/link-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/local-ip-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/local-ip-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/maximum-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/maximum-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/maximum-reservable-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/maximum-reservable-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/remote-ip-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/remote-ip-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/unknown-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/unknown-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/unknown-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/state/unknown-value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePathAny struct {
	*ygot.NodePath
}

// AdminGroupAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) AdminGroupAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"administrative-groups", "admin-group"},
			map[string]interface{}{"bit-index": "*"},
			n,
		),
	}
}

// AdminGroupAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "admin-group".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) AdminGroupAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"administrative-groups", "admin-group"},
			map[string]interface{}{"bit-index": "*"},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "admin-group".
// BitIndex: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) AdminGroup(BitIndex uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"administrative-groups", "admin-group"},
			map[string]interface{}{"bit-index": BitIndex},
			n,
		),
	}
}

// AdminGroup returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "admin-group".
// BitIndex: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) AdminGroup(BitIndex uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"administrative-groups", "admin-group"},
			map[string]interface{}{"bit-index": BitIndex},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "link-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) LinkType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "link-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) LinkType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LinkTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "local-ip-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) LocalIpAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "local-ip-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) LocalIpAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_LocalIpAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "maximum-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) MaximumBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "maximum-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) MaximumBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumReservableBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "maximum-reservable-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) MaximumReservableBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-reservable-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumReservableBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "maximum-reservable-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) MaximumReservableBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MaximumReservableBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "maximum-reservable-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "remote-ip-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) RemoteIpAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteIpAddress returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "remote-ip-address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) RemoteIpAddress() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_RemoteIpAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "remote-ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownSubtlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "unknown-subtlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) UnknownSubtlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-subtlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownSubtlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "unknown-subtlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) UnknownSubtlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-subtlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "unknown-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) UnknownType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unknown-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownType returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "unknown-type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) UnknownType() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unknown-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "unknown-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) UnknownValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unknown-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownValue returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "unknown-value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) UnknownValue() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unknown-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnreservedBandwidthAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "unreserved-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) UnreservedBandwidthAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidths", "unreserved-bandwidth"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// UnreservedBandwidthAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "unreserved-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) UnreservedBandwidthAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidths", "unreserved-bandwidth"},
			map[string]interface{}{"priority": "*"},
			n,
		),
	}
}

// UnreservedBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath the path struct for its child "unreserved-bandwidth".
// Priority: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPath) UnreservedBandwidth(Priority uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidths", "unreserved-bandwidth"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// UnreservedBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny the path struct for its child "unreserved-bandwidth".
// Priority: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlvPathAny) UnreservedBandwidth(Priority uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unreserved-bandwidths", "unreserved-bandwidth"},
			map[string]interface{}{"priority": Priority},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group/state/bit-index YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group/state/bit-index YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group/state/set YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/administrative-groups/admin-group/state/set YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPathAny struct {
	*ygot.NodePath
}

// BitIndex returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath the path struct for its child "bit-index".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath) BitIndex() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bit-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// BitIndex returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny the path struct for its child "bit-index".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny) BitIndex() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_BitIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bit-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Set returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath the path struct for its child "set".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPath) Set() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "set"},
			map[string]interface{}{},
			n,
		),
	}
}

// Set returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny the path struct for its child "set".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroupPathAny) Set() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_AdminGroup_SetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "set"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unknown-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnknownSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth/state/unreserved-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/link/sub-tlvs/sub-tlv/unreserved-bandwidths/unreserved-bandwidth/state/unreserved-bandwidth YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPathAny struct {
	*ygot.NodePath
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny) Priority() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnreservedBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath the path struct for its child "unreserved-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPath) UnreservedBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unreserved-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnreservedBandwidth returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny the path struct for its child "unreserved-bandwidth".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidthPathAny) UnreservedBandwidth() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_Link_SubTlv_UnreservedBandwidth_UnreservedBandwidthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unreserved-bandwidth"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttributePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/local-ipv4-addresses YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/local-ipv4-addresses YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/local-ipv6-addresses YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/local-ipv6-addresses YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePathAny struct {
	*ygot.NodePath
}

// LocalIpv4Addresses returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath the path struct for its child "local-ipv4-addresses".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath) LocalIpv4Addresses() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv4Addresses returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny the path struct for its child "local-ipv4-addresses".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny) LocalIpv4Addresses() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv4AddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv4-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Addresses returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath the path struct for its child "local-ipv6-addresses".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath) LocalIpv6Addresses() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalIpv6Addresses returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny the path struct for its child "local-ipv6-addresses".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny) LocalIpv6Addresses() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_LocalIpv6AddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "local-ipv6-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownSubtlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath the path struct for its child "unknown-subtlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPath) UnknownSubtlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-subtlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnknownSubtlv returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny the path struct for its child "unknown-subtlv".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlvPathAny) UnknownSubtlv() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"unknown-subtlv"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/node-attribute/sub-tlvs/sub-tlv/unknown-subtlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_NodeAttribute_SubTlv_UnknownSubtlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/router-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/router-address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/router-address/state/address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/router-address/state/address YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPath) Address() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddressPathAny) Address() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_RouterAddress_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/traffic-engineering/tlvs/tlv/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_TrafficEngineering_Tlv_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/opaque-lsa/unknown-tlv/state/value YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePathAny struct {
	*ygot.NodePath
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Length returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny the path struct for its child "length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny) Length() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_LengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "length"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPath) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny the path struct for its child "value".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlvPathAny) Value() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_OpaqueLsa_UnknownTlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/link-data YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/link-data YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/link-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/number-links YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/number-links YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/number-tos-metrics YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/number-tos-metrics YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/state/type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePathAny struct {
	*ygot.NodePath
}

// LinkData returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "link-data".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) LinkData() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkData returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "link-data".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) LinkData() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkDataPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkId returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "link-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) LinkId() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_LinkIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumberLinks returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "number-links".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) NumberLinks() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "number-links"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumberLinks returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "number-links".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) NumberLinks() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberLinksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "number-links"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumberTosMetrics returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "number-tos-metrics".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) NumberTosMetrics() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "number-tos-metrics"},
			map[string]interface{}{},
			n,
		),
	}
}

// NumberTosMetrics returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "number-tos-metrics".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) NumberTosMetrics() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_NumberTosMetricsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "number-tos-metrics"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "type".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) Type() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPath) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsaPathAny) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/router-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePath) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfServicePathAny) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_RouterLsa_TypeOfService_TosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/state/network-mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/state/network-mask YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPathAny struct {
	*ygot.NodePath
}

// NetworkMask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath the path struct for its child "network-mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath) NetworkMask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "network-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkMask returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny the path struct for its child "network-mask".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny) NetworkMask() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_NetworkMaskPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "network-mask"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfServiceAny returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny the path struct for its child "type-of-service".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny) TypeOfServiceAny() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": "*"},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPath) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// TypeOfService returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny the path struct for its child "type-of-service".
// Tos: uint8
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsaPathAny) TypeOfService(Tos uint8) *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"types-of-service", "type-of-service"},
			map[string]interface{}{"tos": Tos},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service/state/metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/lsdb/lsa-types/lsa-type/lsas/lsa/summary-lsa/types-of-service/type-of-service/state/tos YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPathAny struct {
	*ygot.NodePath
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny) Metric() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePath) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tos returns from NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny the path struct for its child "tos".
func (n *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfServicePathAny) Tos() *NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Lsdb_LsaType_Lsa_SummaryLsa_TypeOfService_TosPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tos"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/mpls/config/traffic-engineering-enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/mpls/config/traffic-engineering-enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPathAny struct {
	*ygot.NodePath
}

// TrafficEngineeringEnabled returns from NetworkInstance_Protocol_Ospfv2_Area_MplsPath the path struct for its child "traffic-engineering-enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Area_MplsPath) TrafficEngineeringEnabled() *NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineeringEnabled returns from NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny the path struct for its child "traffic-engineering-enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Area_MplsPathAny) TrafficEngineeringEnabled() *NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_Mpls_TrafficEngineeringEnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/adjacency-state YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/backup-designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/backup-designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/dead-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/dead-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/designated-router YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/last-established-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/last-established-time YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/optional-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/optional-capabilities YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/priority YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/config/remote-router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/config/remote-router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/retranmission-queue-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/retranmission-queue-length YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/state-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/areas/area/virtual-links/virtual-link/state/state-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPathAny struct {
	*ygot.NodePath
}

// AdjacencyState returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) AdjacencyState() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdjacencyState returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "adjacency-state".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) AdjacencyState() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_AdjacencyStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "adjacency-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackupDesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "backup-designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) BackupDesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackupDesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "backup-designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) BackupDesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_BackupDesignatedRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "backup-designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTime returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "dead-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) DeadTime() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dead-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTime returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "dead-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) DeadTime() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DeadTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dead-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) DesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRouter returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "designated-router".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) DesignatedRouter() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_DesignatedRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablishedTime returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "last-established-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) LastEstablishedTime() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastEstablishedTime returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "last-established-time".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) LastEstablishedTime() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_LastEstablishedTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-established-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OptionalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "optional-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) OptionalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// OptionalCapabilities returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "optional-capabilities".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) OptionalCapabilities() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_OptionalCapabilitiesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optional-capabilities"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) Priority() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "priority".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) Priority() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteRouterId returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "remote-router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) RemoteRouterId() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteRouterId returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "remote-router-id".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) RemoteRouterId() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RemoteRouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetranmissionQueueLength returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "retranmission-queue-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) RetranmissionQueueLength() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retranmission-queue-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetranmissionQueueLength returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "retranmission-queue-length".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) RetranmissionQueueLength() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_RetranmissionQueueLengthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "retranmission-queue-length"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath the path struct for its child "state-changes".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPath) StateChanges() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPath {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// StateChanges returns from NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny the path struct for its child "state-changes".
func (n *NetworkInstance_Protocol_Ospfv2_Area_VirtualLinkPathAny) StateChanges() *NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Area_VirtualLink_StateChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "state-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global YANG schema element.
type NetworkInstance_Protocol_Ospfv2_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global YANG schema element.
type NetworkInstance_Protocol_Ospfv2_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/hide-transit-only-networks YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/hide-transit-only-networks YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/igp-shortcuts YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/igp-shortcuts YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/log-adjacency-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/log-adjacency-changes YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_RouterIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_RouterIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_RouterIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/router-id YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_RouterIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/summary-route-cost-mode YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/config/summary-route-cost-mode YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePathAny struct {
	*ygot.NodePath
}

// GracefulRestart returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) GracefulRestart() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// GracefulRestart returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "graceful-restart".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) GracefulRestart() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"graceful-restart"},
			map[string]interface{}{},
			n,
		),
	}
}

// HideTransitOnlyNetworks returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "hide-transit-only-networks".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) HideTransitOnlyNetworks() *NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hide-transit-only-networks"},
			map[string]interface{}{},
			n,
		),
	}
}

// HideTransitOnlyNetworks returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "hide-transit-only-networks".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) HideTransitOnlyNetworks() *NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_HideTransitOnlyNetworksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hide-transit-only-networks"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpShortcuts returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "igp-shortcuts".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) IgpShortcuts() *NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "igp-shortcuts"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpShortcuts returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "igp-shortcuts".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) IgpShortcuts() *NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_IgpShortcutsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "igp-shortcuts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterAreaPropagationPolicyAny returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "inter-area-propagation-policy".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) InterAreaPropagationPolicyAny() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": "*", "dst-area": "*"},
			n,
		),
	}
}

// InterAreaPropagationPolicyAny returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "inter-area-propagation-policy".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) InterAreaPropagationPolicyAny() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": "*", "dst-area": "*"},
			n,
		),
	}
}

// InterAreaPropagationPolicyAnyDstArea returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "inter-area-propagation-policy".
// SrcArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) InterAreaPropagationPolicyAnyDstArea(SrcArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": SrcArea, "dst-area": "*"},
			n,
		),
	}
}

// InterAreaPropagationPolicyAnyDstArea returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "inter-area-propagation-policy".
// SrcArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) InterAreaPropagationPolicyAnyDstArea(SrcArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": SrcArea, "dst-area": "*"},
			n,
		),
	}
}

// InterAreaPropagationPolicyAnySrcArea returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "inter-area-propagation-policy".
// DstArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) InterAreaPropagationPolicyAnySrcArea(DstArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": "*", "dst-area": DstArea},
			n,
		),
	}
}

// InterAreaPropagationPolicyAnySrcArea returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "inter-area-propagation-policy".
// DstArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) InterAreaPropagationPolicyAnySrcArea(DstArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": "*", "dst-area": DstArea},
			n,
		),
	}
}

// InterAreaPropagationPolicy returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "inter-area-propagation-policy".
// SrcArea: [UnionUint32, UnionString]
// DstArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) InterAreaPropagationPolicy(SrcArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union, DstArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": SrcArea, "dst-area": DstArea},
			n,
		),
	}
}

// InterAreaPropagationPolicy returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "inter-area-propagation-policy".
// SrcArea: [UnionUint32, UnionString]
// DstArea: [UnionUint32, UnionString]
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) InterAreaPropagationPolicy(SrcArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union, DstArea NetworkInstance_Protocol_Ospfv2_Area_Identifier_Union) *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inter-area-propagation-policies", "inter-area-propagation-policy"},
			map[string]interface{}{"src-area": SrcArea, "dst-area": DstArea},
			n,
		),
	}
}

// LogAdjacencyChanges returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "log-adjacency-changes".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) LogAdjacencyChanges() *NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-adjacency-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogAdjacencyChanges returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "log-adjacency-changes".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) LogAdjacencyChanges() *NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_LogAdjacencyChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "log-adjacency-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) Mpls() *NetworkInstance_Protocol_Ospfv2_Global_MplsPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_MplsPath{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mpls returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "mpls".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) Mpls() *NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mpls"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) RouterId() *NetworkInstance_Protocol_Ospfv2_Global_RouterIdPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_RouterIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RouterId returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "router-id".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) RouterId() *NetworkInstance_Protocol_Ospfv2_Global_RouterIdPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_RouterIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "router-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SummaryRouteCostMode returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "summary-route-cost-mode".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) SummaryRouteCostMode() *NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePath {
	return &NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "summary-route-cost-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// SummaryRouteCostMode returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "summary-route-cost-mode".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) SummaryRouteCostMode() *NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_SummaryRouteCostModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "summary-route-cost-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Ospfv2_GlobalPath the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPath) Timers() *NetworkInstance_Protocol_Ospfv2_Global_TimersPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_TimersPath{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timers returns from NetworkInstance_Protocol_Ospfv2_GlobalPathAny the path struct for its child "timers".
func (n *NetworkInstance_Protocol_Ospfv2_GlobalPathAny) Timers() *NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timers"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/graceful-restart/config/helper-only YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath) Enabled() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny) Enabled() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPath) HelperOnly() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperOnly returns from NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny the path struct for its child "helper-only".
func (n *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestartPathAny) HelperOnly() *NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_GracefulRestart_HelperOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/default-import-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/dst-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/dst-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/import-policy YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/src-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/inter-area-propagation-policies/inter-area-propagation-policy/config/src-area YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPathAny struct {
	*ygot.NodePath
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath) DefaultImportPolicy() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny) DefaultImportPolicy() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DstArea returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath the path struct for its child "dst-area".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath) DstArea() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dst-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// DstArea returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny the path struct for its child "dst-area".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny) DstArea() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_DstAreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dst-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath) ImportPolicy() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny) ImportPolicy() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrcArea returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath the path struct for its child "src-area".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPath) SrcArea() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "src-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrcArea returns from NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny the path struct for its child "src-area".
func (n *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicyPathAny) SrcArea() *NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_InterAreaPropagationPolicy_SrcAreaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "src-area"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_MplsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_MplsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/config/traffic-engineering-extensions YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/config/traffic-engineering-extensions YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPathAny struct {
	*ygot.NodePath
}

// IgpLdpSync returns from NetworkInstance_Protocol_Ospfv2_Global_MplsPath the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Ospfv2_Global_MplsPath) IgpLdpSync() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// IgpLdpSync returns from NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny the path struct for its child "igp-ldp-sync".
func (n *NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny) IgpLdpSync() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"igp-ldp-sync"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineeringExtensions returns from NetworkInstance_Protocol_Ospfv2_Global_MplsPath the path struct for its child "traffic-engineering-extensions".
func (n *NetworkInstance_Protocol_Ospfv2_Global_MplsPath) TrafficEngineeringExtensions() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-extensions"},
			map[string]interface{}{},
			n,
		),
	}
}

// TrafficEngineeringExtensions returns from NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny the path struct for its child "traffic-engineering-extensions".
func (n *NetworkInstance_Protocol_Ospfv2_Global_MplsPathAny) TrafficEngineeringExtensions() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_TrafficEngineeringExtensionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "traffic-engineering-extensions"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync/config/enabled YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/mpls/igp-ldp-sync/config/post-session-up-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny struct {
	*ygot.NodePath
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath) Enabled() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny) Enabled() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPath) PostSessionUpDelay() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostSessionUpDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny the path struct for its child "post-session-up-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSyncPathAny) PostSessionUpDelay() *NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Mpls_IgpLdpSync_PostSessionUpDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "post-session-up-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_TimersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_TimersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny struct {
	*ygot.NodePath
}

// LsaGeneration returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPath the path struct for its child "lsa-generation".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPath) LsaGeneration() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-generation"},
			map[string]interface{}{},
			n,
		),
	}
}

// LsaGeneration returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny the path struct for its child "lsa-generation".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny) LsaGeneration() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lsa-generation"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxMetric returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPath the path struct for its child "max-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPath) MaxMetric() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"max-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxMetric returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny the path struct for its child "max-metric".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny) MaxMetric() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Spf returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPath the path struct for its child "spf".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPath) Spf() *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath{
		NodePath: ygot.NewNodePath(
			[]string{"spf"},
			map[string]interface{}{},
			n,
		),
	}
}

// Spf returns from NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny the path struct for its child "spf".
func (n *NetworkInstance_Protocol_Ospfv2_Global_TimersPathAny) Spf() *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"spf"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/config/initial-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/config/initial-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/config/maximum-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/config/maximum-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/state/timer-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/lsa-generation/state/timer-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePathAny struct {
	*ygot.NodePath
}

// InitialDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath the path struct for its child "initial-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath) InitialDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "initial-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// InitialDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny the path struct for its child "initial-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny) InitialDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_InitialDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "initial-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath the path struct for its child "maximum-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath) MaximumDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny the path struct for its child "maximum-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny) MaximumDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_MaximumDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimerType returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath the path struct for its child "timer-type".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPath) TimerType() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimerType returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny the path struct for its child "timer-type".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGenerationPathAny) TimerType() *NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_LsaGeneration_TimerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/include YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/include YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/set YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/set YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/timeout YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/timeout YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/trigger YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/max-metric/config/trigger YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPathAny struct {
	*ygot.NodePath
}

// Include returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath the path struct for its child "include".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath) Include() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include"},
			map[string]interface{}{},
			n,
		),
	}
}

// Include returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny the path struct for its child "include".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny) Include() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_IncludePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "include"},
			map[string]interface{}{},
			n,
		),
	}
}

// Set returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath the path struct for its child "set".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath) Set() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set"},
			map[string]interface{}{},
			n,
		),
	}
}

// Set returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny the path struct for its child "set".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny) Set() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_SetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath the path struct for its child "timeout".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath) Timeout() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny the path struct for its child "timeout".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny) Timeout() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Trigger returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath the path struct for its child "trigger".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPath) Trigger() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger"},
			map[string]interface{}{},
			n,
		),
	}
}

// Trigger returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny the path struct for its child "trigger".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetricPathAny) Trigger() *NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_MaxMetric_TriggerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trigger"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/config/initial-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/config/initial-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/config/maximum-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/config/maximum-delay YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/state/timer-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/ospfv2/global/timers/spf/state/timer-type YANG schema element.
type NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePathAny struct {
	*ygot.NodePath
}

// InitialDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath the path struct for its child "initial-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath) InitialDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "initial-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// InitialDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny the path struct for its child "initial-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny) InitialDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_InitialDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "initial-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath the path struct for its child "maximum-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath) MaximumDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaximumDelay returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny the path struct for its child "maximum-delay".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny) MaximumDelay() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_MaximumDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimerType returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath the path struct for its child "timer-type".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPath) TimerType() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePath {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimerType returns from NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny the path struct for its child "timer-type".
func (n *NetworkInstance_Protocol_Ospfv2_Global_Timers_SpfPathAny) TimerType() *NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePathAny {
	return &NetworkInstance_Protocol_Ospfv2_Global_Timers_Spf_TimerTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "timer-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_PimPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim YANG schema element.
type NetworkInstance_Protocol_PimPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_PimPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim YANG schema element.
type NetworkInstance_Protocol_PimPathAny struct {
	*ygot.NodePath
}

// Global returns from NetworkInstance_Protocol_PimPath the path struct for its child "global".
func (n *NetworkInstance_Protocol_PimPath) Global() *NetworkInstance_Protocol_Pim_GlobalPath {
	return &NetworkInstance_Protocol_Pim_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from NetworkInstance_Protocol_PimPathAny the path struct for its child "global".
func (n *NetworkInstance_Protocol_PimPathAny) Global() *NetworkInstance_Protocol_Pim_GlobalPathAny {
	return &NetworkInstance_Protocol_Pim_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_PimPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_PimPath) InterfaceAny() *NetworkInstance_Protocol_Pim_InterfacePathAny {
	return &NetworkInstance_Protocol_Pim_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from NetworkInstance_Protocol_PimPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_PimPathAny) InterfaceAny() *NetworkInstance_Protocol_Pim_InterfacePathAny {
	return &NetworkInstance_Protocol_Pim_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": "*"},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_PimPath the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_PimPath) Interface(InterfaceId string) *NetworkInstance_Protocol_Pim_InterfacePath {
	return &NetworkInstance_Protocol_Pim_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_PimPathAny the path struct for its child "interface".
// InterfaceId: string
func (n *NetworkInstance_Protocol_PimPathAny) Interface(InterfaceId string) *NetworkInstance_Protocol_Pim_InterfacePathAny {
	return &NetworkInstance_Protocol_Pim_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"interface-id": InterfaceId},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_GlobalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global YANG schema element.
type NetworkInstance_Protocol_Pim_GlobalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_GlobalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global YANG schema element.
type NetworkInstance_Protocol_Pim_GlobalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_NeighborCountPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/neighbor-count YANG schema element.
type NetworkInstance_Protocol_Pim_Global_NeighborCountPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_NeighborCountPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/neighbor-count YANG schema element.
type NetworkInstance_Protocol_Pim_Global_NeighborCountPathAny struct {
	*ygot.NodePath
}

// Counters returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Pim_GlobalPath) Counters() *NetworkInstance_Protocol_Pim_Global_CountersPath {
	return &NetworkInstance_Protocol_Pim_Global_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) Counters() *NetworkInstance_Protocol_Pim_Global_CountersPathAny {
	return &NetworkInstance_Protocol_Pim_Global_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborCount returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "neighbor-count".
func (n *NetworkInstance_Protocol_Pim_GlobalPath) NeighborCount() *NetworkInstance_Protocol_Pim_Global_NeighborCountPath {
	return &NetworkInstance_Protocol_Pim_Global_NeighborCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborCount returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "neighbor-count".
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) NeighborCount() *NetworkInstance_Protocol_Pim_Global_NeighborCountPathAny {
	return &NetworkInstance_Protocol_Pim_Global_NeighborCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// RendezvousPointAny returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "rendezvous-point".
func (n *NetworkInstance_Protocol_Pim_GlobalPath) RendezvousPointAny() *NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rendezvous-points", "rendezvous-point"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// RendezvousPointAny returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "rendezvous-point".
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) RendezvousPointAny() *NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rendezvous-points", "rendezvous-point"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// RendezvousPoint returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "rendezvous-point".
// Address: string
func (n *NetworkInstance_Protocol_Pim_GlobalPath) RendezvousPoint(Address string) *NetworkInstance_Protocol_Pim_Global_RendezvousPointPath {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPointPath{
		NodePath: ygot.NewNodePath(
			[]string{"rendezvous-points", "rendezvous-point"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// RendezvousPoint returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "rendezvous-point".
// Address: string
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) RendezvousPoint(Address string) *NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rendezvous-points", "rendezvous-point"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// SourceAny returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "source".
func (n *NetworkInstance_Protocol_Pim_GlobalPath) SourceAny() *NetworkInstance_Protocol_Pim_Global_SourcePathAny {
	return &NetworkInstance_Protocol_Pim_Global_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sources-joined", "source"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// SourceAny returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "source".
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) SourceAny() *NetworkInstance_Protocol_Pim_Global_SourcePathAny {
	return &NetworkInstance_Protocol_Pim_Global_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sources-joined", "source"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// Source returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "source".
// Address: string
func (n *NetworkInstance_Protocol_Pim_GlobalPath) Source(Address string) *NetworkInstance_Protocol_Pim_Global_SourcePath {
	return &NetworkInstance_Protocol_Pim_Global_SourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"sources-joined", "source"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Source returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "source".
// Address: string
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) Source(Address string) *NetworkInstance_Protocol_Pim_Global_SourcePathAny {
	return &NetworkInstance_Protocol_Pim_Global_SourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sources-joined", "source"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Ssm returns from NetworkInstance_Protocol_Pim_GlobalPath the path struct for its child "ssm".
func (n *NetworkInstance_Protocol_Pim_GlobalPath) Ssm() *NetworkInstance_Protocol_Pim_Global_SsmPath {
	return &NetworkInstance_Protocol_Pim_Global_SsmPath{
		NodePath: ygot.NewNodePath(
			[]string{"ssm"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ssm returns from NetworkInstance_Protocol_Pim_GlobalPathAny the path struct for its child "ssm".
func (n *NetworkInstance_Protocol_Pim_GlobalPathAny) Ssm() *NetworkInstance_Protocol_Pim_Global_SsmPathAny {
	return &NetworkInstance_Protocol_Pim_Global_SsmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ssm"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Global_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters YANG schema element.
type NetworkInstance_Protocol_Pim_Global_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters YANG schema element.
type NetworkInstance_Protocol_Pim_Global_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/bootstrap-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/bootstrap-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/hello-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/hello-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/join-prune-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/state/counters/join-prune-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPathAny struct {
	*ygot.NodePath
}

// BootstrapMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPath the path struct for its child "bootstrap-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPath) BootstrapMessages() *NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPath {
	return &NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"bootstrap-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootstrapMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPathAny the path struct for its child "bootstrap-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPathAny) BootstrapMessages() *NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Counters_BootstrapMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bootstrap-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPath the path struct for its child "hello-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPath) HelloMessages() *NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPath {
	return &NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPathAny the path struct for its child "hello-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPathAny) HelloMessages() *NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Counters_HelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPath the path struct for its child "join-prune-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPath) JoinPruneMessages() *NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPath {
	return &NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"join-prune-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneMessages returns from NetworkInstance_Protocol_Pim_Global_CountersPathAny the path struct for its child "join-prune-messages".
func (n *NetworkInstance_Protocol_Pim_Global_CountersPathAny) JoinPruneMessages() *NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Counters_JoinPruneMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"join-prune-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPointPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPointPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point/config/address YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point/config/address YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point/config/multicast-groups YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/rendezvous-points/rendezvous-point/config/multicast-groups YANG schema element.
type NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Pim_Global_RendezvousPointPath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Pim_Global_RendezvousPointPath) Address() *NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPath {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny) Address() *NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPathAny {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPoint_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MulticastGroups returns from NetworkInstance_Protocol_Pim_Global_RendezvousPointPath the path struct for its child "multicast-groups".
func (n *NetworkInstance_Protocol_Pim_Global_RendezvousPointPath) MulticastGroups() *NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPath {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multicast-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// MulticastGroups returns from NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny the path struct for its child "multicast-groups".
func (n *NetworkInstance_Protocol_Pim_Global_RendezvousPointPathAny) MulticastGroups() *NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPathAny {
	return &NetworkInstance_Protocol_Pim_Global_RendezvousPoint_MulticastGroupsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "multicast-groups"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Global_SourcePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source YANG schema element.
type NetworkInstance_Protocol_Pim_Global_SourcePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_SourcePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source YANG schema element.
type NetworkInstance_Protocol_Pim_Global_SourcePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_AddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/address YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_AddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_AddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/address YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_AddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_GroupPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/group YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_GroupPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_GroupPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/group YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_GroupPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/upstream-interface-id YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/sources-joined/source/state/upstream-interface-id YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPathAny struct {
	*ygot.NodePath
}

// Address returns from NetworkInstance_Protocol_Pim_Global_SourcePath the path struct for its child "address".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePath) Address() *NetworkInstance_Protocol_Pim_Global_Source_AddressPath {
	return &NetworkInstance_Protocol_Pim_Global_Source_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from NetworkInstance_Protocol_Pim_Global_SourcePathAny the path struct for its child "address".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePathAny) Address() *NetworkInstance_Protocol_Pim_Global_Source_AddressPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Source_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Pim_Global_SourcePath the path struct for its child "group".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePath) Group() *NetworkInstance_Protocol_Pim_Global_Source_GroupPath {
	return &NetworkInstance_Protocol_Pim_Global_Source_GroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// Group returns from NetworkInstance_Protocol_Pim_Global_SourcePathAny the path struct for its child "group".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePathAny) Group() *NetworkInstance_Protocol_Pim_Global_Source_GroupPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Source_GroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "group"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpstreamInterfaceId returns from NetworkInstance_Protocol_Pim_Global_SourcePath the path struct for its child "upstream-interface-id".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePath) UpstreamInterfaceId() *NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPath {
	return &NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "upstream-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// UpstreamInterfaceId returns from NetworkInstance_Protocol_Pim_Global_SourcePathAny the path struct for its child "upstream-interface-id".
func (n *NetworkInstance_Protocol_Pim_Global_SourcePathAny) UpstreamInterfaceId() *NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Source_UpstreamInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "upstream-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Global_SsmPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/ssm YANG schema element.
type NetworkInstance_Protocol_Pim_Global_SsmPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_SsmPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/ssm YANG schema element.
type NetworkInstance_Protocol_Pim_Global_SsmPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/ssm/config/ssm-ranges YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/global/ssm/config/ssm-ranges YANG schema element.
type NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPathAny struct {
	*ygot.NodePath
}

// SsmRanges returns from NetworkInstance_Protocol_Pim_Global_SsmPath the path struct for its child "ssm-ranges".
func (n *NetworkInstance_Protocol_Pim_Global_SsmPath) SsmRanges() *NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPath {
	return &NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssm-ranges"},
			map[string]interface{}{},
			n,
		),
	}
}

// SsmRanges returns from NetworkInstance_Protocol_Pim_Global_SsmPathAny the path struct for its child "ssm-ranges".
func (n *NetworkInstance_Protocol_Pim_Global_SsmPathAny) SsmRanges() *NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPathAny {
	return &NetworkInstance_Protocol_Pim_Global_Ssm_SsmRangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssm-ranges"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Pim_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface YANG schema element.
type NetworkInstance_Protocol_Pim_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_BorderRouterPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/border-router YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_BorderRouterPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_BorderRouterPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/border-router YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_BorderRouterPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_BsrBorderPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/bsr-border YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_BsrBorderPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_BsrBorderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/bsr-border YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_BsrBorderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_DeadTimerPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/dead-timer YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_DeadTimerPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_DeadTimerPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/dead-timer YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_DeadTimerPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_DrPriorityPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/dr-priority YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_DrPriorityPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_DrPriorityPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/dr-priority YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_DrPriorityPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_EnabledPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_EnabledPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_EnabledPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/enabled YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_EnabledPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_HelloIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_HelloIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_HelloIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/hello-interval YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_HelloIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceIdPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/interface-id YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/join-prune-interval YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/join-prune-interval YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_ModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/mode YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_ModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_ModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/config/mode YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_ModePathAny struct {
	*ygot.NodePath
}

// BorderRouter returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "border-router".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) BorderRouter() *NetworkInstance_Protocol_Pim_Interface_BorderRouterPath {
	return &NetworkInstance_Protocol_Pim_Interface_BorderRouterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "border-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// BorderRouter returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "border-router".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) BorderRouter() *NetworkInstance_Protocol_Pim_Interface_BorderRouterPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_BorderRouterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "border-router"},
			map[string]interface{}{},
			n,
		),
	}
}

// BsrBorder returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "bsr-border".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) BsrBorder() *NetworkInstance_Protocol_Pim_Interface_BsrBorderPath {
	return &NetworkInstance_Protocol_Pim_Interface_BsrBorderPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bsr-border"},
			map[string]interface{}{},
			n,
		),
	}
}

// BsrBorder returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "bsr-border".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) BsrBorder() *NetworkInstance_Protocol_Pim_Interface_BsrBorderPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_BsrBorderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bsr-border"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) Counters() *NetworkInstance_Protocol_Pim_Interface_CountersPath {
	return &NetworkInstance_Protocol_Pim_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "counters".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) Counters() *NetworkInstance_Protocol_Pim_Interface_CountersPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTimer returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "dead-timer".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) DeadTimer() *NetworkInstance_Protocol_Pim_Interface_DeadTimerPath {
	return &NetworkInstance_Protocol_Pim_Interface_DeadTimerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dead-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// DeadTimer returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "dead-timer".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) DeadTimer() *NetworkInstance_Protocol_Pim_Interface_DeadTimerPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_DeadTimerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dead-timer"},
			map[string]interface{}{},
			n,
		),
	}
}

// DrPriority returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "dr-priority".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) DrPriority() *NetworkInstance_Protocol_Pim_Interface_DrPriorityPath {
	return &NetworkInstance_Protocol_Pim_Interface_DrPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dr-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DrPriority returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "dr-priority".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) DrPriority() *NetworkInstance_Protocol_Pim_Interface_DrPriorityPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_DrPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dr-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) Enabled() *NetworkInstance_Protocol_Pim_Interface_EnabledPath {
	return &NetworkInstance_Protocol_Pim_Interface_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "enabled".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) Enabled() *NetworkInstance_Protocol_Pim_Interface_EnabledPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) HelloInterval() *NetworkInstance_Protocol_Pim_Interface_HelloIntervalPath {
	return &NetworkInstance_Protocol_Pim_Interface_HelloIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloInterval returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "hello-interval".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) HelloInterval() *NetworkInstance_Protocol_Pim_Interface_HelloIntervalPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_HelloIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) InterfaceId() *NetworkInstance_Protocol_Pim_Interface_InterfaceIdPath {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "interface-id".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) InterfaceId() *NetworkInstance_Protocol_Pim_Interface_InterfaceIdPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) InterfaceRef() *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) InterfaceRef() *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneInterval returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "join-prune-interval".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) JoinPruneInterval() *NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPath {
	return &NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "join-prune-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneInterval returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "join-prune-interval".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) JoinPruneInterval() *NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_JoinPruneIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "join-prune-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) Mode() *NetworkInstance_Protocol_Pim_Interface_ModePath {
	return &NetworkInstance_Protocol_Pim_Interface_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) Mode() *NetworkInstance_Protocol_Pim_Interface_ModePathAny {
	return &NetworkInstance_Protocol_Pim_Interface_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Pim_InterfacePath) NeighborAny() *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// NeighborAny returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "neighbor".
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) NeighborAny() *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": "*"},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Pim_InterfacePath the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Pim_InterfacePath) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Pim_Interface_NeighborPath {
	return &NetworkInstance_Protocol_Pim_Interface_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// Neighbor returns from NetworkInstance_Protocol_Pim_InterfacePathAny the path struct for its child "neighbor".
// NeighborAddress: string
func (n *NetworkInstance_Protocol_Pim_InterfacePathAny) Neighbor(NeighborAddress string) *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"neighbor-address": NeighborAddress},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Interface_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/bootstrap-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/bootstrap-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/hello-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/hello-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/join-prune-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/state/counters/join-prune-messages YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPathAny struct {
	*ygot.NodePath
}

// BootstrapMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPath the path struct for its child "bootstrap-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPath) BootstrapMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPath {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"bootstrap-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootstrapMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPathAny the path struct for its child "bootstrap-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPathAny) BootstrapMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_BootstrapMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bootstrap-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPath the path struct for its child "hello-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPath) HelloMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPath {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPathAny the path struct for its child "hello-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPathAny) HelloMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_HelloMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"hello-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPath the path struct for its child "join-prune-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPath) JoinPruneMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPath {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"join-prune-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// JoinPruneMessages returns from NetworkInstance_Protocol_Pim_Interface_CountersPathAny the path struct for its child "join-prune-messages".
func (n *NetworkInstance_Protocol_Pim_Interface_CountersPathAny) JoinPruneMessages() *NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Counters_JoinPruneMessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"join-prune-messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath) Interface() *NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePath {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny) Interface() *NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPath) Subinterface() *NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Pim_Interface_InterfaceRefPathAny) Subinterface() *NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Protocol_Pim_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Pim_Interface_NeighborPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_NeighborPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_NeighborPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_NeighborPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/dr-address YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/dr-address YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/mode YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/mode YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-address YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-established YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-established YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-expires YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/pim/interfaces/interface/neighbors/neighbor/state/neighbor-expires YANG schema element.
type NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPathAny struct {
	*ygot.NodePath
}

// DrAddress returns from NetworkInstance_Protocol_Pim_Interface_NeighborPath the path struct for its child "dr-address".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPath) DrAddress() *NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPath {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dr-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DrAddress returns from NetworkInstance_Protocol_Pim_Interface_NeighborPathAny the path struct for its child "dr-address".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny) DrAddress() *NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_DrAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "dr-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Pim_Interface_NeighborPath the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPath) Mode() *NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePath {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from NetworkInstance_Protocol_Pim_Interface_NeighborPathAny the path struct for its child "mode".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny) Mode() *NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Pim_Interface_NeighborPath the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPath) NeighborAddress() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPath {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAddress returns from NetworkInstance_Protocol_Pim_Interface_NeighborPathAny the path struct for its child "neighbor-address".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny) NeighborAddress() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborEstablished returns from NetworkInstance_Protocol_Pim_Interface_NeighborPath the path struct for its child "neighbor-established".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPath) NeighborEstablished() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPath {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborEstablished returns from NetworkInstance_Protocol_Pim_Interface_NeighborPathAny the path struct for its child "neighbor-established".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny) NeighborEstablished() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborEstablishedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-established"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborExpires returns from NetworkInstance_Protocol_Pim_Interface_NeighborPath the path struct for its child "neighbor-expires".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPath) NeighborExpires() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPath {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-expires"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborExpires returns from NetworkInstance_Protocol_Pim_Interface_NeighborPathAny the path struct for its child "neighbor-expires".
func (n *NetworkInstance_Protocol_Pim_Interface_NeighborPathAny) NeighborExpires() *NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPathAny {
	return &NetworkInstance_Protocol_Pim_Interface_Neighbor_NeighborExpiresPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "neighbor-expires"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_StaticPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static YANG schema element.
type NetworkInstance_Protocol_StaticPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_StaticPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static YANG schema element.
type NetworkInstance_Protocol_StaticPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_DescriptionPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/description YANG schema element.
type NetworkInstance_Protocol_Static_DescriptionPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_DescriptionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/description YANG schema element.
type NetworkInstance_Protocol_Static_DescriptionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/prefix YANG schema element.
type NetworkInstance_Protocol_Static_PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/prefix YANG schema element.
type NetworkInstance_Protocol_Static_PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_SetTagPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/set-tag YANG schema element.
type NetworkInstance_Protocol_Static_SetTagPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_SetTagPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/config/set-tag YANG schema element.
type NetworkInstance_Protocol_Static_SetTagPathAny struct {
	*ygot.NodePath
}

// Description returns from NetworkInstance_Protocol_StaticPath the path struct for its child "description".
func (n *NetworkInstance_Protocol_StaticPath) Description() *NetworkInstance_Protocol_Static_DescriptionPath {
	return &NetworkInstance_Protocol_Static_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from NetworkInstance_Protocol_StaticPathAny the path struct for its child "description".
func (n *NetworkInstance_Protocol_StaticPathAny) Description() *NetworkInstance_Protocol_Static_DescriptionPathAny {
	return &NetworkInstance_Protocol_Static_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_Protocol_StaticPath the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_StaticPath) NextHopAny() *NetworkInstance_Protocol_Static_NextHopPathAny {
	return &NetworkInstance_Protocol_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_Protocol_StaticPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_StaticPathAny) NextHopAny() *NetworkInstance_Protocol_Static_NextHopPathAny {
	return &NetworkInstance_Protocol_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_StaticPath the path struct for its child "next-hop".
// Index: string
func (n *NetworkInstance_Protocol_StaticPath) NextHop(Index string) *NetworkInstance_Protocol_Static_NextHopPath {
	return &NetworkInstance_Protocol_Static_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_StaticPathAny the path struct for its child "next-hop".
// Index: string
func (n *NetworkInstance_Protocol_StaticPathAny) NextHop(Index string) *NetworkInstance_Protocol_Static_NextHopPathAny {
	return &NetworkInstance_Protocol_Static_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_StaticPath the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_StaticPath) Prefix() *NetworkInstance_Protocol_Static_PrefixPath {
	return &NetworkInstance_Protocol_Static_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefix returns from NetworkInstance_Protocol_StaticPathAny the path struct for its child "prefix".
func (n *NetworkInstance_Protocol_StaticPathAny) Prefix() *NetworkInstance_Protocol_Static_PrefixPathAny {
	return &NetworkInstance_Protocol_Static_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from NetworkInstance_Protocol_StaticPath the path struct for its child "set-tag".
func (n *NetworkInstance_Protocol_StaticPath) SetTag() *NetworkInstance_Protocol_Static_SetTagPath {
	return &NetworkInstance_Protocol_Static_SetTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from NetworkInstance_Protocol_StaticPathAny the path struct for its child "set-tag".
func (n *NetworkInstance_Protocol_StaticPathAny) SetTag() *NetworkInstance_Protocol_Static_SetTagPathAny {
	return &NetworkInstance_Protocol_Static_SetTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Static_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop YANG schema element.
type NetworkInstance_Protocol_Static_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop YANG schema element.
type NetworkInstance_Protocol_Static_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/index YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/index YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_MetricPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/metric YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_MetricPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_MetricPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/metric YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_MetricPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/next-hop YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/next-hop YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_RecursePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/recurse YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_RecursePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_RecursePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/config/recurse YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_RecursePathAny struct {
	*ygot.NodePath
}

// Index returns from NetworkInstance_Protocol_Static_NextHopPath the path struct for its child "index".
func (n *NetworkInstance_Protocol_Static_NextHopPath) Index() *NetworkInstance_Protocol_Static_NextHop_IndexPath {
	return &NetworkInstance_Protocol_Static_NextHop_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_Protocol_Static_NextHopPathAny the path struct for its child "index".
func (n *NetworkInstance_Protocol_Static_NextHopPathAny) Index() *NetworkInstance_Protocol_Static_NextHop_IndexPathAny {
	return &NetworkInstance_Protocol_Static_NextHop_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Static_NextHopPath the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Static_NextHopPath) InterfaceRef() *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_Protocol_Static_NextHopPathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_Protocol_Static_NextHopPathAny) InterfaceRef() *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Static_NextHopPath the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Static_NextHopPath) Metric() *NetworkInstance_Protocol_Static_NextHop_MetricPath {
	return &NetworkInstance_Protocol_Static_NextHop_MetricPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// Metric returns from NetworkInstance_Protocol_Static_NextHopPathAny the path struct for its child "metric".
func (n *NetworkInstance_Protocol_Static_NextHopPathAny) Metric() *NetworkInstance_Protocol_Static_NextHop_MetricPathAny {
	return &NetworkInstance_Protocol_Static_NextHop_MetricPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metric"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_Static_NextHopPath the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_Static_NextHopPath) NextHop() *NetworkInstance_Protocol_Static_NextHop_NextHopPath {
	return &NetworkInstance_Protocol_Static_NextHop_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_Protocol_Static_NextHopPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_Protocol_Static_NextHopPathAny) NextHop() *NetworkInstance_Protocol_Static_NextHop_NextHopPathAny {
	return &NetworkInstance_Protocol_Static_NextHop_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "next-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// Recurse returns from NetworkInstance_Protocol_Static_NextHopPath the path struct for its child "recurse".
func (n *NetworkInstance_Protocol_Static_NextHopPath) Recurse() *NetworkInstance_Protocol_Static_NextHop_RecursePath {
	return &NetworkInstance_Protocol_Static_NextHop_RecursePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recurse"},
			map[string]interface{}{},
			n,
		),
	}
}

// Recurse returns from NetworkInstance_Protocol_Static_NextHopPathAny the path struct for its child "recurse".
func (n *NetworkInstance_Protocol_Static_NextHopPathAny) Recurse() *NetworkInstance_Protocol_Static_NextHop_RecursePathAny {
	return &NetworkInstance_Protocol_Static_NextHop_RecursePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "recurse"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref/config/interface YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/protocols/protocol/static-routes/static/next-hops/next-hop/interface-ref/config/subinterface YANG schema element.
type NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath) Interface() *NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePath {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny) Interface() *NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPath) Subinterface() *NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_Protocol_Static_NextHop_InterfaceRefPathAny) Subinterface() *NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_Protocol_Static_NextHop_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_RouteLimitPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit YANG schema element.
type NetworkInstance_RouteLimitPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimitPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit YANG schema element.
type NetworkInstance_RouteLimitPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_AfiPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/afi YANG schema element.
type NetworkInstance_RouteLimit_AfiPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_AfiPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/afi YANG schema element.
type NetworkInstance_RouteLimit_AfiPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_AlarmThresholdPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/alarm-threshold YANG schema element.
type NetworkInstance_RouteLimit_AlarmThresholdPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_AlarmThresholdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/alarm-threshold YANG schema element.
type NetworkInstance_RouteLimit_AlarmThresholdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_InstalledRoutesPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/state/installed-routes YANG schema element.
type NetworkInstance_RouteLimit_InstalledRoutesPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_InstalledRoutesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/state/installed-routes YANG schema element.
type NetworkInstance_RouteLimit_InstalledRoutesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_MaximumPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/maximum YANG schema element.
type NetworkInstance_RouteLimit_MaximumPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_MaximumPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/maximum YANG schema element.
type NetworkInstance_RouteLimit_MaximumPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_ThresholdExceededPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/state/threshold-exceeded YANG schema element.
type NetworkInstance_RouteLimit_ThresholdExceededPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_ThresholdExceededPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/state/threshold-exceeded YANG schema element.
type NetworkInstance_RouteLimit_ThresholdExceededPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_WarningOnlyPath represents the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/warning-only YANG schema element.
type NetworkInstance_RouteLimit_WarningOnlyPath struct {
	*ygot.NodePath
}

// NetworkInstance_RouteLimit_WarningOnlyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/route-limits/route-limit/config/warning-only YANG schema element.
type NetworkInstance_RouteLimit_WarningOnlyPathAny struct {
	*ygot.NodePath
}

// Afi returns from NetworkInstance_RouteLimitPath the path struct for its child "afi".
func (n *NetworkInstance_RouteLimitPath) Afi() *NetworkInstance_RouteLimit_AfiPath {
	return &NetworkInstance_RouteLimit_AfiPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi"},
			map[string]interface{}{},
			n,
		),
	}
}

// Afi returns from NetworkInstance_RouteLimitPathAny the path struct for its child "afi".
func (n *NetworkInstance_RouteLimitPathAny) Afi() *NetworkInstance_RouteLimit_AfiPathAny {
	return &NetworkInstance_RouteLimit_AfiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "afi"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmThreshold returns from NetworkInstance_RouteLimitPath the path struct for its child "alarm-threshold".
func (n *NetworkInstance_RouteLimitPath) AlarmThreshold() *NetworkInstance_RouteLimit_AlarmThresholdPath {
	return &NetworkInstance_RouteLimit_AlarmThresholdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "alarm-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmThreshold returns from NetworkInstance_RouteLimitPathAny the path struct for its child "alarm-threshold".
func (n *NetworkInstance_RouteLimitPathAny) AlarmThreshold() *NetworkInstance_RouteLimit_AlarmThresholdPathAny {
	return &NetworkInstance_RouteLimit_AlarmThresholdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "alarm-threshold"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstalledRoutes returns from NetworkInstance_RouteLimitPath the path struct for its child "installed-routes".
func (n *NetworkInstance_RouteLimitPath) InstalledRoutes() *NetworkInstance_RouteLimit_InstalledRoutesPath {
	return &NetworkInstance_RouteLimit_InstalledRoutesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "installed-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstalledRoutes returns from NetworkInstance_RouteLimitPathAny the path struct for its child "installed-routes".
func (n *NetworkInstance_RouteLimitPathAny) InstalledRoutes() *NetworkInstance_RouteLimit_InstalledRoutesPathAny {
	return &NetworkInstance_RouteLimit_InstalledRoutesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "installed-routes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Maximum returns from NetworkInstance_RouteLimitPath the path struct for its child "maximum".
func (n *NetworkInstance_RouteLimitPath) Maximum() *NetworkInstance_RouteLimit_MaximumPath {
	return &NetworkInstance_RouteLimit_MaximumPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Maximum returns from NetworkInstance_RouteLimitPathAny the path struct for its child "maximum".
func (n *NetworkInstance_RouteLimitPathAny) Maximum() *NetworkInstance_RouteLimit_MaximumPathAny {
	return &NetworkInstance_RouteLimit_MaximumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "maximum"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdExceeded returns from NetworkInstance_RouteLimitPath the path struct for its child "threshold-exceeded".
func (n *NetworkInstance_RouteLimitPath) ThresholdExceeded() *NetworkInstance_RouteLimit_ThresholdExceededPath {
	return &NetworkInstance_RouteLimit_ThresholdExceededPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "threshold-exceeded"},
			map[string]interface{}{},
			n,
		),
	}
}

// ThresholdExceeded returns from NetworkInstance_RouteLimitPathAny the path struct for its child "threshold-exceeded".
func (n *NetworkInstance_RouteLimitPathAny) ThresholdExceeded() *NetworkInstance_RouteLimit_ThresholdExceededPathAny {
	return &NetworkInstance_RouteLimit_ThresholdExceededPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "threshold-exceeded"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningOnly returns from NetworkInstance_RouteLimitPath the path struct for its child "warning-only".
func (n *NetworkInstance_RouteLimitPath) WarningOnly() *NetworkInstance_RouteLimit_WarningOnlyPath {
	return &NetworkInstance_RouteLimit_WarningOnlyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// WarningOnly returns from NetworkInstance_RouteLimitPathAny the path struct for its child "warning-only".
func (n *NetworkInstance_RouteLimitPathAny) WarningOnly() *NetworkInstance_RouteLimit_WarningOnlyPathAny {
	return &NetworkInstance_RouteLimit_WarningOnlyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "warning-only"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRoutingPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing YANG schema element.
type NetworkInstance_SegmentRoutingPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRoutingPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing YANG schema element.
type NetworkInstance_SegmentRoutingPathAny struct {
	*ygot.NodePath
}

// SrgbAny returns from NetworkInstance_SegmentRoutingPath the path struct for its child "srgb".
func (n *NetworkInstance_SegmentRoutingPath) SrgbAny() *NetworkInstance_SegmentRouting_SrgbPathAny {
	return &NetworkInstance_SegmentRouting_SrgbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgbs", "srgb"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// SrgbAny returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "srgb".
func (n *NetworkInstance_SegmentRoutingPathAny) SrgbAny() *NetworkInstance_SegmentRouting_SrgbPathAny {
	return &NetworkInstance_SegmentRouting_SrgbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgbs", "srgb"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// Srgb returns from NetworkInstance_SegmentRoutingPath the path struct for its child "srgb".
// LocalId: string
func (n *NetworkInstance_SegmentRoutingPath) Srgb(LocalId string) *NetworkInstance_SegmentRouting_SrgbPath {
	return &NetworkInstance_SegmentRouting_SrgbPath{
		NodePath: ygot.NewNodePath(
			[]string{"srgbs", "srgb"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// Srgb returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "srgb".
// LocalId: string
func (n *NetworkInstance_SegmentRoutingPathAny) Srgb(LocalId string) *NetworkInstance_SegmentRouting_SrgbPathAny {
	return &NetworkInstance_SegmentRouting_SrgbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srgbs", "srgb"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// SrlbAny returns from NetworkInstance_SegmentRoutingPath the path struct for its child "srlb".
func (n *NetworkInstance_SegmentRoutingPath) SrlbAny() *NetworkInstance_SegmentRouting_SrlbPathAny {
	return &NetworkInstance_SegmentRouting_SrlbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlbs", "srlb"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// SrlbAny returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "srlb".
func (n *NetworkInstance_SegmentRoutingPathAny) SrlbAny() *NetworkInstance_SegmentRouting_SrlbPathAny {
	return &NetworkInstance_SegmentRouting_SrlbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlbs", "srlb"},
			map[string]interface{}{"local-id": "*"},
			n,
		),
	}
}

// Srlb returns from NetworkInstance_SegmentRoutingPath the path struct for its child "srlb".
// LocalId: string
func (n *NetworkInstance_SegmentRoutingPath) Srlb(LocalId string) *NetworkInstance_SegmentRouting_SrlbPath {
	return &NetworkInstance_SegmentRouting_SrlbPath{
		NodePath: ygot.NewNodePath(
			[]string{"srlbs", "srlb"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// Srlb returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "srlb".
// LocalId: string
func (n *NetworkInstance_SegmentRoutingPathAny) Srlb(LocalId string) *NetworkInstance_SegmentRouting_SrlbPathAny {
	return &NetworkInstance_SegmentRouting_SrlbPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"srlbs", "srlb"},
			map[string]interface{}{"local-id": LocalId},
			n,
		),
	}
}

// TePolicyAny returns from NetworkInstance_SegmentRoutingPath the path struct for its child "te-policy".
func (n *NetworkInstance_SegmentRoutingPath) TePolicyAny() *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": "*", "endpoint": "*"},
			n,
		),
	}
}

// TePolicyAny returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "te-policy".
func (n *NetworkInstance_SegmentRoutingPathAny) TePolicyAny() *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": "*", "endpoint": "*"},
			n,
		),
	}
}

// TePolicyAnyEndpoint returns from NetworkInstance_SegmentRoutingPath the path struct for its child "te-policy".
// Color: uint32
func (n *NetworkInstance_SegmentRoutingPath) TePolicyAnyEndpoint(Color uint32) *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": Color, "endpoint": "*"},
			n,
		),
	}
}

// TePolicyAnyEndpoint returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "te-policy".
// Color: uint32
func (n *NetworkInstance_SegmentRoutingPathAny) TePolicyAnyEndpoint(Color uint32) *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": Color, "endpoint": "*"},
			n,
		),
	}
}

// TePolicyAnyColor returns from NetworkInstance_SegmentRoutingPath the path struct for its child "te-policy".
// Endpoint: string
func (n *NetworkInstance_SegmentRoutingPath) TePolicyAnyColor(Endpoint string) *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": "*", "endpoint": Endpoint},
			n,
		),
	}
}

// TePolicyAnyColor returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "te-policy".
// Endpoint: string
func (n *NetworkInstance_SegmentRoutingPathAny) TePolicyAnyColor(Endpoint string) *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": "*", "endpoint": Endpoint},
			n,
		),
	}
}

// TePolicy returns from NetworkInstance_SegmentRoutingPath the path struct for its child "te-policy".
// Color: uint32
// Endpoint: string
func (n *NetworkInstance_SegmentRoutingPath) TePolicy(Color uint32, Endpoint string) *NetworkInstance_SegmentRouting_TePolicyPath {
	return &NetworkInstance_SegmentRouting_TePolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": Color, "endpoint": Endpoint},
			n,
		),
	}
}

// TePolicy returns from NetworkInstance_SegmentRoutingPathAny the path struct for its child "te-policy".
// Color: uint32
// Endpoint: string
func (n *NetworkInstance_SegmentRoutingPathAny) TePolicy(Color uint32, Endpoint string) *NetworkInstance_SegmentRouting_TePolicyPathAny {
	return &NetworkInstance_SegmentRouting_TePolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"te-policies", "te-policy"},
			map[string]interface{}{"color": Color, "endpoint": Endpoint},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_SrgbPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb YANG schema element.
type NetworkInstance_SegmentRouting_SrgbPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_SrgbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb YANG schema element.
type NetworkInstance_SegmentRouting_SrgbPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_DataplaneTypePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/dataplane-type YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_DataplaneTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_DataplaneTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/dataplane-type YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_DataplaneTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/ipv6-prefixes YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/ipv6-prefixes YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_LocalIdPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/local-id YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_LocalIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_LocalIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/local-id YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_LocalIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/mpls-label-blocks YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/config/mpls-label-blocks YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_SizePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/state/size YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_SizePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_SizePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/state/size YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_SizePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_UsedPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/state/used YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_UsedPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srgb_UsedPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srgbs/srgb/state/used YANG schema element.
type NetworkInstance_SegmentRouting_Srgb_UsedPathAny struct {
	*ygot.NodePath
}

// DataplaneType returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "dataplane-type".
func (n *NetworkInstance_SegmentRouting_SrgbPath) DataplaneType() *NetworkInstance_SegmentRouting_Srgb_DataplaneTypePath {
	return &NetworkInstance_SegmentRouting_Srgb_DataplaneTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dataplane-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// DataplaneType returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "dataplane-type".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) DataplaneType() *NetworkInstance_SegmentRouting_Srgb_DataplaneTypePathAny {
	return &NetworkInstance_SegmentRouting_Srgb_DataplaneTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dataplane-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Prefixes returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "ipv6-prefixes".
func (n *NetworkInstance_SegmentRouting_SrgbPath) Ipv6Prefixes() *NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPath {
	return &NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Prefixes returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "ipv6-prefixes".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) Ipv6Prefixes() *NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPathAny {
	return &NetworkInstance_SegmentRouting_Srgb_Ipv6PrefixesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-prefixes"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalId returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "local-id".
func (n *NetworkInstance_SegmentRouting_SrgbPath) LocalId() *NetworkInstance_SegmentRouting_Srgb_LocalIdPath {
	return &NetworkInstance_SegmentRouting_Srgb_LocalIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalId returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "local-id".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) LocalId() *NetworkInstance_SegmentRouting_Srgb_LocalIdPathAny {
	return &NetworkInstance_SegmentRouting_Srgb_LocalIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabelBlocks returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "mpls-label-blocks".
func (n *NetworkInstance_SegmentRouting_SrgbPath) MplsLabelBlocks() *NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPath {
	return &NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-label-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabelBlocks returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "mpls-label-blocks".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) MplsLabelBlocks() *NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPathAny {
	return &NetworkInstance_SegmentRouting_Srgb_MplsLabelBlocksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-label-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// Size returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "size".
func (n *NetworkInstance_SegmentRouting_SrgbPath) Size() *NetworkInstance_SegmentRouting_Srgb_SizePath {
	return &NetworkInstance_SegmentRouting_Srgb_SizePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "size"},
			map[string]interface{}{},
			n,
		),
	}
}

// Size returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "size".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) Size() *NetworkInstance_SegmentRouting_Srgb_SizePathAny {
	return &NetworkInstance_SegmentRouting_Srgb_SizePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "size"},
			map[string]interface{}{},
			n,
		),
	}
}

// Used returns from NetworkInstance_SegmentRouting_SrgbPath the path struct for its child "used".
func (n *NetworkInstance_SegmentRouting_SrgbPath) Used() *NetworkInstance_SegmentRouting_Srgb_UsedPath {
	return &NetworkInstance_SegmentRouting_Srgb_UsedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "used"},
			map[string]interface{}{},
			n,
		),
	}
}

// Used returns from NetworkInstance_SegmentRouting_SrgbPathAny the path struct for its child "used".
func (n *NetworkInstance_SegmentRouting_SrgbPathAny) Used() *NetworkInstance_SegmentRouting_Srgb_UsedPathAny {
	return &NetworkInstance_SegmentRouting_Srgb_UsedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "used"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_SrlbPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb YANG schema element.
type NetworkInstance_SegmentRouting_SrlbPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_SrlbPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb YANG schema element.
type NetworkInstance_SegmentRouting_SrlbPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_DataplaneTypePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/dataplane-type YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_DataplaneTypePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_DataplaneTypePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/dataplane-type YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_DataplaneTypePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/ipv6-prefix YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/ipv6-prefix YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_LocalIdPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/local-id YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_LocalIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_LocalIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/local-id YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_LocalIdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/mpls-label-block YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/srlbs/srlb/config/mpls-label-block YANG schema element.
type NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPathAny struct {
	*ygot.NodePath
}

// DataplaneType returns from NetworkInstance_SegmentRouting_SrlbPath the path struct for its child "dataplane-type".
func (n *NetworkInstance_SegmentRouting_SrlbPath) DataplaneType() *NetworkInstance_SegmentRouting_Srlb_DataplaneTypePath {
	return &NetworkInstance_SegmentRouting_Srlb_DataplaneTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dataplane-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// DataplaneType returns from NetworkInstance_SegmentRouting_SrlbPathAny the path struct for its child "dataplane-type".
func (n *NetworkInstance_SegmentRouting_SrlbPathAny) DataplaneType() *NetworkInstance_SegmentRouting_Srlb_DataplaneTypePathAny {
	return &NetworkInstance_SegmentRouting_Srlb_DataplaneTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dataplane-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Prefix returns from NetworkInstance_SegmentRouting_SrlbPath the path struct for its child "ipv6-prefix".
func (n *NetworkInstance_SegmentRouting_SrlbPath) Ipv6Prefix() *NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPath {
	return &NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Prefix returns from NetworkInstance_SegmentRouting_SrlbPathAny the path struct for its child "ipv6-prefix".
func (n *NetworkInstance_SegmentRouting_SrlbPathAny) Ipv6Prefix() *NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPathAny {
	return &NetworkInstance_SegmentRouting_Srlb_Ipv6PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalId returns from NetworkInstance_SegmentRouting_SrlbPath the path struct for its child "local-id".
func (n *NetworkInstance_SegmentRouting_SrlbPath) LocalId() *NetworkInstance_SegmentRouting_Srlb_LocalIdPath {
	return &NetworkInstance_SegmentRouting_Srlb_LocalIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LocalId returns from NetworkInstance_SegmentRouting_SrlbPathAny the path struct for its child "local-id".
func (n *NetworkInstance_SegmentRouting_SrlbPathAny) LocalId() *NetworkInstance_SegmentRouting_Srlb_LocalIdPathAny {
	return &NetworkInstance_SegmentRouting_Srlb_LocalIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "local-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabelBlock returns from NetworkInstance_SegmentRouting_SrlbPath the path struct for its child "mpls-label-block".
func (n *NetworkInstance_SegmentRouting_SrlbPath) MplsLabelBlock() *NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPath {
	return &NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-label-block"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsLabelBlock returns from NetworkInstance_SegmentRouting_SrlbPathAny the path struct for its child "mpls-label-block".
func (n *NetworkInstance_SegmentRouting_SrlbPathAny) MplsLabelBlock() *NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPathAny {
	return &NetworkInstance_SegmentRouting_Srlb_MplsLabelBlockPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mpls-label-block"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicyPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy YANG schema element.
type NetworkInstance_SegmentRouting_TePolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy YANG schema element.
type NetworkInstance_SegmentRouting_TePolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActivePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActivePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActiveSincePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active-since YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActiveSincePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActiveSincePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active-since YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActiveSincePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active-transitions YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/active-transitions YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_BsidPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/bsid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_BsidPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_BsidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/bsid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_BsidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ColorPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/color YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ColorPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_ColorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/color YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_ColorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_EndpointPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/endpoint YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_EndpointPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_EndpointPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/endpoint YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_EndpointPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_NamePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/name YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/name YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_NamePathAny struct {
	*ygot.NodePath
}

// Active returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "active".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Active() *NetworkInstance_SegmentRouting_TePolicy_ActivePath {
	return &NetworkInstance_SegmentRouting_TePolicy_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "active".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Active() *NetworkInstance_SegmentRouting_TePolicy_ActivePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveSince returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "active-since".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) ActiveSince() *NetworkInstance_SegmentRouting_TePolicy_ActiveSincePath {
	return &NetworkInstance_SegmentRouting_TePolicy_ActiveSincePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-since"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveSince returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "active-since".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) ActiveSince() *NetworkInstance_SegmentRouting_TePolicy_ActiveSincePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_ActiveSincePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-since"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveTransitions returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "active-transitions".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) ActiveTransitions() *NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveTransitions returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "active-transitions".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) ActiveTransitions() *NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_ActiveTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bsid returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "bsid".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Bsid() *NetworkInstance_SegmentRouting_TePolicy_BsidPath {
	return &NetworkInstance_SegmentRouting_TePolicy_BsidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bsid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Bsid returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "bsid".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Bsid() *NetworkInstance_SegmentRouting_TePolicy_BsidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_BsidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bsid"},
			map[string]interface{}{},
			n,
		),
	}
}

// CandidatePathAny returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "candidate-path".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) CandidatePathAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-paths", "candidate-path"},
			map[string]interface{}{"protocol-origin": "*", "originator-asn": "*", "originator-addr": "*", "discriminator": "*"},
			n,
		),
	}
}

// CandidatePathAny returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "candidate-path".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) CandidatePathAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"candidate-paths", "candidate-path"},
			map[string]interface{}{"protocol-origin": "*", "originator-asn": "*", "originator-addr": "*", "discriminator": "*"},
			n,
		),
	}
}

// WithProtocolOrigin sets NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny's key "protocol-origin" to the specified value.
// ProtocolOrigin: E_SegmentRoutingTypes_SrteProtocolType
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) WithProtocolOrigin(ProtocolOrigin E_SegmentRoutingTypes_SrteProtocolType) *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	ygot.ModifyKey(n.NodePath, "protocol-origin", ProtocolOrigin)
	return n
}

// WithOriginatorAsn sets NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny's key "originator-asn" to the specified value.
// OriginatorAsn: uint32
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) WithOriginatorAsn(OriginatorAsn uint32) *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	ygot.ModifyKey(n.NodePath, "originator-asn", OriginatorAsn)
	return n
}

// WithOriginatorAddr sets NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny's key "originator-addr" to the specified value.
// OriginatorAddr: string
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) WithOriginatorAddr(OriginatorAddr string) *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	ygot.ModifyKey(n.NodePath, "originator-addr", OriginatorAddr)
	return n
}

// WithDiscriminator sets NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny's key "discriminator" to the specified value.
// Discriminator: uint32
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) WithDiscriminator(Discriminator uint32) *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny {
	ygot.ModifyKey(n.NodePath, "discriminator", Discriminator)
	return n
}

// Color returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "color".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Color() *NetworkInstance_SegmentRouting_TePolicy_ColorPath {
	return &NetworkInstance_SegmentRouting_TePolicy_ColorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Color returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "color".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Color() *NetworkInstance_SegmentRouting_TePolicy_ColorPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_ColorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "color"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Counters() *NetworkInstance_SegmentRouting_TePolicy_CountersPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Counters() *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "endpoint".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Endpoint() *NetworkInstance_SegmentRouting_TePolicy_EndpointPath {
	return &NetworkInstance_SegmentRouting_TePolicy_EndpointPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Endpoint returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "endpoint".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Endpoint() *NetworkInstance_SegmentRouting_TePolicy_EndpointPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_EndpointPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "endpoint"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_SegmentRouting_TePolicyPath the path struct for its child "name".
func (n *NetworkInstance_SegmentRouting_TePolicyPath) Name() *NetworkInstance_SegmentRouting_TePolicy_NamePath {
	return &NetworkInstance_SegmentRouting_TePolicy_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_SegmentRouting_TePolicyPathAny the path struct for its child "name".
func (n *NetworkInstance_SegmentRouting_TePolicyPathAny) Name() *NetworkInstance_SegmentRouting_TePolicy_NamePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active-since YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active-since YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active-transitions YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/active-transitions YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/discriminator YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/discriminator YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/enlp YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/enlp YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/name YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/name YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/originator-addr YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/originator-addr YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/originator-asn YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/originator-asn YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/preference YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/preference YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/protocol-origin YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/protocol-origin YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/valid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/state/valid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPathAny struct {
	*ygot.NodePath
}

// Active returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "active".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Active() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "active".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Active() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveSince returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "active-since".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) ActiveSince() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-since"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveSince returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "active-since".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) ActiveSince() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveSincePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-since"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveTransitions returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "active-transitions".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) ActiveTransitions() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActiveTransitions returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "active-transitions".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) ActiveTransitions() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ActiveTransitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "active-transitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discriminator returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "discriminator".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Discriminator() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "discriminator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Discriminator returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "discriminator".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Discriminator() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_DiscriminatorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "discriminator"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enlp returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "enlp".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Enlp() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enlp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enlp returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "enlp".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Enlp() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_EnlpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "enlp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "name".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Name() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "name".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Name() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorAddr returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "originator-addr".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) OriginatorAddr() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-addr"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorAddr returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "originator-addr".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) OriginatorAddr() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAddrPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-addr"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorAsn returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "originator-asn".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) OriginatorAsn() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-asn"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginatorAsn returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "originator-asn".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) OriginatorAsn() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_OriginatorAsnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "originator-asn"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "preference".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Preference() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Preference returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "preference".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Preference() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_PreferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "preference"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtocolOrigin returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "protocol-origin".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) ProtocolOrigin() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "protocol-origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtocolOrigin returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "protocol-origin".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) ProtocolOrigin() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ProtocolOriginPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "protocol-origin"},
			map[string]interface{}{},
			n,
		),
	}
}

// SegmentListAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "segment-list".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) SegmentListAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// SegmentListAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "segment-list".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) SegmentListAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// SegmentList returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "segment-list".
// Id: uint32
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) SegmentList(Id uint32) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// SegmentList returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "segment-list".
// Id: uint32
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) SegmentList(Id uint32) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"segment-lists", "segment-list"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Valid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath the path struct for its child "valid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPath) Valid() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Valid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny the path struct for its child "valid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePathPathAny) Valid() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_ValidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/id YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/id YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/invalid-reason YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/invalid-reason YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/valid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/valid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/weight YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/weight YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPathAny struct {
	*ygot.NodePath
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) Counters() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) Counters() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "id".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) Id() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "id".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) Id() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "invalid-reason".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) InvalidReason() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidReason returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "invalid-reason".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) InvalidReason() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_InvalidReasonPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "invalid-reason"},
			map[string]interface{}{},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "next-hop".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) NextHopAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHopAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "next-hop".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) NextHopAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) NextHop(Index uint64) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// NextHop returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "next-hop".
// Index: uint64
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) NextHop(Index uint64) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"next-hops", "next-hop"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// SidAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "sid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) SidAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sids", "sid"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// SidAny returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "sid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) SidAny() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sids", "sid"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Sid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "sid".
// Index: uint64
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) Sid(Index uint64) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath{
		NodePath: ygot.NewNodePath(
			[]string{"sids", "sid"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Sid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "sid".
// Index: uint64
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) Sid(Index uint64) *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"sids", "sid"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Valid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "valid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) Valid() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Valid returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "valid".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) Valid() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_ValidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath the path struct for its child "weight".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPath) Weight() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// Weight returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny the path struct for its child "weight".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentListPathAny) Weight() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_WeightPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "weight"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutLabeledPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPath) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_CountersPathAny) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/encapsulate-header YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/encapsulate-header YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/index YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/ip-address YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/ip-address YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/mac-address YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/mac-address YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/origin-protocol YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/origin-protocol YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/pushed-mpls-label-stack YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/pushed-mpls-label-stack YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPathAny struct {
	*ygot.NodePath
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) Counters() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "counters".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) Counters() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulateHeader returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "encapsulate-header".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) EncapsulateHeader() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "encapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// EncapsulateHeader returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "encapsulate-header".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) EncapsulateHeader() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_EncapsulateHeaderPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "encapsulate-header"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "index".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) Index() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "index".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) Index() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "interface-ref".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) InterfaceRef() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "interface-ref".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) InterfaceRef() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpAddress returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "ip-address".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) IpAddress() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpAddress returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "ip-address".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) IpAddress() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_IpAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ip-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "mac-address".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) MacAddress() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// MacAddress returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "mac-address".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) MacAddress() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_MacAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mac-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "origin-protocol".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) OriginProtocol() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// OriginProtocol returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "origin-protocol".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) OriginProtocol() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_OriginProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "origin-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushedMplsLabelStack returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath the path struct for its child "pushed-mpls-label-stack".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPath) PushedMplsLabelStack() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pushed-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// PushedMplsLabelStack returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny the path struct for its child "pushed-mpls-label-stack".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHopPathAny) PushedMplsLabelStack() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_PushedMplsLabelStackPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pushed-mpls-label-stack"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutLabeledPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPath) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_CountersPathAny) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref/state/interface YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref/state/interface YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/next-hops/next-hop/interface-ref/state/subinterface YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath the path struct for its child "interface".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath) Interface() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny the path struct for its child "interface".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny) Interface() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath the path struct for its child "subinterface".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPath) Subinterface() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRefPathAny) Subinterface() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_NextHop_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/index YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/index YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/mpls-tc YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/mpls-tc YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/mpls-ttl YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/mpls-ttl YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/value YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/candidate-paths/candidate-path/segment-lists/segment-list/sids/sid/state/value YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePathAny struct {
	*ygot.NodePath
}

// Index returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath the path struct for its child "index".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath) Index() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny the path struct for its child "index".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny) Index() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath the path struct for its child "mpls-tc".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath) MplsTc() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTc returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny the path struct for its child "mpls-tc".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny) MplsTc() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTcPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-tc"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath the path struct for its child "mpls-ttl".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath) MplsTtl() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// MplsTtl returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny the path struct for its child "mpls-ttl".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny) MplsTtl() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_MplsTtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mpls-ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath the path struct for its child "value".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPath) Value() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePath {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny the path struct for its child "value".
func (n *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_SidPathAny) Value() *NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_CandidatePath_SegmentList_Sid_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_SegmentRouting_TePolicy_CountersPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CountersPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_CountersPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_CountersPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/in-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-labeled-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-labeled-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-octets YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPath represents the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPath struct {
	*ygot.NodePath
}

// NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/segment-routing/te-policies/te-policy/state/counters/out-pkts YANG schema element.
type NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPathAny struct {
	*ygot.NodePath
}

// InLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "in-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) InLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "in-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) InLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "in-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) InLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "in-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) InLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InLabeledPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "in-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) InOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "in-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) InOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "in-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) InPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "in-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) InPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_InPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"in-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "out-labeled-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) OutLabeledOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutLabeledPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "out-labeled-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) OutLabeledPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutLabeledPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-labeled-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutOctets returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "out-octets".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) OutOctets() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutOctetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-octets"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPath the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPath) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPath {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPath{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPkts returns from NetworkInstance_SegmentRouting_TePolicy_CountersPathAny the path struct for its child "out-pkts".
func (n *NetworkInstance_SegmentRouting_TePolicy_CountersPathAny) OutPkts() *NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPathAny {
	return &NetworkInstance_SegmentRouting_TePolicy_Counters_OutPktsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"out-pkts"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_TablePath represents the /openconfig-network-instance/network-instances/network-instance/tables/table YANG schema element.
type NetworkInstance_TablePath struct {
	*ygot.NodePath
}

// NetworkInstance_TablePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/tables/table YANG schema element.
type NetworkInstance_TablePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Table_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/tables/table/config/address-family YANG schema element.
type NetworkInstance_Table_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_Table_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/tables/table/config/address-family YANG schema element.
type NetworkInstance_Table_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Table_ProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/tables/table/config/protocol YANG schema element.
type NetworkInstance_Table_ProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_Table_ProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/tables/table/config/protocol YANG schema element.
type NetworkInstance_Table_ProtocolPathAny struct {
	*ygot.NodePath
}

// AddressFamily returns from NetworkInstance_TablePath the path struct for its child "address-family".
func (n *NetworkInstance_TablePath) AddressFamily() *NetworkInstance_Table_AddressFamilyPath {
	return &NetworkInstance_Table_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_TablePathAny the path struct for its child "address-family".
func (n *NetworkInstance_TablePathAny) AddressFamily() *NetworkInstance_Table_AddressFamilyPathAny {
	return &NetworkInstance_Table_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_TablePath the path struct for its child "protocol".
func (n *NetworkInstance_TablePath) Protocol() *NetworkInstance_Table_ProtocolPath {
	return &NetworkInstance_Table_ProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// Protocol returns from NetworkInstance_TablePathAny the path struct for its child "protocol".
func (n *NetworkInstance_TablePathAny) Protocol() *NetworkInstance_Table_ProtocolPathAny {
	return &NetworkInstance_Table_ProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_TableConnectionPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection YANG schema element.
type NetworkInstance_TableConnectionPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnectionPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection YANG schema element.
type NetworkInstance_TableConnectionPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_AddressFamilyPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/address-family YANG schema element.
type NetworkInstance_TableConnection_AddressFamilyPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_AddressFamilyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/address-family YANG schema element.
type NetworkInstance_TableConnection_AddressFamilyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DefaultImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/default-import-policy YANG schema element.
type NetworkInstance_TableConnection_DefaultImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DefaultImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/default-import-policy YANG schema element.
type NetworkInstance_TableConnection_DefaultImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DisableMetricPropagationPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/disable-metric-propagation YANG schema element.
type NetworkInstance_TableConnection_DisableMetricPropagationPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DisableMetricPropagationPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/disable-metric-propagation YANG schema element.
type NetworkInstance_TableConnection_DisableMetricPropagationPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DstProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/dst-protocol YANG schema element.
type NetworkInstance_TableConnection_DstProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_DstProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/dst-protocol YANG schema element.
type NetworkInstance_TableConnection_DstProtocolPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_ImportPolicyPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/import-policy YANG schema element.
type NetworkInstance_TableConnection_ImportPolicyPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_ImportPolicyPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/import-policy YANG schema element.
type NetworkInstance_TableConnection_ImportPolicyPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_SrcProtocolPath represents the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/src-protocol YANG schema element.
type NetworkInstance_TableConnection_SrcProtocolPath struct {
	*ygot.NodePath
}

// NetworkInstance_TableConnection_SrcProtocolPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/table-connections/table-connection/config/src-protocol YANG schema element.
type NetworkInstance_TableConnection_SrcProtocolPathAny struct {
	*ygot.NodePath
}

// AddressFamily returns from NetworkInstance_TableConnectionPath the path struct for its child "address-family".
func (n *NetworkInstance_TableConnectionPath) AddressFamily() *NetworkInstance_TableConnection_AddressFamilyPath {
	return &NetworkInstance_TableConnection_AddressFamilyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// AddressFamily returns from NetworkInstance_TableConnectionPathAny the path struct for its child "address-family".
func (n *NetworkInstance_TableConnectionPathAny) AddressFamily() *NetworkInstance_TableConnection_AddressFamilyPathAny {
	return &NetworkInstance_TableConnection_AddressFamilyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address-family"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_TableConnectionPath the path struct for its child "default-import-policy".
func (n *NetworkInstance_TableConnectionPath) DefaultImportPolicy() *NetworkInstance_TableConnection_DefaultImportPolicyPath {
	return &NetworkInstance_TableConnection_DefaultImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefaultImportPolicy returns from NetworkInstance_TableConnectionPathAny the path struct for its child "default-import-policy".
func (n *NetworkInstance_TableConnectionPathAny) DefaultImportPolicy() *NetworkInstance_TableConnection_DefaultImportPolicyPathAny {
	return &NetworkInstance_TableConnection_DefaultImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "default-import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisableMetricPropagation returns from NetworkInstance_TableConnectionPath the path struct for its child "disable-metric-propagation".
func (n *NetworkInstance_TableConnectionPath) DisableMetricPropagation() *NetworkInstance_TableConnection_DisableMetricPropagationPath {
	return &NetworkInstance_TableConnection_DisableMetricPropagationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-metric-propagation"},
			map[string]interface{}{},
			n,
		),
	}
}

// DisableMetricPropagation returns from NetworkInstance_TableConnectionPathAny the path struct for its child "disable-metric-propagation".
func (n *NetworkInstance_TableConnectionPathAny) DisableMetricPropagation() *NetworkInstance_TableConnection_DisableMetricPropagationPathAny {
	return &NetworkInstance_TableConnection_DisableMetricPropagationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "disable-metric-propagation"},
			map[string]interface{}{},
			n,
		),
	}
}

// DstProtocol returns from NetworkInstance_TableConnectionPath the path struct for its child "dst-protocol".
func (n *NetworkInstance_TableConnectionPath) DstProtocol() *NetworkInstance_TableConnection_DstProtocolPath {
	return &NetworkInstance_TableConnection_DstProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dst-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// DstProtocol returns from NetworkInstance_TableConnectionPathAny the path struct for its child "dst-protocol".
func (n *NetworkInstance_TableConnectionPathAny) DstProtocol() *NetworkInstance_TableConnection_DstProtocolPathAny {
	return &NetworkInstance_TableConnection_DstProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "dst-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_TableConnectionPath the path struct for its child "import-policy".
func (n *NetworkInstance_TableConnectionPath) ImportPolicy() *NetworkInstance_TableConnection_ImportPolicyPath {
	return &NetworkInstance_TableConnection_ImportPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// ImportPolicy returns from NetworkInstance_TableConnectionPathAny the path struct for its child "import-policy".
func (n *NetworkInstance_TableConnectionPathAny) ImportPolicy() *NetworkInstance_TableConnection_ImportPolicyPathAny {
	return &NetworkInstance_TableConnection_ImportPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "import-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrcProtocol returns from NetworkInstance_TableConnectionPath the path struct for its child "src-protocol".
func (n *NetworkInstance_TableConnectionPath) SrcProtocol() *NetworkInstance_TableConnection_SrcProtocolPath {
	return &NetworkInstance_TableConnection_SrcProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "src-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// SrcProtocol returns from NetworkInstance_TableConnectionPathAny the path struct for its child "src-protocol".
func (n *NetworkInstance_TableConnectionPathAny) SrcProtocol() *NetworkInstance_TableConnection_SrcProtocolPathAny {
	return &NetworkInstance_TableConnection_SrcProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "src-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_VlanPath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan YANG schema element.
type NetworkInstance_VlanPath struct {
	*ygot.NodePath
}

// NetworkInstance_VlanPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan YANG schema element.
type NetworkInstance_VlanPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_NamePath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/name YANG schema element.
type NetworkInstance_Vlan_NamePath struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_NamePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/name YANG schema element.
type NetworkInstance_Vlan_NamePathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_StatusPath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/status YANG schema element.
type NetworkInstance_Vlan_StatusPath struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_StatusPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/status YANG schema element.
type NetworkInstance_Vlan_StatusPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_VlanIdPath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/vlan-id YANG schema element.
type NetworkInstance_Vlan_VlanIdPath struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_VlanIdPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/config/vlan-id YANG schema element.
type NetworkInstance_Vlan_VlanIdPathAny struct {
	*ygot.NodePath
}

// Name returns from NetworkInstance_VlanPath the path struct for its child "name".
func (n *NetworkInstance_VlanPath) Name() *NetworkInstance_Vlan_NamePath {
	return &NetworkInstance_Vlan_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from NetworkInstance_VlanPathAny the path struct for its child "name".
func (n *NetworkInstance_VlanPathAny) Name() *NetworkInstance_Vlan_NamePathAny {
	return &NetworkInstance_Vlan_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from NetworkInstance_VlanPath the path struct for its child "status".
func (n *NetworkInstance_VlanPath) Status() *NetworkInstance_Vlan_StatusPath {
	return &NetworkInstance_Vlan_StatusPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// Status returns from NetworkInstance_VlanPathAny the path struct for its child "status".
func (n *NetworkInstance_VlanPathAny) Status() *NetworkInstance_Vlan_StatusPathAny {
	return &NetworkInstance_Vlan_StatusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "status"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from NetworkInstance_VlanPath the path struct for its child "vlan-id".
func (n *NetworkInstance_VlanPath) VlanId() *NetworkInstance_Vlan_VlanIdPath {
	return &NetworkInstance_Vlan_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from NetworkInstance_VlanPathAny the path struct for its child "vlan-id".
func (n *NetworkInstance_VlanPathAny) VlanId() *NetworkInstance_Vlan_VlanIdPathAny {
	return &NetworkInstance_Vlan_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// NetworkInstance_Vlan_MemberPath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/members/member YANG schema element.
type NetworkInstance_Vlan_MemberPath struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_MemberPathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/members/member YANG schema element.
type NetworkInstance_Vlan_MemberPathAny struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_Member_InterfacePath represents the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/members/member/state/interface YANG schema element.
type NetworkInstance_Vlan_Member_InterfacePath struct {
	*ygot.NodePath
}

// NetworkInstance_Vlan_Member_InterfacePathAny represents the wildcard version of the /openconfig-network-instance/network-instances/network-instance/vlans/vlan/members/member/state/interface YANG schema element.
type NetworkInstance_Vlan_Member_InterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from NetworkInstance_Vlan_MemberPath the path struct for its child "interface".
func (n *NetworkInstance_Vlan_MemberPath) Interface() *NetworkInstance_Vlan_Member_InterfacePath {
	return &NetworkInstance_Vlan_Member_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from NetworkInstance_Vlan_MemberPathAny the path struct for its child "interface".
func (n *NetworkInstance_Vlan_MemberPathAny) Interface() *NetworkInstance_Vlan_Member_InterfacePathAny {
	return &NetworkInstance_Vlan_Member_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifierPath represents the /openconfig-optical-amplifier/optical-amplifier YANG schema element.
type OpticalAmplifierPath struct {
	*ygot.NodePath
}

// OpticalAmplifierPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier YANG schema element.
type OpticalAmplifierPathAny struct {
	*ygot.NodePath
}

// AmplifierAny returns from OpticalAmplifierPath the path struct for its child "amplifier".
func (n *OpticalAmplifierPath) AmplifierAny() *OpticalAmplifier_AmplifierPathAny {
	return &OpticalAmplifier_AmplifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"amplifiers", "amplifier"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// AmplifierAny returns from OpticalAmplifierPathAny the path struct for its child "amplifier".
func (n *OpticalAmplifierPathAny) AmplifierAny() *OpticalAmplifier_AmplifierPathAny {
	return &OpticalAmplifier_AmplifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"amplifiers", "amplifier"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Amplifier returns from OpticalAmplifierPath the path struct for its child "amplifier".
// Name: string
func (n *OpticalAmplifierPath) Amplifier(Name string) *OpticalAmplifier_AmplifierPath {
	return &OpticalAmplifier_AmplifierPath{
		NodePath: ygot.NewNodePath(
			[]string{"amplifiers", "amplifier"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Amplifier returns from OpticalAmplifierPathAny the path struct for its child "amplifier".
// Name: string
func (n *OpticalAmplifierPathAny) Amplifier(Name string) *OpticalAmplifier_AmplifierPathAny {
	return &OpticalAmplifier_AmplifierPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"amplifiers", "amplifier"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// SupervisoryChannelAny returns from OpticalAmplifierPath the path struct for its child "supervisory-channel".
func (n *OpticalAmplifierPath) SupervisoryChannelAny() *OpticalAmplifier_SupervisoryChannelPathAny {
	return &OpticalAmplifier_SupervisoryChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"supervisory-channels", "supervisory-channel"},
			map[string]interface{}{"interface": "*"},
			n,
		),
	}
}

// SupervisoryChannelAny returns from OpticalAmplifierPathAny the path struct for its child "supervisory-channel".
func (n *OpticalAmplifierPathAny) SupervisoryChannelAny() *OpticalAmplifier_SupervisoryChannelPathAny {
	return &OpticalAmplifier_SupervisoryChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"supervisory-channels", "supervisory-channel"},
			map[string]interface{}{"interface": "*"},
			n,
		),
	}
}

// SupervisoryChannel returns from OpticalAmplifierPath the path struct for its child "supervisory-channel".
// Interface: string
func (n *OpticalAmplifierPath) SupervisoryChannel(Interface string) *OpticalAmplifier_SupervisoryChannelPath {
	return &OpticalAmplifier_SupervisoryChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"supervisory-channels", "supervisory-channel"},
			map[string]interface{}{"interface": Interface},
			n,
		),
	}
}

// SupervisoryChannel returns from OpticalAmplifierPathAny the path struct for its child "supervisory-channel".
// Interface: string
func (n *OpticalAmplifierPathAny) SupervisoryChannel(Interface string) *OpticalAmplifier_SupervisoryChannelPathAny {
	return &OpticalAmplifier_SupervisoryChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"supervisory-channels", "supervisory-channel"},
			map[string]interface{}{"interface": Interface},
			n,
		),
	}
}

// OpticalAmplifier_AmplifierPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier YANG schema element.
type OpticalAmplifier_AmplifierPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_AmplifierPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier YANG schema element.
type OpticalAmplifier_AmplifierPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_AmpModePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/amp-mode YANG schema element.
type OpticalAmplifier_Amplifier_AmpModePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_AmpModePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/amp-mode YANG schema element.
type OpticalAmplifier_Amplifier_AmpModePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ComponentPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/component YANG schema element.
type OpticalAmplifier_Amplifier_ComponentPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ComponentPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/component YANG schema element.
type OpticalAmplifier_Amplifier_ComponentPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_EgressPortPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/egress-port YANG schema element.
type OpticalAmplifier_Amplifier_EgressPortPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_EgressPortPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/egress-port YANG schema element.
type OpticalAmplifier_Amplifier_EgressPortPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_EnabledPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/enabled YANG schema element.
type OpticalAmplifier_Amplifier_EnabledPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_EnabledPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/enabled YANG schema element.
type OpticalAmplifier_Amplifier_EnabledPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_FiberTypeProfilePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/fiber-type-profile YANG schema element.
type OpticalAmplifier_Amplifier_FiberTypeProfilePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_FiberTypeProfilePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/fiber-type-profile YANG schema element.
type OpticalAmplifier_Amplifier_FiberTypeProfilePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_GainRangePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/gain-range YANG schema element.
type OpticalAmplifier_Amplifier_GainRangePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_GainRangePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/gain-range YANG schema element.
type OpticalAmplifier_Amplifier_GainRangePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_IngressPortPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/ingress-port YANG schema element.
type OpticalAmplifier_Amplifier_IngressPortPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_IngressPortPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/ingress-port YANG schema element.
type OpticalAmplifier_Amplifier_IngressPortPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MaxGainPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/max-gain YANG schema element.
type OpticalAmplifier_Amplifier_MaxGainPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MaxGainPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/max-gain YANG schema element.
type OpticalAmplifier_Amplifier_MaxGainPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MaxOutputPowerPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/max-output-power YANG schema element.
type OpticalAmplifier_Amplifier_MaxOutputPowerPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MaxOutputPowerPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/max-output-power YANG schema element.
type OpticalAmplifier_Amplifier_MaxOutputPowerPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MinGainPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/min-gain YANG schema element.
type OpticalAmplifier_Amplifier_MinGainPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_MinGainPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/min-gain YANG schema element.
type OpticalAmplifier_Amplifier_MinGainPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_NamePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/name YANG schema element.
type OpticalAmplifier_Amplifier_NamePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_NamePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/name YANG schema element.
type OpticalAmplifier_Amplifier_NamePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetGainPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-gain YANG schema element.
type OpticalAmplifier_Amplifier_TargetGainPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetGainPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-gain YANG schema element.
type OpticalAmplifier_Amplifier_TargetGainPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetGainTiltPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-gain-tilt YANG schema element.
type OpticalAmplifier_Amplifier_TargetGainTiltPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetGainTiltPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-gain-tilt YANG schema element.
type OpticalAmplifier_Amplifier_TargetGainTiltPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetOutputPowerPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-output-power YANG schema element.
type OpticalAmplifier_Amplifier_TargetOutputPowerPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TargetOutputPowerPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/target-output-power YANG schema element.
type OpticalAmplifier_Amplifier_TargetOutputPowerPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TypePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/type YANG schema element.
type OpticalAmplifier_Amplifier_TypePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_TypePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/config/type YANG schema element.
type OpticalAmplifier_Amplifier_TypePathAny struct {
	*ygot.NodePath
}

// ActualGain returns from OpticalAmplifier_AmplifierPath the path struct for its child "actual-gain".
func (n *OpticalAmplifier_AmplifierPath) ActualGain() *OpticalAmplifier_Amplifier_ActualGainPath {
	return &OpticalAmplifier_Amplifier_ActualGainPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "actual-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActualGain returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "actual-gain".
func (n *OpticalAmplifier_AmplifierPathAny) ActualGain() *OpticalAmplifier_Amplifier_ActualGainPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "actual-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActualGainTilt returns from OpticalAmplifier_AmplifierPath the path struct for its child "actual-gain-tilt".
func (n *OpticalAmplifier_AmplifierPath) ActualGainTilt() *OpticalAmplifier_Amplifier_ActualGainTiltPath {
	return &OpticalAmplifier_Amplifier_ActualGainTiltPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "actual-gain-tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// ActualGainTilt returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "actual-gain-tilt".
func (n *OpticalAmplifier_AmplifierPathAny) ActualGainTilt() *OpticalAmplifier_Amplifier_ActualGainTiltPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTiltPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "actual-gain-tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// AmpMode returns from OpticalAmplifier_AmplifierPath the path struct for its child "amp-mode".
func (n *OpticalAmplifier_AmplifierPath) AmpMode() *OpticalAmplifier_Amplifier_AmpModePath {
	return &OpticalAmplifier_Amplifier_AmpModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "amp-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// AmpMode returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "amp-mode".
func (n *OpticalAmplifier_AmplifierPathAny) AmpMode() *OpticalAmplifier_Amplifier_AmpModePathAny {
	return &OpticalAmplifier_Amplifier_AmpModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "amp-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component returns from OpticalAmplifier_AmplifierPath the path struct for its child "component".
func (n *OpticalAmplifier_AmplifierPath) Component() *OpticalAmplifier_Amplifier_ComponentPath {
	return &OpticalAmplifier_Amplifier_ComponentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "component"},
			map[string]interface{}{},
			n,
		),
	}
}

// Component returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "component".
func (n *OpticalAmplifier_AmplifierPathAny) Component() *OpticalAmplifier_Amplifier_ComponentPathAny {
	return &OpticalAmplifier_Amplifier_ComponentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "component"},
			map[string]interface{}{},
			n,
		),
	}
}

// EgressPort returns from OpticalAmplifier_AmplifierPath the path struct for its child "egress-port".
func (n *OpticalAmplifier_AmplifierPath) EgressPort() *OpticalAmplifier_Amplifier_EgressPortPath {
	return &OpticalAmplifier_Amplifier_EgressPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "egress-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// EgressPort returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "egress-port".
func (n *OpticalAmplifier_AmplifierPathAny) EgressPort() *OpticalAmplifier_Amplifier_EgressPortPathAny {
	return &OpticalAmplifier_Amplifier_EgressPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "egress-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from OpticalAmplifier_AmplifierPath the path struct for its child "enabled".
func (n *OpticalAmplifier_AmplifierPath) Enabled() *OpticalAmplifier_Amplifier_EnabledPath {
	return &OpticalAmplifier_Amplifier_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "enabled".
func (n *OpticalAmplifier_AmplifierPathAny) Enabled() *OpticalAmplifier_Amplifier_EnabledPathAny {
	return &OpticalAmplifier_Amplifier_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// FiberTypeProfile returns from OpticalAmplifier_AmplifierPath the path struct for its child "fiber-type-profile".
func (n *OpticalAmplifier_AmplifierPath) FiberTypeProfile() *OpticalAmplifier_Amplifier_FiberTypeProfilePath {
	return &OpticalAmplifier_Amplifier_FiberTypeProfilePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fiber-type-profile"},
			map[string]interface{}{},
			n,
		),
	}
}

// FiberTypeProfile returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "fiber-type-profile".
func (n *OpticalAmplifier_AmplifierPathAny) FiberTypeProfile() *OpticalAmplifier_Amplifier_FiberTypeProfilePathAny {
	return &OpticalAmplifier_Amplifier_FiberTypeProfilePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "fiber-type-profile"},
			map[string]interface{}{},
			n,
		),
	}
}

// GainRange returns from OpticalAmplifier_AmplifierPath the path struct for its child "gain-range".
func (n *OpticalAmplifier_AmplifierPath) GainRange() *OpticalAmplifier_Amplifier_GainRangePath {
	return &OpticalAmplifier_Amplifier_GainRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "gain-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// GainRange returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "gain-range".
func (n *OpticalAmplifier_AmplifierPathAny) GainRange() *OpticalAmplifier_Amplifier_GainRangePathAny {
	return &OpticalAmplifier_Amplifier_GainRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "gain-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// IngressPort returns from OpticalAmplifier_AmplifierPath the path struct for its child "ingress-port".
func (n *OpticalAmplifier_AmplifierPath) IngressPort() *OpticalAmplifier_Amplifier_IngressPortPath {
	return &OpticalAmplifier_Amplifier_IngressPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ingress-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// IngressPort returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "ingress-port".
func (n *OpticalAmplifier_AmplifierPathAny) IngressPort() *OpticalAmplifier_Amplifier_IngressPortPathAny {
	return &OpticalAmplifier_Amplifier_IngressPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ingress-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerCBand returns from OpticalAmplifier_AmplifierPath the path struct for its child "input-power-c-band".
func (n *OpticalAmplifier_AmplifierPath) InputPowerCBand() *OpticalAmplifier_Amplifier_InputPowerCBandPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBandPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-c-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerCBand returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "input-power-c-band".
func (n *OpticalAmplifier_AmplifierPathAny) InputPowerCBand() *OpticalAmplifier_Amplifier_InputPowerCBandPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBandPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-c-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerLBand returns from OpticalAmplifier_AmplifierPath the path struct for its child "input-power-l-band".
func (n *OpticalAmplifier_AmplifierPath) InputPowerLBand() *OpticalAmplifier_Amplifier_InputPowerLBandPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBandPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-l-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerLBand returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "input-power-l-band".
func (n *OpticalAmplifier_AmplifierPathAny) InputPowerLBand() *OpticalAmplifier_Amplifier_InputPowerLBandPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBandPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-l-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerTotal returns from OpticalAmplifier_AmplifierPath the path struct for its child "input-power-total".
func (n *OpticalAmplifier_AmplifierPath) InputPowerTotal() *OpticalAmplifier_Amplifier_InputPowerTotalPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-total"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPowerTotal returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "input-power-total".
func (n *OpticalAmplifier_AmplifierPathAny) InputPowerTotal() *OpticalAmplifier_Amplifier_InputPowerTotalPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power-total"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from OpticalAmplifier_AmplifierPath the path struct for its child "laser-bias-current".
func (n *OpticalAmplifier_AmplifierPath) LaserBiasCurrent() *OpticalAmplifier_Amplifier_LaserBiasCurrentPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "laser-bias-current".
func (n *OpticalAmplifier_AmplifierPathAny) LaserBiasCurrent() *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxGain returns from OpticalAmplifier_AmplifierPath the path struct for its child "max-gain".
func (n *OpticalAmplifier_AmplifierPath) MaxGain() *OpticalAmplifier_Amplifier_MaxGainPath {
	return &OpticalAmplifier_Amplifier_MaxGainPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxGain returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "max-gain".
func (n *OpticalAmplifier_AmplifierPathAny) MaxGain() *OpticalAmplifier_Amplifier_MaxGainPathAny {
	return &OpticalAmplifier_Amplifier_MaxGainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxOutputPower returns from OpticalAmplifier_AmplifierPath the path struct for its child "max-output-power".
func (n *OpticalAmplifier_AmplifierPath) MaxOutputPower() *OpticalAmplifier_Amplifier_MaxOutputPowerPath {
	return &OpticalAmplifier_Amplifier_MaxOutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxOutputPower returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "max-output-power".
func (n *OpticalAmplifier_AmplifierPathAny) MaxOutputPower() *OpticalAmplifier_Amplifier_MaxOutputPowerPathAny {
	return &OpticalAmplifier_Amplifier_MaxOutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinGain returns from OpticalAmplifier_AmplifierPath the path struct for its child "min-gain".
func (n *OpticalAmplifier_AmplifierPath) MinGain() *OpticalAmplifier_Amplifier_MinGainPath {
	return &OpticalAmplifier_Amplifier_MinGainPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinGain returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "min-gain".
func (n *OpticalAmplifier_AmplifierPathAny) MinGain() *OpticalAmplifier_Amplifier_MinGainPathAny {
	return &OpticalAmplifier_Amplifier_MinGainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "min-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from OpticalAmplifier_AmplifierPath the path struct for its child "name".
func (n *OpticalAmplifier_AmplifierPath) Name() *OpticalAmplifier_Amplifier_NamePath {
	return &OpticalAmplifier_Amplifier_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "name".
func (n *OpticalAmplifier_AmplifierPathAny) Name() *OpticalAmplifier_Amplifier_NamePathAny {
	return &OpticalAmplifier_Amplifier_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalReturnLoss returns from OpticalAmplifier_AmplifierPath the path struct for its child "optical-return-loss".
func (n *OpticalAmplifier_AmplifierPath) OpticalReturnLoss() *OpticalAmplifier_Amplifier_OpticalReturnLossPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLossPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-return-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalReturnLoss returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "optical-return-loss".
func (n *OpticalAmplifier_AmplifierPathAny) OpticalReturnLoss() *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLossPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "optical-return-loss"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerCBand returns from OpticalAmplifier_AmplifierPath the path struct for its child "output-power-c-band".
func (n *OpticalAmplifier_AmplifierPath) OutputPowerCBand() *OpticalAmplifier_Amplifier_OutputPowerCBandPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBandPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-c-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerCBand returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "output-power-c-band".
func (n *OpticalAmplifier_AmplifierPathAny) OutputPowerCBand() *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBandPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-c-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerLBand returns from OpticalAmplifier_AmplifierPath the path struct for its child "output-power-l-band".
func (n *OpticalAmplifier_AmplifierPath) OutputPowerLBand() *OpticalAmplifier_Amplifier_OutputPowerLBandPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBandPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-l-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerLBand returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "output-power-l-band".
func (n *OpticalAmplifier_AmplifierPathAny) OutputPowerLBand() *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBandPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-l-band"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerTotal returns from OpticalAmplifier_AmplifierPath the path struct for its child "output-power-total".
func (n *OpticalAmplifier_AmplifierPath) OutputPowerTotal() *OpticalAmplifier_Amplifier_OutputPowerTotalPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-total"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPowerTotal returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "output-power-total".
func (n *OpticalAmplifier_AmplifierPathAny) OutputPowerTotal() *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power-total"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetGain returns from OpticalAmplifier_AmplifierPath the path struct for its child "target-gain".
func (n *OpticalAmplifier_AmplifierPath) TargetGain() *OpticalAmplifier_Amplifier_TargetGainPath {
	return &OpticalAmplifier_Amplifier_TargetGainPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetGain returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "target-gain".
func (n *OpticalAmplifier_AmplifierPathAny) TargetGain() *OpticalAmplifier_Amplifier_TargetGainPathAny {
	return &OpticalAmplifier_Amplifier_TargetGainPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-gain"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetGainTilt returns from OpticalAmplifier_AmplifierPath the path struct for its child "target-gain-tilt".
func (n *OpticalAmplifier_AmplifierPath) TargetGainTilt() *OpticalAmplifier_Amplifier_TargetGainTiltPath {
	return &OpticalAmplifier_Amplifier_TargetGainTiltPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-gain-tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetGainTilt returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "target-gain-tilt".
func (n *OpticalAmplifier_AmplifierPathAny) TargetGainTilt() *OpticalAmplifier_Amplifier_TargetGainTiltPathAny {
	return &OpticalAmplifier_Amplifier_TargetGainTiltPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-gain-tilt"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from OpticalAmplifier_AmplifierPath the path struct for its child "target-output-power".
func (n *OpticalAmplifier_AmplifierPath) TargetOutputPower() *OpticalAmplifier_Amplifier_TargetOutputPowerPath {
	return &OpticalAmplifier_Amplifier_TargetOutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// TargetOutputPower returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "target-output-power".
func (n *OpticalAmplifier_AmplifierPathAny) TargetOutputPower() *OpticalAmplifier_Amplifier_TargetOutputPowerPathAny {
	return &OpticalAmplifier_Amplifier_TargetOutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "target-output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from OpticalAmplifier_AmplifierPath the path struct for its child "type".
func (n *OpticalAmplifier_AmplifierPath) Type() *OpticalAmplifier_Amplifier_TypePath {
	return &OpticalAmplifier_Amplifier_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from OpticalAmplifier_AmplifierPathAny the path struct for its child "type".
func (n *OpticalAmplifier_AmplifierPathAny) Type() *OpticalAmplifier_Amplifier_TypePathAny {
	return &OpticalAmplifier_Amplifier_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_ActualGainPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/avg YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/avg YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/instant YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/instant YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/interval YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/interval YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/max YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/max YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/max-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/max-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/min YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/min YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/min-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGain_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain/min-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGain_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) Avg() *OpticalAmplifier_Amplifier_ActualGain_AvgPath {
	return &OpticalAmplifier_Amplifier_ActualGain_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) Avg() *OpticalAmplifier_Amplifier_ActualGain_AvgPathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) Instant() *OpticalAmplifier_Amplifier_ActualGain_InstantPath {
	return &OpticalAmplifier_Amplifier_ActualGain_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) Instant() *OpticalAmplifier_Amplifier_ActualGain_InstantPathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) Interval() *OpticalAmplifier_Amplifier_ActualGain_IntervalPath {
	return &OpticalAmplifier_Amplifier_ActualGain_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) Interval() *OpticalAmplifier_Amplifier_ActualGain_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) Max() *OpticalAmplifier_Amplifier_ActualGain_MaxPath {
	return &OpticalAmplifier_Amplifier_ActualGain_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) Max() *OpticalAmplifier_Amplifier_ActualGain_MaxPathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) MaxTime() *OpticalAmplifier_Amplifier_ActualGain_MaxTimePath {
	return &OpticalAmplifier_Amplifier_ActualGain_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) MaxTime() *OpticalAmplifier_Amplifier_ActualGain_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) Min() *OpticalAmplifier_Amplifier_ActualGain_MinPath {
	return &OpticalAmplifier_Amplifier_ActualGain_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) Min() *OpticalAmplifier_Amplifier_ActualGain_MinPathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_ActualGainPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_ActualGainPath) MinTime() *OpticalAmplifier_Amplifier_ActualGain_MinTimePath {
	return &OpticalAmplifier_Amplifier_ActualGain_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_ActualGainPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_ActualGainPathAny) MinTime() *OpticalAmplifier_Amplifier_ActualGain_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_ActualGain_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_ActualGainTiltPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTiltPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTiltPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTiltPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/avg YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/avg YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/instant YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/instant YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/interval YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/interval YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/max YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/max YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/max-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/max-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/min YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/min YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/min-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/actual-gain-tilt/min-time YANG schema element.
type OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) Avg() *OpticalAmplifier_Amplifier_ActualGainTilt_AvgPath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) Avg() *OpticalAmplifier_Amplifier_ActualGainTilt_AvgPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) Instant() *OpticalAmplifier_Amplifier_ActualGainTilt_InstantPath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) Instant() *OpticalAmplifier_Amplifier_ActualGainTilt_InstantPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) Interval() *OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) Interval() *OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) Max() *OpticalAmplifier_Amplifier_ActualGainTilt_MaxPath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) Max() *OpticalAmplifier_Amplifier_ActualGainTilt_MaxPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) MaxTime() *OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) MaxTime() *OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) Min() *OpticalAmplifier_Amplifier_ActualGainTilt_MinPath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) Min() *OpticalAmplifier_Amplifier_ActualGainTilt_MinPathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_ActualGainTiltPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPath) MinTime() *OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePath {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_ActualGainTiltPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_ActualGainTiltPathAny) MinTime() *OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_ActualGainTilt_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_InputPowerCBandPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBandPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBandPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBandPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-c-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) Avg() *OpticalAmplifier_Amplifier_InputPowerCBand_AvgPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) Avg() *OpticalAmplifier_Amplifier_InputPowerCBand_AvgPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) Instant() *OpticalAmplifier_Amplifier_InputPowerCBand_InstantPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) Instant() *OpticalAmplifier_Amplifier_InputPowerCBand_InstantPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) Interval() *OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) Interval() *OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) Max() *OpticalAmplifier_Amplifier_InputPowerCBand_MaxPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) Max() *OpticalAmplifier_Amplifier_InputPowerCBand_MaxPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) MaxTime() *OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) MaxTime() *OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) Min() *OpticalAmplifier_Amplifier_InputPowerCBand_MinPath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) Min() *OpticalAmplifier_Amplifier_InputPowerCBand_MinPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerCBandPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPath) MinTime() *OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerCBandPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerCBandPathAny) MinTime() *OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerCBand_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_InputPowerLBandPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBandPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBandPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBandPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-l-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) Avg() *OpticalAmplifier_Amplifier_InputPowerLBand_AvgPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) Avg() *OpticalAmplifier_Amplifier_InputPowerLBand_AvgPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) Instant() *OpticalAmplifier_Amplifier_InputPowerLBand_InstantPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) Instant() *OpticalAmplifier_Amplifier_InputPowerLBand_InstantPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) Interval() *OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) Interval() *OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) Max() *OpticalAmplifier_Amplifier_InputPowerLBand_MaxPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) Max() *OpticalAmplifier_Amplifier_InputPowerLBand_MaxPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) MaxTime() *OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) MaxTime() *OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) Min() *OpticalAmplifier_Amplifier_InputPowerLBand_MinPath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) Min() *OpticalAmplifier_Amplifier_InputPowerLBand_MinPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerLBandPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPath) MinTime() *OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerLBandPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerLBandPathAny) MinTime() *OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerLBand_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_InputPowerTotalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/avg YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/instant YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/interval YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/max YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/max-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/min YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/input-power-total/min-time YANG schema element.
type OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) Avg() *OpticalAmplifier_Amplifier_InputPowerTotal_AvgPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) Avg() *OpticalAmplifier_Amplifier_InputPowerTotal_AvgPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) Instant() *OpticalAmplifier_Amplifier_InputPowerTotal_InstantPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) Instant() *OpticalAmplifier_Amplifier_InputPowerTotal_InstantPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) Interval() *OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) Interval() *OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) Max() *OpticalAmplifier_Amplifier_InputPowerTotal_MaxPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) Max() *OpticalAmplifier_Amplifier_InputPowerTotal_MaxPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) MaxTime() *OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) MaxTime() *OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) Min() *OpticalAmplifier_Amplifier_InputPowerTotal_MinPath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) Min() *OpticalAmplifier_Amplifier_InputPowerTotal_MinPathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerTotalPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPath) MinTime() *OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePath {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_InputPowerTotalPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_InputPowerTotalPathAny) MinTime() *OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_InputPowerTotal_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_LaserBiasCurrentPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrentPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/avg YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/avg YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/instant YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/instant YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/interval YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/interval YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/max YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/max YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/max-time YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/max-time YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/min YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/min YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/min-time YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/laser-bias-current/min-time YANG schema element.
type OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) Avg() *OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) Avg() *OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) Instant() *OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) Instant() *OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) Interval() *OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) Interval() *OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) Max() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) Max() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) MaxTime() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) MaxTime() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) Min() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) Min() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPath) MinTime() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePath {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_LaserBiasCurrentPathAny) MinTime() *OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_LaserBiasCurrent_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_OpticalReturnLossPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLossPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLossPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLossPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/avg YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/avg YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/instant YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/instant YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/interval YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/interval YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/max YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/max YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/min YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/min YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/optical-return-loss/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) Avg() *OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) Avg() *OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) Instant() *OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) Instant() *OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) Interval() *OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) Interval() *OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) Max() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) Max() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) MaxTime() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) MaxTime() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) Min() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) Min() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OpticalReturnLossPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPath) MinTime() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePath {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OpticalReturnLossPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OpticalReturnLossPathAny) MinTime() *OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_OpticalReturnLoss_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_OutputPowerCBandPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBandPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBandPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBandPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-c-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) Avg() *OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) Avg() *OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) Instant() *OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) Instant() *OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) Interval() *OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) Interval() *OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) Max() *OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) Max() *OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) Min() *OpticalAmplifier_Amplifier_OutputPowerCBand_MinPath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) Min() *OpticalAmplifier_Amplifier_OutputPowerCBand_MinPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerCBandPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPath) MinTime() *OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerCBandPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerCBandPathAny) MinTime() *OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerCBand_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_OutputPowerLBandPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBandPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBandPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBandPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-l-band/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) Avg() *OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) Avg() *OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) Instant() *OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) Instant() *OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) Interval() *OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) Interval() *OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) Max() *OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) Max() *OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) Min() *OpticalAmplifier_Amplifier_OutputPowerLBand_MinPath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) Min() *OpticalAmplifier_Amplifier_OutputPowerLBand_MinPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerLBandPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPath) MinTime() *OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerLBandPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerLBandPathAny) MinTime() *OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerLBand_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_Amplifier_OutputPowerTotalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/avg YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/instant YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/interval YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/max YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/max-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/min YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/amplifiers/amplifier/state/output-power-total/min-time YANG schema element.
type OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) Avg() *OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) Avg() *OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) Instant() *OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) Instant() *OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) Interval() *OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) Interval() *OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) Max() *OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "max".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) Max() *OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) MaxTime() *OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) Min() *OpticalAmplifier_Amplifier_OutputPowerTotal_MinPath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "min".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) Min() *OpticalAmplifier_Amplifier_OutputPowerTotal_MinPathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerTotalPath the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPath) MinTime() *OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePath {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_Amplifier_OutputPowerTotalPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_Amplifier_OutputPowerTotalPathAny) MinTime() *OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePathAny {
	return &OpticalAmplifier_Amplifier_OutputPowerTotal_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_SupervisoryChannelPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel YANG schema element.
type OpticalAmplifier_SupervisoryChannelPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannelPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel YANG schema element.
type OpticalAmplifier_SupervisoryChannelPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InterfacePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/config/interface YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InterfacePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InterfacePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/config/interface YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InterfacePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputFrequencyPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-frequency YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputFrequencyPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputFrequencyPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-frequency YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputFrequencyPathAny struct {
	*ygot.NodePath
}

// InputPower returns from OpticalAmplifier_SupervisoryChannelPath the path struct for its child "input-power".
func (n *OpticalAmplifier_SupervisoryChannelPath) InputPower() *OpticalAmplifier_SupervisoryChannel_InputPowerPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// InputPower returns from OpticalAmplifier_SupervisoryChannelPathAny the path struct for its child "input-power".
func (n *OpticalAmplifier_SupervisoryChannelPathAny) InputPower() *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "input-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from OpticalAmplifier_SupervisoryChannelPath the path struct for its child "interface".
func (n *OpticalAmplifier_SupervisoryChannelPath) Interface() *OpticalAmplifier_SupervisoryChannel_InterfacePath {
	return &OpticalAmplifier_SupervisoryChannel_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from OpticalAmplifier_SupervisoryChannelPathAny the path struct for its child "interface".
func (n *OpticalAmplifier_SupervisoryChannelPathAny) Interface() *OpticalAmplifier_SupervisoryChannel_InterfacePathAny {
	return &OpticalAmplifier_SupervisoryChannel_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from OpticalAmplifier_SupervisoryChannelPath the path struct for its child "laser-bias-current".
func (n *OpticalAmplifier_SupervisoryChannelPath) LaserBiasCurrent() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// LaserBiasCurrent returns from OpticalAmplifier_SupervisoryChannelPathAny the path struct for its child "laser-bias-current".
func (n *OpticalAmplifier_SupervisoryChannelPathAny) LaserBiasCurrent() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "laser-bias-current"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputFrequency returns from OpticalAmplifier_SupervisoryChannelPath the path struct for its child "output-frequency".
func (n *OpticalAmplifier_SupervisoryChannelPath) OutputFrequency() *OpticalAmplifier_SupervisoryChannel_OutputFrequencyPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputFrequencyPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputFrequency returns from OpticalAmplifier_SupervisoryChannelPathAny the path struct for its child "output-frequency".
func (n *OpticalAmplifier_SupervisoryChannelPathAny) OutputFrequency() *OpticalAmplifier_SupervisoryChannel_OutputFrequencyPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputFrequencyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-frequency"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from OpticalAmplifier_SupervisoryChannelPath the path struct for its child "output-power".
func (n *OpticalAmplifier_SupervisoryChannelPath) OutputPower() *OpticalAmplifier_SupervisoryChannel_OutputPowerPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPowerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutputPower returns from OpticalAmplifier_SupervisoryChannelPathAny the path struct for its child "output-power".
func (n *OpticalAmplifier_SupervisoryChannelPathAny) OutputPower() *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "output-power"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_SupervisoryChannel_InputPowerPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPowerPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPowerPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPowerPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/input-power/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) Avg() *OpticalAmplifier_SupervisoryChannel_InputPower_AvgPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) Avg() *OpticalAmplifier_SupervisoryChannel_InputPower_AvgPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) Instant() *OpticalAmplifier_SupervisoryChannel_InputPower_InstantPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) Instant() *OpticalAmplifier_SupervisoryChannel_InputPower_InstantPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) Interval() *OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) Interval() *OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) Max() *OpticalAmplifier_SupervisoryChannel_InputPower_MaxPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) Max() *OpticalAmplifier_SupervisoryChannel_InputPower_MaxPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) MaxTime() *OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) MaxTime() *OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) Min() *OpticalAmplifier_SupervisoryChannel_InputPower_MinPath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) Min() *OpticalAmplifier_SupervisoryChannel_InputPower_MinPathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_InputPowerPath the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPath) MinTime() *OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePath {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_InputPowerPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_InputPowerPathAny) MinTime() *OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_InputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/laser-bias-current/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) Avg() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) Avg() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) Instant() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) Instant() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) Interval() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) Interval() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) Max() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) Max() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) MaxTime() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) MaxTime() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) Min() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) Min() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPath) MinTime() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePath {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrentPathAny) MinTime() *OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_LaserBiasCurrent_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalAmplifier_SupervisoryChannel_OutputPowerPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPowerPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/avg YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/instant YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/interval YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/max YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/max-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MinPath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MinPath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MinPathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/min YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MinPathAny struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePath represents the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePath struct {
	*ygot.NodePath
}

// OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePathAny represents the wildcard version of the /openconfig-optical-amplifier/optical-amplifier/supervisory-channels/supervisory-channel/state/output-power/min-time YANG schema element.
type OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) Avg() *OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "avg".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) Avg() *OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) Instant() *OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "instant".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) Instant() *OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) Interval() *OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "interval".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) Interval() *OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) Max() *OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "max".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) Max() *OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) MaxTime() *OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "max-time".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) MaxTime() *OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) Min() *OpticalAmplifier_SupervisoryChannel_OutputPower_MinPath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "min".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) Min() *OpticalAmplifier_SupervisoryChannel_OutputPower_MinPathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPath the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPath) MinTime() *OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePath {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny the path struct for its child "min-time".
func (n *OpticalAmplifier_SupervisoryChannel_OutputPowerPathAny) MinTime() *OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePathAny {
	return &OpticalAmplifier_SupervisoryChannel_OutputPower_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgentPath represents the /openconfig-relay-agent/relay-agent YANG schema element.
type RelayAgentPath struct {
	*ygot.NodePath
}

// RelayAgentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent YANG schema element.
type RelayAgentPathAny struct {
	*ygot.NodePath
}

// Dhcp returns from RelayAgentPath the path struct for its child "dhcp".
func (n *RelayAgentPath) Dhcp() *RelayAgent_DhcpPath {
	return &RelayAgent_DhcpPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcp returns from RelayAgentPathAny the path struct for its child "dhcp".
func (n *RelayAgentPathAny) Dhcp() *RelayAgent_DhcpPathAny {
	return &RelayAgent_DhcpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6 returns from RelayAgentPath the path struct for its child "dhcpv6".
func (n *RelayAgentPath) Dhcpv6() *RelayAgent_Dhcpv6Path {
	return &RelayAgent_Dhcpv6Path{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6 returns from RelayAgentPathAny the path struct for its child "dhcpv6".
func (n *RelayAgentPathAny) Dhcpv6() *RelayAgent_Dhcpv6PathAny {
	return &RelayAgent_Dhcpv6PathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_DhcpPath represents the /openconfig-relay-agent/relay-agent/dhcp YANG schema element.
type RelayAgent_DhcpPath struct {
	*ygot.NodePath
}

// RelayAgent_DhcpPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp YANG schema element.
type RelayAgent_DhcpPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_EnableRelayAgentPath represents the /openconfig-relay-agent/relay-agent/dhcp/config/enable-relay-agent YANG schema element.
type RelayAgent_Dhcp_EnableRelayAgentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_EnableRelayAgentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/config/enable-relay-agent YANG schema element.
type RelayAgent_Dhcp_EnableRelayAgentPathAny struct {
	*ygot.NodePath
}

// AgentInformationOption returns from RelayAgent_DhcpPath the path struct for its child "agent-information-option".
func (n *RelayAgent_DhcpPath) AgentInformationOption() *RelayAgent_Dhcp_AgentInformationOptionPath {
	return &RelayAgent_Dhcp_AgentInformationOptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"agent-information-option"},
			map[string]interface{}{},
			n,
		),
	}
}

// AgentInformationOption returns from RelayAgent_DhcpPathAny the path struct for its child "agent-information-option".
func (n *RelayAgent_DhcpPathAny) AgentInformationOption() *RelayAgent_Dhcp_AgentInformationOptionPathAny {
	return &RelayAgent_Dhcp_AgentInformationOptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"agent-information-option"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRelayAgent returns from RelayAgent_DhcpPath the path struct for its child "enable-relay-agent".
func (n *RelayAgent_DhcpPath) EnableRelayAgent() *RelayAgent_Dhcp_EnableRelayAgentPath {
	return &RelayAgent_Dhcp_EnableRelayAgentPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-relay-agent"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRelayAgent returns from RelayAgent_DhcpPathAny the path struct for its child "enable-relay-agent".
func (n *RelayAgent_DhcpPathAny) EnableRelayAgent() *RelayAgent_Dhcp_EnableRelayAgentPathAny {
	return &RelayAgent_Dhcp_EnableRelayAgentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-relay-agent"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from RelayAgent_DhcpPath the path struct for its child "interface".
func (n *RelayAgent_DhcpPath) InterfaceAny() *RelayAgent_Dhcp_InterfacePathAny {
	return &RelayAgent_Dhcp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from RelayAgent_DhcpPathAny the path struct for its child "interface".
func (n *RelayAgent_DhcpPathAny) InterfaceAny() *RelayAgent_Dhcp_InterfacePathAny {
	return &RelayAgent_Dhcp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Interface returns from RelayAgent_DhcpPath the path struct for its child "interface".
// Id: string
func (n *RelayAgent_DhcpPath) Interface(Id string) *RelayAgent_Dhcp_InterfacePath {
	return &RelayAgent_Dhcp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Interface returns from RelayAgent_DhcpPathAny the path struct for its child "interface".
// Id: string
func (n *RelayAgent_DhcpPathAny) Interface(Id string) *RelayAgent_Dhcp_InterfacePathAny {
	return &RelayAgent_Dhcp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// RelayAgent_Dhcp_AgentInformationOptionPath represents the /openconfig-relay-agent/relay-agent/dhcp/agent-information-option YANG schema element.
type RelayAgent_Dhcp_AgentInformationOptionPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_AgentInformationOptionPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/agent-information-option YANG schema element.
type RelayAgent_Dhcp_AgentInformationOptionPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_AgentInformationOption_EnablePath represents the /openconfig-relay-agent/relay-agent/dhcp/agent-information-option/config/enable YANG schema element.
type RelayAgent_Dhcp_AgentInformationOption_EnablePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_AgentInformationOption_EnablePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/agent-information-option/config/enable YANG schema element.
type RelayAgent_Dhcp_AgentInformationOption_EnablePathAny struct {
	*ygot.NodePath
}

// Enable returns from RelayAgent_Dhcp_AgentInformationOptionPath the path struct for its child "enable".
func (n *RelayAgent_Dhcp_AgentInformationOptionPath) Enable() *RelayAgent_Dhcp_AgentInformationOption_EnablePath {
	return &RelayAgent_Dhcp_AgentInformationOption_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcp_AgentInformationOptionPathAny the path struct for its child "enable".
func (n *RelayAgent_Dhcp_AgentInformationOptionPathAny) Enable() *RelayAgent_Dhcp_AgentInformationOption_EnablePathAny {
	return &RelayAgent_Dhcp_AgentInformationOption_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcp_InterfacePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface YANG schema element.
type RelayAgent_Dhcp_InterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_InterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface YANG schema element.
type RelayAgent_Dhcp_InterfacePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_EnablePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/enable YANG schema element.
type RelayAgent_Dhcp_Interface_EnablePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_EnablePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/enable YANG schema element.
type RelayAgent_Dhcp_Interface_EnablePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_HelperAddressPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/helper-address YANG schema element.
type RelayAgent_Dhcp_Interface_HelperAddressPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_HelperAddressPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/helper-address YANG schema element.
type RelayAgent_Dhcp_Interface_HelperAddressPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_IdPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/id YANG schema element.
type RelayAgent_Dhcp_Interface_IdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_IdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/config/id YANG schema element.
type RelayAgent_Dhcp_Interface_IdPathAny struct {
	*ygot.NodePath
}

// AgentInformationOption returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "agent-information-option".
func (n *RelayAgent_Dhcp_InterfacePath) AgentInformationOption() *RelayAgent_Dhcp_Interface_AgentInformationOptionPath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"agent-information-option"},
			map[string]interface{}{},
			n,
		),
	}
}

// AgentInformationOption returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "agent-information-option".
func (n *RelayAgent_Dhcp_InterfacePathAny) AgentInformationOption() *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"agent-information-option"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "counters".
func (n *RelayAgent_Dhcp_InterfacePath) Counters() *RelayAgent_Dhcp_Interface_CountersPath {
	return &RelayAgent_Dhcp_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "counters".
func (n *RelayAgent_Dhcp_InterfacePathAny) Counters() *RelayAgent_Dhcp_Interface_CountersPathAny {
	return &RelayAgent_Dhcp_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "enable".
func (n *RelayAgent_Dhcp_InterfacePath) Enable() *RelayAgent_Dhcp_Interface_EnablePath {
	return &RelayAgent_Dhcp_Interface_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "enable".
func (n *RelayAgent_Dhcp_InterfacePathAny) Enable() *RelayAgent_Dhcp_Interface_EnablePathAny {
	return &RelayAgent_Dhcp_Interface_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperAddress returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "helper-address".
func (n *RelayAgent_Dhcp_InterfacePath) HelperAddress() *RelayAgent_Dhcp_Interface_HelperAddressPath {
	return &RelayAgent_Dhcp_Interface_HelperAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperAddress returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "helper-address".
func (n *RelayAgent_Dhcp_InterfacePathAny) HelperAddress() *RelayAgent_Dhcp_Interface_HelperAddressPathAny {
	return &RelayAgent_Dhcp_Interface_HelperAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "id".
func (n *RelayAgent_Dhcp_InterfacePath) Id() *RelayAgent_Dhcp_Interface_IdPath {
	return &RelayAgent_Dhcp_Interface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "id".
func (n *RelayAgent_Dhcp_InterfacePathAny) Id() *RelayAgent_Dhcp_Interface_IdPathAny {
	return &RelayAgent_Dhcp_Interface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from RelayAgent_Dhcp_InterfacePath the path struct for its child "interface-ref".
func (n *RelayAgent_Dhcp_InterfacePath) InterfaceRef() *RelayAgent_Dhcp_Interface_InterfaceRefPath {
	return &RelayAgent_Dhcp_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from RelayAgent_Dhcp_InterfacePathAny the path struct for its child "interface-ref".
func (n *RelayAgent_Dhcp_InterfacePathAny) InterfaceRef() *RelayAgent_Dhcp_Interface_InterfaceRefPathAny {
	return &RelayAgent_Dhcp_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcp_Interface_AgentInformationOptionPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOptionPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/circuit-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/circuit-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/enable YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/enable YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/remote-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/config/remote-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/state/sent-circuit-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/state/sent-circuit-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/state/sent-remote-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/agent-information-option/state/sent-remote-id YANG schema element.
type RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPathAny struct {
	*ygot.NodePath
}

// CircuitId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPath the path struct for its child "circuit-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPath) CircuitId() *RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// CircuitId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny the path struct for its child "circuit-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny) CircuitId() *RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_CircuitIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPath the path struct for its child "enable".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPath) Enable() *RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny the path struct for its child "enable".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny) Enable() *RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPath the path struct for its child "remote-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPath) RemoteId() *RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny the path struct for its child "remote-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny) RemoteId() *RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_RemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentCircuitId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPath the path struct for its child "sent-circuit-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPath) SentCircuitId() *RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentCircuitId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny the path struct for its child "sent-circuit-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny) SentCircuitId() *RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_SentCircuitIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-circuit-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentRemoteId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPath the path struct for its child "sent-remote-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPath) SentRemoteId() *RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPath {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentRemoteId returns from RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny the path struct for its child "sent-remote-id".
func (n *RelayAgent_Dhcp_Interface_AgentInformationOptionPathAny) SentRemoteId() *RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPathAny {
	return &RelayAgent_Dhcp_Interface_AgentInformationOption_SentRemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcp_Interface_CountersPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters YANG schema element.
type RelayAgent_Dhcp_Interface_CountersPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_CountersPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters YANG schema element.
type RelayAgent_Dhcp_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootreplySentPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootreply-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootreplySentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootreplySentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootreply-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootreplySentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootrequest-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootrequest-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootrequestSentPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootrequest-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootrequestSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_BootrequestSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/bootrequest-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_BootrequestSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-ack-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-ack-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-decline-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-decline-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-discover-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-discover-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-inform-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-inform-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-nack-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-nack-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-offer-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-offer-sent YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-release-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-release-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-request-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/dhcp-request-received YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/invalid-opcode YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/invalid-opcode YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/invalid-options YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/invalid-options YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_TotalDroppedPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/total-dropped YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_TotalDroppedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_Counters_TotalDroppedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/state/counters/total-dropped YANG schema element.
type RelayAgent_Dhcp_Interface_Counters_TotalDroppedPathAny struct {
	*ygot.NodePath
}

// BootreplySent returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "bootreply-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPath) BootreplySent() *RelayAgent_Dhcp_Interface_Counters_BootreplySentPath {
	return &RelayAgent_Dhcp_Interface_Counters_BootreplySentPath{
		NodePath: ygot.NewNodePath(
			[]string{"bootreply-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootreplySent returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "bootreply-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) BootreplySent() *RelayAgent_Dhcp_Interface_Counters_BootreplySentPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_BootreplySentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bootreply-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootrequestReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "bootrequest-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) BootrequestReceived() *RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"bootrequest-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootrequestReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "bootrequest-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) BootrequestReceived() *RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_BootrequestReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bootrequest-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootrequestSent returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "bootrequest-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPath) BootrequestSent() *RelayAgent_Dhcp_Interface_Counters_BootrequestSentPath {
	return &RelayAgent_Dhcp_Interface_Counters_BootrequestSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"bootrequest-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootrequestSent returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "bootrequest-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) BootrequestSent() *RelayAgent_Dhcp_Interface_Counters_BootrequestSentPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_BootrequestSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bootrequest-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpAckSent returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-ack-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpAckSent() *RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-ack-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpAckSent returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-ack-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpAckSent() *RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpAckSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-ack-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpDeclineReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-decline-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpDeclineReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-decline-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpDeclineReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-decline-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpDeclineReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpDeclineReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-decline-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpDiscoverReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-discover-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpDiscoverReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-discover-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpDiscoverReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-discover-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpDiscoverReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpDiscoverReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-discover-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpInformReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-inform-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpInformReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-inform-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpInformReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-inform-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpInformReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpInformReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-inform-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpNackSent returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-nack-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpNackSent() *RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-nack-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpNackSent returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-nack-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpNackSent() *RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpNackSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-nack-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpOfferSent returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-offer-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpOfferSent() *RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-offer-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpOfferSent returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-offer-sent".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpOfferSent() *RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpOfferSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-offer-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpReleaseReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-release-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpReleaseReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-release-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpReleaseReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-release-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpReleaseReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpReleaseReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-release-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpRequestReceived returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "dhcp-request-received".
func (n *RelayAgent_Dhcp_Interface_CountersPath) DhcpRequestReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPath {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// DhcpRequestReceived returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "dhcp-request-received".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) DhcpRequestReceived() *RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_DhcpRequestReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcp-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOpcode returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "invalid-opcode".
func (n *RelayAgent_Dhcp_Interface_CountersPath) InvalidOpcode() *RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePath {
	return &RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-opcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOpcode returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "invalid-opcode".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) InvalidOpcode() *RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePathAny {
	return &RelayAgent_Dhcp_Interface_Counters_InvalidOpcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-opcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOptions returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "invalid-options".
func (n *RelayAgent_Dhcp_Interface_CountersPath) InvalidOptions() *RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPath {
	return &RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOptions returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "invalid-options".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) InvalidOptions() *RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_InvalidOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalDropped returns from RelayAgent_Dhcp_Interface_CountersPath the path struct for its child "total-dropped".
func (n *RelayAgent_Dhcp_Interface_CountersPath) TotalDropped() *RelayAgent_Dhcp_Interface_Counters_TotalDroppedPath {
	return &RelayAgent_Dhcp_Interface_Counters_TotalDroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"total-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalDropped returns from RelayAgent_Dhcp_Interface_CountersPathAny the path struct for its child "total-dropped".
func (n *RelayAgent_Dhcp_Interface_CountersPathAny) TotalDropped() *RelayAgent_Dhcp_Interface_Counters_TotalDroppedPathAny {
	return &RelayAgent_Dhcp_Interface_Counters_TotalDroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"total-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcp_Interface_InterfaceRefPath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref/config/interface YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref/config/interface YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcp/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from RelayAgent_Dhcp_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *RelayAgent_Dhcp_Interface_InterfaceRefPath) Interface() *RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePath {
	return &RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from RelayAgent_Dhcp_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *RelayAgent_Dhcp_Interface_InterfaceRefPathAny) Interface() *RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePathAny {
	return &RelayAgent_Dhcp_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RelayAgent_Dhcp_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *RelayAgent_Dhcp_Interface_InterfaceRefPath) Subinterface() *RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePath {
	return &RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RelayAgent_Dhcp_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *RelayAgent_Dhcp_Interface_InterfaceRefPathAny) Subinterface() *RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePathAny {
	return &RelayAgent_Dhcp_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6Path represents the /openconfig-relay-agent/relay-agent/dhcpv6 YANG schema element.
type RelayAgent_Dhcpv6Path struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6PathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6 YANG schema element.
type RelayAgent_Dhcpv6PathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_EnableRelayAgentPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/config/enable-relay-agent YANG schema element.
type RelayAgent_Dhcpv6_EnableRelayAgentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_EnableRelayAgentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/config/enable-relay-agent YANG schema element.
type RelayAgent_Dhcpv6_EnableRelayAgentPathAny struct {
	*ygot.NodePath
}

// EnableRelayAgent returns from RelayAgent_Dhcpv6Path the path struct for its child "enable-relay-agent".
func (n *RelayAgent_Dhcpv6Path) EnableRelayAgent() *RelayAgent_Dhcpv6_EnableRelayAgentPath {
	return &RelayAgent_Dhcpv6_EnableRelayAgentPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-relay-agent"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRelayAgent returns from RelayAgent_Dhcpv6PathAny the path struct for its child "enable-relay-agent".
func (n *RelayAgent_Dhcpv6PathAny) EnableRelayAgent() *RelayAgent_Dhcpv6_EnableRelayAgentPathAny {
	return &RelayAgent_Dhcpv6_EnableRelayAgentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-relay-agent"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from RelayAgent_Dhcpv6Path the path struct for its child "interface".
func (n *RelayAgent_Dhcpv6Path) InterfaceAny() *RelayAgent_Dhcpv6_InterfacePathAny {
	return &RelayAgent_Dhcpv6_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// InterfaceAny returns from RelayAgent_Dhcpv6PathAny the path struct for its child "interface".
func (n *RelayAgent_Dhcpv6PathAny) InterfaceAny() *RelayAgent_Dhcpv6_InterfacePathAny {
	return &RelayAgent_Dhcpv6_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Interface returns from RelayAgent_Dhcpv6Path the path struct for its child "interface".
// Id: string
func (n *RelayAgent_Dhcpv6Path) Interface(Id string) *RelayAgent_Dhcpv6_InterfacePath {
	return &RelayAgent_Dhcpv6_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Interface returns from RelayAgent_Dhcpv6PathAny the path struct for its child "interface".
// Id: string
func (n *RelayAgent_Dhcpv6PathAny) Interface(Id string) *RelayAgent_Dhcpv6_InterfacePathAny {
	return &RelayAgent_Dhcpv6_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Options returns from RelayAgent_Dhcpv6Path the path struct for its child "options".
func (n *RelayAgent_Dhcpv6Path) Options() *RelayAgent_Dhcpv6_OptionsPath {
	return &RelayAgent_Dhcpv6_OptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"options"},
			map[string]interface{}{},
			n,
		),
	}
}

// Options returns from RelayAgent_Dhcpv6PathAny the path struct for its child "options".
func (n *RelayAgent_Dhcpv6PathAny) Options() *RelayAgent_Dhcpv6_OptionsPathAny {
	return &RelayAgent_Dhcpv6_OptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6_InterfacePath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface YANG schema element.
type RelayAgent_Dhcpv6_InterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_InterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface YANG schema element.
type RelayAgent_Dhcpv6_InterfacePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_EnablePath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/enable YANG schema element.
type RelayAgent_Dhcpv6_Interface_EnablePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_EnablePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/enable YANG schema element.
type RelayAgent_Dhcpv6_Interface_EnablePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_HelperAddressPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/helper-address YANG schema element.
type RelayAgent_Dhcpv6_Interface_HelperAddressPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_HelperAddressPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/helper-address YANG schema element.
type RelayAgent_Dhcpv6_Interface_HelperAddressPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_IdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/id YANG schema element.
type RelayAgent_Dhcpv6_Interface_IdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_IdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/config/id YANG schema element.
type RelayAgent_Dhcpv6_Interface_IdPathAny struct {
	*ygot.NodePath
}

// Counters returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "counters".
func (n *RelayAgent_Dhcpv6_InterfacePath) Counters() *RelayAgent_Dhcpv6_Interface_CountersPath {
	return &RelayAgent_Dhcpv6_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "counters".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) Counters() *RelayAgent_Dhcpv6_Interface_CountersPathAny {
	return &RelayAgent_Dhcpv6_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "enable".
func (n *RelayAgent_Dhcpv6_InterfacePath) Enable() *RelayAgent_Dhcpv6_Interface_EnablePath {
	return &RelayAgent_Dhcpv6_Interface_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "enable".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) Enable() *RelayAgent_Dhcpv6_Interface_EnablePathAny {
	return &RelayAgent_Dhcpv6_Interface_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperAddress returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "helper-address".
func (n *RelayAgent_Dhcpv6_InterfacePath) HelperAddress() *RelayAgent_Dhcpv6_Interface_HelperAddressPath {
	return &RelayAgent_Dhcpv6_Interface_HelperAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelperAddress returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "helper-address".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) HelperAddress() *RelayAgent_Dhcpv6_Interface_HelperAddressPathAny {
	return &RelayAgent_Dhcpv6_Interface_HelperAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "helper-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "id".
func (n *RelayAgent_Dhcpv6_InterfacePath) Id() *RelayAgent_Dhcpv6_Interface_IdPath {
	return &RelayAgent_Dhcpv6_Interface_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "id".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) Id() *RelayAgent_Dhcpv6_Interface_IdPathAny {
	return &RelayAgent_Dhcpv6_Interface_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "interface-ref".
func (n *RelayAgent_Dhcpv6_InterfacePath) InterfaceRef() *RelayAgent_Dhcpv6_Interface_InterfaceRefPath {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRefPath{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceRef returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "interface-ref".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) InterfaceRef() *RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interface-ref"},
			map[string]interface{}{},
			n,
		),
	}
}

// Options returns from RelayAgent_Dhcpv6_InterfacePath the path struct for its child "options".
func (n *RelayAgent_Dhcpv6_InterfacePath) Options() *RelayAgent_Dhcpv6_Interface_OptionsPath {
	return &RelayAgent_Dhcpv6_Interface_OptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"options"},
			map[string]interface{}{},
			n,
		),
	}
}

// Options returns from RelayAgent_Dhcpv6_InterfacePathAny the path struct for its child "options".
func (n *RelayAgent_Dhcpv6_InterfacePathAny) Options() *RelayAgent_Dhcpv6_Interface_OptionsPathAny {
	return &RelayAgent_Dhcpv6_Interface_OptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"options"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6_Interface_CountersPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters YANG schema element.
type RelayAgent_Dhcpv6_Interface_CountersPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_CountersPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters YANG schema element.
type RelayAgent_Dhcpv6_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-adverstise-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-adverstise-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-confirm-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-confirm-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-decline-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-decline-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-info-request-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-info-request-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-rebind-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-rebind-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-reconfigure-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-reconfigure-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-relay-forw-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-relay-forw-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-relay-reply-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-relay-reply-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-release-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-release-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-reply-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-reply-sent YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-request-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-request-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-solicit-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/dhcpv6-solicit-received YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/invalid-opcode YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/invalid-opcode YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/invalid-options YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/invalid-options YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/total-dropped YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/state/counters/total-dropped YANG schema element.
type RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPathAny struct {
	*ygot.NodePath
}

// Dhcpv6AdverstiseSent returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-adverstise-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6AdverstiseSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-adverstise-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6AdverstiseSent returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-adverstise-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6AdverstiseSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6AdverstiseSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-adverstise-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ConfirmReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-confirm-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6ConfirmReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-confirm-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ConfirmReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-confirm-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6ConfirmReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ConfirmReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-confirm-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6DeclineReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-decline-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6DeclineReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-decline-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6DeclineReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-decline-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6DeclineReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6DeclineReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-decline-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6InfoRequestReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-info-request-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6InfoRequestReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-info-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6InfoRequestReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-info-request-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6InfoRequestReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6InfoRequestReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-info-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RebindReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-rebind-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6RebindReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-rebind-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RebindReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-rebind-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6RebindReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RebindReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-rebind-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReconfigureSent returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-reconfigure-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6ReconfigureSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-reconfigure-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReconfigureSent returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-reconfigure-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6ReconfigureSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReconfigureSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-reconfigure-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RelayForwSent returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-relay-forw-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6RelayForwSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-relay-forw-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RelayForwSent returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-relay-forw-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6RelayForwSent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayForwSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-relay-forw-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RelayReplyReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-relay-reply-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6RelayReplyReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-relay-reply-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RelayReplyReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-relay-reply-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6RelayReplyReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RelayReplyReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-relay-reply-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReleaseReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-release-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6ReleaseReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-release-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReleaseReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-release-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6ReleaseReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReleaseReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-release-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReplySent returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-reply-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6ReplySent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-reply-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6ReplySent returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-reply-sent".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6ReplySent() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6ReplySentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-reply-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RequestReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-request-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6RequestReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6RequestReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-request-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6RequestReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6RequestReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-request-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6SolicitReceived returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "dhcpv6-solicit-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) Dhcpv6SolicitReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-solicit-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dhcpv6SolicitReceived returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "dhcpv6-solicit-received".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) Dhcpv6SolicitReceived() *RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_Dhcpv6SolicitReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dhcpv6-solicit-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOpcode returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "invalid-opcode".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) InvalidOpcode() *RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePath {
	return &RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePath{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-opcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOpcode returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "invalid-opcode".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) InvalidOpcode() *RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_InvalidOpcodePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-opcode"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOptions returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "invalid-options".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) InvalidOptions() *RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// InvalidOptions returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "invalid-options".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) InvalidOptions() *RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_InvalidOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"invalid-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalDropped returns from RelayAgent_Dhcpv6_Interface_CountersPath the path struct for its child "total-dropped".
func (n *RelayAgent_Dhcpv6_Interface_CountersPath) TotalDropped() *RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPath {
	return &RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPath{
		NodePath: ygot.NewNodePath(
			[]string{"total-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// TotalDropped returns from RelayAgent_Dhcpv6_Interface_CountersPathAny the path struct for its child "total-dropped".
func (n *RelayAgent_Dhcpv6_Interface_CountersPathAny) TotalDropped() *RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPathAny {
	return &RelayAgent_Dhcpv6_Interface_Counters_TotalDroppedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"total-dropped"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6_Interface_InterfaceRefPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRefPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref/config/interface YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref/config/interface YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/interface-ref/config/subinterface YANG schema element.
type RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from RelayAgent_Dhcpv6_Interface_InterfaceRefPath the path struct for its child "interface".
func (n *RelayAgent_Dhcpv6_Interface_InterfaceRefPath) Interface() *RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePath {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny the path struct for its child "interface".
func (n *RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny) Interface() *RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePathAny {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRef_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RelayAgent_Dhcpv6_Interface_InterfaceRefPath the path struct for its child "subinterface".
func (n *RelayAgent_Dhcpv6_Interface_InterfaceRefPath) Subinterface() *RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePath {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny the path struct for its child "subinterface".
func (n *RelayAgent_Dhcpv6_Interface_InterfaceRefPathAny) Subinterface() *RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePathAny {
	return &RelayAgent_Dhcpv6_Interface_InterfaceRef_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6_Interface_OptionsPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options YANG schema element.
type RelayAgent_Dhcpv6_Interface_OptionsPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_OptionsPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options YANG schema element.
type RelayAgent_Dhcpv6_Interface_OptionsPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/enable-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/enable-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/enable-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/enable-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_RemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_RemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_RemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/config/remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_RemoteIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/state/sent-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/state/sent-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/state/sent-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/interfaces/interface/options/state/sent-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPathAny struct {
	*ygot.NodePath
}

// EnableInterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "enable-interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) EnableInterfaceId() *RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableInterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "enable-interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) EnableInterfaceId() *RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_EnableInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "enable-remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) EnableRemoteId() *RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "enable-remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) EnableRemoteId() *RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_EnableRemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) InterfaceId() *RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) InterfaceId() *RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_InterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) RemoteId() *RelayAgent_Dhcpv6_Interface_Options_RemoteIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_RemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) RemoteId() *RelayAgent_Dhcpv6_Interface_Options_RemoteIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_RemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentInterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "sent-interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) SentInterfaceId() *RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentInterfaceId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "sent-interface-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) SentInterfaceId() *RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_SentInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentRemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPath the path struct for its child "sent-remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPath) SentRemoteId() *RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPath {
	return &RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// SentRemoteId returns from RelayAgent_Dhcpv6_Interface_OptionsPathAny the path struct for its child "sent-remote-id".
func (n *RelayAgent_Dhcpv6_Interface_OptionsPathAny) SentRemoteId() *RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPathAny {
	return &RelayAgent_Dhcpv6_Interface_Options_SentRemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "sent-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RelayAgent_Dhcpv6_OptionsPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/options YANG schema element.
type RelayAgent_Dhcpv6_OptionsPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_OptionsPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/options YANG schema element.
type RelayAgent_Dhcpv6_OptionsPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Options_EnableInterfaceIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/options/config/enable-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Options_EnableInterfaceIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Options_EnableInterfaceIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/options/config/enable-interface-id YANG schema element.
type RelayAgent_Dhcpv6_Options_EnableInterfaceIdPathAny struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Options_EnableRemoteIdPath represents the /openconfig-relay-agent/relay-agent/dhcpv6/options/config/enable-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Options_EnableRemoteIdPath struct {
	*ygot.NodePath
}

// RelayAgent_Dhcpv6_Options_EnableRemoteIdPathAny represents the wildcard version of the /openconfig-relay-agent/relay-agent/dhcpv6/options/config/enable-remote-id YANG schema element.
type RelayAgent_Dhcpv6_Options_EnableRemoteIdPathAny struct {
	*ygot.NodePath
}

// EnableInterfaceId returns from RelayAgent_Dhcpv6_OptionsPath the path struct for its child "enable-interface-id".
func (n *RelayAgent_Dhcpv6_OptionsPath) EnableInterfaceId() *RelayAgent_Dhcpv6_Options_EnableInterfaceIdPath {
	return &RelayAgent_Dhcpv6_Options_EnableInterfaceIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableInterfaceId returns from RelayAgent_Dhcpv6_OptionsPathAny the path struct for its child "enable-interface-id".
func (n *RelayAgent_Dhcpv6_OptionsPathAny) EnableInterfaceId() *RelayAgent_Dhcpv6_Options_EnableInterfaceIdPathAny {
	return &RelayAgent_Dhcpv6_Options_EnableInterfaceIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-interface-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRemoteId returns from RelayAgent_Dhcpv6_OptionsPath the path struct for its child "enable-remote-id".
func (n *RelayAgent_Dhcpv6_OptionsPath) EnableRemoteId() *RelayAgent_Dhcpv6_Options_EnableRemoteIdPath {
	return &RelayAgent_Dhcpv6_Options_EnableRemoteIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableRemoteId returns from RelayAgent_Dhcpv6_OptionsPathAny the path struct for its child "enable-remote-id".
func (n *RelayAgent_Dhcpv6_OptionsPathAny) EnableRemoteId() *RelayAgent_Dhcpv6_Options_EnableRemoteIdPathAny {
	return &RelayAgent_Dhcpv6_Options_EnableRemoteIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-remote-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicyPath represents the /openconfig-routing-policy/routing-policy YANG schema element.
type RoutingPolicyPath struct {
	*ygot.NodePath
}

// RoutingPolicyPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy YANG schema element.
type RoutingPolicyPathAny struct {
	*ygot.NodePath
}

// DefinedSets returns from RoutingPolicyPath the path struct for its child "defined-sets".
func (n *RoutingPolicyPath) DefinedSets() *RoutingPolicy_DefinedSetsPath {
	return &RoutingPolicy_DefinedSetsPath{
		NodePath: ygot.NewNodePath(
			[]string{"defined-sets"},
			map[string]interface{}{},
			n,
		),
	}
}

// DefinedSets returns from RoutingPolicyPathAny the path struct for its child "defined-sets".
func (n *RoutingPolicyPathAny) DefinedSets() *RoutingPolicy_DefinedSetsPathAny {
	return &RoutingPolicy_DefinedSetsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"defined-sets"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolicyDefinitionAny returns from RoutingPolicyPath the path struct for its child "policy-definition".
func (n *RoutingPolicyPath) PolicyDefinitionAny() *RoutingPolicy_PolicyDefinitionPathAny {
	return &RoutingPolicy_PolicyDefinitionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-definitions", "policy-definition"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// PolicyDefinitionAny returns from RoutingPolicyPathAny the path struct for its child "policy-definition".
func (n *RoutingPolicyPathAny) PolicyDefinitionAny() *RoutingPolicy_PolicyDefinitionPathAny {
	return &RoutingPolicy_PolicyDefinitionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-definitions", "policy-definition"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// PolicyDefinition returns from RoutingPolicyPath the path struct for its child "policy-definition".
// Name: string
func (n *RoutingPolicyPath) PolicyDefinition(Name string) *RoutingPolicy_PolicyDefinitionPath {
	return &RoutingPolicy_PolicyDefinitionPath{
		NodePath: ygot.NewNodePath(
			[]string{"policy-definitions", "policy-definition"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// PolicyDefinition returns from RoutingPolicyPathAny the path struct for its child "policy-definition".
// Name: string
func (n *RoutingPolicyPathAny) PolicyDefinition(Name string) *RoutingPolicy_PolicyDefinitionPathAny {
	return &RoutingPolicy_PolicyDefinitionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"policy-definitions", "policy-definition"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// RoutingPolicy_DefinedSetsPath represents the /openconfig-routing-policy/routing-policy/defined-sets YANG schema element.
type RoutingPolicy_DefinedSetsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSetsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets YANG schema element.
type RoutingPolicy_DefinedSetsPathAny struct {
	*ygot.NodePath
}

// NeighborSetAny returns from RoutingPolicy_DefinedSetsPath the path struct for its child "neighbor-set".
func (n *RoutingPolicy_DefinedSetsPath) NeighborSetAny() *RoutingPolicy_DefinedSets_NeighborSetPathAny {
	return &RoutingPolicy_DefinedSets_NeighborSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbor-sets", "neighbor-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// NeighborSetAny returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "neighbor-set".
func (n *RoutingPolicy_DefinedSetsPathAny) NeighborSetAny() *RoutingPolicy_DefinedSets_NeighborSetPathAny {
	return &RoutingPolicy_DefinedSets_NeighborSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbor-sets", "neighbor-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// NeighborSet returns from RoutingPolicy_DefinedSetsPath the path struct for its child "neighbor-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPath) NeighborSet(Name string) *RoutingPolicy_DefinedSets_NeighborSetPath {
	return &RoutingPolicy_DefinedSets_NeighborSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbor-sets", "neighbor-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// NeighborSet returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "neighbor-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPathAny) NeighborSet(Name string) *RoutingPolicy_DefinedSets_NeighborSetPathAny {
	return &RoutingPolicy_DefinedSets_NeighborSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbor-sets", "neighbor-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// PrefixSetAny returns from RoutingPolicy_DefinedSetsPath the path struct for its child "prefix-set".
func (n *RoutingPolicy_DefinedSetsPath) PrefixSetAny() *RoutingPolicy_DefinedSets_PrefixSetPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sets", "prefix-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// PrefixSetAny returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "prefix-set".
func (n *RoutingPolicy_DefinedSetsPathAny) PrefixSetAny() *RoutingPolicy_DefinedSets_PrefixSetPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sets", "prefix-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// PrefixSet returns from RoutingPolicy_DefinedSetsPath the path struct for its child "prefix-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPath) PrefixSet(Name string) *RoutingPolicy_DefinedSets_PrefixSetPath {
	return &RoutingPolicy_DefinedSets_PrefixSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sets", "prefix-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// PrefixSet returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "prefix-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPathAny) PrefixSet(Name string) *RoutingPolicy_DefinedSets_PrefixSetPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefix-sets", "prefix-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// TagSetAny returns from RoutingPolicy_DefinedSetsPath the path struct for its child "tag-set".
func (n *RoutingPolicy_DefinedSetsPath) TagSetAny() *RoutingPolicy_DefinedSets_TagSetPathAny {
	return &RoutingPolicy_DefinedSets_TagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag-sets", "tag-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// TagSetAny returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "tag-set".
func (n *RoutingPolicy_DefinedSetsPathAny) TagSetAny() *RoutingPolicy_DefinedSets_TagSetPathAny {
	return &RoutingPolicy_DefinedSets_TagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag-sets", "tag-set"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// TagSet returns from RoutingPolicy_DefinedSetsPath the path struct for its child "tag-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPath) TagSet(Name string) *RoutingPolicy_DefinedSets_TagSetPath {
	return &RoutingPolicy_DefinedSets_TagSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"tag-sets", "tag-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// TagSet returns from RoutingPolicy_DefinedSetsPathAny the path struct for its child "tag-set".
// Name: string
func (n *RoutingPolicy_DefinedSetsPathAny) TagSet(Name string) *RoutingPolicy_DefinedSets_TagSetPathAny {
	return &RoutingPolicy_DefinedSets_TagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tag-sets", "tag-set"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// RoutingPolicy_DefinedSets_NeighborSetPath represents the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_NeighborSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_NeighborSet_AddressPath represents the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set/config/address YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSet_AddressPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_NeighborSet_AddressPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set/config/address YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSet_AddressPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_NeighborSet_NamePath represents the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSet_NamePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_NeighborSet_NamePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/neighbor-sets/neighbor-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_NeighborSet_NamePathAny struct {
	*ygot.NodePath
}

// Address returns from RoutingPolicy_DefinedSets_NeighborSetPath the path struct for its child "address".
func (n *RoutingPolicy_DefinedSets_NeighborSetPath) Address() *RoutingPolicy_DefinedSets_NeighborSet_AddressPath {
	return &RoutingPolicy_DefinedSets_NeighborSet_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from RoutingPolicy_DefinedSets_NeighborSetPathAny the path struct for its child "address".
func (n *RoutingPolicy_DefinedSets_NeighborSetPathAny) Address() *RoutingPolicy_DefinedSets_NeighborSet_AddressPathAny {
	return &RoutingPolicy_DefinedSets_NeighborSet_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_DefinedSets_NeighborSetPath the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_NeighborSetPath) Name() *RoutingPolicy_DefinedSets_NeighborSet_NamePath {
	return &RoutingPolicy_DefinedSets_NeighborSet_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_DefinedSets_NeighborSetPathAny the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_NeighborSetPathAny) Name() *RoutingPolicy_DefinedSets_NeighborSet_NamePathAny {
	return &RoutingPolicy_DefinedSets_NeighborSet_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_DefinedSets_PrefixSetPath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_ModePath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/config/mode YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_ModePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_ModePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/config/mode YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_ModePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_NamePath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_NamePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_NamePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_NamePathAny struct {
	*ygot.NodePath
}

// Mode returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "mode".
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) Mode() *RoutingPolicy_DefinedSets_PrefixSet_ModePath {
	return &RoutingPolicy_DefinedSets_PrefixSet_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "mode".
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) Mode() *RoutingPolicy_DefinedSets_PrefixSet_ModePathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) Name() *RoutingPolicy_DefinedSets_PrefixSet_NamePath {
	return &RoutingPolicy_DefinedSets_PrefixSet_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) Name() *RoutingPolicy_DefinedSets_PrefixSet_NamePathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixAny returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "prefix".
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) PrefixAny() *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": "*", "masklength-range": "*"},
			n,
		),
	}
}

// PrefixAny returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "prefix".
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) PrefixAny() *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": "*", "masklength-range": "*"},
			n,
		),
	}
}

// PrefixAnyMasklengthRange returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "prefix".
// IpPrefix: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) PrefixAnyMasklengthRange(IpPrefix string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": IpPrefix, "masklength-range": "*"},
			n,
		),
	}
}

// PrefixAnyMasklengthRange returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "prefix".
// IpPrefix: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) PrefixAnyMasklengthRange(IpPrefix string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": IpPrefix, "masklength-range": "*"},
			n,
		),
	}
}

// PrefixAnyIpPrefix returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "prefix".
// MasklengthRange: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) PrefixAnyIpPrefix(MasklengthRange string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": "*", "masklength-range": MasklengthRange},
			n,
		),
	}
}

// PrefixAnyIpPrefix returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "prefix".
// MasklengthRange: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) PrefixAnyIpPrefix(MasklengthRange string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": "*", "masklength-range": MasklengthRange},
			n,
		),
	}
}

// Prefix returns from RoutingPolicy_DefinedSets_PrefixSetPath the path struct for its child "prefix".
// IpPrefix: string
// MasklengthRange: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPath) Prefix(IpPrefix string, MasklengthRange string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPath {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": IpPrefix, "masklength-range": MasklengthRange},
			n,
		),
	}
}

// Prefix returns from RoutingPolicy_DefinedSets_PrefixSetPathAny the path struct for its child "prefix".
// IpPrefix: string
// MasklengthRange: string
func (n *RoutingPolicy_DefinedSets_PrefixSetPathAny) Prefix(IpPrefix string, MasklengthRange string) *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"prefixes", "prefix"},
			map[string]interface{}{"ip-prefix": IpPrefix, "masklength-range": MasklengthRange},
			n,
		),
	}
}

// RoutingPolicy_DefinedSets_PrefixSet_PrefixPath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_PrefixPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix/config/ip-prefix YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix/config/ip-prefix YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePath represents the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix/config/masklength-range YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/prefix-sets/prefix-set/prefixes/prefix/config/masklength-range YANG schema element.
type RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePathAny struct {
	*ygot.NodePath
}

// IpPrefix returns from RoutingPolicy_DefinedSets_PrefixSet_PrefixPath the path struct for its child "ip-prefix".
func (n *RoutingPolicy_DefinedSets_PrefixSet_PrefixPath) IpPrefix() *RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPath {
	return &RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// IpPrefix returns from RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny the path struct for its child "ip-prefix".
func (n *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny) IpPrefix() *RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_Prefix_IpPrefixPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ip-prefix"},
			map[string]interface{}{},
			n,
		),
	}
}

// MasklengthRange returns from RoutingPolicy_DefinedSets_PrefixSet_PrefixPath the path struct for its child "masklength-range".
func (n *RoutingPolicy_DefinedSets_PrefixSet_PrefixPath) MasklengthRange() *RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePath {
	return &RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "masklength-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// MasklengthRange returns from RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny the path struct for its child "masklength-range".
func (n *RoutingPolicy_DefinedSets_PrefixSet_PrefixPathAny) MasklengthRange() *RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePathAny {
	return &RoutingPolicy_DefinedSets_PrefixSet_Prefix_MasklengthRangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "masklength-range"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_DefinedSets_TagSetPath represents the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set YANG schema element.
type RoutingPolicy_DefinedSets_TagSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_TagSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set YANG schema element.
type RoutingPolicy_DefinedSets_TagSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_TagSet_NamePath represents the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_TagSet_NamePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_TagSet_NamePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set/config/name YANG schema element.
type RoutingPolicy_DefinedSets_TagSet_NamePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_TagSet_TagValuePath represents the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set/config/tag-value YANG schema element.
type RoutingPolicy_DefinedSets_TagSet_TagValuePath struct {
	*ygot.NodePath
}

// RoutingPolicy_DefinedSets_TagSet_TagValuePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/defined-sets/tag-sets/tag-set/config/tag-value YANG schema element.
type RoutingPolicy_DefinedSets_TagSet_TagValuePathAny struct {
	*ygot.NodePath
}

// Name returns from RoutingPolicy_DefinedSets_TagSetPath the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_TagSetPath) Name() *RoutingPolicy_DefinedSets_TagSet_NamePath {
	return &RoutingPolicy_DefinedSets_TagSet_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_DefinedSets_TagSetPathAny the path struct for its child "name".
func (n *RoutingPolicy_DefinedSets_TagSetPathAny) Name() *RoutingPolicy_DefinedSets_TagSet_NamePathAny {
	return &RoutingPolicy_DefinedSets_TagSet_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// TagValue returns from RoutingPolicy_DefinedSets_TagSetPath the path struct for its child "tag-value".
func (n *RoutingPolicy_DefinedSets_TagSetPath) TagValue() *RoutingPolicy_DefinedSets_TagSet_TagValuePath {
	return &RoutingPolicy_DefinedSets_TagSet_TagValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// TagValue returns from RoutingPolicy_DefinedSets_TagSetPathAny the path struct for its child "tag-value".
func (n *RoutingPolicy_DefinedSets_TagSetPathAny) TagValue() *RoutingPolicy_DefinedSets_TagSet_TagValuePathAny {
	return &RoutingPolicy_DefinedSets_TagSet_TagValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinitionPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition YANG schema element.
type RoutingPolicy_PolicyDefinitionPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinitionPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition YANG schema element.
type RoutingPolicy_PolicyDefinitionPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_NamePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/config/name YANG schema element.
type RoutingPolicy_PolicyDefinition_NamePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_NamePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/config/name YANG schema element.
type RoutingPolicy_PolicyDefinition_NamePathAny struct {
	*ygot.NodePath
}

// Name returns from RoutingPolicy_PolicyDefinitionPath the path struct for its child "name".
func (n *RoutingPolicy_PolicyDefinitionPath) Name() *RoutingPolicy_PolicyDefinition_NamePath {
	return &RoutingPolicy_PolicyDefinition_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_PolicyDefinitionPathAny the path struct for its child "name".
func (n *RoutingPolicy_PolicyDefinitionPathAny) Name() *RoutingPolicy_PolicyDefinition_NamePathAny {
	return &RoutingPolicy_PolicyDefinition_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// StatementAny returns from RoutingPolicy_PolicyDefinitionPath the path struct for its child "statement".
func (n *RoutingPolicy_PolicyDefinitionPath) StatementAny() *RoutingPolicy_PolicyDefinition_StatementPathAny {
	return &RoutingPolicy_PolicyDefinition_StatementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"statements", "statement"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// StatementAny returns from RoutingPolicy_PolicyDefinitionPathAny the path struct for its child "statement".
func (n *RoutingPolicy_PolicyDefinitionPathAny) StatementAny() *RoutingPolicy_PolicyDefinition_StatementPathAny {
	return &RoutingPolicy_PolicyDefinition_StatementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"statements", "statement"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Statement returns from RoutingPolicy_PolicyDefinitionPath the path struct for its child "statement".
// Name: string
func (n *RoutingPolicy_PolicyDefinitionPath) Statement(Name string) *RoutingPolicy_PolicyDefinition_StatementPath {
	return &RoutingPolicy_PolicyDefinition_StatementPath{
		NodePath: ygot.NewNodePath(
			[]string{"statements", "statement"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Statement returns from RoutingPolicy_PolicyDefinitionPathAny the path struct for its child "statement".
// Name: string
func (n *RoutingPolicy_PolicyDefinitionPathAny) Statement(Name string) *RoutingPolicy_PolicyDefinition_StatementPathAny {
	return &RoutingPolicy_PolicyDefinition_StatementPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"statements", "statement"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_StatementPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement YANG schema element.
type RoutingPolicy_PolicyDefinition_StatementPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_StatementPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement YANG schema element.
type RoutingPolicy_PolicyDefinition_StatementPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_NamePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/config/name YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_NamePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_NamePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/config/name YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_NamePathAny struct {
	*ygot.NodePath
}

// Actions returns from RoutingPolicy_PolicyDefinition_StatementPath the path struct for its child "actions".
func (n *RoutingPolicy_PolicyDefinition_StatementPath) Actions() *RoutingPolicy_PolicyDefinition_Statement_ActionsPath {
	return &RoutingPolicy_PolicyDefinition_Statement_ActionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"actions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Actions returns from RoutingPolicy_PolicyDefinition_StatementPathAny the path struct for its child "actions".
func (n *RoutingPolicy_PolicyDefinition_StatementPathAny) Actions() *RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"actions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Conditions returns from RoutingPolicy_PolicyDefinition_StatementPath the path struct for its child "conditions".
func (n *RoutingPolicy_PolicyDefinition_StatementPath) Conditions() *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath {
	return &RoutingPolicy_PolicyDefinition_Statement_ConditionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"conditions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Conditions returns from RoutingPolicy_PolicyDefinition_StatementPathAny the path struct for its child "conditions".
func (n *RoutingPolicy_PolicyDefinition_StatementPathAny) Conditions() *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"conditions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_PolicyDefinition_StatementPath the path struct for its child "name".
func (n *RoutingPolicy_PolicyDefinition_StatementPath) Name() *RoutingPolicy_PolicyDefinition_Statement_NamePath {
	return &RoutingPolicy_PolicyDefinition_Statement_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from RoutingPolicy_PolicyDefinition_StatementPathAny the path struct for its child "name".
func (n *RoutingPolicy_PolicyDefinition_StatementPathAny) Name() *RoutingPolicy_PolicyDefinition_Statement_NamePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_ActionsPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_ActionsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/config/policy-result YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/config/policy-result YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPathAny struct {
	*ygot.NodePath
}

// PolicyResult returns from RoutingPolicy_PolicyDefinition_Statement_ActionsPath the path struct for its child "policy-result".
func (n *RoutingPolicy_PolicyDefinition_Statement_ActionsPath) PolicyResult() *RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "policy-result"},
			map[string]interface{}{},
			n,
		),
	}
}

// PolicyResult returns from RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny the path struct for its child "policy-result".
func (n *RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny) PolicyResult() *RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_PolicyResultPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "policy-result"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from RoutingPolicy_PolicyDefinition_Statement_ActionsPath the path struct for its child "set-tag".
func (n *RoutingPolicy_PolicyDefinition_Statement_ActionsPath) SetTag() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath{
		NodePath: ygot.NewNodePath(
			[]string{"set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// SetTag returns from RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny the path struct for its child "set-tag".
func (n *RoutingPolicy_PolicyDefinition_Statement_ActionsPathAny) SetTag() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"set-tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/config/mode YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/config/mode YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePathAny struct {
	*ygot.NodePath
}

// Inline returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath the path struct for its child "inline".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath) Inline() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath{
		NodePath: ygot.NewNodePath(
			[]string{"inline"},
			map[string]interface{}{},
			n,
		),
	}
}

// Inline returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny the path struct for its child "inline".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny) Inline() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"inline"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath the path struct for its child "mode".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath) Mode() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mode returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny the path struct for its child "mode".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny) Mode() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reference returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath the path struct for its child "reference".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPath) Reference() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath{
		NodePath: ygot.NewNodePath(
			[]string{"reference"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reference returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny the path struct for its child "reference".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTagPathAny) Reference() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"reference"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/inline YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/inline YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/inline/config/tag YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/inline/config/tag YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPathAny struct {
	*ygot.NodePath
}

// Tag returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath the path struct for its child "tag".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePath) Tag() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tag returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny the path struct for its child "tag".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_InlinePathAny) Tag() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Inline_TagPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/reference YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/reference YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/reference/config/tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/actions/set-tag/reference/config/tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPathAny struct {
	*ygot.NodePath
}

// TagSet returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath the path struct for its child "tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePath) TagSet() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// TagSet returns from RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny the path struct for its child "tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_ReferencePathAny) TagSet() *RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Actions_SetTag_Reference_TagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_ConditionsPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_ConditionsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/config/call-policy YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/config/call-policy YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/config/install-protocol-eq YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/config/install-protocol-eq YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPathAny struct {
	*ygot.NodePath
}

// CallPolicy returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "call-policy".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) CallPolicy() *RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "call-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// CallPolicy returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "call-policy".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) CallPolicy() *RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_CallPolicyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "call-policy"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstallProtocolEq returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "install-protocol-eq".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) InstallProtocolEq() *RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "install-protocol-eq"},
			map[string]interface{}{},
			n,
		),
	}
}

// InstallProtocolEq returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "install-protocol-eq".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) InstallProtocolEq() *RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_InstallProtocolEqPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "install-protocol-eq"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchInterface returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "match-interface".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) MatchInterface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"match-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchInterface returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "match-interface".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) MatchInterface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"match-interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchNeighborSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "match-neighbor-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) MatchNeighborSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"match-neighbor-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchNeighborSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "match-neighbor-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) MatchNeighborSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"match-neighbor-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchPrefixSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "match-prefix-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) MatchPrefixSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"match-prefix-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchPrefixSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "match-prefix-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) MatchPrefixSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"match-prefix-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchTagSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPath the path struct for its child "match-tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPath) MatchTagSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"match-tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchTagSet returns from RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny the path struct for its child "match-tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_ConditionsPathAny) MatchTagSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"match-tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface/config/interface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface/config/interface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface/config/subinterface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-interface/config/subinterface YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePathAny struct {
	*ygot.NodePath
}

// Interface returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath the path struct for its child "interface".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath) Interface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interface returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny the path struct for its child "interface".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny) Interface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "interface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath the path struct for its child "subinterface".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePath) Subinterface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// Subinterface returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny the path struct for its child "subinterface".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterfacePathAny) Subinterface() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchInterface_SubinterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "subinterface"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set/config/neighbor-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-neighbor-set/config/neighbor-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPathAny struct {
	*ygot.NodePath
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_MatchSetOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath the path struct for its child "neighbor-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPath) NeighborSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny the path struct for its child "neighbor-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSetPathAny) NeighborSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchNeighborSet_NeighborSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "neighbor-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set/config/prefix-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-prefix-set/config/prefix-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPathAny struct {
	*ygot.NodePath
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_MatchSetOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath the path struct for its child "prefix-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPath) PrefixSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// PrefixSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny the path struct for its child "prefix-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSetPathAny) PrefixSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchPrefixSet_PrefixSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefix-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set/config/match-set-options YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPathAny struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPath represents the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set/config/tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPath struct {
	*ygot.NodePath
}

// RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPathAny represents the wildcard version of the /openconfig-routing-policy/routing-policy/policy-definitions/policy-definition/statements/statement/conditions/match-tag-set/config/tag-set YANG schema element.
type RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPathAny struct {
	*ygot.NodePath
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// MatchSetOptions returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny the path struct for its child "match-set-options".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny) MatchSetOptions() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_MatchSetOptionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "match-set-options"},
			map[string]interface{}{},
			n,
		),
	}
}

// TagSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath the path struct for its child "tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPath) TagSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPath {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// TagSet returns from RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny the path struct for its child "tag-set".
func (n *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSetPathAny) TagSet() *RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPathAny {
	return &RoutingPolicy_PolicyDefinition_Statement_Conditions_MatchTagSet_TagSetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tag-set"},
			map[string]interface{}{},
			n,
		),
	}
}

// StpPath represents the /openconfig-spanning-tree/stp YANG schema element.
type StpPath struct {
	*ygot.NodePath
}

// StpPathAny represents the wildcard version of the /openconfig-spanning-tree/stp YANG schema element.
type StpPathAny struct {
	*ygot.NodePath
}

// Global returns from StpPath the path struct for its child "global".
func (n *StpPath) Global() *Stp_GlobalPath {
	return &Stp_GlobalPath{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// Global returns from StpPathAny the path struct for its child "global".
func (n *StpPathAny) Global() *Stp_GlobalPathAny {
	return &Stp_GlobalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"global"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from StpPath the path struct for its child "interface".
func (n *StpPath) InterfaceAny() *Stp_InterfacePathAny {
	return &Stp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from StpPathAny the path struct for its child "interface".
func (n *StpPathAny) InterfaceAny() *Stp_InterfacePathAny {
	return &Stp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from StpPath the path struct for its child "interface".
// Name: string
func (n *StpPath) Interface(Name string) *Stp_InterfacePath {
	return &Stp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from StpPathAny the path struct for its child "interface".
// Name: string
func (n *StpPathAny) Interface(Name string) *Stp_InterfacePathAny {
	return &Stp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Mstp returns from StpPath the path struct for its child "mstp".
func (n *StpPath) Mstp() *Stp_MstpPath {
	return &Stp_MstpPath{
		NodePath: ygot.NewNodePath(
			[]string{"mstp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mstp returns from StpPathAny the path struct for its child "mstp".
func (n *StpPathAny) Mstp() *Stp_MstpPathAny {
	return &Stp_MstpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mstp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rstp returns from StpPath the path struct for its child "rstp".
func (n *StpPath) Rstp() *Stp_RstpPath {
	return &Stp_RstpPath{
		NodePath: ygot.NewNodePath(
			[]string{"rstp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Rstp returns from StpPathAny the path struct for its child "rstp".
func (n *StpPathAny) Rstp() *Stp_RstpPathAny {
	return &Stp_RstpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rstp"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanAny returns from StpPath the path struct for its child "vlan".
func (n *StpPath) VlanAny() *Stp_VlanPathAny {
	return &Stp_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rapid-pvst", "vlan"},
			map[string]interface{}{"vlan-id": "*"},
			n,
		),
	}
}

// VlanAny returns from StpPathAny the path struct for its child "vlan".
func (n *StpPathAny) VlanAny() *Stp_VlanPathAny {
	return &Stp_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rapid-pvst", "vlan"},
			map[string]interface{}{"vlan-id": "*"},
			n,
		),
	}
}

// Vlan returns from StpPath the path struct for its child "vlan".
// VlanId: uint16
func (n *StpPath) Vlan(VlanId uint16) *Stp_VlanPath {
	return &Stp_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"rapid-pvst", "vlan"},
			map[string]interface{}{"vlan-id": VlanId},
			n,
		),
	}
}

// Vlan returns from StpPathAny the path struct for its child "vlan".
// VlanId: uint16
func (n *StpPathAny) Vlan(VlanId uint16) *Stp_VlanPathAny {
	return &Stp_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"rapid-pvst", "vlan"},
			map[string]interface{}{"vlan-id": VlanId},
			n,
		),
	}
}

// Stp_GlobalPath represents the /openconfig-spanning-tree/stp/global YANG schema element.
type Stp_GlobalPath struct {
	*ygot.NodePath
}

// Stp_GlobalPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global YANG schema element.
type Stp_GlobalPathAny struct {
	*ygot.NodePath
}

// Stp_Global_BpduFilterPath represents the /openconfig-spanning-tree/stp/global/config/bpdu-filter YANG schema element.
type Stp_Global_BpduFilterPath struct {
	*ygot.NodePath
}

// Stp_Global_BpduFilterPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/bpdu-filter YANG schema element.
type Stp_Global_BpduFilterPathAny struct {
	*ygot.NodePath
}

// Stp_Global_BpduGuardPath represents the /openconfig-spanning-tree/stp/global/config/bpdu-guard YANG schema element.
type Stp_Global_BpduGuardPath struct {
	*ygot.NodePath
}

// Stp_Global_BpduGuardPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/bpdu-guard YANG schema element.
type Stp_Global_BpduGuardPathAny struct {
	*ygot.NodePath
}

// Stp_Global_BpduguardTimeoutRecoveryPath represents the /openconfig-spanning-tree/stp/global/config/bpduguard-timeout-recovery YANG schema element.
type Stp_Global_BpduguardTimeoutRecoveryPath struct {
	*ygot.NodePath
}

// Stp_Global_BpduguardTimeoutRecoveryPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/bpduguard-timeout-recovery YANG schema element.
type Stp_Global_BpduguardTimeoutRecoveryPathAny struct {
	*ygot.NodePath
}

// Stp_Global_BridgeAssurancePath represents the /openconfig-spanning-tree/stp/global/config/bridge-assurance YANG schema element.
type Stp_Global_BridgeAssurancePath struct {
	*ygot.NodePath
}

// Stp_Global_BridgeAssurancePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/bridge-assurance YANG schema element.
type Stp_Global_BridgeAssurancePathAny struct {
	*ygot.NodePath
}

// Stp_Global_EnabledProtocolPath represents the /openconfig-spanning-tree/stp/global/config/enabled-protocol YANG schema element.
type Stp_Global_EnabledProtocolPath struct {
	*ygot.NodePath
}

// Stp_Global_EnabledProtocolPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/enabled-protocol YANG schema element.
type Stp_Global_EnabledProtocolPathAny struct {
	*ygot.NodePath
}

// Stp_Global_EtherchannelMisconfigGuardPath represents the /openconfig-spanning-tree/stp/global/config/etherchannel-misconfig-guard YANG schema element.
type Stp_Global_EtherchannelMisconfigGuardPath struct {
	*ygot.NodePath
}

// Stp_Global_EtherchannelMisconfigGuardPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/etherchannel-misconfig-guard YANG schema element.
type Stp_Global_EtherchannelMisconfigGuardPathAny struct {
	*ygot.NodePath
}

// Stp_Global_LoopGuardPath represents the /openconfig-spanning-tree/stp/global/config/loop-guard YANG schema element.
type Stp_Global_LoopGuardPath struct {
	*ygot.NodePath
}

// Stp_Global_LoopGuardPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/global/config/loop-guard YANG schema element.
type Stp_Global_LoopGuardPathAny struct {
	*ygot.NodePath
}

// BpduFilter returns from Stp_GlobalPath the path struct for its child "bpdu-filter".
func (n *Stp_GlobalPath) BpduFilter() *Stp_Global_BpduFilterPath {
	return &Stp_Global_BpduFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduFilter returns from Stp_GlobalPathAny the path struct for its child "bpdu-filter".
func (n *Stp_GlobalPathAny) BpduFilter() *Stp_Global_BpduFilterPathAny {
	return &Stp_Global_BpduFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduGuard returns from Stp_GlobalPath the path struct for its child "bpdu-guard".
func (n *Stp_GlobalPath) BpduGuard() *Stp_Global_BpduGuardPath {
	return &Stp_Global_BpduGuardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduGuard returns from Stp_GlobalPathAny the path struct for its child "bpdu-guard".
func (n *Stp_GlobalPathAny) BpduGuard() *Stp_Global_BpduGuardPathAny {
	return &Stp_Global_BpduGuardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduguardTimeoutRecovery returns from Stp_GlobalPath the path struct for its child "bpduguard-timeout-recovery".
func (n *Stp_GlobalPath) BpduguardTimeoutRecovery() *Stp_Global_BpduguardTimeoutRecoveryPath {
	return &Stp_Global_BpduguardTimeoutRecoveryPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpduguard-timeout-recovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduguardTimeoutRecovery returns from Stp_GlobalPathAny the path struct for its child "bpduguard-timeout-recovery".
func (n *Stp_GlobalPathAny) BpduguardTimeoutRecovery() *Stp_Global_BpduguardTimeoutRecoveryPathAny {
	return &Stp_Global_BpduguardTimeoutRecoveryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpduguard-timeout-recovery"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgeAssurance returns from Stp_GlobalPath the path struct for its child "bridge-assurance".
func (n *Stp_GlobalPath) BridgeAssurance() *Stp_Global_BridgeAssurancePath {
	return &Stp_Global_BridgeAssurancePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-assurance"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgeAssurance returns from Stp_GlobalPathAny the path struct for its child "bridge-assurance".
func (n *Stp_GlobalPathAny) BridgeAssurance() *Stp_Global_BridgeAssurancePathAny {
	return &Stp_Global_BridgeAssurancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-assurance"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnabledProtocol returns from Stp_GlobalPath the path struct for its child "enabled-protocol".
func (n *Stp_GlobalPath) EnabledProtocol() *Stp_Global_EnabledProtocolPath {
	return &Stp_Global_EnabledProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnabledProtocol returns from Stp_GlobalPathAny the path struct for its child "enabled-protocol".
func (n *Stp_GlobalPathAny) EnabledProtocol() *Stp_Global_EnabledProtocolPathAny {
	return &Stp_Global_EnabledProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// EtherchannelMisconfigGuard returns from Stp_GlobalPath the path struct for its child "etherchannel-misconfig-guard".
func (n *Stp_GlobalPath) EtherchannelMisconfigGuard() *Stp_Global_EtherchannelMisconfigGuardPath {
	return &Stp_Global_EtherchannelMisconfigGuardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "etherchannel-misconfig-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// EtherchannelMisconfigGuard returns from Stp_GlobalPathAny the path struct for its child "etherchannel-misconfig-guard".
func (n *Stp_GlobalPathAny) EtherchannelMisconfigGuard() *Stp_Global_EtherchannelMisconfigGuardPathAny {
	return &Stp_Global_EtherchannelMisconfigGuardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "etherchannel-misconfig-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopGuard returns from Stp_GlobalPath the path struct for its child "loop-guard".
func (n *Stp_GlobalPath) LoopGuard() *Stp_Global_LoopGuardPath {
	return &Stp_Global_LoopGuardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loop-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopGuard returns from Stp_GlobalPathAny the path struct for its child "loop-guard".
func (n *Stp_GlobalPathAny) LoopGuard() *Stp_Global_LoopGuardPathAny {
	return &Stp_Global_LoopGuardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loop-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_InterfacePath represents the /openconfig-spanning-tree/stp/interfaces/interface YANG schema element.
type Stp_InterfacePath struct {
	*ygot.NodePath
}

// Stp_InterfacePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface YANG schema element.
type Stp_InterfacePathAny struct {
	*ygot.NodePath
}

// Stp_Interface_BpduFilterPath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/bpdu-filter YANG schema element.
type Stp_Interface_BpduFilterPath struct {
	*ygot.NodePath
}

// Stp_Interface_BpduFilterPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/bpdu-filter YANG schema element.
type Stp_Interface_BpduFilterPathAny struct {
	*ygot.NodePath
}

// Stp_Interface_BpduGuardPath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/bpdu-guard YANG schema element.
type Stp_Interface_BpduGuardPath struct {
	*ygot.NodePath
}

// Stp_Interface_BpduGuardPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/bpdu-guard YANG schema element.
type Stp_Interface_BpduGuardPathAny struct {
	*ygot.NodePath
}

// Stp_Interface_EdgePortPath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/edge-port YANG schema element.
type Stp_Interface_EdgePortPath struct {
	*ygot.NodePath
}

// Stp_Interface_EdgePortPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/edge-port YANG schema element.
type Stp_Interface_EdgePortPathAny struct {
	*ygot.NodePath
}

// Stp_Interface_GuardPath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/guard YANG schema element.
type Stp_Interface_GuardPath struct {
	*ygot.NodePath
}

// Stp_Interface_GuardPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/guard YANG schema element.
type Stp_Interface_GuardPathAny struct {
	*ygot.NodePath
}

// Stp_Interface_LinkTypePath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/link-type YANG schema element.
type Stp_Interface_LinkTypePath struct {
	*ygot.NodePath
}

// Stp_Interface_LinkTypePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/link-type YANG schema element.
type Stp_Interface_LinkTypePathAny struct {
	*ygot.NodePath
}

// Stp_Interface_NamePath represents the /openconfig-spanning-tree/stp/interfaces/interface/config/name YANG schema element.
type Stp_Interface_NamePath struct {
	*ygot.NodePath
}

// Stp_Interface_NamePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/interfaces/interface/config/name YANG schema element.
type Stp_Interface_NamePathAny struct {
	*ygot.NodePath
}

// BpduFilter returns from Stp_InterfacePath the path struct for its child "bpdu-filter".
func (n *Stp_InterfacePath) BpduFilter() *Stp_Interface_BpduFilterPath {
	return &Stp_Interface_BpduFilterPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduFilter returns from Stp_InterfacePathAny the path struct for its child "bpdu-filter".
func (n *Stp_InterfacePathAny) BpduFilter() *Stp_Interface_BpduFilterPathAny {
	return &Stp_Interface_BpduFilterPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-filter"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduGuard returns from Stp_InterfacePath the path struct for its child "bpdu-guard".
func (n *Stp_InterfacePath) BpduGuard() *Stp_Interface_BpduGuardPath {
	return &Stp_Interface_BpduGuardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduGuard returns from Stp_InterfacePathAny the path struct for its child "bpdu-guard".
func (n *Stp_InterfacePathAny) BpduGuard() *Stp_Interface_BpduGuardPathAny {
	return &Stp_Interface_BpduGuardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bpdu-guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// EdgePort returns from Stp_InterfacePath the path struct for its child "edge-port".
func (n *Stp_InterfacePath) EdgePort() *Stp_Interface_EdgePortPath {
	return &Stp_Interface_EdgePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "edge-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// EdgePort returns from Stp_InterfacePathAny the path struct for its child "edge-port".
func (n *Stp_InterfacePathAny) EdgePort() *Stp_Interface_EdgePortPathAny {
	return &Stp_Interface_EdgePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "edge-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Guard returns from Stp_InterfacePath the path struct for its child "guard".
func (n *Stp_InterfacePath) Guard() *Stp_Interface_GuardPath {
	return &Stp_Interface_GuardPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// Guard returns from Stp_InterfacePathAny the path struct for its child "guard".
func (n *Stp_InterfacePathAny) Guard() *Stp_Interface_GuardPathAny {
	return &Stp_Interface_GuardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "guard"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from Stp_InterfacePath the path struct for its child "link-type".
func (n *Stp_InterfacePath) LinkType() *Stp_Interface_LinkTypePath {
	return &Stp_Interface_LinkTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkType returns from Stp_InterfacePathAny the path struct for its child "link-type".
func (n *Stp_InterfacePathAny) LinkType() *Stp_Interface_LinkTypePathAny {
	return &Stp_Interface_LinkTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "link-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_InterfacePath the path struct for its child "name".
func (n *Stp_InterfacePath) Name() *Stp_Interface_NamePath {
	return &Stp_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_InterfacePathAny the path struct for its child "name".
func (n *Stp_InterfacePathAny) Name() *Stp_Interface_NamePathAny {
	return &Stp_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_MstpPath represents the /openconfig-spanning-tree/stp/mstp YANG schema element.
type Stp_MstpPath struct {
	*ygot.NodePath
}

// Stp_MstpPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp YANG schema element.
type Stp_MstpPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_ForwardingDelayPath represents the /openconfig-spanning-tree/stp/mstp/config/forwarding-delay YANG schema element.
type Stp_Mstp_ForwardingDelayPath struct {
	*ygot.NodePath
}

// Stp_Mstp_ForwardingDelayPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/forwarding-delay YANG schema element.
type Stp_Mstp_ForwardingDelayPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_HelloTimePath represents the /openconfig-spanning-tree/stp/mstp/config/hello-time YANG schema element.
type Stp_Mstp_HelloTimePath struct {
	*ygot.NodePath
}

// Stp_Mstp_HelloTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/hello-time YANG schema element.
type Stp_Mstp_HelloTimePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_HoldCountPath represents the /openconfig-spanning-tree/stp/mstp/config/hold-count YANG schema element.
type Stp_Mstp_HoldCountPath struct {
	*ygot.NodePath
}

// Stp_Mstp_HoldCountPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/hold-count YANG schema element.
type Stp_Mstp_HoldCountPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MaxAgePath represents the /openconfig-spanning-tree/stp/mstp/config/max-age YANG schema element.
type Stp_Mstp_MaxAgePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MaxAgePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/max-age YANG schema element.
type Stp_Mstp_MaxAgePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MaxHopPath represents the /openconfig-spanning-tree/stp/mstp/config/max-hop YANG schema element.
type Stp_Mstp_MaxHopPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MaxHopPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/max-hop YANG schema element.
type Stp_Mstp_MaxHopPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_NamePath represents the /openconfig-spanning-tree/stp/mstp/config/name YANG schema element.
type Stp_Mstp_NamePath struct {
	*ygot.NodePath
}

// Stp_Mstp_NamePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/name YANG schema element.
type Stp_Mstp_NamePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_RevisionPath represents the /openconfig-spanning-tree/stp/mstp/config/revision YANG schema element.
type Stp_Mstp_RevisionPath struct {
	*ygot.NodePath
}

// Stp_Mstp_RevisionPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/config/revision YANG schema element.
type Stp_Mstp_RevisionPathAny struct {
	*ygot.NodePath
}

// ForwardingDelay returns from Stp_MstpPath the path struct for its child "forwarding-delay".
func (n *Stp_MstpPath) ForwardingDelay() *Stp_Mstp_ForwardingDelayPath {
	return &Stp_Mstp_ForwardingDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingDelay returns from Stp_MstpPathAny the path struct for its child "forwarding-delay".
func (n *Stp_MstpPathAny) ForwardingDelay() *Stp_Mstp_ForwardingDelayPathAny {
	return &Stp_Mstp_ForwardingDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_MstpPath the path struct for its child "hello-time".
func (n *Stp_MstpPath) HelloTime() *Stp_Mstp_HelloTimePath {
	return &Stp_Mstp_HelloTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_MstpPathAny the path struct for its child "hello-time".
func (n *Stp_MstpPathAny) HelloTime() *Stp_Mstp_HelloTimePathAny {
	return &Stp_Mstp_HelloTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_MstpPath the path struct for its child "hold-count".
func (n *Stp_MstpPath) HoldCount() *Stp_Mstp_HoldCountPath {
	return &Stp_Mstp_HoldCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_MstpPathAny the path struct for its child "hold-count".
func (n *Stp_MstpPathAny) HoldCount() *Stp_Mstp_HoldCountPathAny {
	return &Stp_Mstp_HoldCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_MstpPath the path struct for its child "max-age".
func (n *Stp_MstpPath) MaxAge() *Stp_Mstp_MaxAgePath {
	return &Stp_Mstp_MaxAgePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_MstpPathAny the path struct for its child "max-age".
func (n *Stp_MstpPathAny) MaxAge() *Stp_Mstp_MaxAgePathAny {
	return &Stp_Mstp_MaxAgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxHop returns from Stp_MstpPath the path struct for its child "max-hop".
func (n *Stp_MstpPath) MaxHop() *Stp_Mstp_MaxHopPath {
	return &Stp_Mstp_MaxHopPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxHop returns from Stp_MstpPathAny the path struct for its child "max-hop".
func (n *Stp_MstpPathAny) MaxHop() *Stp_Mstp_MaxHopPathAny {
	return &Stp_Mstp_MaxHopPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-hop"},
			map[string]interface{}{},
			n,
		),
	}
}

// MstInstanceAny returns from Stp_MstpPath the path struct for its child "mst-instance".
func (n *Stp_MstpPath) MstInstanceAny() *Stp_Mstp_MstInstancePathAny {
	return &Stp_Mstp_MstInstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mst-instances", "mst-instance"},
			map[string]interface{}{"mst-id": "*"},
			n,
		),
	}
}

// MstInstanceAny returns from Stp_MstpPathAny the path struct for its child "mst-instance".
func (n *Stp_MstpPathAny) MstInstanceAny() *Stp_Mstp_MstInstancePathAny {
	return &Stp_Mstp_MstInstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mst-instances", "mst-instance"},
			map[string]interface{}{"mst-id": "*"},
			n,
		),
	}
}

// MstInstance returns from Stp_MstpPath the path struct for its child "mst-instance".
// MstId: uint16
func (n *Stp_MstpPath) MstInstance(MstId uint16) *Stp_Mstp_MstInstancePath {
	return &Stp_Mstp_MstInstancePath{
		NodePath: ygot.NewNodePath(
			[]string{"mst-instances", "mst-instance"},
			map[string]interface{}{"mst-id": MstId},
			n,
		),
	}
}

// MstInstance returns from Stp_MstpPathAny the path struct for its child "mst-instance".
// MstId: uint16
func (n *Stp_MstpPathAny) MstInstance(MstId uint16) *Stp_Mstp_MstInstancePathAny {
	return &Stp_Mstp_MstInstancePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"mst-instances", "mst-instance"},
			map[string]interface{}{"mst-id": MstId},
			n,
		),
	}
}

// Name returns from Stp_MstpPath the path struct for its child "name".
func (n *Stp_MstpPath) Name() *Stp_Mstp_NamePath {
	return &Stp_Mstp_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_MstpPathAny the path struct for its child "name".
func (n *Stp_MstpPathAny) Name() *Stp_Mstp_NamePathAny {
	return &Stp_Mstp_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Revision returns from Stp_MstpPath the path struct for its child "revision".
func (n *Stp_MstpPath) Revision() *Stp_Mstp_RevisionPath {
	return &Stp_Mstp_RevisionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "revision"},
			map[string]interface{}{},
			n,
		),
	}
}

// Revision returns from Stp_MstpPathAny the path struct for its child "revision".
func (n *Stp_MstpPathAny) Revision() *Stp_Mstp_RevisionPathAny {
	return &Stp_Mstp_RevisionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "revision"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Mstp_MstInstancePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance YANG schema element.
type Stp_Mstp_MstInstancePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstancePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance YANG schema element.
type Stp_Mstp_MstInstancePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_BridgeAddressPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/bridge-address YANG schema element.
type Stp_Mstp_MstInstance_BridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_BridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/bridge-address YANG schema element.
type Stp_Mstp_MstInstance_BridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_BridgePriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/bridge-priority YANG schema element.
type Stp_Mstp_MstInstance_BridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_BridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/bridge-priority YANG schema element.
type Stp_Mstp_MstInstance_BridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/designated-root-address YANG schema element.
type Stp_Mstp_MstInstance_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/designated-root-address YANG schema element.
type Stp_Mstp_MstInstance_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/designated-root-priority YANG schema element.
type Stp_Mstp_MstInstance_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/designated-root-priority YANG schema element.
type Stp_Mstp_MstInstance_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_HoldTimePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/hold-time YANG schema element.
type Stp_Mstp_MstInstance_HoldTimePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_HoldTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/hold-time YANG schema element.
type Stp_Mstp_MstInstance_HoldTimePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_LastTopologyChangePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/last-topology-change YANG schema element.
type Stp_Mstp_MstInstance_LastTopologyChangePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_LastTopologyChangePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/last-topology-change YANG schema element.
type Stp_Mstp_MstInstance_LastTopologyChangePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_MstIdPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/mst-id YANG schema element.
type Stp_Mstp_MstInstance_MstIdPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_MstIdPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/mst-id YANG schema element.
type Stp_Mstp_MstInstance_MstIdPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_RootCostPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/root-cost YANG schema element.
type Stp_Mstp_MstInstance_RootCostPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_RootCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/root-cost YANG schema element.
type Stp_Mstp_MstInstance_RootCostPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_RootPortPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/root-port YANG schema element.
type Stp_Mstp_MstInstance_RootPortPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_RootPortPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/root-port YANG schema element.
type Stp_Mstp_MstInstance_RootPortPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_TopologyChangesPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/topology-changes YANG schema element.
type Stp_Mstp_MstInstance_TopologyChangesPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_TopologyChangesPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/state/topology-changes YANG schema element.
type Stp_Mstp_MstInstance_TopologyChangesPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_VlanPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/vlan YANG schema element.
type Stp_Mstp_MstInstance_VlanPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_VlanPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/config/vlan YANG schema element.
type Stp_Mstp_MstInstance_VlanPathAny struct {
	*ygot.NodePath
}

// BridgeAddress returns from Stp_Mstp_MstInstancePath the path struct for its child "bridge-address".
func (n *Stp_Mstp_MstInstancePath) BridgeAddress() *Stp_Mstp_MstInstance_BridgeAddressPath {
	return &Stp_Mstp_MstInstance_BridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgeAddress returns from Stp_Mstp_MstInstancePathAny the path struct for its child "bridge-address".
func (n *Stp_Mstp_MstInstancePathAny) BridgeAddress() *Stp_Mstp_MstInstance_BridgeAddressPathAny {
	return &Stp_Mstp_MstInstance_BridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_Mstp_MstInstancePath the path struct for its child "bridge-priority".
func (n *Stp_Mstp_MstInstancePath) BridgePriority() *Stp_Mstp_MstInstance_BridgePriorityPath {
	return &Stp_Mstp_MstInstance_BridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_Mstp_MstInstancePathAny the path struct for its child "bridge-priority".
func (n *Stp_Mstp_MstInstancePathAny) BridgePriority() *Stp_Mstp_MstInstance_BridgePriorityPathAny {
	return &Stp_Mstp_MstInstance_BridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Mstp_MstInstancePath the path struct for its child "designated-root-address".
func (n *Stp_Mstp_MstInstancePath) DesignatedRootAddress() *Stp_Mstp_MstInstance_DesignatedRootAddressPath {
	return &Stp_Mstp_MstInstance_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Mstp_MstInstancePathAny the path struct for its child "designated-root-address".
func (n *Stp_Mstp_MstInstancePathAny) DesignatedRootAddress() *Stp_Mstp_MstInstance_DesignatedRootAddressPathAny {
	return &Stp_Mstp_MstInstance_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Mstp_MstInstancePath the path struct for its child "designated-root-priority".
func (n *Stp_Mstp_MstInstancePath) DesignatedRootPriority() *Stp_Mstp_MstInstance_DesignatedRootPriorityPath {
	return &Stp_Mstp_MstInstance_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Mstp_MstInstancePathAny the path struct for its child "designated-root-priority".
func (n *Stp_Mstp_MstInstancePathAny) DesignatedRootPriority() *Stp_Mstp_MstInstance_DesignatedRootPriorityPathAny {
	return &Stp_Mstp_MstInstance_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_Mstp_MstInstancePath the path struct for its child "hold-time".
func (n *Stp_Mstp_MstInstancePath) HoldTime() *Stp_Mstp_MstInstance_HoldTimePath {
	return &Stp_Mstp_MstInstance_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_Mstp_MstInstancePathAny the path struct for its child "hold-time".
func (n *Stp_Mstp_MstInstancePathAny) HoldTime() *Stp_Mstp_MstInstance_HoldTimePathAny {
	return &Stp_Mstp_MstInstance_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from Stp_Mstp_MstInstancePath the path struct for its child "interface".
func (n *Stp_Mstp_MstInstancePath) InterfaceAny() *Stp_Mstp_MstInstance_InterfacePathAny {
	return &Stp_Mstp_MstInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from Stp_Mstp_MstInstancePathAny the path struct for its child "interface".
func (n *Stp_Mstp_MstInstancePathAny) InterfaceAny() *Stp_Mstp_MstInstance_InterfacePathAny {
	return &Stp_Mstp_MstInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from Stp_Mstp_MstInstancePath the path struct for its child "interface".
// Name: string
func (n *Stp_Mstp_MstInstancePath) Interface(Name string) *Stp_Mstp_MstInstance_InterfacePath {
	return &Stp_Mstp_MstInstance_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from Stp_Mstp_MstInstancePathAny the path struct for its child "interface".
// Name: string
func (n *Stp_Mstp_MstInstancePathAny) Interface(Name string) *Stp_Mstp_MstInstance_InterfacePathAny {
	return &Stp_Mstp_MstInstance_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_Mstp_MstInstancePath the path struct for its child "last-topology-change".
func (n *Stp_Mstp_MstInstancePath) LastTopologyChange() *Stp_Mstp_MstInstance_LastTopologyChangePath {
	return &Stp_Mstp_MstInstance_LastTopologyChangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_Mstp_MstInstancePathAny the path struct for its child "last-topology-change".
func (n *Stp_Mstp_MstInstancePathAny) LastTopologyChange() *Stp_Mstp_MstInstance_LastTopologyChangePathAny {
	return &Stp_Mstp_MstInstance_LastTopologyChangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// MstId returns from Stp_Mstp_MstInstancePath the path struct for its child "mst-id".
func (n *Stp_Mstp_MstInstancePath) MstId() *Stp_Mstp_MstInstance_MstIdPath {
	return &Stp_Mstp_MstInstance_MstIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mst-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// MstId returns from Stp_Mstp_MstInstancePathAny the path struct for its child "mst-id".
func (n *Stp_Mstp_MstInstancePathAny) MstId() *Stp_Mstp_MstInstance_MstIdPathAny {
	return &Stp_Mstp_MstInstance_MstIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mst-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_Mstp_MstInstancePath the path struct for its child "root-cost".
func (n *Stp_Mstp_MstInstancePath) RootCost() *Stp_Mstp_MstInstance_RootCostPath {
	return &Stp_Mstp_MstInstance_RootCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_Mstp_MstInstancePathAny the path struct for its child "root-cost".
func (n *Stp_Mstp_MstInstancePathAny) RootCost() *Stp_Mstp_MstInstance_RootCostPathAny {
	return &Stp_Mstp_MstInstance_RootCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_Mstp_MstInstancePath the path struct for its child "root-port".
func (n *Stp_Mstp_MstInstancePath) RootPort() *Stp_Mstp_MstInstance_RootPortPath {
	return &Stp_Mstp_MstInstance_RootPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_Mstp_MstInstancePathAny the path struct for its child "root-port".
func (n *Stp_Mstp_MstInstancePathAny) RootPort() *Stp_Mstp_MstInstance_RootPortPathAny {
	return &Stp_Mstp_MstInstance_RootPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_Mstp_MstInstancePath the path struct for its child "topology-changes".
func (n *Stp_Mstp_MstInstancePath) TopologyChanges() *Stp_Mstp_MstInstance_TopologyChangesPath {
	return &Stp_Mstp_MstInstance_TopologyChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_Mstp_MstInstancePathAny the path struct for its child "topology-changes".
func (n *Stp_Mstp_MstInstancePathAny) TopologyChanges() *Stp_Mstp_MstInstance_TopologyChangesPathAny {
	return &Stp_Mstp_MstInstance_TopologyChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Stp_Mstp_MstInstancePath the path struct for its child "vlan".
func (n *Stp_Mstp_MstInstancePath) Vlan() *Stp_Mstp_MstInstance_VlanPath {
	return &Stp_Mstp_MstInstance_VlanPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Vlan returns from Stp_Mstp_MstInstancePathAny the path struct for its child "vlan".
func (n *Stp_Mstp_MstInstancePathAny) Vlan() *Stp_Mstp_MstInstance_VlanPathAny {
	return &Stp_Mstp_MstInstance_VlanPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Mstp_MstInstance_InterfacePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface YANG schema element.
type Stp_Mstp_MstInstance_InterfacePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_InterfacePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface YANG schema element.
type Stp_Mstp_MstInstance_InterfacePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_CostPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/cost YANG schema element.
type Stp_Mstp_MstInstance_Interface_CostPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_CostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/cost YANG schema element.
type Stp_Mstp_MstInstance_Interface_CostPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedCostPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedCostPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedCostPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedPortNumPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedPortNumPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedPortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedPortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_NamePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/name YANG schema element.
type Stp_Mstp_MstInstance_Interface_NamePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_NamePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/name YANG schema element.
type Stp_Mstp_MstInstance_Interface_NamePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortNumPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/port-num YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortNumPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/port-num YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortPriorityPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/port-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/config/port-priority YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortStatePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/port-state YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortStatePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_PortStatePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/port-state YANG schema element.
type Stp_Mstp_MstInstance_Interface_PortStatePathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_RolePath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/role YANG schema element.
type Stp_Mstp_MstInstance_Interface_RolePath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_RolePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/role YANG schema element.
type Stp_Mstp_MstInstance_Interface_RolePathAny struct {
	*ygot.NodePath
}

// Cost returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "cost".
func (n *Stp_Mstp_MstInstance_InterfacePath) Cost() *Stp_Mstp_MstInstance_Interface_CostPath {
	return &Stp_Mstp_MstInstance_Interface_CostPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cost returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "cost".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) Cost() *Stp_Mstp_MstInstance_Interface_CostPathAny {
	return &Stp_Mstp_MstInstance_Interface_CostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "counters".
func (n *Stp_Mstp_MstInstance_InterfacePath) Counters() *Stp_Mstp_MstInstance_Interface_CountersPath {
	return &Stp_Mstp_MstInstance_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "counters".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) Counters() *Stp_Mstp_MstInstance_Interface_CountersPathAny {
	return &Stp_Mstp_MstInstance_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-bridge-address".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedBridgeAddress() *Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-bridge-address".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedBridgeAddress() *Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedBridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-bridge-priority".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedBridgePriority() *Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-bridge-priority".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedBridgePriority() *Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedBridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-cost".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedCost() *Stp_Mstp_MstInstance_Interface_DesignatedCostPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-cost".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedCost() *Stp_Mstp_MstInstance_Interface_DesignatedCostPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-port-num".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedPortNum() *Stp_Mstp_MstInstance_Interface_DesignatedPortNumPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedPortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-port-num".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedPortNum() *Stp_Mstp_MstInstance_Interface_DesignatedPortNumPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedPortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-port-priority".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedPortPriority() *Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-port-priority".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedPortPriority() *Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedPortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-root-address".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedRootAddress() *Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-root-address".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedRootAddress() *Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "designated-root-priority".
func (n *Stp_Mstp_MstInstance_InterfacePath) DesignatedRootPriority() *Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPath {
	return &Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "designated-root-priority".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) DesignatedRootPriority() *Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPathAny {
	return &Stp_Mstp_MstInstance_Interface_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "forward-transisitions".
func (n *Stp_Mstp_MstInstance_InterfacePath) ForwardTransisitions() *Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPath {
	return &Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "forward-transisitions".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) ForwardTransisitions() *Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPathAny {
	return &Stp_Mstp_MstInstance_Interface_ForwardTransisitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "name".
func (n *Stp_Mstp_MstInstance_InterfacePath) Name() *Stp_Mstp_MstInstance_Interface_NamePath {
	return &Stp_Mstp_MstInstance_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "name".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) Name() *Stp_Mstp_MstInstance_Interface_NamePathAny {
	return &Stp_Mstp_MstInstance_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "port-num".
func (n *Stp_Mstp_MstInstance_InterfacePath) PortNum() *Stp_Mstp_MstInstance_Interface_PortNumPath {
	return &Stp_Mstp_MstInstance_Interface_PortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "port-num".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) PortNum() *Stp_Mstp_MstInstance_Interface_PortNumPathAny {
	return &Stp_Mstp_MstInstance_Interface_PortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "port-priority".
func (n *Stp_Mstp_MstInstance_InterfacePath) PortPriority() *Stp_Mstp_MstInstance_Interface_PortPriorityPath {
	return &Stp_Mstp_MstInstance_Interface_PortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "port-priority".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) PortPriority() *Stp_Mstp_MstInstance_Interface_PortPriorityPathAny {
	return &Stp_Mstp_MstInstance_Interface_PortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "port-state".
func (n *Stp_Mstp_MstInstance_InterfacePath) PortState() *Stp_Mstp_MstInstance_Interface_PortStatePath {
	return &Stp_Mstp_MstInstance_Interface_PortStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "port-state".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) PortState() *Stp_Mstp_MstInstance_Interface_PortStatePathAny {
	return &Stp_Mstp_MstInstance_Interface_PortStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Mstp_MstInstance_InterfacePath the path struct for its child "role".
func (n *Stp_Mstp_MstInstance_InterfacePath) Role() *Stp_Mstp_MstInstance_Interface_RolePath {
	return &Stp_Mstp_MstInstance_Interface_RolePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Mstp_MstInstance_InterfacePathAny the path struct for its child "role".
func (n *Stp_Mstp_MstInstance_InterfacePathAny) Role() *Stp_Mstp_MstInstance_Interface_RolePathAny {
	return &Stp_Mstp_MstInstance_Interface_RolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Mstp_MstInstance_Interface_CountersPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters YANG schema element.
type Stp_Mstp_MstInstance_Interface_CountersPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_CountersPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters YANG schema element.
type Stp_Mstp_MstInstance_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPathAny struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_Counters_BpduSentPath represents the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Mstp_MstInstance_Interface_Counters_BpduSentPath struct {
	*ygot.NodePath
}

// Stp_Mstp_MstInstance_Interface_Counters_BpduSentPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/mstp/mst-instances/mst-instance/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Mstp_MstInstance_Interface_Counters_BpduSentPathAny struct {
	*ygot.NodePath
}

// BpduReceived returns from Stp_Mstp_MstInstance_Interface_CountersPath the path struct for its child "bpdu-received".
func (n *Stp_Mstp_MstInstance_Interface_CountersPath) BpduReceived() *Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPath {
	return &Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduReceived returns from Stp_Mstp_MstInstance_Interface_CountersPathAny the path struct for its child "bpdu-received".
func (n *Stp_Mstp_MstInstance_Interface_CountersPathAny) BpduReceived() *Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPathAny {
	return &Stp_Mstp_MstInstance_Interface_Counters_BpduReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Mstp_MstInstance_Interface_CountersPath the path struct for its child "bpdu-sent".
func (n *Stp_Mstp_MstInstance_Interface_CountersPath) BpduSent() *Stp_Mstp_MstInstance_Interface_Counters_BpduSentPath {
	return &Stp_Mstp_MstInstance_Interface_Counters_BpduSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Mstp_MstInstance_Interface_CountersPathAny the path struct for its child "bpdu-sent".
func (n *Stp_Mstp_MstInstance_Interface_CountersPathAny) BpduSent() *Stp_Mstp_MstInstance_Interface_Counters_BpduSentPathAny {
	return &Stp_Mstp_MstInstance_Interface_Counters_BpduSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_RstpPath represents the /openconfig-spanning-tree/stp/rstp YANG schema element.
type Stp_RstpPath struct {
	*ygot.NodePath
}

// Stp_RstpPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp YANG schema element.
type Stp_RstpPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_BridgeAddressPath represents the /openconfig-spanning-tree/stp/rstp/state/bridge-address YANG schema element.
type Stp_Rstp_BridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Rstp_BridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/bridge-address YANG schema element.
type Stp_Rstp_BridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_BridgePriorityPath represents the /openconfig-spanning-tree/stp/rstp/config/bridge-priority YANG schema element.
type Stp_Rstp_BridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_BridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/config/bridge-priority YANG schema element.
type Stp_Rstp_BridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/rstp/state/designated-root-address YANG schema element.
type Stp_Rstp_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Rstp_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/designated-root-address YANG schema element.
type Stp_Rstp_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/rstp/state/designated-root-priority YANG schema element.
type Stp_Rstp_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/designated-root-priority YANG schema element.
type Stp_Rstp_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_ForwardingDelayPath represents the /openconfig-spanning-tree/stp/rstp/config/forwarding-delay YANG schema element.
type Stp_Rstp_ForwardingDelayPath struct {
	*ygot.NodePath
}

// Stp_Rstp_ForwardingDelayPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/config/forwarding-delay YANG schema element.
type Stp_Rstp_ForwardingDelayPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_HelloTimePath represents the /openconfig-spanning-tree/stp/rstp/config/hello-time YANG schema element.
type Stp_Rstp_HelloTimePath struct {
	*ygot.NodePath
}

// Stp_Rstp_HelloTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/config/hello-time YANG schema element.
type Stp_Rstp_HelloTimePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_HoldCountPath represents the /openconfig-spanning-tree/stp/rstp/config/hold-count YANG schema element.
type Stp_Rstp_HoldCountPath struct {
	*ygot.NodePath
}

// Stp_Rstp_HoldCountPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/config/hold-count YANG schema element.
type Stp_Rstp_HoldCountPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_HoldTimePath represents the /openconfig-spanning-tree/stp/rstp/state/hold-time YANG schema element.
type Stp_Rstp_HoldTimePath struct {
	*ygot.NodePath
}

// Stp_Rstp_HoldTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/hold-time YANG schema element.
type Stp_Rstp_HoldTimePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_LastTopologyChangePath represents the /openconfig-spanning-tree/stp/rstp/state/last-topology-change YANG schema element.
type Stp_Rstp_LastTopologyChangePath struct {
	*ygot.NodePath
}

// Stp_Rstp_LastTopologyChangePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/last-topology-change YANG schema element.
type Stp_Rstp_LastTopologyChangePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_MaxAgePath represents the /openconfig-spanning-tree/stp/rstp/config/max-age YANG schema element.
type Stp_Rstp_MaxAgePath struct {
	*ygot.NodePath
}

// Stp_Rstp_MaxAgePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/config/max-age YANG schema element.
type Stp_Rstp_MaxAgePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_RootCostPath represents the /openconfig-spanning-tree/stp/rstp/state/root-cost YANG schema element.
type Stp_Rstp_RootCostPath struct {
	*ygot.NodePath
}

// Stp_Rstp_RootCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/root-cost YANG schema element.
type Stp_Rstp_RootCostPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_RootPortPath represents the /openconfig-spanning-tree/stp/rstp/state/root-port YANG schema element.
type Stp_Rstp_RootPortPath struct {
	*ygot.NodePath
}

// Stp_Rstp_RootPortPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/root-port YANG schema element.
type Stp_Rstp_RootPortPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_TopologyChangesPath represents the /openconfig-spanning-tree/stp/rstp/state/topology-changes YANG schema element.
type Stp_Rstp_TopologyChangesPath struct {
	*ygot.NodePath
}

// Stp_Rstp_TopologyChangesPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/state/topology-changes YANG schema element.
type Stp_Rstp_TopologyChangesPathAny struct {
	*ygot.NodePath
}

// BridgeAddress returns from Stp_RstpPath the path struct for its child "bridge-address".
func (n *Stp_RstpPath) BridgeAddress() *Stp_Rstp_BridgeAddressPath {
	return &Stp_Rstp_BridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgeAddress returns from Stp_RstpPathAny the path struct for its child "bridge-address".
func (n *Stp_RstpPathAny) BridgeAddress() *Stp_Rstp_BridgeAddressPathAny {
	return &Stp_Rstp_BridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_RstpPath the path struct for its child "bridge-priority".
func (n *Stp_RstpPath) BridgePriority() *Stp_Rstp_BridgePriorityPath {
	return &Stp_Rstp_BridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_RstpPathAny the path struct for its child "bridge-priority".
func (n *Stp_RstpPathAny) BridgePriority() *Stp_Rstp_BridgePriorityPathAny {
	return &Stp_Rstp_BridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_RstpPath the path struct for its child "designated-root-address".
func (n *Stp_RstpPath) DesignatedRootAddress() *Stp_Rstp_DesignatedRootAddressPath {
	return &Stp_Rstp_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_RstpPathAny the path struct for its child "designated-root-address".
func (n *Stp_RstpPathAny) DesignatedRootAddress() *Stp_Rstp_DesignatedRootAddressPathAny {
	return &Stp_Rstp_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_RstpPath the path struct for its child "designated-root-priority".
func (n *Stp_RstpPath) DesignatedRootPriority() *Stp_Rstp_DesignatedRootPriorityPath {
	return &Stp_Rstp_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_RstpPathAny the path struct for its child "designated-root-priority".
func (n *Stp_RstpPathAny) DesignatedRootPriority() *Stp_Rstp_DesignatedRootPriorityPathAny {
	return &Stp_Rstp_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingDelay returns from Stp_RstpPath the path struct for its child "forwarding-delay".
func (n *Stp_RstpPath) ForwardingDelay() *Stp_Rstp_ForwardingDelayPath {
	return &Stp_Rstp_ForwardingDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingDelay returns from Stp_RstpPathAny the path struct for its child "forwarding-delay".
func (n *Stp_RstpPathAny) ForwardingDelay() *Stp_Rstp_ForwardingDelayPathAny {
	return &Stp_Rstp_ForwardingDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_RstpPath the path struct for its child "hello-time".
func (n *Stp_RstpPath) HelloTime() *Stp_Rstp_HelloTimePath {
	return &Stp_Rstp_HelloTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_RstpPathAny the path struct for its child "hello-time".
func (n *Stp_RstpPathAny) HelloTime() *Stp_Rstp_HelloTimePathAny {
	return &Stp_Rstp_HelloTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_RstpPath the path struct for its child "hold-count".
func (n *Stp_RstpPath) HoldCount() *Stp_Rstp_HoldCountPath {
	return &Stp_Rstp_HoldCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_RstpPathAny the path struct for its child "hold-count".
func (n *Stp_RstpPathAny) HoldCount() *Stp_Rstp_HoldCountPathAny {
	return &Stp_Rstp_HoldCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_RstpPath the path struct for its child "hold-time".
func (n *Stp_RstpPath) HoldTime() *Stp_Rstp_HoldTimePath {
	return &Stp_Rstp_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_RstpPathAny the path struct for its child "hold-time".
func (n *Stp_RstpPathAny) HoldTime() *Stp_Rstp_HoldTimePathAny {
	return &Stp_Rstp_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from Stp_RstpPath the path struct for its child "interface".
func (n *Stp_RstpPath) InterfaceAny() *Stp_Rstp_InterfacePathAny {
	return &Stp_Rstp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from Stp_RstpPathAny the path struct for its child "interface".
func (n *Stp_RstpPathAny) InterfaceAny() *Stp_Rstp_InterfacePathAny {
	return &Stp_Rstp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from Stp_RstpPath the path struct for its child "interface".
// Name: string
func (n *Stp_RstpPath) Interface(Name string) *Stp_Rstp_InterfacePath {
	return &Stp_Rstp_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from Stp_RstpPathAny the path struct for its child "interface".
// Name: string
func (n *Stp_RstpPathAny) Interface(Name string) *Stp_Rstp_InterfacePathAny {
	return &Stp_Rstp_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_RstpPath the path struct for its child "last-topology-change".
func (n *Stp_RstpPath) LastTopologyChange() *Stp_Rstp_LastTopologyChangePath {
	return &Stp_Rstp_LastTopologyChangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_RstpPathAny the path struct for its child "last-topology-change".
func (n *Stp_RstpPathAny) LastTopologyChange() *Stp_Rstp_LastTopologyChangePathAny {
	return &Stp_Rstp_LastTopologyChangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_RstpPath the path struct for its child "max-age".
func (n *Stp_RstpPath) MaxAge() *Stp_Rstp_MaxAgePath {
	return &Stp_Rstp_MaxAgePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_RstpPathAny the path struct for its child "max-age".
func (n *Stp_RstpPathAny) MaxAge() *Stp_Rstp_MaxAgePathAny {
	return &Stp_Rstp_MaxAgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_RstpPath the path struct for its child "root-cost".
func (n *Stp_RstpPath) RootCost() *Stp_Rstp_RootCostPath {
	return &Stp_Rstp_RootCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_RstpPathAny the path struct for its child "root-cost".
func (n *Stp_RstpPathAny) RootCost() *Stp_Rstp_RootCostPathAny {
	return &Stp_Rstp_RootCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_RstpPath the path struct for its child "root-port".
func (n *Stp_RstpPath) RootPort() *Stp_Rstp_RootPortPath {
	return &Stp_Rstp_RootPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_RstpPathAny the path struct for its child "root-port".
func (n *Stp_RstpPathAny) RootPort() *Stp_Rstp_RootPortPathAny {
	return &Stp_Rstp_RootPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_RstpPath the path struct for its child "topology-changes".
func (n *Stp_RstpPath) TopologyChanges() *Stp_Rstp_TopologyChangesPath {
	return &Stp_Rstp_TopologyChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_RstpPathAny the path struct for its child "topology-changes".
func (n *Stp_RstpPathAny) TopologyChanges() *Stp_Rstp_TopologyChangesPathAny {
	return &Stp_Rstp_TopologyChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Rstp_InterfacePath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface YANG schema element.
type Stp_Rstp_InterfacePath struct {
	*ygot.NodePath
}

// Stp_Rstp_InterfacePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface YANG schema element.
type Stp_Rstp_InterfacePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_CostPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/cost YANG schema element.
type Stp_Rstp_Interface_CostPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_CostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/cost YANG schema element.
type Stp_Rstp_Interface_CostPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedBridgeAddressPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Rstp_Interface_DesignatedBridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedBridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Rstp_Interface_DesignatedBridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedBridgePriorityPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedBridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedBridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedBridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedCostPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Rstp_Interface_DesignatedCostPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Rstp_Interface_DesignatedCostPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedPortNumPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Rstp_Interface_DesignatedPortNumPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedPortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Rstp_Interface_DesignatedPortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedPortPriorityPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedPortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedPortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedPortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Rstp_Interface_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Rstp_Interface_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Rstp_Interface_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_ForwardTransisitionsPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Rstp_Interface_ForwardTransisitionsPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_ForwardTransisitionsPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Rstp_Interface_ForwardTransisitionsPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_NamePath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/name YANG schema element.
type Stp_Rstp_Interface_NamePath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_NamePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/name YANG schema element.
type Stp_Rstp_Interface_NamePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortNumPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/port-num YANG schema element.
type Stp_Rstp_Interface_PortNumPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/port-num YANG schema element.
type Stp_Rstp_Interface_PortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortPriorityPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/port-priority YANG schema element.
type Stp_Rstp_Interface_PortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/config/port-priority YANG schema element.
type Stp_Rstp_Interface_PortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortStatePath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/port-state YANG schema element.
type Stp_Rstp_Interface_PortStatePath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_PortStatePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/port-state YANG schema element.
type Stp_Rstp_Interface_PortStatePathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_RolePath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/role YANG schema element.
type Stp_Rstp_Interface_RolePath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_RolePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/role YANG schema element.
type Stp_Rstp_Interface_RolePathAny struct {
	*ygot.NodePath
}

// Cost returns from Stp_Rstp_InterfacePath the path struct for its child "cost".
func (n *Stp_Rstp_InterfacePath) Cost() *Stp_Rstp_Interface_CostPath {
	return &Stp_Rstp_Interface_CostPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cost returns from Stp_Rstp_InterfacePathAny the path struct for its child "cost".
func (n *Stp_Rstp_InterfacePathAny) Cost() *Stp_Rstp_Interface_CostPathAny {
	return &Stp_Rstp_Interface_CostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Rstp_InterfacePath the path struct for its child "counters".
func (n *Stp_Rstp_InterfacePath) Counters() *Stp_Rstp_Interface_CountersPath {
	return &Stp_Rstp_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Rstp_InterfacePathAny the path struct for its child "counters".
func (n *Stp_Rstp_InterfacePathAny) Counters() *Stp_Rstp_Interface_CountersPathAny {
	return &Stp_Rstp_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Rstp_InterfacePath the path struct for its child "designated-bridge-address".
func (n *Stp_Rstp_InterfacePath) DesignatedBridgeAddress() *Stp_Rstp_Interface_DesignatedBridgeAddressPath {
	return &Stp_Rstp_Interface_DesignatedBridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-bridge-address".
func (n *Stp_Rstp_InterfacePathAny) DesignatedBridgeAddress() *Stp_Rstp_Interface_DesignatedBridgeAddressPathAny {
	return &Stp_Rstp_Interface_DesignatedBridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Rstp_InterfacePath the path struct for its child "designated-bridge-priority".
func (n *Stp_Rstp_InterfacePath) DesignatedBridgePriority() *Stp_Rstp_Interface_DesignatedBridgePriorityPath {
	return &Stp_Rstp_Interface_DesignatedBridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-bridge-priority".
func (n *Stp_Rstp_InterfacePathAny) DesignatedBridgePriority() *Stp_Rstp_Interface_DesignatedBridgePriorityPathAny {
	return &Stp_Rstp_Interface_DesignatedBridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Rstp_InterfacePath the path struct for its child "designated-cost".
func (n *Stp_Rstp_InterfacePath) DesignatedCost() *Stp_Rstp_Interface_DesignatedCostPath {
	return &Stp_Rstp_Interface_DesignatedCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-cost".
func (n *Stp_Rstp_InterfacePathAny) DesignatedCost() *Stp_Rstp_Interface_DesignatedCostPathAny {
	return &Stp_Rstp_Interface_DesignatedCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Rstp_InterfacePath the path struct for its child "designated-port-num".
func (n *Stp_Rstp_InterfacePath) DesignatedPortNum() *Stp_Rstp_Interface_DesignatedPortNumPath {
	return &Stp_Rstp_Interface_DesignatedPortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-port-num".
func (n *Stp_Rstp_InterfacePathAny) DesignatedPortNum() *Stp_Rstp_Interface_DesignatedPortNumPathAny {
	return &Stp_Rstp_Interface_DesignatedPortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Rstp_InterfacePath the path struct for its child "designated-port-priority".
func (n *Stp_Rstp_InterfacePath) DesignatedPortPriority() *Stp_Rstp_Interface_DesignatedPortPriorityPath {
	return &Stp_Rstp_Interface_DesignatedPortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-port-priority".
func (n *Stp_Rstp_InterfacePathAny) DesignatedPortPriority() *Stp_Rstp_Interface_DesignatedPortPriorityPathAny {
	return &Stp_Rstp_Interface_DesignatedPortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Rstp_InterfacePath the path struct for its child "designated-root-address".
func (n *Stp_Rstp_InterfacePath) DesignatedRootAddress() *Stp_Rstp_Interface_DesignatedRootAddressPath {
	return &Stp_Rstp_Interface_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-root-address".
func (n *Stp_Rstp_InterfacePathAny) DesignatedRootAddress() *Stp_Rstp_Interface_DesignatedRootAddressPathAny {
	return &Stp_Rstp_Interface_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Rstp_InterfacePath the path struct for its child "designated-root-priority".
func (n *Stp_Rstp_InterfacePath) DesignatedRootPriority() *Stp_Rstp_Interface_DesignatedRootPriorityPath {
	return &Stp_Rstp_Interface_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Rstp_InterfacePathAny the path struct for its child "designated-root-priority".
func (n *Stp_Rstp_InterfacePathAny) DesignatedRootPriority() *Stp_Rstp_Interface_DesignatedRootPriorityPathAny {
	return &Stp_Rstp_Interface_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Rstp_InterfacePath the path struct for its child "forward-transisitions".
func (n *Stp_Rstp_InterfacePath) ForwardTransisitions() *Stp_Rstp_Interface_ForwardTransisitionsPath {
	return &Stp_Rstp_Interface_ForwardTransisitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Rstp_InterfacePathAny the path struct for its child "forward-transisitions".
func (n *Stp_Rstp_InterfacePathAny) ForwardTransisitions() *Stp_Rstp_Interface_ForwardTransisitionsPathAny {
	return &Stp_Rstp_Interface_ForwardTransisitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Rstp_InterfacePath the path struct for its child "name".
func (n *Stp_Rstp_InterfacePath) Name() *Stp_Rstp_Interface_NamePath {
	return &Stp_Rstp_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Rstp_InterfacePathAny the path struct for its child "name".
func (n *Stp_Rstp_InterfacePathAny) Name() *Stp_Rstp_Interface_NamePathAny {
	return &Stp_Rstp_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Rstp_InterfacePath the path struct for its child "port-num".
func (n *Stp_Rstp_InterfacePath) PortNum() *Stp_Rstp_Interface_PortNumPath {
	return &Stp_Rstp_Interface_PortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Rstp_InterfacePathAny the path struct for its child "port-num".
func (n *Stp_Rstp_InterfacePathAny) PortNum() *Stp_Rstp_Interface_PortNumPathAny {
	return &Stp_Rstp_Interface_PortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Rstp_InterfacePath the path struct for its child "port-priority".
func (n *Stp_Rstp_InterfacePath) PortPriority() *Stp_Rstp_Interface_PortPriorityPath {
	return &Stp_Rstp_Interface_PortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Rstp_InterfacePathAny the path struct for its child "port-priority".
func (n *Stp_Rstp_InterfacePathAny) PortPriority() *Stp_Rstp_Interface_PortPriorityPathAny {
	return &Stp_Rstp_Interface_PortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Rstp_InterfacePath the path struct for its child "port-state".
func (n *Stp_Rstp_InterfacePath) PortState() *Stp_Rstp_Interface_PortStatePath {
	return &Stp_Rstp_Interface_PortStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Rstp_InterfacePathAny the path struct for its child "port-state".
func (n *Stp_Rstp_InterfacePathAny) PortState() *Stp_Rstp_Interface_PortStatePathAny {
	return &Stp_Rstp_Interface_PortStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Rstp_InterfacePath the path struct for its child "role".
func (n *Stp_Rstp_InterfacePath) Role() *Stp_Rstp_Interface_RolePath {
	return &Stp_Rstp_Interface_RolePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Rstp_InterfacePathAny the path struct for its child "role".
func (n *Stp_Rstp_InterfacePathAny) Role() *Stp_Rstp_Interface_RolePathAny {
	return &Stp_Rstp_Interface_RolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Rstp_Interface_CountersPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters YANG schema element.
type Stp_Rstp_Interface_CountersPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_CountersPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters YANG schema element.
type Stp_Rstp_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_Counters_BpduReceivedPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Rstp_Interface_Counters_BpduReceivedPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_Counters_BpduReceivedPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Rstp_Interface_Counters_BpduReceivedPathAny struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_Counters_BpduSentPath represents the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Rstp_Interface_Counters_BpduSentPath struct {
	*ygot.NodePath
}

// Stp_Rstp_Interface_Counters_BpduSentPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rstp/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Rstp_Interface_Counters_BpduSentPathAny struct {
	*ygot.NodePath
}

// BpduReceived returns from Stp_Rstp_Interface_CountersPath the path struct for its child "bpdu-received".
func (n *Stp_Rstp_Interface_CountersPath) BpduReceived() *Stp_Rstp_Interface_Counters_BpduReceivedPath {
	return &Stp_Rstp_Interface_Counters_BpduReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduReceived returns from Stp_Rstp_Interface_CountersPathAny the path struct for its child "bpdu-received".
func (n *Stp_Rstp_Interface_CountersPathAny) BpduReceived() *Stp_Rstp_Interface_Counters_BpduReceivedPathAny {
	return &Stp_Rstp_Interface_Counters_BpduReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Rstp_Interface_CountersPath the path struct for its child "bpdu-sent".
func (n *Stp_Rstp_Interface_CountersPath) BpduSent() *Stp_Rstp_Interface_Counters_BpduSentPath {
	return &Stp_Rstp_Interface_Counters_BpduSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Rstp_Interface_CountersPathAny the path struct for its child "bpdu-sent".
func (n *Stp_Rstp_Interface_CountersPathAny) BpduSent() *Stp_Rstp_Interface_Counters_BpduSentPathAny {
	return &Stp_Rstp_Interface_Counters_BpduSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_VlanPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan YANG schema element.
type Stp_VlanPath struct {
	*ygot.NodePath
}

// Stp_VlanPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan YANG schema element.
type Stp_VlanPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_BridgeAddressPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/bridge-address YANG schema element.
type Stp_Vlan_BridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Vlan_BridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/bridge-address YANG schema element.
type Stp_Vlan_BridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_BridgePriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/bridge-priority YANG schema element.
type Stp_Vlan_BridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_BridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/bridge-priority YANG schema element.
type Stp_Vlan_BridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/designated-root-address YANG schema element.
type Stp_Vlan_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Vlan_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/designated-root-address YANG schema element.
type Stp_Vlan_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/designated-root-priority YANG schema element.
type Stp_Vlan_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/designated-root-priority YANG schema element.
type Stp_Vlan_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_ForwardingDelayPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/forwarding-delay YANG schema element.
type Stp_Vlan_ForwardingDelayPath struct {
	*ygot.NodePath
}

// Stp_Vlan_ForwardingDelayPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/forwarding-delay YANG schema element.
type Stp_Vlan_ForwardingDelayPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_HelloTimePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/hello-time YANG schema element.
type Stp_Vlan_HelloTimePath struct {
	*ygot.NodePath
}

// Stp_Vlan_HelloTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/hello-time YANG schema element.
type Stp_Vlan_HelloTimePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_HoldCountPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/hold-count YANG schema element.
type Stp_Vlan_HoldCountPath struct {
	*ygot.NodePath
}

// Stp_Vlan_HoldCountPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/hold-count YANG schema element.
type Stp_Vlan_HoldCountPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_HoldTimePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/hold-time YANG schema element.
type Stp_Vlan_HoldTimePath struct {
	*ygot.NodePath
}

// Stp_Vlan_HoldTimePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/hold-time YANG schema element.
type Stp_Vlan_HoldTimePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_LastTopologyChangePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/last-topology-change YANG schema element.
type Stp_Vlan_LastTopologyChangePath struct {
	*ygot.NodePath
}

// Stp_Vlan_LastTopologyChangePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/last-topology-change YANG schema element.
type Stp_Vlan_LastTopologyChangePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_MaxAgePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/max-age YANG schema element.
type Stp_Vlan_MaxAgePath struct {
	*ygot.NodePath
}

// Stp_Vlan_MaxAgePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/max-age YANG schema element.
type Stp_Vlan_MaxAgePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_RootCostPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/root-cost YANG schema element.
type Stp_Vlan_RootCostPath struct {
	*ygot.NodePath
}

// Stp_Vlan_RootCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/root-cost YANG schema element.
type Stp_Vlan_RootCostPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_RootPortPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/root-port YANG schema element.
type Stp_Vlan_RootPortPath struct {
	*ygot.NodePath
}

// Stp_Vlan_RootPortPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/root-port YANG schema element.
type Stp_Vlan_RootPortPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_TopologyChangesPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/topology-changes YANG schema element.
type Stp_Vlan_TopologyChangesPath struct {
	*ygot.NodePath
}

// Stp_Vlan_TopologyChangesPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/state/topology-changes YANG schema element.
type Stp_Vlan_TopologyChangesPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_VlanIdPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/vlan-id YANG schema element.
type Stp_Vlan_VlanIdPath struct {
	*ygot.NodePath
}

// Stp_Vlan_VlanIdPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/config/vlan-id YANG schema element.
type Stp_Vlan_VlanIdPathAny struct {
	*ygot.NodePath
}

// BridgeAddress returns from Stp_VlanPath the path struct for its child "bridge-address".
func (n *Stp_VlanPath) BridgeAddress() *Stp_Vlan_BridgeAddressPath {
	return &Stp_Vlan_BridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgeAddress returns from Stp_VlanPathAny the path struct for its child "bridge-address".
func (n *Stp_VlanPathAny) BridgeAddress() *Stp_Vlan_BridgeAddressPathAny {
	return &Stp_Vlan_BridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_VlanPath the path struct for its child "bridge-priority".
func (n *Stp_VlanPath) BridgePriority() *Stp_Vlan_BridgePriorityPath {
	return &Stp_Vlan_BridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// BridgePriority returns from Stp_VlanPathAny the path struct for its child "bridge-priority".
func (n *Stp_VlanPathAny) BridgePriority() *Stp_Vlan_BridgePriorityPathAny {
	return &Stp_Vlan_BridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_VlanPath the path struct for its child "designated-root-address".
func (n *Stp_VlanPath) DesignatedRootAddress() *Stp_Vlan_DesignatedRootAddressPath {
	return &Stp_Vlan_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_VlanPathAny the path struct for its child "designated-root-address".
func (n *Stp_VlanPathAny) DesignatedRootAddress() *Stp_Vlan_DesignatedRootAddressPathAny {
	return &Stp_Vlan_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_VlanPath the path struct for its child "designated-root-priority".
func (n *Stp_VlanPath) DesignatedRootPriority() *Stp_Vlan_DesignatedRootPriorityPath {
	return &Stp_Vlan_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_VlanPathAny the path struct for its child "designated-root-priority".
func (n *Stp_VlanPathAny) DesignatedRootPriority() *Stp_Vlan_DesignatedRootPriorityPathAny {
	return &Stp_Vlan_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingDelay returns from Stp_VlanPath the path struct for its child "forwarding-delay".
func (n *Stp_VlanPath) ForwardingDelay() *Stp_Vlan_ForwardingDelayPath {
	return &Stp_Vlan_ForwardingDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardingDelay returns from Stp_VlanPathAny the path struct for its child "forwarding-delay".
func (n *Stp_VlanPathAny) ForwardingDelay() *Stp_Vlan_ForwardingDelayPathAny {
	return &Stp_Vlan_ForwardingDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "forwarding-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_VlanPath the path struct for its child "hello-time".
func (n *Stp_VlanPath) HelloTime() *Stp_Vlan_HelloTimePath {
	return &Stp_Vlan_HelloTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HelloTime returns from Stp_VlanPathAny the path struct for its child "hello-time".
func (n *Stp_VlanPathAny) HelloTime() *Stp_Vlan_HelloTimePathAny {
	return &Stp_Vlan_HelloTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hello-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_VlanPath the path struct for its child "hold-count".
func (n *Stp_VlanPath) HoldCount() *Stp_Vlan_HoldCountPath {
	return &Stp_Vlan_HoldCountPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldCount returns from Stp_VlanPathAny the path struct for its child "hold-count".
func (n *Stp_VlanPathAny) HoldCount() *Stp_Vlan_HoldCountPathAny {
	return &Stp_Vlan_HoldCountPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hold-count"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_VlanPath the path struct for its child "hold-time".
func (n *Stp_VlanPath) HoldTime() *Stp_Vlan_HoldTimePath {
	return &Stp_Vlan_HoldTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// HoldTime returns from Stp_VlanPathAny the path struct for its child "hold-time".
func (n *Stp_VlanPathAny) HoldTime() *Stp_Vlan_HoldTimePathAny {
	return &Stp_Vlan_HoldTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hold-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// InterfaceAny returns from Stp_VlanPath the path struct for its child "interface".
func (n *Stp_VlanPath) InterfaceAny() *Stp_Vlan_InterfacePathAny {
	return &Stp_Vlan_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// InterfaceAny returns from Stp_VlanPathAny the path struct for its child "interface".
func (n *Stp_VlanPathAny) InterfaceAny() *Stp_Vlan_InterfacePathAny {
	return &Stp_Vlan_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// Interface returns from Stp_VlanPath the path struct for its child "interface".
// Name: string
func (n *Stp_VlanPath) Interface(Name string) *Stp_Vlan_InterfacePath {
	return &Stp_Vlan_InterfacePath{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// Interface returns from Stp_VlanPathAny the path struct for its child "interface".
// Name: string
func (n *Stp_VlanPathAny) Interface(Name string) *Stp_Vlan_InterfacePathAny {
	return &Stp_Vlan_InterfacePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interfaces", "interface"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_VlanPath the path struct for its child "last-topology-change".
func (n *Stp_VlanPath) LastTopologyChange() *Stp_Vlan_LastTopologyChangePath {
	return &Stp_Vlan_LastTopologyChangePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastTopologyChange returns from Stp_VlanPathAny the path struct for its child "last-topology-change".
func (n *Stp_VlanPathAny) LastTopologyChange() *Stp_Vlan_LastTopologyChangePathAny {
	return &Stp_Vlan_LastTopologyChangePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-topology-change"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_VlanPath the path struct for its child "max-age".
func (n *Stp_VlanPath) MaxAge() *Stp_Vlan_MaxAgePath {
	return &Stp_Vlan_MaxAgePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxAge returns from Stp_VlanPathAny the path struct for its child "max-age".
func (n *Stp_VlanPathAny) MaxAge() *Stp_Vlan_MaxAgePathAny {
	return &Stp_Vlan_MaxAgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "max-age"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_VlanPath the path struct for its child "root-cost".
func (n *Stp_VlanPath) RootCost() *Stp_Vlan_RootCostPath {
	return &Stp_Vlan_RootCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootCost returns from Stp_VlanPathAny the path struct for its child "root-cost".
func (n *Stp_VlanPathAny) RootCost() *Stp_Vlan_RootCostPathAny {
	return &Stp_Vlan_RootCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_VlanPath the path struct for its child "root-port".
func (n *Stp_VlanPath) RootPort() *Stp_Vlan_RootPortPath {
	return &Stp_Vlan_RootPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootPort returns from Stp_VlanPathAny the path struct for its child "root-port".
func (n *Stp_VlanPathAny) RootPort() *Stp_Vlan_RootPortPathAny {
	return &Stp_Vlan_RootPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_VlanPath the path struct for its child "topology-changes".
func (n *Stp_VlanPath) TopologyChanges() *Stp_Vlan_TopologyChangesPath {
	return &Stp_Vlan_TopologyChangesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// TopologyChanges returns from Stp_VlanPathAny the path struct for its child "topology-changes".
func (n *Stp_VlanPathAny) TopologyChanges() *Stp_Vlan_TopologyChangesPathAny {
	return &Stp_Vlan_TopologyChangesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "topology-changes"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Stp_VlanPath the path struct for its child "vlan-id".
func (n *Stp_VlanPath) VlanId() *Stp_Vlan_VlanIdPath {
	return &Stp_Vlan_VlanIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VlanId returns from Stp_VlanPathAny the path struct for its child "vlan-id".
func (n *Stp_VlanPathAny) VlanId() *Stp_Vlan_VlanIdPathAny {
	return &Stp_Vlan_VlanIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "vlan-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Vlan_InterfacePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface YANG schema element.
type Stp_Vlan_InterfacePath struct {
	*ygot.NodePath
}

// Stp_Vlan_InterfacePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface YANG schema element.
type Stp_Vlan_InterfacePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_CostPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/cost YANG schema element.
type Stp_Vlan_Interface_CostPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_CostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/cost YANG schema element.
type Stp_Vlan_Interface_CostPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedBridgeAddressPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Vlan_Interface_DesignatedBridgeAddressPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedBridgeAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-bridge-address YANG schema element.
type Stp_Vlan_Interface_DesignatedBridgeAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedBridgePriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedBridgePriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedBridgePriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-bridge-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedBridgePriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedCostPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Vlan_Interface_DesignatedCostPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedCostPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-cost YANG schema element.
type Stp_Vlan_Interface_DesignatedCostPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedPortNumPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Vlan_Interface_DesignatedPortNumPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedPortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-port-num YANG schema element.
type Stp_Vlan_Interface_DesignatedPortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedPortPriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedPortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedPortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-port-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedPortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedRootAddressPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Vlan_Interface_DesignatedRootAddressPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedRootAddressPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-root-address YANG schema element.
type Stp_Vlan_Interface_DesignatedRootAddressPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedRootPriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedRootPriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_DesignatedRootPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/designated-root-priority YANG schema element.
type Stp_Vlan_Interface_DesignatedRootPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_ForwardTransisitionsPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Vlan_Interface_ForwardTransisitionsPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_ForwardTransisitionsPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/forward-transisitions YANG schema element.
type Stp_Vlan_Interface_ForwardTransisitionsPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_NamePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/name YANG schema element.
type Stp_Vlan_Interface_NamePath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_NamePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/name YANG schema element.
type Stp_Vlan_Interface_NamePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortNumPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/port-num YANG schema element.
type Stp_Vlan_Interface_PortNumPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortNumPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/port-num YANG schema element.
type Stp_Vlan_Interface_PortNumPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortPriorityPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/port-priority YANG schema element.
type Stp_Vlan_Interface_PortPriorityPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortPriorityPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/config/port-priority YANG schema element.
type Stp_Vlan_Interface_PortPriorityPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortStatePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/port-state YANG schema element.
type Stp_Vlan_Interface_PortStatePath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_PortStatePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/port-state YANG schema element.
type Stp_Vlan_Interface_PortStatePathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_RolePath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/role YANG schema element.
type Stp_Vlan_Interface_RolePath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_RolePathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/role YANG schema element.
type Stp_Vlan_Interface_RolePathAny struct {
	*ygot.NodePath
}

// Cost returns from Stp_Vlan_InterfacePath the path struct for its child "cost".
func (n *Stp_Vlan_InterfacePath) Cost() *Stp_Vlan_Interface_CostPath {
	return &Stp_Vlan_Interface_CostPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Cost returns from Stp_Vlan_InterfacePathAny the path struct for its child "cost".
func (n *Stp_Vlan_InterfacePathAny) Cost() *Stp_Vlan_Interface_CostPathAny {
	return &Stp_Vlan_Interface_CostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Vlan_InterfacePath the path struct for its child "counters".
func (n *Stp_Vlan_InterfacePath) Counters() *Stp_Vlan_Interface_CountersPath {
	return &Stp_Vlan_Interface_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from Stp_Vlan_InterfacePathAny the path struct for its child "counters".
func (n *Stp_Vlan_InterfacePathAny) Counters() *Stp_Vlan_Interface_CountersPathAny {
	return &Stp_Vlan_Interface_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Vlan_InterfacePath the path struct for its child "designated-bridge-address".
func (n *Stp_Vlan_InterfacePath) DesignatedBridgeAddress() *Stp_Vlan_Interface_DesignatedBridgeAddressPath {
	return &Stp_Vlan_Interface_DesignatedBridgeAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgeAddress returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-bridge-address".
func (n *Stp_Vlan_InterfacePathAny) DesignatedBridgeAddress() *Stp_Vlan_Interface_DesignatedBridgeAddressPathAny {
	return &Stp_Vlan_Interface_DesignatedBridgeAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Vlan_InterfacePath the path struct for its child "designated-bridge-priority".
func (n *Stp_Vlan_InterfacePath) DesignatedBridgePriority() *Stp_Vlan_Interface_DesignatedBridgePriorityPath {
	return &Stp_Vlan_Interface_DesignatedBridgePriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedBridgePriority returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-bridge-priority".
func (n *Stp_Vlan_InterfacePathAny) DesignatedBridgePriority() *Stp_Vlan_Interface_DesignatedBridgePriorityPathAny {
	return &Stp_Vlan_Interface_DesignatedBridgePriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-bridge-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Vlan_InterfacePath the path struct for its child "designated-cost".
func (n *Stp_Vlan_InterfacePath) DesignatedCost() *Stp_Vlan_Interface_DesignatedCostPath {
	return &Stp_Vlan_Interface_DesignatedCostPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedCost returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-cost".
func (n *Stp_Vlan_InterfacePathAny) DesignatedCost() *Stp_Vlan_Interface_DesignatedCostPathAny {
	return &Stp_Vlan_Interface_DesignatedCostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-cost"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Vlan_InterfacePath the path struct for its child "designated-port-num".
func (n *Stp_Vlan_InterfacePath) DesignatedPortNum() *Stp_Vlan_Interface_DesignatedPortNumPath {
	return &Stp_Vlan_Interface_DesignatedPortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortNum returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-port-num".
func (n *Stp_Vlan_InterfacePathAny) DesignatedPortNum() *Stp_Vlan_Interface_DesignatedPortNumPathAny {
	return &Stp_Vlan_Interface_DesignatedPortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Vlan_InterfacePath the path struct for its child "designated-port-priority".
func (n *Stp_Vlan_InterfacePath) DesignatedPortPriority() *Stp_Vlan_Interface_DesignatedPortPriorityPath {
	return &Stp_Vlan_Interface_DesignatedPortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedPortPriority returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-port-priority".
func (n *Stp_Vlan_InterfacePathAny) DesignatedPortPriority() *Stp_Vlan_Interface_DesignatedPortPriorityPathAny {
	return &Stp_Vlan_Interface_DesignatedPortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Vlan_InterfacePath the path struct for its child "designated-root-address".
func (n *Stp_Vlan_InterfacePath) DesignatedRootAddress() *Stp_Vlan_Interface_DesignatedRootAddressPath {
	return &Stp_Vlan_Interface_DesignatedRootAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootAddress returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-root-address".
func (n *Stp_Vlan_InterfacePathAny) DesignatedRootAddress() *Stp_Vlan_Interface_DesignatedRootAddressPathAny {
	return &Stp_Vlan_Interface_DesignatedRootAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Vlan_InterfacePath the path struct for its child "designated-root-priority".
func (n *Stp_Vlan_InterfacePath) DesignatedRootPriority() *Stp_Vlan_Interface_DesignatedRootPriorityPath {
	return &Stp_Vlan_Interface_DesignatedRootPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// DesignatedRootPriority returns from Stp_Vlan_InterfacePathAny the path struct for its child "designated-root-priority".
func (n *Stp_Vlan_InterfacePathAny) DesignatedRootPriority() *Stp_Vlan_Interface_DesignatedRootPriorityPathAny {
	return &Stp_Vlan_Interface_DesignatedRootPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "designated-root-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Vlan_InterfacePath the path struct for its child "forward-transisitions".
func (n *Stp_Vlan_InterfacePath) ForwardTransisitions() *Stp_Vlan_Interface_ForwardTransisitionsPath {
	return &Stp_Vlan_Interface_ForwardTransisitionsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// ForwardTransisitions returns from Stp_Vlan_InterfacePathAny the path struct for its child "forward-transisitions".
func (n *Stp_Vlan_InterfacePathAny) ForwardTransisitions() *Stp_Vlan_Interface_ForwardTransisitionsPathAny {
	return &Stp_Vlan_Interface_ForwardTransisitionsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "forward-transisitions"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Vlan_InterfacePath the path struct for its child "name".
func (n *Stp_Vlan_InterfacePath) Name() *Stp_Vlan_Interface_NamePath {
	return &Stp_Vlan_Interface_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from Stp_Vlan_InterfacePathAny the path struct for its child "name".
func (n *Stp_Vlan_InterfacePathAny) Name() *Stp_Vlan_Interface_NamePathAny {
	return &Stp_Vlan_Interface_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Vlan_InterfacePath the path struct for its child "port-num".
func (n *Stp_Vlan_InterfacePath) PortNum() *Stp_Vlan_Interface_PortNumPath {
	return &Stp_Vlan_Interface_PortNumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortNum returns from Stp_Vlan_InterfacePathAny the path struct for its child "port-num".
func (n *Stp_Vlan_InterfacePathAny) PortNum() *Stp_Vlan_Interface_PortNumPathAny {
	return &Stp_Vlan_Interface_PortNumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-num"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Vlan_InterfacePath the path struct for its child "port-priority".
func (n *Stp_Vlan_InterfacePath) PortPriority() *Stp_Vlan_Interface_PortPriorityPath {
	return &Stp_Vlan_Interface_PortPriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortPriority returns from Stp_Vlan_InterfacePathAny the path struct for its child "port-priority".
func (n *Stp_Vlan_InterfacePathAny) PortPriority() *Stp_Vlan_Interface_PortPriorityPathAny {
	return &Stp_Vlan_Interface_PortPriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port-priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Vlan_InterfacePath the path struct for its child "port-state".
func (n *Stp_Vlan_InterfacePath) PortState() *Stp_Vlan_Interface_PortStatePath {
	return &Stp_Vlan_Interface_PortStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortState returns from Stp_Vlan_InterfacePathAny the path struct for its child "port-state".
func (n *Stp_Vlan_InterfacePathAny) PortState() *Stp_Vlan_Interface_PortStatePathAny {
	return &Stp_Vlan_Interface_PortStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Vlan_InterfacePath the path struct for its child "role".
func (n *Stp_Vlan_InterfacePath) Role() *Stp_Vlan_Interface_RolePath {
	return &Stp_Vlan_Interface_RolePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from Stp_Vlan_InterfacePathAny the path struct for its child "role".
func (n *Stp_Vlan_InterfacePathAny) Role() *Stp_Vlan_Interface_RolePathAny {
	return &Stp_Vlan_Interface_RolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stp_Vlan_Interface_CountersPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters YANG schema element.
type Stp_Vlan_Interface_CountersPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_CountersPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters YANG schema element.
type Stp_Vlan_Interface_CountersPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_Counters_BpduReceivedPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Vlan_Interface_Counters_BpduReceivedPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_Counters_BpduReceivedPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters/bpdu-received YANG schema element.
type Stp_Vlan_Interface_Counters_BpduReceivedPathAny struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_Counters_BpduSentPath represents the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Vlan_Interface_Counters_BpduSentPath struct {
	*ygot.NodePath
}

// Stp_Vlan_Interface_Counters_BpduSentPathAny represents the wildcard version of the /openconfig-spanning-tree/stp/rapid-pvst/vlan/interfaces/interface/state/counters/bpdu-sent YANG schema element.
type Stp_Vlan_Interface_Counters_BpduSentPathAny struct {
	*ygot.NodePath
}

// BpduReceived returns from Stp_Vlan_Interface_CountersPath the path struct for its child "bpdu-received".
func (n *Stp_Vlan_Interface_CountersPath) BpduReceived() *Stp_Vlan_Interface_Counters_BpduReceivedPath {
	return &Stp_Vlan_Interface_Counters_BpduReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduReceived returns from Stp_Vlan_Interface_CountersPathAny the path struct for its child "bpdu-received".
func (n *Stp_Vlan_Interface_CountersPathAny) BpduReceived() *Stp_Vlan_Interface_Counters_BpduReceivedPathAny {
	return &Stp_Vlan_Interface_Counters_BpduReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Vlan_Interface_CountersPath the path struct for its child "bpdu-sent".
func (n *Stp_Vlan_Interface_CountersPath) BpduSent() *Stp_Vlan_Interface_Counters_BpduSentPath {
	return &Stp_Vlan_Interface_Counters_BpduSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// BpduSent returns from Stp_Vlan_Interface_CountersPathAny the path struct for its child "bpdu-sent".
func (n *Stp_Vlan_Interface_CountersPathAny) BpduSent() *Stp_Vlan_Interface_Counters_BpduSentPathAny {
	return &Stp_Vlan_Interface_Counters_BpduSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"bpdu-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemPath represents the /openconfig-system/system YANG schema element.
type SystemPath struct {
	*ygot.NodePath
}

// SystemPathAny represents the wildcard version of the /openconfig-system/system YANG schema element.
type SystemPathAny struct {
	*ygot.NodePath
}

// System_BootTimePath represents the /openconfig-system/system/state/boot-time YANG schema element.
type System_BootTimePath struct {
	*ygot.NodePath
}

// System_BootTimePathAny represents the wildcard version of the /openconfig-system/system/state/boot-time YANG schema element.
type System_BootTimePathAny struct {
	*ygot.NodePath
}

// System_CurrentDatetimePath represents the /openconfig-system/system/state/current-datetime YANG schema element.
type System_CurrentDatetimePath struct {
	*ygot.NodePath
}

// System_CurrentDatetimePathAny represents the wildcard version of the /openconfig-system/system/state/current-datetime YANG schema element.
type System_CurrentDatetimePathAny struct {
	*ygot.NodePath
}

// System_DomainNamePath represents the /openconfig-system/system/config/domain-name YANG schema element.
type System_DomainNamePath struct {
	*ygot.NodePath
}

// System_DomainNamePathAny represents the wildcard version of the /openconfig-system/system/config/domain-name YANG schema element.
type System_DomainNamePathAny struct {
	*ygot.NodePath
}

// System_HostnamePath represents the /openconfig-system/system/config/hostname YANG schema element.
type System_HostnamePath struct {
	*ygot.NodePath
}

// System_HostnamePathAny represents the wildcard version of the /openconfig-system/system/config/hostname YANG schema element.
type System_HostnamePathAny struct {
	*ygot.NodePath
}

// System_LoginBannerPath represents the /openconfig-system/system/config/login-banner YANG schema element.
type System_LoginBannerPath struct {
	*ygot.NodePath
}

// System_LoginBannerPathAny represents the wildcard version of the /openconfig-system/system/config/login-banner YANG schema element.
type System_LoginBannerPathAny struct {
	*ygot.NodePath
}

// System_MotdBannerPath represents the /openconfig-system/system/config/motd-banner YANG schema element.
type System_MotdBannerPath struct {
	*ygot.NodePath
}

// System_MotdBannerPathAny represents the wildcard version of the /openconfig-system/system/config/motd-banner YANG schema element.
type System_MotdBannerPathAny struct {
	*ygot.NodePath
}

// Aaa returns from SystemPath the path struct for its child "aaa".
func (n *SystemPath) Aaa() *System_AaaPath {
	return &System_AaaPath{
		NodePath: ygot.NewNodePath(
			[]string{"aaa"},
			map[string]interface{}{},
			n,
		),
	}
}

// Aaa returns from SystemPathAny the path struct for its child "aaa".
func (n *SystemPathAny) Aaa() *System_AaaPathAny {
	return &System_AaaPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"aaa"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlarmAny returns from SystemPath the path struct for its child "alarm".
func (n *SystemPath) AlarmAny() *System_AlarmPathAny {
	return &System_AlarmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarms", "alarm"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// AlarmAny returns from SystemPathAny the path struct for its child "alarm".
func (n *SystemPathAny) AlarmAny() *System_AlarmPathAny {
	return &System_AlarmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarms", "alarm"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Alarm returns from SystemPath the path struct for its child "alarm".
// Id: string
func (n *SystemPath) Alarm(Id string) *System_AlarmPath {
	return &System_AlarmPath{
		NodePath: ygot.NewNodePath(
			[]string{"alarms", "alarm"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Alarm returns from SystemPathAny the path struct for its child "alarm".
// Id: string
func (n *SystemPathAny) Alarm(Id string) *System_AlarmPathAny {
	return &System_AlarmPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"alarms", "alarm"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// BootTime returns from SystemPath the path struct for its child "boot-time".
func (n *SystemPath) BootTime() *System_BootTimePath {
	return &System_BootTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "boot-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// BootTime returns from SystemPathAny the path struct for its child "boot-time".
func (n *SystemPathAny) BootTime() *System_BootTimePathAny {
	return &System_BootTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "boot-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Clock returns from SystemPath the path struct for its child "clock".
func (n *SystemPath) Clock() *System_ClockPath {
	return &System_ClockPath{
		NodePath: ygot.NewNodePath(
			[]string{"clock"},
			map[string]interface{}{},
			n,
		),
	}
}

// Clock returns from SystemPathAny the path struct for its child "clock".
func (n *SystemPathAny) Clock() *System_ClockPathAny {
	return &System_ClockPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"clock"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuAny returns from SystemPath the path struct for its child "cpu".
func (n *SystemPath) CpuAny() *System_CpuPathAny {
	return &System_CpuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"cpus", "cpu"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// CpuAny returns from SystemPathAny the path struct for its child "cpu".
func (n *SystemPathAny) CpuAny() *System_CpuPathAny {
	return &System_CpuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"cpus", "cpu"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Cpu returns from SystemPath the path struct for its child "cpu".
// Index: [E_Cpu_Index_Enum, UnionUint32]
func (n *SystemPath) Cpu(Index System_Cpu_Index_Union) *System_CpuPath {
	return &System_CpuPath{
		NodePath: ygot.NewNodePath(
			[]string{"cpus", "cpu"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Cpu returns from SystemPathAny the path struct for its child "cpu".
// Index: [E_Cpu_Index_Enum, UnionUint32]
func (n *SystemPathAny) Cpu(Index System_Cpu_Index_Union) *System_CpuPathAny {
	return &System_CpuPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"cpus", "cpu"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// CurrentDatetime returns from SystemPath the path struct for its child "current-datetime".
func (n *SystemPath) CurrentDatetime() *System_CurrentDatetimePath {
	return &System_CurrentDatetimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-datetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// CurrentDatetime returns from SystemPathAny the path struct for its child "current-datetime".
func (n *SystemPathAny) CurrentDatetime() *System_CurrentDatetimePathAny {
	return &System_CurrentDatetimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "current-datetime"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dns returns from SystemPath the path struct for its child "dns".
func (n *SystemPath) Dns() *System_DnsPath {
	return &System_DnsPath{
		NodePath: ygot.NewNodePath(
			[]string{"dns"},
			map[string]interface{}{},
			n,
		),
	}
}

// Dns returns from SystemPathAny the path struct for its child "dns".
func (n *SystemPathAny) Dns() *System_DnsPathAny {
	return &System_DnsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"dns"},
			map[string]interface{}{},
			n,
		),
	}
}

// DomainName returns from SystemPath the path struct for its child "domain-name".
func (n *SystemPath) DomainName() *System_DomainNamePath {
	return &System_DomainNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "domain-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// DomainName returns from SystemPathAny the path struct for its child "domain-name".
func (n *SystemPathAny) DomainName() *System_DomainNamePathAny {
	return &System_DomainNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "domain-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// GrpcServer returns from SystemPath the path struct for its child "grpc-server".
func (n *SystemPath) GrpcServer() *System_GrpcServerPath {
	return &System_GrpcServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"grpc-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// GrpcServer returns from SystemPathAny the path struct for its child "grpc-server".
func (n *SystemPathAny) GrpcServer() *System_GrpcServerPathAny {
	return &System_GrpcServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"grpc-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from SystemPath the path struct for its child "hostname".
func (n *SystemPath) Hostname() *System_HostnamePath {
	return &System_HostnamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from SystemPathAny the path struct for its child "hostname".
func (n *SystemPathAny) Hostname() *System_HostnamePathAny {
	return &System_HostnamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// License returns from SystemPath the path struct for its child "license".
func (n *SystemPath) License() *System_LicensePath {
	return &System_LicensePath{
		NodePath: ygot.NewNodePath(
			[]string{"license"},
			map[string]interface{}{},
			n,
		),
	}
}

// License returns from SystemPathAny the path struct for its child "license".
func (n *SystemPathAny) License() *System_LicensePathAny {
	return &System_LicensePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"license"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logging returns from SystemPath the path struct for its child "logging".
func (n *SystemPath) Logging() *System_LoggingPath {
	return &System_LoggingPath{
		NodePath: ygot.NewNodePath(
			[]string{"logging"},
			map[string]interface{}{},
			n,
		),
	}
}

// Logging returns from SystemPathAny the path struct for its child "logging".
func (n *SystemPathAny) Logging() *System_LoggingPathAny {
	return &System_LoggingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logging"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoginBanner returns from SystemPath the path struct for its child "login-banner".
func (n *SystemPath) LoginBanner() *System_LoginBannerPath {
	return &System_LoginBannerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "login-banner"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoginBanner returns from SystemPathAny the path struct for its child "login-banner".
func (n *SystemPathAny) LoginBanner() *System_LoginBannerPathAny {
	return &System_LoginBannerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "login-banner"},
			map[string]interface{}{},
			n,
		),
	}
}

// Memory returns from SystemPath the path struct for its child "memory".
func (n *SystemPath) Memory() *System_MemoryPath {
	return &System_MemoryPath{
		NodePath: ygot.NewNodePath(
			[]string{"memory"},
			map[string]interface{}{},
			n,
		),
	}
}

// Memory returns from SystemPathAny the path struct for its child "memory".
func (n *SystemPathAny) Memory() *System_MemoryPathAny {
	return &System_MemoryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"memory"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from SystemPath the path struct for its child "messages".
func (n *SystemPath) Messages() *System_MessagesPath {
	return &System_MessagesPath{
		NodePath: ygot.NewNodePath(
			[]string{"messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// Messages returns from SystemPathAny the path struct for its child "messages".
func (n *SystemPathAny) Messages() *System_MessagesPathAny {
	return &System_MessagesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"messages"},
			map[string]interface{}{},
			n,
		),
	}
}

// MotdBanner returns from SystemPath the path struct for its child "motd-banner".
func (n *SystemPath) MotdBanner() *System_MotdBannerPath {
	return &System_MotdBannerPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "motd-banner"},
			map[string]interface{}{},
			n,
		),
	}
}

// MotdBanner returns from SystemPathAny the path struct for its child "motd-banner".
func (n *SystemPathAny) MotdBanner() *System_MotdBannerPathAny {
	return &System_MotdBannerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "motd-banner"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ntp returns from SystemPath the path struct for its child "ntp".
func (n *SystemPath) Ntp() *System_NtpPath {
	return &System_NtpPath{
		NodePath: ygot.NewNodePath(
			[]string{"ntp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ntp returns from SystemPathAny the path struct for its child "ntp".
func (n *SystemPathAny) Ntp() *System_NtpPathAny {
	return &System_NtpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ntp"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProcessAny returns from SystemPath the path struct for its child "process".
func (n *SystemPath) ProcessAny() *System_ProcessPathAny {
	return &System_ProcessPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"processes", "process"},
			map[string]interface{}{"pid": "*"},
			n,
		),
	}
}

// ProcessAny returns from SystemPathAny the path struct for its child "process".
func (n *SystemPathAny) ProcessAny() *System_ProcessPathAny {
	return &System_ProcessPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"processes", "process"},
			map[string]interface{}{"pid": "*"},
			n,
		),
	}
}

// Process returns from SystemPath the path struct for its child "process".
// Pid: uint64
func (n *SystemPath) Process(Pid uint64) *System_ProcessPath {
	return &System_ProcessPath{
		NodePath: ygot.NewNodePath(
			[]string{"processes", "process"},
			map[string]interface{}{"pid": Pid},
			n,
		),
	}
}

// Process returns from SystemPathAny the path struct for its child "process".
// Pid: uint64
func (n *SystemPathAny) Process(Pid uint64) *System_ProcessPathAny {
	return &System_ProcessPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"processes", "process"},
			map[string]interface{}{"pid": Pid},
			n,
		),
	}
}

// SshServer returns from SystemPath the path struct for its child "ssh-server".
func (n *SystemPath) SshServer() *System_SshServerPath {
	return &System_SshServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"ssh-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// SshServer returns from SystemPathAny the path struct for its child "ssh-server".
func (n *SystemPathAny) SshServer() *System_SshServerPathAny {
	return &System_SshServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ssh-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// TelnetServer returns from SystemPath the path struct for its child "telnet-server".
func (n *SystemPath) TelnetServer() *System_TelnetServerPath {
	return &System_TelnetServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"telnet-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// TelnetServer returns from SystemPathAny the path struct for its child "telnet-server".
func (n *SystemPathAny) TelnetServer() *System_TelnetServerPathAny {
	return &System_TelnetServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"telnet-server"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_AaaPath represents the /openconfig-system/system/aaa YANG schema element.
type System_AaaPath struct {
	*ygot.NodePath
}

// System_AaaPathAny represents the wildcard version of the /openconfig-system/system/aaa YANG schema element.
type System_AaaPathAny struct {
	*ygot.NodePath
}

// Accounting returns from System_AaaPath the path struct for its child "accounting".
func (n *System_AaaPath) Accounting() *System_Aaa_AccountingPath {
	return &System_Aaa_AccountingPath{
		NodePath: ygot.NewNodePath(
			[]string{"accounting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Accounting returns from System_AaaPathAny the path struct for its child "accounting".
func (n *System_AaaPathAny) Accounting() *System_Aaa_AccountingPathAny {
	return &System_Aaa_AccountingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"accounting"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from System_AaaPath the path struct for its child "authentication".
func (n *System_AaaPath) Authentication() *System_Aaa_AuthenticationPath {
	return &System_Aaa_AuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authentication returns from System_AaaPathAny the path struct for its child "authentication".
func (n *System_AaaPathAny) Authentication() *System_Aaa_AuthenticationPathAny {
	return &System_Aaa_AuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authorization returns from System_AaaPath the path struct for its child "authorization".
func (n *System_AaaPath) Authorization() *System_Aaa_AuthorizationPath {
	return &System_Aaa_AuthorizationPath{
		NodePath: ygot.NewNodePath(
			[]string{"authorization"},
			map[string]interface{}{},
			n,
		),
	}
}

// Authorization returns from System_AaaPathAny the path struct for its child "authorization".
func (n *System_AaaPathAny) Authorization() *System_Aaa_AuthorizationPathAny {
	return &System_Aaa_AuthorizationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"authorization"},
			map[string]interface{}{},
			n,
		),
	}
}

// ServerGroupAny returns from System_AaaPath the path struct for its child "server-group".
func (n *System_AaaPath) ServerGroupAny() *System_Aaa_ServerGroupPathAny {
	return &System_Aaa_ServerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"server-groups", "server-group"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// ServerGroupAny returns from System_AaaPathAny the path struct for its child "server-group".
func (n *System_AaaPathAny) ServerGroupAny() *System_Aaa_ServerGroupPathAny {
	return &System_Aaa_ServerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"server-groups", "server-group"},
			map[string]interface{}{"name": "*"},
			n,
		),
	}
}

// ServerGroup returns from System_AaaPath the path struct for its child "server-group".
// Name: string
func (n *System_AaaPath) ServerGroup(Name string) *System_Aaa_ServerGroupPath {
	return &System_Aaa_ServerGroupPath{
		NodePath: ygot.NewNodePath(
			[]string{"server-groups", "server-group"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// ServerGroup returns from System_AaaPathAny the path struct for its child "server-group".
// Name: string
func (n *System_AaaPathAny) ServerGroup(Name string) *System_Aaa_ServerGroupPathAny {
	return &System_Aaa_ServerGroupPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"server-groups", "server-group"},
			map[string]interface{}{"name": Name},
			n,
		),
	}
}

// System_Aaa_AccountingPath represents the /openconfig-system/system/aaa/accounting YANG schema element.
type System_Aaa_AccountingPath struct {
	*ygot.NodePath
}

// System_Aaa_AccountingPathAny represents the wildcard version of the /openconfig-system/system/aaa/accounting YANG schema element.
type System_Aaa_AccountingPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_AccountingMethodPath represents the /openconfig-system/system/aaa/accounting/config/accounting-method YANG schema element.
type System_Aaa_Accounting_AccountingMethodPath struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_AccountingMethodPathAny represents the wildcard version of the /openconfig-system/system/aaa/accounting/config/accounting-method YANG schema element.
type System_Aaa_Accounting_AccountingMethodPathAny struct {
	*ygot.NodePath
}

// AccountingMethod returns from System_Aaa_AccountingPath the path struct for its child "accounting-method".
func (n *System_Aaa_AccountingPath) AccountingMethod() *System_Aaa_Accounting_AccountingMethodPath {
	return &System_Aaa_Accounting_AccountingMethodPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accounting-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccountingMethod returns from System_Aaa_AccountingPathAny the path struct for its child "accounting-method".
func (n *System_Aaa_AccountingPathAny) AccountingMethod() *System_Aaa_Accounting_AccountingMethodPathAny {
	return &System_Aaa_Accounting_AccountingMethodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "accounting-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// EventAny returns from System_Aaa_AccountingPath the path struct for its child "event".
func (n *System_Aaa_AccountingPath) EventAny() *System_Aaa_Accounting_EventPathAny {
	return &System_Aaa_Accounting_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": "*"},
			n,
		),
	}
}

// EventAny returns from System_Aaa_AccountingPathAny the path struct for its child "event".
func (n *System_Aaa_AccountingPathAny) EventAny() *System_Aaa_Accounting_EventPathAny {
	return &System_Aaa_Accounting_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": "*"},
			n,
		),
	}
}

// Event returns from System_Aaa_AccountingPath the path struct for its child "event".
// EventType: E_AaaTypes_AAA_ACCOUNTING_EVENT_TYPE
func (n *System_Aaa_AccountingPath) Event(EventType E_AaaTypes_AAA_ACCOUNTING_EVENT_TYPE) *System_Aaa_Accounting_EventPath {
	return &System_Aaa_Accounting_EventPath{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": EventType},
			n,
		),
	}
}

// Event returns from System_Aaa_AccountingPathAny the path struct for its child "event".
// EventType: E_AaaTypes_AAA_ACCOUNTING_EVENT_TYPE
func (n *System_Aaa_AccountingPathAny) Event(EventType E_AaaTypes_AAA_ACCOUNTING_EVENT_TYPE) *System_Aaa_Accounting_EventPathAny {
	return &System_Aaa_Accounting_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": EventType},
			n,
		),
	}
}

// System_Aaa_Accounting_EventPath represents the /openconfig-system/system/aaa/accounting/events/event YANG schema element.
type System_Aaa_Accounting_EventPath struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_EventPathAny represents the wildcard version of the /openconfig-system/system/aaa/accounting/events/event YANG schema element.
type System_Aaa_Accounting_EventPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_Event_EventTypePath represents the /openconfig-system/system/aaa/accounting/events/event/config/event-type YANG schema element.
type System_Aaa_Accounting_Event_EventTypePath struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_Event_EventTypePathAny represents the wildcard version of the /openconfig-system/system/aaa/accounting/events/event/config/event-type YANG schema element.
type System_Aaa_Accounting_Event_EventTypePathAny struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_Event_RecordPath represents the /openconfig-system/system/aaa/accounting/events/event/config/record YANG schema element.
type System_Aaa_Accounting_Event_RecordPath struct {
	*ygot.NodePath
}

// System_Aaa_Accounting_Event_RecordPathAny represents the wildcard version of the /openconfig-system/system/aaa/accounting/events/event/config/record YANG schema element.
type System_Aaa_Accounting_Event_RecordPathAny struct {
	*ygot.NodePath
}

// EventType returns from System_Aaa_Accounting_EventPath the path struct for its child "event-type".
func (n *System_Aaa_Accounting_EventPath) EventType() *System_Aaa_Accounting_Event_EventTypePath {
	return &System_Aaa_Accounting_Event_EventTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "event-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// EventType returns from System_Aaa_Accounting_EventPathAny the path struct for its child "event-type".
func (n *System_Aaa_Accounting_EventPathAny) EventType() *System_Aaa_Accounting_Event_EventTypePathAny {
	return &System_Aaa_Accounting_Event_EventTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "event-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Record returns from System_Aaa_Accounting_EventPath the path struct for its child "record".
func (n *System_Aaa_Accounting_EventPath) Record() *System_Aaa_Accounting_Event_RecordPath {
	return &System_Aaa_Accounting_Event_RecordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "record"},
			map[string]interface{}{},
			n,
		),
	}
}

// Record returns from System_Aaa_Accounting_EventPathAny the path struct for its child "record".
func (n *System_Aaa_Accounting_EventPathAny) Record() *System_Aaa_Accounting_Event_RecordPathAny {
	return &System_Aaa_Accounting_Event_RecordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "record"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_AuthenticationPath represents the /openconfig-system/system/aaa/authentication YANG schema element.
type System_Aaa_AuthenticationPath struct {
	*ygot.NodePath
}

// System_Aaa_AuthenticationPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication YANG schema element.
type System_Aaa_AuthenticationPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AuthenticationMethodPath represents the /openconfig-system/system/aaa/authentication/config/authentication-method YANG schema element.
type System_Aaa_Authentication_AuthenticationMethodPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AuthenticationMethodPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/config/authentication-method YANG schema element.
type System_Aaa_Authentication_AuthenticationMethodPathAny struct {
	*ygot.NodePath
}

// AdminUser returns from System_Aaa_AuthenticationPath the path struct for its child "admin-user".
func (n *System_Aaa_AuthenticationPath) AdminUser() *System_Aaa_Authentication_AdminUserPath {
	return &System_Aaa_Authentication_AdminUserPath{
		NodePath: ygot.NewNodePath(
			[]string{"admin-user"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminUser returns from System_Aaa_AuthenticationPathAny the path struct for its child "admin-user".
func (n *System_Aaa_AuthenticationPathAny) AdminUser() *System_Aaa_Authentication_AdminUserPathAny {
	return &System_Aaa_Authentication_AdminUserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"admin-user"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationMethod returns from System_Aaa_AuthenticationPath the path struct for its child "authentication-method".
func (n *System_Aaa_AuthenticationPath) AuthenticationMethod() *System_Aaa_Authentication_AuthenticationMethodPath {
	return &System_Aaa_Authentication_AuthenticationMethodPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthenticationMethod returns from System_Aaa_AuthenticationPathAny the path struct for its child "authentication-method".
func (n *System_Aaa_AuthenticationPathAny) AuthenticationMethod() *System_Aaa_Authentication_AuthenticationMethodPathAny {
	return &System_Aaa_Authentication_AuthenticationMethodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authentication-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// UserAny returns from System_Aaa_AuthenticationPath the path struct for its child "user".
func (n *System_Aaa_AuthenticationPath) UserAny() *System_Aaa_Authentication_UserPathAny {
	return &System_Aaa_Authentication_UserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"users", "user"},
			map[string]interface{}{"username": "*"},
			n,
		),
	}
}

// UserAny returns from System_Aaa_AuthenticationPathAny the path struct for its child "user".
func (n *System_Aaa_AuthenticationPathAny) UserAny() *System_Aaa_Authentication_UserPathAny {
	return &System_Aaa_Authentication_UserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"users", "user"},
			map[string]interface{}{"username": "*"},
			n,
		),
	}
}

// User returns from System_Aaa_AuthenticationPath the path struct for its child "user".
// Username: string
func (n *System_Aaa_AuthenticationPath) User(Username string) *System_Aaa_Authentication_UserPath {
	return &System_Aaa_Authentication_UserPath{
		NodePath: ygot.NewNodePath(
			[]string{"users", "user"},
			map[string]interface{}{"username": Username},
			n,
		),
	}
}

// User returns from System_Aaa_AuthenticationPathAny the path struct for its child "user".
// Username: string
func (n *System_Aaa_AuthenticationPathAny) User(Username string) *System_Aaa_Authentication_UserPathAny {
	return &System_Aaa_Authentication_UserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"users", "user"},
			map[string]interface{}{"username": Username},
			n,
		),
	}
}

// System_Aaa_Authentication_AdminUserPath represents the /openconfig-system/system/aaa/authentication/admin-user YANG schema element.
type System_Aaa_Authentication_AdminUserPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUserPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/admin-user YANG schema element.
type System_Aaa_Authentication_AdminUserPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminPasswordPath represents the /openconfig-system/system/aaa/authentication/admin-user/config/admin-password YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminPasswordPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminPasswordPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/admin-user/config/admin-password YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminPasswordPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminPasswordHashedPath represents the /openconfig-system/system/aaa/authentication/admin-user/config/admin-password-hashed YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminPasswordHashedPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminPasswordHashedPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/admin-user/config/admin-password-hashed YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminPasswordHashedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminUsernamePath represents the /openconfig-system/system/aaa/authentication/admin-user/state/admin-username YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminUsernamePath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_AdminUser_AdminUsernamePathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/admin-user/state/admin-username YANG schema element.
type System_Aaa_Authentication_AdminUser_AdminUsernamePathAny struct {
	*ygot.NodePath
}

// AdminPassword returns from System_Aaa_Authentication_AdminUserPath the path struct for its child "admin-password".
func (n *System_Aaa_Authentication_AdminUserPath) AdminPassword() *System_Aaa_Authentication_AdminUser_AdminPasswordPath {
	return &System_Aaa_Authentication_AdminUser_AdminPasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminPassword returns from System_Aaa_Authentication_AdminUserPathAny the path struct for its child "admin-password".
func (n *System_Aaa_Authentication_AdminUserPathAny) AdminPassword() *System_Aaa_Authentication_AdminUser_AdminPasswordPathAny {
	return &System_Aaa_Authentication_AdminUser_AdminPasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-password"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminPasswordHashed returns from System_Aaa_Authentication_AdminUserPath the path struct for its child "admin-password-hashed".
func (n *System_Aaa_Authentication_AdminUserPath) AdminPasswordHashed() *System_Aaa_Authentication_AdminUser_AdminPasswordHashedPath {
	return &System_Aaa_Authentication_AdminUser_AdminPasswordHashedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-password-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminPasswordHashed returns from System_Aaa_Authentication_AdminUserPathAny the path struct for its child "admin-password-hashed".
func (n *System_Aaa_Authentication_AdminUserPathAny) AdminPasswordHashed() *System_Aaa_Authentication_AdminUser_AdminPasswordHashedPathAny {
	return &System_Aaa_Authentication_AdminUser_AdminPasswordHashedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-password-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminUsername returns from System_Aaa_Authentication_AdminUserPath the path struct for its child "admin-username".
func (n *System_Aaa_Authentication_AdminUserPath) AdminUsername() *System_Aaa_Authentication_AdminUser_AdminUsernamePath {
	return &System_Aaa_Authentication_AdminUser_AdminUsernamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-username"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminUsername returns from System_Aaa_Authentication_AdminUserPathAny the path struct for its child "admin-username".
func (n *System_Aaa_Authentication_AdminUserPathAny) AdminUsername() *System_Aaa_Authentication_AdminUser_AdminUsernamePathAny {
	return &System_Aaa_Authentication_AdminUser_AdminUsernamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "admin-username"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_Authentication_UserPath represents the /openconfig-system/system/aaa/authentication/users/user YANG schema element.
type System_Aaa_Authentication_UserPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_UserPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user YANG schema element.
type System_Aaa_Authentication_UserPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_PasswordPath represents the /openconfig-system/system/aaa/authentication/users/user/config/password YANG schema element.
type System_Aaa_Authentication_User_PasswordPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_PasswordPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user/config/password YANG schema element.
type System_Aaa_Authentication_User_PasswordPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_PasswordHashedPath represents the /openconfig-system/system/aaa/authentication/users/user/config/password-hashed YANG schema element.
type System_Aaa_Authentication_User_PasswordHashedPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_PasswordHashedPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user/config/password-hashed YANG schema element.
type System_Aaa_Authentication_User_PasswordHashedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_RolePath represents the /openconfig-system/system/aaa/authentication/users/user/config/role YANG schema element.
type System_Aaa_Authentication_User_RolePath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_RolePathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user/config/role YANG schema element.
type System_Aaa_Authentication_User_RolePathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_SshKeyPath represents the /openconfig-system/system/aaa/authentication/users/user/config/ssh-key YANG schema element.
type System_Aaa_Authentication_User_SshKeyPath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_SshKeyPathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user/config/ssh-key YANG schema element.
type System_Aaa_Authentication_User_SshKeyPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_UsernamePath represents the /openconfig-system/system/aaa/authentication/users/user/config/username YANG schema element.
type System_Aaa_Authentication_User_UsernamePath struct {
	*ygot.NodePath
}

// System_Aaa_Authentication_User_UsernamePathAny represents the wildcard version of the /openconfig-system/system/aaa/authentication/users/user/config/username YANG schema element.
type System_Aaa_Authentication_User_UsernamePathAny struct {
	*ygot.NodePath
}

// Password returns from System_Aaa_Authentication_UserPath the path struct for its child "password".
func (n *System_Aaa_Authentication_UserPath) Password() *System_Aaa_Authentication_User_PasswordPath {
	return &System_Aaa_Authentication_User_PasswordPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "password"},
			map[string]interface{}{},
			n,
		),
	}
}

// Password returns from System_Aaa_Authentication_UserPathAny the path struct for its child "password".
func (n *System_Aaa_Authentication_UserPathAny) Password() *System_Aaa_Authentication_User_PasswordPathAny {
	return &System_Aaa_Authentication_User_PasswordPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "password"},
			map[string]interface{}{},
			n,
		),
	}
}

// PasswordHashed returns from System_Aaa_Authentication_UserPath the path struct for its child "password-hashed".
func (n *System_Aaa_Authentication_UserPath) PasswordHashed() *System_Aaa_Authentication_User_PasswordHashedPath {
	return &System_Aaa_Authentication_User_PasswordHashedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "password-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// PasswordHashed returns from System_Aaa_Authentication_UserPathAny the path struct for its child "password-hashed".
func (n *System_Aaa_Authentication_UserPathAny) PasswordHashed() *System_Aaa_Authentication_User_PasswordHashedPathAny {
	return &System_Aaa_Authentication_User_PasswordHashedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "password-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from System_Aaa_Authentication_UserPath the path struct for its child "role".
func (n *System_Aaa_Authentication_UserPath) Role() *System_Aaa_Authentication_User_RolePath {
	return &System_Aaa_Authentication_User_RolePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// Role returns from System_Aaa_Authentication_UserPathAny the path struct for its child "role".
func (n *System_Aaa_Authentication_UserPathAny) Role() *System_Aaa_Authentication_User_RolePathAny {
	return &System_Aaa_Authentication_User_RolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "role"},
			map[string]interface{}{},
			n,
		),
	}
}

// SshKey returns from System_Aaa_Authentication_UserPath the path struct for its child "ssh-key".
func (n *System_Aaa_Authentication_UserPath) SshKey() *System_Aaa_Authentication_User_SshKeyPath {
	return &System_Aaa_Authentication_User_SshKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssh-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// SshKey returns from System_Aaa_Authentication_UserPathAny the path struct for its child "ssh-key".
func (n *System_Aaa_Authentication_UserPathAny) SshKey() *System_Aaa_Authentication_User_SshKeyPathAny {
	return &System_Aaa_Authentication_User_SshKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ssh-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// Username returns from System_Aaa_Authentication_UserPath the path struct for its child "username".
func (n *System_Aaa_Authentication_UserPath) Username() *System_Aaa_Authentication_User_UsernamePath {
	return &System_Aaa_Authentication_User_UsernamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "username"},
			map[string]interface{}{},
			n,
		),
	}
}

// Username returns from System_Aaa_Authentication_UserPathAny the path struct for its child "username".
func (n *System_Aaa_Authentication_UserPathAny) Username() *System_Aaa_Authentication_User_UsernamePathAny {
	return &System_Aaa_Authentication_User_UsernamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "username"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_AuthorizationPath represents the /openconfig-system/system/aaa/authorization YANG schema element.
type System_Aaa_AuthorizationPath struct {
	*ygot.NodePath
}

// System_Aaa_AuthorizationPathAny represents the wildcard version of the /openconfig-system/system/aaa/authorization YANG schema element.
type System_Aaa_AuthorizationPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authorization_AuthorizationMethodPath represents the /openconfig-system/system/aaa/authorization/config/authorization-method YANG schema element.
type System_Aaa_Authorization_AuthorizationMethodPath struct {
	*ygot.NodePath
}

// System_Aaa_Authorization_AuthorizationMethodPathAny represents the wildcard version of the /openconfig-system/system/aaa/authorization/config/authorization-method YANG schema element.
type System_Aaa_Authorization_AuthorizationMethodPathAny struct {
	*ygot.NodePath
}

// AuthorizationMethod returns from System_Aaa_AuthorizationPath the path struct for its child "authorization-method".
func (n *System_Aaa_AuthorizationPath) AuthorizationMethod() *System_Aaa_Authorization_AuthorizationMethodPath {
	return &System_Aaa_Authorization_AuthorizationMethodPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authorization-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthorizationMethod returns from System_Aaa_AuthorizationPathAny the path struct for its child "authorization-method".
func (n *System_Aaa_AuthorizationPathAny) AuthorizationMethod() *System_Aaa_Authorization_AuthorizationMethodPathAny {
	return &System_Aaa_Authorization_AuthorizationMethodPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "authorization-method"},
			map[string]interface{}{},
			n,
		),
	}
}

// EventAny returns from System_Aaa_AuthorizationPath the path struct for its child "event".
func (n *System_Aaa_AuthorizationPath) EventAny() *System_Aaa_Authorization_EventPathAny {
	return &System_Aaa_Authorization_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": "*"},
			n,
		),
	}
}

// EventAny returns from System_Aaa_AuthorizationPathAny the path struct for its child "event".
func (n *System_Aaa_AuthorizationPathAny) EventAny() *System_Aaa_Authorization_EventPathAny {
	return &System_Aaa_Authorization_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": "*"},
			n,
		),
	}
}

// Event returns from System_Aaa_AuthorizationPath the path struct for its child "event".
// EventType: E_AaaTypes_AAA_AUTHORIZATION_EVENT_TYPE
func (n *System_Aaa_AuthorizationPath) Event(EventType E_AaaTypes_AAA_AUTHORIZATION_EVENT_TYPE) *System_Aaa_Authorization_EventPath {
	return &System_Aaa_Authorization_EventPath{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": EventType},
			n,
		),
	}
}

// Event returns from System_Aaa_AuthorizationPathAny the path struct for its child "event".
// EventType: E_AaaTypes_AAA_AUTHORIZATION_EVENT_TYPE
func (n *System_Aaa_AuthorizationPathAny) Event(EventType E_AaaTypes_AAA_AUTHORIZATION_EVENT_TYPE) *System_Aaa_Authorization_EventPathAny {
	return &System_Aaa_Authorization_EventPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"events", "event"},
			map[string]interface{}{"event-type": EventType},
			n,
		),
	}
}

// System_Aaa_Authorization_EventPath represents the /openconfig-system/system/aaa/authorization/events/event YANG schema element.
type System_Aaa_Authorization_EventPath struct {
	*ygot.NodePath
}

// System_Aaa_Authorization_EventPathAny represents the wildcard version of the /openconfig-system/system/aaa/authorization/events/event YANG schema element.
type System_Aaa_Authorization_EventPathAny struct {
	*ygot.NodePath
}

// System_Aaa_Authorization_Event_EventTypePath represents the /openconfig-system/system/aaa/authorization/events/event/config/event-type YANG schema element.
type System_Aaa_Authorization_Event_EventTypePath struct {
	*ygot.NodePath
}

// System_Aaa_Authorization_Event_EventTypePathAny represents the wildcard version of the /openconfig-system/system/aaa/authorization/events/event/config/event-type YANG schema element.
type System_Aaa_Authorization_Event_EventTypePathAny struct {
	*ygot.NodePath
}

// EventType returns from System_Aaa_Authorization_EventPath the path struct for its child "event-type".
func (n *System_Aaa_Authorization_EventPath) EventType() *System_Aaa_Authorization_Event_EventTypePath {
	return &System_Aaa_Authorization_Event_EventTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "event-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// EventType returns from System_Aaa_Authorization_EventPathAny the path struct for its child "event-type".
func (n *System_Aaa_Authorization_EventPathAny) EventType() *System_Aaa_Authorization_Event_EventTypePathAny {
	return &System_Aaa_Authorization_Event_EventTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "event-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_ServerGroupPath represents the /openconfig-system/system/aaa/server-groups/server-group YANG schema element.
type System_Aaa_ServerGroupPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroupPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group YANG schema element.
type System_Aaa_ServerGroupPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_NamePath represents the /openconfig-system/system/aaa/server-groups/server-group/config/name YANG schema element.
type System_Aaa_ServerGroup_NamePath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_NamePathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/config/name YANG schema element.
type System_Aaa_ServerGroup_NamePathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_TypePath represents the /openconfig-system/system/aaa/server-groups/server-group/config/type YANG schema element.
type System_Aaa_ServerGroup_TypePath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_TypePathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/config/type YANG schema element.
type System_Aaa_ServerGroup_TypePathAny struct {
	*ygot.NodePath
}

// Name returns from System_Aaa_ServerGroupPath the path struct for its child "name".
func (n *System_Aaa_ServerGroupPath) Name() *System_Aaa_ServerGroup_NamePath {
	return &System_Aaa_ServerGroup_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from System_Aaa_ServerGroupPathAny the path struct for its child "name".
func (n *System_Aaa_ServerGroupPathAny) Name() *System_Aaa_ServerGroup_NamePathAny {
	return &System_Aaa_ServerGroup_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// ServerAny returns from System_Aaa_ServerGroupPath the path struct for its child "server".
func (n *System_Aaa_ServerGroupPath) ServerAny() *System_Aaa_ServerGroup_ServerPathAny {
	return &System_Aaa_ServerGroup_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// ServerAny returns from System_Aaa_ServerGroupPathAny the path struct for its child "server".
func (n *System_Aaa_ServerGroupPathAny) ServerAny() *System_Aaa_ServerGroup_ServerPathAny {
	return &System_Aaa_ServerGroup_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// Server returns from System_Aaa_ServerGroupPath the path struct for its child "server".
// Address: string
func (n *System_Aaa_ServerGroupPath) Server(Address string) *System_Aaa_ServerGroup_ServerPath {
	return &System_Aaa_ServerGroup_ServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Server returns from System_Aaa_ServerGroupPathAny the path struct for its child "server".
// Address: string
func (n *System_Aaa_ServerGroupPathAny) Server(Address string) *System_Aaa_ServerGroup_ServerPathAny {
	return &System_Aaa_ServerGroup_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Type returns from System_Aaa_ServerGroupPath the path struct for its child "type".
func (n *System_Aaa_ServerGroupPath) Type() *System_Aaa_ServerGroup_TypePath {
	return &System_Aaa_ServerGroup_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from System_Aaa_ServerGroupPathAny the path struct for its child "type".
func (n *System_Aaa_ServerGroupPathAny) Type() *System_Aaa_ServerGroup_TypePathAny {
	return &System_Aaa_ServerGroup_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_ServerGroup_ServerPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server YANG schema element.
type System_Aaa_ServerGroup_ServerPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_ServerPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server YANG schema element.
type System_Aaa_ServerGroup_ServerPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_AddressPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/address YANG schema element.
type System_Aaa_ServerGroup_Server_AddressPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_AddressPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/address YANG schema element.
type System_Aaa_ServerGroup_Server_AddressPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionAbortsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-aborts YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionAbortsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionAbortsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-aborts YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionAbortsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionClosesPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-closes YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionClosesPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionClosesPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-closes YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionClosesPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionFailuresPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-failures YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionFailuresPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionFailuresPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-failures YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionFailuresPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionOpensPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-opens YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionOpensPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionOpensPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-opens YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionOpensPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionTimeoutsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-timeouts YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionTimeoutsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ConnectionTimeoutsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/connection-timeouts YANG schema element.
type System_Aaa_ServerGroup_Server_ConnectionTimeoutsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ErrorsReceivedPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/errors-received YANG schema element.
type System_Aaa_ServerGroup_Server_ErrorsReceivedPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_ErrorsReceivedPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/errors-received YANG schema element.
type System_Aaa_ServerGroup_Server_ErrorsReceivedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_MessagesReceivedPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/messages-received YANG schema element.
type System_Aaa_ServerGroup_Server_MessagesReceivedPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_MessagesReceivedPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/messages-received YANG schema element.
type System_Aaa_ServerGroup_Server_MessagesReceivedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_MessagesSentPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/messages-sent YANG schema element.
type System_Aaa_ServerGroup_Server_MessagesSentPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_MessagesSentPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/state/messages-sent YANG schema element.
type System_Aaa_ServerGroup_Server_MessagesSentPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_NamePath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/name YANG schema element.
type System_Aaa_ServerGroup_Server_NamePath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_NamePathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/name YANG schema element.
type System_Aaa_ServerGroup_Server_NamePathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_TimeoutPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/timeout YANG schema element.
type System_Aaa_ServerGroup_Server_TimeoutPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_TimeoutPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/config/timeout YANG schema element.
type System_Aaa_ServerGroup_Server_TimeoutPathAny struct {
	*ygot.NodePath
}

// Address returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "address".
func (n *System_Aaa_ServerGroup_ServerPath) Address() *System_Aaa_ServerGroup_Server_AddressPath {
	return &System_Aaa_ServerGroup_Server_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "address".
func (n *System_Aaa_ServerGroup_ServerPathAny) Address() *System_Aaa_ServerGroup_Server_AddressPathAny {
	return &System_Aaa_ServerGroup_Server_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionAborts returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "connection-aborts".
func (n *System_Aaa_ServerGroup_ServerPath) ConnectionAborts() *System_Aaa_ServerGroup_Server_ConnectionAbortsPath {
	return &System_Aaa_ServerGroup_Server_ConnectionAbortsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-aborts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionAborts returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "connection-aborts".
func (n *System_Aaa_ServerGroup_ServerPathAny) ConnectionAborts() *System_Aaa_ServerGroup_Server_ConnectionAbortsPathAny {
	return &System_Aaa_ServerGroup_Server_ConnectionAbortsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-aborts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionCloses returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "connection-closes".
func (n *System_Aaa_ServerGroup_ServerPath) ConnectionCloses() *System_Aaa_ServerGroup_Server_ConnectionClosesPath {
	return &System_Aaa_ServerGroup_Server_ConnectionClosesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-closes"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionCloses returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "connection-closes".
func (n *System_Aaa_ServerGroup_ServerPathAny) ConnectionCloses() *System_Aaa_ServerGroup_Server_ConnectionClosesPathAny {
	return &System_Aaa_ServerGroup_Server_ConnectionClosesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-closes"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionFailures returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "connection-failures".
func (n *System_Aaa_ServerGroup_ServerPath) ConnectionFailures() *System_Aaa_ServerGroup_Server_ConnectionFailuresPath {
	return &System_Aaa_ServerGroup_Server_ConnectionFailuresPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-failures"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionFailures returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "connection-failures".
func (n *System_Aaa_ServerGroup_ServerPathAny) ConnectionFailures() *System_Aaa_ServerGroup_Server_ConnectionFailuresPathAny {
	return &System_Aaa_ServerGroup_Server_ConnectionFailuresPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-failures"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionOpens returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "connection-opens".
func (n *System_Aaa_ServerGroup_ServerPath) ConnectionOpens() *System_Aaa_ServerGroup_Server_ConnectionOpensPath {
	return &System_Aaa_ServerGroup_Server_ConnectionOpensPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-opens"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionOpens returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "connection-opens".
func (n *System_Aaa_ServerGroup_ServerPathAny) ConnectionOpens() *System_Aaa_ServerGroup_Server_ConnectionOpensPathAny {
	return &System_Aaa_ServerGroup_Server_ConnectionOpensPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-opens"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionTimeouts returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "connection-timeouts".
func (n *System_Aaa_ServerGroup_ServerPath) ConnectionTimeouts() *System_Aaa_ServerGroup_Server_ConnectionTimeoutsPath {
	return &System_Aaa_ServerGroup_Server_ConnectionTimeoutsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ConnectionTimeouts returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "connection-timeouts".
func (n *System_Aaa_ServerGroup_ServerPathAny) ConnectionTimeouts() *System_Aaa_ServerGroup_Server_ConnectionTimeoutsPathAny {
	return &System_Aaa_ServerGroup_Server_ConnectionTimeoutsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "connection-timeouts"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorsReceived returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "errors-received".
func (n *System_Aaa_ServerGroup_ServerPath) ErrorsReceived() *System_Aaa_ServerGroup_Server_ErrorsReceivedPath {
	return &System_Aaa_ServerGroup_Server_ErrorsReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errors-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErrorsReceived returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "errors-received".
func (n *System_Aaa_ServerGroup_ServerPathAny) ErrorsReceived() *System_Aaa_ServerGroup_Server_ErrorsReceivedPathAny {
	return &System_Aaa_ServerGroup_Server_ErrorsReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errors-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// MessagesReceived returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "messages-received".
func (n *System_Aaa_ServerGroup_ServerPath) MessagesReceived() *System_Aaa_ServerGroup_Server_MessagesReceivedPath {
	return &System_Aaa_ServerGroup_Server_MessagesReceivedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// MessagesReceived returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "messages-received".
func (n *System_Aaa_ServerGroup_ServerPathAny) MessagesReceived() *System_Aaa_ServerGroup_Server_MessagesReceivedPathAny {
	return &System_Aaa_ServerGroup_Server_MessagesReceivedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages-received"},
			map[string]interface{}{},
			n,
		),
	}
}

// MessagesSent returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "messages-sent".
func (n *System_Aaa_ServerGroup_ServerPath) MessagesSent() *System_Aaa_ServerGroup_Server_MessagesSentPath {
	return &System_Aaa_ServerGroup_Server_MessagesSentPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// MessagesSent returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "messages-sent".
func (n *System_Aaa_ServerGroup_ServerPathAny) MessagesSent() *System_Aaa_ServerGroup_Server_MessagesSentPathAny {
	return &System_Aaa_ServerGroup_Server_MessagesSentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "messages-sent"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "name".
func (n *System_Aaa_ServerGroup_ServerPath) Name() *System_Aaa_ServerGroup_Server_NamePath {
	return &System_Aaa_ServerGroup_Server_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "name".
func (n *System_Aaa_ServerGroup_ServerPathAny) Name() *System_Aaa_ServerGroup_Server_NamePathAny {
	return &System_Aaa_ServerGroup_Server_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Radius returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "radius".
func (n *System_Aaa_ServerGroup_ServerPath) Radius() *System_Aaa_ServerGroup_Server_RadiusPath {
	return &System_Aaa_ServerGroup_Server_RadiusPath{
		NodePath: ygot.NewNodePath(
			[]string{"radius"},
			map[string]interface{}{},
			n,
		),
	}
}

// Radius returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "radius".
func (n *System_Aaa_ServerGroup_ServerPathAny) Radius() *System_Aaa_ServerGroup_Server_RadiusPathAny {
	return &System_Aaa_ServerGroup_Server_RadiusPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"radius"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tacacs returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "tacacs".
func (n *System_Aaa_ServerGroup_ServerPath) Tacacs() *System_Aaa_ServerGroup_Server_TacacsPath {
	return &System_Aaa_ServerGroup_Server_TacacsPath{
		NodePath: ygot.NewNodePath(
			[]string{"tacacs"},
			map[string]interface{}{},
			n,
		),
	}
}

// Tacacs returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "tacacs".
func (n *System_Aaa_ServerGroup_ServerPathAny) Tacacs() *System_Aaa_ServerGroup_Server_TacacsPathAny {
	return &System_Aaa_ServerGroup_Server_TacacsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tacacs"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_Aaa_ServerGroup_ServerPath the path struct for its child "timeout".
func (n *System_Aaa_ServerGroup_ServerPath) Timeout() *System_Aaa_ServerGroup_Server_TimeoutPath {
	return &System_Aaa_ServerGroup_Server_TimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_Aaa_ServerGroup_ServerPathAny the path struct for its child "timeout".
func (n *System_Aaa_ServerGroup_ServerPathAny) Timeout() *System_Aaa_ServerGroup_Server_TimeoutPathAny {
	return &System_Aaa_ServerGroup_Server_TimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_ServerGroup_Server_RadiusPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius YANG schema element.
type System_Aaa_ServerGroup_Server_RadiusPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_RadiusPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius YANG schema element.
type System_Aaa_ServerGroup_Server_RadiusPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_AcctPortPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/acct-port YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_AcctPortPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_AcctPortPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/acct-port YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_AcctPortPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_AuthPortPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/auth-port YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_AuthPortPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_AuthPortPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/auth-port YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_AuthPortPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/retransmit-attempts YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/retransmit-attempts YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SecretKeyPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/secret-key YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SecretKeyPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SecretKeyPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/secret-key YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SecretKeyPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/secret-key-hashed YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/secret-key-hashed YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SourceAddressPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/source-address YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SourceAddressPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_SourceAddressPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/config/source-address YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_SourceAddressPathAny struct {
	*ygot.NodePath
}

// AcctPort returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "acct-port".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) AcctPort() *System_Aaa_ServerGroup_Server_Radius_AcctPortPath {
	return &System_Aaa_ServerGroup_Server_Radius_AcctPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "acct-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// AcctPort returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "acct-port".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) AcctPort() *System_Aaa_ServerGroup_Server_Radius_AcctPortPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_AcctPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "acct-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPort returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "auth-port".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) AuthPort() *System_Aaa_ServerGroup_Server_Radius_AuthPortPath {
	return &System_Aaa_ServerGroup_Server_Radius_AuthPortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthPort returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "auth-port".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) AuthPort() *System_Aaa_ServerGroup_Server_Radius_AuthPortPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_AuthPortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "auth-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "counters".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) Counters() *System_Aaa_ServerGroup_Server_Radius_CountersPath {
	return &System_Aaa_ServerGroup_Server_Radius_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "counters".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) Counters() *System_Aaa_ServerGroup_Server_Radius_CountersPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetransmitAttempts returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "retransmit-attempts".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) RetransmitAttempts() *System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPath {
	return &System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retransmit-attempts"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetransmitAttempts returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "retransmit-attempts".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) RetransmitAttempts() *System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_RetransmitAttemptsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "retransmit-attempts"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKey returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "secret-key".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) SecretKey() *System_Aaa_ServerGroup_Server_Radius_SecretKeyPath {
	return &System_Aaa_ServerGroup_Server_Radius_SecretKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKey returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "secret-key".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) SecretKey() *System_Aaa_ServerGroup_Server_Radius_SecretKeyPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_SecretKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKeyHashed returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "secret-key-hashed".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) SecretKeyHashed() *System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPath {
	return &System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKeyHashed returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "secret-key-hashed".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) SecretKeyHashed() *System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_SecretKeyHashedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from System_Aaa_ServerGroup_Server_RadiusPath the path struct for its child "source-address".
func (n *System_Aaa_ServerGroup_Server_RadiusPath) SourceAddress() *System_Aaa_ServerGroup_Server_Radius_SourceAddressPath {
	return &System_Aaa_ServerGroup_Server_Radius_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from System_Aaa_ServerGroup_Server_RadiusPathAny the path struct for its child "source-address".
func (n *System_Aaa_ServerGroup_Server_RadiusPathAny) SourceAddress() *System_Aaa_ServerGroup_Server_Radius_SourceAddressPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_ServerGroup_Server_Radius_CountersPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_CountersPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_CountersPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_CountersPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/access-accepts YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/access-accepts YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/access-rejects YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/access-rejects YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/retried-access-requests YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/retried-access-requests YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/timeout-access-requests YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/radius/state/counters/timeout-access-requests YANG schema element.
type System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPathAny struct {
	*ygot.NodePath
}

// AccessAccepts returns from System_Aaa_ServerGroup_Server_Radius_CountersPath the path struct for its child "access-accepts".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPath) AccessAccepts() *System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPath {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPath{
		NodePath: ygot.NewNodePath(
			[]string{"access-accepts"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccessAccepts returns from System_Aaa_ServerGroup_Server_Radius_CountersPathAny the path struct for its child "access-accepts".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPathAny) AccessAccepts() *System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_AccessAcceptsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"access-accepts"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccessRejects returns from System_Aaa_ServerGroup_Server_Radius_CountersPath the path struct for its child "access-rejects".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPath) AccessRejects() *System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPath {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPath{
		NodePath: ygot.NewNodePath(
			[]string{"access-rejects"},
			map[string]interface{}{},
			n,
		),
	}
}

// AccessRejects returns from System_Aaa_ServerGroup_Server_Radius_CountersPathAny the path struct for its child "access-rejects".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPathAny) AccessRejects() *System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_AccessRejectsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"access-rejects"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetriedAccessRequests returns from System_Aaa_ServerGroup_Server_Radius_CountersPath the path struct for its child "retried-access-requests".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPath) RetriedAccessRequests() *System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPath {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPath{
		NodePath: ygot.NewNodePath(
			[]string{"retried-access-requests"},
			map[string]interface{}{},
			n,
		),
	}
}

// RetriedAccessRequests returns from System_Aaa_ServerGroup_Server_Radius_CountersPathAny the path struct for its child "retried-access-requests".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPathAny) RetriedAccessRequests() *System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_RetriedAccessRequestsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"retried-access-requests"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimeoutAccessRequests returns from System_Aaa_ServerGroup_Server_Radius_CountersPath the path struct for its child "timeout-access-requests".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPath) TimeoutAccessRequests() *System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPath {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPath{
		NodePath: ygot.NewNodePath(
			[]string{"timeout-access-requests"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimeoutAccessRequests returns from System_Aaa_ServerGroup_Server_Radius_CountersPathAny the path struct for its child "timeout-access-requests".
func (n *System_Aaa_ServerGroup_Server_Radius_CountersPathAny) TimeoutAccessRequests() *System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPathAny {
	return &System_Aaa_ServerGroup_Server_Radius_Counters_TimeoutAccessRequestsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"timeout-access-requests"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Aaa_ServerGroup_Server_TacacsPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs YANG schema element.
type System_Aaa_ServerGroup_Server_TacacsPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_TacacsPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs YANG schema element.
type System_Aaa_ServerGroup_Server_TacacsPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_PortPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/port YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_PortPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_PortPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/port YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_PortPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/secret-key YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/secret-key YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/secret-key-hashed YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/secret-key-hashed YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPathAny struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPath represents the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/source-address YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPath struct {
	*ygot.NodePath
}

// System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPathAny represents the wildcard version of the /openconfig-system/system/aaa/server-groups/server-group/servers/server/tacacs/config/source-address YANG schema element.
type System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPathAny struct {
	*ygot.NodePath
}

// Port returns from System_Aaa_ServerGroup_Server_TacacsPath the path struct for its child "port".
func (n *System_Aaa_ServerGroup_Server_TacacsPath) Port() *System_Aaa_ServerGroup_Server_Tacacs_PortPath {
	return &System_Aaa_ServerGroup_Server_Tacacs_PortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_Aaa_ServerGroup_Server_TacacsPathAny the path struct for its child "port".
func (n *System_Aaa_ServerGroup_Server_TacacsPathAny) Port() *System_Aaa_ServerGroup_Server_Tacacs_PortPathAny {
	return &System_Aaa_ServerGroup_Server_Tacacs_PortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKey returns from System_Aaa_ServerGroup_Server_TacacsPath the path struct for its child "secret-key".
func (n *System_Aaa_ServerGroup_Server_TacacsPath) SecretKey() *System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPath {
	return &System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKey returns from System_Aaa_ServerGroup_Server_TacacsPathAny the path struct for its child "secret-key".
func (n *System_Aaa_ServerGroup_Server_TacacsPathAny) SecretKey() *System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPathAny {
	return &System_Aaa_ServerGroup_Server_Tacacs_SecretKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKeyHashed returns from System_Aaa_ServerGroup_Server_TacacsPath the path struct for its child "secret-key-hashed".
func (n *System_Aaa_ServerGroup_Server_TacacsPath) SecretKeyHashed() *System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPath {
	return &System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// SecretKeyHashed returns from System_Aaa_ServerGroup_Server_TacacsPathAny the path struct for its child "secret-key-hashed".
func (n *System_Aaa_ServerGroup_Server_TacacsPathAny) SecretKeyHashed() *System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPathAny {
	return &System_Aaa_ServerGroup_Server_Tacacs_SecretKeyHashedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "secret-key-hashed"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from System_Aaa_ServerGroup_Server_TacacsPath the path struct for its child "source-address".
func (n *System_Aaa_ServerGroup_Server_TacacsPath) SourceAddress() *System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPath {
	return &System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from System_Aaa_ServerGroup_Server_TacacsPathAny the path struct for its child "source-address".
func (n *System_Aaa_ServerGroup_Server_TacacsPathAny) SourceAddress() *System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPathAny {
	return &System_Aaa_ServerGroup_Server_Tacacs_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_AlarmPath represents the /openconfig-system/system/alarms/alarm YANG schema element.
type System_AlarmPath struct {
	*ygot.NodePath
}

// System_AlarmPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm YANG schema element.
type System_AlarmPathAny struct {
	*ygot.NodePath
}

// System_Alarm_IdPath represents the /openconfig-system/system/alarms/alarm/state/id YANG schema element.
type System_Alarm_IdPath struct {
	*ygot.NodePath
}

// System_Alarm_IdPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/id YANG schema element.
type System_Alarm_IdPathAny struct {
	*ygot.NodePath
}

// System_Alarm_ResourcePath represents the /openconfig-system/system/alarms/alarm/state/resource YANG schema element.
type System_Alarm_ResourcePath struct {
	*ygot.NodePath
}

// System_Alarm_ResourcePathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/resource YANG schema element.
type System_Alarm_ResourcePathAny struct {
	*ygot.NodePath
}

// System_Alarm_SeverityPath represents the /openconfig-system/system/alarms/alarm/state/severity YANG schema element.
type System_Alarm_SeverityPath struct {
	*ygot.NodePath
}

// System_Alarm_SeverityPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/severity YANG schema element.
type System_Alarm_SeverityPathAny struct {
	*ygot.NodePath
}

// System_Alarm_TextPath represents the /openconfig-system/system/alarms/alarm/state/text YANG schema element.
type System_Alarm_TextPath struct {
	*ygot.NodePath
}

// System_Alarm_TextPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/text YANG schema element.
type System_Alarm_TextPathAny struct {
	*ygot.NodePath
}

// System_Alarm_TimeCreatedPath represents the /openconfig-system/system/alarms/alarm/state/time-created YANG schema element.
type System_Alarm_TimeCreatedPath struct {
	*ygot.NodePath
}

// System_Alarm_TimeCreatedPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/time-created YANG schema element.
type System_Alarm_TimeCreatedPathAny struct {
	*ygot.NodePath
}

// System_Alarm_TypeIdPath represents the /openconfig-system/system/alarms/alarm/state/type-id YANG schema element.
type System_Alarm_TypeIdPath struct {
	*ygot.NodePath
}

// System_Alarm_TypeIdPathAny represents the wildcard version of the /openconfig-system/system/alarms/alarm/state/type-id YANG schema element.
type System_Alarm_TypeIdPathAny struct {
	*ygot.NodePath
}

// Id returns from System_AlarmPath the path struct for its child "id".
func (n *System_AlarmPath) Id() *System_Alarm_IdPath {
	return &System_Alarm_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from System_AlarmPathAny the path struct for its child "id".
func (n *System_AlarmPathAny) Id() *System_Alarm_IdPathAny {
	return &System_Alarm_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Resource returns from System_AlarmPath the path struct for its child "resource".
func (n *System_AlarmPath) Resource() *System_Alarm_ResourcePath {
	return &System_Alarm_ResourcePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "resource"},
			map[string]interface{}{},
			n,
		),
	}
}

// Resource returns from System_AlarmPathAny the path struct for its child "resource".
func (n *System_AlarmPathAny) Resource() *System_Alarm_ResourcePathAny {
	return &System_Alarm_ResourcePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "resource"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_AlarmPath the path struct for its child "severity".
func (n *System_AlarmPath) Severity() *System_Alarm_SeverityPath {
	return &System_Alarm_SeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_AlarmPathAny the path struct for its child "severity".
func (n *System_AlarmPathAny) Severity() *System_Alarm_SeverityPathAny {
	return &System_Alarm_SeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Text returns from System_AlarmPath the path struct for its child "text".
func (n *System_AlarmPath) Text() *System_Alarm_TextPath {
	return &System_Alarm_TextPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "text"},
			map[string]interface{}{},
			n,
		),
	}
}

// Text returns from System_AlarmPathAny the path struct for its child "text".
func (n *System_AlarmPathAny) Text() *System_Alarm_TextPathAny {
	return &System_Alarm_TextPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "text"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimeCreated returns from System_AlarmPath the path struct for its child "time-created".
func (n *System_AlarmPath) TimeCreated() *System_Alarm_TimeCreatedPath {
	return &System_Alarm_TimeCreatedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "time-created"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimeCreated returns from System_AlarmPathAny the path struct for its child "time-created".
func (n *System_AlarmPathAny) TimeCreated() *System_Alarm_TimeCreatedPathAny {
	return &System_Alarm_TimeCreatedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "time-created"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeId returns from System_AlarmPath the path struct for its child "type-id".
func (n *System_AlarmPath) TypeId() *System_Alarm_TypeIdPath {
	return &System_Alarm_TypeIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// TypeId returns from System_AlarmPathAny the path struct for its child "type-id".
func (n *System_AlarmPathAny) TypeId() *System_Alarm_TypeIdPathAny {
	return &System_Alarm_TypeIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_ClockPath represents the /openconfig-system/system/clock YANG schema element.
type System_ClockPath struct {
	*ygot.NodePath
}

// System_ClockPathAny represents the wildcard version of the /openconfig-system/system/clock YANG schema element.
type System_ClockPathAny struct {
	*ygot.NodePath
}

// System_Clock_TimezoneNamePath represents the /openconfig-system/system/clock/config/timezone-name YANG schema element.
type System_Clock_TimezoneNamePath struct {
	*ygot.NodePath
}

// System_Clock_TimezoneNamePathAny represents the wildcard version of the /openconfig-system/system/clock/config/timezone-name YANG schema element.
type System_Clock_TimezoneNamePathAny struct {
	*ygot.NodePath
}

// TimezoneName returns from System_ClockPath the path struct for its child "timezone-name".
func (n *System_ClockPath) TimezoneName() *System_Clock_TimezoneNamePath {
	return &System_Clock_TimezoneNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timezone-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// TimezoneName returns from System_ClockPathAny the path struct for its child "timezone-name".
func (n *System_ClockPathAny) TimezoneName() *System_Clock_TimezoneNamePathAny {
	return &System_Clock_TimezoneNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timezone-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_CpuPath represents the /openconfig-system/system/cpus/cpu YANG schema element.
type System_CpuPath struct {
	*ygot.NodePath
}

// System_CpuPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu YANG schema element.
type System_CpuPathAny struct {
	*ygot.NodePath
}

// System_Cpu_IndexPath represents the /openconfig-system/system/cpus/cpu/state/index YANG schema element.
type System_Cpu_IndexPath struct {
	*ygot.NodePath
}

// System_Cpu_IndexPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/index YANG schema element.
type System_Cpu_IndexPathAny struct {
	*ygot.NodePath
}

// HardwareInterrupt returns from System_CpuPath the path struct for its child "hardware-interrupt".
func (n *System_CpuPath) HardwareInterrupt() *System_Cpu_HardwareInterruptPath {
	return &System_Cpu_HardwareInterruptPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-interrupt"},
			map[string]interface{}{},
			n,
		),
	}
}

// HardwareInterrupt returns from System_CpuPathAny the path struct for its child "hardware-interrupt".
func (n *System_CpuPathAny) HardwareInterrupt() *System_Cpu_HardwareInterruptPathAny {
	return &System_Cpu_HardwareInterruptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "hardware-interrupt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Idle returns from System_CpuPath the path struct for its child "idle".
func (n *System_CpuPath) Idle() *System_Cpu_IdlePath {
	return &System_Cpu_IdlePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "idle"},
			map[string]interface{}{},
			n,
		),
	}
}

// Idle returns from System_CpuPathAny the path struct for its child "idle".
func (n *System_CpuPathAny) Idle() *System_Cpu_IdlePathAny {
	return &System_Cpu_IdlePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "idle"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from System_CpuPath the path struct for its child "index".
func (n *System_CpuPath) Index() *System_Cpu_IndexPath {
	return &System_Cpu_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from System_CpuPathAny the path struct for its child "index".
func (n *System_CpuPathAny) Index() *System_Cpu_IndexPathAny {
	return &System_Cpu_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Kernel returns from System_CpuPath the path struct for its child "kernel".
func (n *System_CpuPath) Kernel() *System_Cpu_KernelPath {
	return &System_Cpu_KernelPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "kernel"},
			map[string]interface{}{},
			n,
		),
	}
}

// Kernel returns from System_CpuPathAny the path struct for its child "kernel".
func (n *System_CpuPathAny) Kernel() *System_Cpu_KernelPathAny {
	return &System_Cpu_KernelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "kernel"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nice returns from System_CpuPath the path struct for its child "nice".
func (n *System_CpuPath) Nice() *System_Cpu_NicePath {
	return &System_Cpu_NicePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nice"},
			map[string]interface{}{},
			n,
		),
	}
}

// Nice returns from System_CpuPathAny the path struct for its child "nice".
func (n *System_CpuPathAny) Nice() *System_Cpu_NicePathAny {
	return &System_Cpu_NicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "nice"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftwareInterrupt returns from System_CpuPath the path struct for its child "software-interrupt".
func (n *System_CpuPath) SoftwareInterrupt() *System_Cpu_SoftwareInterruptPath {
	return &System_Cpu_SoftwareInterruptPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "software-interrupt"},
			map[string]interface{}{},
			n,
		),
	}
}

// SoftwareInterrupt returns from System_CpuPathAny the path struct for its child "software-interrupt".
func (n *System_CpuPathAny) SoftwareInterrupt() *System_Cpu_SoftwareInterruptPathAny {
	return &System_Cpu_SoftwareInterruptPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "software-interrupt"},
			map[string]interface{}{},
			n,
		),
	}
}

// Total returns from System_CpuPath the path struct for its child "total".
func (n *System_CpuPath) Total() *System_Cpu_TotalPath {
	return &System_Cpu_TotalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total"},
			map[string]interface{}{},
			n,
		),
	}
}

// Total returns from System_CpuPathAny the path struct for its child "total".
func (n *System_CpuPathAny) Total() *System_Cpu_TotalPathAny {
	return &System_Cpu_TotalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "total"},
			map[string]interface{}{},
			n,
		),
	}
}

// User returns from System_CpuPath the path struct for its child "user".
func (n *System_CpuPath) User() *System_Cpu_UserPath {
	return &System_Cpu_UserPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "user"},
			map[string]interface{}{},
			n,
		),
	}
}

// User returns from System_CpuPathAny the path struct for its child "user".
func (n *System_CpuPathAny) User() *System_Cpu_UserPathAny {
	return &System_Cpu_UserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "user"},
			map[string]interface{}{},
			n,
		),
	}
}

// Wait returns from System_CpuPath the path struct for its child "wait".
func (n *System_CpuPath) Wait() *System_Cpu_WaitPath {
	return &System_Cpu_WaitPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "wait"},
			map[string]interface{}{},
			n,
		),
	}
}

// Wait returns from System_CpuPathAny the path struct for its child "wait".
func (n *System_CpuPathAny) Wait() *System_Cpu_WaitPathAny {
	return &System_Cpu_WaitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "wait"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_HardwareInterruptPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt YANG schema element.
type System_Cpu_HardwareInterruptPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterruptPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt YANG schema element.
type System_Cpu_HardwareInterruptPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_AvgPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/avg YANG schema element.
type System_Cpu_HardwareInterrupt_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/avg YANG schema element.
type System_Cpu_HardwareInterrupt_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_InstantPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/instant YANG schema element.
type System_Cpu_HardwareInterrupt_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/instant YANG schema element.
type System_Cpu_HardwareInterrupt_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/interval YANG schema element.
type System_Cpu_HardwareInterrupt_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/interval YANG schema element.
type System_Cpu_HardwareInterrupt_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MaxPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/max YANG schema element.
type System_Cpu_HardwareInterrupt_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/max YANG schema element.
type System_Cpu_HardwareInterrupt_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/max-time YANG schema element.
type System_Cpu_HardwareInterrupt_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/max-time YANG schema element.
type System_Cpu_HardwareInterrupt_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MinPath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/min YANG schema element.
type System_Cpu_HardwareInterrupt_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/min YANG schema element.
type System_Cpu_HardwareInterrupt_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/min-time YANG schema element.
type System_Cpu_HardwareInterrupt_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_HardwareInterrupt_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/hardware-interrupt/min-time YANG schema element.
type System_Cpu_HardwareInterrupt_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_HardwareInterruptPath the path struct for its child "avg".
func (n *System_Cpu_HardwareInterruptPath) Avg() *System_Cpu_HardwareInterrupt_AvgPath {
	return &System_Cpu_HardwareInterrupt_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "avg".
func (n *System_Cpu_HardwareInterruptPathAny) Avg() *System_Cpu_HardwareInterrupt_AvgPathAny {
	return &System_Cpu_HardwareInterrupt_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_HardwareInterruptPath the path struct for its child "instant".
func (n *System_Cpu_HardwareInterruptPath) Instant() *System_Cpu_HardwareInterrupt_InstantPath {
	return &System_Cpu_HardwareInterrupt_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "instant".
func (n *System_Cpu_HardwareInterruptPathAny) Instant() *System_Cpu_HardwareInterrupt_InstantPathAny {
	return &System_Cpu_HardwareInterrupt_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_HardwareInterruptPath the path struct for its child "interval".
func (n *System_Cpu_HardwareInterruptPath) Interval() *System_Cpu_HardwareInterrupt_IntervalPath {
	return &System_Cpu_HardwareInterrupt_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "interval".
func (n *System_Cpu_HardwareInterruptPathAny) Interval() *System_Cpu_HardwareInterrupt_IntervalPathAny {
	return &System_Cpu_HardwareInterrupt_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_HardwareInterruptPath the path struct for its child "max".
func (n *System_Cpu_HardwareInterruptPath) Max() *System_Cpu_HardwareInterrupt_MaxPath {
	return &System_Cpu_HardwareInterrupt_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "max".
func (n *System_Cpu_HardwareInterruptPathAny) Max() *System_Cpu_HardwareInterrupt_MaxPathAny {
	return &System_Cpu_HardwareInterrupt_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_HardwareInterruptPath the path struct for its child "max-time".
func (n *System_Cpu_HardwareInterruptPath) MaxTime() *System_Cpu_HardwareInterrupt_MaxTimePath {
	return &System_Cpu_HardwareInterrupt_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "max-time".
func (n *System_Cpu_HardwareInterruptPathAny) MaxTime() *System_Cpu_HardwareInterrupt_MaxTimePathAny {
	return &System_Cpu_HardwareInterrupt_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_HardwareInterruptPath the path struct for its child "min".
func (n *System_Cpu_HardwareInterruptPath) Min() *System_Cpu_HardwareInterrupt_MinPath {
	return &System_Cpu_HardwareInterrupt_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "min".
func (n *System_Cpu_HardwareInterruptPathAny) Min() *System_Cpu_HardwareInterrupt_MinPathAny {
	return &System_Cpu_HardwareInterrupt_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_HardwareInterruptPath the path struct for its child "min-time".
func (n *System_Cpu_HardwareInterruptPath) MinTime() *System_Cpu_HardwareInterrupt_MinTimePath {
	return &System_Cpu_HardwareInterrupt_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_HardwareInterruptPathAny the path struct for its child "min-time".
func (n *System_Cpu_HardwareInterruptPathAny) MinTime() *System_Cpu_HardwareInterrupt_MinTimePathAny {
	return &System_Cpu_HardwareInterrupt_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_IdlePath represents the /openconfig-system/system/cpus/cpu/state/idle YANG schema element.
type System_Cpu_IdlePath struct {
	*ygot.NodePath
}

// System_Cpu_IdlePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle YANG schema element.
type System_Cpu_IdlePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_AvgPath represents the /openconfig-system/system/cpus/cpu/state/idle/avg YANG schema element.
type System_Cpu_Idle_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/avg YANG schema element.
type System_Cpu_Idle_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_InstantPath represents the /openconfig-system/system/cpus/cpu/state/idle/instant YANG schema element.
type System_Cpu_Idle_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/instant YANG schema element.
type System_Cpu_Idle_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/idle/interval YANG schema element.
type System_Cpu_Idle_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/interval YANG schema element.
type System_Cpu_Idle_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MaxPath represents the /openconfig-system/system/cpus/cpu/state/idle/max YANG schema element.
type System_Cpu_Idle_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/max YANG schema element.
type System_Cpu_Idle_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/idle/max-time YANG schema element.
type System_Cpu_Idle_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/max-time YANG schema element.
type System_Cpu_Idle_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MinPath represents the /openconfig-system/system/cpus/cpu/state/idle/min YANG schema element.
type System_Cpu_Idle_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/min YANG schema element.
type System_Cpu_Idle_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/idle/min-time YANG schema element.
type System_Cpu_Idle_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Idle_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/idle/min-time YANG schema element.
type System_Cpu_Idle_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_IdlePath the path struct for its child "avg".
func (n *System_Cpu_IdlePath) Avg() *System_Cpu_Idle_AvgPath {
	return &System_Cpu_Idle_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_IdlePathAny the path struct for its child "avg".
func (n *System_Cpu_IdlePathAny) Avg() *System_Cpu_Idle_AvgPathAny {
	return &System_Cpu_Idle_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_IdlePath the path struct for its child "instant".
func (n *System_Cpu_IdlePath) Instant() *System_Cpu_Idle_InstantPath {
	return &System_Cpu_Idle_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_IdlePathAny the path struct for its child "instant".
func (n *System_Cpu_IdlePathAny) Instant() *System_Cpu_Idle_InstantPathAny {
	return &System_Cpu_Idle_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_IdlePath the path struct for its child "interval".
func (n *System_Cpu_IdlePath) Interval() *System_Cpu_Idle_IntervalPath {
	return &System_Cpu_Idle_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_IdlePathAny the path struct for its child "interval".
func (n *System_Cpu_IdlePathAny) Interval() *System_Cpu_Idle_IntervalPathAny {
	return &System_Cpu_Idle_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_IdlePath the path struct for its child "max".
func (n *System_Cpu_IdlePath) Max() *System_Cpu_Idle_MaxPath {
	return &System_Cpu_Idle_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_IdlePathAny the path struct for its child "max".
func (n *System_Cpu_IdlePathAny) Max() *System_Cpu_Idle_MaxPathAny {
	return &System_Cpu_Idle_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_IdlePath the path struct for its child "max-time".
func (n *System_Cpu_IdlePath) MaxTime() *System_Cpu_Idle_MaxTimePath {
	return &System_Cpu_Idle_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_IdlePathAny the path struct for its child "max-time".
func (n *System_Cpu_IdlePathAny) MaxTime() *System_Cpu_Idle_MaxTimePathAny {
	return &System_Cpu_Idle_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_IdlePath the path struct for its child "min".
func (n *System_Cpu_IdlePath) Min() *System_Cpu_Idle_MinPath {
	return &System_Cpu_Idle_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_IdlePathAny the path struct for its child "min".
func (n *System_Cpu_IdlePathAny) Min() *System_Cpu_Idle_MinPathAny {
	return &System_Cpu_Idle_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_IdlePath the path struct for its child "min-time".
func (n *System_Cpu_IdlePath) MinTime() *System_Cpu_Idle_MinTimePath {
	return &System_Cpu_Idle_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_IdlePathAny the path struct for its child "min-time".
func (n *System_Cpu_IdlePathAny) MinTime() *System_Cpu_Idle_MinTimePathAny {
	return &System_Cpu_Idle_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_KernelPath represents the /openconfig-system/system/cpus/cpu/state/kernel YANG schema element.
type System_Cpu_KernelPath struct {
	*ygot.NodePath
}

// System_Cpu_KernelPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel YANG schema element.
type System_Cpu_KernelPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_AvgPath represents the /openconfig-system/system/cpus/cpu/state/kernel/avg YANG schema element.
type System_Cpu_Kernel_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/avg YANG schema element.
type System_Cpu_Kernel_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_InstantPath represents the /openconfig-system/system/cpus/cpu/state/kernel/instant YANG schema element.
type System_Cpu_Kernel_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/instant YANG schema element.
type System_Cpu_Kernel_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/kernel/interval YANG schema element.
type System_Cpu_Kernel_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/interval YANG schema element.
type System_Cpu_Kernel_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MaxPath represents the /openconfig-system/system/cpus/cpu/state/kernel/max YANG schema element.
type System_Cpu_Kernel_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/max YANG schema element.
type System_Cpu_Kernel_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/kernel/max-time YANG schema element.
type System_Cpu_Kernel_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/max-time YANG schema element.
type System_Cpu_Kernel_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MinPath represents the /openconfig-system/system/cpus/cpu/state/kernel/min YANG schema element.
type System_Cpu_Kernel_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/min YANG schema element.
type System_Cpu_Kernel_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/kernel/min-time YANG schema element.
type System_Cpu_Kernel_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Kernel_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/kernel/min-time YANG schema element.
type System_Cpu_Kernel_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_KernelPath the path struct for its child "avg".
func (n *System_Cpu_KernelPath) Avg() *System_Cpu_Kernel_AvgPath {
	return &System_Cpu_Kernel_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_KernelPathAny the path struct for its child "avg".
func (n *System_Cpu_KernelPathAny) Avg() *System_Cpu_Kernel_AvgPathAny {
	return &System_Cpu_Kernel_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_KernelPath the path struct for its child "instant".
func (n *System_Cpu_KernelPath) Instant() *System_Cpu_Kernel_InstantPath {
	return &System_Cpu_Kernel_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_KernelPathAny the path struct for its child "instant".
func (n *System_Cpu_KernelPathAny) Instant() *System_Cpu_Kernel_InstantPathAny {
	return &System_Cpu_Kernel_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_KernelPath the path struct for its child "interval".
func (n *System_Cpu_KernelPath) Interval() *System_Cpu_Kernel_IntervalPath {
	return &System_Cpu_Kernel_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_KernelPathAny the path struct for its child "interval".
func (n *System_Cpu_KernelPathAny) Interval() *System_Cpu_Kernel_IntervalPathAny {
	return &System_Cpu_Kernel_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_KernelPath the path struct for its child "max".
func (n *System_Cpu_KernelPath) Max() *System_Cpu_Kernel_MaxPath {
	return &System_Cpu_Kernel_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_KernelPathAny the path struct for its child "max".
func (n *System_Cpu_KernelPathAny) Max() *System_Cpu_Kernel_MaxPathAny {
	return &System_Cpu_Kernel_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_KernelPath the path struct for its child "max-time".
func (n *System_Cpu_KernelPath) MaxTime() *System_Cpu_Kernel_MaxTimePath {
	return &System_Cpu_Kernel_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_KernelPathAny the path struct for its child "max-time".
func (n *System_Cpu_KernelPathAny) MaxTime() *System_Cpu_Kernel_MaxTimePathAny {
	return &System_Cpu_Kernel_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_KernelPath the path struct for its child "min".
func (n *System_Cpu_KernelPath) Min() *System_Cpu_Kernel_MinPath {
	return &System_Cpu_Kernel_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_KernelPathAny the path struct for its child "min".
func (n *System_Cpu_KernelPathAny) Min() *System_Cpu_Kernel_MinPathAny {
	return &System_Cpu_Kernel_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_KernelPath the path struct for its child "min-time".
func (n *System_Cpu_KernelPath) MinTime() *System_Cpu_Kernel_MinTimePath {
	return &System_Cpu_Kernel_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_KernelPathAny the path struct for its child "min-time".
func (n *System_Cpu_KernelPathAny) MinTime() *System_Cpu_Kernel_MinTimePathAny {
	return &System_Cpu_Kernel_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_NicePath represents the /openconfig-system/system/cpus/cpu/state/nice YANG schema element.
type System_Cpu_NicePath struct {
	*ygot.NodePath
}

// System_Cpu_NicePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice YANG schema element.
type System_Cpu_NicePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_AvgPath represents the /openconfig-system/system/cpus/cpu/state/nice/avg YANG schema element.
type System_Cpu_Nice_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/avg YANG schema element.
type System_Cpu_Nice_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_InstantPath represents the /openconfig-system/system/cpus/cpu/state/nice/instant YANG schema element.
type System_Cpu_Nice_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/instant YANG schema element.
type System_Cpu_Nice_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/nice/interval YANG schema element.
type System_Cpu_Nice_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/interval YANG schema element.
type System_Cpu_Nice_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MaxPath represents the /openconfig-system/system/cpus/cpu/state/nice/max YANG schema element.
type System_Cpu_Nice_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/max YANG schema element.
type System_Cpu_Nice_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/nice/max-time YANG schema element.
type System_Cpu_Nice_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/max-time YANG schema element.
type System_Cpu_Nice_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MinPath represents the /openconfig-system/system/cpus/cpu/state/nice/min YANG schema element.
type System_Cpu_Nice_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/min YANG schema element.
type System_Cpu_Nice_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/nice/min-time YANG schema element.
type System_Cpu_Nice_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Nice_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/nice/min-time YANG schema element.
type System_Cpu_Nice_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_NicePath the path struct for its child "avg".
func (n *System_Cpu_NicePath) Avg() *System_Cpu_Nice_AvgPath {
	return &System_Cpu_Nice_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_NicePathAny the path struct for its child "avg".
func (n *System_Cpu_NicePathAny) Avg() *System_Cpu_Nice_AvgPathAny {
	return &System_Cpu_Nice_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_NicePath the path struct for its child "instant".
func (n *System_Cpu_NicePath) Instant() *System_Cpu_Nice_InstantPath {
	return &System_Cpu_Nice_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_NicePathAny the path struct for its child "instant".
func (n *System_Cpu_NicePathAny) Instant() *System_Cpu_Nice_InstantPathAny {
	return &System_Cpu_Nice_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_NicePath the path struct for its child "interval".
func (n *System_Cpu_NicePath) Interval() *System_Cpu_Nice_IntervalPath {
	return &System_Cpu_Nice_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_NicePathAny the path struct for its child "interval".
func (n *System_Cpu_NicePathAny) Interval() *System_Cpu_Nice_IntervalPathAny {
	return &System_Cpu_Nice_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_NicePath the path struct for its child "max".
func (n *System_Cpu_NicePath) Max() *System_Cpu_Nice_MaxPath {
	return &System_Cpu_Nice_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_NicePathAny the path struct for its child "max".
func (n *System_Cpu_NicePathAny) Max() *System_Cpu_Nice_MaxPathAny {
	return &System_Cpu_Nice_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_NicePath the path struct for its child "max-time".
func (n *System_Cpu_NicePath) MaxTime() *System_Cpu_Nice_MaxTimePath {
	return &System_Cpu_Nice_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_NicePathAny the path struct for its child "max-time".
func (n *System_Cpu_NicePathAny) MaxTime() *System_Cpu_Nice_MaxTimePathAny {
	return &System_Cpu_Nice_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_NicePath the path struct for its child "min".
func (n *System_Cpu_NicePath) Min() *System_Cpu_Nice_MinPath {
	return &System_Cpu_Nice_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_NicePathAny the path struct for its child "min".
func (n *System_Cpu_NicePathAny) Min() *System_Cpu_Nice_MinPathAny {
	return &System_Cpu_Nice_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_NicePath the path struct for its child "min-time".
func (n *System_Cpu_NicePath) MinTime() *System_Cpu_Nice_MinTimePath {
	return &System_Cpu_Nice_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_NicePathAny the path struct for its child "min-time".
func (n *System_Cpu_NicePathAny) MinTime() *System_Cpu_Nice_MinTimePathAny {
	return &System_Cpu_Nice_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_SoftwareInterruptPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt YANG schema element.
type System_Cpu_SoftwareInterruptPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterruptPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt YANG schema element.
type System_Cpu_SoftwareInterruptPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_AvgPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/avg YANG schema element.
type System_Cpu_SoftwareInterrupt_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/avg YANG schema element.
type System_Cpu_SoftwareInterrupt_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_InstantPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/instant YANG schema element.
type System_Cpu_SoftwareInterrupt_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/instant YANG schema element.
type System_Cpu_SoftwareInterrupt_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/interval YANG schema element.
type System_Cpu_SoftwareInterrupt_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/interval YANG schema element.
type System_Cpu_SoftwareInterrupt_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MaxPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/max YANG schema element.
type System_Cpu_SoftwareInterrupt_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/max YANG schema element.
type System_Cpu_SoftwareInterrupt_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/max-time YANG schema element.
type System_Cpu_SoftwareInterrupt_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/max-time YANG schema element.
type System_Cpu_SoftwareInterrupt_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MinPath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/min YANG schema element.
type System_Cpu_SoftwareInterrupt_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/min YANG schema element.
type System_Cpu_SoftwareInterrupt_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/software-interrupt/min-time YANG schema element.
type System_Cpu_SoftwareInterrupt_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_SoftwareInterrupt_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/software-interrupt/min-time YANG schema element.
type System_Cpu_SoftwareInterrupt_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_SoftwareInterruptPath the path struct for its child "avg".
func (n *System_Cpu_SoftwareInterruptPath) Avg() *System_Cpu_SoftwareInterrupt_AvgPath {
	return &System_Cpu_SoftwareInterrupt_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "avg".
func (n *System_Cpu_SoftwareInterruptPathAny) Avg() *System_Cpu_SoftwareInterrupt_AvgPathAny {
	return &System_Cpu_SoftwareInterrupt_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_SoftwareInterruptPath the path struct for its child "instant".
func (n *System_Cpu_SoftwareInterruptPath) Instant() *System_Cpu_SoftwareInterrupt_InstantPath {
	return &System_Cpu_SoftwareInterrupt_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "instant".
func (n *System_Cpu_SoftwareInterruptPathAny) Instant() *System_Cpu_SoftwareInterrupt_InstantPathAny {
	return &System_Cpu_SoftwareInterrupt_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_SoftwareInterruptPath the path struct for its child "interval".
func (n *System_Cpu_SoftwareInterruptPath) Interval() *System_Cpu_SoftwareInterrupt_IntervalPath {
	return &System_Cpu_SoftwareInterrupt_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "interval".
func (n *System_Cpu_SoftwareInterruptPathAny) Interval() *System_Cpu_SoftwareInterrupt_IntervalPathAny {
	return &System_Cpu_SoftwareInterrupt_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_SoftwareInterruptPath the path struct for its child "max".
func (n *System_Cpu_SoftwareInterruptPath) Max() *System_Cpu_SoftwareInterrupt_MaxPath {
	return &System_Cpu_SoftwareInterrupt_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "max".
func (n *System_Cpu_SoftwareInterruptPathAny) Max() *System_Cpu_SoftwareInterrupt_MaxPathAny {
	return &System_Cpu_SoftwareInterrupt_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_SoftwareInterruptPath the path struct for its child "max-time".
func (n *System_Cpu_SoftwareInterruptPath) MaxTime() *System_Cpu_SoftwareInterrupt_MaxTimePath {
	return &System_Cpu_SoftwareInterrupt_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "max-time".
func (n *System_Cpu_SoftwareInterruptPathAny) MaxTime() *System_Cpu_SoftwareInterrupt_MaxTimePathAny {
	return &System_Cpu_SoftwareInterrupt_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_SoftwareInterruptPath the path struct for its child "min".
func (n *System_Cpu_SoftwareInterruptPath) Min() *System_Cpu_SoftwareInterrupt_MinPath {
	return &System_Cpu_SoftwareInterrupt_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "min".
func (n *System_Cpu_SoftwareInterruptPathAny) Min() *System_Cpu_SoftwareInterrupt_MinPathAny {
	return &System_Cpu_SoftwareInterrupt_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_SoftwareInterruptPath the path struct for its child "min-time".
func (n *System_Cpu_SoftwareInterruptPath) MinTime() *System_Cpu_SoftwareInterrupt_MinTimePath {
	return &System_Cpu_SoftwareInterrupt_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_SoftwareInterruptPathAny the path struct for its child "min-time".
func (n *System_Cpu_SoftwareInterruptPathAny) MinTime() *System_Cpu_SoftwareInterrupt_MinTimePathAny {
	return &System_Cpu_SoftwareInterrupt_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_TotalPath represents the /openconfig-system/system/cpus/cpu/state/total YANG schema element.
type System_Cpu_TotalPath struct {
	*ygot.NodePath
}

// System_Cpu_TotalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total YANG schema element.
type System_Cpu_TotalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_AvgPath represents the /openconfig-system/system/cpus/cpu/state/total/avg YANG schema element.
type System_Cpu_Total_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_Total_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/avg YANG schema element.
type System_Cpu_Total_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_InstantPath represents the /openconfig-system/system/cpus/cpu/state/total/instant YANG schema element.
type System_Cpu_Total_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_Total_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/instant YANG schema element.
type System_Cpu_Total_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/total/interval YANG schema element.
type System_Cpu_Total_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_Total_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/interval YANG schema element.
type System_Cpu_Total_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_MaxPath represents the /openconfig-system/system/cpus/cpu/state/total/max YANG schema element.
type System_Cpu_Total_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_Total_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/max YANG schema element.
type System_Cpu_Total_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/total/max-time YANG schema element.
type System_Cpu_Total_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Total_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/max-time YANG schema element.
type System_Cpu_Total_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_MinPath represents the /openconfig-system/system/cpus/cpu/state/total/min YANG schema element.
type System_Cpu_Total_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_Total_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/min YANG schema element.
type System_Cpu_Total_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Total_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/total/min-time YANG schema element.
type System_Cpu_Total_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Total_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/total/min-time YANG schema element.
type System_Cpu_Total_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_TotalPath the path struct for its child "avg".
func (n *System_Cpu_TotalPath) Avg() *System_Cpu_Total_AvgPath {
	return &System_Cpu_Total_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_TotalPathAny the path struct for its child "avg".
func (n *System_Cpu_TotalPathAny) Avg() *System_Cpu_Total_AvgPathAny {
	return &System_Cpu_Total_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_TotalPath the path struct for its child "instant".
func (n *System_Cpu_TotalPath) Instant() *System_Cpu_Total_InstantPath {
	return &System_Cpu_Total_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_TotalPathAny the path struct for its child "instant".
func (n *System_Cpu_TotalPathAny) Instant() *System_Cpu_Total_InstantPathAny {
	return &System_Cpu_Total_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_TotalPath the path struct for its child "interval".
func (n *System_Cpu_TotalPath) Interval() *System_Cpu_Total_IntervalPath {
	return &System_Cpu_Total_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_TotalPathAny the path struct for its child "interval".
func (n *System_Cpu_TotalPathAny) Interval() *System_Cpu_Total_IntervalPathAny {
	return &System_Cpu_Total_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_TotalPath the path struct for its child "max".
func (n *System_Cpu_TotalPath) Max() *System_Cpu_Total_MaxPath {
	return &System_Cpu_Total_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_TotalPathAny the path struct for its child "max".
func (n *System_Cpu_TotalPathAny) Max() *System_Cpu_Total_MaxPathAny {
	return &System_Cpu_Total_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_TotalPath the path struct for its child "max-time".
func (n *System_Cpu_TotalPath) MaxTime() *System_Cpu_Total_MaxTimePath {
	return &System_Cpu_Total_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_TotalPathAny the path struct for its child "max-time".
func (n *System_Cpu_TotalPathAny) MaxTime() *System_Cpu_Total_MaxTimePathAny {
	return &System_Cpu_Total_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_TotalPath the path struct for its child "min".
func (n *System_Cpu_TotalPath) Min() *System_Cpu_Total_MinPath {
	return &System_Cpu_Total_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_TotalPathAny the path struct for its child "min".
func (n *System_Cpu_TotalPathAny) Min() *System_Cpu_Total_MinPathAny {
	return &System_Cpu_Total_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_TotalPath the path struct for its child "min-time".
func (n *System_Cpu_TotalPath) MinTime() *System_Cpu_Total_MinTimePath {
	return &System_Cpu_Total_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_TotalPathAny the path struct for its child "min-time".
func (n *System_Cpu_TotalPathAny) MinTime() *System_Cpu_Total_MinTimePathAny {
	return &System_Cpu_Total_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_UserPath represents the /openconfig-system/system/cpus/cpu/state/user YANG schema element.
type System_Cpu_UserPath struct {
	*ygot.NodePath
}

// System_Cpu_UserPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user YANG schema element.
type System_Cpu_UserPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_AvgPath represents the /openconfig-system/system/cpus/cpu/state/user/avg YANG schema element.
type System_Cpu_User_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_User_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/avg YANG schema element.
type System_Cpu_User_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_InstantPath represents the /openconfig-system/system/cpus/cpu/state/user/instant YANG schema element.
type System_Cpu_User_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_User_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/instant YANG schema element.
type System_Cpu_User_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/user/interval YANG schema element.
type System_Cpu_User_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_User_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/interval YANG schema element.
type System_Cpu_User_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_MaxPath represents the /openconfig-system/system/cpus/cpu/state/user/max YANG schema element.
type System_Cpu_User_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_User_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/max YANG schema element.
type System_Cpu_User_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/user/max-time YANG schema element.
type System_Cpu_User_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_User_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/max-time YANG schema element.
type System_Cpu_User_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_MinPath represents the /openconfig-system/system/cpus/cpu/state/user/min YANG schema element.
type System_Cpu_User_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_User_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/min YANG schema element.
type System_Cpu_User_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_User_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/user/min-time YANG schema element.
type System_Cpu_User_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_User_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/user/min-time YANG schema element.
type System_Cpu_User_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_UserPath the path struct for its child "avg".
func (n *System_Cpu_UserPath) Avg() *System_Cpu_User_AvgPath {
	return &System_Cpu_User_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_UserPathAny the path struct for its child "avg".
func (n *System_Cpu_UserPathAny) Avg() *System_Cpu_User_AvgPathAny {
	return &System_Cpu_User_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_UserPath the path struct for its child "instant".
func (n *System_Cpu_UserPath) Instant() *System_Cpu_User_InstantPath {
	return &System_Cpu_User_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_UserPathAny the path struct for its child "instant".
func (n *System_Cpu_UserPathAny) Instant() *System_Cpu_User_InstantPathAny {
	return &System_Cpu_User_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_UserPath the path struct for its child "interval".
func (n *System_Cpu_UserPath) Interval() *System_Cpu_User_IntervalPath {
	return &System_Cpu_User_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_UserPathAny the path struct for its child "interval".
func (n *System_Cpu_UserPathAny) Interval() *System_Cpu_User_IntervalPathAny {
	return &System_Cpu_User_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_UserPath the path struct for its child "max".
func (n *System_Cpu_UserPath) Max() *System_Cpu_User_MaxPath {
	return &System_Cpu_User_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_UserPathAny the path struct for its child "max".
func (n *System_Cpu_UserPathAny) Max() *System_Cpu_User_MaxPathAny {
	return &System_Cpu_User_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_UserPath the path struct for its child "max-time".
func (n *System_Cpu_UserPath) MaxTime() *System_Cpu_User_MaxTimePath {
	return &System_Cpu_User_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_UserPathAny the path struct for its child "max-time".
func (n *System_Cpu_UserPathAny) MaxTime() *System_Cpu_User_MaxTimePathAny {
	return &System_Cpu_User_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_UserPath the path struct for its child "min".
func (n *System_Cpu_UserPath) Min() *System_Cpu_User_MinPath {
	return &System_Cpu_User_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_UserPathAny the path struct for its child "min".
func (n *System_Cpu_UserPathAny) Min() *System_Cpu_User_MinPathAny {
	return &System_Cpu_User_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_UserPath the path struct for its child "min-time".
func (n *System_Cpu_UserPath) MinTime() *System_Cpu_User_MinTimePath {
	return &System_Cpu_User_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_UserPathAny the path struct for its child "min-time".
func (n *System_Cpu_UserPathAny) MinTime() *System_Cpu_User_MinTimePathAny {
	return &System_Cpu_User_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Cpu_WaitPath represents the /openconfig-system/system/cpus/cpu/state/wait YANG schema element.
type System_Cpu_WaitPath struct {
	*ygot.NodePath
}

// System_Cpu_WaitPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait YANG schema element.
type System_Cpu_WaitPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_AvgPath represents the /openconfig-system/system/cpus/cpu/state/wait/avg YANG schema element.
type System_Cpu_Wait_AvgPath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_AvgPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/avg YANG schema element.
type System_Cpu_Wait_AvgPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_InstantPath represents the /openconfig-system/system/cpus/cpu/state/wait/instant YANG schema element.
type System_Cpu_Wait_InstantPath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_InstantPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/instant YANG schema element.
type System_Cpu_Wait_InstantPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_IntervalPath represents the /openconfig-system/system/cpus/cpu/state/wait/interval YANG schema element.
type System_Cpu_Wait_IntervalPath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_IntervalPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/interval YANG schema element.
type System_Cpu_Wait_IntervalPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MaxPath represents the /openconfig-system/system/cpus/cpu/state/wait/max YANG schema element.
type System_Cpu_Wait_MaxPath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MaxPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/max YANG schema element.
type System_Cpu_Wait_MaxPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MaxTimePath represents the /openconfig-system/system/cpus/cpu/state/wait/max-time YANG schema element.
type System_Cpu_Wait_MaxTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MaxTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/max-time YANG schema element.
type System_Cpu_Wait_MaxTimePathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MinPath represents the /openconfig-system/system/cpus/cpu/state/wait/min YANG schema element.
type System_Cpu_Wait_MinPath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MinPathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/min YANG schema element.
type System_Cpu_Wait_MinPathAny struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MinTimePath represents the /openconfig-system/system/cpus/cpu/state/wait/min-time YANG schema element.
type System_Cpu_Wait_MinTimePath struct {
	*ygot.NodePath
}

// System_Cpu_Wait_MinTimePathAny represents the wildcard version of the /openconfig-system/system/cpus/cpu/state/wait/min-time YANG schema element.
type System_Cpu_Wait_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from System_Cpu_WaitPath the path struct for its child "avg".
func (n *System_Cpu_WaitPath) Avg() *System_Cpu_Wait_AvgPath {
	return &System_Cpu_Wait_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from System_Cpu_WaitPathAny the path struct for its child "avg".
func (n *System_Cpu_WaitPathAny) Avg() *System_Cpu_Wait_AvgPathAny {
	return &System_Cpu_Wait_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_WaitPath the path struct for its child "instant".
func (n *System_Cpu_WaitPath) Instant() *System_Cpu_Wait_InstantPath {
	return &System_Cpu_Wait_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from System_Cpu_WaitPathAny the path struct for its child "instant".
func (n *System_Cpu_WaitPathAny) Instant() *System_Cpu_Wait_InstantPathAny {
	return &System_Cpu_Wait_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_WaitPath the path struct for its child "interval".
func (n *System_Cpu_WaitPath) Interval() *System_Cpu_Wait_IntervalPath {
	return &System_Cpu_Wait_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from System_Cpu_WaitPathAny the path struct for its child "interval".
func (n *System_Cpu_WaitPathAny) Interval() *System_Cpu_Wait_IntervalPathAny {
	return &System_Cpu_Wait_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_WaitPath the path struct for its child "max".
func (n *System_Cpu_WaitPath) Max() *System_Cpu_Wait_MaxPath {
	return &System_Cpu_Wait_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from System_Cpu_WaitPathAny the path struct for its child "max".
func (n *System_Cpu_WaitPathAny) Max() *System_Cpu_Wait_MaxPathAny {
	return &System_Cpu_Wait_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_WaitPath the path struct for its child "max-time".
func (n *System_Cpu_WaitPath) MaxTime() *System_Cpu_Wait_MaxTimePath {
	return &System_Cpu_Wait_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from System_Cpu_WaitPathAny the path struct for its child "max-time".
func (n *System_Cpu_WaitPathAny) MaxTime() *System_Cpu_Wait_MaxTimePathAny {
	return &System_Cpu_Wait_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_WaitPath the path struct for its child "min".
func (n *System_Cpu_WaitPath) Min() *System_Cpu_Wait_MinPath {
	return &System_Cpu_Wait_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from System_Cpu_WaitPathAny the path struct for its child "min".
func (n *System_Cpu_WaitPathAny) Min() *System_Cpu_Wait_MinPathAny {
	return &System_Cpu_Wait_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_WaitPath the path struct for its child "min-time".
func (n *System_Cpu_WaitPath) MinTime() *System_Cpu_Wait_MinTimePath {
	return &System_Cpu_Wait_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from System_Cpu_WaitPathAny the path struct for its child "min-time".
func (n *System_Cpu_WaitPathAny) MinTime() *System_Cpu_Wait_MinTimePathAny {
	return &System_Cpu_Wait_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_DnsPath represents the /openconfig-system/system/dns YANG schema element.
type System_DnsPath struct {
	*ygot.NodePath
}

// System_DnsPathAny represents the wildcard version of the /openconfig-system/system/dns YANG schema element.
type System_DnsPathAny struct {
	*ygot.NodePath
}

// System_Dns_SearchPath represents the /openconfig-system/system/dns/config/search YANG schema element.
type System_Dns_SearchPath struct {
	*ygot.NodePath
}

// System_Dns_SearchPathAny represents the wildcard version of the /openconfig-system/system/dns/config/search YANG schema element.
type System_Dns_SearchPathAny struct {
	*ygot.NodePath
}

// HostEntryAny returns from System_DnsPath the path struct for its child "host-entry".
func (n *System_DnsPath) HostEntryAny() *System_Dns_HostEntryPathAny {
	return &System_Dns_HostEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"host-entries", "host-entry"},
			map[string]interface{}{"hostname": "*"},
			n,
		),
	}
}

// HostEntryAny returns from System_DnsPathAny the path struct for its child "host-entry".
func (n *System_DnsPathAny) HostEntryAny() *System_Dns_HostEntryPathAny {
	return &System_Dns_HostEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"host-entries", "host-entry"},
			map[string]interface{}{"hostname": "*"},
			n,
		),
	}
}

// HostEntry returns from System_DnsPath the path struct for its child "host-entry".
// Hostname: string
func (n *System_DnsPath) HostEntry(Hostname string) *System_Dns_HostEntryPath {
	return &System_Dns_HostEntryPath{
		NodePath: ygot.NewNodePath(
			[]string{"host-entries", "host-entry"},
			map[string]interface{}{"hostname": Hostname},
			n,
		),
	}
}

// HostEntry returns from System_DnsPathAny the path struct for its child "host-entry".
// Hostname: string
func (n *System_DnsPathAny) HostEntry(Hostname string) *System_Dns_HostEntryPathAny {
	return &System_Dns_HostEntryPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"host-entries", "host-entry"},
			map[string]interface{}{"hostname": Hostname},
			n,
		),
	}
}

// Search returns from System_DnsPath the path struct for its child "search".
func (n *System_DnsPath) Search() *System_Dns_SearchPath {
	return &System_Dns_SearchPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "search"},
			map[string]interface{}{},
			n,
		),
	}
}

// Search returns from System_DnsPathAny the path struct for its child "search".
func (n *System_DnsPathAny) Search() *System_Dns_SearchPathAny {
	return &System_Dns_SearchPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "search"},
			map[string]interface{}{},
			n,
		),
	}
}

// ServerAny returns from System_DnsPath the path struct for its child "server".
func (n *System_DnsPath) ServerAny() *System_Dns_ServerPathAny {
	return &System_Dns_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// ServerAny returns from System_DnsPathAny the path struct for its child "server".
func (n *System_DnsPathAny) ServerAny() *System_Dns_ServerPathAny {
	return &System_Dns_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// Server returns from System_DnsPath the path struct for its child "server".
// Address: string
func (n *System_DnsPath) Server(Address string) *System_Dns_ServerPath {
	return &System_Dns_ServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Server returns from System_DnsPathAny the path struct for its child "server".
// Address: string
func (n *System_DnsPathAny) Server(Address string) *System_Dns_ServerPathAny {
	return &System_Dns_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// System_Dns_HostEntryPath represents the /openconfig-system/system/dns/host-entries/host-entry YANG schema element.
type System_Dns_HostEntryPath struct {
	*ygot.NodePath
}

// System_Dns_HostEntryPathAny represents the wildcard version of the /openconfig-system/system/dns/host-entries/host-entry YANG schema element.
type System_Dns_HostEntryPathAny struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_AliasPath represents the /openconfig-system/system/dns/host-entries/host-entry/config/alias YANG schema element.
type System_Dns_HostEntry_AliasPath struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_AliasPathAny represents the wildcard version of the /openconfig-system/system/dns/host-entries/host-entry/config/alias YANG schema element.
type System_Dns_HostEntry_AliasPathAny struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_HostnamePath represents the /openconfig-system/system/dns/host-entries/host-entry/config/hostname YANG schema element.
type System_Dns_HostEntry_HostnamePath struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_HostnamePathAny represents the wildcard version of the /openconfig-system/system/dns/host-entries/host-entry/config/hostname YANG schema element.
type System_Dns_HostEntry_HostnamePathAny struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_Ipv4AddressPath represents the /openconfig-system/system/dns/host-entries/host-entry/config/ipv4-address YANG schema element.
type System_Dns_HostEntry_Ipv4AddressPath struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_Ipv4AddressPathAny represents the wildcard version of the /openconfig-system/system/dns/host-entries/host-entry/config/ipv4-address YANG schema element.
type System_Dns_HostEntry_Ipv4AddressPathAny struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_Ipv6AddressPath represents the /openconfig-system/system/dns/host-entries/host-entry/config/ipv6-address YANG schema element.
type System_Dns_HostEntry_Ipv6AddressPath struct {
	*ygot.NodePath
}

// System_Dns_HostEntry_Ipv6AddressPathAny represents the wildcard version of the /openconfig-system/system/dns/host-entries/host-entry/config/ipv6-address YANG schema element.
type System_Dns_HostEntry_Ipv6AddressPathAny struct {
	*ygot.NodePath
}

// Alias returns from System_Dns_HostEntryPath the path struct for its child "alias".
func (n *System_Dns_HostEntryPath) Alias() *System_Dns_HostEntry_AliasPath {
	return &System_Dns_HostEntry_AliasPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "alias"},
			map[string]interface{}{},
			n,
		),
	}
}

// Alias returns from System_Dns_HostEntryPathAny the path struct for its child "alias".
func (n *System_Dns_HostEntryPathAny) Alias() *System_Dns_HostEntry_AliasPathAny {
	return &System_Dns_HostEntry_AliasPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "alias"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from System_Dns_HostEntryPath the path struct for its child "hostname".
func (n *System_Dns_HostEntryPath) Hostname() *System_Dns_HostEntry_HostnamePath {
	return &System_Dns_HostEntry_HostnamePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// Hostname returns from System_Dns_HostEntryPathAny the path struct for its child "hostname".
func (n *System_Dns_HostEntryPathAny) Hostname() *System_Dns_HostEntry_HostnamePathAny {
	return &System_Dns_HostEntry_HostnamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "hostname"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Address returns from System_Dns_HostEntryPath the path struct for its child "ipv4-address".
func (n *System_Dns_HostEntryPath) Ipv4Address() *System_Dns_HostEntry_Ipv4AddressPath {
	return &System_Dns_HostEntry_Ipv4AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv4Address returns from System_Dns_HostEntryPathAny the path struct for its child "ipv4-address".
func (n *System_Dns_HostEntryPathAny) Ipv4Address() *System_Dns_HostEntry_Ipv4AddressPathAny {
	return &System_Dns_HostEntry_Ipv4AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv4-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Address returns from System_Dns_HostEntryPath the path struct for its child "ipv6-address".
func (n *System_Dns_HostEntryPath) Ipv6Address() *System_Dns_HostEntry_Ipv6AddressPath {
	return &System_Dns_HostEntry_Ipv6AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ipv6Address returns from System_Dns_HostEntryPathAny the path struct for its child "ipv6-address".
func (n *System_Dns_HostEntryPathAny) Ipv6Address() *System_Dns_HostEntry_Ipv6AddressPathAny {
	return &System_Dns_HostEntry_Ipv6AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ipv6-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Dns_ServerPath represents the /openconfig-system/system/dns/servers/server YANG schema element.
type System_Dns_ServerPath struct {
	*ygot.NodePath
}

// System_Dns_ServerPathAny represents the wildcard version of the /openconfig-system/system/dns/servers/server YANG schema element.
type System_Dns_ServerPathAny struct {
	*ygot.NodePath
}

// System_Dns_Server_AddressPath represents the /openconfig-system/system/dns/servers/server/config/address YANG schema element.
type System_Dns_Server_AddressPath struct {
	*ygot.NodePath
}

// System_Dns_Server_AddressPathAny represents the wildcard version of the /openconfig-system/system/dns/servers/server/config/address YANG schema element.
type System_Dns_Server_AddressPathAny struct {
	*ygot.NodePath
}

// System_Dns_Server_PortPath represents the /openconfig-system/system/dns/servers/server/config/port YANG schema element.
type System_Dns_Server_PortPath struct {
	*ygot.NodePath
}

// System_Dns_Server_PortPathAny represents the wildcard version of the /openconfig-system/system/dns/servers/server/config/port YANG schema element.
type System_Dns_Server_PortPathAny struct {
	*ygot.NodePath
}

// Address returns from System_Dns_ServerPath the path struct for its child "address".
func (n *System_Dns_ServerPath) Address() *System_Dns_Server_AddressPath {
	return &System_Dns_Server_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from System_Dns_ServerPathAny the path struct for its child "address".
func (n *System_Dns_ServerPathAny) Address() *System_Dns_Server_AddressPathAny {
	return &System_Dns_Server_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_Dns_ServerPath the path struct for its child "port".
func (n *System_Dns_ServerPath) Port() *System_Dns_Server_PortPath {
	return &System_Dns_Server_PortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_Dns_ServerPathAny the path struct for its child "port".
func (n *System_Dns_ServerPathAny) Port() *System_Dns_Server_PortPathAny {
	return &System_Dns_Server_PortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_GrpcServerPath represents the /openconfig-system/system/grpc-server YANG schema element.
type System_GrpcServerPath struct {
	*ygot.NodePath
}

// System_GrpcServerPathAny represents the wildcard version of the /openconfig-system/system/grpc-server YANG schema element.
type System_GrpcServerPathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_CertificateIdPath represents the /openconfig-system/system/grpc-server/config/certificate-id YANG schema element.
type System_GrpcServer_CertificateIdPath struct {
	*ygot.NodePath
}

// System_GrpcServer_CertificateIdPathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/certificate-id YANG schema element.
type System_GrpcServer_CertificateIdPathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_EnablePath represents the /openconfig-system/system/grpc-server/config/enable YANG schema element.
type System_GrpcServer_EnablePath struct {
	*ygot.NodePath
}

// System_GrpcServer_EnablePathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/enable YANG schema element.
type System_GrpcServer_EnablePathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_ListenAddressesPath represents the /openconfig-system/system/grpc-server/config/listen-addresses YANG schema element.
type System_GrpcServer_ListenAddressesPath struct {
	*ygot.NodePath
}

// System_GrpcServer_ListenAddressesPathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/listen-addresses YANG schema element.
type System_GrpcServer_ListenAddressesPathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_MetadataAuthenticationPath represents the /openconfig-system/system/grpc-server/config/metadata-authentication YANG schema element.
type System_GrpcServer_MetadataAuthenticationPath struct {
	*ygot.NodePath
}

// System_GrpcServer_MetadataAuthenticationPathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/metadata-authentication YANG schema element.
type System_GrpcServer_MetadataAuthenticationPathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_PortPath represents the /openconfig-system/system/grpc-server/config/port YANG schema element.
type System_GrpcServer_PortPath struct {
	*ygot.NodePath
}

// System_GrpcServer_PortPathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/port YANG schema element.
type System_GrpcServer_PortPathAny struct {
	*ygot.NodePath
}

// System_GrpcServer_TransportSecurityPath represents the /openconfig-system/system/grpc-server/config/transport-security YANG schema element.
type System_GrpcServer_TransportSecurityPath struct {
	*ygot.NodePath
}

// System_GrpcServer_TransportSecurityPathAny represents the wildcard version of the /openconfig-system/system/grpc-server/config/transport-security YANG schema element.
type System_GrpcServer_TransportSecurityPathAny struct {
	*ygot.NodePath
}

// CertificateId returns from System_GrpcServerPath the path struct for its child "certificate-id".
func (n *System_GrpcServerPath) CertificateId() *System_GrpcServer_CertificateIdPath {
	return &System_GrpcServer_CertificateIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "certificate-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// CertificateId returns from System_GrpcServerPathAny the path struct for its child "certificate-id".
func (n *System_GrpcServerPathAny) CertificateId() *System_GrpcServer_CertificateIdPathAny {
	return &System_GrpcServer_CertificateIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "certificate-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from System_GrpcServerPath the path struct for its child "enable".
func (n *System_GrpcServerPath) Enable() *System_GrpcServer_EnablePath {
	return &System_GrpcServer_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from System_GrpcServerPathAny the path struct for its child "enable".
func (n *System_GrpcServerPathAny) Enable() *System_GrpcServer_EnablePathAny {
	return &System_GrpcServer_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// ListenAddresses returns from System_GrpcServerPath the path struct for its child "listen-addresses".
func (n *System_GrpcServerPath) ListenAddresses() *System_GrpcServer_ListenAddressesPath {
	return &System_GrpcServer_ListenAddressesPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "listen-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// ListenAddresses returns from System_GrpcServerPathAny the path struct for its child "listen-addresses".
func (n *System_GrpcServerPathAny) ListenAddresses() *System_GrpcServer_ListenAddressesPathAny {
	return &System_GrpcServer_ListenAddressesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "listen-addresses"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetadataAuthentication returns from System_GrpcServerPath the path struct for its child "metadata-authentication".
func (n *System_GrpcServerPath) MetadataAuthentication() *System_GrpcServer_MetadataAuthenticationPath {
	return &System_GrpcServer_MetadataAuthenticationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metadata-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// MetadataAuthentication returns from System_GrpcServerPathAny the path struct for its child "metadata-authentication".
func (n *System_GrpcServerPathAny) MetadataAuthentication() *System_GrpcServer_MetadataAuthenticationPathAny {
	return &System_GrpcServer_MetadataAuthenticationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "metadata-authentication"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_GrpcServerPath the path struct for its child "port".
func (n *System_GrpcServerPath) Port() *System_GrpcServer_PortPath {
	return &System_GrpcServer_PortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_GrpcServerPathAny the path struct for its child "port".
func (n *System_GrpcServerPathAny) Port() *System_GrpcServer_PortPathAny {
	return &System_GrpcServer_PortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransportSecurity returns from System_GrpcServerPath the path struct for its child "transport-security".
func (n *System_GrpcServerPath) TransportSecurity() *System_GrpcServer_TransportSecurityPath {
	return &System_GrpcServer_TransportSecurityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "transport-security"},
			map[string]interface{}{},
			n,
		),
	}
}

// TransportSecurity returns from System_GrpcServerPathAny the path struct for its child "transport-security".
func (n *System_GrpcServerPathAny) TransportSecurity() *System_GrpcServer_TransportSecurityPathAny {
	return &System_GrpcServer_TransportSecurityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "transport-security"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_LicensePath represents the /openconfig-system/system/license YANG schema element.
type System_LicensePath struct {
	*ygot.NodePath
}

// System_LicensePathAny represents the wildcard version of the /openconfig-system/system/license YANG schema element.
type System_LicensePathAny struct {
	*ygot.NodePath
}

// LicenseAny returns from System_LicensePath the path struct for its child "license".
func (n *System_LicensePath) LicenseAny() *System_License_LicensePathAny {
	return &System_License_LicensePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"licenses", "license"},
			map[string]interface{}{"license-id": "*"},
			n,
		),
	}
}

// LicenseAny returns from System_LicensePathAny the path struct for its child "license".
func (n *System_LicensePathAny) LicenseAny() *System_License_LicensePathAny {
	return &System_License_LicensePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"licenses", "license"},
			map[string]interface{}{"license-id": "*"},
			n,
		),
	}
}

// License returns from System_LicensePath the path struct for its child "license".
// LicenseId: string
func (n *System_LicensePath) License(LicenseId string) *System_License_LicensePath {
	return &System_License_LicensePath{
		NodePath: ygot.NewNodePath(
			[]string{"licenses", "license"},
			map[string]interface{}{"license-id": LicenseId},
			n,
		),
	}
}

// License returns from System_LicensePathAny the path struct for its child "license".
// LicenseId: string
func (n *System_LicensePathAny) License(LicenseId string) *System_License_LicensePathAny {
	return &System_License_LicensePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"licenses", "license"},
			map[string]interface{}{"license-id": LicenseId},
			n,
		),
	}
}

// System_License_LicensePath represents the /openconfig-system/system/license/licenses/license YANG schema element.
type System_License_LicensePath struct {
	*ygot.NodePath
}

// System_License_LicensePathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license YANG schema element.
type System_License_LicensePathAny struct {
	*ygot.NodePath
}

// System_License_License_ActivePath represents the /openconfig-system/system/license/licenses/license/config/active YANG schema element.
type System_License_License_ActivePath struct {
	*ygot.NodePath
}

// System_License_License_ActivePathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/config/active YANG schema element.
type System_License_License_ActivePathAny struct {
	*ygot.NodePath
}

// System_License_License_DescriptionPath represents the /openconfig-system/system/license/licenses/license/state/description YANG schema element.
type System_License_License_DescriptionPath struct {
	*ygot.NodePath
}

// System_License_License_DescriptionPathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/description YANG schema element.
type System_License_License_DescriptionPathAny struct {
	*ygot.NodePath
}

// System_License_License_ExpirationDatePath represents the /openconfig-system/system/license/licenses/license/state/expiration-date YANG schema element.
type System_License_License_ExpirationDatePath struct {
	*ygot.NodePath
}

// System_License_License_ExpirationDatePathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/expiration-date YANG schema element.
type System_License_License_ExpirationDatePathAny struct {
	*ygot.NodePath
}

// System_License_License_ExpiredPath represents the /openconfig-system/system/license/licenses/license/state/expired YANG schema element.
type System_License_License_ExpiredPath struct {
	*ygot.NodePath
}

// System_License_License_ExpiredPathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/expired YANG schema element.
type System_License_License_ExpiredPathAny struct {
	*ygot.NodePath
}

// System_License_License_InUsePath represents the /openconfig-system/system/license/licenses/license/state/in-use YANG schema element.
type System_License_License_InUsePath struct {
	*ygot.NodePath
}

// System_License_License_InUsePathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/in-use YANG schema element.
type System_License_License_InUsePathAny struct {
	*ygot.NodePath
}

// System_License_License_IssueDatePath represents the /openconfig-system/system/license/licenses/license/state/issue-date YANG schema element.
type System_License_License_IssueDatePath struct {
	*ygot.NodePath
}

// System_License_License_IssueDatePathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/issue-date YANG schema element.
type System_License_License_IssueDatePathAny struct {
	*ygot.NodePath
}

// System_License_License_LicenseDataPath represents the /openconfig-system/system/license/licenses/license/config/license-data YANG schema element.
type System_License_License_LicenseDataPath struct {
	*ygot.NodePath
}

// System_License_License_LicenseDataPathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/config/license-data YANG schema element.
type System_License_License_LicenseDataPathAny struct {
	*ygot.NodePath
}

// System_License_License_LicenseIdPath represents the /openconfig-system/system/license/licenses/license/config/license-id YANG schema element.
type System_License_License_LicenseIdPath struct {
	*ygot.NodePath
}

// System_License_License_LicenseIdPathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/config/license-id YANG schema element.
type System_License_License_LicenseIdPathAny struct {
	*ygot.NodePath
}

// System_License_License_ValidPath represents the /openconfig-system/system/license/licenses/license/state/valid YANG schema element.
type System_License_License_ValidPath struct {
	*ygot.NodePath
}

// System_License_License_ValidPathAny represents the wildcard version of the /openconfig-system/system/license/licenses/license/state/valid YANG schema element.
type System_License_License_ValidPathAny struct {
	*ygot.NodePath
}

// Active returns from System_License_LicensePath the path struct for its child "active".
func (n *System_License_LicensePath) Active() *System_License_License_ActivePath {
	return &System_License_License_ActivePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Active returns from System_License_LicensePathAny the path struct for its child "active".
func (n *System_License_LicensePathAny) Active() *System_License_License_ActivePathAny {
	return &System_License_License_ActivePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "active"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from System_License_LicensePath the path struct for its child "description".
func (n *System_License_LicensePath) Description() *System_License_License_DescriptionPath {
	return &System_License_License_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from System_License_LicensePathAny the path struct for its child "description".
func (n *System_License_LicensePathAny) Description() *System_License_License_DescriptionPathAny {
	return &System_License_License_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpirationDate returns from System_License_LicensePath the path struct for its child "expiration-date".
func (n *System_License_LicensePath) ExpirationDate() *System_License_License_ExpirationDatePath {
	return &System_License_License_ExpirationDatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "expiration-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// ExpirationDate returns from System_License_LicensePathAny the path struct for its child "expiration-date".
func (n *System_License_LicensePathAny) ExpirationDate() *System_License_License_ExpirationDatePathAny {
	return &System_License_License_ExpirationDatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "expiration-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// Expired returns from System_License_LicensePath the path struct for its child "expired".
func (n *System_License_LicensePath) Expired() *System_License_License_ExpiredPath {
	return &System_License_License_ExpiredPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "expired"},
			map[string]interface{}{},
			n,
		),
	}
}

// Expired returns from System_License_LicensePathAny the path struct for its child "expired".
func (n *System_License_LicensePathAny) Expired() *System_License_License_ExpiredPathAny {
	return &System_License_License_ExpiredPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "expired"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUse returns from System_License_LicensePath the path struct for its child "in-use".
func (n *System_License_LicensePath) InUse() *System_License_License_InUsePath {
	return &System_License_License_InUsePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-use"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUse returns from System_License_LicensePathAny the path struct for its child "in-use".
func (n *System_License_LicensePathAny) InUse() *System_License_License_InUsePathAny {
	return &System_License_License_InUsePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-use"},
			map[string]interface{}{},
			n,
		),
	}
}

// IssueDate returns from System_License_LicensePath the path struct for its child "issue-date".
func (n *System_License_LicensePath) IssueDate() *System_License_License_IssueDatePath {
	return &System_License_License_IssueDatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "issue-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// IssueDate returns from System_License_LicensePathAny the path struct for its child "issue-date".
func (n *System_License_LicensePathAny) IssueDate() *System_License_License_IssueDatePathAny {
	return &System_License_License_IssueDatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "issue-date"},
			map[string]interface{}{},
			n,
		),
	}
}

// LicenseData returns from System_License_LicensePath the path struct for its child "license-data".
func (n *System_License_LicensePath) LicenseData() *System_License_License_LicenseDataPath {
	return &System_License_License_LicenseDataPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "license-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LicenseData returns from System_License_LicensePathAny the path struct for its child "license-data".
func (n *System_License_LicensePathAny) LicenseData() *System_License_License_LicenseDataPathAny {
	return &System_License_License_LicenseDataPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "license-data"},
			map[string]interface{}{},
			n,
		),
	}
}

// LicenseId returns from System_License_LicensePath the path struct for its child "license-id".
func (n *System_License_LicensePath) LicenseId() *System_License_License_LicenseIdPath {
	return &System_License_License_LicenseIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "license-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LicenseId returns from System_License_LicensePathAny the path struct for its child "license-id".
func (n *System_License_LicensePathAny) LicenseId() *System_License_License_LicenseIdPathAny {
	return &System_License_License_LicenseIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "license-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Valid returns from System_License_LicensePath the path struct for its child "valid".
func (n *System_License_LicensePath) Valid() *System_License_License_ValidPath {
	return &System_License_License_ValidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Valid returns from System_License_LicensePathAny the path struct for its child "valid".
func (n *System_License_LicensePathAny) Valid() *System_License_License_ValidPathAny {
	return &System_License_License_ValidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "valid"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_LoggingPath represents the /openconfig-system/system/logging YANG schema element.
type System_LoggingPath struct {
	*ygot.NodePath
}

// System_LoggingPathAny represents the wildcard version of the /openconfig-system/system/logging YANG schema element.
type System_LoggingPathAny struct {
	*ygot.NodePath
}

// Console returns from System_LoggingPath the path struct for its child "console".
func (n *System_LoggingPath) Console() *System_Logging_ConsolePath {
	return &System_Logging_ConsolePath{
		NodePath: ygot.NewNodePath(
			[]string{"console"},
			map[string]interface{}{},
			n,
		),
	}
}

// Console returns from System_LoggingPathAny the path struct for its child "console".
func (n *System_LoggingPathAny) Console() *System_Logging_ConsolePathAny {
	return &System_Logging_ConsolePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"console"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemoteServerAny returns from System_LoggingPath the path struct for its child "remote-server".
func (n *System_LoggingPath) RemoteServerAny() *System_Logging_RemoteServerPathAny {
	return &System_Logging_RemoteServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-servers", "remote-server"},
			map[string]interface{}{"host": "*"},
			n,
		),
	}
}

// RemoteServerAny returns from System_LoggingPathAny the path struct for its child "remote-server".
func (n *System_LoggingPathAny) RemoteServerAny() *System_Logging_RemoteServerPathAny {
	return &System_Logging_RemoteServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-servers", "remote-server"},
			map[string]interface{}{"host": "*"},
			n,
		),
	}
}

// RemoteServer returns from System_LoggingPath the path struct for its child "remote-server".
// Host: string
func (n *System_LoggingPath) RemoteServer(Host string) *System_Logging_RemoteServerPath {
	return &System_Logging_RemoteServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"remote-servers", "remote-server"},
			map[string]interface{}{"host": Host},
			n,
		),
	}
}

// RemoteServer returns from System_LoggingPathAny the path struct for its child "remote-server".
// Host: string
func (n *System_LoggingPathAny) RemoteServer(Host string) *System_Logging_RemoteServerPathAny {
	return &System_Logging_RemoteServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"remote-servers", "remote-server"},
			map[string]interface{}{"host": Host},
			n,
		),
	}
}

// System_Logging_ConsolePath represents the /openconfig-system/system/logging/console YANG schema element.
type System_Logging_ConsolePath struct {
	*ygot.NodePath
}

// System_Logging_ConsolePathAny represents the wildcard version of the /openconfig-system/system/logging/console YANG schema element.
type System_Logging_ConsolePathAny struct {
	*ygot.NodePath
}

// SelectorAny returns from System_Logging_ConsolePath the path struct for its child "selector".
func (n *System_Logging_ConsolePath) SelectorAny() *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": "*"},
			n,
		),
	}
}

// SelectorAny returns from System_Logging_ConsolePathAny the path struct for its child "selector".
func (n *System_Logging_ConsolePathAny) SelectorAny() *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": "*"},
			n,
		),
	}
}

// SelectorAnySeverity returns from System_Logging_ConsolePath the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
func (n *System_Logging_ConsolePath) SelectorAnySeverity(Facility E_SystemLogging_SYSLOG_FACILITY) *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": "*"},
			n,
		),
	}
}

// SelectorAnySeverity returns from System_Logging_ConsolePathAny the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
func (n *System_Logging_ConsolePathAny) SelectorAnySeverity(Facility E_SystemLogging_SYSLOG_FACILITY) *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": "*"},
			n,
		),
	}
}

// SelectorAnyFacility returns from System_Logging_ConsolePath the path struct for its child "selector".
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_ConsolePath) SelectorAnyFacility(Severity E_SystemLogging_SyslogSeverity) *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": Severity},
			n,
		),
	}
}

// SelectorAnyFacility returns from System_Logging_ConsolePathAny the path struct for its child "selector".
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_ConsolePathAny) SelectorAnyFacility(Severity E_SystemLogging_SyslogSeverity) *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": Severity},
			n,
		),
	}
}

// Selector returns from System_Logging_ConsolePath the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_ConsolePath) Selector(Facility E_SystemLogging_SYSLOG_FACILITY, Severity E_SystemLogging_SyslogSeverity) *System_Logging_Console_SelectorPath {
	return &System_Logging_Console_SelectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": Severity},
			n,
		),
	}
}

// Selector returns from System_Logging_ConsolePathAny the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_ConsolePathAny) Selector(Facility E_SystemLogging_SYSLOG_FACILITY, Severity E_SystemLogging_SyslogSeverity) *System_Logging_Console_SelectorPathAny {
	return &System_Logging_Console_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": Severity},
			n,
		),
	}
}

// System_Logging_Console_SelectorPath represents the /openconfig-system/system/logging/console/selectors/selector YANG schema element.
type System_Logging_Console_SelectorPath struct {
	*ygot.NodePath
}

// System_Logging_Console_SelectorPathAny represents the wildcard version of the /openconfig-system/system/logging/console/selectors/selector YANG schema element.
type System_Logging_Console_SelectorPathAny struct {
	*ygot.NodePath
}

// System_Logging_Console_Selector_FacilityPath represents the /openconfig-system/system/logging/console/selectors/selector/config/facility YANG schema element.
type System_Logging_Console_Selector_FacilityPath struct {
	*ygot.NodePath
}

// System_Logging_Console_Selector_FacilityPathAny represents the wildcard version of the /openconfig-system/system/logging/console/selectors/selector/config/facility YANG schema element.
type System_Logging_Console_Selector_FacilityPathAny struct {
	*ygot.NodePath
}

// System_Logging_Console_Selector_SeverityPath represents the /openconfig-system/system/logging/console/selectors/selector/config/severity YANG schema element.
type System_Logging_Console_Selector_SeverityPath struct {
	*ygot.NodePath
}

// System_Logging_Console_Selector_SeverityPathAny represents the wildcard version of the /openconfig-system/system/logging/console/selectors/selector/config/severity YANG schema element.
type System_Logging_Console_Selector_SeverityPathAny struct {
	*ygot.NodePath
}

// Facility returns from System_Logging_Console_SelectorPath the path struct for its child "facility".
func (n *System_Logging_Console_SelectorPath) Facility() *System_Logging_Console_Selector_FacilityPath {
	return &System_Logging_Console_Selector_FacilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "facility"},
			map[string]interface{}{},
			n,
		),
	}
}

// Facility returns from System_Logging_Console_SelectorPathAny the path struct for its child "facility".
func (n *System_Logging_Console_SelectorPathAny) Facility() *System_Logging_Console_Selector_FacilityPathAny {
	return &System_Logging_Console_Selector_FacilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "facility"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_Logging_Console_SelectorPath the path struct for its child "severity".
func (n *System_Logging_Console_SelectorPath) Severity() *System_Logging_Console_Selector_SeverityPath {
	return &System_Logging_Console_Selector_SeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_Logging_Console_SelectorPathAny the path struct for its child "severity".
func (n *System_Logging_Console_SelectorPathAny) Severity() *System_Logging_Console_Selector_SeverityPathAny {
	return &System_Logging_Console_Selector_SeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Logging_RemoteServerPath represents the /openconfig-system/system/logging/remote-servers/remote-server YANG schema element.
type System_Logging_RemoteServerPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServerPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server YANG schema element.
type System_Logging_RemoteServerPathAny struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_HostPath represents the /openconfig-system/system/logging/remote-servers/remote-server/config/host YANG schema element.
type System_Logging_RemoteServer_HostPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_HostPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/config/host YANG schema element.
type System_Logging_RemoteServer_HostPathAny struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_RemotePortPath represents the /openconfig-system/system/logging/remote-servers/remote-server/config/remote-port YANG schema element.
type System_Logging_RemoteServer_RemotePortPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_RemotePortPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/config/remote-port YANG schema element.
type System_Logging_RemoteServer_RemotePortPathAny struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_SourceAddressPath represents the /openconfig-system/system/logging/remote-servers/remote-server/config/source-address YANG schema element.
type System_Logging_RemoteServer_SourceAddressPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_SourceAddressPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/config/source-address YANG schema element.
type System_Logging_RemoteServer_SourceAddressPathAny struct {
	*ygot.NodePath
}

// Host returns from System_Logging_RemoteServerPath the path struct for its child "host".
func (n *System_Logging_RemoteServerPath) Host() *System_Logging_RemoteServer_HostPath {
	return &System_Logging_RemoteServer_HostPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "host"},
			map[string]interface{}{},
			n,
		),
	}
}

// Host returns from System_Logging_RemoteServerPathAny the path struct for its child "host".
func (n *System_Logging_RemoteServerPathAny) Host() *System_Logging_RemoteServer_HostPathAny {
	return &System_Logging_RemoteServer_HostPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "host"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from System_Logging_RemoteServerPath the path struct for its child "remote-port".
func (n *System_Logging_RemoteServerPath) RemotePort() *System_Logging_RemoteServer_RemotePortPath {
	return &System_Logging_RemoteServer_RemotePortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// RemotePort returns from System_Logging_RemoteServerPathAny the path struct for its child "remote-port".
func (n *System_Logging_RemoteServerPathAny) RemotePort() *System_Logging_RemoteServer_RemotePortPathAny {
	return &System_Logging_RemoteServer_RemotePortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "remote-port"},
			map[string]interface{}{},
			n,
		),
	}
}

// SelectorAny returns from System_Logging_RemoteServerPath the path struct for its child "selector".
func (n *System_Logging_RemoteServerPath) SelectorAny() *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": "*"},
			n,
		),
	}
}

// SelectorAny returns from System_Logging_RemoteServerPathAny the path struct for its child "selector".
func (n *System_Logging_RemoteServerPathAny) SelectorAny() *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": "*"},
			n,
		),
	}
}

// SelectorAnySeverity returns from System_Logging_RemoteServerPath the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
func (n *System_Logging_RemoteServerPath) SelectorAnySeverity(Facility E_SystemLogging_SYSLOG_FACILITY) *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": "*"},
			n,
		),
	}
}

// SelectorAnySeverity returns from System_Logging_RemoteServerPathAny the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
func (n *System_Logging_RemoteServerPathAny) SelectorAnySeverity(Facility E_SystemLogging_SYSLOG_FACILITY) *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": "*"},
			n,
		),
	}
}

// SelectorAnyFacility returns from System_Logging_RemoteServerPath the path struct for its child "selector".
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_RemoteServerPath) SelectorAnyFacility(Severity E_SystemLogging_SyslogSeverity) *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": Severity},
			n,
		),
	}
}

// SelectorAnyFacility returns from System_Logging_RemoteServerPathAny the path struct for its child "selector".
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_RemoteServerPathAny) SelectorAnyFacility(Severity E_SystemLogging_SyslogSeverity) *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": "*", "severity": Severity},
			n,
		),
	}
}

// Selector returns from System_Logging_RemoteServerPath the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_RemoteServerPath) Selector(Facility E_SystemLogging_SYSLOG_FACILITY, Severity E_SystemLogging_SyslogSeverity) *System_Logging_RemoteServer_SelectorPath {
	return &System_Logging_RemoteServer_SelectorPath{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": Severity},
			n,
		),
	}
}

// Selector returns from System_Logging_RemoteServerPathAny the path struct for its child "selector".
// Facility: E_SystemLogging_SYSLOG_FACILITY
// Severity: E_SystemLogging_SyslogSeverity
func (n *System_Logging_RemoteServerPathAny) Selector(Facility E_SystemLogging_SYSLOG_FACILITY, Severity E_SystemLogging_SyslogSeverity) *System_Logging_RemoteServer_SelectorPathAny {
	return &System_Logging_RemoteServer_SelectorPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"selectors", "selector"},
			map[string]interface{}{"facility": Facility, "severity": Severity},
			n,
		),
	}
}

// SourceAddress returns from System_Logging_RemoteServerPath the path struct for its child "source-address".
func (n *System_Logging_RemoteServerPath) SourceAddress() *System_Logging_RemoteServer_SourceAddressPath {
	return &System_Logging_RemoteServer_SourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// SourceAddress returns from System_Logging_RemoteServerPathAny the path struct for its child "source-address".
func (n *System_Logging_RemoteServerPathAny) SourceAddress() *System_Logging_RemoteServer_SourceAddressPathAny {
	return &System_Logging_RemoteServer_SourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Logging_RemoteServer_SelectorPath represents the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector YANG schema element.
type System_Logging_RemoteServer_SelectorPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_SelectorPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector YANG schema element.
type System_Logging_RemoteServer_SelectorPathAny struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_Selector_FacilityPath represents the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector/config/facility YANG schema element.
type System_Logging_RemoteServer_Selector_FacilityPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_Selector_FacilityPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector/config/facility YANG schema element.
type System_Logging_RemoteServer_Selector_FacilityPathAny struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_Selector_SeverityPath represents the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector/config/severity YANG schema element.
type System_Logging_RemoteServer_Selector_SeverityPath struct {
	*ygot.NodePath
}

// System_Logging_RemoteServer_Selector_SeverityPathAny represents the wildcard version of the /openconfig-system/system/logging/remote-servers/remote-server/selectors/selector/config/severity YANG schema element.
type System_Logging_RemoteServer_Selector_SeverityPathAny struct {
	*ygot.NodePath
}

// Facility returns from System_Logging_RemoteServer_SelectorPath the path struct for its child "facility".
func (n *System_Logging_RemoteServer_SelectorPath) Facility() *System_Logging_RemoteServer_Selector_FacilityPath {
	return &System_Logging_RemoteServer_Selector_FacilityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "facility"},
			map[string]interface{}{},
			n,
		),
	}
}

// Facility returns from System_Logging_RemoteServer_SelectorPathAny the path struct for its child "facility".
func (n *System_Logging_RemoteServer_SelectorPathAny) Facility() *System_Logging_RemoteServer_Selector_FacilityPathAny {
	return &System_Logging_RemoteServer_Selector_FacilityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "facility"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_Logging_RemoteServer_SelectorPath the path struct for its child "severity".
func (n *System_Logging_RemoteServer_SelectorPath) Severity() *System_Logging_RemoteServer_Selector_SeverityPath {
	return &System_Logging_RemoteServer_Selector_SeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_Logging_RemoteServer_SelectorPathAny the path struct for its child "severity".
func (n *System_Logging_RemoteServer_SelectorPathAny) Severity() *System_Logging_RemoteServer_Selector_SeverityPathAny {
	return &System_Logging_RemoteServer_Selector_SeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_MemoryPath represents the /openconfig-system/system/memory YANG schema element.
type System_MemoryPath struct {
	*ygot.NodePath
}

// System_MemoryPathAny represents the wildcard version of the /openconfig-system/system/memory YANG schema element.
type System_MemoryPathAny struct {
	*ygot.NodePath
}

// System_Memory_PhysicalPath represents the /openconfig-system/system/memory/state/physical YANG schema element.
type System_Memory_PhysicalPath struct {
	*ygot.NodePath
}

// System_Memory_PhysicalPathAny represents the wildcard version of the /openconfig-system/system/memory/state/physical YANG schema element.
type System_Memory_PhysicalPathAny struct {
	*ygot.NodePath
}

// System_Memory_ReservedPath represents the /openconfig-system/system/memory/state/reserved YANG schema element.
type System_Memory_ReservedPath struct {
	*ygot.NodePath
}

// System_Memory_ReservedPathAny represents the wildcard version of the /openconfig-system/system/memory/state/reserved YANG schema element.
type System_Memory_ReservedPathAny struct {
	*ygot.NodePath
}

// Physical returns from System_MemoryPath the path struct for its child "physical".
func (n *System_MemoryPath) Physical() *System_Memory_PhysicalPath {
	return &System_Memory_PhysicalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "physical"},
			map[string]interface{}{},
			n,
		),
	}
}

// Physical returns from System_MemoryPathAny the path struct for its child "physical".
func (n *System_MemoryPathAny) Physical() *System_Memory_PhysicalPathAny {
	return &System_Memory_PhysicalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "physical"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reserved returns from System_MemoryPath the path struct for its child "reserved".
func (n *System_MemoryPath) Reserved() *System_Memory_ReservedPath {
	return &System_Memory_ReservedPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reserved"},
			map[string]interface{}{},
			n,
		),
	}
}

// Reserved returns from System_MemoryPathAny the path struct for its child "reserved".
func (n *System_MemoryPathAny) Reserved() *System_Memory_ReservedPathAny {
	return &System_Memory_ReservedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "reserved"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_MessagesPath represents the /openconfig-system/system/messages YANG schema element.
type System_MessagesPath struct {
	*ygot.NodePath
}

// System_MessagesPathAny represents the wildcard version of the /openconfig-system/system/messages YANG schema element.
type System_MessagesPathAny struct {
	*ygot.NodePath
}

// System_Messages_SeverityPath represents the /openconfig-system/system/messages/config/severity YANG schema element.
type System_Messages_SeverityPath struct {
	*ygot.NodePath
}

// System_Messages_SeverityPathAny represents the wildcard version of the /openconfig-system/system/messages/config/severity YANG schema element.
type System_Messages_SeverityPathAny struct {
	*ygot.NodePath
}

// DebugServiceAny returns from System_MessagesPath the path struct for its child "debug-service".
func (n *System_MessagesPath) DebugServiceAny() *System_Messages_DebugServicePathAny {
	return &System_Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": "*"},
			n,
		),
	}
}

// DebugServiceAny returns from System_MessagesPathAny the path struct for its child "debug-service".
func (n *System_MessagesPathAny) DebugServiceAny() *System_Messages_DebugServicePathAny {
	return &System_Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": "*"},
			n,
		),
	}
}

// DebugService returns from System_MessagesPath the path struct for its child "debug-service".
// Service: E_Messages_DEBUG_SERVICE
func (n *System_MessagesPath) DebugService(Service E_Messages_DEBUG_SERVICE) *System_Messages_DebugServicePath {
	return &System_Messages_DebugServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": Service},
			n,
		),
	}
}

// DebugService returns from System_MessagesPathAny the path struct for its child "debug-service".
// Service: E_Messages_DEBUG_SERVICE
func (n *System_MessagesPathAny) DebugService(Service E_Messages_DEBUG_SERVICE) *System_Messages_DebugServicePathAny {
	return &System_Messages_DebugServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"debug-entries", "debug-service"},
			map[string]interface{}{"service": Service},
			n,
		),
	}
}

// Message returns from System_MessagesPath the path struct for its child "message".
func (n *System_MessagesPath) Message() *System_Messages_MessagePath {
	return &System_Messages_MessagePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "message"},
			map[string]interface{}{},
			n,
		),
	}
}

// Message returns from System_MessagesPathAny the path struct for its child "message".
func (n *System_MessagesPathAny) Message() *System_Messages_MessagePathAny {
	return &System_Messages_MessagePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "message"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_MessagesPath the path struct for its child "severity".
func (n *System_MessagesPath) Severity() *System_Messages_SeverityPath {
	return &System_Messages_SeverityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// Severity returns from System_MessagesPathAny the path struct for its child "severity".
func (n *System_MessagesPathAny) Severity() *System_Messages_SeverityPathAny {
	return &System_Messages_SeverityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "severity"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Messages_DebugServicePath represents the /openconfig-system/system/messages/debug-entries/debug-service YANG schema element.
type System_Messages_DebugServicePath struct {
	*ygot.NodePath
}

// System_Messages_DebugServicePathAny represents the wildcard version of the /openconfig-system/system/messages/debug-entries/debug-service YANG schema element.
type System_Messages_DebugServicePathAny struct {
	*ygot.NodePath
}

// System_Messages_DebugService_EnabledPath represents the /openconfig-system/system/messages/debug-entries/debug-service/config/enabled YANG schema element.
type System_Messages_DebugService_EnabledPath struct {
	*ygot.NodePath
}

// System_Messages_DebugService_EnabledPathAny represents the wildcard version of the /openconfig-system/system/messages/debug-entries/debug-service/config/enabled YANG schema element.
type System_Messages_DebugService_EnabledPathAny struct {
	*ygot.NodePath
}

// System_Messages_DebugService_ServicePath represents the /openconfig-system/system/messages/debug-entries/debug-service/config/service YANG schema element.
type System_Messages_DebugService_ServicePath struct {
	*ygot.NodePath
}

// System_Messages_DebugService_ServicePathAny represents the wildcard version of the /openconfig-system/system/messages/debug-entries/debug-service/config/service YANG schema element.
type System_Messages_DebugService_ServicePathAny struct {
	*ygot.NodePath
}

// Enabled returns from System_Messages_DebugServicePath the path struct for its child "enabled".
func (n *System_Messages_DebugServicePath) Enabled() *System_Messages_DebugService_EnabledPath {
	return &System_Messages_DebugService_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from System_Messages_DebugServicePathAny the path struct for its child "enabled".
func (n *System_Messages_DebugServicePathAny) Enabled() *System_Messages_DebugService_EnabledPathAny {
	return &System_Messages_DebugService_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Service returns from System_Messages_DebugServicePath the path struct for its child "service".
func (n *System_Messages_DebugServicePath) Service() *System_Messages_DebugService_ServicePath {
	return &System_Messages_DebugService_ServicePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "service"},
			map[string]interface{}{},
			n,
		),
	}
}

// Service returns from System_Messages_DebugServicePathAny the path struct for its child "service".
func (n *System_Messages_DebugServicePathAny) Service() *System_Messages_DebugService_ServicePathAny {
	return &System_Messages_DebugService_ServicePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "service"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Messages_MessagePath represents the /openconfig-system/system/messages/state/message YANG schema element.
type System_Messages_MessagePath struct {
	*ygot.NodePath
}

// System_Messages_MessagePathAny represents the wildcard version of the /openconfig-system/system/messages/state/message YANG schema element.
type System_Messages_MessagePathAny struct {
	*ygot.NodePath
}

// System_Messages_Message_AppNamePath represents the /openconfig-system/system/messages/state/message/app-name YANG schema element.
type System_Messages_Message_AppNamePath struct {
	*ygot.NodePath
}

// System_Messages_Message_AppNamePathAny represents the wildcard version of the /openconfig-system/system/messages/state/message/app-name YANG schema element.
type System_Messages_Message_AppNamePathAny struct {
	*ygot.NodePath
}

// System_Messages_Message_MsgPath represents the /openconfig-system/system/messages/state/message/msg YANG schema element.
type System_Messages_Message_MsgPath struct {
	*ygot.NodePath
}

// System_Messages_Message_MsgPathAny represents the wildcard version of the /openconfig-system/system/messages/state/message/msg YANG schema element.
type System_Messages_Message_MsgPathAny struct {
	*ygot.NodePath
}

// System_Messages_Message_MsgidPath represents the /openconfig-system/system/messages/state/message/msgid YANG schema element.
type System_Messages_Message_MsgidPath struct {
	*ygot.NodePath
}

// System_Messages_Message_MsgidPathAny represents the wildcard version of the /openconfig-system/system/messages/state/message/msgid YANG schema element.
type System_Messages_Message_MsgidPathAny struct {
	*ygot.NodePath
}

// System_Messages_Message_PriorityPath represents the /openconfig-system/system/messages/state/message/priority YANG schema element.
type System_Messages_Message_PriorityPath struct {
	*ygot.NodePath
}

// System_Messages_Message_PriorityPathAny represents the wildcard version of the /openconfig-system/system/messages/state/message/priority YANG schema element.
type System_Messages_Message_PriorityPathAny struct {
	*ygot.NodePath
}

// System_Messages_Message_ProcidPath represents the /openconfig-system/system/messages/state/message/procid YANG schema element.
type System_Messages_Message_ProcidPath struct {
	*ygot.NodePath
}

// System_Messages_Message_ProcidPathAny represents the wildcard version of the /openconfig-system/system/messages/state/message/procid YANG schema element.
type System_Messages_Message_ProcidPathAny struct {
	*ygot.NodePath
}

// AppName returns from System_Messages_MessagePath the path struct for its child "app-name".
func (n *System_Messages_MessagePath) AppName() *System_Messages_Message_AppNamePath {
	return &System_Messages_Message_AppNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"app-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// AppName returns from System_Messages_MessagePathAny the path struct for its child "app-name".
func (n *System_Messages_MessagePathAny) AppName() *System_Messages_Message_AppNamePathAny {
	return &System_Messages_Message_AppNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"app-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msg returns from System_Messages_MessagePath the path struct for its child "msg".
func (n *System_Messages_MessagePath) Msg() *System_Messages_Message_MsgPath {
	return &System_Messages_Message_MsgPath{
		NodePath: ygot.NewNodePath(
			[]string{"msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msg returns from System_Messages_MessagePathAny the path struct for its child "msg".
func (n *System_Messages_MessagePathAny) Msg() *System_Messages_Message_MsgPathAny {
	return &System_Messages_Message_MsgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msgid returns from System_Messages_MessagePath the path struct for its child "msgid".
func (n *System_Messages_MessagePath) Msgid() *System_Messages_Message_MsgidPath {
	return &System_Messages_Message_MsgidPath{
		NodePath: ygot.NewNodePath(
			[]string{"msgid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Msgid returns from System_Messages_MessagePathAny the path struct for its child "msgid".
func (n *System_Messages_MessagePathAny) Msgid() *System_Messages_Message_MsgidPathAny {
	return &System_Messages_Message_MsgidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"msgid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from System_Messages_MessagePath the path struct for its child "priority".
func (n *System_Messages_MessagePath) Priority() *System_Messages_Message_PriorityPath {
	return &System_Messages_Message_PriorityPath{
		NodePath: ygot.NewNodePath(
			[]string{"priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Priority returns from System_Messages_MessagePathAny the path struct for its child "priority".
func (n *System_Messages_MessagePathAny) Priority() *System_Messages_Message_PriorityPathAny {
	return &System_Messages_Message_PriorityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"priority"},
			map[string]interface{}{},
			n,
		),
	}
}

// Procid returns from System_Messages_MessagePath the path struct for its child "procid".
func (n *System_Messages_MessagePath) Procid() *System_Messages_Message_ProcidPath {
	return &System_Messages_Message_ProcidPath{
		NodePath: ygot.NewNodePath(
			[]string{"procid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Procid returns from System_Messages_MessagePathAny the path struct for its child "procid".
func (n *System_Messages_MessagePathAny) Procid() *System_Messages_Message_ProcidPathAny {
	return &System_Messages_Message_ProcidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"procid"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_NtpPath represents the /openconfig-system/system/ntp YANG schema element.
type System_NtpPath struct {
	*ygot.NodePath
}

// System_NtpPathAny represents the wildcard version of the /openconfig-system/system/ntp YANG schema element.
type System_NtpPathAny struct {
	*ygot.NodePath
}

// System_Ntp_AuthMismatchPath represents the /openconfig-system/system/ntp/state/auth-mismatch YANG schema element.
type System_Ntp_AuthMismatchPath struct {
	*ygot.NodePath
}

// System_Ntp_AuthMismatchPathAny represents the wildcard version of the /openconfig-system/system/ntp/state/auth-mismatch YANG schema element.
type System_Ntp_AuthMismatchPathAny struct {
	*ygot.NodePath
}

// System_Ntp_EnableNtpAuthPath represents the /openconfig-system/system/ntp/config/enable-ntp-auth YANG schema element.
type System_Ntp_EnableNtpAuthPath struct {
	*ygot.NodePath
}

// System_Ntp_EnableNtpAuthPathAny represents the wildcard version of the /openconfig-system/system/ntp/config/enable-ntp-auth YANG schema element.
type System_Ntp_EnableNtpAuthPathAny struct {
	*ygot.NodePath
}

// System_Ntp_EnabledPath represents the /openconfig-system/system/ntp/config/enabled YANG schema element.
type System_Ntp_EnabledPath struct {
	*ygot.NodePath
}

// System_Ntp_EnabledPathAny represents the wildcard version of the /openconfig-system/system/ntp/config/enabled YANG schema element.
type System_Ntp_EnabledPathAny struct {
	*ygot.NodePath
}

// System_Ntp_NtpSourceAddressPath represents the /openconfig-system/system/ntp/config/ntp-source-address YANG schema element.
type System_Ntp_NtpSourceAddressPath struct {
	*ygot.NodePath
}

// System_Ntp_NtpSourceAddressPathAny represents the wildcard version of the /openconfig-system/system/ntp/config/ntp-source-address YANG schema element.
type System_Ntp_NtpSourceAddressPathAny struct {
	*ygot.NodePath
}

// AuthMismatch returns from System_NtpPath the path struct for its child "auth-mismatch".
func (n *System_NtpPath) AuthMismatch() *System_Ntp_AuthMismatchPath {
	return &System_Ntp_AuthMismatchPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// AuthMismatch returns from System_NtpPathAny the path struct for its child "auth-mismatch".
func (n *System_NtpPathAny) AuthMismatch() *System_Ntp_AuthMismatchPathAny {
	return &System_Ntp_AuthMismatchPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "auth-mismatch"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableNtpAuth returns from System_NtpPath the path struct for its child "enable-ntp-auth".
func (n *System_NtpPath) EnableNtpAuth() *System_Ntp_EnableNtpAuthPath {
	return &System_Ntp_EnableNtpAuthPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-ntp-auth"},
			map[string]interface{}{},
			n,
		),
	}
}

// EnableNtpAuth returns from System_NtpPathAny the path struct for its child "enable-ntp-auth".
func (n *System_NtpPathAny) EnableNtpAuth() *System_Ntp_EnableNtpAuthPathAny {
	return &System_Ntp_EnableNtpAuthPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable-ntp-auth"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from System_NtpPath the path struct for its child "enabled".
func (n *System_NtpPath) Enabled() *System_Ntp_EnabledPath {
	return &System_Ntp_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from System_NtpPathAny the path struct for its child "enabled".
func (n *System_NtpPathAny) Enabled() *System_Ntp_EnabledPathAny {
	return &System_Ntp_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NtpKeyAny returns from System_NtpPath the path struct for its child "ntp-key".
func (n *System_NtpPath) NtpKeyAny() *System_Ntp_NtpKeyPathAny {
	return &System_Ntp_NtpKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ntp-keys", "ntp-key"},
			map[string]interface{}{"key-id": "*"},
			n,
		),
	}
}

// NtpKeyAny returns from System_NtpPathAny the path struct for its child "ntp-key".
func (n *System_NtpPathAny) NtpKeyAny() *System_Ntp_NtpKeyPathAny {
	return &System_Ntp_NtpKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ntp-keys", "ntp-key"},
			map[string]interface{}{"key-id": "*"},
			n,
		),
	}
}

// NtpKey returns from System_NtpPath the path struct for its child "ntp-key".
// KeyId: uint16
func (n *System_NtpPath) NtpKey(KeyId uint16) *System_Ntp_NtpKeyPath {
	return &System_Ntp_NtpKeyPath{
		NodePath: ygot.NewNodePath(
			[]string{"ntp-keys", "ntp-key"},
			map[string]interface{}{"key-id": KeyId},
			n,
		),
	}
}

// NtpKey returns from System_NtpPathAny the path struct for its child "ntp-key".
// KeyId: uint16
func (n *System_NtpPathAny) NtpKey(KeyId uint16) *System_Ntp_NtpKeyPathAny {
	return &System_Ntp_NtpKeyPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ntp-keys", "ntp-key"},
			map[string]interface{}{"key-id": KeyId},
			n,
		),
	}
}

// NtpSourceAddress returns from System_NtpPath the path struct for its child "ntp-source-address".
func (n *System_NtpPath) NtpSourceAddress() *System_Ntp_NtpSourceAddressPath {
	return &System_Ntp_NtpSourceAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ntp-source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// NtpSourceAddress returns from System_NtpPathAny the path struct for its child "ntp-source-address".
func (n *System_NtpPathAny) NtpSourceAddress() *System_Ntp_NtpSourceAddressPathAny {
	return &System_Ntp_NtpSourceAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "ntp-source-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ServerAny returns from System_NtpPath the path struct for its child "server".
func (n *System_NtpPath) ServerAny() *System_Ntp_ServerPathAny {
	return &System_Ntp_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// ServerAny returns from System_NtpPathAny the path struct for its child "server".
func (n *System_NtpPathAny) ServerAny() *System_Ntp_ServerPathAny {
	return &System_Ntp_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": "*"},
			n,
		),
	}
}

// Server returns from System_NtpPath the path struct for its child "server".
// Address: string
func (n *System_NtpPath) Server(Address string) *System_Ntp_ServerPath {
	return &System_Ntp_ServerPath{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// Server returns from System_NtpPathAny the path struct for its child "server".
// Address: string
func (n *System_NtpPathAny) Server(Address string) *System_Ntp_ServerPathAny {
	return &System_Ntp_ServerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"servers", "server"},
			map[string]interface{}{"address": Address},
			n,
		),
	}
}

// System_Ntp_NtpKeyPath represents the /openconfig-system/system/ntp/ntp-keys/ntp-key YANG schema element.
type System_Ntp_NtpKeyPath struct {
	*ygot.NodePath
}

// System_Ntp_NtpKeyPathAny represents the wildcard version of the /openconfig-system/system/ntp/ntp-keys/ntp-key YANG schema element.
type System_Ntp_NtpKeyPathAny struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyIdPath represents the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-id YANG schema element.
type System_Ntp_NtpKey_KeyIdPath struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyIdPathAny represents the wildcard version of the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-id YANG schema element.
type System_Ntp_NtpKey_KeyIdPathAny struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyTypePath represents the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-type YANG schema element.
type System_Ntp_NtpKey_KeyTypePath struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyTypePathAny represents the wildcard version of the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-type YANG schema element.
type System_Ntp_NtpKey_KeyTypePathAny struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyValuePath represents the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-value YANG schema element.
type System_Ntp_NtpKey_KeyValuePath struct {
	*ygot.NodePath
}

// System_Ntp_NtpKey_KeyValuePathAny represents the wildcard version of the /openconfig-system/system/ntp/ntp-keys/ntp-key/config/key-value YANG schema element.
type System_Ntp_NtpKey_KeyValuePathAny struct {
	*ygot.NodePath
}

// KeyId returns from System_Ntp_NtpKeyPath the path struct for its child "key-id".
func (n *System_Ntp_NtpKeyPath) KeyId() *System_Ntp_NtpKey_KeyIdPath {
	return &System_Ntp_NtpKey_KeyIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeyId returns from System_Ntp_NtpKeyPathAny the path struct for its child "key-id".
func (n *System_Ntp_NtpKeyPathAny) KeyId() *System_Ntp_NtpKey_KeyIdPathAny {
	return &System_Ntp_NtpKey_KeyIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeyType returns from System_Ntp_NtpKeyPath the path struct for its child "key-type".
func (n *System_Ntp_NtpKeyPath) KeyType() *System_Ntp_NtpKey_KeyTypePath {
	return &System_Ntp_NtpKey_KeyTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeyType returns from System_Ntp_NtpKeyPathAny the path struct for its child "key-type".
func (n *System_Ntp_NtpKeyPathAny) KeyType() *System_Ntp_NtpKey_KeyTypePathAny {
	return &System_Ntp_NtpKey_KeyTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeyValue returns from System_Ntp_NtpKeyPath the path struct for its child "key-value".
func (n *System_Ntp_NtpKeyPath) KeyValue() *System_Ntp_NtpKey_KeyValuePath {
	return &System_Ntp_NtpKey_KeyValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// KeyValue returns from System_Ntp_NtpKeyPathAny the path struct for its child "key-value".
func (n *System_Ntp_NtpKeyPathAny) KeyValue() *System_Ntp_NtpKey_KeyValuePathAny {
	return &System_Ntp_NtpKey_KeyValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "key-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_Ntp_ServerPath represents the /openconfig-system/system/ntp/servers/server YANG schema element.
type System_Ntp_ServerPath struct {
	*ygot.NodePath
}

// System_Ntp_ServerPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server YANG schema element.
type System_Ntp_ServerPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_AddressPath represents the /openconfig-system/system/ntp/servers/server/config/address YANG schema element.
type System_Ntp_Server_AddressPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_AddressPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/address YANG schema element.
type System_Ntp_Server_AddressPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_AssociationTypePath represents the /openconfig-system/system/ntp/servers/server/config/association-type YANG schema element.
type System_Ntp_Server_AssociationTypePath struct {
	*ygot.NodePath
}

// System_Ntp_Server_AssociationTypePathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/association-type YANG schema element.
type System_Ntp_Server_AssociationTypePathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_IburstPath represents the /openconfig-system/system/ntp/servers/server/config/iburst YANG schema element.
type System_Ntp_Server_IburstPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_IburstPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/iburst YANG schema element.
type System_Ntp_Server_IburstPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_OffsetPath represents the /openconfig-system/system/ntp/servers/server/state/offset YANG schema element.
type System_Ntp_Server_OffsetPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_OffsetPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/state/offset YANG schema element.
type System_Ntp_Server_OffsetPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_PollIntervalPath represents the /openconfig-system/system/ntp/servers/server/state/poll-interval YANG schema element.
type System_Ntp_Server_PollIntervalPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_PollIntervalPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/state/poll-interval YANG schema element.
type System_Ntp_Server_PollIntervalPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_PortPath represents the /openconfig-system/system/ntp/servers/server/config/port YANG schema element.
type System_Ntp_Server_PortPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_PortPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/port YANG schema element.
type System_Ntp_Server_PortPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_PreferPath represents the /openconfig-system/system/ntp/servers/server/config/prefer YANG schema element.
type System_Ntp_Server_PreferPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_PreferPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/prefer YANG schema element.
type System_Ntp_Server_PreferPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_RootDelayPath represents the /openconfig-system/system/ntp/servers/server/state/root-delay YANG schema element.
type System_Ntp_Server_RootDelayPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_RootDelayPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/state/root-delay YANG schema element.
type System_Ntp_Server_RootDelayPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_RootDispersionPath represents the /openconfig-system/system/ntp/servers/server/state/root-dispersion YANG schema element.
type System_Ntp_Server_RootDispersionPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_RootDispersionPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/state/root-dispersion YANG schema element.
type System_Ntp_Server_RootDispersionPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_StratumPath represents the /openconfig-system/system/ntp/servers/server/state/stratum YANG schema element.
type System_Ntp_Server_StratumPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_StratumPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/state/stratum YANG schema element.
type System_Ntp_Server_StratumPathAny struct {
	*ygot.NodePath
}

// System_Ntp_Server_VersionPath represents the /openconfig-system/system/ntp/servers/server/config/version YANG schema element.
type System_Ntp_Server_VersionPath struct {
	*ygot.NodePath
}

// System_Ntp_Server_VersionPathAny represents the wildcard version of the /openconfig-system/system/ntp/servers/server/config/version YANG schema element.
type System_Ntp_Server_VersionPathAny struct {
	*ygot.NodePath
}

// Address returns from System_Ntp_ServerPath the path struct for its child "address".
func (n *System_Ntp_ServerPath) Address() *System_Ntp_Server_AddressPath {
	return &System_Ntp_Server_AddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// Address returns from System_Ntp_ServerPathAny the path struct for its child "address".
func (n *System_Ntp_ServerPathAny) Address() *System_Ntp_Server_AddressPathAny {
	return &System_Ntp_Server_AddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "address"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociationType returns from System_Ntp_ServerPath the path struct for its child "association-type".
func (n *System_Ntp_ServerPath) AssociationType() *System_Ntp_Server_AssociationTypePath {
	return &System_Ntp_Server_AssociationTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "association-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssociationType returns from System_Ntp_ServerPathAny the path struct for its child "association-type".
func (n *System_Ntp_ServerPathAny) AssociationType() *System_Ntp_Server_AssociationTypePathAny {
	return &System_Ntp_Server_AssociationTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "association-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Iburst returns from System_Ntp_ServerPath the path struct for its child "iburst".
func (n *System_Ntp_ServerPath) Iburst() *System_Ntp_Server_IburstPath {
	return &System_Ntp_Server_IburstPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "iburst"},
			map[string]interface{}{},
			n,
		),
	}
}

// Iburst returns from System_Ntp_ServerPathAny the path struct for its child "iburst".
func (n *System_Ntp_ServerPathAny) Iburst() *System_Ntp_Server_IburstPathAny {
	return &System_Ntp_Server_IburstPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "iburst"},
			map[string]interface{}{},
			n,
		),
	}
}

// Offset returns from System_Ntp_ServerPath the path struct for its child "offset".
func (n *System_Ntp_ServerPath) Offset() *System_Ntp_Server_OffsetPath {
	return &System_Ntp_Server_OffsetPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// Offset returns from System_Ntp_ServerPathAny the path struct for its child "offset".
func (n *System_Ntp_ServerPathAny) Offset() *System_Ntp_Server_OffsetPathAny {
	return &System_Ntp_Server_OffsetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "offset"},
			map[string]interface{}{},
			n,
		),
	}
}

// PollInterval returns from System_Ntp_ServerPath the path struct for its child "poll-interval".
func (n *System_Ntp_ServerPath) PollInterval() *System_Ntp_Server_PollIntervalPath {
	return &System_Ntp_Server_PollIntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "poll-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// PollInterval returns from System_Ntp_ServerPathAny the path struct for its child "poll-interval".
func (n *System_Ntp_ServerPathAny) PollInterval() *System_Ntp_Server_PollIntervalPathAny {
	return &System_Ntp_Server_PollIntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "poll-interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_Ntp_ServerPath the path struct for its child "port".
func (n *System_Ntp_ServerPath) Port() *System_Ntp_Server_PortPath {
	return &System_Ntp_Server_PortPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Port returns from System_Ntp_ServerPathAny the path struct for its child "port".
func (n *System_Ntp_ServerPathAny) Port() *System_Ntp_Server_PortPathAny {
	return &System_Ntp_Server_PortPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "port"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefer returns from System_Ntp_ServerPath the path struct for its child "prefer".
func (n *System_Ntp_ServerPath) Prefer() *System_Ntp_Server_PreferPath {
	return &System_Ntp_Server_PreferPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefer"},
			map[string]interface{}{},
			n,
		),
	}
}

// Prefer returns from System_Ntp_ServerPathAny the path struct for its child "prefer".
func (n *System_Ntp_ServerPathAny) Prefer() *System_Ntp_Server_PreferPathAny {
	return &System_Ntp_Server_PreferPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "prefer"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootDelay returns from System_Ntp_ServerPath the path struct for its child "root-delay".
func (n *System_Ntp_ServerPath) RootDelay() *System_Ntp_Server_RootDelayPath {
	return &System_Ntp_Server_RootDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootDelay returns from System_Ntp_ServerPathAny the path struct for its child "root-delay".
func (n *System_Ntp_ServerPathAny) RootDelay() *System_Ntp_Server_RootDelayPathAny {
	return &System_Ntp_Server_RootDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootDispersion returns from System_Ntp_ServerPath the path struct for its child "root-dispersion".
func (n *System_Ntp_ServerPath) RootDispersion() *System_Ntp_Server_RootDispersionPath {
	return &System_Ntp_Server_RootDispersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// RootDispersion returns from System_Ntp_ServerPathAny the path struct for its child "root-dispersion".
func (n *System_Ntp_ServerPathAny) RootDispersion() *System_Ntp_Server_RootDispersionPathAny {
	return &System_Ntp_Server_RootDispersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "root-dispersion"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stratum returns from System_Ntp_ServerPath the path struct for its child "stratum".
func (n *System_Ntp_ServerPath) Stratum() *System_Ntp_Server_StratumPath {
	return &System_Ntp_Server_StratumPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "stratum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Stratum returns from System_Ntp_ServerPathAny the path struct for its child "stratum".
func (n *System_Ntp_ServerPathAny) Stratum() *System_Ntp_Server_StratumPathAny {
	return &System_Ntp_Server_StratumPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "stratum"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version returns from System_Ntp_ServerPath the path struct for its child "version".
func (n *System_Ntp_ServerPath) Version() *System_Ntp_Server_VersionPath {
	return &System_Ntp_Server_VersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// Version returns from System_Ntp_ServerPathAny the path struct for its child "version".
func (n *System_Ntp_ServerPathAny) Version() *System_Ntp_Server_VersionPathAny {
	return &System_Ntp_Server_VersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "version"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_ProcessPath represents the /openconfig-system/system/processes/process YANG schema element.
type System_ProcessPath struct {
	*ygot.NodePath
}

// System_ProcessPathAny represents the wildcard version of the /openconfig-system/system/processes/process YANG schema element.
type System_ProcessPathAny struct {
	*ygot.NodePath
}

// System_Process_ArgsPath represents the /openconfig-system/system/processes/process/state/args YANG schema element.
type System_Process_ArgsPath struct {
	*ygot.NodePath
}

// System_Process_ArgsPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/args YANG schema element.
type System_Process_ArgsPathAny struct {
	*ygot.NodePath
}

// System_Process_CpuUsageSystemPath represents the /openconfig-system/system/processes/process/state/cpu-usage-system YANG schema element.
type System_Process_CpuUsageSystemPath struct {
	*ygot.NodePath
}

// System_Process_CpuUsageSystemPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/cpu-usage-system YANG schema element.
type System_Process_CpuUsageSystemPathAny struct {
	*ygot.NodePath
}

// System_Process_CpuUsageUserPath represents the /openconfig-system/system/processes/process/state/cpu-usage-user YANG schema element.
type System_Process_CpuUsageUserPath struct {
	*ygot.NodePath
}

// System_Process_CpuUsageUserPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/cpu-usage-user YANG schema element.
type System_Process_CpuUsageUserPathAny struct {
	*ygot.NodePath
}

// System_Process_CpuUtilizationPath represents the /openconfig-system/system/processes/process/state/cpu-utilization YANG schema element.
type System_Process_CpuUtilizationPath struct {
	*ygot.NodePath
}

// System_Process_CpuUtilizationPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/cpu-utilization YANG schema element.
type System_Process_CpuUtilizationPathAny struct {
	*ygot.NodePath
}

// System_Process_MemoryUsagePath represents the /openconfig-system/system/processes/process/state/memory-usage YANG schema element.
type System_Process_MemoryUsagePath struct {
	*ygot.NodePath
}

// System_Process_MemoryUsagePathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/memory-usage YANG schema element.
type System_Process_MemoryUsagePathAny struct {
	*ygot.NodePath
}

// System_Process_MemoryUtilizationPath represents the /openconfig-system/system/processes/process/state/memory-utilization YANG schema element.
type System_Process_MemoryUtilizationPath struct {
	*ygot.NodePath
}

// System_Process_MemoryUtilizationPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/memory-utilization YANG schema element.
type System_Process_MemoryUtilizationPathAny struct {
	*ygot.NodePath
}

// System_Process_NamePath represents the /openconfig-system/system/processes/process/state/name YANG schema element.
type System_Process_NamePath struct {
	*ygot.NodePath
}

// System_Process_NamePathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/name YANG schema element.
type System_Process_NamePathAny struct {
	*ygot.NodePath
}

// System_Process_PidPath represents the /openconfig-system/system/processes/process/state/pid YANG schema element.
type System_Process_PidPath struct {
	*ygot.NodePath
}

// System_Process_PidPathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/pid YANG schema element.
type System_Process_PidPathAny struct {
	*ygot.NodePath
}

// System_Process_StartTimePath represents the /openconfig-system/system/processes/process/state/start-time YANG schema element.
type System_Process_StartTimePath struct {
	*ygot.NodePath
}

// System_Process_StartTimePathAny represents the wildcard version of the /openconfig-system/system/processes/process/state/start-time YANG schema element.
type System_Process_StartTimePathAny struct {
	*ygot.NodePath
}

// Args returns from System_ProcessPath the path struct for its child "args".
func (n *System_ProcessPath) Args() *System_Process_ArgsPath {
	return &System_Process_ArgsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "args"},
			map[string]interface{}{},
			n,
		),
	}
}

// Args returns from System_ProcessPathAny the path struct for its child "args".
func (n *System_ProcessPathAny) Args() *System_Process_ArgsPathAny {
	return &System_Process_ArgsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "args"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUsageSystem returns from System_ProcessPath the path struct for its child "cpu-usage-system".
func (n *System_ProcessPath) CpuUsageSystem() *System_Process_CpuUsageSystemPath {
	return &System_Process_CpuUsageSystemPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-usage-system"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUsageSystem returns from System_ProcessPathAny the path struct for its child "cpu-usage-system".
func (n *System_ProcessPathAny) CpuUsageSystem() *System_Process_CpuUsageSystemPathAny {
	return &System_Process_CpuUsageSystemPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-usage-system"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUsageUser returns from System_ProcessPath the path struct for its child "cpu-usage-user".
func (n *System_ProcessPath) CpuUsageUser() *System_Process_CpuUsageUserPath {
	return &System_Process_CpuUsageUserPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-usage-user"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUsageUser returns from System_ProcessPathAny the path struct for its child "cpu-usage-user".
func (n *System_ProcessPathAny) CpuUsageUser() *System_Process_CpuUsageUserPathAny {
	return &System_Process_CpuUsageUserPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-usage-user"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUtilization returns from System_ProcessPath the path struct for its child "cpu-utilization".
func (n *System_ProcessPath) CpuUtilization() *System_Process_CpuUtilizationPath {
	return &System_Process_CpuUtilizationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-utilization"},
			map[string]interface{}{},
			n,
		),
	}
}

// CpuUtilization returns from System_ProcessPathAny the path struct for its child "cpu-utilization".
func (n *System_ProcessPathAny) CpuUtilization() *System_Process_CpuUtilizationPathAny {
	return &System_Process_CpuUtilizationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "cpu-utilization"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemoryUsage returns from System_ProcessPath the path struct for its child "memory-usage".
func (n *System_ProcessPath) MemoryUsage() *System_Process_MemoryUsagePath {
	return &System_Process_MemoryUsagePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory-usage"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemoryUsage returns from System_ProcessPathAny the path struct for its child "memory-usage".
func (n *System_ProcessPathAny) MemoryUsage() *System_Process_MemoryUsagePathAny {
	return &System_Process_MemoryUsagePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory-usage"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemoryUtilization returns from System_ProcessPath the path struct for its child "memory-utilization".
func (n *System_ProcessPath) MemoryUtilization() *System_Process_MemoryUtilizationPath {
	return &System_Process_MemoryUtilizationPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory-utilization"},
			map[string]interface{}{},
			n,
		),
	}
}

// MemoryUtilization returns from System_ProcessPathAny the path struct for its child "memory-utilization".
func (n *System_ProcessPathAny) MemoryUtilization() *System_Process_MemoryUtilizationPathAny {
	return &System_Process_MemoryUtilizationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "memory-utilization"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from System_ProcessPath the path struct for its child "name".
func (n *System_ProcessPath) Name() *System_Process_NamePath {
	return &System_Process_NamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Name returns from System_ProcessPathAny the path struct for its child "name".
func (n *System_ProcessPathAny) Name() *System_Process_NamePathAny {
	return &System_Process_NamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "name"},
			map[string]interface{}{},
			n,
		),
	}
}

// Pid returns from System_ProcessPath the path struct for its child "pid".
func (n *System_ProcessPath) Pid() *System_Process_PidPath {
	return &System_Process_PidPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pid"},
			map[string]interface{}{},
			n,
		),
	}
}

// Pid returns from System_ProcessPathAny the path struct for its child "pid".
func (n *System_ProcessPathAny) Pid() *System_Process_PidPathAny {
	return &System_Process_PidPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pid"},
			map[string]interface{}{},
			n,
		),
	}
}

// StartTime returns from System_ProcessPath the path struct for its child "start-time".
func (n *System_ProcessPath) StartTime() *System_Process_StartTimePath {
	return &System_Process_StartTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "start-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// StartTime returns from System_ProcessPathAny the path struct for its child "start-time".
func (n *System_ProcessPathAny) StartTime() *System_Process_StartTimePathAny {
	return &System_Process_StartTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "start-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_SshServerPath represents the /openconfig-system/system/ssh-server YANG schema element.
type System_SshServerPath struct {
	*ygot.NodePath
}

// System_SshServerPathAny represents the wildcard version of the /openconfig-system/system/ssh-server YANG schema element.
type System_SshServerPathAny struct {
	*ygot.NodePath
}

// System_SshServer_EnablePath represents the /openconfig-system/system/ssh-server/config/enable YANG schema element.
type System_SshServer_EnablePath struct {
	*ygot.NodePath
}

// System_SshServer_EnablePathAny represents the wildcard version of the /openconfig-system/system/ssh-server/config/enable YANG schema element.
type System_SshServer_EnablePathAny struct {
	*ygot.NodePath
}

// System_SshServer_ProtocolVersionPath represents the /openconfig-system/system/ssh-server/config/protocol-version YANG schema element.
type System_SshServer_ProtocolVersionPath struct {
	*ygot.NodePath
}

// System_SshServer_ProtocolVersionPathAny represents the wildcard version of the /openconfig-system/system/ssh-server/config/protocol-version YANG schema element.
type System_SshServer_ProtocolVersionPathAny struct {
	*ygot.NodePath
}

// System_SshServer_RateLimitPath represents the /openconfig-system/system/ssh-server/config/rate-limit YANG schema element.
type System_SshServer_RateLimitPath struct {
	*ygot.NodePath
}

// System_SshServer_RateLimitPathAny represents the wildcard version of the /openconfig-system/system/ssh-server/config/rate-limit YANG schema element.
type System_SshServer_RateLimitPathAny struct {
	*ygot.NodePath
}

// System_SshServer_SessionLimitPath represents the /openconfig-system/system/ssh-server/config/session-limit YANG schema element.
type System_SshServer_SessionLimitPath struct {
	*ygot.NodePath
}

// System_SshServer_SessionLimitPathAny represents the wildcard version of the /openconfig-system/system/ssh-server/config/session-limit YANG schema element.
type System_SshServer_SessionLimitPathAny struct {
	*ygot.NodePath
}

// System_SshServer_TimeoutPath represents the /openconfig-system/system/ssh-server/config/timeout YANG schema element.
type System_SshServer_TimeoutPath struct {
	*ygot.NodePath
}

// System_SshServer_TimeoutPathAny represents the wildcard version of the /openconfig-system/system/ssh-server/config/timeout YANG schema element.
type System_SshServer_TimeoutPathAny struct {
	*ygot.NodePath
}

// Enable returns from System_SshServerPath the path struct for its child "enable".
func (n *System_SshServerPath) Enable() *System_SshServer_EnablePath {
	return &System_SshServer_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from System_SshServerPathAny the path struct for its child "enable".
func (n *System_SshServerPathAny) Enable() *System_SshServer_EnablePathAny {
	return &System_SshServer_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtocolVersion returns from System_SshServerPath the path struct for its child "protocol-version".
func (n *System_SshServerPath) ProtocolVersion() *System_SshServer_ProtocolVersionPath {
	return &System_SshServer_ProtocolVersionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// ProtocolVersion returns from System_SshServerPathAny the path struct for its child "protocol-version".
func (n *System_SshServerPathAny) ProtocolVersion() *System_SshServer_ProtocolVersionPathAny {
	return &System_SshServer_ProtocolVersionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "protocol-version"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimit returns from System_SshServerPath the path struct for its child "rate-limit".
func (n *System_SshServerPath) RateLimit() *System_SshServer_RateLimitPath {
	return &System_SshServer_RateLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimit returns from System_SshServerPathAny the path struct for its child "rate-limit".
func (n *System_SshServerPathAny) RateLimit() *System_SshServer_RateLimitPathAny {
	return &System_SshServer_RateLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionLimit returns from System_SshServerPath the path struct for its child "session-limit".
func (n *System_SshServerPath) SessionLimit() *System_SshServer_SessionLimitPath {
	return &System_SshServer_SessionLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "session-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionLimit returns from System_SshServerPathAny the path struct for its child "session-limit".
func (n *System_SshServerPathAny) SessionLimit() *System_SshServer_SessionLimitPathAny {
	return &System_SshServer_SessionLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "session-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_SshServerPath the path struct for its child "timeout".
func (n *System_SshServerPath) Timeout() *System_SshServer_TimeoutPath {
	return &System_SshServer_TimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_SshServerPathAny the path struct for its child "timeout".
func (n *System_SshServerPathAny) Timeout() *System_SshServer_TimeoutPathAny {
	return &System_SshServer_TimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// System_TelnetServerPath represents the /openconfig-system/system/telnet-server YANG schema element.
type System_TelnetServerPath struct {
	*ygot.NodePath
}

// System_TelnetServerPathAny represents the wildcard version of the /openconfig-system/system/telnet-server YANG schema element.
type System_TelnetServerPathAny struct {
	*ygot.NodePath
}

// System_TelnetServer_EnablePath represents the /openconfig-system/system/telnet-server/config/enable YANG schema element.
type System_TelnetServer_EnablePath struct {
	*ygot.NodePath
}

// System_TelnetServer_EnablePathAny represents the wildcard version of the /openconfig-system/system/telnet-server/config/enable YANG schema element.
type System_TelnetServer_EnablePathAny struct {
	*ygot.NodePath
}

// System_TelnetServer_RateLimitPath represents the /openconfig-system/system/telnet-server/config/rate-limit YANG schema element.
type System_TelnetServer_RateLimitPath struct {
	*ygot.NodePath
}

// System_TelnetServer_RateLimitPathAny represents the wildcard version of the /openconfig-system/system/telnet-server/config/rate-limit YANG schema element.
type System_TelnetServer_RateLimitPathAny struct {
	*ygot.NodePath
}

// System_TelnetServer_SessionLimitPath represents the /openconfig-system/system/telnet-server/config/session-limit YANG schema element.
type System_TelnetServer_SessionLimitPath struct {
	*ygot.NodePath
}

// System_TelnetServer_SessionLimitPathAny represents the wildcard version of the /openconfig-system/system/telnet-server/config/session-limit YANG schema element.
type System_TelnetServer_SessionLimitPathAny struct {
	*ygot.NodePath
}

// System_TelnetServer_TimeoutPath represents the /openconfig-system/system/telnet-server/config/timeout YANG schema element.
type System_TelnetServer_TimeoutPath struct {
	*ygot.NodePath
}

// System_TelnetServer_TimeoutPathAny represents the wildcard version of the /openconfig-system/system/telnet-server/config/timeout YANG schema element.
type System_TelnetServer_TimeoutPathAny struct {
	*ygot.NodePath
}

// Enable returns from System_TelnetServerPath the path struct for its child "enable".
func (n *System_TelnetServerPath) Enable() *System_TelnetServer_EnablePath {
	return &System_TelnetServer_EnablePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enable returns from System_TelnetServerPathAny the path struct for its child "enable".
func (n *System_TelnetServerPathAny) Enable() *System_TelnetServer_EnablePathAny {
	return &System_TelnetServer_EnablePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enable"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimit returns from System_TelnetServerPath the path struct for its child "rate-limit".
func (n *System_TelnetServerPath) RateLimit() *System_TelnetServer_RateLimitPath {
	return &System_TelnetServer_RateLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateLimit returns from System_TelnetServerPathAny the path struct for its child "rate-limit".
func (n *System_TelnetServerPathAny) RateLimit() *System_TelnetServer_RateLimitPathAny {
	return &System_TelnetServer_RateLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionLimit returns from System_TelnetServerPath the path struct for its child "session-limit".
func (n *System_TelnetServerPath) SessionLimit() *System_TelnetServer_SessionLimitPath {
	return &System_TelnetServer_SessionLimitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "session-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// SessionLimit returns from System_TelnetServerPathAny the path struct for its child "session-limit".
func (n *System_TelnetServerPathAny) SessionLimit() *System_TelnetServer_SessionLimitPathAny {
	return &System_TelnetServer_SessionLimitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "session-limit"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_TelnetServerPath the path struct for its child "timeout".
func (n *System_TelnetServerPath) Timeout() *System_TelnetServer_TimeoutPath {
	return &System_TelnetServer_TimeoutPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// Timeout returns from System_TelnetServerPathAny the path struct for its child "timeout".
func (n *System_TelnetServerPathAny) Timeout() *System_TelnetServer_TimeoutPathAny {
	return &System_TelnetServer_TimeoutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "timeout"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevicePath represents the /openconfig-terminal-device/terminal-device YANG schema element.
type TerminalDevicePath struct {
	*ygot.NodePath
}

// TerminalDevicePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device YANG schema element.
type TerminalDevicePathAny struct {
	*ygot.NodePath
}

// ChannelAny returns from TerminalDevicePath the path struct for its child "channel".
func (n *TerminalDevicePath) ChannelAny() *TerminalDevice_ChannelPathAny {
	return &TerminalDevice_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channels", "channel"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// ChannelAny returns from TerminalDevicePathAny the path struct for its child "channel".
func (n *TerminalDevicePathAny) ChannelAny() *TerminalDevice_ChannelPathAny {
	return &TerminalDevice_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channels", "channel"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Channel returns from TerminalDevicePath the path struct for its child "channel".
// Index: uint32
func (n *TerminalDevicePath) Channel(Index uint32) *TerminalDevice_ChannelPath {
	return &TerminalDevice_ChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channels", "channel"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Channel returns from TerminalDevicePathAny the path struct for its child "channel".
// Index: uint32
func (n *TerminalDevicePathAny) Channel(Index uint32) *TerminalDevice_ChannelPathAny {
	return &TerminalDevice_ChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channels", "channel"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// ModeAny returns from TerminalDevicePath the path struct for its child "mode".
func (n *TerminalDevicePath) ModeAny() *TerminalDevice_ModePathAny {
	return &TerminalDevice_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"operational-modes", "mode"},
			map[string]interface{}{"mode-id": "*"},
			n,
		),
	}
}

// ModeAny returns from TerminalDevicePathAny the path struct for its child "mode".
func (n *TerminalDevicePathAny) ModeAny() *TerminalDevice_ModePathAny {
	return &TerminalDevice_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"operational-modes", "mode"},
			map[string]interface{}{"mode-id": "*"},
			n,
		),
	}
}

// Mode returns from TerminalDevicePath the path struct for its child "mode".
// ModeId: uint16
func (n *TerminalDevicePath) Mode(ModeId uint16) *TerminalDevice_ModePath {
	return &TerminalDevice_ModePath{
		NodePath: ygot.NewNodePath(
			[]string{"operational-modes", "mode"},
			map[string]interface{}{"mode-id": ModeId},
			n,
		),
	}
}

// Mode returns from TerminalDevicePathAny the path struct for its child "mode".
// ModeId: uint16
func (n *TerminalDevicePathAny) Mode(ModeId uint16) *TerminalDevice_ModePathAny {
	return &TerminalDevice_ModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"operational-modes", "mode"},
			map[string]interface{}{"mode-id": ModeId},
			n,
		),
	}
}

// TerminalDevice_ChannelPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel YANG schema element.
type TerminalDevice_ChannelPath struct {
	*ygot.NodePath
}

// TerminalDevice_ChannelPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel YANG schema element.
type TerminalDevice_ChannelPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_AdminStatePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/admin-state YANG schema element.
type TerminalDevice_Channel_AdminStatePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_AdminStatePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/admin-state YANG schema element.
type TerminalDevice_Channel_AdminStatePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_DescriptionPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/description YANG schema element.
type TerminalDevice_Channel_DescriptionPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_DescriptionPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/description YANG schema element.
type TerminalDevice_Channel_DescriptionPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_IndexPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/index YANG schema element.
type TerminalDevice_Channel_IndexPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_IndexPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/index YANG schema element.
type TerminalDevice_Channel_IndexPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LinkStatePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/state/link-state YANG schema element.
type TerminalDevice_Channel_LinkStatePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LinkStatePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/state/link-state YANG schema element.
type TerminalDevice_Channel_LinkStatePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LogicalChannelTypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/logical-channel-type YANG schema element.
type TerminalDevice_Channel_LogicalChannelTypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LogicalChannelTypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/logical-channel-type YANG schema element.
type TerminalDevice_Channel_LogicalChannelTypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LoopbackModePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/loopback-mode YANG schema element.
type TerminalDevice_Channel_LoopbackModePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_LoopbackModePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/loopback-mode YANG schema element.
type TerminalDevice_Channel_LoopbackModePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_RateClassPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/rate-class YANG schema element.
type TerminalDevice_Channel_RateClassPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_RateClassPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/rate-class YANG schema element.
type TerminalDevice_Channel_RateClassPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_TestSignalPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/test-signal YANG schema element.
type TerminalDevice_Channel_TestSignalPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_TestSignalPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/test-signal YANG schema element.
type TerminalDevice_Channel_TestSignalPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_TribProtocolPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/trib-protocol YANG schema element.
type TerminalDevice_Channel_TribProtocolPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_TribProtocolPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/config/trib-protocol YANG schema element.
type TerminalDevice_Channel_TribProtocolPathAny struct {
	*ygot.NodePath
}

// AdminState returns from TerminalDevice_ChannelPath the path struct for its child "admin-state".
func (n *TerminalDevice_ChannelPath) AdminState() *TerminalDevice_Channel_AdminStatePath {
	return &TerminalDevice_Channel_AdminStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AdminState returns from TerminalDevice_ChannelPathAny the path struct for its child "admin-state".
func (n *TerminalDevice_ChannelPathAny) AdminState() *TerminalDevice_Channel_AdminStatePathAny {
	return &TerminalDevice_Channel_AdminStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "admin-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssignmentAny returns from TerminalDevice_ChannelPath the path struct for its child "assignment".
func (n *TerminalDevice_ChannelPath) AssignmentAny() *TerminalDevice_Channel_AssignmentPathAny {
	return &TerminalDevice_Channel_AssignmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channel-assignments", "assignment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// AssignmentAny returns from TerminalDevice_ChannelPathAny the path struct for its child "assignment".
func (n *TerminalDevice_ChannelPathAny) AssignmentAny() *TerminalDevice_Channel_AssignmentPathAny {
	return &TerminalDevice_Channel_AssignmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channel-assignments", "assignment"},
			map[string]interface{}{"index": "*"},
			n,
		),
	}
}

// Assignment returns from TerminalDevice_ChannelPath the path struct for its child "assignment".
// Index: uint32
func (n *TerminalDevice_ChannelPath) Assignment(Index uint32) *TerminalDevice_Channel_AssignmentPath {
	return &TerminalDevice_Channel_AssignmentPath{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channel-assignments", "assignment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Assignment returns from TerminalDevice_ChannelPathAny the path struct for its child "assignment".
// Index: uint32
func (n *TerminalDevice_ChannelPathAny) Assignment(Index uint32) *TerminalDevice_Channel_AssignmentPathAny {
	return &TerminalDevice_Channel_AssignmentPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"logical-channel-assignments", "assignment"},
			map[string]interface{}{"index": Index},
			n,
		),
	}
}

// Description returns from TerminalDevice_ChannelPath the path struct for its child "description".
func (n *TerminalDevice_ChannelPath) Description() *TerminalDevice_Channel_DescriptionPath {
	return &TerminalDevice_Channel_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from TerminalDevice_ChannelPathAny the path struct for its child "description".
func (n *TerminalDevice_ChannelPathAny) Description() *TerminalDevice_Channel_DescriptionPathAny {
	return &TerminalDevice_Channel_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethernet returns from TerminalDevice_ChannelPath the path struct for its child "ethernet".
func (n *TerminalDevice_ChannelPath) Ethernet() *TerminalDevice_Channel_EthernetPath {
	return &TerminalDevice_Channel_EthernetPath{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ethernet returns from TerminalDevice_ChannelPathAny the path struct for its child "ethernet".
func (n *TerminalDevice_ChannelPathAny) Ethernet() *TerminalDevice_Channel_EthernetPathAny {
	return &TerminalDevice_Channel_EthernetPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ethernet"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from TerminalDevice_ChannelPath the path struct for its child "index".
func (n *TerminalDevice_ChannelPath) Index() *TerminalDevice_Channel_IndexPath {
	return &TerminalDevice_Channel_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from TerminalDevice_ChannelPathAny the path struct for its child "index".
func (n *TerminalDevice_ChannelPathAny) Index() *TerminalDevice_Channel_IndexPathAny {
	return &TerminalDevice_Channel_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ingress returns from TerminalDevice_ChannelPath the path struct for its child "ingress".
func (n *TerminalDevice_ChannelPath) Ingress() *TerminalDevice_Channel_IngressPath {
	return &TerminalDevice_Channel_IngressPath{
		NodePath: ygot.NewNodePath(
			[]string{"ingress"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ingress returns from TerminalDevice_ChannelPathAny the path struct for its child "ingress".
func (n *TerminalDevice_ChannelPathAny) Ingress() *TerminalDevice_Channel_IngressPathAny {
	return &TerminalDevice_Channel_IngressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"ingress"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkState returns from TerminalDevice_ChannelPath the path struct for its child "link-state".
func (n *TerminalDevice_ChannelPath) LinkState() *TerminalDevice_Channel_LinkStatePath {
	return &TerminalDevice_Channel_LinkStatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// LinkState returns from TerminalDevice_ChannelPathAny the path struct for its child "link-state".
func (n *TerminalDevice_ChannelPathAny) LinkState() *TerminalDevice_Channel_LinkStatePathAny {
	return &TerminalDevice_Channel_LinkStatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "link-state"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogicalChannelType returns from TerminalDevice_ChannelPath the path struct for its child "logical-channel-type".
func (n *TerminalDevice_ChannelPath) LogicalChannelType() *TerminalDevice_Channel_LogicalChannelTypePath {
	return &TerminalDevice_Channel_LogicalChannelTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "logical-channel-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogicalChannelType returns from TerminalDevice_ChannelPathAny the path struct for its child "logical-channel-type".
func (n *TerminalDevice_ChannelPathAny) LogicalChannelType() *TerminalDevice_Channel_LogicalChannelTypePathAny {
	return &TerminalDevice_Channel_LogicalChannelTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "logical-channel-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopbackMode returns from TerminalDevice_ChannelPath the path struct for its child "loopback-mode".
func (n *TerminalDevice_ChannelPath) LoopbackMode() *TerminalDevice_Channel_LoopbackModePath {
	return &TerminalDevice_Channel_LoopbackModePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loopback-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// LoopbackMode returns from TerminalDevice_ChannelPathAny the path struct for its child "loopback-mode".
func (n *TerminalDevice_ChannelPathAny) LoopbackMode() *TerminalDevice_Channel_LoopbackModePathAny {
	return &TerminalDevice_Channel_LoopbackModePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "loopback-mode"},
			map[string]interface{}{},
			n,
		),
	}
}

// Otn returns from TerminalDevice_ChannelPath the path struct for its child "otn".
func (n *TerminalDevice_ChannelPath) Otn() *TerminalDevice_Channel_OtnPath {
	return &TerminalDevice_Channel_OtnPath{
		NodePath: ygot.NewNodePath(
			[]string{"otn"},
			map[string]interface{}{},
			n,
		),
	}
}

// Otn returns from TerminalDevice_ChannelPathAny the path struct for its child "otn".
func (n *TerminalDevice_ChannelPathAny) Otn() *TerminalDevice_Channel_OtnPathAny {
	return &TerminalDevice_Channel_OtnPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"otn"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateClass returns from TerminalDevice_ChannelPath the path struct for its child "rate-class".
func (n *TerminalDevice_ChannelPath) RateClass() *TerminalDevice_Channel_RateClassPath {
	return &TerminalDevice_Channel_RateClassPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-class"},
			map[string]interface{}{},
			n,
		),
	}
}

// RateClass returns from TerminalDevice_ChannelPathAny the path struct for its child "rate-class".
func (n *TerminalDevice_ChannelPathAny) RateClass() *TerminalDevice_Channel_RateClassPathAny {
	return &TerminalDevice_Channel_RateClassPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "rate-class"},
			map[string]interface{}{},
			n,
		),
	}
}

// TestSignal returns from TerminalDevice_ChannelPath the path struct for its child "test-signal".
func (n *TerminalDevice_ChannelPath) TestSignal() *TerminalDevice_Channel_TestSignalPath {
	return &TerminalDevice_Channel_TestSignalPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "test-signal"},
			map[string]interface{}{},
			n,
		),
	}
}

// TestSignal returns from TerminalDevice_ChannelPathAny the path struct for its child "test-signal".
func (n *TerminalDevice_ChannelPathAny) TestSignal() *TerminalDevice_Channel_TestSignalPathAny {
	return &TerminalDevice_Channel_TestSignalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "test-signal"},
			map[string]interface{}{},
			n,
		),
	}
}

// TribProtocol returns from TerminalDevice_ChannelPath the path struct for its child "trib-protocol".
func (n *TerminalDevice_ChannelPath) TribProtocol() *TerminalDevice_Channel_TribProtocolPath {
	return &TerminalDevice_Channel_TribProtocolPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trib-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// TribProtocol returns from TerminalDevice_ChannelPathAny the path struct for its child "trib-protocol".
func (n *TerminalDevice_ChannelPathAny) TribProtocol() *TerminalDevice_Channel_TribProtocolPathAny {
	return &TerminalDevice_Channel_TribProtocolPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "trib-protocol"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_AssignmentPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment YANG schema element.
type TerminalDevice_Channel_AssignmentPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_AssignmentPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment YANG schema element.
type TerminalDevice_Channel_AssignmentPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_AllocationPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/allocation YANG schema element.
type TerminalDevice_Channel_Assignment_AllocationPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_AllocationPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/allocation YANG schema element.
type TerminalDevice_Channel_Assignment_AllocationPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_AssignmentTypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/assignment-type YANG schema element.
type TerminalDevice_Channel_Assignment_AssignmentTypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_AssignmentTypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/assignment-type YANG schema element.
type TerminalDevice_Channel_Assignment_AssignmentTypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_DescriptionPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/description YANG schema element.
type TerminalDevice_Channel_Assignment_DescriptionPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_DescriptionPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/description YANG schema element.
type TerminalDevice_Channel_Assignment_DescriptionPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_IndexPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/index YANG schema element.
type TerminalDevice_Channel_Assignment_IndexPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_IndexPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/index YANG schema element.
type TerminalDevice_Channel_Assignment_IndexPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_LogicalChannelPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/logical-channel YANG schema element.
type TerminalDevice_Channel_Assignment_LogicalChannelPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_LogicalChannelPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/logical-channel YANG schema element.
type TerminalDevice_Channel_Assignment_LogicalChannelPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_MappingPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/mapping YANG schema element.
type TerminalDevice_Channel_Assignment_MappingPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_MappingPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/mapping YANG schema element.
type TerminalDevice_Channel_Assignment_MappingPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_OpticalChannelPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/optical-channel YANG schema element.
type TerminalDevice_Channel_Assignment_OpticalChannelPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_OpticalChannelPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/optical-channel YANG schema element.
type TerminalDevice_Channel_Assignment_OpticalChannelPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_TributarySlotIndexPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/tributary-slot-index YANG schema element.
type TerminalDevice_Channel_Assignment_TributarySlotIndexPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Assignment_TributarySlotIndexPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/logical-channel-assignments/assignment/config/tributary-slot-index YANG schema element.
type TerminalDevice_Channel_Assignment_TributarySlotIndexPathAny struct {
	*ygot.NodePath
}

// Allocation returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "allocation".
func (n *TerminalDevice_Channel_AssignmentPath) Allocation() *TerminalDevice_Channel_Assignment_AllocationPath {
	return &TerminalDevice_Channel_Assignment_AllocationPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allocation"},
			map[string]interface{}{},
			n,
		),
	}
}

// Allocation returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "allocation".
func (n *TerminalDevice_Channel_AssignmentPathAny) Allocation() *TerminalDevice_Channel_Assignment_AllocationPathAny {
	return &TerminalDevice_Channel_Assignment_AllocationPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "allocation"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssignmentType returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "assignment-type".
func (n *TerminalDevice_Channel_AssignmentPath) AssignmentType() *TerminalDevice_Channel_Assignment_AssignmentTypePath {
	return &TerminalDevice_Channel_Assignment_AssignmentTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "assignment-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// AssignmentType returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "assignment-type".
func (n *TerminalDevice_Channel_AssignmentPathAny) AssignmentType() *TerminalDevice_Channel_Assignment_AssignmentTypePathAny {
	return &TerminalDevice_Channel_Assignment_AssignmentTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "assignment-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "description".
func (n *TerminalDevice_Channel_AssignmentPath) Description() *TerminalDevice_Channel_Assignment_DescriptionPath {
	return &TerminalDevice_Channel_Assignment_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "description".
func (n *TerminalDevice_Channel_AssignmentPathAny) Description() *TerminalDevice_Channel_Assignment_DescriptionPathAny {
	return &TerminalDevice_Channel_Assignment_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "index".
func (n *TerminalDevice_Channel_AssignmentPath) Index() *TerminalDevice_Channel_Assignment_IndexPath {
	return &TerminalDevice_Channel_Assignment_IndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// Index returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "index".
func (n *TerminalDevice_Channel_AssignmentPathAny) Index() *TerminalDevice_Channel_Assignment_IndexPathAny {
	return &TerminalDevice_Channel_Assignment_IndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "index"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogicalChannel returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "logical-channel".
func (n *TerminalDevice_Channel_AssignmentPath) LogicalChannel() *TerminalDevice_Channel_Assignment_LogicalChannelPath {
	return &TerminalDevice_Channel_Assignment_LogicalChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "logical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// LogicalChannel returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "logical-channel".
func (n *TerminalDevice_Channel_AssignmentPathAny) LogicalChannel() *TerminalDevice_Channel_Assignment_LogicalChannelPathAny {
	return &TerminalDevice_Channel_Assignment_LogicalChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "logical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mapping returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "mapping".
func (n *TerminalDevice_Channel_AssignmentPath) Mapping() *TerminalDevice_Channel_Assignment_MappingPath {
	return &TerminalDevice_Channel_Assignment_MappingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// Mapping returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "mapping".
func (n *TerminalDevice_Channel_AssignmentPathAny) Mapping() *TerminalDevice_Channel_Assignment_MappingPathAny {
	return &TerminalDevice_Channel_Assignment_MappingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "mapping"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalChannel returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "optical-channel".
func (n *TerminalDevice_Channel_AssignmentPath) OpticalChannel() *TerminalDevice_Channel_Assignment_OpticalChannelPath {
	return &TerminalDevice_Channel_Assignment_OpticalChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "optical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// OpticalChannel returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "optical-channel".
func (n *TerminalDevice_Channel_AssignmentPathAny) OpticalChannel() *TerminalDevice_Channel_Assignment_OpticalChannelPathAny {
	return &TerminalDevice_Channel_Assignment_OpticalChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "optical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// TributarySlotIndex returns from TerminalDevice_Channel_AssignmentPath the path struct for its child "tributary-slot-index".
func (n *TerminalDevice_Channel_AssignmentPath) TributarySlotIndex() *TerminalDevice_Channel_Assignment_TributarySlotIndexPath {
	return &TerminalDevice_Channel_Assignment_TributarySlotIndexPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tributary-slot-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// TributarySlotIndex returns from TerminalDevice_Channel_AssignmentPathAny the path struct for its child "tributary-slot-index".
func (n *TerminalDevice_Channel_AssignmentPathAny) TributarySlotIndex() *TerminalDevice_Channel_Assignment_TributarySlotIndexPathAny {
	return &TerminalDevice_Channel_Assignment_TributarySlotIndexPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tributary-slot-index"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_EthernetPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet YANG schema element.
type TerminalDevice_Channel_EthernetPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_EthernetPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet YANG schema element.
type TerminalDevice_Channel_EthernetPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_AlsDelayPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/config/als-delay YANG schema element.
type TerminalDevice_Channel_Ethernet_AlsDelayPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_AlsDelayPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/config/als-delay YANG schema element.
type TerminalDevice_Channel_Ethernet_AlsDelayPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_ClientAlsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/config/client-als YANG schema element.
type TerminalDevice_Channel_Ethernet_ClientAlsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_ClientAlsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/config/client-als YANG schema element.
type TerminalDevice_Channel_Ethernet_ClientAlsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_In_8021QFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-8021q-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_In_8021QFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_In_8021QFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-8021q-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_In_8021QFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InBlockErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-block-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InBlockErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InBlockErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-block-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InBlockErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InCrcErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-crc-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InCrcErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InCrcErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-crc-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InCrcErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InFragmentFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-fragment-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InFragmentFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InFragmentFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-fragment-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InFragmentFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InJabberFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-jabber-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InJabberFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InJabberFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-jabber-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InJabberFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InMacControlFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-mac-control-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InMacControlFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InMacControlFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-mac-control-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InMacControlFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InMacPauseFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-mac-pause-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InMacPauseFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InMacPauseFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-mac-pause-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InMacPauseFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InOversizeFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-oversize-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InOversizeFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InOversizeFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-oversize-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InOversizeFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsBipErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-bip-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsBipErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsBipErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-bip-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsBipErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-errored-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-errored-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-severely-errored-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-severely-errored-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-unavailable-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-pcs-unavailable-seconds YANG schema element.
type TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InUndersizeFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-undersize-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InUndersizeFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_InUndersizeFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/in-undersize-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_InUndersizeFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Out_8021QFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-8021q-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_Out_8021QFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Out_8021QFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-8021q-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_Out_8021QFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutBlockErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-block-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutBlockErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutBlockErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-block-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutBlockErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutCrcErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-crc-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutCrcErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutCrcErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-crc-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutCrcErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutMacControlFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-mac-control-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_OutMacControlFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutMacControlFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-mac-control-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_OutMacControlFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutMacPauseFramesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-mac-pause-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_OutMacPauseFramesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutMacPauseFramesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-mac-pause-frames YANG schema element.
type TerminalDevice_Channel_Ethernet_OutMacPauseFramesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-pcs-bip-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/state/out-pcs-bip-errors YANG schema element.
type TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPathAny struct {
	*ygot.NodePath
}

// AlsDelay returns from TerminalDevice_Channel_EthernetPath the path struct for its child "als-delay".
func (n *TerminalDevice_Channel_EthernetPath) AlsDelay() *TerminalDevice_Channel_Ethernet_AlsDelayPath {
	return &TerminalDevice_Channel_Ethernet_AlsDelayPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "als-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// AlsDelay returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "als-delay".
func (n *TerminalDevice_Channel_EthernetPathAny) AlsDelay() *TerminalDevice_Channel_Ethernet_AlsDelayPathAny {
	return &TerminalDevice_Channel_Ethernet_AlsDelayPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "als-delay"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClientAls returns from TerminalDevice_Channel_EthernetPath the path struct for its child "client-als".
func (n *TerminalDevice_Channel_EthernetPath) ClientAls() *TerminalDevice_Channel_Ethernet_ClientAlsPath {
	return &TerminalDevice_Channel_Ethernet_ClientAlsPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "client-als"},
			map[string]interface{}{},
			n,
		),
	}
}

// ClientAls returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "client-als".
func (n *TerminalDevice_Channel_EthernetPathAny) ClientAls() *TerminalDevice_Channel_Ethernet_ClientAlsPathAny {
	return &TerminalDevice_Channel_Ethernet_ClientAlsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "client-als"},
			map[string]interface{}{},
			n,
		),
	}
}

// In_8021QFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-8021q-frames".
func (n *TerminalDevice_Channel_EthernetPath) In_8021QFrames() *TerminalDevice_Channel_Ethernet_In_8021QFramesPath {
	return &TerminalDevice_Channel_Ethernet_In_8021QFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// In_8021QFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-8021q-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) In_8021QFrames() *TerminalDevice_Channel_Ethernet_In_8021QFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_In_8021QFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBlockErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-block-errors".
func (n *TerminalDevice_Channel_EthernetPath) InBlockErrors() *TerminalDevice_Channel_Ethernet_InBlockErrorsPath {
	return &TerminalDevice_Channel_Ethernet_InBlockErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InBlockErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-block-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) InBlockErrors() *TerminalDevice_Channel_Ethernet_InBlockErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_InBlockErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InCrcErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-crc-errors".
func (n *TerminalDevice_Channel_EthernetPath) InCrcErrors() *TerminalDevice_Channel_Ethernet_InCrcErrorsPath {
	return &TerminalDevice_Channel_Ethernet_InCrcErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InCrcErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-crc-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) InCrcErrors() *TerminalDevice_Channel_Ethernet_InCrcErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_InCrcErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFragmentFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-fragment-frames".
func (n *TerminalDevice_Channel_EthernetPath) InFragmentFrames() *TerminalDevice_Channel_Ethernet_InFragmentFramesPath {
	return &TerminalDevice_Channel_Ethernet_InFragmentFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-fragment-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InFragmentFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-fragment-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InFragmentFrames() *TerminalDevice_Channel_Ethernet_InFragmentFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InFragmentFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-fragment-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InJabberFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-jabber-frames".
func (n *TerminalDevice_Channel_EthernetPath) InJabberFrames() *TerminalDevice_Channel_Ethernet_InJabberFramesPath {
	return &TerminalDevice_Channel_Ethernet_InJabberFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-jabber-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InJabberFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-jabber-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InJabberFrames() *TerminalDevice_Channel_Ethernet_InJabberFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InJabberFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-jabber-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacControlFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-mac-control-frames".
func (n *TerminalDevice_Channel_EthernetPath) InMacControlFrames() *TerminalDevice_Channel_Ethernet_InMacControlFramesPath {
	return &TerminalDevice_Channel_Ethernet_InMacControlFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacControlFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-mac-control-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InMacControlFrames() *TerminalDevice_Channel_Ethernet_InMacControlFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InMacControlFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacPauseFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-mac-pause-frames".
func (n *TerminalDevice_Channel_EthernetPath) InMacPauseFrames() *TerminalDevice_Channel_Ethernet_InMacPauseFramesPath {
	return &TerminalDevice_Channel_Ethernet_InMacPauseFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InMacPauseFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-mac-pause-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InMacPauseFrames() *TerminalDevice_Channel_Ethernet_InMacPauseFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InMacPauseFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOversizeFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-oversize-frames".
func (n *TerminalDevice_Channel_EthernetPath) InOversizeFrames() *TerminalDevice_Channel_Ethernet_InOversizeFramesPath {
	return &TerminalDevice_Channel_Ethernet_InOversizeFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-oversize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InOversizeFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-oversize-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InOversizeFrames() *TerminalDevice_Channel_Ethernet_InOversizeFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InOversizeFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-oversize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsBipErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-pcs-bip-errors".
func (n *TerminalDevice_Channel_EthernetPath) InPcsBipErrors() *TerminalDevice_Channel_Ethernet_InPcsBipErrorsPath {
	return &TerminalDevice_Channel_Ethernet_InPcsBipErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-bip-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsBipErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-pcs-bip-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) InPcsBipErrors() *TerminalDevice_Channel_Ethernet_InPcsBipErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_InPcsBipErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-bip-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsErroredSeconds returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-pcs-errored-seconds".
func (n *TerminalDevice_Channel_EthernetPath) InPcsErroredSeconds() *TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPath {
	return &TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsErroredSeconds returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-pcs-errored-seconds".
func (n *TerminalDevice_Channel_EthernetPathAny) InPcsErroredSeconds() *TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPathAny {
	return &TerminalDevice_Channel_Ethernet_InPcsErroredSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsSeverelyErroredSeconds returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-pcs-severely-errored-seconds".
func (n *TerminalDevice_Channel_EthernetPath) InPcsSeverelyErroredSeconds() *TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPath {
	return &TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-severely-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsSeverelyErroredSeconds returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-pcs-severely-errored-seconds".
func (n *TerminalDevice_Channel_EthernetPathAny) InPcsSeverelyErroredSeconds() *TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPathAny {
	return &TerminalDevice_Channel_Ethernet_InPcsSeverelyErroredSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-severely-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsUnavailableSeconds returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-pcs-unavailable-seconds".
func (n *TerminalDevice_Channel_EthernetPath) InPcsUnavailableSeconds() *TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPath {
	return &TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-unavailable-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InPcsUnavailableSeconds returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-pcs-unavailable-seconds".
func (n *TerminalDevice_Channel_EthernetPathAny) InPcsUnavailableSeconds() *TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPathAny {
	return &TerminalDevice_Channel_Ethernet_InPcsUnavailableSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-pcs-unavailable-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUndersizeFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "in-undersize-frames".
func (n *TerminalDevice_Channel_EthernetPath) InUndersizeFrames() *TerminalDevice_Channel_Ethernet_InUndersizeFramesPath {
	return &TerminalDevice_Channel_Ethernet_InUndersizeFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-undersize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// InUndersizeFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "in-undersize-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) InUndersizeFrames() *TerminalDevice_Channel_Ethernet_InUndersizeFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_InUndersizeFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "in-undersize-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp returns from TerminalDevice_Channel_EthernetPath the path struct for its child "lldp".
func (n *TerminalDevice_Channel_EthernetPath) Lldp() *TerminalDevice_Channel_Ethernet_LldpPath {
	return &TerminalDevice_Channel_Ethernet_LldpPath{
		NodePath: ygot.NewNodePath(
			[]string{"lldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Lldp returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "lldp".
func (n *TerminalDevice_Channel_EthernetPathAny) Lldp() *TerminalDevice_Channel_Ethernet_LldpPathAny {
	return &TerminalDevice_Channel_Ethernet_LldpPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"lldp"},
			map[string]interface{}{},
			n,
		),
	}
}

// Out_8021QFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-8021q-frames".
func (n *TerminalDevice_Channel_EthernetPath) Out_8021QFrames() *TerminalDevice_Channel_Ethernet_Out_8021QFramesPath {
	return &TerminalDevice_Channel_Ethernet_Out_8021QFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// Out_8021QFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-8021q-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) Out_8021QFrames() *TerminalDevice_Channel_Ethernet_Out_8021QFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_Out_8021QFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-8021q-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBlockErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-block-errors".
func (n *TerminalDevice_Channel_EthernetPath) OutBlockErrors() *TerminalDevice_Channel_Ethernet_OutBlockErrorsPath {
	return &TerminalDevice_Channel_Ethernet_OutBlockErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutBlockErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-block-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) OutBlockErrors() *TerminalDevice_Channel_Ethernet_OutBlockErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_OutBlockErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutCrcErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-crc-errors".
func (n *TerminalDevice_Channel_EthernetPath) OutCrcErrors() *TerminalDevice_Channel_Ethernet_OutCrcErrorsPath {
	return &TerminalDevice_Channel_Ethernet_OutCrcErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutCrcErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-crc-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) OutCrcErrors() *TerminalDevice_Channel_Ethernet_OutCrcErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_OutCrcErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-crc-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacControlFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-mac-control-frames".
func (n *TerminalDevice_Channel_EthernetPath) OutMacControlFrames() *TerminalDevice_Channel_Ethernet_OutMacControlFramesPath {
	return &TerminalDevice_Channel_Ethernet_OutMacControlFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacControlFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-mac-control-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) OutMacControlFrames() *TerminalDevice_Channel_Ethernet_OutMacControlFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_OutMacControlFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-mac-control-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacPauseFrames returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-mac-pause-frames".
func (n *TerminalDevice_Channel_EthernetPath) OutMacPauseFrames() *TerminalDevice_Channel_Ethernet_OutMacPauseFramesPath {
	return &TerminalDevice_Channel_Ethernet_OutMacPauseFramesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutMacPauseFrames returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-mac-pause-frames".
func (n *TerminalDevice_Channel_EthernetPathAny) OutMacPauseFrames() *TerminalDevice_Channel_Ethernet_OutMacPauseFramesPathAny {
	return &TerminalDevice_Channel_Ethernet_OutMacPauseFramesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-mac-pause-frames"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPcsBipErrors returns from TerminalDevice_Channel_EthernetPath the path struct for its child "out-pcs-bip-errors".
func (n *TerminalDevice_Channel_EthernetPath) OutPcsBipErrors() *TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPath {
	return &TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pcs-bip-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// OutPcsBipErrors returns from TerminalDevice_Channel_EthernetPathAny the path struct for its child "out-pcs-bip-errors".
func (n *TerminalDevice_Channel_EthernetPathAny) OutPcsBipErrors() *TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPathAny {
	return &TerminalDevice_Channel_Ethernet_OutPcsBipErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "out-pcs-bip-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Ethernet_LldpPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp YANG schema element.
type TerminalDevice_Channel_Ethernet_LldpPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_LldpPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp YANG schema element.
type TerminalDevice_Channel_Ethernet_LldpPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_EnabledPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/config/enabled YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_EnabledPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_EnabledPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/config/enabled YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_EnabledPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_SnoopingPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/config/snooping YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_SnoopingPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_SnoopingPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/config/snooping YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_SnoopingPathAny struct {
	*ygot.NodePath
}

// Counters returns from TerminalDevice_Channel_Ethernet_LldpPath the path struct for its child "counters".
func (n *TerminalDevice_Channel_Ethernet_LldpPath) Counters() *TerminalDevice_Channel_Ethernet_Lldp_CountersPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_CountersPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Counters returns from TerminalDevice_Channel_Ethernet_LldpPathAny the path struct for its child "counters".
func (n *TerminalDevice_Channel_Ethernet_LldpPathAny) Counters() *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "counters"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from TerminalDevice_Channel_Ethernet_LldpPath the path struct for its child "enabled".
func (n *TerminalDevice_Channel_Ethernet_LldpPath) Enabled() *TerminalDevice_Channel_Ethernet_Lldp_EnabledPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_EnabledPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// Enabled returns from TerminalDevice_Channel_Ethernet_LldpPathAny the path struct for its child "enabled".
func (n *TerminalDevice_Channel_Ethernet_LldpPathAny) Enabled() *TerminalDevice_Channel_Ethernet_Lldp_EnabledPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_EnabledPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "enabled"},
			map[string]interface{}{},
			n,
		),
	}
}

// NeighborAny returns from TerminalDevice_Channel_Ethernet_LldpPath the path struct for its child "neighbor".
func (n *TerminalDevice_Channel_Ethernet_LldpPath) NeighborAny() *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// NeighborAny returns from TerminalDevice_Channel_Ethernet_LldpPathAny the path struct for its child "neighbor".
func (n *TerminalDevice_Channel_Ethernet_LldpPathAny) NeighborAny() *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": "*"},
			n,
		),
	}
}

// Neighbor returns from TerminalDevice_Channel_Ethernet_LldpPath the path struct for its child "neighbor".
// Id: string
func (n *TerminalDevice_Channel_Ethernet_LldpPath) Neighbor(Id string) *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_NeighborPath{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Neighbor returns from TerminalDevice_Channel_Ethernet_LldpPathAny the path struct for its child "neighbor".
// Id: string
func (n *TerminalDevice_Channel_Ethernet_LldpPathAny) Neighbor(Id string) *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"neighbors", "neighbor"},
			map[string]interface{}{"id": Id},
			n,
		),
	}
}

// Snooping returns from TerminalDevice_Channel_Ethernet_LldpPath the path struct for its child "snooping".
func (n *TerminalDevice_Channel_Ethernet_LldpPath) Snooping() *TerminalDevice_Channel_Ethernet_Lldp_SnoopingPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_SnoopingPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "snooping"},
			map[string]interface{}{},
			n,
		),
	}
}

// Snooping returns from TerminalDevice_Channel_Ethernet_LldpPathAny the path struct for its child "snooping".
func (n *TerminalDevice_Channel_Ethernet_LldpPathAny) Snooping() *TerminalDevice_Channel_Ethernet_Lldp_SnoopingPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_SnoopingPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "snooping"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Ethernet_Lldp_CountersPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_CountersPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-discard YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-discard YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-error-in YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-error-in YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-error-out YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-error-out YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-in YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-in YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-out YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/frame-out YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/last-clear YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/last-clear YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/tlv-discard YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/tlv-discard YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/tlv-unknown YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/state/counters/tlv-unknown YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPathAny struct {
	*ygot.NodePath
}

// FrameDiscard returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "frame-discard".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) FrameDiscard() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameDiscard returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "frame-discard".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) FrameDiscard() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "frame-error-in".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) FrameErrorIn() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorIn returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "frame-error-in".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) FrameErrorIn() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorOut returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "frame-error-out".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) FrameErrorOut() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameErrorOut returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "frame-error-out".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) FrameErrorOut() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameErrorOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-error-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "frame-in".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) FrameIn() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameIn returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "frame-in".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) FrameIn() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameInPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-in"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "frame-out".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) FrameOut() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPath{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// FrameOut returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "frame-out".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) FrameOut() *TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_FrameOutPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"frame-out"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "last-clear".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) LastClear() *TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPath{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastClear returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "last-clear".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) LastClear() *TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_LastClearPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"last-clear"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "tlv-discard".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) TlvDiscard() *TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvDiscard returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "tlv-discard".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) TlvDiscard() *TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvDiscardPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-discard"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPath the path struct for its child "tlv-unknown".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPath) TlvUnknown() *TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPath{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvUnknown returns from TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny the path struct for its child "tlv-unknown".
func (n *TerminalDevice_Channel_Ethernet_Lldp_CountersPathAny) TlvUnknown() *TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Counters_TlvUnknownPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"tlv-unknown"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Ethernet_Lldp_NeighborPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_NeighborPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/age YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/age YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/chassis-id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/chassis-id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/chassis-id-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/chassis-id-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/last-update YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/last-update YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/management-address YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/management-address YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/management-address-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/management-address-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-description YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-description YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-id YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-id-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/port-id-type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/system-description YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/system-description YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/system-name YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/system-name YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/ttl YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/state/ttl YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPathAny struct {
	*ygot.NodePath
}

// Age returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "age".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) Age() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// Age returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "age".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) Age() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_AgePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "age"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisId returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "chassis-id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) ChassisId() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisId returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "chassis-id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) ChassisId() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "chassis-id-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) ChassisIdType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ChassisIdType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "chassis-id-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) ChassisIdType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ChassisIdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "chassis-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) Id() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// Id returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) Id() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_IdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "id"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastUpdate returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "last-update".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) LastUpdate() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-update"},
			map[string]interface{}{},
			n,
		),
	}
}

// LastUpdate returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "last-update".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) LastUpdate() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_LastUpdatePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "last-update"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddress returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "management-address".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) ManagementAddress() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddress returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "management-address".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) ManagementAddress() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddressType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "management-address-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) ManagementAddressType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// ManagementAddressType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "management-address-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) ManagementAddressType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_ManagementAddressTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "management-address-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortDescription returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "port-description".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) PortDescription() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortDescription returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "port-description".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) PortDescription() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortDescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortId returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "port-id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) PortId() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortId returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "port-id".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) PortId() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortIdType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "port-id-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) PortIdType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// PortIdType returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "port-id-type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) PortIdType() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_PortIdTypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "port-id-type"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "system-description".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) SystemDescription() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemDescription returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "system-description".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) SystemDescription() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemDescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-description"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "system-name".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) SystemName() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// SystemName returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "system-name".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) SystemName() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_SystemNamePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "system-name"},
			map[string]interface{}{},
			n,
		),
	}
}

// TlvAny returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "tlv".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) TlvAny() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"custom-tlvs", "tlv"},
			map[string]interface{}{"type": "*", "oui": "*", "oui-subtype": "*"},
			n,
		),
	}
}

// TlvAny returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "tlv".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) TlvAny() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"custom-tlvs", "tlv"},
			map[string]interface{}{"type": "*", "oui": "*", "oui-subtype": "*"},
			n,
		),
	}
}

// WithType sets TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny's key "type" to the specified value.
// Type: int32
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) WithType(Type int32) *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "type", Type)
	return n
}

// WithOui sets TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny's key "oui" to the specified value.
// Oui: string
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) WithOui(Oui string) *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "oui", Oui)
	return n
}

// WithOuiSubtype sets TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny's key "oui-subtype" to the specified value.
// OuiSubtype: string
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) WithOuiSubtype(OuiSubtype string) *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny {
	ygot.ModifyKey(n.NodePath, "oui-subtype", OuiSubtype)
	return n
}

// Ttl returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPath the path struct for its child "ttl".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPath) Ttl() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// Ttl returns from TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny the path struct for its child "ttl".
func (n *TerminalDevice_Channel_Ethernet_Lldp_NeighborPathAny) Ttl() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TtlPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "ttl"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/oui YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/oui YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/oui-subtype YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/oui-subtype YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/type YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/value YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ethernet/lldp/neighbors/neighbor/custom-tlvs/tlv/state/value YANG schema element.
type TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePathAny struct {
	*ygot.NodePath
}

// Oui returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath the path struct for its child "oui".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath) Oui() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui"},
			map[string]interface{}{},
			n,
		),
	}
}

// Oui returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny the path struct for its child "oui".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) Oui() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuiSubtype returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath the path struct for its child "oui-subtype".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath) OuiSubtype() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui-subtype"},
			map[string]interface{}{},
			n,
		),
	}
}

// OuiSubtype returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny the path struct for its child "oui-subtype".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) OuiSubtype() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_OuiSubtypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "oui-subtype"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath the path struct for its child "type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath) Type() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Type returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny the path struct for its child "type".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) Type() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_TypePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "type"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath the path struct for its child "value".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPath) Value() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePath {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// Value returns from TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny the path struct for its child "value".
func (n *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_TlvPathAny) Value() *TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePathAny {
	return &TerminalDevice_Channel_Ethernet_Lldp_Neighbor_Tlv_ValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "value"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_IngressPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress YANG schema element.
type TerminalDevice_Channel_IngressPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_IngressPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress YANG schema element.
type TerminalDevice_Channel_IngressPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ingress_PhysicalChannelPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress/config/physical-channel YANG schema element.
type TerminalDevice_Channel_Ingress_PhysicalChannelPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ingress_PhysicalChannelPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress/config/physical-channel YANG schema element.
type TerminalDevice_Channel_Ingress_PhysicalChannelPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ingress_TransceiverPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress/config/transceiver YANG schema element.
type TerminalDevice_Channel_Ingress_TransceiverPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Ingress_TransceiverPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/ingress/config/transceiver YANG schema element.
type TerminalDevice_Channel_Ingress_TransceiverPathAny struct {
	*ygot.NodePath
}

// PhysicalChannel returns from TerminalDevice_Channel_IngressPath the path struct for its child "physical-channel".
func (n *TerminalDevice_Channel_IngressPath) PhysicalChannel() *TerminalDevice_Channel_Ingress_PhysicalChannelPath {
	return &TerminalDevice_Channel_Ingress_PhysicalChannelPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "physical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// PhysicalChannel returns from TerminalDevice_Channel_IngressPathAny the path struct for its child "physical-channel".
func (n *TerminalDevice_Channel_IngressPathAny) PhysicalChannel() *TerminalDevice_Channel_Ingress_PhysicalChannelPathAny {
	return &TerminalDevice_Channel_Ingress_PhysicalChannelPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "physical-channel"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from TerminalDevice_Channel_IngressPath the path struct for its child "transceiver".
func (n *TerminalDevice_Channel_IngressPath) Transceiver() *TerminalDevice_Channel_Ingress_TransceiverPath {
	return &TerminalDevice_Channel_Ingress_TransceiverPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// Transceiver returns from TerminalDevice_Channel_IngressPathAny the path struct for its child "transceiver".
func (n *TerminalDevice_Channel_IngressPathAny) Transceiver() *TerminalDevice_Channel_Ingress_TransceiverPathAny {
	return &TerminalDevice_Channel_Ingress_TransceiverPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "transceiver"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_OtnPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn YANG schema element.
type TerminalDevice_Channel_OtnPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_OtnPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn YANG schema element.
type TerminalDevice_Channel_OtnPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_BackgroundBlockErrorsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/background-block-errors YANG schema element.
type TerminalDevice_Channel_Otn_BackgroundBlockErrorsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_BackgroundBlockErrorsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/background-block-errors YANG schema element.
type TerminalDevice_Channel_Otn_BackgroundBlockErrorsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_CodeViolationsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/code-violations YANG schema element.
type TerminalDevice_Channel_Otn_CodeViolationsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_CodeViolationsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/code-violations YANG schema element.
type TerminalDevice_Channel_Otn_CodeViolationsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_ErroredBlocksPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/errored-blocks YANG schema element.
type TerminalDevice_Channel_Otn_ErroredBlocksPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_ErroredBlocksPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/errored-blocks YANG schema element.
type TerminalDevice_Channel_Otn_ErroredBlocksPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_ErroredSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/errored-seconds YANG schema element.
type TerminalDevice_Channel_Otn_ErroredSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_ErroredSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/errored-seconds YANG schema element.
type TerminalDevice_Channel_Otn_ErroredSecondsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecCorrectedBitsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-corrected-bits YANG schema element.
type TerminalDevice_Channel_Otn_FecCorrectedBitsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecCorrectedBitsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-corrected-bits YANG schema element.
type TerminalDevice_Channel_Otn_FecCorrectedBitsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecCorrectedBytesPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-corrected-bytes YANG schema element.
type TerminalDevice_Channel_Otn_FecCorrectedBytesPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecCorrectedBytesPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-corrected-bytes YANG schema element.
type TerminalDevice_Channel_Otn_FecCorrectedBytesPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecUncorrectableBlocksPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-uncorrectable-blocks YANG schema element.
type TerminalDevice_Channel_Otn_FecUncorrectableBlocksPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecUncorrectableBlocksPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-uncorrectable-blocks YANG schema element.
type TerminalDevice_Channel_Otn_FecUncorrectableBlocksPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecUncorrectableWordsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-uncorrectable-words YANG schema element.
type TerminalDevice_Channel_Otn_FecUncorrectableWordsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_FecUncorrectableWordsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/fec-uncorrectable-words YANG schema element.
type TerminalDevice_Channel_Otn_FecUncorrectableWordsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_RdiMsgPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/rdi-msg YANG schema element.
type TerminalDevice_Channel_Otn_RdiMsgPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_RdiMsgPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/rdi-msg YANG schema element.
type TerminalDevice_Channel_Otn_RdiMsgPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_SeverelyErroredSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/severely-errored-seconds YANG schema element.
type TerminalDevice_Channel_Otn_SeverelyErroredSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_SeverelyErroredSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/severely-errored-seconds YANG schema element.
type TerminalDevice_Channel_Otn_SeverelyErroredSecondsPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TributarySlotGranularityPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tributary-slot-granularity YANG schema element.
type TerminalDevice_Channel_Otn_TributarySlotGranularityPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TributarySlotGranularityPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tributary-slot-granularity YANG schema element.
type TerminalDevice_Channel_Otn_TributarySlotGranularityPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgAutoPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-auto YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgAutoPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgAutoPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-auto YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgAutoPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgExpectedPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-expected YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgExpectedPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgExpectedPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-expected YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgExpectedPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgRecvPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/tti-msg-recv YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgRecvPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgRecvPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/tti-msg-recv YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgRecvPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgTransmitPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-transmit YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgTransmitPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_TtiMsgTransmitPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/config/tti-msg-transmit YANG schema element.
type TerminalDevice_Channel_Otn_TtiMsgTransmitPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_UnavailableSecondsPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/unavailable-seconds YANG schema element.
type TerminalDevice_Channel_Otn_UnavailableSecondsPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_UnavailableSecondsPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/unavailable-seconds YANG schema element.
type TerminalDevice_Channel_Otn_UnavailableSecondsPathAny struct {
	*ygot.NodePath
}

// BackgroundBlockErrors returns from TerminalDevice_Channel_OtnPath the path struct for its child "background-block-errors".
func (n *TerminalDevice_Channel_OtnPath) BackgroundBlockErrors() *TerminalDevice_Channel_Otn_BackgroundBlockErrorsPath {
	return &TerminalDevice_Channel_Otn_BackgroundBlockErrorsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "background-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// BackgroundBlockErrors returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "background-block-errors".
func (n *TerminalDevice_Channel_OtnPathAny) BackgroundBlockErrors() *TerminalDevice_Channel_Otn_BackgroundBlockErrorsPathAny {
	return &TerminalDevice_Channel_Otn_BackgroundBlockErrorsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "background-block-errors"},
			map[string]interface{}{},
			n,
		),
	}
}

// CodeViolations returns from TerminalDevice_Channel_OtnPath the path struct for its child "code-violations".
func (n *TerminalDevice_Channel_OtnPath) CodeViolations() *TerminalDevice_Channel_Otn_CodeViolationsPath {
	return &TerminalDevice_Channel_Otn_CodeViolationsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "code-violations"},
			map[string]interface{}{},
			n,
		),
	}
}

// CodeViolations returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "code-violations".
func (n *TerminalDevice_Channel_OtnPathAny) CodeViolations() *TerminalDevice_Channel_Otn_CodeViolationsPathAny {
	return &TerminalDevice_Channel_Otn_CodeViolationsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "code-violations"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroredBlocks returns from TerminalDevice_Channel_OtnPath the path struct for its child "errored-blocks".
func (n *TerminalDevice_Channel_OtnPath) ErroredBlocks() *TerminalDevice_Channel_Otn_ErroredBlocksPath {
	return &TerminalDevice_Channel_Otn_ErroredBlocksPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errored-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroredBlocks returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "errored-blocks".
func (n *TerminalDevice_Channel_OtnPathAny) ErroredBlocks() *TerminalDevice_Channel_Otn_ErroredBlocksPathAny {
	return &TerminalDevice_Channel_Otn_ErroredBlocksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errored-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroredSeconds returns from TerminalDevice_Channel_OtnPath the path struct for its child "errored-seconds".
func (n *TerminalDevice_Channel_OtnPath) ErroredSeconds() *TerminalDevice_Channel_Otn_ErroredSecondsPath {
	return &TerminalDevice_Channel_Otn_ErroredSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// ErroredSeconds returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "errored-seconds".
func (n *TerminalDevice_Channel_OtnPathAny) ErroredSeconds() *TerminalDevice_Channel_Otn_ErroredSecondsPathAny {
	return &TerminalDevice_Channel_Otn_ErroredSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// Esnr returns from TerminalDevice_Channel_OtnPath the path struct for its child "esnr".
func (n *TerminalDevice_Channel_OtnPath) Esnr() *TerminalDevice_Channel_Otn_EsnrPath {
	return &TerminalDevice_Channel_Otn_EsnrPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "esnr"},
			map[string]interface{}{},
			n,
		),
	}
}

// Esnr returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "esnr".
func (n *TerminalDevice_Channel_OtnPathAny) Esnr() *TerminalDevice_Channel_Otn_EsnrPathAny {
	return &TerminalDevice_Channel_Otn_EsnrPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "esnr"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBits returns from TerminalDevice_Channel_OtnPath the path struct for its child "fec-corrected-bits".
func (n *TerminalDevice_Channel_OtnPath) FecCorrectedBits() *TerminalDevice_Channel_Otn_FecCorrectedBitsPath {
	return &TerminalDevice_Channel_Otn_FecCorrectedBitsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bits"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBits returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "fec-corrected-bits".
func (n *TerminalDevice_Channel_OtnPathAny) FecCorrectedBits() *TerminalDevice_Channel_Otn_FecCorrectedBitsPathAny {
	return &TerminalDevice_Channel_Otn_FecCorrectedBitsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bits"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBytes returns from TerminalDevice_Channel_OtnPath the path struct for its child "fec-corrected-bytes".
func (n *TerminalDevice_Channel_OtnPath) FecCorrectedBytes() *TerminalDevice_Channel_Otn_FecCorrectedBytesPath {
	return &TerminalDevice_Channel_Otn_FecCorrectedBytesPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecCorrectedBytes returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "fec-corrected-bytes".
func (n *TerminalDevice_Channel_OtnPathAny) FecCorrectedBytes() *TerminalDevice_Channel_Otn_FecCorrectedBytesPathAny {
	return &TerminalDevice_Channel_Otn_FecCorrectedBytesPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-corrected-bytes"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableBlocks returns from TerminalDevice_Channel_OtnPath the path struct for its child "fec-uncorrectable-blocks".
func (n *TerminalDevice_Channel_OtnPath) FecUncorrectableBlocks() *TerminalDevice_Channel_Otn_FecUncorrectableBlocksPath {
	return &TerminalDevice_Channel_Otn_FecUncorrectableBlocksPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableBlocks returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "fec-uncorrectable-blocks".
func (n *TerminalDevice_Channel_OtnPathAny) FecUncorrectableBlocks() *TerminalDevice_Channel_Otn_FecUncorrectableBlocksPathAny {
	return &TerminalDevice_Channel_Otn_FecUncorrectableBlocksPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-blocks"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableWords returns from TerminalDevice_Channel_OtnPath the path struct for its child "fec-uncorrectable-words".
func (n *TerminalDevice_Channel_OtnPath) FecUncorrectableWords() *TerminalDevice_Channel_Otn_FecUncorrectableWordsPath {
	return &TerminalDevice_Channel_Otn_FecUncorrectableWordsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-words"},
			map[string]interface{}{},
			n,
		),
	}
}

// FecUncorrectableWords returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "fec-uncorrectable-words".
func (n *TerminalDevice_Channel_OtnPathAny) FecUncorrectableWords() *TerminalDevice_Channel_Otn_FecUncorrectableWordsPathAny {
	return &TerminalDevice_Channel_Otn_FecUncorrectableWordsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "fec-uncorrectable-words"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostFecBer returns from TerminalDevice_Channel_OtnPath the path struct for its child "post-fec-ber".
func (n *TerminalDevice_Channel_OtnPath) PostFecBer() *TerminalDevice_Channel_Otn_PostFecBerPath {
	return &TerminalDevice_Channel_Otn_PostFecBerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "post-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PostFecBer returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "post-fec-ber".
func (n *TerminalDevice_Channel_OtnPathAny) PostFecBer() *TerminalDevice_Channel_Otn_PostFecBerPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "post-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreFecBer returns from TerminalDevice_Channel_OtnPath the path struct for its child "pre-fec-ber".
func (n *TerminalDevice_Channel_OtnPath) PreFecBer() *TerminalDevice_Channel_Otn_PreFecBerPath {
	return &TerminalDevice_Channel_Otn_PreFecBerPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pre-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// PreFecBer returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "pre-fec-ber".
func (n *TerminalDevice_Channel_OtnPathAny) PreFecBer() *TerminalDevice_Channel_Otn_PreFecBerPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBerPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "pre-fec-ber"},
			map[string]interface{}{},
			n,
		),
	}
}

// QValue returns from TerminalDevice_Channel_OtnPath the path struct for its child "q-value".
func (n *TerminalDevice_Channel_OtnPath) QValue() *TerminalDevice_Channel_Otn_QValuePath {
	return &TerminalDevice_Channel_Otn_QValuePath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "q-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// QValue returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "q-value".
func (n *TerminalDevice_Channel_OtnPathAny) QValue() *TerminalDevice_Channel_Otn_QValuePathAny {
	return &TerminalDevice_Channel_Otn_QValuePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "q-value"},
			map[string]interface{}{},
			n,
		),
	}
}

// RdiMsg returns from TerminalDevice_Channel_OtnPath the path struct for its child "rdi-msg".
func (n *TerminalDevice_Channel_OtnPath) RdiMsg() *TerminalDevice_Channel_Otn_RdiMsgPath {
	return &TerminalDevice_Channel_Otn_RdiMsgPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "rdi-msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// RdiMsg returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "rdi-msg".
func (n *TerminalDevice_Channel_OtnPathAny) RdiMsg() *TerminalDevice_Channel_Otn_RdiMsgPathAny {
	return &TerminalDevice_Channel_Otn_RdiMsgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "rdi-msg"},
			map[string]interface{}{},
			n,
		),
	}
}

// SeverelyErroredSeconds returns from TerminalDevice_Channel_OtnPath the path struct for its child "severely-errored-seconds".
func (n *TerminalDevice_Channel_OtnPath) SeverelyErroredSeconds() *TerminalDevice_Channel_Otn_SeverelyErroredSecondsPath {
	return &TerminalDevice_Channel_Otn_SeverelyErroredSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "severely-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// SeverelyErroredSeconds returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "severely-errored-seconds".
func (n *TerminalDevice_Channel_OtnPathAny) SeverelyErroredSeconds() *TerminalDevice_Channel_Otn_SeverelyErroredSecondsPathAny {
	return &TerminalDevice_Channel_Otn_SeverelyErroredSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "severely-errored-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// TributarySlotGranularity returns from TerminalDevice_Channel_OtnPath the path struct for its child "tributary-slot-granularity".
func (n *TerminalDevice_Channel_OtnPath) TributarySlotGranularity() *TerminalDevice_Channel_Otn_TributarySlotGranularityPath {
	return &TerminalDevice_Channel_Otn_TributarySlotGranularityPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tributary-slot-granularity"},
			map[string]interface{}{},
			n,
		),
	}
}

// TributarySlotGranularity returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "tributary-slot-granularity".
func (n *TerminalDevice_Channel_OtnPathAny) TributarySlotGranularity() *TerminalDevice_Channel_Otn_TributarySlotGranularityPathAny {
	return &TerminalDevice_Channel_Otn_TributarySlotGranularityPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tributary-slot-granularity"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgAuto returns from TerminalDevice_Channel_OtnPath the path struct for its child "tti-msg-auto".
func (n *TerminalDevice_Channel_OtnPath) TtiMsgAuto() *TerminalDevice_Channel_Otn_TtiMsgAutoPath {
	return &TerminalDevice_Channel_Otn_TtiMsgAutoPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-auto"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgAuto returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "tti-msg-auto".
func (n *TerminalDevice_Channel_OtnPathAny) TtiMsgAuto() *TerminalDevice_Channel_Otn_TtiMsgAutoPathAny {
	return &TerminalDevice_Channel_Otn_TtiMsgAutoPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-auto"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgExpected returns from TerminalDevice_Channel_OtnPath the path struct for its child "tti-msg-expected".
func (n *TerminalDevice_Channel_OtnPath) TtiMsgExpected() *TerminalDevice_Channel_Otn_TtiMsgExpectedPath {
	return &TerminalDevice_Channel_Otn_TtiMsgExpectedPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-expected"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgExpected returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "tti-msg-expected".
func (n *TerminalDevice_Channel_OtnPathAny) TtiMsgExpected() *TerminalDevice_Channel_Otn_TtiMsgExpectedPathAny {
	return &TerminalDevice_Channel_Otn_TtiMsgExpectedPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-expected"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgRecv returns from TerminalDevice_Channel_OtnPath the path struct for its child "tti-msg-recv".
func (n *TerminalDevice_Channel_OtnPath) TtiMsgRecv() *TerminalDevice_Channel_Otn_TtiMsgRecvPath {
	return &TerminalDevice_Channel_Otn_TtiMsgRecvPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tti-msg-recv"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgRecv returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "tti-msg-recv".
func (n *TerminalDevice_Channel_OtnPathAny) TtiMsgRecv() *TerminalDevice_Channel_Otn_TtiMsgRecvPathAny {
	return &TerminalDevice_Channel_Otn_TtiMsgRecvPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "tti-msg-recv"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgTransmit returns from TerminalDevice_Channel_OtnPath the path struct for its child "tti-msg-transmit".
func (n *TerminalDevice_Channel_OtnPath) TtiMsgTransmit() *TerminalDevice_Channel_Otn_TtiMsgTransmitPath {
	return &TerminalDevice_Channel_Otn_TtiMsgTransmitPath{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-transmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// TtiMsgTransmit returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "tti-msg-transmit".
func (n *TerminalDevice_Channel_OtnPathAny) TtiMsgTransmit() *TerminalDevice_Channel_Otn_TtiMsgTransmitPathAny {
	return &TerminalDevice_Channel_Otn_TtiMsgTransmitPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"config", "tti-msg-transmit"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnavailableSeconds returns from TerminalDevice_Channel_OtnPath the path struct for its child "unavailable-seconds".
func (n *TerminalDevice_Channel_OtnPath) UnavailableSeconds() *TerminalDevice_Channel_Otn_UnavailableSecondsPath {
	return &TerminalDevice_Channel_Otn_UnavailableSecondsPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unavailable-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// UnavailableSeconds returns from TerminalDevice_Channel_OtnPathAny the path struct for its child "unavailable-seconds".
func (n *TerminalDevice_Channel_OtnPathAny) UnavailableSeconds() *TerminalDevice_Channel_Otn_UnavailableSecondsPathAny {
	return &TerminalDevice_Channel_Otn_UnavailableSecondsPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "unavailable-seconds"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Otn_EsnrPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr YANG schema element.
type TerminalDevice_Channel_Otn_EsnrPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_EsnrPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr YANG schema element.
type TerminalDevice_Channel_Otn_EsnrPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_AvgPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/avg YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_AvgPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_AvgPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/avg YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_AvgPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_InstantPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/instant YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_InstantPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_InstantPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/instant YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_InstantPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_IntervalPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/interval YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_IntervalPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_IntervalPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/interval YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_IntervalPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MaxPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/max YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MaxPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MaxPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/max YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MaxPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MaxTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/max-time YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MaxTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MaxTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/max-time YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MaxTimePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MinPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/min YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MinPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MinPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/min YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MinPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MinTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/min-time YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MinTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_Esnr_MinTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/esnr/min-time YANG schema element.
type TerminalDevice_Channel_Otn_Esnr_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_EsnrPath) Avg() *TerminalDevice_Channel_Otn_Esnr_AvgPath {
	return &TerminalDevice_Channel_Otn_Esnr_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) Avg() *TerminalDevice_Channel_Otn_Esnr_AvgPathAny {
	return &TerminalDevice_Channel_Otn_Esnr_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_EsnrPath) Instant() *TerminalDevice_Channel_Otn_Esnr_InstantPath {
	return &TerminalDevice_Channel_Otn_Esnr_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) Instant() *TerminalDevice_Channel_Otn_Esnr_InstantPathAny {
	return &TerminalDevice_Channel_Otn_Esnr_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_EsnrPath) Interval() *TerminalDevice_Channel_Otn_Esnr_IntervalPath {
	return &TerminalDevice_Channel_Otn_Esnr_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) Interval() *TerminalDevice_Channel_Otn_Esnr_IntervalPathAny {
	return &TerminalDevice_Channel_Otn_Esnr_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_EsnrPath) Max() *TerminalDevice_Channel_Otn_Esnr_MaxPath {
	return &TerminalDevice_Channel_Otn_Esnr_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) Max() *TerminalDevice_Channel_Otn_Esnr_MaxPathAny {
	return &TerminalDevice_Channel_Otn_Esnr_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_EsnrPath) MaxTime() *TerminalDevice_Channel_Otn_Esnr_MaxTimePath {
	return &TerminalDevice_Channel_Otn_Esnr_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) MaxTime() *TerminalDevice_Channel_Otn_Esnr_MaxTimePathAny {
	return &TerminalDevice_Channel_Otn_Esnr_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_EsnrPath) Min() *TerminalDevice_Channel_Otn_Esnr_MinPath {
	return &TerminalDevice_Channel_Otn_Esnr_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) Min() *TerminalDevice_Channel_Otn_Esnr_MinPathAny {
	return &TerminalDevice_Channel_Otn_Esnr_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_EsnrPath the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_EsnrPath) MinTime() *TerminalDevice_Channel_Otn_Esnr_MinTimePath {
	return &TerminalDevice_Channel_Otn_Esnr_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_EsnrPathAny the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_EsnrPathAny) MinTime() *TerminalDevice_Channel_Otn_Esnr_MinTimePathAny {
	return &TerminalDevice_Channel_Otn_Esnr_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Otn_PostFecBerPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBerPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBerPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBerPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_AvgPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/avg YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_AvgPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_AvgPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/avg YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_AvgPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_InstantPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/instant YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_InstantPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_InstantPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/instant YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_InstantPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_IntervalPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/interval YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_IntervalPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_IntervalPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/interval YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_IntervalPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MaxPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/max YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MaxPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MaxPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/max YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MaxPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MaxTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/max-time YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MaxTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MaxTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/max-time YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MaxTimePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MinPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/min YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MinPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MinPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/min YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MinPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MinTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/min-time YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MinTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PostFecBer_MinTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/post-fec-ber/min-time YANG schema element.
type TerminalDevice_Channel_Otn_PostFecBer_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) Avg() *TerminalDevice_Channel_Otn_PostFecBer_AvgPath {
	return &TerminalDevice_Channel_Otn_PostFecBer_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) Avg() *TerminalDevice_Channel_Otn_PostFecBer_AvgPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) Instant() *TerminalDevice_Channel_Otn_PostFecBer_InstantPath {
	return &TerminalDevice_Channel_Otn_PostFecBer_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) Instant() *TerminalDevice_Channel_Otn_PostFecBer_InstantPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) Interval() *TerminalDevice_Channel_Otn_PostFecBer_IntervalPath {
	return &TerminalDevice_Channel_Otn_PostFecBer_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) Interval() *TerminalDevice_Channel_Otn_PostFecBer_IntervalPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) Max() *TerminalDevice_Channel_Otn_PostFecBer_MaxPath {
	return &TerminalDevice_Channel_Otn_PostFecBer_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) Max() *TerminalDevice_Channel_Otn_PostFecBer_MaxPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) MaxTime() *TerminalDevice_Channel_Otn_PostFecBer_MaxTimePath {
	return &TerminalDevice_Channel_Otn_PostFecBer_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) MaxTime() *TerminalDevice_Channel_Otn_PostFecBer_MaxTimePathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) Min() *TerminalDevice_Channel_Otn_PostFecBer_MinPath {
	return &TerminalDevice_Channel_Otn_PostFecBer_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) Min() *TerminalDevice_Channel_Otn_PostFecBer_MinPathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_PostFecBerPath the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_PostFecBerPath) MinTime() *TerminalDevice_Channel_Otn_PostFecBer_MinTimePath {
	return &TerminalDevice_Channel_Otn_PostFecBer_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_PostFecBerPathAny the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_PostFecBerPathAny) MinTime() *TerminalDevice_Channel_Otn_PostFecBer_MinTimePathAny {
	return &TerminalDevice_Channel_Otn_PostFecBer_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Otn_PreFecBerPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBerPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBerPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBerPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_AvgPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/avg YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_AvgPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_AvgPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/avg YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_AvgPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_InstantPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/instant YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_InstantPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_InstantPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/instant YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_InstantPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_IntervalPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/interval YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_IntervalPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_IntervalPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/interval YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_IntervalPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MaxPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/max YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MaxPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MaxPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/max YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MaxPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MaxTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/max-time YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MaxTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MaxTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/max-time YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MaxTimePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MinPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/min YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MinPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MinPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/min YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MinPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MinTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/min-time YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MinTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_PreFecBer_MinTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/pre-fec-ber/min-time YANG schema element.
type TerminalDevice_Channel_Otn_PreFecBer_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) Avg() *TerminalDevice_Channel_Otn_PreFecBer_AvgPath {
	return &TerminalDevice_Channel_Otn_PreFecBer_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) Avg() *TerminalDevice_Channel_Otn_PreFecBer_AvgPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) Instant() *TerminalDevice_Channel_Otn_PreFecBer_InstantPath {
	return &TerminalDevice_Channel_Otn_PreFecBer_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) Instant() *TerminalDevice_Channel_Otn_PreFecBer_InstantPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) Interval() *TerminalDevice_Channel_Otn_PreFecBer_IntervalPath {
	return &TerminalDevice_Channel_Otn_PreFecBer_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) Interval() *TerminalDevice_Channel_Otn_PreFecBer_IntervalPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) Max() *TerminalDevice_Channel_Otn_PreFecBer_MaxPath {
	return &TerminalDevice_Channel_Otn_PreFecBer_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) Max() *TerminalDevice_Channel_Otn_PreFecBer_MaxPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) MaxTime() *TerminalDevice_Channel_Otn_PreFecBer_MaxTimePath {
	return &TerminalDevice_Channel_Otn_PreFecBer_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) MaxTime() *TerminalDevice_Channel_Otn_PreFecBer_MaxTimePathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) Min() *TerminalDevice_Channel_Otn_PreFecBer_MinPath {
	return &TerminalDevice_Channel_Otn_PreFecBer_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) Min() *TerminalDevice_Channel_Otn_PreFecBer_MinPathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_PreFecBerPath the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_PreFecBerPath) MinTime() *TerminalDevice_Channel_Otn_PreFecBer_MinTimePath {
	return &TerminalDevice_Channel_Otn_PreFecBer_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_PreFecBerPathAny the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_PreFecBerPathAny) MinTime() *TerminalDevice_Channel_Otn_PreFecBer_MinTimePathAny {
	return &TerminalDevice_Channel_Otn_PreFecBer_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_Channel_Otn_QValuePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value YANG schema element.
type TerminalDevice_Channel_Otn_QValuePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValuePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value YANG schema element.
type TerminalDevice_Channel_Otn_QValuePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_AvgPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/avg YANG schema element.
type TerminalDevice_Channel_Otn_QValue_AvgPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_AvgPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/avg YANG schema element.
type TerminalDevice_Channel_Otn_QValue_AvgPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_InstantPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/instant YANG schema element.
type TerminalDevice_Channel_Otn_QValue_InstantPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_InstantPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/instant YANG schema element.
type TerminalDevice_Channel_Otn_QValue_InstantPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_IntervalPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/interval YANG schema element.
type TerminalDevice_Channel_Otn_QValue_IntervalPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_IntervalPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/interval YANG schema element.
type TerminalDevice_Channel_Otn_QValue_IntervalPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MaxPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/max YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MaxPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MaxPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/max YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MaxPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MaxTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/max-time YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MaxTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MaxTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/max-time YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MaxTimePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MinPath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/min YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MinPath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MinPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/min YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MinPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MinTimePath represents the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/min-time YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MinTimePath struct {
	*ygot.NodePath
}

// TerminalDevice_Channel_Otn_QValue_MinTimePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/logical-channels/channel/otn/state/q-value/min-time YANG schema element.
type TerminalDevice_Channel_Otn_QValue_MinTimePathAny struct {
	*ygot.NodePath
}

// Avg returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_QValuePath) Avg() *TerminalDevice_Channel_Otn_QValue_AvgPath {
	return &TerminalDevice_Channel_Otn_QValue_AvgPath{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Avg returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "avg".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) Avg() *TerminalDevice_Channel_Otn_QValue_AvgPathAny {
	return &TerminalDevice_Channel_Otn_QValue_AvgPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"avg"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_QValuePath) Instant() *TerminalDevice_Channel_Otn_QValue_InstantPath {
	return &TerminalDevice_Channel_Otn_QValue_InstantPath{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Instant returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "instant".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) Instant() *TerminalDevice_Channel_Otn_QValue_InstantPathAny {
	return &TerminalDevice_Channel_Otn_QValue_InstantPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"instant"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_QValuePath) Interval() *TerminalDevice_Channel_Otn_QValue_IntervalPath {
	return &TerminalDevice_Channel_Otn_QValue_IntervalPath{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Interval returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "interval".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) Interval() *TerminalDevice_Channel_Otn_QValue_IntervalPathAny {
	return &TerminalDevice_Channel_Otn_QValue_IntervalPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"interval"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_QValuePath) Max() *TerminalDevice_Channel_Otn_QValue_MaxPath {
	return &TerminalDevice_Channel_Otn_QValue_MaxPath{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// Max returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "max".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) Max() *TerminalDevice_Channel_Otn_QValue_MaxPathAny {
	return &TerminalDevice_Channel_Otn_QValue_MaxPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_QValuePath) MaxTime() *TerminalDevice_Channel_Otn_QValue_MaxTimePath {
	return &TerminalDevice_Channel_Otn_QValue_MaxTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MaxTime returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "max-time".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) MaxTime() *TerminalDevice_Channel_Otn_QValue_MaxTimePathAny {
	return &TerminalDevice_Channel_Otn_QValue_MaxTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"max-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_QValuePath) Min() *TerminalDevice_Channel_Otn_QValue_MinPath {
	return &TerminalDevice_Channel_Otn_QValue_MinPath{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// Min returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "min".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) Min() *TerminalDevice_Channel_Otn_QValue_MinPathAny {
	return &TerminalDevice_Channel_Otn_QValue_MinPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_QValuePath the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_QValuePath) MinTime() *TerminalDevice_Channel_Otn_QValue_MinTimePath {
	return &TerminalDevice_Channel_Otn_QValue_MinTimePath{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// MinTime returns from TerminalDevice_Channel_Otn_QValuePathAny the path struct for its child "min-time".
func (n *TerminalDevice_Channel_Otn_QValuePathAny) MinTime() *TerminalDevice_Channel_Otn_QValue_MinTimePathAny {
	return &TerminalDevice_Channel_Otn_QValue_MinTimePathAny{
		NodePath: ygot.NewNodePath(
			[]string{"min-time"},
			map[string]interface{}{},
			n,
		),
	}
}

// TerminalDevice_ModePath represents the /openconfig-terminal-device/terminal-device/operational-modes/mode YANG schema element.
type TerminalDevice_ModePath struct {
	*ygot.NodePath
}

// TerminalDevice_ModePathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/operational-modes/mode YANG schema element.
type TerminalDevice_ModePathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_DescriptionPath represents the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/description YANG schema element.
type TerminalDevice_Mode_DescriptionPath struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_DescriptionPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/description YANG schema element.
type TerminalDevice_Mode_DescriptionPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_ModeIdPath represents the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/mode-id YANG schema element.
type TerminalDevice_Mode_ModeIdPath struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_ModeIdPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/mode-id YANG schema element.
type TerminalDevice_Mode_ModeIdPathAny struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_VendorIdPath represents the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/vendor-id YANG schema element.
type TerminalDevice_Mode_VendorIdPath struct {
	*ygot.NodePath
}

// TerminalDevice_Mode_VendorIdPathAny represents the wildcard version of the /openconfig-terminal-device/terminal-device/operational-modes/mode/state/vendor-id YANG schema element.
type TerminalDevice_Mode_VendorIdPathAny struct {
	*ygot.NodePath
}

// Description returns from TerminalDevice_ModePath the path struct for its child "description".
func (n *TerminalDevice_ModePath) Description() *TerminalDevice_Mode_DescriptionPath {
	return &TerminalDevice_Mode_DescriptionPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// Description returns from TerminalDevice_ModePathAny the path struct for its child "description".
func (n *TerminalDevice_ModePathAny) Description() *TerminalDevice_Mode_DescriptionPathAny {
	return &TerminalDevice_Mode_DescriptionPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "description"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModeId returns from TerminalDevice_ModePath the path struct for its child "mode-id".
func (n *TerminalDevice_ModePath) ModeId() *TerminalDevice_Mode_ModeIdPath {
	return &TerminalDevice_Mode_ModeIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// ModeId returns from TerminalDevice_ModePathAny the path struct for its child "mode-id".
func (n *TerminalDevice_ModePathAny) ModeId() *TerminalDevice_Mode_ModeIdPathAny {
	return &TerminalDevice_Mode_ModeIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "mode-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorId returns from TerminalDevice_ModePath the path struct for its child "vendor-id".
func (n *TerminalDevice_ModePath) VendorId() *TerminalDevice_Mode_VendorIdPath {
	return &TerminalDevice_Mode_VendorIdPath{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-id"},
			map[string]interface{}{},
			n,
		),
	}
}

// VendorId returns from TerminalDevice_ModePathAny the path struct for its child "vendor-id".
func (n *TerminalDevice_ModePathAny) VendorId() *TerminalDevice_Mode_VendorIdPathAny {
	return &TerminalDevice_Mode_VendorIdPathAny{
		NodePath: ygot.NewNodePath(
			[]string{"state", "vendor-id"},
			map[string]interface{}{},
			n,
		),
	}
}
